(*
% File     : AGT002+2 : ILTP v1.1.2
% Domain   : Agents
% Problem  : Problem for the CPlanT system
% Version  : [Bar03] axioms : Especial.
% English  :
% Refs     : [Bar03] Barta, J. (2003), Email to G. Sutcliffe
%          : [BT+03] Barta et al. (2003), Meta-Reasoning in CPlanT Multi-Ag
%          : [TBP03] Tozicka et al. (2003), Meta-reasoning for Agents' Priv
% Source   : [Bar03]
% Names    :
% Status   : Theorem
% Rating   : 0.18 v3.1.0
% Status (intuit.) : Theorem
% Rating (intuit.) : 0.75 v1.0.0
% Syntax   : Number of formulae    :  923 ( 891 unit)
%            Number of atoms       : 1023 (   2 equality)
%            Maximal formula depth :    8 (   1 average)
%            Number of connectives :  149 (  49 ~  ;   1  |;  67  &)
%                                         (  16 <=>;  16 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   0 propositional; 1-4 arity)
%            Number of functors    :  290 ( 286 constant; 0-2 arity)
%            Number of variables   :   70 (   0 singleton;  70 !;   0 ?)
%            Maximal term depth    :    5 (   1 average)
% Comments :
% Bugfixes : v3.0.0 - Bugfixes in NUM005+1.ax
%          : v3.1.0 - Changes to NUM005 axioms
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable EqTransitivity : forall x y z : Universe, x = y -> y = z -> x = z.
Variable EqSymmetry : forall x y : Universe, x = y -> y = x.
Variable EqReflexivity : forall x : Universe, x = x.
Variable the_agent_not_in_any_proposed_teams_ : Universe -> Universe -> Universe -> Prop.
Variable EqCongruence_the_agent_not_in_any_proposed_teams : forall x1 x2 x3 y1 y2 y3 : Universe, x1 = y1 -> x2 = y2 -> x3 = y3 -> the_agent_not_in_any_proposed_teams_ x1 x2 x3 -> the_agent_not_in_any_proposed_teams_ y1 y2 y3 .
Variable the_agent_in_all_proposed_teams_ : Universe -> Universe -> Universe -> Prop.
Variable EqCongruence_the_agent_in_all_proposed_teams : forall x1 x2 x3 y1 y2 y3 : Universe, x1 = y1 -> x2 = y2 -> x3 = y3 -> the_agent_in_all_proposed_teams_ x1 x2 x3 -> the_agent_in_all_proposed_teams_ y1 y2 y3 .
Variable sum_ : Universe -> Universe -> Universe -> Prop.
Variable EqCongruence_sum : forall x1 x2 x3 y1 y2 y3 : Universe, x1 = y1 -> x2 = y2 -> x3 = y3 -> sum_ x1 x2 x3 -> sum_ y1 y2 y3 .
Variable rdn_translate_ : Universe -> Universe -> Prop.
Variable EqCongruence_rdn_translate : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> rdn_translate_ x1 x2 -> rdn_translate_ y1 y2 .
Variable rdn_positive_less_ : Universe -> Universe -> Prop.
Variable EqCongruence_rdn_positive_less : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> rdn_positive_less_ x1 x2 -> rdn_positive_less_ y1 y2 .
Variable rdn_non_zero_digit_ : Universe -> Prop.
Variable EqCongruence_rdn_non_zero_digit : forall x1 y1 : Universe, x1 = y1 -> rdn_non_zero_digit_ x1 -> rdn_non_zero_digit_ y1 .
Variable rdn_non_zero_ : Universe -> Prop.
Variable EqCongruence_rdn_non_zero : forall x1 y1 : Universe, x1 = y1 -> rdn_non_zero_ x1 -> rdn_non_zero_ y1 .
Variable min_number_of_proposed_agents_ : Universe -> Universe -> Prop.
Variable EqCongruence_min_number_of_proposed_agents : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> min_number_of_proposed_agents_ x1 x2 -> min_number_of_proposed_agents_ y1 y2 .
Variable less_or_equal_ : Universe -> Universe -> Prop.
Variable EqCongruence_less_or_equal : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> less_or_equal_ x1 x2 -> less_or_equal_ y1 y2 .
Variable less_ : Universe -> Universe -> Prop.
Variable EqCongruence_less : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> less_ x1 x2 -> less_ y1 y2 .
Variable any_agent_in_all_proposed_teams_ : Universe -> Universe -> Universe -> Prop.
Variable EqCongruence_any_agent_in_all_proposed_teams : forall x1 x2 x3 y1 y2 y3 : Universe, x1 = y1 -> x2 = y2 -> x3 = y3 -> any_agent_in_all_proposed_teams_ x1 x2 x3 -> any_agent_in_all_proposed_teams_ y1 y2 y3 .
Variable accept_team_ : Universe -> Universe -> Universe -> Universe -> Prop.
Variable EqCongruence_accept_team : forall x1 x2 x3 x4 y1 y2 y3 y4 : Universe, x1 = y1 -> x2 = y2 -> x3 = y3 -> x4 = y4 -> accept_team_ x1 x2 x3 x4 -> accept_team_ y1 y2 y3 y4 .
Variable accept_population_ : Universe -> Universe -> Universe -> Prop.
Variable EqCongruence_accept_population : forall x1 x2 x3 y1 y2 y3 : Universe, x1 = y1 -> x2 = y2 -> x3 = y3 -> accept_population_ x1 x2 x3 -> accept_population_ y1 y2 y3 .
Variable accept_number_ : Universe -> Universe -> Prop.
Variable EqCongruence_accept_number : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> accept_number_ x1 x2 -> accept_number_ y1 y2 .
Variable accept_leader_ : Universe -> Universe -> Prop.
Variable EqCongruence_accept_leader : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> accept_leader_ x1 x2 -> accept_leader_ y1 y2 .
Variable accept_city_ : Universe -> Universe -> Prop.
Variable EqCongruence_accept_city : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> accept_city_ x1 x2 -> accept_city_ y1 y2 .

Variable townc_ : Universe.
Variable townb_ : Universe.
Variable towna_ : Universe.
Variable sunsetpoint_ : Universe.
Variable sunnysideport_ : Universe.
Variable suffertown_ : Universe.
Variable sufferterragovernment_ : Universe.
Variable stjosephburgh_ : Universe.
Variable rdnn_ : Universe -> Universe.
Variable EqCongruence_rdnn : forall x1 y1 : Universe, x1 = y1 -> rdnn_ x1 = rdnn_ y1 .
Variable rdn_pos_ : Universe -> Universe.
Variable EqCongruence_rdn_pos : forall x1 y1 : Universe, x1 = y1 -> rdn_pos_ x1 = rdn_pos_ y1 .
Variable rdn_neg_ : Universe -> Universe.
Variable EqCongruence_rdn_neg : forall x1 y1 : Universe, x1 = y1 -> rdn_neg_ x1 = rdn_neg_ y1 .
Variable rdn_ : Universe -> Universe -> Universe.
Variable EqCongruence_rdn : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> rdn_ x1 x2 = rdn_ y1 y2 .
Variable other_ : Universe.
Variable northport_ : Universe.
Variable nn99_ : Universe.
Variable nn98_ : Universe.
Variable nn97_ : Universe.
Variable nn96_ : Universe.
Variable nn95_ : Universe.
Variable nn94_ : Universe.
Variable nn93_ : Universe.
Variable nn92_ : Universe.
Variable nn91_ : Universe.
Variable nn90_ : Universe.
Variable nn9_ : Universe.
Variable nn89_ : Universe.
Variable nn88_ : Universe.
Variable nn87_ : Universe.
Variable nn86_ : Universe.
Variable nn85_ : Universe.
Variable nn84_ : Universe.
Variable nn83_ : Universe.
Variable nn82_ : Universe.
Variable nn81_ : Universe.
Variable nn80_ : Universe.
Variable nn8_ : Universe.
Variable nn79_ : Universe.
Variable nn78_ : Universe.
Variable nn77_ : Universe.
Variable nn76_ : Universe.
Variable nn75_ : Universe.
Variable nn74_ : Universe.
Variable nn73_ : Universe.
Variable nn72_ : Universe.
Variable nn71_ : Universe.
Variable nn70_ : Universe.
Variable nn7_ : Universe.
Variable nn69_ : Universe.
Variable nn68_ : Universe.
Variable nn67_ : Universe.
Variable nn66_ : Universe.
Variable nn65_ : Universe.
Variable nn64_ : Universe.
Variable nn63_ : Universe.
Variable nn62_ : Universe.
Variable nn61_ : Universe.
Variable nn60_ : Universe.
Variable nn6_ : Universe.
Variable nn59_ : Universe.
Variable nn58_ : Universe.
Variable nn57_ : Universe.
Variable nn56_ : Universe.
Variable nn55_ : Universe.
Variable nn54_ : Universe.
Variable nn53_ : Universe.
Variable nn52_ : Universe.
Variable nn51_ : Universe.
Variable nn50_ : Universe.
Variable nn5_ : Universe.
Variable nn49_ : Universe.
Variable nn48_ : Universe.
Variable nn47_ : Universe.
Variable nn46_ : Universe.
Variable nn45_ : Universe.
Variable nn44_ : Universe.
Variable nn43_ : Universe.
Variable nn42_ : Universe.
Variable nn41_ : Universe.
Variable nn40_ : Universe.
Variable nn4_ : Universe.
Variable nn39_ : Universe.
Variable nn38_ : Universe.
Variable nn37_ : Universe.
Variable nn36_ : Universe.
Variable nn35_ : Universe.
Variable nn34_ : Universe.
Variable nn33_ : Universe.
Variable nn32_ : Universe.
Variable nn31_ : Universe.
Variable nn30_ : Universe.
Variable nn3_ : Universe.
Variable nn29_ : Universe.
Variable nn28_ : Universe.
Variable nn27_ : Universe.
Variable nn26_ : Universe.
Variable nn25_ : Universe.
Variable nn24_ : Universe.
Variable nn23_ : Universe.
Variable nn22_ : Universe.
Variable nn21_ : Universe.
Variable nn20_ : Universe.
Variable nn2_ : Universe.
Variable nn19_ : Universe.
Variable nn18_ : Universe.
Variable nn17_ : Universe.
Variable nn16_ : Universe.
Variable nn15_ : Universe.
Variable nn14_ : Universe.
Variable nn13_ : Universe.
Variable nn128_ : Universe.
Variable nn127_ : Universe.
Variable nn126_ : Universe.
Variable nn125_ : Universe.
Variable nn124_ : Universe.
Variable nn123_ : Universe.
Variable nn122_ : Universe.
Variable nn121_ : Universe.
Variable nn120_ : Universe.
Variable nn12_ : Universe.
Variable nn119_ : Universe.
Variable nn118_ : Universe.
Variable nn117_ : Universe.
Variable nn116_ : Universe.
Variable nn115_ : Universe.
Variable nn114_ : Universe.
Variable nn113_ : Universe.
Variable nn112_ : Universe.
Variable nn111_ : Universe.
Variable nn110_ : Universe.
Variable nn11_ : Universe.
Variable nn109_ : Universe.
Variable nn108_ : Universe.
Variable nn107_ : Universe.
Variable nn106_ : Universe.
Variable nn105_ : Universe.
Variable nn104_ : Universe.
Variable nn103_ : Universe.
Variable nn102_ : Universe.
Variable nn101_ : Universe.
Variable nn100_ : Universe.
Variable nn10_ : Universe.
Variable nn1_ : Universe.
Variable native_ : Universe.
Variable n99_ : Universe.
Variable n98_ : Universe.
Variable n97_ : Universe.
Variable n96_ : Universe.
Variable n95_ : Universe.
Variable n94_ : Universe.
Variable n93_ : Universe.
Variable n92_ : Universe.
Variable n91_ : Universe.
Variable n90_ : Universe.
Variable n9_ : Universe.
Variable n89_ : Universe.
Variable n88_ : Universe.
Variable n87_ : Universe.
Variable n86_ : Universe.
Variable n85_ : Universe.
Variable n84_ : Universe.
Variable n83_ : Universe.
Variable n82_ : Universe.
Variable n81_ : Universe.
Variable n80_ : Universe.
Variable n8_ : Universe.
Variable n79_ : Universe.
Variable n78_ : Universe.
Variable n77_ : Universe.
Variable n76_ : Universe.
Variable n75_ : Universe.
Variable n74_ : Universe.
Variable n73_ : Universe.
Variable n72_ : Universe.
Variable n71_ : Universe.
Variable n70_ : Universe.
Variable n7_ : Universe.
Variable n69_ : Universe.
Variable n68_ : Universe.
Variable n67_ : Universe.
Variable n66_ : Universe.
Variable n65_ : Universe.
Variable n64_ : Universe.
Variable n63_ : Universe.
Variable n62_ : Universe.
Variable n61_ : Universe.
Variable n60_ : Universe.
Variable n6_ : Universe.
Variable n59_ : Universe.
Variable n58_ : Universe.
Variable n57_ : Universe.
Variable n56_ : Universe.
Variable n55_ : Universe.
Variable n54_ : Universe.
Variable n53_ : Universe.
Variable n52_ : Universe.
Variable n51_ : Universe.
Variable n50_ : Universe.
Variable n5_ : Universe.
Variable n49_ : Universe.
Variable n48_ : Universe.
Variable n47_ : Universe.
Variable n46_ : Universe.
Variable n45_ : Universe.
Variable n44_ : Universe.
Variable n43_ : Universe.
Variable n42_ : Universe.
Variable n41_ : Universe.
Variable n40_ : Universe.
Variable n4_ : Universe.
Variable n39_ : Universe.
Variable n38_ : Universe.
Variable n37_ : Universe.
Variable n36_ : Universe.
Variable n35_ : Universe.
Variable n34_ : Universe.
Variable n33_ : Universe.
Variable n32_ : Universe.
Variable n31_ : Universe.
Variable n30_ : Universe.
Variable n3_ : Universe.
Variable n29_ : Universe.
Variable n28_ : Universe.
Variable n27_ : Universe.
Variable n26_ : Universe.
Variable n25_ : Universe.
Variable n24_ : Universe.
Variable n23_ : Universe.
Variable n22_ : Universe.
Variable n21_ : Universe.
Variable n20_ : Universe.
Variable n2_ : Universe.
Variable n19_ : Universe.
Variable n18_ : Universe.
Variable n17_ : Universe.
Variable n16_ : Universe.
Variable n15_ : Universe.
Variable n14_ : Universe.
Variable n13_ : Universe.
Variable n127_ : Universe.
Variable n126_ : Universe.
Variable n125_ : Universe.
Variable n124_ : Universe.
Variable n123_ : Universe.
Variable n122_ : Universe.
Variable n121_ : Universe.
Variable n120_ : Universe.
Variable n12_ : Universe.
Variable n119_ : Universe.
Variable n118_ : Universe.
Variable n117_ : Universe.
Variable n116_ : Universe.
Variable n115_ : Universe.
Variable n114_ : Universe.
Variable n113_ : Universe.
Variable n112_ : Universe.
Variable n111_ : Universe.
Variable n110_ : Universe.
Variable n11_ : Universe.
Variable n109_ : Universe.
Variable n108_ : Universe.
Variable n107_ : Universe.
Variable n106_ : Universe.
Variable n105_ : Universe.
Variable n104_ : Universe.
Variable n103_ : Universe.
Variable n102_ : Universe.
Variable n101_ : Universe.
Variable n100_ : Universe.
Variable n10_ : Universe.
Variable n1_ : Universe.
Variable n0_ : Universe.
Variable muslimcountrybhumanitarianorganization_ : Universe.
Variable muslim_ : Universe.
Variable countrycmedicalorganization_ : Universe.
Variable countryccivilorganization_ : Universe.
Variable countrybhumanitarianorganization_ : Universe.
Variable countrybcivilorganization_ : Universe.
Variable countryamedicalorganization_ : Universe.
Variable countryahumanitarianorganization_ : Universe.
Variable countryafirstaidorganization_ : Universe.
Variable countryacivilorganization_ : Universe.
Variable coastvillage_ : Universe.
Variable cityb_ : Universe.
Variable citya_ : Universe.
Variable christiansufferterrahumanitarianorganization_ : Universe.
Variable christiancountrychumanitarianorganization_ : Universe.
Variable christian_ : Universe.
Variable centraltown_ : Universe.
Variable centrallakecity_ : Universe.
Variable atheist_ : Universe.

Variable a1_1_1 : (forall A C N L : Universe, (accept_team_ A L C N <-> (accept_city_ A C /\ (accept_leader_ A L /\ accept_number_ A N)))).
Variable a1_2_2 : (forall A N M : Universe, ((accept_number_ A N /\ less_ M N) -> accept_number_ A M)).
Variable a1_3_3 : (forall A N M P : Universe, ((accept_population_ A P N /\ less_ M N) -> accept_population_ A P M)).
Variable a1_4_4 : (forall A L C : Universe, (the_agent_in_all_proposed_teams_ A L C -> (accept_leader_ A L /\ accept_city_ A C))).
Variable a1_5_5 : (forall A L C : Universe, (any_agent_in_all_proposed_teams_ A L C -> accept_leader_ A L)).
Variable a1_6_6 : (forall A L C : Universe, (the_agent_not_in_any_proposed_teams_ A L C -> ~((accept_city_ A C /\ accept_leader_ A L)))).
Variable a1_7_7 : (forall A N : Universe, (min_number_of_proposed_agents_ A N -> accept_number_ A N)).
Variable a2_1_8 : (forall A : Universe, ((accept_population_ A atheist_ n65_ /\ (accept_population_ A christian_ n20_ /\ (accept_population_ A muslim_ n7_ /\ (accept_population_ A native_ n4_ /\ accept_population_ A other_ n4_)))) <-> accept_city_ A suffertown_)).
Variable a2_2_9 : (forall A : Universe, ((accept_population_ A atheist_ n54_ /\ (accept_population_ A christian_ n23_ /\ (accept_population_ A muslim_ n3_ /\ (accept_population_ A native_ n1_ /\ accept_population_ A other_ n9_)))) <-> accept_city_ A centraltown_)).
Variable a2_3_10 : (forall A : Universe, ((accept_population_ A atheist_ n30_ /\ (accept_population_ A christian_ n8_ /\ (accept_population_ A muslim_ n60_ /\ (accept_population_ A native_ n1_ /\ accept_population_ A other_ n1_)))) <-> accept_city_ A sunnysideport_)).
Variable a2_4_11 : (forall A : Universe, ((accept_population_ A atheist_ n70_ /\ (accept_population_ A christian_ n15_ /\ (accept_population_ A muslim_ n1_ /\ (accept_population_ A native_ n10_ /\ accept_population_ A other_ n4_)))) <-> accept_city_ A centrallakecity_)).
Variable a2_5_12 : (forall A : Universe, ((accept_population_ A atheist_ n68_ /\ (accept_population_ A christian_ n16_ /\ (accept_population_ A muslim_ n1_ /\ (accept_population_ A native_ n11_ /\ accept_population_ A other_ n4_)))) <-> accept_city_ A stjosephburgh_)).
Variable a2_6_13 : (forall A : Universe, ((accept_population_ A atheist_ n70_ /\ (accept_population_ A christian_ n13_ /\ (accept_population_ A muslim_ n0_ /\ (accept_population_ A native_ n15_ /\ accept_population_ A other_ n2_)))) <-> accept_city_ A northport_)).
Variable a2_7_14 : (forall A : Universe, ((accept_population_ A atheist_ n12_ /\ (accept_population_ A christian_ n3_ /\ (accept_population_ A muslim_ n0_ /\ (accept_population_ A native_ n85_ /\ accept_population_ A other_ n0_)))) <-> accept_city_ A coastvillage_)).
Variable a2_8_15 : (forall A : Universe, ((accept_population_ A atheist_ n0_ /\ (accept_population_ A christian_ n0_ /\ (accept_population_ A muslim_ n0_ /\ (accept_population_ A native_ n100_ /\ accept_population_ A other_ n0_)))) <-> accept_city_ A sunsetpoint_)).
Variable a2_9_16 : (forall A : Universe, ((accept_population_ A atheist_ n75_ /\ (accept_population_ A christian_ n24_ /\ (accept_population_ A muslim_ n1_ /\ (accept_population_ A native_ n0_ /\ accept_population_ A other_ n0_)))) <-> accept_city_ A towna_)).
Variable a2_10_17 : (forall A : Universe, ((accept_population_ A atheist_ n75_ /\ (accept_population_ A christian_ n25_ /\ (accept_population_ A muslim_ n0_ /\ (accept_population_ A native_ n0_ /\ accept_population_ A other_ n0_)))) <-> accept_city_ A citya_)).
Variable a2_11_18 : (forall A : Universe, ((accept_population_ A atheist_ n70_ /\ (accept_population_ A christian_ n20_ /\ (accept_population_ A muslim_ n8_ /\ (accept_population_ A native_ n0_ /\ accept_population_ A other_ n2_)))) <-> accept_city_ A townb_)).
Variable a2_12_19 : (forall A : Universe, ((accept_population_ A atheist_ n78_ /\ (accept_population_ A christian_ n20_ /\ (accept_population_ A muslim_ n1_ /\ (accept_population_ A native_ n0_ /\ accept_population_ A other_ n1_)))) <-> accept_city_ A cityb_)).
Variable a2_13_20 : (forall A : Universe, ((accept_population_ A atheist_ n30_ /\ (accept_population_ A christian_ n0_ /\ (accept_population_ A muslim_ n65_ /\ (accept_population_ A native_ n0_ /\ accept_population_ A other_ n5_)))) <-> accept_city_ A townc_)).
Variable event_1_21 : accept_team_ countryahumanitarianorganization_ countryacivilorganization_ cityb_ n6_.
Variable event_2_22 : accept_team_ countryahumanitarianorganization_ countryacivilorganization_ towna_ n6_.
Variable event_3_23 : accept_team_ countryahumanitarianorganization_ countryacivilorganization_ coastvillage_ n6_.
Variable event_4_24 : accept_team_ countryahumanitarianorganization_ countryafirstaidorganization_ coastvillage_ n6_.
Variable event_5_25 : the_agent_in_all_proposed_teams_ countryahumanitarianorganization_ christiancountrychumanitarianorganization_ coastvillage_.
Variable event_6_26 : any_agent_in_all_proposed_teams_ countryahumanitarianorganization_ christiancountrychumanitarianorganization_ coastvillage_.
Variable event_7_27 : accept_team_ countryccivilorganization_ countrybhumanitarianorganization_ cityb_ n2_.
Variable event_8_28 : accept_team_ muslimcountrybhumanitarianorganization_ countrybhumanitarianorganization_ cityb_ n4_.
Variable event_9_29 : ~(accept_team_ muslimcountrybhumanitarianorganization_ countrycmedicalorganization_ towna_ n4_).
Variable event_10_30 : ~(accept_team_ muslimcountrybhumanitarianorganization_ countrycmedicalorganization_ towna_ n5_).
Variable event_11_31 : the_agent_not_in_any_proposed_teams_ muslimcountrybhumanitarianorganization_ countryacivilorganization_ towna_.
Variable event_12_32 : any_agent_in_all_proposed_teams_ muslimcountrybhumanitarianorganization_ countryacivilorganization_ towna_.
Variable event_13_33 : accept_team_ muslimcountrybhumanitarianorganization_ christiancountrychumanitarianorganization_ coastvillage_ n5_.
Variable event_14_34 : accept_team_ countryamedicalorganization_ countryacivilorganization_ cityb_ n6_.
Variable event_15_35 : accept_team_ christiancountrychumanitarianorganization_ countrybhumanitarianorganization_ cityb_ n4_.
Variable event_16_36 : accept_team_ countryafirstaidorganization_ countryacivilorganization_ cityb_ n6_.
Variable event_17_37 : accept_number_ countrybhumanitarianorganization_ n4_.
Variable event_18_38 : accept_team_ countrybcivilorganization_ countrybhumanitarianorganization_ cityb_ n4_.
Variable event_19_39 : accept_team_ christiansufferterrahumanitarianorganization_ countryacivilorganization_ cityb_ n6_.
Variable event_20_40 : accept_team_ sufferterragovernment_ countryacivilorganization_ cityb_ n6_.
Variable event_21_41 : accept_number_ countrybhumanitarianorganization_ n1_.
Variable event_22_42 : the_agent_in_all_proposed_teams_ countrybhumanitarianorganization_ countryacivilorganization_ towna_.
Variable event_23_43 : any_agent_in_all_proposed_teams_ countrybhumanitarianorganization_ countryacivilorganization_ towna_.
Variable event_24_44 : accept_team_ countrybhumanitarianorganization_ christiancountrychumanitarianorganization_ coastvillage_ n5_.
Variable event_25_45 : accept_team_ countrybhumanitarianorganization_ christiancountrychumanitarianorganization_ coastvillage_ n6_.
Variable event_26_46 : accept_team_ christiansufferterrahumanitarianorganization_ countryacivilorganization_ towna_ n6_.
Variable event_27_47 : accept_team_ countryamedicalorganization_ countryacivilorganization_ towna_ n6_.
Variable event_28_48 : accept_number_ countryahumanitarianorganization_ n2_.
Variable event_29_49 : ~(accept_team_ countryamedicalorganization_ countryahumanitarianorganization_ coastvillage_ n2_).
Variable event_30_50 : ~(accept_team_ countryamedicalorganization_ countryafirstaidorganization_ coastvillage_ n2_).
Variable event_31_51 : ~(accept_team_ countryamedicalorganization_ countryacivilorganization_ coastvillage_ n2_).
Variable event_32_52 : ~(accept_team_ countryamedicalorganization_ christiansufferterrahumanitarianorganization_ coastvillage_ n2_).
Variable event_33_53 : ~(accept_team_ countryamedicalorganization_ sufferterragovernment_ coastvillage_ n2_).
Variable event_34_54 : ~(accept_team_ countryamedicalorganization_ countryahumanitarianorganization_ coastvillage_ n6_).
Variable event_35_55 : ~(accept_team_ countryamedicalorganization_ countryacivilorganization_ coastvillage_ n6_).
Variable event_36_56 : ~(accept_team_ countryamedicalorganization_ countryafirstaidorganization_ coastvillage_ n6_).
Variable event_37_57 : the_agent_not_in_any_proposed_teams_ countryamedicalorganization_ christiancountrychumanitarianorganization_ coastvillage_.
Variable event_38_58 : any_agent_in_all_proposed_teams_ countryamedicalorganization_ christiancountrychumanitarianorganization_ coastvillage_.
Variable event_39_59 : accept_team_ countryccivilorganization_ countrycmedicalorganization_ towna_ n4_.
Variable event_40_60 : ~(accept_team_ countryccivilorganization_ countrycmedicalorganization_ towna_ n5_).
Variable event_41_61 : the_agent_in_all_proposed_teams_ countryccivilorganization_ countryacivilorganization_ towna_.
Variable event_42_62 : any_agent_in_all_proposed_teams_ countryccivilorganization_ countryacivilorganization_ towna_.
Variable event_43_63 : accept_team_ countrybcivilorganization_ countrycmedicalorganization_ towna_ n4_.
Variable event_44_64 : accept_team_ countrybcivilorganization_ countrycmedicalorganization_ towna_ n5_.
Variable event_45_65 : accept_number_ countrybcivilorganization_ n5_.
Variable event_46_66 : the_agent_in_all_proposed_teams_ countrybcivilorganization_ countryacivilorganization_ towna_.
Variable event_47_67 : any_agent_in_all_proposed_teams_ countrybcivilorganization_ countryacivilorganization_ towna_.
Variable event_48_68 : accept_team_ sufferterragovernment_ countryacivilorganization_ towna_ n6_.
Variable event_49_69 : the_agent_in_all_proposed_teams_ countrycmedicalorganization_ countryacivilorganization_ towna_.
Variable event_50_70 : any_agent_in_all_proposed_teams_ countrycmedicalorganization_ countryacivilorganization_ towna_.
Variable event_51_71 : accept_team_ countrycmedicalorganization_ christiancountrychumanitarianorganization_ coastvillage_ n5_.
Variable event_52_72 : accept_number_ countrycmedicalorganization_ n4_.
Variable event_53_73 : accept_team_ christiancountrychumanitarianorganization_ countrycmedicalorganization_ towna_ n4_.
Variable event_54_74 : accept_number_ countrycmedicalorganization_ n5_.
Variable event_55_75 : accept_team_ christiancountrychumanitarianorganization_ countrycmedicalorganization_ towna_ n5_.
Variable event_56_76 : the_agent_in_all_proposed_teams_ christiancountrychumanitarianorganization_ countryacivilorganization_ towna_.
Variable event_57_77 : any_agent_in_all_proposed_teams_ christiancountrychumanitarianorganization_ countryacivilorganization_ towna_.
Variable event_58_78 : accept_team_ countryafirstaidorganization_ countryacivilorganization_ towna_ n6_.
Variable event_59_79 : accept_number_ countryacivilorganization_ n2_.
Variable event_60_80 : accept_team_ countryacivilorganization_ countryahumanitarianorganization_ coastvillage_ n5_.
Variable event_61_81 : accept_team_ countryacivilorganization_ countryahumanitarianorganization_ coastvillage_ n6_.
Variable event_62_82 : accept_team_ countryacivilorganization_ countryafirstaidorganization_ coastvillage_ n6_.
Variable event_63_83 : the_agent_in_all_proposed_teams_ countryacivilorganization_ christiancountrychumanitarianorganization_ coastvillage_.
Variable event_64_84 : any_agent_in_all_proposed_teams_ countryacivilorganization_ christiancountrychumanitarianorganization_ coastvillage_.
Variable event_65_85 : accept_number_ countryafirstaidorganization_ n2_.
Variable event_66_86 : accept_team_ countryafirstaidorganization_ countryahumanitarianorganization_ coastvillage_ n5_.
Variable event_67_87 : accept_team_ countryafirstaidorganization_ countryahumanitarianorganization_ coastvillage_ n6_.
Variable event_68_88 : accept_team_ countryafirstaidorganization_ countryacivilorganization_ coastvillage_ n6_.
Variable event_69_89 : the_agent_in_all_proposed_teams_ countryafirstaidorganization_ christiancountrychumanitarianorganization_ coastvillage_.
Variable event_70_90 : any_agent_in_all_proposed_teams_ countryafirstaidorganization_ christiancountrychumanitarianorganization_ coastvillage_.
Variable event_71_91 : ~(accept_team_ countryccivilorganization_ christiancountrychumanitarianorganization_ coastvillage_ n5_).
Variable event_72_92 : ~(accept_team_ countryccivilorganization_ christiancountrychumanitarianorganization_ coastvillage_ n6_).
Variable event_73_93 : accept_number_ christiancountrychumanitarianorganization_ n5_.
Variable event_74_94 : accept_team_ countrybcivilorganization_ christiancountrychumanitarianorganization_ coastvillage_ n5_.
Variable event_75_95 : accept_team_ countrybcivilorganization_ christiancountrychumanitarianorganization_ coastvillage_ n6_.
Variable event_76_96 : accept_team_ countrybcivilorganization_ muslimcountrybhumanitarianorganization_ townc_ n6_.
Variable event_77_97 : accept_team_ countrybcivilorganization_ countrybhumanitarianorganization_ townc_ n6_.
Variable event_78_98 : accept_team_ countrybcivilorganization_ christiancountrychumanitarianorganization_ townc_ n6_.
Variable event_79_99 : accept_team_ countrybcivilorganization_ countrycmedicalorganization_ townc_ n6_.
Variable event_80_100 : the_agent_in_all_proposed_teams_ countrybcivilorganization_ countryahumanitarianorganization_ townc_.
Variable event_81_101 : any_agent_in_all_proposed_teams_ countrybcivilorganization_ countryahumanitarianorganization_ townc_.
Variable event_82_102 : accept_team_ sufferterragovernment_ countryahumanitarianorganization_ coastvillage_ n5_.
Variable event_83_103 : accept_team_ sufferterragovernment_ countryahumanitarianorganization_ coastvillage_ n6_.
Variable event_84_104 : accept_team_ sufferterragovernment_ countryacivilorganization_ coastvillage_ n6_.
Variable event_85_105 : accept_team_ sufferterragovernment_ countryafirstaidorganization_ coastvillage_ n6_.
Variable event_86_106 : the_agent_in_all_proposed_teams_ sufferterragovernment_ christiancountrychumanitarianorganization_ coastvillage_.
Variable event_87_107 : any_agent_in_all_proposed_teams_ sufferterragovernment_ christiancountrychumanitarianorganization_ coastvillage_.
Variable event_88_108 : accept_number_ christiansufferterrahumanitarianorganization_ n2_.
Variable event_89_109 : accept_number_ countryahumanitarianorganization_ n5_.
Variable event_90_110 : accept_team_ christiansufferterrahumanitarianorganization_ countryahumanitarianorganization_ coastvillage_ n5_.
Variable event_91_111 : accept_team_ christiansufferterrahumanitarianorganization_ countryahumanitarianorganization_ coastvillage_ n6_.
Variable event_92_112 : accept_team_ christiansufferterrahumanitarianorganization_ countryacivilorganization_ coastvillage_ n6_.
Variable event_93_113 : accept_team_ christiansufferterrahumanitarianorganization_ countryafirstaidorganization_ coastvillage_ n6_.
Variable event_94_114 : the_agent_in_all_proposed_teams_ christiansufferterrahumanitarianorganization_ christiancountrychumanitarianorganization_ coastvillage_.
Variable event_95_115 : any_agent_in_all_proposed_teams_ christiansufferterrahumanitarianorganization_ christiancountrychumanitarianorganization_ coastvillage_.
Variable event_96_116 : accept_team_ countrycmedicalorganization_ christiancountrychumanitarianorganization_ coastvillage_ n6_.
Variable event_97_117 : accept_team_ muslimcountrybhumanitarianorganization_ christiancountrychumanitarianorganization_ coastvillage_ n6_.
Variable event_98_118 : accept_number_ muslimcountrybhumanitarianorganization_ n3_.
Variable event_99_119 : accept_team_ muslimcountrybhumanitarianorganization_ countryccivilorganization_ townc_ n4_.
Variable event_100_120 : accept_team_ muslimcountrybhumanitarianorganization_ countrybcivilorganization_ townc_ n6_.
Variable event_101_121 : accept_team_ muslimcountrybhumanitarianorganization_ countrybhumanitarianorganization_ townc_ n6_.
Variable event_102_122 : accept_team_ muslimcountrybhumanitarianorganization_ christiancountrychumanitarianorganization_ townc_ n6_.
Variable event_103_123 : accept_team_ muslimcountrybhumanitarianorganization_ countrycmedicalorganization_ townc_ n6_.
Variable event_104_124 : the_agent_in_all_proposed_teams_ muslimcountrybhumanitarianorganization_ countryahumanitarianorganization_ townc_.
Variable event_105_125 : any_agent_in_all_proposed_teams_ muslimcountrybhumanitarianorganization_ countryahumanitarianorganization_ townc_.
Variable event_106_126 : accept_team_ countryacivilorganization_ countryahumanitarianorganization_ townc_ n6_.
Variable event_107_127 : accept_team_ countryafirstaidorganization_ countryahumanitarianorganization_ townc_ n6_.
Variable event_108_128 : accept_team_ christiancountrychumanitarianorganization_ countryccivilorganization_ townc_ n4_.
Variable event_109_129 : accept_team_ christiancountrychumanitarianorganization_ muslimcountrybhumanitarianorganization_ townc_ n6_.
Variable event_110_130 : accept_team_ christiancountrychumanitarianorganization_ countrybcivilorganization_ townc_ n6_.
Variable event_111_131 : accept_team_ christiancountrychumanitarianorganization_ countrybhumanitarianorganization_ townc_ n6_.
Variable event_112_132 : accept_team_ christiancountrychumanitarianorganization_ countrycmedicalorganization_ townc_ n6_.
Variable event_113_133 : the_agent_in_all_proposed_teams_ christiancountrychumanitarianorganization_ countryahumanitarianorganization_ townc_.
Variable event_114_134 : any_agent_in_all_proposed_teams_ christiancountrychumanitarianorganization_ countryahumanitarianorganization_ townc_.
Variable event_115_135 : ~(accept_team_ countryccivilorganization_ muslimcountrybhumanitarianorganization_ townc_ n6_).
Variable event_116_136 : ~(accept_team_ countryccivilorganization_ countrybcivilorganization_ townc_ n6_).
Variable event_117_137 : ~(accept_team_ countryccivilorganization_ countrybhumanitarianorganization_ townc_ n6_).
Variable event_118_138 : ~(accept_team_ countryccivilorganization_ christiancountrychumanitarianorganization_ townc_ n6_).
Variable event_119_139 : ~(accept_team_ countryccivilorganization_ countrycmedicalorganization_ townc_ n6_).
Variable event_120_140 : the_agent_in_all_proposed_teams_ countryccivilorganization_ countryahumanitarianorganization_ townc_.
Variable event_121_141 : any_agent_in_all_proposed_teams_ countryccivilorganization_ countryahumanitarianorganization_ townc_.
Variable event_122_142 : accept_team_ countrybhumanitarianorganization_ countrybcivilorganization_ townc_ n2_.
Variable event_123_143 : accept_team_ countrybhumanitarianorganization_ muslimcountrybhumanitarianorganization_ townc_ n6_.
Variable event_124_144 : accept_team_ sufferterragovernment_ countryahumanitarianorganization_ townc_ n6_.
Variable event_125_145 : accept_team_ christiansufferterrahumanitarianorganization_ countryahumanitarianorganization_ townc_ n6_.
Variable event_126_146 : accept_team_ countryamedicalorganization_ countryahumanitarianorganization_ townc_ n6_.
Variable event_127_147 : accept_team_ countrycmedicalorganization_ countryccivilorganization_ townc_ n4_.
Variable event_128_148 : accept_team_ countrycmedicalorganization_ muslimcountrybhumanitarianorganization_ townc_ n6_.
Variable event_129_149 : accept_team_ countrycmedicalorganization_ countrybcivilorganization_ townc_ n6_.
Variable event_130_150 : accept_team_ countrycmedicalorganization_ countrybhumanitarianorganization_ townc_ n6_.
Variable event_131_151 : accept_team_ countrycmedicalorganization_ christiancountrychumanitarianorganization_ townc_ n6_.
Variable event_132_152 : the_agent_in_all_proposed_teams_ countrycmedicalorganization_ countryahumanitarianorganization_ townc_.
Variable event_133_153 : any_agent_in_all_proposed_teams_ countrycmedicalorganization_ countryahumanitarianorganization_ townc_.
Variable event_134_154 : accept_team_ countrybhumanitarianorganization_ countrybcivilorganization_ townc_ n6_.
Variable event_135_155 : accept_team_ countrybhumanitarianorganization_ christiancountrychumanitarianorganization_ townc_ n6_.
Variable event_136_156 : accept_team_ countrybhumanitarianorganization_ countrycmedicalorganization_ townc_ n6_.
Variable event_137_157 : the_agent_in_all_proposed_teams_ countrybhumanitarianorganization_ countryahumanitarianorganization_ townc_.
Variable event_138_158 : any_agent_in_all_proposed_teams_ countrybhumanitarianorganization_ countryahumanitarianorganization_ townc_.
Variable event_139_159 : accept_team_ christiansufferterrahumanitarianorganization_ countryahumanitarianorganization_ cityb_ n6_.
Variable event_140_160 : accept_number_ christiansufferterrahumanitarianorganization_ n6_.
Variable event_141_161 : the_agent_in_all_proposed_teams_ christiansufferterrahumanitarianorganization_ countrybhumanitarianorganization_ cityb_.
Variable event_142_162 : any_agent_in_all_proposed_teams_ christiansufferterrahumanitarianorganization_ countrybhumanitarianorganization_ cityb_.
Variable event_143_163 : ~(accept_team_ countryccivilorganization_ countrybhumanitarianorganization_ cityb_ n5_).
Variable event_144_164 : ~(accept_team_ countryccivilorganization_ countrybhumanitarianorganization_ cityb_ n6_).
Variable event_145_165 : accept_team_ sufferterragovernment_ countryahumanitarianorganization_ cityb_ n6_.
Variable event_146_166 : the_agent_in_all_proposed_teams_ sufferterragovernment_ countrybhumanitarianorganization_ cityb_.
Variable event_147_167 : any_agent_in_all_proposed_teams_ sufferterragovernment_ countrybhumanitarianorganization_ cityb_.
Variable event_148_168 : accept_team_ countryafirstaidorganization_ countryahumanitarianorganization_ cityb_ n6_.
Variable event_149_169 : accept_number_ countryafirstaidorganization_ n6_.
Variable event_150_170 : the_agent_in_all_proposed_teams_ countryafirstaidorganization_ countrybhumanitarianorganization_ cityb_.
Variable event_151_171 : any_agent_in_all_proposed_teams_ countryafirstaidorganization_ countrybhumanitarianorganization_ cityb_.
Variable event_152_172 : accept_team_ countryafirstaidorganization_ sufferterragovernment_ towna_ n5_.
Variable event_153_173 : accept_team_ countryafirstaidorganization_ sufferterragovernment_ towna_ n6_.
Variable event_154_174 : accept_team_ countrycmedicalorganization_ countrybhumanitarianorganization_ cityb_ n5_.
Variable event_155_175 : accept_team_ countrycmedicalorganization_ countrybhumanitarianorganization_ cityb_ n6_.
Variable event_156_176 : accept_team_ countryamedicalorganization_ countryahumanitarianorganization_ cityb_ n6_.
Variable event_157_177 : accept_number_ countryamedicalorganization_ n6_.
Variable event_158_178 : the_agent_in_all_proposed_teams_ countryamedicalorganization_ countrybhumanitarianorganization_ cityb_.
Variable event_159_179 : any_agent_in_all_proposed_teams_ countryamedicalorganization_ countrybhumanitarianorganization_ cityb_.
Variable event_160_180 : accept_team_ countrybcivilorganization_ countrybhumanitarianorganization_ cityb_ n5_.
Variable event_161_181 : accept_team_ countrybcivilorganization_ countrybhumanitarianorganization_ cityb_ n6_.
Variable event_162_182 : accept_team_ christiancountrychumanitarianorganization_ countrybhumanitarianorganization_ cityb_ n5_.
Variable event_163_183 : accept_team_ christiancountrychumanitarianorganization_ countrybhumanitarianorganization_ cityb_ n6_.
Variable event_164_184 : the_agent_in_all_proposed_teams_ countryahumanitarianorganization_ countrybhumanitarianorganization_ cityb_.
Variable event_165_185 : any_agent_in_all_proposed_teams_ countryahumanitarianorganization_ countrybhumanitarianorganization_ cityb_.
Variable event_166_186 : accept_number_ countryahumanitarianorganization_ n6_.
Variable event_167_187 : accept_team_ countryacivilorganization_ countryahumanitarianorganization_ cityb_ n6_.
Variable event_168_188 : accept_number_ countryacivilorganization_ n6_.
Variable event_169_189 : the_agent_in_all_proposed_teams_ countryacivilorganization_ countrybhumanitarianorganization_ cityb_.
Variable event_170_190 : any_agent_in_all_proposed_teams_ countryacivilorganization_ countrybhumanitarianorganization_ cityb_.
Variable event_171_191 : accept_number_ countrybhumanitarianorganization_ n5_.
Variable event_172_192 : accept_team_ muslimcountrybhumanitarianorganization_ countrybhumanitarianorganization_ cityb_ n5_.
Variable event_173_193 : accept_team_ muslimcountrybhumanitarianorganization_ countrybhumanitarianorganization_ cityb_ n6_.
Variable event_174_194 : ~(accept_team_ muslimcountrybhumanitarianorganization_ countrybcivilorganization_ towna_ n2_).
Variable event_175_195 : ~(accept_team_ muslimcountrybhumanitarianorganization_ countrycmedicalorganization_ towna_ n2_).
Variable event_176_196 : ~(accept_team_ muslimcountrybhumanitarianorganization_ christiancountrychumanitarianorganization_ towna_ n2_).
Variable event_177_197 : ~(accept_team_ muslimcountrybhumanitarianorganization_ countryccivilorganization_ towna_ n2_).
Variable event_178_198 : ~(accept_team_ muslimcountrybhumanitarianorganization_ countrybcivilorganization_ towna_ n3_).
Variable event_179_199 : ~(accept_team_ muslimcountrybhumanitarianorganization_ christiancountrychumanitarianorganization_ towna_ n3_).
Variable event_180_200 : ~(accept_team_ muslimcountrybhumanitarianorganization_ countrycmedicalorganization_ towna_ n3_).
Variable event_181_201 : ~(accept_team_ muslimcountrybhumanitarianorganization_ countryccivilorganization_ towna_ n3_).
Variable event_182_202 : ~(accept_team_ muslimcountrybhumanitarianorganization_ countrybhumanitarianorganization_ towna_ n2_).
Variable event_183_203 : accept_number_ muslimcountrybhumanitarianorganization_ n2_.
Variable event_184_204 : ~(accept_team_ muslimcountrybhumanitarianorganization_ countryccivilorganization_ towna_ n4_).
Variable event_185_205 : ~(accept_team_ muslimcountrybhumanitarianorganization_ countrybcivilorganization_ towna_ n6_).
Variable event_186_206 : ~(accept_team_ muslimcountrybhumanitarianorganization_ countrybhumanitarianorganization_ towna_ n6_).
Variable event_187_207 : ~(accept_team_ muslimcountrybhumanitarianorganization_ christiancountrychumanitarianorganization_ towna_ n6_).
Variable event_188_208 : accept_team_ countryamedicalorganization_ sufferterragovernment_ towna_ n5_.
Variable event_189_209 : accept_team_ countryamedicalorganization_ sufferterragovernment_ towna_ n6_.
Variable event_190_210 : accept_team_ countryahumanitarianorganization_ sufferterragovernment_ towna_ n5_.
Variable event_191_211 : accept_team_ countryahumanitarianorganization_ sufferterragovernment_ towna_ n6_.
Variable event_192_212 : accept_number_ christiancountrychumanitarianorganization_ n2_.
Variable event_193_213 : accept_team_ countrybhumanitarianorganization_ countrybcivilorganization_ towna_ n3_.
Variable event_194_214 : accept_team_ countrybhumanitarianorganization_ christiancountrychumanitarianorganization_ towna_ n3_.
Variable event_195_215 : accept_team_ countrybhumanitarianorganization_ countrycmedicalorganization_ towna_ n3_.
Variable event_196_216 : accept_team_ countrybhumanitarianorganization_ countryccivilorganization_ towna_ n3_.
Variable event_197_217 : accept_number_ countrybhumanitarianorganization_ n2_.
Variable event_198_218 : accept_team_ countrybhumanitarianorganization_ countrybcivilorganization_ towna_ n6_.
Variable event_199_219 : accept_team_ countrybhumanitarianorganization_ christiancountrychumanitarianorganization_ towna_ n6_.
Variable event_200_220 : accept_team_ countrybhumanitarianorganization_ countrycmedicalorganization_ towna_ n6_.
Variable event_201_221 : the_agent_in_all_proposed_teams_ countrybhumanitarianorganization_ sufferterragovernment_ towna_.
Variable event_202_222 : any_agent_in_all_proposed_teams_ countrybhumanitarianorganization_ sufferterragovernment_ towna_.
Variable event_203_223 : accept_number_ countrybcivilorganization_ n2_.
Variable event_204_224 : accept_number_ countrybcivilorganization_ n3_.
Variable event_205_225 : accept_team_ countrybcivilorganization_ countryccivilorganization_ towna_ n4_.
Variable event_206_226 : accept_team_ countrybcivilorganization_ countrybhumanitarianorganization_ towna_ n6_.
Variable event_207_227 : accept_team_ countrybcivilorganization_ christiancountrychumanitarianorganization_ towna_ n6_.
Variable event_208_228 : accept_team_ countrybcivilorganization_ countrycmedicalorganization_ towna_ n6_.
Variable event_209_229 : the_agent_in_all_proposed_teams_ countrybcivilorganization_ sufferterragovernment_ towna_.
Variable event_210_230 : any_agent_in_all_proposed_teams_ countrybcivilorganization_ sufferterragovernment_ towna_.
Variable event_211_231 : accept_number_ sufferterragovernment_ n2_.
Variable event_212_232 : ~(accept_team_ christiansufferterrahumanitarianorganization_ sufferterragovernment_ towna_ n2_).
Variable event_213_233 : ~(accept_team_ christiansufferterrahumanitarianorganization_ sufferterragovernment_ towna_ n6_).
Variable event_214_234 : accept_number_ countryccivilorganization_ n2_.
Variable event_215_235 : accept_number_ countryccivilorganization_ n3_.
Variable event_216_236 : ~(accept_team_ countryccivilorganization_ countrybcivilorganization_ towna_ n6_).
Variable event_217_237 : ~(accept_team_ countryccivilorganization_ countrybhumanitarianorganization_ towna_ n6_).
Variable event_218_238 : ~(accept_team_ countryccivilorganization_ christiancountrychumanitarianorganization_ towna_ n6_).
Variable event_219_239 : ~(accept_team_ countryccivilorganization_ countrycmedicalorganization_ towna_ n6_).
Variable event_220_240 : the_agent_in_all_proposed_teams_ countryccivilorganization_ sufferterragovernment_ towna_.
Variable event_221_241 : any_agent_in_all_proposed_teams_ countryccivilorganization_ sufferterragovernment_ towna_.
Variable event_222_242 : accept_number_ sufferterragovernment_ n5_.
Variable event_223_243 : accept_team_ countryacivilorganization_ sufferterragovernment_ towna_ n5_.
Variable event_224_244 : accept_number_ sufferterragovernment_ n6_.
Variable event_225_245 : accept_team_ countryacivilorganization_ sufferterragovernment_ towna_ n6_.
Variable event_226_246 : accept_number_ countrycmedicalorganization_ n2_.
Variable event_227_247 : accept_number_ countrycmedicalorganization_ n3_.
Variable event_228_248 : accept_team_ countrycmedicalorganization_ countryccivilorganization_ towna_ n4_.
Variable event_229_249 : accept_team_ countrycmedicalorganization_ countrybcivilorganization_ towna_ n6_.
Variable event_230_250 : accept_team_ countrycmedicalorganization_ countrybhumanitarianorganization_ towna_ n6_.
Variable event_231_251 : accept_team_ countrycmedicalorganization_ christiancountrychumanitarianorganization_ towna_ n6_.
Variable event_232_252 : the_agent_in_all_proposed_teams_ countrycmedicalorganization_ sufferterragovernment_ towna_.
Variable event_233_253 : any_agent_in_all_proposed_teams_ countrycmedicalorganization_ sufferterragovernment_ towna_.
Variable event_234_254 : accept_number_ christiancountrychumanitarianorganization_ n3_.
Variable event_235_255 : accept_number_ countryccivilorganization_ n4_.
Variable event_236_256 : accept_team_ christiancountrychumanitarianorganization_ countryccivilorganization_ towna_ n4_.
Variable event_237_257 : accept_number_ countrybcivilorganization_ n6_.
Variable event_238_258 : accept_team_ christiancountrychumanitarianorganization_ countrybcivilorganization_ towna_ n6_.
Variable event_239_259 : accept_number_ countrybhumanitarianorganization_ n6_.
Variable event_240_260 : accept_team_ christiancountrychumanitarianorganization_ countrybhumanitarianorganization_ towna_ n6_.
Variable event_241_261 : accept_team_ christiancountrychumanitarianorganization_ countrycmedicalorganization_ towna_ n6_.
Variable event_242_262 : accept_number_ christiancountrychumanitarianorganization_ n6_.
Variable event_243_263 : the_agent_in_all_proposed_teams_ christiancountrychumanitarianorganization_ sufferterragovernment_ towna_.
Variable event_244_264 : any_agent_in_all_proposed_teams_ christiancountrychumanitarianorganization_ sufferterragovernment_ towna_.
Variable event_245_265 : accept_number_ countrycmedicalorganization_ n6_.
Variable event_246_266 : ~(accept_team_ muslimcountrybhumanitarianorganization_ countrycmedicalorganization_ towna_ n6_).
Variable event_247_267 : accept_number_ muslimcountrybhumanitarianorganization_ n6_.
Variable event_248_268 : the_agent_not_in_any_proposed_teams_ muslimcountrybhumanitarianorganization_ sufferterragovernment_ towna_.
Variable event_249_269 : any_agent_in_all_proposed_teams_ muslimcountrybhumanitarianorganization_ sufferterragovernment_ towna_.
Variable deduced_1_270 : accept_leader_ christiancountrychumanitarianorganization_ countryacivilorganization_.
Variable deduced_2_271 : accept_leader_ christiancountrychumanitarianorganization_ muslimcountrybhumanitarianorganization_.
Variable deduced_3_272 : accept_population_ christiancountrychumanitarianorganization_ other_ n5_.
Variable deduced_4_273 : accept_population_ christiancountrychumanitarianorganization_ muslim_ n65_.
Variable deduced_5_274 : accept_population_ christiancountrychumanitarianorganization_ christian_ n0_.
Variable deduced_6_275 : accept_population_ christiancountrychumanitarianorganization_ atheist_ n30_.
Variable deduced_7_276 : accept_city_ christiancountrychumanitarianorganization_ townc_.
Variable deduced_8_277 : accept_leader_ christiancountrychumanitarianorganization_ countryahumanitarianorganization_.
Variable deduced_9_278 : accept_population_ christiancountrychumanitarianorganization_ other_ n1_.
Variable deduced_10_279 : accept_population_ christiancountrychumanitarianorganization_ christian_ n20_.
Variable deduced_11_280 : accept_population_ christiancountrychumanitarianorganization_ atheist_ n78_.
Variable deduced_12_281 : accept_city_ christiancountrychumanitarianorganization_ cityb_.
Variable deduced_13_282 : ~(accept_city_ countryamedicalorganization_ coastvillage_).
Variable deduced_14_283 : accept_leader_ countryamedicalorganization_ christiancountrychumanitarianorganization_.
Variable deduced_15_284 : accept_population_ countryamedicalorganization_ other_ n5_.
Variable deduced_16_285 : accept_population_ countryamedicalorganization_ muslim_ n65_.
Variable deduced_17_286 : accept_population_ countryamedicalorganization_ christian_ n0_.
Variable deduced_18_287 : accept_population_ countryamedicalorganization_ atheist_ n30_.
Variable deduced_19_288 : accept_leader_ countryamedicalorganization_ countryahumanitarianorganization_.
Variable deduced_20_289 : accept_city_ countryamedicalorganization_ townc_.
Variable deduced_21_290 : accept_leader_ countryahumanitarianorganization_ countryamedicalorganization_.
Variable deduced_22_291 : accept_leader_ countryahumanitarianorganization_ countryafirstaidorganization_.
Variable deduced_23_292 : accept_population_ countryahumanitarianorganization_ native_ n85_.
Variable deduced_24_293 : accept_population_ countryahumanitarianorganization_ muslim_ n0_.
Variable deduced_25_294 : accept_population_ countryahumanitarianorganization_ christian_ n3_.
Variable deduced_26_295 : accept_population_ countryahumanitarianorganization_ atheist_ n12_.
Variable deduced_27_296 : accept_city_ countryahumanitarianorganization_ coastvillage_.
Variable deduced_28_297 : accept_leader_ countryahumanitarianorganization_ christiancountrychumanitarianorganization_.
Variable deduced_29_298 : accept_leader_ countryafirstaidorganization_ countryamedicalorganization_.
Variable deduced_30_299 : accept_leader_ christiansufferterrahumanitarianorganization_ countryamedicalorganization_.
Variable deduced_31_300 : accept_leader_ countrycmedicalorganization_ countryacivilorganization_.
Variable deduced_32_301 : accept_population_ countrycmedicalorganization_ native_ n85_.
Variable deduced_33_302 : accept_population_ countrycmedicalorganization_ muslim_ n0_.
Variable deduced_34_303 : accept_population_ countrycmedicalorganization_ christian_ n3_.
Variable deduced_35_304 : accept_population_ countrycmedicalorganization_ atheist_ n12_.
Variable deduced_36_305 : accept_city_ countrycmedicalorganization_ coastvillage_.
Variable deduced_37_306 : accept_leader_ countrybcivilorganization_ countryacivilorganization_.
Variable deduced_38_307 : accept_population_ countrybcivilorganization_ native_ n85_.
Variable deduced_39_308 : accept_population_ countrybcivilorganization_ muslim_ n0_.
Variable deduced_40_309 : accept_population_ countrybcivilorganization_ christian_ n3_.
Variable deduced_41_310 : accept_population_ countrybcivilorganization_ atheist_ n12_.
Variable deduced_42_311 : accept_city_ countrybcivilorganization_ coastvillage_.
Variable deduced_43_312 : accept_leader_ countrybcivilorganization_ muslimcountrybhumanitarianorganization_.
Variable deduced_44_313 : accept_population_ countrybcivilorganization_ other_ n5_.
Variable deduced_45_314 : accept_population_ countrybcivilorganization_ muslim_ n65_.
Variable deduced_46_315 : accept_population_ countrybcivilorganization_ christian_ n0_.
Variable deduced_47_316 : accept_population_ countrybcivilorganization_ atheist_ n30_.
Variable deduced_48_317 : accept_city_ countrybcivilorganization_ townc_.
Variable deduced_49_318 : accept_leader_ countrybcivilorganization_ countryahumanitarianorganization_.
Variable deduced_50_319 : accept_population_ countrybcivilorganization_ other_ n1_.
Variable deduced_51_320 : accept_population_ countrybcivilorganization_ christian_ n20_.
Variable deduced_52_321 : accept_population_ countrybcivilorganization_ atheist_ n78_.
Variable deduced_53_322 : accept_city_ countrybcivilorganization_ cityb_.
Variable deduced_54_323 : accept_leader_ sufferterragovernment_ countryamedicalorganization_.
Variable deduced_55_324 : accept_population_ sufferterragovernment_ christian_ n24_.
Variable deduced_56_325 : accept_population_ sufferterragovernment_ atheist_ n75_.
Variable deduced_57_326 : accept_city_ sufferterragovernment_ towna_.
Variable deduced_58_327 : ~(accept_number_ countryccivilorganization_ n5_).
Variable deduced_59_328 : accept_population_ countryccivilorganization_ other_ n1_.
Variable deduced_60_329 : accept_population_ countryccivilorganization_ christian_ n20_.
Variable deduced_61_330 : accept_population_ countryccivilorganization_ atheist_ n78_.
Variable deduced_62_331 : ~(accept_number_ countryccivilorganization_ n6_).
Variable deduced_63_332 : accept_leader_ countryccivilorganization_ countrybhumanitarianorganization_.
Variable deduced_64_333 : accept_city_ countryccivilorganization_ cityb_.
Variable deduced_65_334 : accept_leader_ countryccivilorganization_ countryacivilorganization_.
Variable deduced_66_335 : accept_leader_ countryacivilorganization_ countryamedicalorganization_.
Variable deduced_67_336 : accept_leader_ countryacivilorganization_ countryafirstaidorganization_.
Variable deduced_68_337 : accept_population_ countryacivilorganization_ native_ n85_.
Variable deduced_69_338 : accept_population_ countryacivilorganization_ muslim_ n0_.
Variable deduced_70_339 : accept_population_ countryacivilorganization_ christian_ n3_.
Variable deduced_71_340 : accept_population_ countryacivilorganization_ atheist_ n12_.
Variable deduced_72_341 : accept_city_ countryacivilorganization_ coastvillage_.
Variable deduced_73_342 : accept_leader_ countryacivilorganization_ christiancountrychumanitarianorganization_.
Variable deduced_74_343 : accept_population_ countryacivilorganization_ other_ n5_.
Variable deduced_75_344 : accept_population_ countryacivilorganization_ muslim_ n65_.
Variable deduced_76_345 : accept_population_ countryacivilorganization_ christian_ n0_.
Variable deduced_77_346 : accept_population_ countryacivilorganization_ atheist_ n30_.
Variable deduced_78_347 : accept_leader_ countryacivilorganization_ countryahumanitarianorganization_.
Variable deduced_79_348 : accept_city_ countryacivilorganization_ townc_.
Variable deduced_80_349 : accept_population_ christiansufferterrahumanitarianorganization_ christian_ n24_.
Variable deduced_81_350 : accept_population_ christiansufferterrahumanitarianorganization_ atheist_ n75_.
Variable deduced_82_351 : ~(accept_leader_ christiansufferterrahumanitarianorganization_ sufferterragovernment_).
Variable deduced_83_352 : accept_city_ christiansufferterrahumanitarianorganization_ towna_.
Variable deduced_84_353 : accept_leader_ christiansufferterrahumanitarianorganization_ countryafirstaidorganization_.
Variable deduced_85_354 : accept_population_ christiansufferterrahumanitarianorganization_ other_ n0_.
Variable deduced_86_355 : accept_population_ christiansufferterrahumanitarianorganization_ native_ n85_.
Variable deduced_87_356 : accept_population_ christiansufferterrahumanitarianorganization_ muslim_ n0_.
Variable deduced_88_357 : accept_population_ christiansufferterrahumanitarianorganization_ christian_ n3_.
Variable deduced_89_358 : accept_population_ christiansufferterrahumanitarianorganization_ atheist_ n12_.
Variable deduced_90_359 : accept_city_ christiansufferterrahumanitarianorganization_ coastvillage_.
Variable deduced_91_360 : accept_leader_ christiansufferterrahumanitarianorganization_ christiancountrychumanitarianorganization_.
Variable deduced_92_361 : accept_leader_ muslimcountrybhumanitarianorganization_ countryacivilorganization_.
Variable deduced_93_362 : accept_population_ muslimcountrybhumanitarianorganization_ other_ n0_.
Variable deduced_94_363 : accept_population_ muslimcountrybhumanitarianorganization_ native_ n85_.
Variable deduced_95_364 : accept_population_ muslimcountrybhumanitarianorganization_ muslim_ n0_.
Variable deduced_96_365 : accept_population_ muslimcountrybhumanitarianorganization_ christian_ n3_.
Variable deduced_97_366 : accept_population_ muslimcountrybhumanitarianorganization_ atheist_ n12_.
Variable deduced_98_367 : accept_city_ muslimcountrybhumanitarianorganization_ coastvillage_.
Variable deduced_99_368 : accept_population_ countryafirstaidorganization_ native_ n85_.
Variable deduced_100_369 : accept_population_ countryafirstaidorganization_ muslim_ n0_.
Variable deduced_101_370 : accept_population_ countryafirstaidorganization_ christian_ n3_.
Variable deduced_102_371 : accept_population_ countryafirstaidorganization_ atheist_ n12_.
Variable deduced_103_372 : accept_city_ countryafirstaidorganization_ coastvillage_.
Variable deduced_104_373 : accept_leader_ countryafirstaidorganization_ christiancountrychumanitarianorganization_.
Variable deduced_105_374 : accept_population_ countryafirstaidorganization_ other_ n5_.
Variable deduced_106_375 : accept_population_ countryafirstaidorganization_ muslim_ n65_.
Variable deduced_107_376 : accept_population_ countryafirstaidorganization_ christian_ n0_.
Variable deduced_108_377 : accept_population_ countryafirstaidorganization_ atheist_ n30_.
Variable deduced_109_378 : accept_leader_ countryafirstaidorganization_ countryahumanitarianorganization_.
Variable deduced_110_379 : accept_city_ countryafirstaidorganization_ townc_.
Variable deduced_111_380 : accept_leader_ countryafirstaidorganization_ countryacivilorganization_.
Variable deduced_112_381 : accept_population_ countryafirstaidorganization_ other_ n1_.
Variable deduced_113_382 : accept_population_ countryafirstaidorganization_ christian_ n20_.
Variable deduced_114_383 : accept_population_ countryafirstaidorganization_ atheist_ n78_.
Variable deduced_115_384 : accept_city_ countryafirstaidorganization_ cityb_.
Variable deduced_116_385 : accept_leader_ countryafirstaidorganization_ countrybhumanitarianorganization_.
Variable deduced_117_386 : accept_leader_ countrybhumanitarianorganization_ countryacivilorganization_.
Variable deduced_118_387 : accept_population_ countrybhumanitarianorganization_ native_ n85_.
Variable deduced_119_388 : accept_population_ countrybhumanitarianorganization_ muslim_ n0_.
Variable deduced_120_389 : accept_population_ countrybhumanitarianorganization_ christian_ n3_.
Variable deduced_121_390 : accept_population_ countrybhumanitarianorganization_ atheist_ n12_.
Variable deduced_122_391 : accept_city_ countrybhumanitarianorganization_ coastvillage_.
Variable deduced_123_392 : accept_leader_ countrybhumanitarianorganization_ muslimcountrybhumanitarianorganization_.
Variable deduced_124_393 : accept_population_ countrybhumanitarianorganization_ other_ n5_.
Variable deduced_125_394 : accept_population_ countrybhumanitarianorganization_ muslim_ n65_.
Variable deduced_126_395 : accept_population_ countrybhumanitarianorganization_ christian_ n0_.
Variable deduced_127_396 : accept_population_ countrybhumanitarianorganization_ atheist_ n30_.
Variable deduced_128_397 : accept_city_ countrybhumanitarianorganization_ townc_.
Variable deduced_129_398 : accept_leader_ countrybhumanitarianorganization_ countryahumanitarianorganization_.
Variable deduced_130_399 : accept_leader_ countrybhumanitarianorganization_ countryccivilorganization_.
Variable deduced_131_400 : accept_leader_ countrybhumanitarianorganization_ countrybcivilorganization_.
Variable deduced_132_401 : accept_leader_ countrybhumanitarianorganization_ christiancountrychumanitarianorganization_.
Variable deduced_133_402 : accept_leader_ countrybhumanitarianorganization_ countrycmedicalorganization_.
Variable deduced_134_403 : accept_population_ countrybhumanitarianorganization_ other_ n0_.
Variable deduced_135_404 : accept_population_ countrybhumanitarianorganization_ native_ n0_.
Variable deduced_136_405 : accept_population_ countrybhumanitarianorganization_ muslim_ n1_.
Variable deduced_137_406 : accept_population_ countrybhumanitarianorganization_ christian_ n24_.
Variable deduced_138_407 : accept_population_ countrybhumanitarianorganization_ atheist_ n75_.
Variable deduced_139_408 : accept_city_ countrybhumanitarianorganization_ towna_.
Variable deduced_140_409 : accept_leader_ countrybhumanitarianorganization_ sufferterragovernment_.
Variable deduced_141_410 : accept_leader_ sufferterragovernment_ countryafirstaidorganization_.
Variable deduced_142_411 : accept_population_ sufferterragovernment_ other_ n0_.
Variable deduced_143_412 : accept_population_ sufferterragovernment_ native_ n85_.
Variable deduced_144_413 : accept_population_ sufferterragovernment_ muslim_ n0_.
Variable deduced_145_414 : accept_population_ sufferterragovernment_ christian_ n3_.
Variable deduced_146_415 : accept_population_ sufferterragovernment_ atheist_ n12_.
Variable deduced_147_416 : accept_city_ sufferterragovernment_ coastvillage_.
Variable deduced_148_417 : accept_leader_ sufferterragovernment_ christiancountrychumanitarianorganization_.
Variable deduced_149_418 : accept_population_ sufferterragovernment_ other_ n5_.
Variable deduced_150_419 : accept_population_ sufferterragovernment_ muslim_ n65_.
Variable deduced_151_420 : accept_population_ sufferterragovernment_ christian_ n0_.
Variable deduced_152_421 : accept_population_ sufferterragovernment_ atheist_ n30_.
Variable deduced_153_422 : accept_leader_ sufferterragovernment_ countryahumanitarianorganization_.
Variable deduced_154_423 : accept_city_ sufferterragovernment_ townc_.
Variable deduced_155_424 : accept_leader_ muslimcountrybhumanitarianorganization_ countryccivilorganization_.
Variable deduced_156_425 : accept_leader_ muslimcountrybhumanitarianorganization_ countrybcivilorganization_.
Variable deduced_157_426 : accept_population_ christiansufferterrahumanitarianorganization_ other_ n5_.
Variable deduced_158_427 : accept_population_ christiansufferterrahumanitarianorganization_ muslim_ n65_.
Variable deduced_159_428 : accept_population_ christiansufferterrahumanitarianorganization_ christian_ n0_.
Variable deduced_160_429 : accept_population_ christiansufferterrahumanitarianorganization_ atheist_ n30_.
Variable deduced_161_430 : accept_leader_ christiansufferterrahumanitarianorganization_ countryahumanitarianorganization_.
Variable deduced_162_431 : accept_city_ christiansufferterrahumanitarianorganization_ townc_.
Variable deduced_163_432 : accept_leader_ christiansufferterrahumanitarianorganization_ countryacivilorganization_.
Variable deduced_164_433 : accept_number_ christiansufferterrahumanitarianorganization_ n5_.
Variable deduced_165_434 : accept_number_ christiansufferterrahumanitarianorganization_ n4_.
Variable deduced_166_435 : accept_number_ christiansufferterrahumanitarianorganization_ n3_.
Variable deduced_167_436 : accept_number_ christiansufferterrahumanitarianorganization_ n2_.
Variable deduced_168_437 : accept_number_ christiansufferterrahumanitarianorganization_ n1_.
Variable deduced_169_438 : accept_number_ christiansufferterrahumanitarianorganization_ n6_.
Variable deduced_170_439 : accept_population_ christiansufferterrahumanitarianorganization_ other_ n1_.
Variable deduced_171_440 : accept_population_ christiansufferterrahumanitarianorganization_ native_ n0_.
Variable deduced_172_441 : accept_population_ christiansufferterrahumanitarianorganization_ muslim_ n1_.
Variable deduced_173_442 : accept_population_ christiansufferterrahumanitarianorganization_ christian_ n20_.
Variable deduced_174_443 : accept_population_ christiansufferterrahumanitarianorganization_ atheist_ n78_.
Variable deduced_175_444 : accept_city_ christiansufferterrahumanitarianorganization_ cityb_.
Variable deduced_176_445 : accept_leader_ christiansufferterrahumanitarianorganization_ countrybhumanitarianorganization_.
Variable deduced_177_446 : accept_population_ countryccivilorganization_ other_ n5_.
Variable deduced_178_447 : accept_population_ countryccivilorganization_ muslim_ n65_.
Variable deduced_179_448 : accept_population_ countryccivilorganization_ christian_ n0_.
Variable deduced_180_449 : accept_population_ countryccivilorganization_ atheist_ n30_.
Variable deduced_181_450 : accept_city_ countryccivilorganization_ townc_.
Variable deduced_182_451 : accept_leader_ countryccivilorganization_ countryahumanitarianorganization_.
Variable deduced_183_452 : accept_leader_ countrycmedicalorganization_ muslimcountrybhumanitarianorganization_.
Variable deduced_184_453 : accept_population_ countrycmedicalorganization_ other_ n5_.
Variable deduced_185_454 : accept_population_ countrycmedicalorganization_ muslim_ n65_.
Variable deduced_186_455 : accept_population_ countrycmedicalorganization_ christian_ n0_.
Variable deduced_187_456 : accept_population_ countrycmedicalorganization_ atheist_ n30_.
Variable deduced_188_457 : accept_city_ countrycmedicalorganization_ townc_.
Variable deduced_189_458 : accept_leader_ countrycmedicalorganization_ countryahumanitarianorganization_.
Variable deduced_190_459 : accept_population_ countrycmedicalorganization_ other_ n1_.
Variable deduced_191_460 : accept_population_ countrycmedicalorganization_ christian_ n20_.
Variable deduced_192_461 : accept_population_ countrycmedicalorganization_ atheist_ n78_.
Variable deduced_193_462 : accept_city_ countrycmedicalorganization_ cityb_.
Variable deduced_194_463 : accept_leader_ muslimcountrybhumanitarianorganization_ countrycmedicalorganization_.
Variable deduced_195_464 : accept_leader_ muslimcountrybhumanitarianorganization_ christiancountrychumanitarianorganization_.
Variable deduced_196_465 : accept_population_ muslimcountrybhumanitarianorganization_ other_ n5_.
Variable deduced_197_466 : accept_population_ muslimcountrybhumanitarianorganization_ muslim_ n65_.
Variable deduced_198_467 : accept_population_ muslimcountrybhumanitarianorganization_ christian_ n0_.
Variable deduced_199_468 : accept_population_ muslimcountrybhumanitarianorganization_ atheist_ n30_.
Variable deduced_200_469 : accept_city_ muslimcountrybhumanitarianorganization_ townc_.
Variable deduced_201_470 : accept_leader_ muslimcountrybhumanitarianorganization_ countryahumanitarianorganization_.
Variable deduced_202_471 : accept_population_ muslimcountrybhumanitarianorganization_ other_ n1_.
Variable deduced_203_472 : accept_population_ muslimcountrybhumanitarianorganization_ native_ n0_.
Variable deduced_204_473 : accept_population_ muslimcountrybhumanitarianorganization_ muslim_ n1_.
Variable deduced_205_474 : accept_population_ muslimcountrybhumanitarianorganization_ christian_ n20_.
Variable deduced_206_475 : accept_population_ muslimcountrybhumanitarianorganization_ atheist_ n78_.
Variable deduced_207_476 : accept_leader_ muslimcountrybhumanitarianorganization_ countrybhumanitarianorganization_.
Variable deduced_208_477 : accept_city_ muslimcountrybhumanitarianorganization_ cityb_.
Variable deduced_209_478 : accept_leader_ countryamedicalorganization_ countryacivilorganization_.
Variable deduced_210_479 : accept_population_ countryamedicalorganization_ other_ n1_.
Variable deduced_211_480 : accept_population_ countryamedicalorganization_ christian_ n20_.
Variable deduced_212_481 : accept_population_ countryamedicalorganization_ atheist_ n78_.
Variable deduced_213_482 : accept_city_ countryamedicalorganization_ cityb_.
Variable deduced_214_483 : accept_leader_ countryamedicalorganization_ countrybhumanitarianorganization_.
Variable deduced_215_484 : accept_number_ countryamedicalorganization_ n5_.
Variable deduced_216_485 : accept_number_ countryamedicalorganization_ n4_.
Variable deduced_217_486 : accept_number_ countryamedicalorganization_ n3_.
Variable deduced_218_487 : accept_number_ countryamedicalorganization_ n2_.
Variable deduced_219_488 : accept_number_ countryamedicalorganization_ n1_.
Variable deduced_220_489 : accept_population_ countryamedicalorganization_ other_ n0_.
Variable deduced_221_490 : accept_population_ countryamedicalorganization_ native_ n0_.
Variable deduced_222_491 : accept_population_ countryamedicalorganization_ muslim_ n1_.
Variable deduced_223_492 : accept_population_ countryamedicalorganization_ christian_ n24_.
Variable deduced_224_493 : accept_population_ countryamedicalorganization_ atheist_ n75_.
Variable deduced_225_494 : accept_number_ countryamedicalorganization_ n6_.
Variable deduced_226_495 : accept_leader_ countryamedicalorganization_ sufferterragovernment_.
Variable deduced_227_496 : accept_city_ countryamedicalorganization_ towna_.
Variable deduced_228_497 : accept_population_ countryacivilorganization_ other_ n1_.
Variable deduced_229_498 : accept_population_ countryacivilorganization_ christian_ n20_.
Variable deduced_230_499 : accept_population_ countryacivilorganization_ atheist_ n78_.
Variable deduced_231_500 : accept_city_ countryacivilorganization_ cityb_.
Variable deduced_232_501 : accept_leader_ countryacivilorganization_ countrybhumanitarianorganization_.
Variable deduced_233_502 : accept_leader_ countryahumanitarianorganization_ countryacivilorganization_.
Variable deduced_234_503 : accept_population_ countryahumanitarianorganization_ other_ n1_.
Variable deduced_235_504 : accept_population_ countryahumanitarianorganization_ christian_ n20_.
Variable deduced_236_505 : accept_population_ countryahumanitarianorganization_ atheist_ n78_.
Variable deduced_237_506 : accept_city_ countryahumanitarianorganization_ cityb_.
Variable deduced_238_507 : accept_leader_ countryahumanitarianorganization_ countrybhumanitarianorganization_.
Variable deduced_239_508 : accept_number_ countryahumanitarianorganization_ n5_.
Variable deduced_240_509 : accept_number_ countryahumanitarianorganization_ n4_.
Variable deduced_241_510 : accept_number_ countryahumanitarianorganization_ n3_.
Variable deduced_242_511 : accept_number_ countryahumanitarianorganization_ n2_.
Variable deduced_243_512 : accept_number_ countryahumanitarianorganization_ n1_.
Variable deduced_244_513 : accept_population_ countryahumanitarianorganization_ other_ n0_.
Variable deduced_245_514 : accept_population_ countryahumanitarianorganization_ native_ n0_.
Variable deduced_246_515 : accept_population_ countryahumanitarianorganization_ muslim_ n1_.
Variable deduced_247_516 : accept_population_ countryahumanitarianorganization_ christian_ n24_.
Variable deduced_248_517 : accept_population_ countryahumanitarianorganization_ atheist_ n75_.
Variable deduced_249_518 : accept_number_ countryahumanitarianorganization_ n6_.
Variable deduced_250_519 : accept_leader_ countryahumanitarianorganization_ sufferterragovernment_.
Variable deduced_251_520 : accept_city_ countryahumanitarianorganization_ towna_.
Variable deduced_252_521 : accept_leader_ sufferterragovernment_ countryacivilorganization_.
Variable deduced_253_522 : accept_population_ sufferterragovernment_ other_ n1_.
Variable deduced_254_523 : accept_population_ sufferterragovernment_ native_ n0_.
Variable deduced_255_524 : accept_population_ sufferterragovernment_ muslim_ n1_.
Variable deduced_256_525 : accept_population_ sufferterragovernment_ christian_ n20_.
Variable deduced_257_526 : accept_population_ sufferterragovernment_ atheist_ n78_.
Variable deduced_258_527 : accept_city_ sufferterragovernment_ cityb_.
Variable deduced_259_528 : accept_leader_ sufferterragovernment_ countrybhumanitarianorganization_.
Variable deduced_260_529 : accept_population_ countryccivilorganization_ other_ n0_.
Variable deduced_261_530 : accept_population_ countryccivilorganization_ native_ n0_.
Variable deduced_262_531 : accept_population_ countryccivilorganization_ muslim_ n1_.
Variable deduced_263_532 : accept_population_ countryccivilorganization_ christian_ n24_.
Variable deduced_264_533 : accept_population_ countryccivilorganization_ atheist_ n75_.
Variable deduced_265_534 : accept_city_ countryccivilorganization_ towna_.
Variable deduced_266_535 : accept_leader_ countryccivilorganization_ sufferterragovernment_.
Variable deduced_267_536 : accept_number_ countryafirstaidorganization_ n5_.
Variable deduced_268_537 : accept_number_ countryafirstaidorganization_ n4_.
Variable deduced_269_538 : accept_number_ countryafirstaidorganization_ n3_.
Variable deduced_270_539 : accept_number_ countryafirstaidorganization_ n2_.
Variable deduced_271_540 : accept_number_ countryafirstaidorganization_ n1_.
Variable deduced_272_541 : accept_population_ countryafirstaidorganization_ other_ n0_.
Variable deduced_273_542 : accept_population_ countryafirstaidorganization_ native_ n0_.
Variable deduced_274_543 : accept_population_ countryafirstaidorganization_ muslim_ n1_.
Variable deduced_275_544 : accept_population_ countryafirstaidorganization_ christian_ n24_.
Variable deduced_276_545 : accept_population_ countryafirstaidorganization_ atheist_ n75_.
Variable deduced_277_546 : accept_number_ countryafirstaidorganization_ n6_.
Variable deduced_278_547 : accept_leader_ countryafirstaidorganization_ sufferterragovernment_.
Variable deduced_279_548 : accept_city_ countryafirstaidorganization_ towna_.
Variable deduced_280_549 : accept_leader_ countrycmedicalorganization_ countryccivilorganization_.
Variable deduced_281_550 : accept_leader_ countrycmedicalorganization_ countrybcivilorganization_.
Variable deduced_282_551 : accept_leader_ countrycmedicalorganization_ countrybhumanitarianorganization_.
Variable deduced_283_552 : accept_leader_ countrycmedicalorganization_ christiancountrychumanitarianorganization_.
Variable deduced_284_553 : accept_population_ countrycmedicalorganization_ other_ n0_.
Variable deduced_285_554 : accept_population_ countrycmedicalorganization_ native_ n0_.
Variable deduced_286_555 : accept_population_ countrycmedicalorganization_ muslim_ n1_.
Variable deduced_287_556 : accept_population_ countrycmedicalorganization_ christian_ n24_.
Variable deduced_288_557 : accept_population_ countrycmedicalorganization_ atheist_ n75_.
Variable deduced_289_558 : accept_city_ countrycmedicalorganization_ towna_.
Variable deduced_290_559 : accept_leader_ countrycmedicalorganization_ sufferterragovernment_.
Variable deduced_291_560 : accept_leader_ countrybcivilorganization_ countryccivilorganization_.
Variable deduced_292_561 : accept_leader_ countrybcivilorganization_ countrybhumanitarianorganization_.
Variable deduced_293_562 : accept_leader_ countrybcivilorganization_ christiancountrychumanitarianorganization_.
Variable deduced_294_563 : accept_leader_ countrybcivilorganization_ countrycmedicalorganization_.
Variable deduced_295_564 : accept_population_ countrybcivilorganization_ other_ n0_.
Variable deduced_296_565 : accept_population_ countrybcivilorganization_ native_ n0_.
Variable deduced_297_566 : accept_population_ countrybcivilorganization_ muslim_ n1_.
Variable deduced_298_567 : accept_population_ countrybcivilorganization_ christian_ n24_.
Variable deduced_299_568 : accept_population_ countrybcivilorganization_ atheist_ n75_.
Variable deduced_300_569 : accept_city_ countrybcivilorganization_ towna_.
Variable deduced_301_570 : accept_leader_ countrybcivilorganization_ sufferterragovernment_.
Variable deduced_302_571 : accept_number_ sufferterragovernment_ n5_.
Variable deduced_303_572 : accept_number_ sufferterragovernment_ n4_.
Variable deduced_304_573 : accept_number_ sufferterragovernment_ n3_.
Variable deduced_305_574 : accept_number_ sufferterragovernment_ n2_.
Variable deduced_306_575 : accept_number_ sufferterragovernment_ n1_.
Variable deduced_307_576 : accept_number_ sufferterragovernment_ n6_.
Variable deduced_308_577 : accept_number_ countryacivilorganization_ n5_.
Variable deduced_309_578 : accept_number_ countryacivilorganization_ n4_.
Variable deduced_310_579 : accept_number_ countryacivilorganization_ n3_.
Variable deduced_311_580 : accept_number_ countryacivilorganization_ n2_.
Variable deduced_312_581 : accept_number_ countryacivilorganization_ n1_.
Variable deduced_313_582 : accept_population_ countryacivilorganization_ other_ n0_.
Variable deduced_314_583 : accept_population_ countryacivilorganization_ native_ n0_.
Variable deduced_315_584 : accept_population_ countryacivilorganization_ muslim_ n1_.
Variable deduced_316_585 : accept_population_ countryacivilorganization_ christian_ n24_.
Variable deduced_317_586 : accept_population_ countryacivilorganization_ atheist_ n75_.
Variable deduced_318_587 : accept_number_ countryacivilorganization_ n6_.
Variable deduced_319_588 : accept_leader_ countryacivilorganization_ sufferterragovernment_.
Variable deduced_320_589 : accept_city_ countryacivilorganization_ towna_.
Variable deduced_321_590 : accept_number_ countryccivilorganization_ n3_.
Variable deduced_322_591 : accept_number_ countryccivilorganization_ n2_.
Variable deduced_323_592 : accept_number_ countryccivilorganization_ n1_.
Variable deduced_324_593 : accept_number_ countryccivilorganization_ n4_.
Variable deduced_325_594 : accept_leader_ christiancountrychumanitarianorganization_ countryccivilorganization_.
Variable deduced_326_595 : accept_number_ countrybcivilorganization_ n5_.
Variable deduced_327_596 : accept_number_ countrybcivilorganization_ n4_.
Variable deduced_328_597 : accept_number_ countrybcivilorganization_ n3_.
Variable deduced_329_598 : accept_number_ countrybcivilorganization_ n2_.
Variable deduced_330_599 : accept_number_ countrybcivilorganization_ n1_.
Variable deduced_331_600 : accept_number_ countrybcivilorganization_ n6_.
Variable deduced_332_601 : accept_leader_ christiancountrychumanitarianorganization_ countrybcivilorganization_.
Variable deduced_333_602 : accept_number_ countrybhumanitarianorganization_ n5_.
Variable deduced_334_603 : accept_number_ countrybhumanitarianorganization_ n4_.
Variable deduced_335_604 : accept_number_ countrybhumanitarianorganization_ n3_.
Variable deduced_336_605 : accept_number_ countrybhumanitarianorganization_ n2_.
Variable deduced_337_606 : accept_number_ countrybhumanitarianorganization_ n1_.
Variable deduced_338_607 : accept_number_ countrybhumanitarianorganization_ n6_.
Variable deduced_339_608 : accept_leader_ christiancountrychumanitarianorganization_ countrybhumanitarianorganization_.
Variable deduced_340_609 : accept_leader_ christiancountrychumanitarianorganization_ countrycmedicalorganization_.
Variable deduced_341_610 : accept_number_ christiancountrychumanitarianorganization_ n5_.
Variable deduced_342_611 : accept_number_ christiancountrychumanitarianorganization_ n4_.
Variable deduced_343_612 : accept_number_ christiancountrychumanitarianorganization_ n3_.
Variable deduced_344_613 : accept_number_ christiancountrychumanitarianorganization_ n2_.
Variable deduced_345_614 : accept_number_ christiancountrychumanitarianorganization_ n1_.
Variable deduced_346_615 : accept_number_ christiancountrychumanitarianorganization_ n6_.
Variable deduced_347_616 : accept_population_ christiancountrychumanitarianorganization_ other_ n0_.
Variable deduced_348_617 : accept_population_ christiancountrychumanitarianorganization_ native_ n0_.
Variable deduced_349_618 : accept_population_ christiancountrychumanitarianorganization_ muslim_ n1_.
Variable deduced_350_619 : accept_population_ christiancountrychumanitarianorganization_ christian_ n24_.
Variable deduced_351_620 : accept_population_ christiancountrychumanitarianorganization_ atheist_ n75_.
Variable deduced_352_621 : accept_city_ christiancountrychumanitarianorganization_ towna_.
Variable deduced_353_622 : accept_leader_ christiancountrychumanitarianorganization_ sufferterragovernment_.
Variable deduced_354_623 : accept_number_ countrycmedicalorganization_ n5_.
Variable deduced_355_624 : accept_number_ countrycmedicalorganization_ n4_.
Variable deduced_356_625 : accept_number_ countrycmedicalorganization_ n3_.
Variable deduced_357_626 : accept_number_ countrycmedicalorganization_ n2_.
Variable deduced_358_627 : accept_number_ countrycmedicalorganization_ n1_.
Variable deduced_359_628 : accept_number_ countrycmedicalorganization_ n6_.
Variable deduced_360_629 : accept_number_ muslimcountrybhumanitarianorganization_ n5_.
Variable deduced_361_630 : accept_number_ muslimcountrybhumanitarianorganization_ n4_.
Variable deduced_362_631 : accept_number_ muslimcountrybhumanitarianorganization_ n3_.
Variable deduced_363_632 : accept_number_ muslimcountrybhumanitarianorganization_ n2_.
Variable deduced_364_633 : accept_number_ muslimcountrybhumanitarianorganization_ n1_.
Variable deduced_365_634 : accept_number_ muslimcountrybhumanitarianorganization_ n6_.
Variable deduced_366_635 : ~(accept_city_ muslimcountrybhumanitarianorganization_ towna_).
Variable deduced_367_636 : accept_leader_ muslimcountrybhumanitarianorganization_ sufferterragovernment_.
Variable rdn0_637 : rdn_translate_ n0_ (rdn_pos_ (rdnn_ n0_)).
Variable rdn1_638 : rdn_translate_ n1_ (rdn_pos_ (rdnn_ n1_)).
Variable rdn2_639 : rdn_translate_ n2_ (rdn_pos_ (rdnn_ n2_)).
Variable rdn3_640 : rdn_translate_ n3_ (rdn_pos_ (rdnn_ n3_)).
Variable rdn4_641 : rdn_translate_ n4_ (rdn_pos_ (rdnn_ n4_)).
Variable rdn5_642 : rdn_translate_ n5_ (rdn_pos_ (rdnn_ n5_)).
Variable rdn6_643 : rdn_translate_ n6_ (rdn_pos_ (rdnn_ n6_)).
Variable rdn7_644 : rdn_translate_ n7_ (rdn_pos_ (rdnn_ n7_)).
Variable rdn8_645 : rdn_translate_ n8_ (rdn_pos_ (rdnn_ n8_)).
Variable rdn9_646 : rdn_translate_ n9_ (rdn_pos_ (rdnn_ n9_)).
Variable rdn10_647 : rdn_translate_ n10_ (rdn_pos_ (rdn_ (rdnn_ n0_) (rdnn_ n1_))).
Variable rdn11_648 : rdn_translate_ n11_ (rdn_pos_ (rdn_ (rdnn_ n1_) (rdnn_ n1_))).
Variable rdn12_649 : rdn_translate_ n12_ (rdn_pos_ (rdn_ (rdnn_ n2_) (rdnn_ n1_))).
Variable rdn13_650 : rdn_translate_ n13_ (rdn_pos_ (rdn_ (rdnn_ n3_) (rdnn_ n1_))).
Variable rdn14_651 : rdn_translate_ n14_ (rdn_pos_ (rdn_ (rdnn_ n4_) (rdnn_ n1_))).
Variable rdn15_652 : rdn_translate_ n15_ (rdn_pos_ (rdn_ (rdnn_ n5_) (rdnn_ n1_))).
Variable rdn16_653 : rdn_translate_ n16_ (rdn_pos_ (rdn_ (rdnn_ n6_) (rdnn_ n1_))).
Variable rdn17_654 : rdn_translate_ n17_ (rdn_pos_ (rdn_ (rdnn_ n7_) (rdnn_ n1_))).
Variable rdn18_655 : rdn_translate_ n18_ (rdn_pos_ (rdn_ (rdnn_ n8_) (rdnn_ n1_))).
Variable rdn19_656 : rdn_translate_ n19_ (rdn_pos_ (rdn_ (rdnn_ n9_) (rdnn_ n1_))).
Variable rdn20_657 : rdn_translate_ n20_ (rdn_pos_ (rdn_ (rdnn_ n0_) (rdnn_ n2_))).
Variable rdn21_658 : rdn_translate_ n21_ (rdn_pos_ (rdn_ (rdnn_ n1_) (rdnn_ n2_))).
Variable rdn22_659 : rdn_translate_ n22_ (rdn_pos_ (rdn_ (rdnn_ n2_) (rdnn_ n2_))).
Variable rdn23_660 : rdn_translate_ n23_ (rdn_pos_ (rdn_ (rdnn_ n3_) (rdnn_ n2_))).
Variable rdn24_661 : rdn_translate_ n24_ (rdn_pos_ (rdn_ (rdnn_ n4_) (rdnn_ n2_))).
Variable rdn25_662 : rdn_translate_ n25_ (rdn_pos_ (rdn_ (rdnn_ n5_) (rdnn_ n2_))).
Variable rdn26_663 : rdn_translate_ n26_ (rdn_pos_ (rdn_ (rdnn_ n6_) (rdnn_ n2_))).
Variable rdn27_664 : rdn_translate_ n27_ (rdn_pos_ (rdn_ (rdnn_ n7_) (rdnn_ n2_))).
Variable rdn28_665 : rdn_translate_ n28_ (rdn_pos_ (rdn_ (rdnn_ n8_) (rdnn_ n2_))).
Variable rdn29_666 : rdn_translate_ n29_ (rdn_pos_ (rdn_ (rdnn_ n9_) (rdnn_ n2_))).
Variable rdn30_667 : rdn_translate_ n30_ (rdn_pos_ (rdn_ (rdnn_ n0_) (rdnn_ n3_))).
Variable rdn31_668 : rdn_translate_ n31_ (rdn_pos_ (rdn_ (rdnn_ n1_) (rdnn_ n3_))).
Variable rdn32_669 : rdn_translate_ n32_ (rdn_pos_ (rdn_ (rdnn_ n2_) (rdnn_ n3_))).
Variable rdn33_670 : rdn_translate_ n33_ (rdn_pos_ (rdn_ (rdnn_ n3_) (rdnn_ n3_))).
Variable rdn34_671 : rdn_translate_ n34_ (rdn_pos_ (rdn_ (rdnn_ n4_) (rdnn_ n3_))).
Variable rdn35_672 : rdn_translate_ n35_ (rdn_pos_ (rdn_ (rdnn_ n5_) (rdnn_ n3_))).
Variable rdn36_673 : rdn_translate_ n36_ (rdn_pos_ (rdn_ (rdnn_ n6_) (rdnn_ n3_))).
Variable rdn37_674 : rdn_translate_ n37_ (rdn_pos_ (rdn_ (rdnn_ n7_) (rdnn_ n3_))).
Variable rdn38_675 : rdn_translate_ n38_ (rdn_pos_ (rdn_ (rdnn_ n8_) (rdnn_ n3_))).
Variable rdn39_676 : rdn_translate_ n39_ (rdn_pos_ (rdn_ (rdnn_ n9_) (rdnn_ n3_))).
Variable rdn40_677 : rdn_translate_ n40_ (rdn_pos_ (rdn_ (rdnn_ n0_) (rdnn_ n4_))).
Variable rdn41_678 : rdn_translate_ n41_ (rdn_pos_ (rdn_ (rdnn_ n1_) (rdnn_ n4_))).
Variable rdn42_679 : rdn_translate_ n42_ (rdn_pos_ (rdn_ (rdnn_ n2_) (rdnn_ n4_))).
Variable rdn43_680 : rdn_translate_ n43_ (rdn_pos_ (rdn_ (rdnn_ n3_) (rdnn_ n4_))).
Variable rdn44_681 : rdn_translate_ n44_ (rdn_pos_ (rdn_ (rdnn_ n4_) (rdnn_ n4_))).
Variable rdn45_682 : rdn_translate_ n45_ (rdn_pos_ (rdn_ (rdnn_ n5_) (rdnn_ n4_))).
Variable rdn46_683 : rdn_translate_ n46_ (rdn_pos_ (rdn_ (rdnn_ n6_) (rdnn_ n4_))).
Variable rdn47_684 : rdn_translate_ n47_ (rdn_pos_ (rdn_ (rdnn_ n7_) (rdnn_ n4_))).
Variable rdn48_685 : rdn_translate_ n48_ (rdn_pos_ (rdn_ (rdnn_ n8_) (rdnn_ n4_))).
Variable rdn49_686 : rdn_translate_ n49_ (rdn_pos_ (rdn_ (rdnn_ n9_) (rdnn_ n4_))).
Variable rdn50_687 : rdn_translate_ n50_ (rdn_pos_ (rdn_ (rdnn_ n0_) (rdnn_ n5_))).
Variable rdn51_688 : rdn_translate_ n51_ (rdn_pos_ (rdn_ (rdnn_ n1_) (rdnn_ n5_))).
Variable rdn52_689 : rdn_translate_ n52_ (rdn_pos_ (rdn_ (rdnn_ n2_) (rdnn_ n5_))).
Variable rdn53_690 : rdn_translate_ n53_ (rdn_pos_ (rdn_ (rdnn_ n3_) (rdnn_ n5_))).
Variable rdn54_691 : rdn_translate_ n54_ (rdn_pos_ (rdn_ (rdnn_ n4_) (rdnn_ n5_))).
Variable rdn55_692 : rdn_translate_ n55_ (rdn_pos_ (rdn_ (rdnn_ n5_) (rdnn_ n5_))).
Variable rdn56_693 : rdn_translate_ n56_ (rdn_pos_ (rdn_ (rdnn_ n6_) (rdnn_ n5_))).
Variable rdn57_694 : rdn_translate_ n57_ (rdn_pos_ (rdn_ (rdnn_ n7_) (rdnn_ n5_))).
Variable rdn58_695 : rdn_translate_ n58_ (rdn_pos_ (rdn_ (rdnn_ n8_) (rdnn_ n5_))).
Variable rdn59_696 : rdn_translate_ n59_ (rdn_pos_ (rdn_ (rdnn_ n9_) (rdnn_ n5_))).
Variable rdn60_697 : rdn_translate_ n60_ (rdn_pos_ (rdn_ (rdnn_ n0_) (rdnn_ n6_))).
Variable rdn61_698 : rdn_translate_ n61_ (rdn_pos_ (rdn_ (rdnn_ n1_) (rdnn_ n6_))).
Variable rdn62_699 : rdn_translate_ n62_ (rdn_pos_ (rdn_ (rdnn_ n2_) (rdnn_ n6_))).
Variable rdn63_700 : rdn_translate_ n63_ (rdn_pos_ (rdn_ (rdnn_ n3_) (rdnn_ n6_))).
Variable rdn64_701 : rdn_translate_ n64_ (rdn_pos_ (rdn_ (rdnn_ n4_) (rdnn_ n6_))).
Variable rdn65_702 : rdn_translate_ n65_ (rdn_pos_ (rdn_ (rdnn_ n5_) (rdnn_ n6_))).
Variable rdn66_703 : rdn_translate_ n66_ (rdn_pos_ (rdn_ (rdnn_ n6_) (rdnn_ n6_))).
Variable rdn67_704 : rdn_translate_ n67_ (rdn_pos_ (rdn_ (rdnn_ n7_) (rdnn_ n6_))).
Variable rdn68_705 : rdn_translate_ n68_ (rdn_pos_ (rdn_ (rdnn_ n8_) (rdnn_ n6_))).
Variable rdn69_706 : rdn_translate_ n69_ (rdn_pos_ (rdn_ (rdnn_ n9_) (rdnn_ n6_))).
Variable rdn70_707 : rdn_translate_ n70_ (rdn_pos_ (rdn_ (rdnn_ n0_) (rdnn_ n7_))).
Variable rdn71_708 : rdn_translate_ n71_ (rdn_pos_ (rdn_ (rdnn_ n1_) (rdnn_ n7_))).
Variable rdn72_709 : rdn_translate_ n72_ (rdn_pos_ (rdn_ (rdnn_ n2_) (rdnn_ n7_))).
Variable rdn73_710 : rdn_translate_ n73_ (rdn_pos_ (rdn_ (rdnn_ n3_) (rdnn_ n7_))).
Variable rdn74_711 : rdn_translate_ n74_ (rdn_pos_ (rdn_ (rdnn_ n4_) (rdnn_ n7_))).
Variable rdn75_712 : rdn_translate_ n75_ (rdn_pos_ (rdn_ (rdnn_ n5_) (rdnn_ n7_))).
Variable rdn76_713 : rdn_translate_ n76_ (rdn_pos_ (rdn_ (rdnn_ n6_) (rdnn_ n7_))).
Variable rdn77_714 : rdn_translate_ n77_ (rdn_pos_ (rdn_ (rdnn_ n7_) (rdnn_ n7_))).
Variable rdn78_715 : rdn_translate_ n78_ (rdn_pos_ (rdn_ (rdnn_ n8_) (rdnn_ n7_))).
Variable rdn79_716 : rdn_translate_ n79_ (rdn_pos_ (rdn_ (rdnn_ n9_) (rdnn_ n7_))).
Variable rdn80_717 : rdn_translate_ n80_ (rdn_pos_ (rdn_ (rdnn_ n0_) (rdnn_ n8_))).
Variable rdn81_718 : rdn_translate_ n81_ (rdn_pos_ (rdn_ (rdnn_ n1_) (rdnn_ n8_))).
Variable rdn82_719 : rdn_translate_ n82_ (rdn_pos_ (rdn_ (rdnn_ n2_) (rdnn_ n8_))).
Variable rdn83_720 : rdn_translate_ n83_ (rdn_pos_ (rdn_ (rdnn_ n3_) (rdnn_ n8_))).
Variable rdn84_721 : rdn_translate_ n84_ (rdn_pos_ (rdn_ (rdnn_ n4_) (rdnn_ n8_))).
Variable rdn85_722 : rdn_translate_ n85_ (rdn_pos_ (rdn_ (rdnn_ n5_) (rdnn_ n8_))).
Variable rdn86_723 : rdn_translate_ n86_ (rdn_pos_ (rdn_ (rdnn_ n6_) (rdnn_ n8_))).
Variable rdn87_724 : rdn_translate_ n87_ (rdn_pos_ (rdn_ (rdnn_ n7_) (rdnn_ n8_))).
Variable rdn88_725 : rdn_translate_ n88_ (rdn_pos_ (rdn_ (rdnn_ n8_) (rdnn_ n8_))).
Variable rdn89_726 : rdn_translate_ n89_ (rdn_pos_ (rdn_ (rdnn_ n9_) (rdnn_ n8_))).
Variable rdn90_727 : rdn_translate_ n90_ (rdn_pos_ (rdn_ (rdnn_ n0_) (rdnn_ n9_))).
Variable rdn91_728 : rdn_translate_ n91_ (rdn_pos_ (rdn_ (rdnn_ n1_) (rdnn_ n9_))).
Variable rdn92_729 : rdn_translate_ n92_ (rdn_pos_ (rdn_ (rdnn_ n2_) (rdnn_ n9_))).
Variable rdn93_730 : rdn_translate_ n93_ (rdn_pos_ (rdn_ (rdnn_ n3_) (rdnn_ n9_))).
Variable rdn94_731 : rdn_translate_ n94_ (rdn_pos_ (rdn_ (rdnn_ n4_) (rdnn_ n9_))).
Variable rdn95_732 : rdn_translate_ n95_ (rdn_pos_ (rdn_ (rdnn_ n5_) (rdnn_ n9_))).
Variable rdn96_733 : rdn_translate_ n96_ (rdn_pos_ (rdn_ (rdnn_ n6_) (rdnn_ n9_))).
Variable rdn97_734 : rdn_translate_ n97_ (rdn_pos_ (rdn_ (rdnn_ n7_) (rdnn_ n9_))).
Variable rdn98_735 : rdn_translate_ n98_ (rdn_pos_ (rdn_ (rdnn_ n8_) (rdnn_ n9_))).
Variable rdn99_736 : rdn_translate_ n99_ (rdn_pos_ (rdn_ (rdnn_ n9_) (rdnn_ n9_))).
Variable rdn100_737 : rdn_translate_ n100_ (rdn_pos_ (rdn_ (rdnn_ n0_) (rdn_ (rdnn_ n0_) (rdnn_ n1_)))).
Variable rdn101_738 : rdn_translate_ n101_ (rdn_pos_ (rdn_ (rdnn_ n1_) (rdn_ (rdnn_ n0_) (rdnn_ n1_)))).
Variable rdn102_739 : rdn_translate_ n102_ (rdn_pos_ (rdn_ (rdnn_ n2_) (rdn_ (rdnn_ n0_) (rdnn_ n1_)))).
Variable rdn103_740 : rdn_translate_ n103_ (rdn_pos_ (rdn_ (rdnn_ n3_) (rdn_ (rdnn_ n0_) (rdnn_ n1_)))).
Variable rdn104_741 : rdn_translate_ n104_ (rdn_pos_ (rdn_ (rdnn_ n4_) (rdn_ (rdnn_ n0_) (rdnn_ n1_)))).
Variable rdn105_742 : rdn_translate_ n105_ (rdn_pos_ (rdn_ (rdnn_ n5_) (rdn_ (rdnn_ n0_) (rdnn_ n1_)))).
Variable rdn106_743 : rdn_translate_ n106_ (rdn_pos_ (rdn_ (rdnn_ n6_) (rdn_ (rdnn_ n0_) (rdnn_ n1_)))).
Variable rdn107_744 : rdn_translate_ n107_ (rdn_pos_ (rdn_ (rdnn_ n7_) (rdn_ (rdnn_ n0_) (rdnn_ n1_)))).
Variable rdn108_745 : rdn_translate_ n108_ (rdn_pos_ (rdn_ (rdnn_ n8_) (rdn_ (rdnn_ n0_) (rdnn_ n1_)))).
Variable rdn109_746 : rdn_translate_ n109_ (rdn_pos_ (rdn_ (rdnn_ n9_) (rdn_ (rdnn_ n0_) (rdnn_ n1_)))).
Variable rdn110_747 : rdn_translate_ n110_ (rdn_pos_ (rdn_ (rdnn_ n0_) (rdn_ (rdnn_ n1_) (rdnn_ n1_)))).
Variable rdn111_748 : rdn_translate_ n111_ (rdn_pos_ (rdn_ (rdnn_ n1_) (rdn_ (rdnn_ n1_) (rdnn_ n1_)))).
Variable rdn112_749 : rdn_translate_ n112_ (rdn_pos_ (rdn_ (rdnn_ n2_) (rdn_ (rdnn_ n1_) (rdnn_ n1_)))).
Variable rdn113_750 : rdn_translate_ n113_ (rdn_pos_ (rdn_ (rdnn_ n3_) (rdn_ (rdnn_ n1_) (rdnn_ n1_)))).
Variable rdn114_751 : rdn_translate_ n114_ (rdn_pos_ (rdn_ (rdnn_ n4_) (rdn_ (rdnn_ n1_) (rdnn_ n1_)))).
Variable rdn115_752 : rdn_translate_ n115_ (rdn_pos_ (rdn_ (rdnn_ n5_) (rdn_ (rdnn_ n1_) (rdnn_ n1_)))).
Variable rdn116_753 : rdn_translate_ n116_ (rdn_pos_ (rdn_ (rdnn_ n6_) (rdn_ (rdnn_ n1_) (rdnn_ n1_)))).
Variable rdn117_754 : rdn_translate_ n117_ (rdn_pos_ (rdn_ (rdnn_ n7_) (rdn_ (rdnn_ n1_) (rdnn_ n1_)))).
Variable rdn118_755 : rdn_translate_ n118_ (rdn_pos_ (rdn_ (rdnn_ n8_) (rdn_ (rdnn_ n1_) (rdnn_ n1_)))).
Variable rdn119_756 : rdn_translate_ n119_ (rdn_pos_ (rdn_ (rdnn_ n9_) (rdn_ (rdnn_ n1_) (rdnn_ n1_)))).
Variable rdn120_757 : rdn_translate_ n120_ (rdn_pos_ (rdn_ (rdnn_ n0_) (rdn_ (rdnn_ n2_) (rdnn_ n1_)))).
Variable rdn121_758 : rdn_translate_ n121_ (rdn_pos_ (rdn_ (rdnn_ n1_) (rdn_ (rdnn_ n2_) (rdnn_ n1_)))).
Variable rdn122_759 : rdn_translate_ n122_ (rdn_pos_ (rdn_ (rdnn_ n2_) (rdn_ (rdnn_ n2_) (rdnn_ n1_)))).
Variable rdn123_760 : rdn_translate_ n123_ (rdn_pos_ (rdn_ (rdnn_ n3_) (rdn_ (rdnn_ n2_) (rdnn_ n1_)))).
Variable rdn124_761 : rdn_translate_ n124_ (rdn_pos_ (rdn_ (rdnn_ n4_) (rdn_ (rdnn_ n2_) (rdnn_ n1_)))).
Variable rdn125_762 : rdn_translate_ n125_ (rdn_pos_ (rdn_ (rdnn_ n5_) (rdn_ (rdnn_ n2_) (rdnn_ n1_)))).
Variable rdn126_763 : rdn_translate_ n126_ (rdn_pos_ (rdn_ (rdnn_ n6_) (rdn_ (rdnn_ n2_) (rdnn_ n1_)))).
Variable rdn127_764 : rdn_translate_ n127_ (rdn_pos_ (rdn_ (rdnn_ n7_) (rdn_ (rdnn_ n2_) (rdnn_ n1_)))).
Variable rdnn1_765 : rdn_translate_ nn1_ (rdn_neg_ (rdnn_ n1_)).
Variable rdnn2_766 : rdn_translate_ nn2_ (rdn_neg_ (rdnn_ n2_)).
Variable rdnn3_767 : rdn_translate_ nn3_ (rdn_neg_ (rdnn_ n3_)).
Variable rdnn4_768 : rdn_translate_ nn4_ (rdn_neg_ (rdnn_ n4_)).
Variable rdnn5_769 : rdn_translate_ nn5_ (rdn_neg_ (rdnn_ n5_)).
Variable rdnn6_770 : rdn_translate_ nn6_ (rdn_neg_ (rdnn_ n6_)).
Variable rdnn7_771 : rdn_translate_ nn7_ (rdn_neg_ (rdnn_ n7_)).
Variable rdnn8_772 : rdn_translate_ nn8_ (rdn_neg_ (rdnn_ n8_)).
Variable rdnn9_773 : rdn_translate_ nn9_ (rdn_neg_ (rdnn_ n9_)).
Variable rdnn10_774 : rdn_translate_ nn10_ (rdn_neg_ (rdn_ (rdnn_ n0_) (rdnn_ n1_))).
Variable rdnn11_775 : rdn_translate_ nn11_ (rdn_neg_ (rdn_ (rdnn_ n1_) (rdnn_ n1_))).
Variable rdnn12_776 : rdn_translate_ nn12_ (rdn_neg_ (rdn_ (rdnn_ n2_) (rdnn_ n1_))).
Variable rdnn13_777 : rdn_translate_ nn13_ (rdn_neg_ (rdn_ (rdnn_ n3_) (rdnn_ n1_))).
Variable rdnn14_778 : rdn_translate_ nn14_ (rdn_neg_ (rdn_ (rdnn_ n4_) (rdnn_ n1_))).
Variable rdnn15_779 : rdn_translate_ nn15_ (rdn_neg_ (rdn_ (rdnn_ n5_) (rdnn_ n1_))).
Variable rdnn16_780 : rdn_translate_ nn16_ (rdn_neg_ (rdn_ (rdnn_ n6_) (rdnn_ n1_))).
Variable rdnn17_781 : rdn_translate_ nn17_ (rdn_neg_ (rdn_ (rdnn_ n7_) (rdnn_ n1_))).
Variable rdnn18_782 : rdn_translate_ nn18_ (rdn_neg_ (rdn_ (rdnn_ n8_) (rdnn_ n1_))).
Variable rdnn19_783 : rdn_translate_ nn19_ (rdn_neg_ (rdn_ (rdnn_ n9_) (rdnn_ n1_))).
Variable rdnn20_784 : rdn_translate_ nn20_ (rdn_neg_ (rdn_ (rdnn_ n0_) (rdnn_ n2_))).
Variable rdnn21_785 : rdn_translate_ nn21_ (rdn_neg_ (rdn_ (rdnn_ n1_) (rdnn_ n2_))).
Variable rdnn22_786 : rdn_translate_ nn22_ (rdn_neg_ (rdn_ (rdnn_ n2_) (rdnn_ n2_))).
Variable rdnn23_787 : rdn_translate_ nn23_ (rdn_neg_ (rdn_ (rdnn_ n3_) (rdnn_ n2_))).
Variable rdnn24_788 : rdn_translate_ nn24_ (rdn_neg_ (rdn_ (rdnn_ n4_) (rdnn_ n2_))).
Variable rdnn25_789 : rdn_translate_ nn25_ (rdn_neg_ (rdn_ (rdnn_ n5_) (rdnn_ n2_))).
Variable rdnn26_790 : rdn_translate_ nn26_ (rdn_neg_ (rdn_ (rdnn_ n6_) (rdnn_ n2_))).
Variable rdnn27_791 : rdn_translate_ nn27_ (rdn_neg_ (rdn_ (rdnn_ n7_) (rdnn_ n2_))).
Variable rdnn28_792 : rdn_translate_ nn28_ (rdn_neg_ (rdn_ (rdnn_ n8_) (rdnn_ n2_))).
Variable rdnn29_793 : rdn_translate_ nn29_ (rdn_neg_ (rdn_ (rdnn_ n9_) (rdnn_ n2_))).
Variable rdnn30_794 : rdn_translate_ nn30_ (rdn_neg_ (rdn_ (rdnn_ n0_) (rdnn_ n3_))).
Variable rdnn31_795 : rdn_translate_ nn31_ (rdn_neg_ (rdn_ (rdnn_ n1_) (rdnn_ n3_))).
Variable rdnn32_796 : rdn_translate_ nn32_ (rdn_neg_ (rdn_ (rdnn_ n2_) (rdnn_ n3_))).
Variable rdnn33_797 : rdn_translate_ nn33_ (rdn_neg_ (rdn_ (rdnn_ n3_) (rdnn_ n3_))).
Variable rdnn34_798 : rdn_translate_ nn34_ (rdn_neg_ (rdn_ (rdnn_ n4_) (rdnn_ n3_))).
Variable rdnn35_799 : rdn_translate_ nn35_ (rdn_neg_ (rdn_ (rdnn_ n5_) (rdnn_ n3_))).
Variable rdnn36_800 : rdn_translate_ nn36_ (rdn_neg_ (rdn_ (rdnn_ n6_) (rdnn_ n3_))).
Variable rdnn37_801 : rdn_translate_ nn37_ (rdn_neg_ (rdn_ (rdnn_ n7_) (rdnn_ n3_))).
Variable rdnn38_802 : rdn_translate_ nn38_ (rdn_neg_ (rdn_ (rdnn_ n8_) (rdnn_ n3_))).
Variable rdnn39_803 : rdn_translate_ nn39_ (rdn_neg_ (rdn_ (rdnn_ n9_) (rdnn_ n3_))).
Variable rdnn40_804 : rdn_translate_ nn40_ (rdn_neg_ (rdn_ (rdnn_ n0_) (rdnn_ n4_))).
Variable rdnn41_805 : rdn_translate_ nn41_ (rdn_neg_ (rdn_ (rdnn_ n1_) (rdnn_ n4_))).
Variable rdnn42_806 : rdn_translate_ nn42_ (rdn_neg_ (rdn_ (rdnn_ n2_) (rdnn_ n4_))).
Variable rdnn43_807 : rdn_translate_ nn43_ (rdn_neg_ (rdn_ (rdnn_ n3_) (rdnn_ n4_))).
Variable rdnn44_808 : rdn_translate_ nn44_ (rdn_neg_ (rdn_ (rdnn_ n4_) (rdnn_ n4_))).
Variable rdnn45_809 : rdn_translate_ nn45_ (rdn_neg_ (rdn_ (rdnn_ n5_) (rdnn_ n4_))).
Variable rdnn46_810 : rdn_translate_ nn46_ (rdn_neg_ (rdn_ (rdnn_ n6_) (rdnn_ n4_))).
Variable rdnn47_811 : rdn_translate_ nn47_ (rdn_neg_ (rdn_ (rdnn_ n7_) (rdnn_ n4_))).
Variable rdnn48_812 : rdn_translate_ nn48_ (rdn_neg_ (rdn_ (rdnn_ n8_) (rdnn_ n4_))).
Variable rdnn49_813 : rdn_translate_ nn49_ (rdn_neg_ (rdn_ (rdnn_ n9_) (rdnn_ n4_))).
Variable rdnn50_814 : rdn_translate_ nn50_ (rdn_neg_ (rdn_ (rdnn_ n0_) (rdnn_ n5_))).
Variable rdnn51_815 : rdn_translate_ nn51_ (rdn_neg_ (rdn_ (rdnn_ n1_) (rdnn_ n5_))).
Variable rdnn52_816 : rdn_translate_ nn52_ (rdn_neg_ (rdn_ (rdnn_ n2_) (rdnn_ n5_))).
Variable rdnn53_817 : rdn_translate_ nn53_ (rdn_neg_ (rdn_ (rdnn_ n3_) (rdnn_ n5_))).
Variable rdnn54_818 : rdn_translate_ nn54_ (rdn_neg_ (rdn_ (rdnn_ n4_) (rdnn_ n5_))).
Variable rdnn55_819 : rdn_translate_ nn55_ (rdn_neg_ (rdn_ (rdnn_ n5_) (rdnn_ n5_))).
Variable rdnn56_820 : rdn_translate_ nn56_ (rdn_neg_ (rdn_ (rdnn_ n6_) (rdnn_ n5_))).
Variable rdnn57_821 : rdn_translate_ nn57_ (rdn_neg_ (rdn_ (rdnn_ n7_) (rdnn_ n5_))).
Variable rdnn58_822 : rdn_translate_ nn58_ (rdn_neg_ (rdn_ (rdnn_ n8_) (rdnn_ n5_))).
Variable rdnn59_823 : rdn_translate_ nn59_ (rdn_neg_ (rdn_ (rdnn_ n9_) (rdnn_ n5_))).
Variable rdnn60_824 : rdn_translate_ nn60_ (rdn_neg_ (rdn_ (rdnn_ n0_) (rdnn_ n6_))).
Variable rdnn61_825 : rdn_translate_ nn61_ (rdn_neg_ (rdn_ (rdnn_ n1_) (rdnn_ n6_))).
Variable rdnn62_826 : rdn_translate_ nn62_ (rdn_neg_ (rdn_ (rdnn_ n2_) (rdnn_ n6_))).
Variable rdnn63_827 : rdn_translate_ nn63_ (rdn_neg_ (rdn_ (rdnn_ n3_) (rdnn_ n6_))).
Variable rdnn64_828 : rdn_translate_ nn64_ (rdn_neg_ (rdn_ (rdnn_ n4_) (rdnn_ n6_))).
Variable rdnn65_829 : rdn_translate_ nn65_ (rdn_neg_ (rdn_ (rdnn_ n5_) (rdnn_ n6_))).
Variable rdnn66_830 : rdn_translate_ nn66_ (rdn_neg_ (rdn_ (rdnn_ n6_) (rdnn_ n6_))).
Variable rdnn67_831 : rdn_translate_ nn67_ (rdn_neg_ (rdn_ (rdnn_ n7_) (rdnn_ n6_))).
Variable rdnn68_832 : rdn_translate_ nn68_ (rdn_neg_ (rdn_ (rdnn_ n8_) (rdnn_ n6_))).
Variable rdnn69_833 : rdn_translate_ nn69_ (rdn_neg_ (rdn_ (rdnn_ n9_) (rdnn_ n6_))).
Variable rdnn70_834 : rdn_translate_ nn70_ (rdn_neg_ (rdn_ (rdnn_ n0_) (rdnn_ n7_))).
Variable rdnn71_835 : rdn_translate_ nn71_ (rdn_neg_ (rdn_ (rdnn_ n1_) (rdnn_ n7_))).
Variable rdnn72_836 : rdn_translate_ nn72_ (rdn_neg_ (rdn_ (rdnn_ n2_) (rdnn_ n7_))).
Variable rdnn73_837 : rdn_translate_ nn73_ (rdn_neg_ (rdn_ (rdnn_ n3_) (rdnn_ n7_))).
Variable rdnn74_838 : rdn_translate_ nn74_ (rdn_neg_ (rdn_ (rdnn_ n4_) (rdnn_ n7_))).
Variable rdnn75_839 : rdn_translate_ nn75_ (rdn_neg_ (rdn_ (rdnn_ n5_) (rdnn_ n7_))).
Variable rdnn76_840 : rdn_translate_ nn76_ (rdn_neg_ (rdn_ (rdnn_ n6_) (rdnn_ n7_))).
Variable rdnn77_841 : rdn_translate_ nn77_ (rdn_neg_ (rdn_ (rdnn_ n7_) (rdnn_ n7_))).
Variable rdnn78_842 : rdn_translate_ nn78_ (rdn_neg_ (rdn_ (rdnn_ n8_) (rdnn_ n7_))).
Variable rdnn79_843 : rdn_translate_ nn79_ (rdn_neg_ (rdn_ (rdnn_ n9_) (rdnn_ n7_))).
Variable rdnn80_844 : rdn_translate_ nn80_ (rdn_neg_ (rdn_ (rdnn_ n0_) (rdnn_ n8_))).
Variable rdnn81_845 : rdn_translate_ nn81_ (rdn_neg_ (rdn_ (rdnn_ n1_) (rdnn_ n8_))).
Variable rdnn82_846 : rdn_translate_ nn82_ (rdn_neg_ (rdn_ (rdnn_ n2_) (rdnn_ n8_))).
Variable rdnn83_847 : rdn_translate_ nn83_ (rdn_neg_ (rdn_ (rdnn_ n3_) (rdnn_ n8_))).
Variable rdnn84_848 : rdn_translate_ nn84_ (rdn_neg_ (rdn_ (rdnn_ n4_) (rdnn_ n8_))).
Variable rdnn85_849 : rdn_translate_ nn85_ (rdn_neg_ (rdn_ (rdnn_ n5_) (rdnn_ n8_))).
Variable rdnn86_850 : rdn_translate_ nn86_ (rdn_neg_ (rdn_ (rdnn_ n6_) (rdnn_ n8_))).
Variable rdnn87_851 : rdn_translate_ nn87_ (rdn_neg_ (rdn_ (rdnn_ n7_) (rdnn_ n8_))).
Variable rdnn88_852 : rdn_translate_ nn88_ (rdn_neg_ (rdn_ (rdnn_ n8_) (rdnn_ n8_))).
Variable rdnn89_853 : rdn_translate_ nn89_ (rdn_neg_ (rdn_ (rdnn_ n9_) (rdnn_ n8_))).
Variable rdnn90_854 : rdn_translate_ nn90_ (rdn_neg_ (rdn_ (rdnn_ n0_) (rdnn_ n9_))).
Variable rdnn91_855 : rdn_translate_ nn91_ (rdn_neg_ (rdn_ (rdnn_ n1_) (rdnn_ n9_))).
Variable rdnn92_856 : rdn_translate_ nn92_ (rdn_neg_ (rdn_ (rdnn_ n2_) (rdnn_ n9_))).
Variable rdnn93_857 : rdn_translate_ nn93_ (rdn_neg_ (rdn_ (rdnn_ n3_) (rdnn_ n9_))).
Variable rdnn94_858 : rdn_translate_ nn94_ (rdn_neg_ (rdn_ (rdnn_ n4_) (rdnn_ n9_))).
Variable rdnn95_859 : rdn_translate_ nn95_ (rdn_neg_ (rdn_ (rdnn_ n5_) (rdnn_ n9_))).
Variable rdnn96_860 : rdn_translate_ nn96_ (rdn_neg_ (rdn_ (rdnn_ n6_) (rdnn_ n9_))).
Variable rdnn97_861 : rdn_translate_ nn97_ (rdn_neg_ (rdn_ (rdnn_ n7_) (rdnn_ n9_))).
Variable rdnn98_862 : rdn_translate_ nn98_ (rdn_neg_ (rdn_ (rdnn_ n8_) (rdnn_ n9_))).
Variable rdnn99_863 : rdn_translate_ nn99_ (rdn_neg_ (rdn_ (rdnn_ n9_) (rdnn_ n9_))).
Variable rdnn100_864 : rdn_translate_ nn100_ (rdn_neg_ (rdn_ (rdnn_ n0_) (rdn_ (rdnn_ n0_) (rdnn_ n1_)))).
Variable rdnn101_865 : rdn_translate_ nn101_ (rdn_neg_ (rdn_ (rdnn_ n1_) (rdn_ (rdnn_ n0_) (rdnn_ n1_)))).
Variable rdnn102_866 : rdn_translate_ nn102_ (rdn_neg_ (rdn_ (rdnn_ n2_) (rdn_ (rdnn_ n0_) (rdnn_ n1_)))).
Variable rdnn103_867 : rdn_translate_ nn103_ (rdn_neg_ (rdn_ (rdnn_ n3_) (rdn_ (rdnn_ n0_) (rdnn_ n1_)))).
Variable rdnn104_868 : rdn_translate_ nn104_ (rdn_neg_ (rdn_ (rdnn_ n4_) (rdn_ (rdnn_ n0_) (rdnn_ n1_)))).
Variable rdnn105_869 : rdn_translate_ nn105_ (rdn_neg_ (rdn_ (rdnn_ n5_) (rdn_ (rdnn_ n0_) (rdnn_ n1_)))).
Variable rdnn106_870 : rdn_translate_ nn106_ (rdn_neg_ (rdn_ (rdnn_ n6_) (rdn_ (rdnn_ n0_) (rdnn_ n1_)))).
Variable rdnn107_871 : rdn_translate_ nn107_ (rdn_neg_ (rdn_ (rdnn_ n7_) (rdn_ (rdnn_ n0_) (rdnn_ n1_)))).
Variable rdnn108_872 : rdn_translate_ nn108_ (rdn_neg_ (rdn_ (rdnn_ n8_) (rdn_ (rdnn_ n0_) (rdnn_ n1_)))).
Variable rdnn109_873 : rdn_translate_ nn109_ (rdn_neg_ (rdn_ (rdnn_ n9_) (rdn_ (rdnn_ n0_) (rdnn_ n1_)))).
Variable rdnn110_874 : rdn_translate_ nn110_ (rdn_neg_ (rdn_ (rdnn_ n0_) (rdn_ (rdnn_ n1_) (rdnn_ n1_)))).
Variable rdnn111_875 : rdn_translate_ nn111_ (rdn_neg_ (rdn_ (rdnn_ n1_) (rdn_ (rdnn_ n1_) (rdnn_ n1_)))).
Variable rdnn112_876 : rdn_translate_ nn112_ (rdn_neg_ (rdn_ (rdnn_ n2_) (rdn_ (rdnn_ n1_) (rdnn_ n1_)))).
Variable rdnn113_877 : rdn_translate_ nn113_ (rdn_neg_ (rdn_ (rdnn_ n3_) (rdn_ (rdnn_ n1_) (rdnn_ n1_)))).
Variable rdnn114_878 : rdn_translate_ nn114_ (rdn_neg_ (rdn_ (rdnn_ n4_) (rdn_ (rdnn_ n1_) (rdnn_ n1_)))).
Variable rdnn115_879 : rdn_translate_ nn115_ (rdn_neg_ (rdn_ (rdnn_ n5_) (rdn_ (rdnn_ n1_) (rdnn_ n1_)))).
Variable rdnn116_880 : rdn_translate_ nn116_ (rdn_neg_ (rdn_ (rdnn_ n6_) (rdn_ (rdnn_ n1_) (rdnn_ n1_)))).
Variable rdnn117_881 : rdn_translate_ nn117_ (rdn_neg_ (rdn_ (rdnn_ n7_) (rdn_ (rdnn_ n1_) (rdnn_ n1_)))).
Variable rdnn118_882 : rdn_translate_ nn118_ (rdn_neg_ (rdn_ (rdnn_ n8_) (rdn_ (rdnn_ n1_) (rdnn_ n1_)))).
Variable rdnn119_883 : rdn_translate_ nn119_ (rdn_neg_ (rdn_ (rdnn_ n9_) (rdn_ (rdnn_ n1_) (rdnn_ n1_)))).
Variable rdnn120_884 : rdn_translate_ nn120_ (rdn_neg_ (rdn_ (rdnn_ n0_) (rdn_ (rdnn_ n2_) (rdnn_ n1_)))).
Variable rdnn121_885 : rdn_translate_ nn121_ (rdn_neg_ (rdn_ (rdnn_ n1_) (rdn_ (rdnn_ n2_) (rdnn_ n1_)))).
Variable rdnn122_886 : rdn_translate_ nn122_ (rdn_neg_ (rdn_ (rdnn_ n2_) (rdn_ (rdnn_ n2_) (rdnn_ n1_)))).
Variable rdnn123_887 : rdn_translate_ nn123_ (rdn_neg_ (rdn_ (rdnn_ n3_) (rdn_ (rdnn_ n2_) (rdnn_ n1_)))).
Variable rdnn124_888 : rdn_translate_ nn124_ (rdn_neg_ (rdn_ (rdnn_ n4_) (rdn_ (rdnn_ n2_) (rdnn_ n1_)))).
Variable rdnn125_889 : rdn_translate_ nn125_ (rdn_neg_ (rdn_ (rdnn_ n5_) (rdn_ (rdnn_ n2_) (rdnn_ n1_)))).
Variable rdnn126_890 : rdn_translate_ nn126_ (rdn_neg_ (rdn_ (rdnn_ n6_) (rdn_ (rdnn_ n2_) (rdnn_ n1_)))).
Variable rdnn127_891 : rdn_translate_ nn127_ (rdn_neg_ (rdn_ (rdnn_ n7_) (rdn_ (rdnn_ n2_) (rdnn_ n1_)))).
Variable rdnn128_892 : rdn_translate_ nn128_ (rdn_neg_ (rdn_ (rdnn_ n8_) (rdn_ (rdnn_ n2_) (rdnn_ n1_)))).
Variable rdn_digit1_893 : rdn_non_zero_digit_ (rdnn_ n1_).
Variable rdn_digit2_894 : rdn_non_zero_digit_ (rdnn_ n2_).
Variable rdn_digit3_895 : rdn_non_zero_digit_ (rdnn_ n3_).
Variable rdn_digit4_896 : rdn_non_zero_digit_ (rdnn_ n4_).
Variable rdn_digit5_897 : rdn_non_zero_digit_ (rdnn_ n5_).
Variable rdn_digit6_898 : rdn_non_zero_digit_ (rdnn_ n6_).
Variable rdn_digit7_899 : rdn_non_zero_digit_ (rdnn_ n7_).
Variable rdn_digit8_900 : rdn_non_zero_digit_ (rdnn_ n8_).
Variable rdn_digit9_901 : rdn_non_zero_digit_ (rdnn_ n9_).
Variable rdn_positive_less01_902 : rdn_positive_less_ (rdnn_ n0_) (rdnn_ n1_).
Variable rdn_positive_less12_903 : rdn_positive_less_ (rdnn_ n1_) (rdnn_ n2_).
Variable rdn_positive_less23_904 : rdn_positive_less_ (rdnn_ n2_) (rdnn_ n3_).
Variable rdn_positive_less34_905 : rdn_positive_less_ (rdnn_ n3_) (rdnn_ n4_).
Variable rdn_positive_less45_906 : rdn_positive_less_ (rdnn_ n4_) (rdnn_ n5_).
Variable rdn_positive_less56_907 : rdn_positive_less_ (rdnn_ n5_) (rdnn_ n6_).
Variable rdn_positive_less67_908 : rdn_positive_less_ (rdnn_ n6_) (rdnn_ n7_).
Variable rdn_positive_less78_909 : rdn_positive_less_ (rdnn_ n7_) (rdnn_ n8_).
Variable rdn_positive_less89_910 : rdn_positive_less_ (rdnn_ n8_) (rdnn_ n9_).
Variable rdn_positive_less_transitivity_911 : (forall X Y Z : Universe, ((rdn_positive_less_ (rdnn_ X) (rdnn_ Y) /\ rdn_positive_less_ (rdnn_ Y) (rdnn_ Z)) -> rdn_positive_less_ (rdnn_ X) (rdnn_ Z))).
Variable rdn_positive_less_multi_digit_high_912 : (forall Ds Os Db Ob : Universe, (rdn_positive_less_ Os Ob -> rdn_positive_less_ (rdn_ (rdnn_ Ds) Os) (rdn_ (rdnn_ Db) Ob))).
Variable rdn_positive_less_multi_digit_low_913 : (forall Ds O Db : Universe, ((rdn_positive_less_ (rdnn_ Ds) (rdnn_ Db) /\ rdn_non_zero_ O) -> rdn_positive_less_ (rdn_ (rdnn_ Ds) O) (rdn_ (rdnn_ Db) O))).
Variable rdn_extra_digits_positive_less_914 : (forall D Db Ob : Universe, (rdn_non_zero_ Ob -> rdn_positive_less_ (rdnn_ D) (rdn_ (rdnn_ Db) Ob))).
Variable rdn_non_zero_by_digit_915 : (forall X : Universe, (rdn_non_zero_digit_ (rdnn_ X) -> rdn_non_zero_ (rdnn_ X))).
Variable rdn_non_zero_by_structure_916 : (forall D O : Universe, (rdn_non_zero_ O -> rdn_non_zero_ (rdn_ (rdnn_ D) O))).
Variable less_entry_point_pos_pos_917 : (forall X Y RDN_X RDN_Y : Universe, ((rdn_translate_ X (rdn_pos_ RDN_X) /\ (rdn_translate_ Y (rdn_pos_ RDN_Y) /\ rdn_positive_less_ RDN_X RDN_Y)) -> less_ X Y)).
Variable less_entry_point_neg_pos_918 : (forall X Y RDN_X RDN_Y : Universe, ((rdn_translate_ X (rdn_neg_ RDN_X) /\ rdn_translate_ Y (rdn_pos_ RDN_Y)) -> less_ X Y)).
Variable less_entry_point_neg_neg_919 : (forall X Y RDN_X RDN_Y : Universe, ((rdn_translate_ X (rdn_neg_ RDN_X) /\ (rdn_translate_ Y (rdn_neg_ RDN_Y) /\ rdn_positive_less_ RDN_Y RDN_X)) -> less_ X Y)).
Variable less_property_920 : (forall X Y : Universe, (less_ X Y <-> (~(less_ Y X) /\ Y <> X))).
Variable less_or_equal_921 : (forall X Y : Universe, (less_or_equal_ X Y <-> (less_ X Y \/ X = Y))).
Variable less_successor_922 : (forall X Y Z : Universe, ((sum_ X n1_ Y /\ less_ Z Y) -> less_or_equal_ Z X)).

Set Firstorder Depth 10.

Theorem query_2_923 : ~(accept_team_ christiansufferterrahumanitarianorganization_ sufferterragovernment_ towna_ n6_).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
