(*
% File     : ALG017+1 : ILTP v1.1.2
% Domain   : General Algebra
% Problem  : Groups 4: CPROPS-PAIRWISE-EXCLUSIVE-PROBLEM-1
% Version  : Especial.
% English  : 
% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 
% Status   : Theorem
% Rating   : 0.00 v3.1.0, 0.11 v2.7.0
% Status (intuit.) : Theorem
% Rating (intuit.) : 0.75 v1.1.0, 0.50 v1.0.0
% Syntax   : Number of formulae    :   12 (   1 unit)
%            Number of atoms       :  295 ( 295 equality)
%            Maximal formula depth :   64 (  17 average)
%            Number of connectives :  345 (  62 ~  ;  69  |; 198  &)
%                                         (   0 <=>;  16 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   5 constant; 0-2 arity)
%            Number of variables   :    0 (   0 singleton;   0 !;   0 ?)
%            Maximal term depth    :    3 (   2 average)
% Comments : 
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable EqTransitivity : forall x y z : Universe, x = y -> y = z -> x = z.
Variable EqSymmetry : forall x y : Universe, x = y -> y = x.
Variable EqReflexivity : forall x : Universe, x = x.

Variable unit_ : Universe.
Variable op_ : Universe -> Universe -> Universe.
Variable EqCongruence_op : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> op_ x1 x2 = op_ y1 y2 .
Variable inv_ : Universe -> Universe.
Variable EqCongruence_inv : forall x1 y1 : Universe, x1 = y1 -> inv_ x1 = inv_ y1 .
Variable e3_ : Universe.
Variable e2_ : Universe.
Variable e1_ : Universe.
Variable e0_ : Universe.

Variable ax1_1 : (((op_ e0_ e0_) = e0_ \/ ((op_ e0_ e0_) = e1_ \/ ((op_ e0_ e0_) = e2_ \/ (op_ e0_ e0_) = e3_))) /\ (((op_ e0_ e1_) = e0_ \/ ((op_ e0_ e1_) = e1_ \/ ((op_ e0_ e1_) = e2_ \/ (op_ e0_ e1_) = e3_))) /\ (((op_ e0_ e2_) = e0_ \/ ((op_ e0_ e2_) = e1_ \/ ((op_ e0_ e2_) = e2_ \/ (op_ e0_ e2_) = e3_))) /\ (((op_ e0_ e3_) = e0_ \/ ((op_ e0_ e3_) = e1_ \/ ((op_ e0_ e3_) = e2_ \/ (op_ e0_ e3_) = e3_))) /\ (((op_ e1_ e0_) = e0_ \/ ((op_ e1_ e0_) = e1_ \/ ((op_ e1_ e0_) = e2_ \/ (op_ e1_ e0_) = e3_))) /\ (((op_ e1_ e1_) = e0_ \/ ((op_ e1_ e1_) = e1_ \/ ((op_ e1_ e1_) = e2_ \/ (op_ e1_ e1_) = e3_))) /\ (((op_ e1_ e2_) = e0_ \/ ((op_ e1_ e2_) = e1_ \/ ((op_ e1_ e2_) = e2_ \/ (op_ e1_ e2_) = e3_))) /\ (((op_ e1_ e3_) = e0_ \/ ((op_ e1_ e3_) = e1_ \/ ((op_ e1_ e3_) = e2_ \/ (op_ e1_ e3_) = e3_))) /\ (((op_ e2_ e0_) = e0_ \/ ((op_ e2_ e0_) = e1_ \/ ((op_ e2_ e0_) = e2_ \/ (op_ e2_ e0_) = e3_))) /\ (((op_ e2_ e1_) = e0_ \/ ((op_ e2_ e1_) = e1_ \/ ((op_ e2_ e1_) = e2_ \/ (op_ e2_ e1_) = e3_))) /\ (((op_ e2_ e2_) = e0_ \/ ((op_ e2_ e2_) = e1_ \/ ((op_ e2_ e2_) = e2_ \/ (op_ e2_ e2_) = e3_))) /\ (((op_ e2_ e3_) = e0_ \/ ((op_ e2_ e3_) = e1_ \/ ((op_ e2_ e3_) = e2_ \/ (op_ e2_ e3_) = e3_))) /\ (((op_ e3_ e0_) = e0_ \/ ((op_ e3_ e0_) = e1_ \/ ((op_ e3_ e0_) = e2_ \/ (op_ e3_ e0_) = e3_))) /\ (((op_ e3_ e1_) = e0_ \/ ((op_ e3_ e1_) = e1_ \/ ((op_ e3_ e1_) = e2_ \/ (op_ e3_ e1_) = e3_))) /\ (((op_ e3_ e2_) = e0_ \/ ((op_ e3_ e2_) = e1_ \/ ((op_ e3_ e2_) = e2_ \/ (op_ e3_ e2_) = e3_))) /\ ((op_ e3_ e3_) = e0_ \/ ((op_ e3_ e3_) = e1_ \/ ((op_ e3_ e3_) = e2_ \/ (op_ e3_ e3_) = e3_)))))))))))))))))).
Variable ax2_2 : ((op_ (op_ e0_ e0_) e0_) = (op_ e0_ (op_ e0_ e0_)) /\ ((op_ (op_ e0_ e0_) e1_) = (op_ e0_ (op_ e0_ e1_)) /\ ((op_ (op_ e0_ e0_) e2_) = (op_ e0_ (op_ e0_ e2_)) /\ ((op_ (op_ e0_ e0_) e3_) = (op_ e0_ (op_ e0_ e3_)) /\ ((op_ (op_ e0_ e1_) e0_) = (op_ e0_ (op_ e1_ e0_)) /\ ((op_ (op_ e0_ e1_) e1_) = (op_ e0_ (op_ e1_ e1_)) /\ ((op_ (op_ e0_ e1_) e2_) = (op_ e0_ (op_ e1_ e2_)) /\ ((op_ (op_ e0_ e1_) e3_) = (op_ e0_ (op_ e1_ e3_)) /\ ((op_ (op_ e0_ e2_) e0_) = (op_ e0_ (op_ e2_ e0_)) /\ ((op_ (op_ e0_ e2_) e1_) = (op_ e0_ (op_ e2_ e1_)) /\ ((op_ (op_ e0_ e2_) e2_) = (op_ e0_ (op_ e2_ e2_)) /\ ((op_ (op_ e0_ e2_) e3_) = (op_ e0_ (op_ e2_ e3_)) /\ ((op_ (op_ e0_ e3_) e0_) = (op_ e0_ (op_ e3_ e0_)) /\ ((op_ (op_ e0_ e3_) e1_) = (op_ e0_ (op_ e3_ e1_)) /\ ((op_ (op_ e0_ e3_) e2_) = (op_ e0_ (op_ e3_ e2_)) /\ ((op_ (op_ e0_ e3_) e3_) = (op_ e0_ (op_ e3_ e3_)) /\ ((op_ (op_ e1_ e0_) e0_) = (op_ e1_ (op_ e0_ e0_)) /\ ((op_ (op_ e1_ e0_) e1_) = (op_ e1_ (op_ e0_ e1_)) /\ ((op_ (op_ e1_ e0_) e2_) = (op_ e1_ (op_ e0_ e2_)) /\ ((op_ (op_ e1_ e0_) e3_) = (op_ e1_ (op_ e0_ e3_)) /\ ((op_ (op_ e1_ e1_) e0_) = (op_ e1_ (op_ e1_ e0_)) /\ ((op_ (op_ e1_ e1_) e1_) = (op_ e1_ (op_ e1_ e1_)) /\ ((op_ (op_ e1_ e1_) e2_) = (op_ e1_ (op_ e1_ e2_)) /\ ((op_ (op_ e1_ e1_) e3_) = (op_ e1_ (op_ e1_ e3_)) /\ ((op_ (op_ e1_ e2_) e0_) = (op_ e1_ (op_ e2_ e0_)) /\ ((op_ (op_ e1_ e2_) e1_) = (op_ e1_ (op_ e2_ e1_)) /\ ((op_ (op_ e1_ e2_) e2_) = (op_ e1_ (op_ e2_ e2_)) /\ ((op_ (op_ e1_ e2_) e3_) = (op_ e1_ (op_ e2_ e3_)) /\ ((op_ (op_ e1_ e3_) e0_) = (op_ e1_ (op_ e3_ e0_)) /\ ((op_ (op_ e1_ e3_) e1_) = (op_ e1_ (op_ e3_ e1_)) /\ ((op_ (op_ e1_ e3_) e2_) = (op_ e1_ (op_ e3_ e2_)) /\ ((op_ (op_ e1_ e3_) e3_) = (op_ e1_ (op_ e3_ e3_)) /\ ((op_ (op_ e2_ e0_) e0_) = (op_ e2_ (op_ e0_ e0_)) /\ ((op_ (op_ e2_ e0_) e1_) = (op_ e2_ (op_ e0_ e1_)) /\ ((op_ (op_ e2_ e0_) e2_) = (op_ e2_ (op_ e0_ e2_)) /\ ((op_ (op_ e2_ e0_) e3_) = (op_ e2_ (op_ e0_ e3_)) /\ ((op_ (op_ e2_ e1_) e0_) = (op_ e2_ (op_ e1_ e0_)) /\ ((op_ (op_ e2_ e1_) e1_) = (op_ e2_ (op_ e1_ e1_)) /\ ((op_ (op_ e2_ e1_) e2_) = (op_ e2_ (op_ e1_ e2_)) /\ ((op_ (op_ e2_ e1_) e3_) = (op_ e2_ (op_ e1_ e3_)) /\ ((op_ (op_ e2_ e2_) e0_) = (op_ e2_ (op_ e2_ e0_)) /\ ((op_ (op_ e2_ e2_) e1_) = (op_ e2_ (op_ e2_ e1_)) /\ ((op_ (op_ e2_ e2_) e2_) = (op_ e2_ (op_ e2_ e2_)) /\ ((op_ (op_ e2_ e2_) e3_) = (op_ e2_ (op_ e2_ e3_)) /\ ((op_ (op_ e2_ e3_) e0_) = (op_ e2_ (op_ e3_ e0_)) /\ ((op_ (op_ e2_ e3_) e1_) = (op_ e2_ (op_ e3_ e1_)) /\ ((op_ (op_ e2_ e3_) e2_) = (op_ e2_ (op_ e3_ e2_)) /\ ((op_ (op_ e2_ e3_) e3_) = (op_ e2_ (op_ e3_ e3_)) /\ ((op_ (op_ e3_ e0_) e0_) = (op_ e3_ (op_ e0_ e0_)) /\ ((op_ (op_ e3_ e0_) e1_) = (op_ e3_ (op_ e0_ e1_)) /\ ((op_ (op_ e3_ e0_) e2_) = (op_ e3_ (op_ e0_ e2_)) /\ ((op_ (op_ e3_ e0_) e3_) = (op_ e3_ (op_ e0_ e3_)) /\ ((op_ (op_ e3_ e1_) e0_) = (op_ e3_ (op_ e1_ e0_)) /\ ((op_ (op_ e3_ e1_) e1_) = (op_ e3_ (op_ e1_ e1_)) /\ ((op_ (op_ e3_ e1_) e2_) = (op_ e3_ (op_ e1_ e2_)) /\ ((op_ (op_ e3_ e1_) e3_) = (op_ e3_ (op_ e1_ e3_)) /\ ((op_ (op_ e3_ e2_) e0_) = (op_ e3_ (op_ e2_ e0_)) /\ ((op_ (op_ e3_ e2_) e1_) = (op_ e3_ (op_ e2_ e1_)) /\ ((op_ (op_ e3_ e2_) e2_) = (op_ e3_ (op_ e2_ e2_)) /\ ((op_ (op_ e3_ e2_) e3_) = (op_ e3_ (op_ e2_ e3_)) /\ ((op_ (op_ e3_ e3_) e0_) = (op_ e3_ (op_ e3_ e0_)) /\ ((op_ (op_ e3_ e3_) e1_) = (op_ e3_ (op_ e3_ e1_)) /\ ((op_ (op_ e3_ e3_) e2_) = (op_ e3_ (op_ e3_ e2_)) /\ (op_ (op_ e3_ e3_) e3_) = (op_ e3_ (op_ e3_ e3_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Variable ax3_3 : ((op_ unit_ e0_) = e0_ /\ ((op_ e0_ unit_) = e0_ /\ ((op_ unit_ e1_) = e1_ /\ ((op_ e1_ unit_) = e1_ /\ ((op_ unit_ e2_) = e2_ /\ ((op_ e2_ unit_) = e2_ /\ ((op_ unit_ e3_) = e3_ /\ ((op_ e3_ unit_) = e3_ /\ (unit_ = e0_ \/ (unit_ = e1_ \/ (unit_ = e2_ \/ unit_ = e3_))))))))))).
Variable ax4_4 : ((op_ e0_ (inv_ e0_)) = unit_ /\ ((op_ (inv_ e0_) e0_) = unit_ /\ ((op_ e1_ (inv_ e1_)) = unit_ /\ ((op_ (inv_ e1_) e1_) = unit_ /\ ((op_ e2_ (inv_ e2_)) = unit_ /\ ((op_ (inv_ e2_) e2_) = unit_ /\ ((op_ e3_ (inv_ e3_)) = unit_ /\ ((op_ (inv_ e3_) e3_) = unit_ /\ (((inv_ e0_) = e0_ \/ ((inv_ e0_) = e1_ \/ ((inv_ e0_) = e2_ \/ (inv_ e0_) = e3_))) /\ (((inv_ e1_) = e0_ \/ ((inv_ e1_) = e1_ \/ ((inv_ e1_) = e2_ \/ (inv_ e1_) = e3_))) /\ (((inv_ e2_) = e0_ \/ ((inv_ e2_) = e1_ \/ ((inv_ e2_) = e2_ \/ (inv_ e2_) = e3_))) /\ ((inv_ e3_) = e0_ \/ ((inv_ e3_) = e1_ \/ ((inv_ e3_) = e2_ \/ (inv_ e3_) = e3_)))))))))))))).
Variable ax5_5 : (inv_ unit_) = unit_.
Variable ax6_6 : ((inv_ (inv_ e0_)) = e0_ /\ ((inv_ (inv_ e1_)) = e1_ /\ ((inv_ (inv_ e2_)) = e2_ /\ (inv_ (inv_ e3_)) = e3_))).
Variable ax7_7 : (((inv_ e0_) = e0_ -> (inv_ e0_) = e0_) /\ (((inv_ e0_) = e1_ -> (inv_ e1_) = e0_) /\ (((inv_ e0_) = e2_ -> (inv_ e2_) = e0_) /\ (((inv_ e0_) = e3_ -> (inv_ e3_) = e0_) /\ (((inv_ e1_) = e0_ -> (inv_ e0_) = e1_) /\ (((inv_ e1_) = e1_ -> (inv_ e1_) = e1_) /\ (((inv_ e1_) = e2_ -> (inv_ e2_) = e1_) /\ (((inv_ e1_) = e3_ -> (inv_ e3_) = e1_) /\ (((inv_ e2_) = e0_ -> (inv_ e0_) = e2_) /\ (((inv_ e2_) = e1_ -> (inv_ e1_) = e2_) /\ (((inv_ e2_) = e2_ -> (inv_ e2_) = e2_) /\ (((inv_ e2_) = e3_ -> (inv_ e3_) = e2_) /\ (((inv_ e3_) = e0_ -> (inv_ e0_) = e3_) /\ (((inv_ e3_) = e1_ -> (inv_ e1_) = e3_) /\ (((inv_ e3_) = e2_ -> (inv_ e2_) = e3_) /\ ((inv_ e3_) = e3_ -> (inv_ e3_) = e3_)))))))))))))))).
Variable ax8_8 : ((inv_ e0_) <> (inv_ e1_) /\ ((inv_ e0_) <> (inv_ e2_) /\ ((inv_ e0_) <> (inv_ e3_) /\ ((inv_ e1_) <> (inv_ e2_) /\ ((inv_ e1_) <> (inv_ e3_) /\ (inv_ e2_) <> (inv_ e3_)))))).
Variable ax9_9 : ((op_ e0_ e0_) <> (op_ e1_ e0_) /\ ((op_ e0_ e0_) <> (op_ e2_ e0_) /\ ((op_ e0_ e0_) <> (op_ e3_ e0_) /\ ((op_ e1_ e0_) <> (op_ e2_ e0_) /\ ((op_ e1_ e0_) <> (op_ e3_ e0_) /\ ((op_ e2_ e0_) <> (op_ e3_ e0_) /\ ((op_ e0_ e1_) <> (op_ e1_ e1_) /\ ((op_ e0_ e1_) <> (op_ e2_ e1_) /\ ((op_ e0_ e1_) <> (op_ e3_ e1_) /\ ((op_ e1_ e1_) <> (op_ e2_ e1_) /\ ((op_ e1_ e1_) <> (op_ e3_ e1_) /\ ((op_ e2_ e1_) <> (op_ e3_ e1_) /\ ((op_ e0_ e2_) <> (op_ e1_ e2_) /\ ((op_ e0_ e2_) <> (op_ e2_ e2_) /\ ((op_ e0_ e2_) <> (op_ e3_ e2_) /\ ((op_ e1_ e2_) <> (op_ e2_ e2_) /\ ((op_ e1_ e2_) <> (op_ e3_ e2_) /\ ((op_ e2_ e2_) <> (op_ e3_ e2_) /\ ((op_ e0_ e3_) <> (op_ e1_ e3_) /\ ((op_ e0_ e3_) <> (op_ e2_ e3_) /\ ((op_ e0_ e3_) <> (op_ e3_ e3_) /\ ((op_ e1_ e3_) <> (op_ e2_ e3_) /\ ((op_ e1_ e3_) <> (op_ e3_ e3_) /\ ((op_ e2_ e3_) <> (op_ e3_ e3_) /\ ((op_ e0_ e0_) <> (op_ e0_ e1_) /\ ((op_ e0_ e0_) <> (op_ e0_ e2_) /\ ((op_ e0_ e0_) <> (op_ e0_ e3_) /\ ((op_ e0_ e1_) <> (op_ e0_ e2_) /\ ((op_ e0_ e1_) <> (op_ e0_ e3_) /\ ((op_ e0_ e2_) <> (op_ e0_ e3_) /\ ((op_ e1_ e0_) <> (op_ e1_ e1_) /\ ((op_ e1_ e0_) <> (op_ e1_ e2_) /\ ((op_ e1_ e0_) <> (op_ e1_ e3_) /\ ((op_ e1_ e1_) <> (op_ e1_ e2_) /\ ((op_ e1_ e1_) <> (op_ e1_ e3_) /\ ((op_ e1_ e2_) <> (op_ e1_ e3_) /\ ((op_ e2_ e0_) <> (op_ e2_ e1_) /\ ((op_ e2_ e0_) <> (op_ e2_ e2_) /\ ((op_ e2_ e0_) <> (op_ e2_ e3_) /\ ((op_ e2_ e1_) <> (op_ e2_ e2_) /\ ((op_ e2_ e1_) <> (op_ e2_ e3_) /\ ((op_ e2_ e2_) <> (op_ e2_ e3_) /\ ((op_ e3_ e0_) <> (op_ e3_ e1_) /\ ((op_ e3_ e0_) <> (op_ e3_ e2_) /\ ((op_ e3_ e0_) <> (op_ e3_ e3_) /\ ((op_ e3_ e1_) <> (op_ e3_ e2_) /\ ((op_ e3_ e1_) <> (op_ e3_ e3_) /\ (op_ e3_ e2_) <> (op_ e3_ e3_)))))))))))))))))))))))))))))))))))))))))))))))).
Variable ax10_10 : (e0_ <> e1_ /\ (e0_ <> e2_ /\ (e0_ <> e3_ /\ (e1_ <> e2_ /\ (e1_ <> e3_ /\ e2_ <> e3_))))).
Variable ax11_11 : (e0_ = (op_ e3_ e3_) /\ e1_ = (op_ e2_ e3_)).

Set Firstorder Depth 10.

Theorem co1_12 : ~(((((op_ e0_ e0_) = e0_ /\ ((op_ e1_ e1_) = e0_ /\ ((op_ e2_ e2_) = e0_ /\ (op_ e3_ e3_) = e0_))) \/ (((op_ e0_ e0_) = e1_ /\ ((op_ e1_ e1_) = e1_ /\ ((op_ e2_ e2_) = e1_ /\ (op_ e3_ e3_) = e1_))) \/ (((op_ e0_ e0_) = e2_ /\ ((op_ e1_ e1_) = e2_ /\ ((op_ e2_ e2_) = e2_ /\ (op_ e3_ e3_) = e2_))) \/ ((op_ e0_ e0_) = e3_ /\ ((op_ e1_ e1_) = e3_ /\ ((op_ e2_ e2_) = e3_ /\ (op_ e3_ e3_) = e3_)))))) /\ ~((((op_ e0_ e0_) = e0_ /\ ((op_ e1_ e1_) = e0_ /\ ((op_ e2_ e2_) = e0_ /\ (op_ e3_ e3_) = e0_))) \/ (((op_ e0_ e0_) = e1_ /\ ((op_ e1_ e1_) = e1_ /\ ((op_ e2_ e2_) = e1_ /\ (op_ e3_ e3_) = e1_))) \/ (((op_ e0_ e0_) = e2_ /\ ((op_ e1_ e1_) = e2_ /\ ((op_ e2_ e2_) = e2_ /\ (op_ e3_ e3_) = e2_))) \/ ((op_ e0_ e0_) = e3_ /\ ((op_ e1_ e1_) = e3_ /\ ((op_ e2_ e2_) = e3_ /\ (op_ e3_ e3_) = e3_))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
