(*
% File     : ALG036+1 : ILTP v1.1.2
% Domain   : General Algebra
% Problem  : Loops 4: CPROPS-COVERING-PROBLEM-1
% Version  : Especial.
% English  : 
% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 
% Status   : Theorem
% Rating   : 0.11 v3.1.0, 0.00 v2.7.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    7 (   1 unit)
%            Number of atoms       :  291 ( 291 equality)
%            Maximal formula depth :   49 (  19 average)
%            Number of connectives :  339 (  55 ~  ; 154  |; 130  &)
%                                         (   0 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   5 constant; 0-2 arity)
%            Number of variables   :    0 (   0 singleton;   0 !;   0 ?)
%            Maximal term depth    :    2 (   2 average)
% Comments : 
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable EqTransitivity : forall x y z : Universe, x = y -> y = z -> x = z.
Variable EqSymmetry : forall x y : Universe, x = y -> y = x.
Variable EqReflexivity : forall x : Universe, x = x.

Variable unit_ : Universe.
Variable op_ : Universe -> Universe -> Universe.
Variable EqCongruence_op : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> op_ x1 x2 = op_ y1 y2 .
Variable e3_ : Universe.
Variable e2_ : Universe.
Variable e1_ : Universe.
Variable e0_ : Universe.

Variable ax1_1 : (((op_ e0_ e0_) = e0_ \/ ((op_ e0_ e0_) = e1_ \/ ((op_ e0_ e0_) = e2_ \/ (op_ e0_ e0_) = e3_))) /\ (((op_ e0_ e1_) = e0_ \/ ((op_ e0_ e1_) = e1_ \/ ((op_ e0_ e1_) = e2_ \/ (op_ e0_ e1_) = e3_))) /\ (((op_ e0_ e2_) = e0_ \/ ((op_ e0_ e2_) = e1_ \/ ((op_ e0_ e2_) = e2_ \/ (op_ e0_ e2_) = e3_))) /\ (((op_ e0_ e3_) = e0_ \/ ((op_ e0_ e3_) = e1_ \/ ((op_ e0_ e3_) = e2_ \/ (op_ e0_ e3_) = e3_))) /\ (((op_ e1_ e0_) = e0_ \/ ((op_ e1_ e0_) = e1_ \/ ((op_ e1_ e0_) = e2_ \/ (op_ e1_ e0_) = e3_))) /\ (((op_ e1_ e1_) = e0_ \/ ((op_ e1_ e1_) = e1_ \/ ((op_ e1_ e1_) = e2_ \/ (op_ e1_ e1_) = e3_))) /\ (((op_ e1_ e2_) = e0_ \/ ((op_ e1_ e2_) = e1_ \/ ((op_ e1_ e2_) = e2_ \/ (op_ e1_ e2_) = e3_))) /\ (((op_ e1_ e3_) = e0_ \/ ((op_ e1_ e3_) = e1_ \/ ((op_ e1_ e3_) = e2_ \/ (op_ e1_ e3_) = e3_))) /\ (((op_ e2_ e0_) = e0_ \/ ((op_ e2_ e0_) = e1_ \/ ((op_ e2_ e0_) = e2_ \/ (op_ e2_ e0_) = e3_))) /\ (((op_ e2_ e1_) = e0_ \/ ((op_ e2_ e1_) = e1_ \/ ((op_ e2_ e1_) = e2_ \/ (op_ e2_ e1_) = e3_))) /\ (((op_ e2_ e2_) = e0_ \/ ((op_ e2_ e2_) = e1_ \/ ((op_ e2_ e2_) = e2_ \/ (op_ e2_ e2_) = e3_))) /\ (((op_ e2_ e3_) = e0_ \/ ((op_ e2_ e3_) = e1_ \/ ((op_ e2_ e3_) = e2_ \/ (op_ e2_ e3_) = e3_))) /\ (((op_ e3_ e0_) = e0_ \/ ((op_ e3_ e0_) = e1_ \/ ((op_ e3_ e0_) = e2_ \/ (op_ e3_ e0_) = e3_))) /\ (((op_ e3_ e1_) = e0_ \/ ((op_ e3_ e1_) = e1_ \/ ((op_ e3_ e1_) = e2_ \/ (op_ e3_ e1_) = e3_))) /\ (((op_ e3_ e2_) = e0_ \/ ((op_ e3_ e2_) = e1_ \/ ((op_ e3_ e2_) = e2_ \/ (op_ e3_ e2_) = e3_))) /\ ((op_ e3_ e3_) = e0_ \/ ((op_ e3_ e3_) = e1_ \/ ((op_ e3_ e3_) = e2_ \/ (op_ e3_ e3_) = e3_)))))))))))))))))).
Variable ax2_2 : ((op_ unit_ e0_) = e0_ /\ ((op_ e0_ unit_) = e0_ /\ ((op_ unit_ e1_) = e1_ /\ ((op_ e1_ unit_) = e1_ /\ ((op_ unit_ e2_) = e2_ /\ ((op_ e2_ unit_) = e2_ /\ ((op_ unit_ e3_) = e3_ /\ ((op_ e3_ unit_) = e3_ /\ (unit_ = e0_ \/ (unit_ = e1_ \/ (unit_ = e2_ \/ unit_ = e3_))))))))))).
Variable ax3_3 : (((op_ e0_ e0_) = e0_ \/ ((op_ e0_ e1_) = e0_ \/ ((op_ e0_ e2_) = e0_ \/ (op_ e0_ e3_) = e0_))) /\ (((op_ e0_ e0_) = e0_ \/ ((op_ e1_ e0_) = e0_ \/ ((op_ e2_ e0_) = e0_ \/ (op_ e3_ e0_) = e0_))) /\ (((op_ e0_ e0_) = e1_ \/ ((op_ e0_ e1_) = e1_ \/ ((op_ e0_ e2_) = e1_ \/ (op_ e0_ e3_) = e1_))) /\ (((op_ e0_ e0_) = e1_ \/ ((op_ e1_ e0_) = e1_ \/ ((op_ e2_ e0_) = e1_ \/ (op_ e3_ e0_) = e1_))) /\ (((op_ e0_ e0_) = e2_ \/ ((op_ e0_ e1_) = e2_ \/ ((op_ e0_ e2_) = e2_ \/ (op_ e0_ e3_) = e2_))) /\ (((op_ e0_ e0_) = e2_ \/ ((op_ e1_ e0_) = e2_ \/ ((op_ e2_ e0_) = e2_ \/ (op_ e3_ e0_) = e2_))) /\ (((op_ e0_ e0_) = e3_ \/ ((op_ e0_ e1_) = e3_ \/ ((op_ e0_ e2_) = e3_ \/ (op_ e0_ e3_) = e3_))) /\ (((op_ e0_ e0_) = e3_ \/ ((op_ e1_ e0_) = e3_ \/ ((op_ e2_ e0_) = e3_ \/ (op_ e3_ e0_) = e3_))) /\ (((op_ e1_ e0_) = e0_ \/ ((op_ e1_ e1_) = e0_ \/ ((op_ e1_ e2_) = e0_ \/ (op_ e1_ e3_) = e0_))) /\ (((op_ e0_ e1_) = e0_ \/ ((op_ e1_ e1_) = e0_ \/ ((op_ e2_ e1_) = e0_ \/ (op_ e3_ e1_) = e0_))) /\ (((op_ e1_ e0_) = e1_ \/ ((op_ e1_ e1_) = e1_ \/ ((op_ e1_ e2_) = e1_ \/ (op_ e1_ e3_) = e1_))) /\ (((op_ e0_ e1_) = e1_ \/ ((op_ e1_ e1_) = e1_ \/ ((op_ e2_ e1_) = e1_ \/ (op_ e3_ e1_) = e1_))) /\ (((op_ e1_ e0_) = e2_ \/ ((op_ e1_ e1_) = e2_ \/ ((op_ e1_ e2_) = e2_ \/ (op_ e1_ e3_) = e2_))) /\ (((op_ e0_ e1_) = e2_ \/ ((op_ e1_ e1_) = e2_ \/ ((op_ e2_ e1_) = e2_ \/ (op_ e3_ e1_) = e2_))) /\ (((op_ e1_ e0_) = e3_ \/ ((op_ e1_ e1_) = e3_ \/ ((op_ e1_ e2_) = e3_ \/ (op_ e1_ e3_) = e3_))) /\ (((op_ e0_ e1_) = e3_ \/ ((op_ e1_ e1_) = e3_ \/ ((op_ e2_ e1_) = e3_ \/ (op_ e3_ e1_) = e3_))) /\ (((op_ e2_ e0_) = e0_ \/ ((op_ e2_ e1_) = e0_ \/ ((op_ e2_ e2_) = e0_ \/ (op_ e2_ e3_) = e0_))) /\ (((op_ e0_ e2_) = e0_ \/ ((op_ e1_ e2_) = e0_ \/ ((op_ e2_ e2_) = e0_ \/ (op_ e3_ e2_) = e0_))) /\ (((op_ e2_ e0_) = e1_ \/ ((op_ e2_ e1_) = e1_ \/ ((op_ e2_ e2_) = e1_ \/ (op_ e2_ e3_) = e1_))) /\ (((op_ e0_ e2_) = e1_ \/ ((op_ e1_ e2_) = e1_ \/ ((op_ e2_ e2_) = e1_ \/ (op_ e3_ e2_) = e1_))) /\ (((op_ e2_ e0_) = e2_ \/ ((op_ e2_ e1_) = e2_ \/ ((op_ e2_ e2_) = e2_ \/ (op_ e2_ e3_) = e2_))) /\ (((op_ e0_ e2_) = e2_ \/ ((op_ e1_ e2_) = e2_ \/ ((op_ e2_ e2_) = e2_ \/ (op_ e3_ e2_) = e2_))) /\ (((op_ e2_ e0_) = e3_ \/ ((op_ e2_ e1_) = e3_ \/ ((op_ e2_ e2_) = e3_ \/ (op_ e2_ e3_) = e3_))) /\ (((op_ e0_ e2_) = e3_ \/ ((op_ e1_ e2_) = e3_ \/ ((op_ e2_ e2_) = e3_ \/ (op_ e3_ e2_) = e3_))) /\ (((op_ e3_ e0_) = e0_ \/ ((op_ e3_ e1_) = e0_ \/ ((op_ e3_ e2_) = e0_ \/ (op_ e3_ e3_) = e0_))) /\ (((op_ e0_ e3_) = e0_ \/ ((op_ e1_ e3_) = e0_ \/ ((op_ e2_ e3_) = e0_ \/ (op_ e3_ e3_) = e0_))) /\ (((op_ e3_ e0_) = e1_ \/ ((op_ e3_ e1_) = e1_ \/ ((op_ e3_ e2_) = e1_ \/ (op_ e3_ e3_) = e1_))) /\ (((op_ e0_ e3_) = e1_ \/ ((op_ e1_ e3_) = e1_ \/ ((op_ e2_ e3_) = e1_ \/ (op_ e3_ e3_) = e1_))) /\ (((op_ e3_ e0_) = e2_ \/ ((op_ e3_ e1_) = e2_ \/ ((op_ e3_ e2_) = e2_ \/ (op_ e3_ e3_) = e2_))) /\ (((op_ e0_ e3_) = e2_ \/ ((op_ e1_ e3_) = e2_ \/ ((op_ e2_ e3_) = e2_ \/ (op_ e3_ e3_) = e2_))) /\ (((op_ e3_ e0_) = e3_ \/ ((op_ e3_ e1_) = e3_ \/ ((op_ e3_ e2_) = e3_ \/ (op_ e3_ e3_) = e3_))) /\ ((op_ e0_ e3_) = e3_ \/ ((op_ e1_ e3_) = e3_ \/ ((op_ e2_ e3_) = e3_ \/ (op_ e3_ e3_) = e3_)))))))))))))))))))))))))))))))))).
Variable ax4_4 : unit_ = e0_.
Variable ax5_5 : ((op_ e0_ e0_) <> (op_ e1_ e0_) /\ ((op_ e0_ e0_) <> (op_ e2_ e0_) /\ ((op_ e0_ e0_) <> (op_ e3_ e0_) /\ ((op_ e1_ e0_) <> (op_ e2_ e0_) /\ ((op_ e1_ e0_) <> (op_ e3_ e0_) /\ ((op_ e2_ e0_) <> (op_ e3_ e0_) /\ ((op_ e0_ e1_) <> (op_ e1_ e1_) /\ ((op_ e0_ e1_) <> (op_ e2_ e1_) /\ ((op_ e0_ e1_) <> (op_ e3_ e1_) /\ ((op_ e1_ e1_) <> (op_ e2_ e1_) /\ ((op_ e1_ e1_) <> (op_ e3_ e1_) /\ ((op_ e2_ e1_) <> (op_ e3_ e1_) /\ ((op_ e0_ e2_) <> (op_ e1_ e2_) /\ ((op_ e0_ e2_) <> (op_ e2_ e2_) /\ ((op_ e0_ e2_) <> (op_ e3_ e2_) /\ ((op_ e1_ e2_) <> (op_ e2_ e2_) /\ ((op_ e1_ e2_) <> (op_ e3_ e2_) /\ ((op_ e2_ e2_) <> (op_ e3_ e2_) /\ ((op_ e0_ e3_) <> (op_ e1_ e3_) /\ ((op_ e0_ e3_) <> (op_ e2_ e3_) /\ ((op_ e0_ e3_) <> (op_ e3_ e3_) /\ ((op_ e1_ e3_) <> (op_ e2_ e3_) /\ ((op_ e1_ e3_) <> (op_ e3_ e3_) /\ ((op_ e2_ e3_) <> (op_ e3_ e3_) /\ ((op_ e0_ e0_) <> (op_ e0_ e1_) /\ ((op_ e0_ e0_) <> (op_ e0_ e2_) /\ ((op_ e0_ e0_) <> (op_ e0_ e3_) /\ ((op_ e0_ e1_) <> (op_ e0_ e2_) /\ ((op_ e0_ e1_) <> (op_ e0_ e3_) /\ ((op_ e0_ e2_) <> (op_ e0_ e3_) /\ ((op_ e1_ e0_) <> (op_ e1_ e1_) /\ ((op_ e1_ e0_) <> (op_ e1_ e2_) /\ ((op_ e1_ e0_) <> (op_ e1_ e3_) /\ ((op_ e1_ e1_) <> (op_ e1_ e2_) /\ ((op_ e1_ e1_) <> (op_ e1_ e3_) /\ ((op_ e1_ e2_) <> (op_ e1_ e3_) /\ ((op_ e2_ e0_) <> (op_ e2_ e1_) /\ ((op_ e2_ e0_) <> (op_ e2_ e2_) /\ ((op_ e2_ e0_) <> (op_ e2_ e3_) /\ ((op_ e2_ e1_) <> (op_ e2_ e2_) /\ ((op_ e2_ e1_) <> (op_ e2_ e3_) /\ ((op_ e2_ e2_) <> (op_ e2_ e3_) /\ ((op_ e3_ e0_) <> (op_ e3_ e1_) /\ ((op_ e3_ e0_) <> (op_ e3_ e2_) /\ ((op_ e3_ e0_) <> (op_ e3_ e3_) /\ ((op_ e3_ e1_) <> (op_ e3_ e2_) /\ ((op_ e3_ e1_) <> (op_ e3_ e3_) /\ (op_ e3_ e2_) <> (op_ e3_ e3_)))))))))))))))))))))))))))))))))))))))))))))))).
Variable ax6_6 : (e0_ <> e1_ /\ (e0_ <> e2_ /\ (e0_ <> e3_ /\ (e1_ <> e2_ /\ (e1_ <> e3_ /\ e2_ <> e3_))))).

Set Firstorder Depth 10.

Theorem co1_7 : (((op_ e0_ e0_) = e0_ /\ ((op_ e1_ e1_) = e0_ /\ ((op_ e2_ e2_) = e0_ /\ (op_ e3_ e3_) = e0_))) \/ (((op_ e0_ e0_) = e1_ /\ ((op_ e1_ e1_) = e1_ /\ ((op_ e2_ e2_) = e1_ /\ (op_ e3_ e3_) = e1_))) \/ (((op_ e0_ e0_) = e2_ /\ ((op_ e1_ e1_) = e2_ /\ ((op_ e2_ e2_) = e2_ /\ (op_ e3_ e3_) = e2_))) \/ (((op_ e0_ e0_) = e3_ /\ ((op_ e1_ e1_) = e3_ /\ ((op_ e2_ e2_) = e3_ /\ (op_ e3_ e3_) = e3_))) \/ ~((((op_ e0_ e0_) = e0_ /\ ((op_ e1_ e1_) = e0_ /\ ((op_ e2_ e2_) = e0_ /\ (op_ e3_ e3_) = e0_))) \/ (((op_ e0_ e0_) = e1_ /\ ((op_ e1_ e1_) = e1_ /\ ((op_ e2_ e2_) = e1_ /\ (op_ e3_ e3_) = e1_))) \/ (((op_ e0_ e0_) = e2_ /\ ((op_ e1_ e1_) = e2_ /\ ((op_ e2_ e2_) = e2_ /\ (op_ e3_ e3_) = e2_))) \/ ((op_ e0_ e0_) = e3_ /\ ((op_ e1_ e1_) = e3_ /\ ((op_ e2_ e2_) = e3_ /\ (op_ e3_ e3_) = e3_))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
