(*
% File     : ALG038+1 : ILTP v1.1.2
% Domain   : General Algebra
% Problem  : Loops 4: CPROPS-ISO-COMPLETE-PROBLEM-2
% Version  : Especial.
% English  : 
% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 
% Status   : Theorem
% Rating   : 0.44 v2.7.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :   20 (   0 unit)
%            Number of atoms       :  714 ( 714 equality)
%            Maximal formula depth :   49 (  16 average)
%            Number of connectives :  820 ( 126 ~  ; 351  |; 343  &)
%                                         (   0 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :   16 (  10 constant; 0-2 arity)
%            Number of variables   :    0 (   0 singleton;   0 !;   0 ?)
%            Maximal term depth    :    4 (   2 average)
% Comments : 
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable EqTransitivity : forall x y z : Universe, x = y -> y = z -> x = z.
Variable EqSymmetry : forall x y : Universe, x = y -> y = x.
Variable EqReflexivity : forall x : Universe, x = x.

Variable unit2_ : Universe.
Variable unit1_ : Universe.
Variable op2_ : Universe -> Universe -> Universe.
Variable EqCongruence_op2 : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> op2_ x1 x2 = op2_ y1 y2 .
Variable op1_ : Universe -> Universe -> Universe.
Variable EqCongruence_op1 : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> op1_ x1 x2 = op1_ y1 y2 .
Variable h4_ : Universe -> Universe.
Variable EqCongruence_h4 : forall x1 y1 : Universe, x1 = y1 -> h4_ x1 = h4_ y1 .
Variable h3_ : Universe -> Universe.
Variable EqCongruence_h3 : forall x1 y1 : Universe, x1 = y1 -> h3_ x1 = h3_ y1 .
Variable h2_ : Universe -> Universe.
Variable EqCongruence_h2 : forall x1 y1 : Universe, x1 = y1 -> h2_ x1 = h2_ y1 .
Variable h1_ : Universe -> Universe.
Variable EqCongruence_h1 : forall x1 y1 : Universe, x1 = y1 -> h1_ x1 = h1_ y1 .
Variable e23_ : Universe.
Variable e22_ : Universe.
Variable e21_ : Universe.
Variable e20_ : Universe.
Variable e13_ : Universe.
Variable e12_ : Universe.
Variable e11_ : Universe.
Variable e10_ : Universe.

Variable ax1_1 : (((op1_ e10_ e10_) = e10_ \/ ((op1_ e10_ e10_) = e11_ \/ ((op1_ e10_ e10_) = e12_ \/ (op1_ e10_ e10_) = e13_))) /\ (((op1_ e10_ e11_) = e10_ \/ ((op1_ e10_ e11_) = e11_ \/ ((op1_ e10_ e11_) = e12_ \/ (op1_ e10_ e11_) = e13_))) /\ (((op1_ e10_ e12_) = e10_ \/ ((op1_ e10_ e12_) = e11_ \/ ((op1_ e10_ e12_) = e12_ \/ (op1_ e10_ e12_) = e13_))) /\ (((op1_ e10_ e13_) = e10_ \/ ((op1_ e10_ e13_) = e11_ \/ ((op1_ e10_ e13_) = e12_ \/ (op1_ e10_ e13_) = e13_))) /\ (((op1_ e11_ e10_) = e10_ \/ ((op1_ e11_ e10_) = e11_ \/ ((op1_ e11_ e10_) = e12_ \/ (op1_ e11_ e10_) = e13_))) /\ (((op1_ e11_ e11_) = e10_ \/ ((op1_ e11_ e11_) = e11_ \/ ((op1_ e11_ e11_) = e12_ \/ (op1_ e11_ e11_) = e13_))) /\ (((op1_ e11_ e12_) = e10_ \/ ((op1_ e11_ e12_) = e11_ \/ ((op1_ e11_ e12_) = e12_ \/ (op1_ e11_ e12_) = e13_))) /\ (((op1_ e11_ e13_) = e10_ \/ ((op1_ e11_ e13_) = e11_ \/ ((op1_ e11_ e13_) = e12_ \/ (op1_ e11_ e13_) = e13_))) /\ (((op1_ e12_ e10_) = e10_ \/ ((op1_ e12_ e10_) = e11_ \/ ((op1_ e12_ e10_) = e12_ \/ (op1_ e12_ e10_) = e13_))) /\ (((op1_ e12_ e11_) = e10_ \/ ((op1_ e12_ e11_) = e11_ \/ ((op1_ e12_ e11_) = e12_ \/ (op1_ e12_ e11_) = e13_))) /\ (((op1_ e12_ e12_) = e10_ \/ ((op1_ e12_ e12_) = e11_ \/ ((op1_ e12_ e12_) = e12_ \/ (op1_ e12_ e12_) = e13_))) /\ (((op1_ e12_ e13_) = e10_ \/ ((op1_ e12_ e13_) = e11_ \/ ((op1_ e12_ e13_) = e12_ \/ (op1_ e12_ e13_) = e13_))) /\ (((op1_ e13_ e10_) = e10_ \/ ((op1_ e13_ e10_) = e11_ \/ ((op1_ e13_ e10_) = e12_ \/ (op1_ e13_ e10_) = e13_))) /\ (((op1_ e13_ e11_) = e10_ \/ ((op1_ e13_ e11_) = e11_ \/ ((op1_ e13_ e11_) = e12_ \/ (op1_ e13_ e11_) = e13_))) /\ (((op1_ e13_ e12_) = e10_ \/ ((op1_ e13_ e12_) = e11_ \/ ((op1_ e13_ e12_) = e12_ \/ (op1_ e13_ e12_) = e13_))) /\ ((op1_ e13_ e13_) = e10_ \/ ((op1_ e13_ e13_) = e11_ \/ ((op1_ e13_ e13_) = e12_ \/ (op1_ e13_ e13_) = e13_)))))))))))))))))).
Variable ax2_2 : ((op1_ unit1_ e10_) = e10_ /\ ((op1_ e10_ unit1_) = e10_ /\ ((op1_ unit1_ e11_) = e11_ /\ ((op1_ e11_ unit1_) = e11_ /\ ((op1_ unit1_ e12_) = e12_ /\ ((op1_ e12_ unit1_) = e12_ /\ ((op1_ unit1_ e13_) = e13_ /\ ((op1_ e13_ unit1_) = e13_ /\ (unit1_ = e10_ \/ (unit1_ = e11_ \/ (unit1_ = e12_ \/ unit1_ = e13_))))))))))).
Variable ax3_3 : (((op1_ e10_ e10_) = e10_ \/ ((op1_ e10_ e11_) = e10_ \/ ((op1_ e10_ e12_) = e10_ \/ (op1_ e10_ e13_) = e10_))) /\ (((op1_ e10_ e10_) = e10_ \/ ((op1_ e11_ e10_) = e10_ \/ ((op1_ e12_ e10_) = e10_ \/ (op1_ e13_ e10_) = e10_))) /\ (((op1_ e10_ e10_) = e11_ \/ ((op1_ e10_ e11_) = e11_ \/ ((op1_ e10_ e12_) = e11_ \/ (op1_ e10_ e13_) = e11_))) /\ (((op1_ e10_ e10_) = e11_ \/ ((op1_ e11_ e10_) = e11_ \/ ((op1_ e12_ e10_) = e11_ \/ (op1_ e13_ e10_) = e11_))) /\ (((op1_ e10_ e10_) = e12_ \/ ((op1_ e10_ e11_) = e12_ \/ ((op1_ e10_ e12_) = e12_ \/ (op1_ e10_ e13_) = e12_))) /\ (((op1_ e10_ e10_) = e12_ \/ ((op1_ e11_ e10_) = e12_ \/ ((op1_ e12_ e10_) = e12_ \/ (op1_ e13_ e10_) = e12_))) /\ (((op1_ e10_ e10_) = e13_ \/ ((op1_ e10_ e11_) = e13_ \/ ((op1_ e10_ e12_) = e13_ \/ (op1_ e10_ e13_) = e13_))) /\ (((op1_ e10_ e10_) = e13_ \/ ((op1_ e11_ e10_) = e13_ \/ ((op1_ e12_ e10_) = e13_ \/ (op1_ e13_ e10_) = e13_))) /\ (((op1_ e11_ e10_) = e10_ \/ ((op1_ e11_ e11_) = e10_ \/ ((op1_ e11_ e12_) = e10_ \/ (op1_ e11_ e13_) = e10_))) /\ (((op1_ e10_ e11_) = e10_ \/ ((op1_ e11_ e11_) = e10_ \/ ((op1_ e12_ e11_) = e10_ \/ (op1_ e13_ e11_) = e10_))) /\ (((op1_ e11_ e10_) = e11_ \/ ((op1_ e11_ e11_) = e11_ \/ ((op1_ e11_ e12_) = e11_ \/ (op1_ e11_ e13_) = e11_))) /\ (((op1_ e10_ e11_) = e11_ \/ ((op1_ e11_ e11_) = e11_ \/ ((op1_ e12_ e11_) = e11_ \/ (op1_ e13_ e11_) = e11_))) /\ (((op1_ e11_ e10_) = e12_ \/ ((op1_ e11_ e11_) = e12_ \/ ((op1_ e11_ e12_) = e12_ \/ (op1_ e11_ e13_) = e12_))) /\ (((op1_ e10_ e11_) = e12_ \/ ((op1_ e11_ e11_) = e12_ \/ ((op1_ e12_ e11_) = e12_ \/ (op1_ e13_ e11_) = e12_))) /\ (((op1_ e11_ e10_) = e13_ \/ ((op1_ e11_ e11_) = e13_ \/ ((op1_ e11_ e12_) = e13_ \/ (op1_ e11_ e13_) = e13_))) /\ (((op1_ e10_ e11_) = e13_ \/ ((op1_ e11_ e11_) = e13_ \/ ((op1_ e12_ e11_) = e13_ \/ (op1_ e13_ e11_) = e13_))) /\ (((op1_ e12_ e10_) = e10_ \/ ((op1_ e12_ e11_) = e10_ \/ ((op1_ e12_ e12_) = e10_ \/ (op1_ e12_ e13_) = e10_))) /\ (((op1_ e10_ e12_) = e10_ \/ ((op1_ e11_ e12_) = e10_ \/ ((op1_ e12_ e12_) = e10_ \/ (op1_ e13_ e12_) = e10_))) /\ (((op1_ e12_ e10_) = e11_ \/ ((op1_ e12_ e11_) = e11_ \/ ((op1_ e12_ e12_) = e11_ \/ (op1_ e12_ e13_) = e11_))) /\ (((op1_ e10_ e12_) = e11_ \/ ((op1_ e11_ e12_) = e11_ \/ ((op1_ e12_ e12_) = e11_ \/ (op1_ e13_ e12_) = e11_))) /\ (((op1_ e12_ e10_) = e12_ \/ ((op1_ e12_ e11_) = e12_ \/ ((op1_ e12_ e12_) = e12_ \/ (op1_ e12_ e13_) = e12_))) /\ (((op1_ e10_ e12_) = e12_ \/ ((op1_ e11_ e12_) = e12_ \/ ((op1_ e12_ e12_) = e12_ \/ (op1_ e13_ e12_) = e12_))) /\ (((op1_ e12_ e10_) = e13_ \/ ((op1_ e12_ e11_) = e13_ \/ ((op1_ e12_ e12_) = e13_ \/ (op1_ e12_ e13_) = e13_))) /\ (((op1_ e10_ e12_) = e13_ \/ ((op1_ e11_ e12_) = e13_ \/ ((op1_ e12_ e12_) = e13_ \/ (op1_ e13_ e12_) = e13_))) /\ (((op1_ e13_ e10_) = e10_ \/ ((op1_ e13_ e11_) = e10_ \/ ((op1_ e13_ e12_) = e10_ \/ (op1_ e13_ e13_) = e10_))) /\ (((op1_ e10_ e13_) = e10_ \/ ((op1_ e11_ e13_) = e10_ \/ ((op1_ e12_ e13_) = e10_ \/ (op1_ e13_ e13_) = e10_))) /\ (((op1_ e13_ e10_) = e11_ \/ ((op1_ e13_ e11_) = e11_ \/ ((op1_ e13_ e12_) = e11_ \/ (op1_ e13_ e13_) = e11_))) /\ (((op1_ e10_ e13_) = e11_ \/ ((op1_ e11_ e13_) = e11_ \/ ((op1_ e12_ e13_) = e11_ \/ (op1_ e13_ e13_) = e11_))) /\ (((op1_ e13_ e10_) = e12_ \/ ((op1_ e13_ e11_) = e12_ \/ ((op1_ e13_ e12_) = e12_ \/ (op1_ e13_ e13_) = e12_))) /\ (((op1_ e10_ e13_) = e12_ \/ ((op1_ e11_ e13_) = e12_ \/ ((op1_ e12_ e13_) = e12_ \/ (op1_ e13_ e13_) = e12_))) /\ (((op1_ e13_ e10_) = e13_ \/ ((op1_ e13_ e11_) = e13_ \/ ((op1_ e13_ e12_) = e13_ \/ (op1_ e13_ e13_) = e13_))) /\ ((op1_ e10_ e13_) = e13_ \/ ((op1_ e11_ e13_) = e13_ \/ ((op1_ e12_ e13_) = e13_ \/ (op1_ e13_ e13_) = e13_)))))))))))))))))))))))))))))))))).
Variable ax4_4 : (((op2_ e20_ e20_) = e20_ \/ ((op2_ e20_ e20_) = e21_ \/ ((op2_ e20_ e20_) = e22_ \/ (op2_ e20_ e20_) = e23_))) /\ (((op2_ e20_ e21_) = e20_ \/ ((op2_ e20_ e21_) = e21_ \/ ((op2_ e20_ e21_) = e22_ \/ (op2_ e20_ e21_) = e23_))) /\ (((op2_ e20_ e22_) = e20_ \/ ((op2_ e20_ e22_) = e21_ \/ ((op2_ e20_ e22_) = e22_ \/ (op2_ e20_ e22_) = e23_))) /\ (((op2_ e20_ e23_) = e20_ \/ ((op2_ e20_ e23_) = e21_ \/ ((op2_ e20_ e23_) = e22_ \/ (op2_ e20_ e23_) = e23_))) /\ (((op2_ e21_ e20_) = e20_ \/ ((op2_ e21_ e20_) = e21_ \/ ((op2_ e21_ e20_) = e22_ \/ (op2_ e21_ e20_) = e23_))) /\ (((op2_ e21_ e21_) = e20_ \/ ((op2_ e21_ e21_) = e21_ \/ ((op2_ e21_ e21_) = e22_ \/ (op2_ e21_ e21_) = e23_))) /\ (((op2_ e21_ e22_) = e20_ \/ ((op2_ e21_ e22_) = e21_ \/ ((op2_ e21_ e22_) = e22_ \/ (op2_ e21_ e22_) = e23_))) /\ (((op2_ e21_ e23_) = e20_ \/ ((op2_ e21_ e23_) = e21_ \/ ((op2_ e21_ e23_) = e22_ \/ (op2_ e21_ e23_) = e23_))) /\ (((op2_ e22_ e20_) = e20_ \/ ((op2_ e22_ e20_) = e21_ \/ ((op2_ e22_ e20_) = e22_ \/ (op2_ e22_ e20_) = e23_))) /\ (((op2_ e22_ e21_) = e20_ \/ ((op2_ e22_ e21_) = e21_ \/ ((op2_ e22_ e21_) = e22_ \/ (op2_ e22_ e21_) = e23_))) /\ (((op2_ e22_ e22_) = e20_ \/ ((op2_ e22_ e22_) = e21_ \/ ((op2_ e22_ e22_) = e22_ \/ (op2_ e22_ e22_) = e23_))) /\ (((op2_ e22_ e23_) = e20_ \/ ((op2_ e22_ e23_) = e21_ \/ ((op2_ e22_ e23_) = e22_ \/ (op2_ e22_ e23_) = e23_))) /\ (((op2_ e23_ e20_) = e20_ \/ ((op2_ e23_ e20_) = e21_ \/ ((op2_ e23_ e20_) = e22_ \/ (op2_ e23_ e20_) = e23_))) /\ (((op2_ e23_ e21_) = e20_ \/ ((op2_ e23_ e21_) = e21_ \/ ((op2_ e23_ e21_) = e22_ \/ (op2_ e23_ e21_) = e23_))) /\ (((op2_ e23_ e22_) = e20_ \/ ((op2_ e23_ e22_) = e21_ \/ ((op2_ e23_ e22_) = e22_ \/ (op2_ e23_ e22_) = e23_))) /\ ((op2_ e23_ e23_) = e20_ \/ ((op2_ e23_ e23_) = e21_ \/ ((op2_ e23_ e23_) = e22_ \/ (op2_ e23_ e23_) = e23_)))))))))))))))))).
Variable ax5_5 : ((op2_ unit2_ e20_) = e20_ /\ ((op2_ e20_ unit2_) = e20_ /\ ((op2_ unit2_ e21_) = e21_ /\ ((op2_ e21_ unit2_) = e21_ /\ ((op2_ unit2_ e22_) = e22_ /\ ((op2_ e22_ unit2_) = e22_ /\ ((op2_ unit2_ e23_) = e23_ /\ ((op2_ e23_ unit2_) = e23_ /\ (unit2_ = e20_ \/ (unit2_ = e21_ \/ (unit2_ = e22_ \/ unit2_ = e23_))))))))))).
Variable ax6_6 : (((op2_ e20_ e20_) = e20_ \/ ((op2_ e20_ e21_) = e20_ \/ ((op2_ e20_ e22_) = e20_ \/ (op2_ e20_ e23_) = e20_))) /\ (((op2_ e20_ e20_) = e20_ \/ ((op2_ e21_ e20_) = e20_ \/ ((op2_ e22_ e20_) = e20_ \/ (op2_ e23_ e20_) = e20_))) /\ (((op2_ e20_ e20_) = e21_ \/ ((op2_ e20_ e21_) = e21_ \/ ((op2_ e20_ e22_) = e21_ \/ (op2_ e20_ e23_) = e21_))) /\ (((op2_ e20_ e20_) = e21_ \/ ((op2_ e21_ e20_) = e21_ \/ ((op2_ e22_ e20_) = e21_ \/ (op2_ e23_ e20_) = e21_))) /\ (((op2_ e20_ e20_) = e22_ \/ ((op2_ e20_ e21_) = e22_ \/ ((op2_ e20_ e22_) = e22_ \/ (op2_ e20_ e23_) = e22_))) /\ (((op2_ e20_ e20_) = e22_ \/ ((op2_ e21_ e20_) = e22_ \/ ((op2_ e22_ e20_) = e22_ \/ (op2_ e23_ e20_) = e22_))) /\ (((op2_ e20_ e20_) = e23_ \/ ((op2_ e20_ e21_) = e23_ \/ ((op2_ e20_ e22_) = e23_ \/ (op2_ e20_ e23_) = e23_))) /\ (((op2_ e20_ e20_) = e23_ \/ ((op2_ e21_ e20_) = e23_ \/ ((op2_ e22_ e20_) = e23_ \/ (op2_ e23_ e20_) = e23_))) /\ (((op2_ e21_ e20_) = e20_ \/ ((op2_ e21_ e21_) = e20_ \/ ((op2_ e21_ e22_) = e20_ \/ (op2_ e21_ e23_) = e20_))) /\ (((op2_ e20_ e21_) = e20_ \/ ((op2_ e21_ e21_) = e20_ \/ ((op2_ e22_ e21_) = e20_ \/ (op2_ e23_ e21_) = e20_))) /\ (((op2_ e21_ e20_) = e21_ \/ ((op2_ e21_ e21_) = e21_ \/ ((op2_ e21_ e22_) = e21_ \/ (op2_ e21_ e23_) = e21_))) /\ (((op2_ e20_ e21_) = e21_ \/ ((op2_ e21_ e21_) = e21_ \/ ((op2_ e22_ e21_) = e21_ \/ (op2_ e23_ e21_) = e21_))) /\ (((op2_ e21_ e20_) = e22_ \/ ((op2_ e21_ e21_) = e22_ \/ ((op2_ e21_ e22_) = e22_ \/ (op2_ e21_ e23_) = e22_))) /\ (((op2_ e20_ e21_) = e22_ \/ ((op2_ e21_ e21_) = e22_ \/ ((op2_ e22_ e21_) = e22_ \/ (op2_ e23_ e21_) = e22_))) /\ (((op2_ e21_ e20_) = e23_ \/ ((op2_ e21_ e21_) = e23_ \/ ((op2_ e21_ e22_) = e23_ \/ (op2_ e21_ e23_) = e23_))) /\ (((op2_ e20_ e21_) = e23_ \/ ((op2_ e21_ e21_) = e23_ \/ ((op2_ e22_ e21_) = e23_ \/ (op2_ e23_ e21_) = e23_))) /\ (((op2_ e22_ e20_) = e20_ \/ ((op2_ e22_ e21_) = e20_ \/ ((op2_ e22_ e22_) = e20_ \/ (op2_ e22_ e23_) = e20_))) /\ (((op2_ e20_ e22_) = e20_ \/ ((op2_ e21_ e22_) = e20_ \/ ((op2_ e22_ e22_) = e20_ \/ (op2_ e23_ e22_) = e20_))) /\ (((op2_ e22_ e20_) = e21_ \/ ((op2_ e22_ e21_) = e21_ \/ ((op2_ e22_ e22_) = e21_ \/ (op2_ e22_ e23_) = e21_))) /\ (((op2_ e20_ e22_) = e21_ \/ ((op2_ e21_ e22_) = e21_ \/ ((op2_ e22_ e22_) = e21_ \/ (op2_ e23_ e22_) = e21_))) /\ (((op2_ e22_ e20_) = e22_ \/ ((op2_ e22_ e21_) = e22_ \/ ((op2_ e22_ e22_) = e22_ \/ (op2_ e22_ e23_) = e22_))) /\ (((op2_ e20_ e22_) = e22_ \/ ((op2_ e21_ e22_) = e22_ \/ ((op2_ e22_ e22_) = e22_ \/ (op2_ e23_ e22_) = e22_))) /\ (((op2_ e22_ e20_) = e23_ \/ ((op2_ e22_ e21_) = e23_ \/ ((op2_ e22_ e22_) = e23_ \/ (op2_ e22_ e23_) = e23_))) /\ (((op2_ e20_ e22_) = e23_ \/ ((op2_ e21_ e22_) = e23_ \/ ((op2_ e22_ e22_) = e23_ \/ (op2_ e23_ e22_) = e23_))) /\ (((op2_ e23_ e20_) = e20_ \/ ((op2_ e23_ e21_) = e20_ \/ ((op2_ e23_ e22_) = e20_ \/ (op2_ e23_ e23_) = e20_))) /\ (((op2_ e20_ e23_) = e20_ \/ ((op2_ e21_ e23_) = e20_ \/ ((op2_ e22_ e23_) = e20_ \/ (op2_ e23_ e23_) = e20_))) /\ (((op2_ e23_ e20_) = e21_ \/ ((op2_ e23_ e21_) = e21_ \/ ((op2_ e23_ e22_) = e21_ \/ (op2_ e23_ e23_) = e21_))) /\ (((op2_ e20_ e23_) = e21_ \/ ((op2_ e21_ e23_) = e21_ \/ ((op2_ e22_ e23_) = e21_ \/ (op2_ e23_ e23_) = e21_))) /\ (((op2_ e23_ e20_) = e22_ \/ ((op2_ e23_ e21_) = e22_ \/ ((op2_ e23_ e22_) = e22_ \/ (op2_ e23_ e23_) = e22_))) /\ (((op2_ e20_ e23_) = e22_ \/ ((op2_ e21_ e23_) = e22_ \/ ((op2_ e22_ e23_) = e22_ \/ (op2_ e23_ e23_) = e22_))) /\ (((op2_ e23_ e20_) = e23_ \/ ((op2_ e23_ e21_) = e23_ \/ ((op2_ e23_ e22_) = e23_ \/ (op2_ e23_ e23_) = e23_))) /\ ((op2_ e20_ e23_) = e23_ \/ ((op2_ e21_ e23_) = e23_ \/ ((op2_ e22_ e23_) = e23_ \/ (op2_ e23_ e23_) = e23_)))))))))))))))))))))))))))))))))).
Variable ax7_7 : ((op1_ e10_ e10_) <> (op1_ e11_ e10_) /\ ((op1_ e10_ e10_) <> (op1_ e12_ e10_) /\ ((op1_ e10_ e10_) <> (op1_ e13_ e10_) /\ ((op1_ e11_ e10_) <> (op1_ e12_ e10_) /\ ((op1_ e11_ e10_) <> (op1_ e13_ e10_) /\ ((op1_ e12_ e10_) <> (op1_ e13_ e10_) /\ ((op1_ e10_ e11_) <> (op1_ e11_ e11_) /\ ((op1_ e10_ e11_) <> (op1_ e12_ e11_) /\ ((op1_ e10_ e11_) <> (op1_ e13_ e11_) /\ ((op1_ e11_ e11_) <> (op1_ e12_ e11_) /\ ((op1_ e11_ e11_) <> (op1_ e13_ e11_) /\ ((op1_ e12_ e11_) <> (op1_ e13_ e11_) /\ ((op1_ e10_ e12_) <> (op1_ e11_ e12_) /\ ((op1_ e10_ e12_) <> (op1_ e12_ e12_) /\ ((op1_ e10_ e12_) <> (op1_ e13_ e12_) /\ ((op1_ e11_ e12_) <> (op1_ e12_ e12_) /\ ((op1_ e11_ e12_) <> (op1_ e13_ e12_) /\ ((op1_ e12_ e12_) <> (op1_ e13_ e12_) /\ ((op1_ e10_ e13_) <> (op1_ e11_ e13_) /\ ((op1_ e10_ e13_) <> (op1_ e12_ e13_) /\ ((op1_ e10_ e13_) <> (op1_ e13_ e13_) /\ ((op1_ e11_ e13_) <> (op1_ e12_ e13_) /\ ((op1_ e11_ e13_) <> (op1_ e13_ e13_) /\ ((op1_ e12_ e13_) <> (op1_ e13_ e13_) /\ ((op1_ e10_ e10_) <> (op1_ e10_ e11_) /\ ((op1_ e10_ e10_) <> (op1_ e10_ e12_) /\ ((op1_ e10_ e10_) <> (op1_ e10_ e13_) /\ ((op1_ e10_ e11_) <> (op1_ e10_ e12_) /\ ((op1_ e10_ e11_) <> (op1_ e10_ e13_) /\ ((op1_ e10_ e12_) <> (op1_ e10_ e13_) /\ ((op1_ e11_ e10_) <> (op1_ e11_ e11_) /\ ((op1_ e11_ e10_) <> (op1_ e11_ e12_) /\ ((op1_ e11_ e10_) <> (op1_ e11_ e13_) /\ ((op1_ e11_ e11_) <> (op1_ e11_ e12_) /\ ((op1_ e11_ e11_) <> (op1_ e11_ e13_) /\ ((op1_ e11_ e12_) <> (op1_ e11_ e13_) /\ ((op1_ e12_ e10_) <> (op1_ e12_ e11_) /\ ((op1_ e12_ e10_) <> (op1_ e12_ e12_) /\ ((op1_ e12_ e10_) <> (op1_ e12_ e13_) /\ ((op1_ e12_ e11_) <> (op1_ e12_ e12_) /\ ((op1_ e12_ e11_) <> (op1_ e12_ e13_) /\ ((op1_ e12_ e12_) <> (op1_ e12_ e13_) /\ ((op1_ e13_ e10_) <> (op1_ e13_ e11_) /\ ((op1_ e13_ e10_) <> (op1_ e13_ e12_) /\ ((op1_ e13_ e10_) <> (op1_ e13_ e13_) /\ ((op1_ e13_ e11_) <> (op1_ e13_ e12_) /\ ((op1_ e13_ e11_) <> (op1_ e13_ e13_) /\ (op1_ e13_ e12_) <> (op1_ e13_ e13_)))))))))))))))))))))))))))))))))))))))))))))))).
Variable ax8_8 : ((op2_ e20_ e20_) <> (op2_ e21_ e20_) /\ ((op2_ e20_ e20_) <> (op2_ e22_ e20_) /\ ((op2_ e20_ e20_) <> (op2_ e23_ e20_) /\ ((op2_ e21_ e20_) <> (op2_ e22_ e20_) /\ ((op2_ e21_ e20_) <> (op2_ e23_ e20_) /\ ((op2_ e22_ e20_) <> (op2_ e23_ e20_) /\ ((op2_ e20_ e21_) <> (op2_ e21_ e21_) /\ ((op2_ e20_ e21_) <> (op2_ e22_ e21_) /\ ((op2_ e20_ e21_) <> (op2_ e23_ e21_) /\ ((op2_ e21_ e21_) <> (op2_ e22_ e21_) /\ ((op2_ e21_ e21_) <> (op2_ e23_ e21_) /\ ((op2_ e22_ e21_) <> (op2_ e23_ e21_) /\ ((op2_ e20_ e22_) <> (op2_ e21_ e22_) /\ ((op2_ e20_ e22_) <> (op2_ e22_ e22_) /\ ((op2_ e20_ e22_) <> (op2_ e23_ e22_) /\ ((op2_ e21_ e22_) <> (op2_ e22_ e22_) /\ ((op2_ e21_ e22_) <> (op2_ e23_ e22_) /\ ((op2_ e22_ e22_) <> (op2_ e23_ e22_) /\ ((op2_ e20_ e23_) <> (op2_ e21_ e23_) /\ ((op2_ e20_ e23_) <> (op2_ e22_ e23_) /\ ((op2_ e20_ e23_) <> (op2_ e23_ e23_) /\ ((op2_ e21_ e23_) <> (op2_ e22_ e23_) /\ ((op2_ e21_ e23_) <> (op2_ e23_ e23_) /\ ((op2_ e22_ e23_) <> (op2_ e23_ e23_) /\ ((op2_ e20_ e20_) <> (op2_ e20_ e21_) /\ ((op2_ e20_ e20_) <> (op2_ e20_ e22_) /\ ((op2_ e20_ e20_) <> (op2_ e20_ e23_) /\ ((op2_ e20_ e21_) <> (op2_ e20_ e22_) /\ ((op2_ e20_ e21_) <> (op2_ e20_ e23_) /\ ((op2_ e20_ e22_) <> (op2_ e20_ e23_) /\ ((op2_ e21_ e20_) <> (op2_ e21_ e21_) /\ ((op2_ e21_ e20_) <> (op2_ e21_ e22_) /\ ((op2_ e21_ e20_) <> (op2_ e21_ e23_) /\ ((op2_ e21_ e21_) <> (op2_ e21_ e22_) /\ ((op2_ e21_ e21_) <> (op2_ e21_ e23_) /\ ((op2_ e21_ e22_) <> (op2_ e21_ e23_) /\ ((op2_ e22_ e20_) <> (op2_ e22_ e21_) /\ ((op2_ e22_ e20_) <> (op2_ e22_ e22_) /\ ((op2_ e22_ e20_) <> (op2_ e22_ e23_) /\ ((op2_ e22_ e21_) <> (op2_ e22_ e22_) /\ ((op2_ e22_ e21_) <> (op2_ e22_ e23_) /\ ((op2_ e22_ e22_) <> (op2_ e22_ e23_) /\ ((op2_ e23_ e20_) <> (op2_ e23_ e21_) /\ ((op2_ e23_ e20_) <> (op2_ e23_ e22_) /\ ((op2_ e23_ e20_) <> (op2_ e23_ e23_) /\ ((op2_ e23_ e21_) <> (op2_ e23_ e22_) /\ ((op2_ e23_ e21_) <> (op2_ e23_ e23_) /\ (op2_ e23_ e22_) <> (op2_ e23_ e23_)))))))))))))))))))))))))))))))))))))))))))))))).
Variable ax9_9 : (e10_ <> e11_ /\ (e10_ <> e12_ /\ (e10_ <> e13_ /\ (e11_ <> e12_ /\ (e11_ <> e13_ /\ e12_ <> e13_))))).
Variable ax10_10 : (e20_ <> e21_ /\ (e20_ <> e22_ /\ (e20_ <> e23_ /\ (e21_ <> e22_ /\ (e21_ <> e23_ /\ e22_ <> e23_))))).
Variable ax11_11 : (e10_ <> e20_ /\ (e10_ <> e21_ /\ (e10_ <> e22_ /\ (e10_ <> e23_ /\ (e11_ <> e20_ /\ (e11_ <> e21_ /\ (e11_ <> e22_ /\ (e11_ <> e23_ /\ (e12_ <> e20_ /\ (e12_ <> e21_ /\ (e12_ <> e22_ /\ (e12_ <> e23_ /\ (e13_ <> e20_ /\ (e13_ <> e21_ /\ (e13_ <> e22_ /\ e13_ <> e23_))))))))))))))).
Variable ax12_12 : ~((((op1_ e10_ e10_) = e10_ /\ ((op1_ e11_ e11_) = e10_ /\ ((op1_ e12_ e12_) = e10_ /\ (op1_ e13_ e13_) = e10_))) \/ (((op1_ e10_ e10_) = e11_ /\ ((op1_ e11_ e11_) = e11_ /\ ((op1_ e12_ e12_) = e11_ /\ (op1_ e13_ e13_) = e11_))) \/ (((op1_ e10_ e10_) = e12_ /\ ((op1_ e11_ e11_) = e12_ /\ ((op1_ e12_ e12_) = e12_ /\ (op1_ e13_ e13_) = e12_))) \/ ((op1_ e10_ e10_) = e13_ /\ ((op1_ e11_ e11_) = e13_ /\ ((op1_ e12_ e12_) = e13_ /\ (op1_ e13_ e13_) = e13_))))))).
Variable ax13_13 : ~((((op2_ e20_ e20_) = e20_ /\ ((op2_ e21_ e21_) = e20_ /\ ((op2_ e22_ e22_) = e20_ /\ (op2_ e23_ e23_) = e20_))) \/ (((op2_ e20_ e20_) = e21_ /\ ((op2_ e21_ e21_) = e21_ /\ ((op2_ e22_ e22_) = e21_ /\ (op2_ e23_ e23_) = e21_))) \/ (((op2_ e20_ e20_) = e22_ /\ ((op2_ e21_ e21_) = e22_ /\ ((op2_ e22_ e22_) = e22_ /\ (op2_ e23_ e23_) = e22_))) \/ ((op2_ e20_ e20_) = e23_ /\ ((op2_ e21_ e21_) = e23_ /\ ((op2_ e22_ e22_) = e23_ /\ (op2_ e23_ e23_) = e23_))))))).
Variable ax14_14 : (e10_ = (op1_ e11_ (op1_ e11_ (op1_ e11_ e11_))) /\ (e12_ = (op1_ e11_ (op1_ e11_ e11_)) /\ e13_ = (op1_ e11_ e11_))).
Variable ax15_15 : (e20_ = (op2_ e21_ (op2_ e21_ (op2_ e21_ e21_))) /\ (e22_ = (op2_ e21_ (op2_ e21_ e21_)) /\ e23_ = (op2_ e21_ e21_))).
Variable ax16_16 : ((h1_ e11_) = e20_ /\ ((h1_ e10_) = (op2_ e20_ (op2_ e20_ (op2_ e20_ e20_))) /\ ((h1_ e12_) = (op2_ e20_ (op2_ e20_ e20_)) /\ (h1_ e13_) = (op2_ e20_ e20_)))).
Variable ax17_17 : ((h2_ e11_) = e21_ /\ ((h2_ e10_) = (op2_ e21_ (op2_ e21_ (op2_ e21_ e21_))) /\ ((h2_ e12_) = (op2_ e21_ (op2_ e21_ e21_)) /\ (h2_ e13_) = (op2_ e21_ e21_)))).
Variable ax18_18 : ((h3_ e11_) = e22_ /\ ((h3_ e10_) = (op2_ e22_ (op2_ e22_ (op2_ e22_ e22_))) /\ ((h3_ e12_) = (op2_ e22_ (op2_ e22_ e22_)) /\ (h3_ e13_) = (op2_ e22_ e22_)))).
Variable ax19_19 : ((h4_ e11_) = e23_ /\ ((h4_ e10_) = (op2_ e23_ (op2_ e23_ (op2_ e23_ e23_))) /\ ((h4_ e12_) = (op2_ e23_ (op2_ e23_ e23_)) /\ (h4_ e13_) = (op2_ e23_ e23_)))).

Set Firstorder Depth 10.

Theorem co1_20 : (((h1_ (op1_ e10_ e10_)) = (op2_ (h1_ e10_) (h1_ e10_)) /\ ((h1_ (op1_ e10_ e11_)) = (op2_ (h1_ e10_) (h1_ e11_)) /\ ((h1_ (op1_ e10_ e12_)) = (op2_ (h1_ e10_) (h1_ e12_)) /\ ((h1_ (op1_ e10_ e13_)) = (op2_ (h1_ e10_) (h1_ e13_)) /\ ((h1_ (op1_ e11_ e10_)) = (op2_ (h1_ e11_) (h1_ e10_)) /\ ((h1_ (op1_ e11_ e11_)) = (op2_ (h1_ e11_) (h1_ e11_)) /\ ((h1_ (op1_ e11_ e12_)) = (op2_ (h1_ e11_) (h1_ e12_)) /\ ((h1_ (op1_ e11_ e13_)) = (op2_ (h1_ e11_) (h1_ e13_)) /\ ((h1_ (op1_ e12_ e10_)) = (op2_ (h1_ e12_) (h1_ e10_)) /\ ((h1_ (op1_ e12_ e11_)) = (op2_ (h1_ e12_) (h1_ e11_)) /\ ((h1_ (op1_ e12_ e12_)) = (op2_ (h1_ e12_) (h1_ e12_)) /\ ((h1_ (op1_ e12_ e13_)) = (op2_ (h1_ e12_) (h1_ e13_)) /\ ((h1_ (op1_ e13_ e10_)) = (op2_ (h1_ e13_) (h1_ e10_)) /\ ((h1_ (op1_ e13_ e11_)) = (op2_ (h1_ e13_) (h1_ e11_)) /\ ((h1_ (op1_ e13_ e12_)) = (op2_ (h1_ e13_) (h1_ e12_)) /\ ((h1_ (op1_ e13_ e13_)) = (op2_ (h1_ e13_) (h1_ e13_)) /\ (((h1_ e10_) = e20_ \/ ((h1_ e11_) = e20_ \/ ((h1_ e12_) = e20_ \/ (h1_ e13_) = e20_))) /\ (((h1_ e10_) = e21_ \/ ((h1_ e11_) = e21_ \/ ((h1_ e12_) = e21_ \/ (h1_ e13_) = e21_))) /\ (((h1_ e10_) = e22_ \/ ((h1_ e11_) = e22_ \/ ((h1_ e12_) = e22_ \/ (h1_ e13_) = e22_))) /\ ((h1_ e10_) = e23_ \/ ((h1_ e11_) = e23_ \/ ((h1_ e12_) = e23_ \/ (h1_ e13_) = e23_)))))))))))))))))))))) \/ (((h2_ (op1_ e10_ e10_)) = (op2_ (h2_ e10_) (h2_ e10_)) /\ ((h2_ (op1_ e10_ e11_)) = (op2_ (h2_ e10_) (h2_ e11_)) /\ ((h2_ (op1_ e10_ e12_)) = (op2_ (h2_ e10_) (h2_ e12_)) /\ ((h2_ (op1_ e10_ e13_)) = (op2_ (h2_ e10_) (h2_ e13_)) /\ ((h2_ (op1_ e11_ e10_)) = (op2_ (h2_ e11_) (h2_ e10_)) /\ ((h2_ (op1_ e11_ e11_)) = (op2_ (h2_ e11_) (h2_ e11_)) /\ ((h2_ (op1_ e11_ e12_)) = (op2_ (h2_ e11_) (h2_ e12_)) /\ ((h2_ (op1_ e11_ e13_)) = (op2_ (h2_ e11_) (h2_ e13_)) /\ ((h2_ (op1_ e12_ e10_)) = (op2_ (h2_ e12_) (h2_ e10_)) /\ ((h2_ (op1_ e12_ e11_)) = (op2_ (h2_ e12_) (h2_ e11_)) /\ ((h2_ (op1_ e12_ e12_)) = (op2_ (h2_ e12_) (h2_ e12_)) /\ ((h2_ (op1_ e12_ e13_)) = (op2_ (h2_ e12_) (h2_ e13_)) /\ ((h2_ (op1_ e13_ e10_)) = (op2_ (h2_ e13_) (h2_ e10_)) /\ ((h2_ (op1_ e13_ e11_)) = (op2_ (h2_ e13_) (h2_ e11_)) /\ ((h2_ (op1_ e13_ e12_)) = (op2_ (h2_ e13_) (h2_ e12_)) /\ ((h2_ (op1_ e13_ e13_)) = (op2_ (h2_ e13_) (h2_ e13_)) /\ (((h2_ e10_) = e20_ \/ ((h2_ e11_) = e20_ \/ ((h2_ e12_) = e20_ \/ (h2_ e13_) = e20_))) /\ (((h2_ e10_) = e21_ \/ ((h2_ e11_) = e21_ \/ ((h2_ e12_) = e21_ \/ (h2_ e13_) = e21_))) /\ (((h2_ e10_) = e22_ \/ ((h2_ e11_) = e22_ \/ ((h2_ e12_) = e22_ \/ (h2_ e13_) = e22_))) /\ ((h2_ e10_) = e23_ \/ ((h2_ e11_) = e23_ \/ ((h2_ e12_) = e23_ \/ (h2_ e13_) = e23_)))))))))))))))))))))) \/ (((h3_ (op1_ e10_ e10_)) = (op2_ (h3_ e10_) (h3_ e10_)) /\ ((h3_ (op1_ e10_ e11_)) = (op2_ (h3_ e10_) (h3_ e11_)) /\ ((h3_ (op1_ e10_ e12_)) = (op2_ (h3_ e10_) (h3_ e12_)) /\ ((h3_ (op1_ e10_ e13_)) = (op2_ (h3_ e10_) (h3_ e13_)) /\ ((h3_ (op1_ e11_ e10_)) = (op2_ (h3_ e11_) (h3_ e10_)) /\ ((h3_ (op1_ e11_ e11_)) = (op2_ (h3_ e11_) (h3_ e11_)) /\ ((h3_ (op1_ e11_ e12_)) = (op2_ (h3_ e11_) (h3_ e12_)) /\ ((h3_ (op1_ e11_ e13_)) = (op2_ (h3_ e11_) (h3_ e13_)) /\ ((h3_ (op1_ e12_ e10_)) = (op2_ (h3_ e12_) (h3_ e10_)) /\ ((h3_ (op1_ e12_ e11_)) = (op2_ (h3_ e12_) (h3_ e11_)) /\ ((h3_ (op1_ e12_ e12_)) = (op2_ (h3_ e12_) (h3_ e12_)) /\ ((h3_ (op1_ e12_ e13_)) = (op2_ (h3_ e12_) (h3_ e13_)) /\ ((h3_ (op1_ e13_ e10_)) = (op2_ (h3_ e13_) (h3_ e10_)) /\ ((h3_ (op1_ e13_ e11_)) = (op2_ (h3_ e13_) (h3_ e11_)) /\ ((h3_ (op1_ e13_ e12_)) = (op2_ (h3_ e13_) (h3_ e12_)) /\ ((h3_ (op1_ e13_ e13_)) = (op2_ (h3_ e13_) (h3_ e13_)) /\ (((h3_ e10_) = e20_ \/ ((h3_ e11_) = e20_ \/ ((h3_ e12_) = e20_ \/ (h3_ e13_) = e20_))) /\ (((h3_ e10_) = e21_ \/ ((h3_ e11_) = e21_ \/ ((h3_ e12_) = e21_ \/ (h3_ e13_) = e21_))) /\ (((h3_ e10_) = e22_ \/ ((h3_ e11_) = e22_ \/ ((h3_ e12_) = e22_ \/ (h3_ e13_) = e22_))) /\ ((h3_ e10_) = e23_ \/ ((h3_ e11_) = e23_ \/ ((h3_ e12_) = e23_ \/ (h3_ e13_) = e23_)))))))))))))))))))))) \/ ((h4_ (op1_ e10_ e10_)) = (op2_ (h4_ e10_) (h4_ e10_)) /\ ((h4_ (op1_ e10_ e11_)) = (op2_ (h4_ e10_) (h4_ e11_)) /\ ((h4_ (op1_ e10_ e12_)) = (op2_ (h4_ e10_) (h4_ e12_)) /\ ((h4_ (op1_ e10_ e13_)) = (op2_ (h4_ e10_) (h4_ e13_)) /\ ((h4_ (op1_ e11_ e10_)) = (op2_ (h4_ e11_) (h4_ e10_)) /\ ((h4_ (op1_ e11_ e11_)) = (op2_ (h4_ e11_) (h4_ e11_)) /\ ((h4_ (op1_ e11_ e12_)) = (op2_ (h4_ e11_) (h4_ e12_)) /\ ((h4_ (op1_ e11_ e13_)) = (op2_ (h4_ e11_) (h4_ e13_)) /\ ((h4_ (op1_ e12_ e10_)) = (op2_ (h4_ e12_) (h4_ e10_)) /\ ((h4_ (op1_ e12_ e11_)) = (op2_ (h4_ e12_) (h4_ e11_)) /\ ((h4_ (op1_ e12_ e12_)) = (op2_ (h4_ e12_) (h4_ e12_)) /\ ((h4_ (op1_ e12_ e13_)) = (op2_ (h4_ e12_) (h4_ e13_)) /\ ((h4_ (op1_ e13_ e10_)) = (op2_ (h4_ e13_) (h4_ e10_)) /\ ((h4_ (op1_ e13_ e11_)) = (op2_ (h4_ e13_) (h4_ e11_)) /\ ((h4_ (op1_ e13_ e12_)) = (op2_ (h4_ e13_) (h4_ e12_)) /\ ((h4_ (op1_ e13_ e13_)) = (op2_ (h4_ e13_) (h4_ e13_)) /\ (((h4_ e10_) = e20_ \/ ((h4_ e11_) = e20_ \/ ((h4_ e12_) = e20_ \/ (h4_ e13_) = e20_))) /\ (((h4_ e10_) = e21_ \/ ((h4_ e11_) = e21_ \/ ((h4_ e12_) = e21_ \/ (h4_ e13_) = e21_))) /\ (((h4_ e10_) = e22_ \/ ((h4_ e11_) = e22_ \/ ((h4_ e12_) = e22_ \/ (h4_ e13_) = e22_))) /\ ((h4_ e10_) = e23_ \/ ((h4_ e11_) = e23_ \/ ((h4_ e12_) = e23_ \/ (h4_ e13_) = e23_))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
