(*
% File     : ALG095+1 : ILTP v1.1.2
% Domain   : General Algebra
% Problem  : Loops 5: REPRESENTATIVES-SATISFY-PROPS-PROBLEM-6
% Version  : Especial.
% English  : 
% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 
% Status   : Theorem
% Rating   : 0.89 v3.1.0, 0.83 v2.7.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    4 (   1 unit)
%            Number of atoms       :  501 ( 501 equality)
%            Maximal formula depth :   91 (  32 average)
%            Number of connectives :  557 (  60 ~  ; 328  |; 169  &)
%                                         (   0 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   6 constant; 0-2 arity)
%            Number of variables   :    0 (   0 singleton;   0 !;   0 ?)
%            Maximal term depth    :    3 (   2 average)
% Comments : 
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable EqTransitivity : forall x y z : Universe, x = y -> y = z -> x = z.
Variable EqSymmetry : forall x y : Universe, x = y -> y = x.
Variable EqReflexivity : forall x : Universe, x = x.

Variable unit_ : Universe.
Variable op_ : Universe -> Universe -> Universe.
Variable EqCongruence_op : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> op_ x1 x2 = op_ y1 y2 .
Variable e4_ : Universe.
Variable e3_ : Universe.
Variable e2_ : Universe.
Variable e1_ : Universe.
Variable e0_ : Universe.

Variable ax1_1 : (e0_ <> e1_ /\ (e0_ <> e2_ /\ (e0_ <> e3_ /\ (e0_ <> e4_ /\ (e1_ <> e2_ /\ (e1_ <> e3_ /\ (e1_ <> e4_ /\ (e2_ <> e3_ /\ (e2_ <> e4_ /\ e3_ <> e4_))))))))).
Variable ax2_2 : ((op_ e0_ e0_) = e0_ /\ ((op_ e0_ e1_) = e1_ /\ ((op_ e0_ e2_) = e2_ /\ ((op_ e0_ e3_) = e3_ /\ ((op_ e0_ e4_) = e4_ /\ ((op_ e1_ e0_) = e1_ /\ ((op_ e1_ e1_) = e2_ /\ ((op_ e1_ e2_) = e4_ /\ ((op_ e1_ e3_) = e0_ /\ ((op_ e1_ e4_) = e3_ /\ ((op_ e2_ e0_) = e2_ /\ ((op_ e2_ e1_) = e0_ /\ ((op_ e2_ e2_) = e3_ /\ ((op_ e2_ e3_) = e4_ /\ ((op_ e2_ e4_) = e1_ /\ ((op_ e3_ e0_) = e3_ /\ ((op_ e3_ e1_) = e4_ /\ ((op_ e3_ e2_) = e0_ /\ ((op_ e3_ e3_) = e1_ /\ ((op_ e3_ e4_) = e2_ /\ ((op_ e4_ e0_) = e4_ /\ ((op_ e4_ e1_) = e3_ /\ ((op_ e4_ e2_) = e1_ /\ ((op_ e4_ e3_) = e2_ /\ (op_ e4_ e4_) = e0_)))))))))))))))))))))))).
Variable ax3_3 : unit_ = e0_.

Set Firstorder Depth 10.

Theorem co1_4 : ((((op_ e0_ e0_) <> (op_ e0_ e0_) /\ ((op_ (op_ e0_ e0_) e0_) = e0_ /\ (op_ (op_ e0_ e0_) e0_) <> e0_)) \/ (((op_ e1_ e0_) <> (op_ e0_ e1_) /\ ((op_ (op_ e0_ e1_) e1_) = e0_ /\ (op_ (op_ e0_ e1_) e0_) <> e1_)) \/ (((op_ e2_ e0_) <> (op_ e0_ e2_) /\ ((op_ (op_ e0_ e2_) e2_) = e0_ /\ (op_ (op_ e0_ e2_) e0_) <> e2_)) \/ (((op_ e3_ e0_) <> (op_ e0_ e3_) /\ ((op_ (op_ e0_ e3_) e3_) = e0_ /\ (op_ (op_ e0_ e3_) e0_) <> e3_)) \/ (((op_ e4_ e0_) <> (op_ e0_ e4_) /\ ((op_ (op_ e0_ e4_) e4_) = e0_ /\ (op_ (op_ e0_ e4_) e0_) <> e4_)) \/ (((op_ e0_ e1_) <> (op_ e1_ e0_) /\ ((op_ (op_ e1_ e0_) e0_) = e1_ /\ (op_ (op_ e1_ e0_) e1_) <> e0_)) \/ (((op_ e1_ e1_) <> (op_ e1_ e1_) /\ ((op_ (op_ e1_ e1_) e1_) = e1_ /\ (op_ (op_ e1_ e1_) e1_) <> e1_)) \/ (((op_ e2_ e1_) <> (op_ e1_ e2_) /\ ((op_ (op_ e1_ e2_) e2_) = e1_ /\ (op_ (op_ e1_ e2_) e1_) <> e2_)) \/ (((op_ e3_ e1_) <> (op_ e1_ e3_) /\ ((op_ (op_ e1_ e3_) e3_) = e1_ /\ (op_ (op_ e1_ e3_) e1_) <> e3_)) \/ (((op_ e4_ e1_) <> (op_ e1_ e4_) /\ ((op_ (op_ e1_ e4_) e4_) = e1_ /\ (op_ (op_ e1_ e4_) e1_) <> e4_)) \/ (((op_ e0_ e2_) <> (op_ e2_ e0_) /\ ((op_ (op_ e2_ e0_) e0_) = e2_ /\ (op_ (op_ e2_ e0_) e2_) <> e0_)) \/ (((op_ e1_ e2_) <> (op_ e2_ e1_) /\ ((op_ (op_ e2_ e1_) e1_) = e2_ /\ (op_ (op_ e2_ e1_) e2_) <> e1_)) \/ (((op_ e2_ e2_) <> (op_ e2_ e2_) /\ ((op_ (op_ e2_ e2_) e2_) = e2_ /\ (op_ (op_ e2_ e2_) e2_) <> e2_)) \/ (((op_ e3_ e2_) <> (op_ e2_ e3_) /\ ((op_ (op_ e2_ e3_) e3_) = e2_ /\ (op_ (op_ e2_ e3_) e2_) <> e3_)) \/ (((op_ e4_ e2_) <> (op_ e2_ e4_) /\ ((op_ (op_ e2_ e4_) e4_) = e2_ /\ (op_ (op_ e2_ e4_) e2_) <> e4_)) \/ (((op_ e0_ e3_) <> (op_ e3_ e0_) /\ ((op_ (op_ e3_ e0_) e0_) = e3_ /\ (op_ (op_ e3_ e0_) e3_) <> e0_)) \/ (((op_ e1_ e3_) <> (op_ e3_ e1_) /\ ((op_ (op_ e3_ e1_) e1_) = e3_ /\ (op_ (op_ e3_ e1_) e3_) <> e1_)) \/ (((op_ e2_ e3_) <> (op_ e3_ e2_) /\ ((op_ (op_ e3_ e2_) e2_) = e3_ /\ (op_ (op_ e3_ e2_) e3_) <> e2_)) \/ (((op_ e3_ e3_) <> (op_ e3_ e3_) /\ ((op_ (op_ e3_ e3_) e3_) = e3_ /\ (op_ (op_ e3_ e3_) e3_) <> e3_)) \/ (((op_ e4_ e3_) <> (op_ e3_ e4_) /\ ((op_ (op_ e3_ e4_) e4_) = e3_ /\ (op_ (op_ e3_ e4_) e3_) <> e4_)) \/ (((op_ e0_ e4_) <> (op_ e4_ e0_) /\ ((op_ (op_ e4_ e0_) e0_) = e4_ /\ (op_ (op_ e4_ e0_) e4_) <> e0_)) \/ (((op_ e1_ e4_) <> (op_ e4_ e1_) /\ ((op_ (op_ e4_ e1_) e1_) = e4_ /\ (op_ (op_ e4_ e1_) e4_) <> e1_)) \/ (((op_ e2_ e4_) <> (op_ e4_ e2_) /\ ((op_ (op_ e4_ e2_) e2_) = e4_ /\ (op_ (op_ e4_ e2_) e4_) <> e2_)) \/ (((op_ e3_ e4_) <> (op_ e4_ e3_) /\ ((op_ (op_ e4_ e3_) e3_) = e4_ /\ (op_ (op_ e4_ e3_) e4_) <> e3_)) \/ ((op_ e4_ e4_) <> (op_ e4_ e4_) /\ ((op_ (op_ e4_ e4_) e4_) = e4_ /\ (op_ (op_ e4_ e4_) e4_) <> e4_)))))))))))))))))))))))))) /\ (((op_ e0_ e0_) = e0_ \/ ((op_ e0_ e0_) = e1_ \/ ((op_ e0_ e0_) = e2_ \/ ((op_ e0_ e0_) = e3_ \/ (op_ e0_ e0_) = e4_)))) /\ (((op_ e0_ e1_) = e0_ \/ ((op_ e0_ e1_) = e1_ \/ ((op_ e0_ e1_) = e2_ \/ ((op_ e0_ e1_) = e3_ \/ (op_ e0_ e1_) = e4_)))) /\ (((op_ e0_ e2_) = e0_ \/ ((op_ e0_ e2_) = e1_ \/ ((op_ e0_ e2_) = e2_ \/ ((op_ e0_ e2_) = e3_ \/ (op_ e0_ e2_) = e4_)))) /\ (((op_ e0_ e3_) = e0_ \/ ((op_ e0_ e3_) = e1_ \/ ((op_ e0_ e3_) = e2_ \/ ((op_ e0_ e3_) = e3_ \/ (op_ e0_ e3_) = e4_)))) /\ (((op_ e0_ e4_) = e0_ \/ ((op_ e0_ e4_) = e1_ \/ ((op_ e0_ e4_) = e2_ \/ ((op_ e0_ e4_) = e3_ \/ (op_ e0_ e4_) = e4_)))) /\ (((op_ e1_ e0_) = e0_ \/ ((op_ e1_ e0_) = e1_ \/ ((op_ e1_ e0_) = e2_ \/ ((op_ e1_ e0_) = e3_ \/ (op_ e1_ e0_) = e4_)))) /\ (((op_ e1_ e1_) = e0_ \/ ((op_ e1_ e1_) = e1_ \/ ((op_ e1_ e1_) = e2_ \/ ((op_ e1_ e1_) = e3_ \/ (op_ e1_ e1_) = e4_)))) /\ (((op_ e1_ e2_) = e0_ \/ ((op_ e1_ e2_) = e1_ \/ ((op_ e1_ e2_) = e2_ \/ ((op_ e1_ e2_) = e3_ \/ (op_ e1_ e2_) = e4_)))) /\ (((op_ e1_ e3_) = e0_ \/ ((op_ e1_ e3_) = e1_ \/ ((op_ e1_ e3_) = e2_ \/ ((op_ e1_ e3_) = e3_ \/ (op_ e1_ e3_) = e4_)))) /\ (((op_ e1_ e4_) = e0_ \/ ((op_ e1_ e4_) = e1_ \/ ((op_ e1_ e4_) = e2_ \/ ((op_ e1_ e4_) = e3_ \/ (op_ e1_ e4_) = e4_)))) /\ (((op_ e2_ e0_) = e0_ \/ ((op_ e2_ e0_) = e1_ \/ ((op_ e2_ e0_) = e2_ \/ ((op_ e2_ e0_) = e3_ \/ (op_ e2_ e0_) = e4_)))) /\ (((op_ e2_ e1_) = e0_ \/ ((op_ e2_ e1_) = e1_ \/ ((op_ e2_ e1_) = e2_ \/ ((op_ e2_ e1_) = e3_ \/ (op_ e2_ e1_) = e4_)))) /\ (((op_ e2_ e2_) = e0_ \/ ((op_ e2_ e2_) = e1_ \/ ((op_ e2_ e2_) = e2_ \/ ((op_ e2_ e2_) = e3_ \/ (op_ e2_ e2_) = e4_)))) /\ (((op_ e2_ e3_) = e0_ \/ ((op_ e2_ e3_) = e1_ \/ ((op_ e2_ e3_) = e2_ \/ ((op_ e2_ e3_) = e3_ \/ (op_ e2_ e3_) = e4_)))) /\ (((op_ e2_ e4_) = e0_ \/ ((op_ e2_ e4_) = e1_ \/ ((op_ e2_ e4_) = e2_ \/ ((op_ e2_ e4_) = e3_ \/ (op_ e2_ e4_) = e4_)))) /\ (((op_ e3_ e0_) = e0_ \/ ((op_ e3_ e0_) = e1_ \/ ((op_ e3_ e0_) = e2_ \/ ((op_ e3_ e0_) = e3_ \/ (op_ e3_ e0_) = e4_)))) /\ (((op_ e3_ e1_) = e0_ \/ ((op_ e3_ e1_) = e1_ \/ ((op_ e3_ e1_) = e2_ \/ ((op_ e3_ e1_) = e3_ \/ (op_ e3_ e1_) = e4_)))) /\ (((op_ e3_ e2_) = e0_ \/ ((op_ e3_ e2_) = e1_ \/ ((op_ e3_ e2_) = e2_ \/ ((op_ e3_ e2_) = e3_ \/ (op_ e3_ e2_) = e4_)))) /\ (((op_ e3_ e3_) = e0_ \/ ((op_ e3_ e3_) = e1_ \/ ((op_ e3_ e3_) = e2_ \/ ((op_ e3_ e3_) = e3_ \/ (op_ e3_ e3_) = e4_)))) /\ (((op_ e3_ e4_) = e0_ \/ ((op_ e3_ e4_) = e1_ \/ ((op_ e3_ e4_) = e2_ \/ ((op_ e3_ e4_) = e3_ \/ (op_ e3_ e4_) = e4_)))) /\ (((op_ e4_ e0_) = e0_ \/ ((op_ e4_ e0_) = e1_ \/ ((op_ e4_ e0_) = e2_ \/ ((op_ e4_ e0_) = e3_ \/ (op_ e4_ e0_) = e4_)))) /\ (((op_ e4_ e1_) = e0_ \/ ((op_ e4_ e1_) = e1_ \/ ((op_ e4_ e1_) = e2_ \/ ((op_ e4_ e1_) = e3_ \/ (op_ e4_ e1_) = e4_)))) /\ (((op_ e4_ e2_) = e0_ \/ ((op_ e4_ e2_) = e1_ \/ ((op_ e4_ e2_) = e2_ \/ ((op_ e4_ e2_) = e3_ \/ (op_ e4_ e2_) = e4_)))) /\ (((op_ e4_ e3_) = e0_ \/ ((op_ e4_ e3_) = e1_ \/ ((op_ e4_ e3_) = e2_ \/ ((op_ e4_ e3_) = e3_ \/ (op_ e4_ e3_) = e4_)))) /\ (((op_ e4_ e4_) = e0_ \/ ((op_ e4_ e4_) = e1_ \/ ((op_ e4_ e4_) = e2_ \/ ((op_ e4_ e4_) = e3_ \/ (op_ e4_ e4_) = e4_)))) /\ ((op_ unit_ e0_) = e0_ /\ ((op_ e0_ unit_) = e0_ /\ ((op_ unit_ e1_) = e1_ /\ ((op_ e1_ unit_) = e1_ /\ ((op_ unit_ e2_) = e2_ /\ ((op_ e2_ unit_) = e2_ /\ ((op_ unit_ e3_) = e3_ /\ ((op_ e3_ unit_) = e3_ /\ ((op_ unit_ e4_) = e4_ /\ ((op_ e4_ unit_) = e4_ /\ ((unit_ = e0_ \/ (unit_ = e1_ \/ (unit_ = e2_ \/ (unit_ = e3_ \/ unit_ = e4_)))) /\ (((op_ e0_ e0_) = e0_ \/ ((op_ e0_ e1_) = e0_ \/ ((op_ e0_ e2_) = e0_ \/ ((op_ e0_ e3_) = e0_ \/ (op_ e0_ e4_) = e0_)))) /\ (((op_ e0_ e0_) = e0_ \/ ((op_ e1_ e0_) = e0_ \/ ((op_ e2_ e0_) = e0_ \/ ((op_ e3_ e0_) = e0_ \/ (op_ e4_ e0_) = e0_)))) /\ (((op_ e0_ e0_) = e1_ \/ ((op_ e0_ e1_) = e1_ \/ ((op_ e0_ e2_) = e1_ \/ ((op_ e0_ e3_) = e1_ \/ (op_ e0_ e4_) = e1_)))) /\ (((op_ e0_ e0_) = e1_ \/ ((op_ e1_ e0_) = e1_ \/ ((op_ e2_ e0_) = e1_ \/ ((op_ e3_ e0_) = e1_ \/ (op_ e4_ e0_) = e1_)))) /\ (((op_ e0_ e0_) = e2_ \/ ((op_ e0_ e1_) = e2_ \/ ((op_ e0_ e2_) = e2_ \/ ((op_ e0_ e3_) = e2_ \/ (op_ e0_ e4_) = e2_)))) /\ (((op_ e0_ e0_) = e2_ \/ ((op_ e1_ e0_) = e2_ \/ ((op_ e2_ e0_) = e2_ \/ ((op_ e3_ e0_) = e2_ \/ (op_ e4_ e0_) = e2_)))) /\ (((op_ e0_ e0_) = e3_ \/ ((op_ e0_ e1_) = e3_ \/ ((op_ e0_ e2_) = e3_ \/ ((op_ e0_ e3_) = e3_ \/ (op_ e0_ e4_) = e3_)))) /\ (((op_ e0_ e0_) = e3_ \/ ((op_ e1_ e0_) = e3_ \/ ((op_ e2_ e0_) = e3_ \/ ((op_ e3_ e0_) = e3_ \/ (op_ e4_ e0_) = e3_)))) /\ (((op_ e0_ e0_) = e4_ \/ ((op_ e0_ e1_) = e4_ \/ ((op_ e0_ e2_) = e4_ \/ ((op_ e0_ e3_) = e4_ \/ (op_ e0_ e4_) = e4_)))) /\ (((op_ e0_ e0_) = e4_ \/ ((op_ e1_ e0_) = e4_ \/ ((op_ e2_ e0_) = e4_ \/ ((op_ e3_ e0_) = e4_ \/ (op_ e4_ e0_) = e4_)))) /\ (((op_ e1_ e0_) = e0_ \/ ((op_ e1_ e1_) = e0_ \/ ((op_ e1_ e2_) = e0_ \/ ((op_ e1_ e3_) = e0_ \/ (op_ e1_ e4_) = e0_)))) /\ (((op_ e0_ e1_) = e0_ \/ ((op_ e1_ e1_) = e0_ \/ ((op_ e2_ e1_) = e0_ \/ ((op_ e3_ e1_) = e0_ \/ (op_ e4_ e1_) = e0_)))) /\ (((op_ e1_ e0_) = e1_ \/ ((op_ e1_ e1_) = e1_ \/ ((op_ e1_ e2_) = e1_ \/ ((op_ e1_ e3_) = e1_ \/ (op_ e1_ e4_) = e1_)))) /\ (((op_ e0_ e1_) = e1_ \/ ((op_ e1_ e1_) = e1_ \/ ((op_ e2_ e1_) = e1_ \/ ((op_ e3_ e1_) = e1_ \/ (op_ e4_ e1_) = e1_)))) /\ (((op_ e1_ e0_) = e2_ \/ ((op_ e1_ e1_) = e2_ \/ ((op_ e1_ e2_) = e2_ \/ ((op_ e1_ e3_) = e2_ \/ (op_ e1_ e4_) = e2_)))) /\ (((op_ e0_ e1_) = e2_ \/ ((op_ e1_ e1_) = e2_ \/ ((op_ e2_ e1_) = e2_ \/ ((op_ e3_ e1_) = e2_ \/ (op_ e4_ e1_) = e2_)))) /\ (((op_ e1_ e0_) = e3_ \/ ((op_ e1_ e1_) = e3_ \/ ((op_ e1_ e2_) = e3_ \/ ((op_ e1_ e3_) = e3_ \/ (op_ e1_ e4_) = e3_)))) /\ (((op_ e0_ e1_) = e3_ \/ ((op_ e1_ e1_) = e3_ \/ ((op_ e2_ e1_) = e3_ \/ ((op_ e3_ e1_) = e3_ \/ (op_ e4_ e1_) = e3_)))) /\ (((op_ e1_ e0_) = e4_ \/ ((op_ e1_ e1_) = e4_ \/ ((op_ e1_ e2_) = e4_ \/ ((op_ e1_ e3_) = e4_ \/ (op_ e1_ e4_) = e4_)))) /\ (((op_ e0_ e1_) = e4_ \/ ((op_ e1_ e1_) = e4_ \/ ((op_ e2_ e1_) = e4_ \/ ((op_ e3_ e1_) = e4_ \/ (op_ e4_ e1_) = e4_)))) /\ (((op_ e2_ e0_) = e0_ \/ ((op_ e2_ e1_) = e0_ \/ ((op_ e2_ e2_) = e0_ \/ ((op_ e2_ e3_) = e0_ \/ (op_ e2_ e4_) = e0_)))) /\ (((op_ e0_ e2_) = e0_ \/ ((op_ e1_ e2_) = e0_ \/ ((op_ e2_ e2_) = e0_ \/ ((op_ e3_ e2_) = e0_ \/ (op_ e4_ e2_) = e0_)))) /\ (((op_ e2_ e0_) = e1_ \/ ((op_ e2_ e1_) = e1_ \/ ((op_ e2_ e2_) = e1_ \/ ((op_ e2_ e3_) = e1_ \/ (op_ e2_ e4_) = e1_)))) /\ (((op_ e0_ e2_) = e1_ \/ ((op_ e1_ e2_) = e1_ \/ ((op_ e2_ e2_) = e1_ \/ ((op_ e3_ e2_) = e1_ \/ (op_ e4_ e2_) = e1_)))) /\ (((op_ e2_ e0_) = e2_ \/ ((op_ e2_ e1_) = e2_ \/ ((op_ e2_ e2_) = e2_ \/ ((op_ e2_ e3_) = e2_ \/ (op_ e2_ e4_) = e2_)))) /\ (((op_ e0_ e2_) = e2_ \/ ((op_ e1_ e2_) = e2_ \/ ((op_ e2_ e2_) = e2_ \/ ((op_ e3_ e2_) = e2_ \/ (op_ e4_ e2_) = e2_)))) /\ (((op_ e2_ e0_) = e3_ \/ ((op_ e2_ e1_) = e3_ \/ ((op_ e2_ e2_) = e3_ \/ ((op_ e2_ e3_) = e3_ \/ (op_ e2_ e4_) = e3_)))) /\ (((op_ e0_ e2_) = e3_ \/ ((op_ e1_ e2_) = e3_ \/ ((op_ e2_ e2_) = e3_ \/ ((op_ e3_ e2_) = e3_ \/ (op_ e4_ e2_) = e3_)))) /\ (((op_ e2_ e0_) = e4_ \/ ((op_ e2_ e1_) = e4_ \/ ((op_ e2_ e2_) = e4_ \/ ((op_ e2_ e3_) = e4_ \/ (op_ e2_ e4_) = e4_)))) /\ (((op_ e0_ e2_) = e4_ \/ ((op_ e1_ e2_) = e4_ \/ ((op_ e2_ e2_) = e4_ \/ ((op_ e3_ e2_) = e4_ \/ (op_ e4_ e2_) = e4_)))) /\ (((op_ e3_ e0_) = e0_ \/ ((op_ e3_ e1_) = e0_ \/ ((op_ e3_ e2_) = e0_ \/ ((op_ e3_ e3_) = e0_ \/ (op_ e3_ e4_) = e0_)))) /\ (((op_ e0_ e3_) = e0_ \/ ((op_ e1_ e3_) = e0_ \/ ((op_ e2_ e3_) = e0_ \/ ((op_ e3_ e3_) = e0_ \/ (op_ e4_ e3_) = e0_)))) /\ (((op_ e3_ e0_) = e1_ \/ ((op_ e3_ e1_) = e1_ \/ ((op_ e3_ e2_) = e1_ \/ ((op_ e3_ e3_) = e1_ \/ (op_ e3_ e4_) = e1_)))) /\ (((op_ e0_ e3_) = e1_ \/ ((op_ e1_ e3_) = e1_ \/ ((op_ e2_ e3_) = e1_ \/ ((op_ e3_ e3_) = e1_ \/ (op_ e4_ e3_) = e1_)))) /\ (((op_ e3_ e0_) = e2_ \/ ((op_ e3_ e1_) = e2_ \/ ((op_ e3_ e2_) = e2_ \/ ((op_ e3_ e3_) = e2_ \/ (op_ e3_ e4_) = e2_)))) /\ (((op_ e0_ e3_) = e2_ \/ ((op_ e1_ e3_) = e2_ \/ ((op_ e2_ e3_) = e2_ \/ ((op_ e3_ e3_) = e2_ \/ (op_ e4_ e3_) = e2_)))) /\ (((op_ e3_ e0_) = e3_ \/ ((op_ e3_ e1_) = e3_ \/ ((op_ e3_ e2_) = e3_ \/ ((op_ e3_ e3_) = e3_ \/ (op_ e3_ e4_) = e3_)))) /\ (((op_ e0_ e3_) = e3_ \/ ((op_ e1_ e3_) = e3_ \/ ((op_ e2_ e3_) = e3_ \/ ((op_ e3_ e3_) = e3_ \/ (op_ e4_ e3_) = e3_)))) /\ (((op_ e3_ e0_) = e4_ \/ ((op_ e3_ e1_) = e4_ \/ ((op_ e3_ e2_) = e4_ \/ ((op_ e3_ e3_) = e4_ \/ (op_ e3_ e4_) = e4_)))) /\ (((op_ e0_ e3_) = e4_ \/ ((op_ e1_ e3_) = e4_ \/ ((op_ e2_ e3_) = e4_ \/ ((op_ e3_ e3_) = e4_ \/ (op_ e4_ e3_) = e4_)))) /\ (((op_ e4_ e0_) = e0_ \/ ((op_ e4_ e1_) = e0_ \/ ((op_ e4_ e2_) = e0_ \/ ((op_ e4_ e3_) = e0_ \/ (op_ e4_ e4_) = e0_)))) /\ (((op_ e0_ e4_) = e0_ \/ ((op_ e1_ e4_) = e0_ \/ ((op_ e2_ e4_) = e0_ \/ ((op_ e3_ e4_) = e0_ \/ (op_ e4_ e4_) = e0_)))) /\ (((op_ e4_ e0_) = e1_ \/ ((op_ e4_ e1_) = e1_ \/ ((op_ e4_ e2_) = e1_ \/ ((op_ e4_ e3_) = e1_ \/ (op_ e4_ e4_) = e1_)))) /\ (((op_ e0_ e4_) = e1_ \/ ((op_ e1_ e4_) = e1_ \/ ((op_ e2_ e4_) = e1_ \/ ((op_ e3_ e4_) = e1_ \/ (op_ e4_ e4_) = e1_)))) /\ (((op_ e4_ e0_) = e2_ \/ ((op_ e4_ e1_) = e2_ \/ ((op_ e4_ e2_) = e2_ \/ ((op_ e4_ e3_) = e2_ \/ (op_ e4_ e4_) = e2_)))) /\ (((op_ e0_ e4_) = e2_ \/ ((op_ e1_ e4_) = e2_ \/ ((op_ e2_ e4_) = e2_ \/ ((op_ e3_ e4_) = e2_ \/ (op_ e4_ e4_) = e2_)))) /\ (((op_ e4_ e0_) = e3_ \/ ((op_ e4_ e1_) = e3_ \/ ((op_ e4_ e2_) = e3_ \/ ((op_ e4_ e3_) = e3_ \/ (op_ e4_ e4_) = e3_)))) /\ (((op_ e0_ e4_) = e3_ \/ ((op_ e1_ e4_) = e3_ \/ ((op_ e2_ e4_) = e3_ \/ ((op_ e3_ e4_) = e3_ \/ (op_ e4_ e4_) = e3_)))) /\ (((op_ e4_ e0_) = e4_ \/ ((op_ e4_ e1_) = e4_ \/ ((op_ e4_ e2_) = e4_ \/ ((op_ e4_ e3_) = e4_ \/ (op_ e4_ e4_) = e4_)))) /\ ((op_ e0_ e4_) = e4_ \/ ((op_ e1_ e4_) = e4_ \/ ((op_ e2_ e4_) = e4_ \/ ((op_ e3_ e4_) = e4_ \/ (op_ e4_ e4_) = e4_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
