(*
% File     : ALG143+1 : ILTP v1.1.2
% Domain   : General Algebra
% Problem  : Quasigroups 4: PROP-SATS-GEN-SYS-53
% Version  : Especial.
% English  : 
% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 
% Status   : Unsatisfiable
% Rating   : 0.67 v3.1.0, 0.83 v2.7.0
% Status (intuit.) : Open (Problem negated)
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :   29 (   0 unit)
%            Number of atoms       :  606 ( 606 equality)
%            Maximal formula depth :   72 (  10 average)
%            Number of connectives :  671 (  94 ~  ; 222  |; 355  &)
%                                         (   0 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   4 constant; 0-2 arity)
%            Number of variables   :    0 (   0 singleton;   0 !;   0 ?)
%            Maximal term depth    :    4 (   2 average)
% Comments : 
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable EqTransitivity : forall x y z : Universe, x = y -> y = z -> x = z.
Variable EqSymmetry : forall x y : Universe, x = y -> y = x.
Variable EqReflexivity : forall x : Universe, x = x.

Variable op_ : Universe -> Universe -> Universe.
Variable EqCongruence_op : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> op_ x1 x2 = op_ y1 y2 .
Variable e3_ : Universe.
Variable e2_ : Universe.
Variable e1_ : Universe.
Variable e0_ : Universe.

Variable ax1_1 : (((op_ e0_ e0_) = e0_ \/ ((op_ e0_ e0_) = e1_ \/ ((op_ e0_ e0_) = e2_ \/ (op_ e0_ e0_) = e3_))) /\ (((op_ e0_ e1_) = e0_ \/ ((op_ e0_ e1_) = e1_ \/ ((op_ e0_ e1_) = e2_ \/ (op_ e0_ e1_) = e3_))) /\ (((op_ e0_ e2_) = e0_ \/ ((op_ e0_ e2_) = e1_ \/ ((op_ e0_ e2_) = e2_ \/ (op_ e0_ e2_) = e3_))) /\ (((op_ e0_ e3_) = e0_ \/ ((op_ e0_ e3_) = e1_ \/ ((op_ e0_ e3_) = e2_ \/ (op_ e0_ e3_) = e3_))) /\ (((op_ e1_ e0_) = e0_ \/ ((op_ e1_ e0_) = e1_ \/ ((op_ e1_ e0_) = e2_ \/ (op_ e1_ e0_) = e3_))) /\ (((op_ e1_ e1_) = e0_ \/ ((op_ e1_ e1_) = e1_ \/ ((op_ e1_ e1_) = e2_ \/ (op_ e1_ e1_) = e3_))) /\ (((op_ e1_ e2_) = e0_ \/ ((op_ e1_ e2_) = e1_ \/ ((op_ e1_ e2_) = e2_ \/ (op_ e1_ e2_) = e3_))) /\ (((op_ e1_ e3_) = e0_ \/ ((op_ e1_ e3_) = e1_ \/ ((op_ e1_ e3_) = e2_ \/ (op_ e1_ e3_) = e3_))) /\ (((op_ e2_ e0_) = e0_ \/ ((op_ e2_ e0_) = e1_ \/ ((op_ e2_ e0_) = e2_ \/ (op_ e2_ e0_) = e3_))) /\ (((op_ e2_ e1_) = e0_ \/ ((op_ e2_ e1_) = e1_ \/ ((op_ e2_ e1_) = e2_ \/ (op_ e2_ e1_) = e3_))) /\ (((op_ e2_ e2_) = e0_ \/ ((op_ e2_ e2_) = e1_ \/ ((op_ e2_ e2_) = e2_ \/ (op_ e2_ e2_) = e3_))) /\ (((op_ e2_ e3_) = e0_ \/ ((op_ e2_ e3_) = e1_ \/ ((op_ e2_ e3_) = e2_ \/ (op_ e2_ e3_) = e3_))) /\ (((op_ e3_ e0_) = e0_ \/ ((op_ e3_ e0_) = e1_ \/ ((op_ e3_ e0_) = e2_ \/ (op_ e3_ e0_) = e3_))) /\ (((op_ e3_ e1_) = e0_ \/ ((op_ e3_ e1_) = e1_ \/ ((op_ e3_ e1_) = e2_ \/ (op_ e3_ e1_) = e3_))) /\ (((op_ e3_ e2_) = e0_ \/ ((op_ e3_ e2_) = e1_ \/ ((op_ e3_ e2_) = e2_ \/ (op_ e3_ e2_) = e3_))) /\ ((op_ e3_ e3_) = e0_ \/ ((op_ e3_ e3_) = e1_ \/ ((op_ e3_ e3_) = e2_ \/ (op_ e3_ e3_) = e3_)))))))))))))))))).
Variable ax2_2 : (((op_ e0_ e0_) = e0_ \/ ((op_ e0_ e1_) = e0_ \/ ((op_ e0_ e2_) = e0_ \/ (op_ e0_ e3_) = e0_))) /\ (((op_ e0_ e0_) = e0_ \/ ((op_ e1_ e0_) = e0_ \/ ((op_ e2_ e0_) = e0_ \/ (op_ e3_ e0_) = e0_))) /\ (((op_ e0_ e0_) = e1_ \/ ((op_ e0_ e1_) = e1_ \/ ((op_ e0_ e2_) = e1_ \/ (op_ e0_ e3_) = e1_))) /\ (((op_ e0_ e0_) = e1_ \/ ((op_ e1_ e0_) = e1_ \/ ((op_ e2_ e0_) = e1_ \/ (op_ e3_ e0_) = e1_))) /\ (((op_ e0_ e0_) = e2_ \/ ((op_ e0_ e1_) = e2_ \/ ((op_ e0_ e2_) = e2_ \/ (op_ e0_ e3_) = e2_))) /\ (((op_ e0_ e0_) = e2_ \/ ((op_ e1_ e0_) = e2_ \/ ((op_ e2_ e0_) = e2_ \/ (op_ e3_ e0_) = e2_))) /\ (((op_ e0_ e0_) = e3_ \/ ((op_ e0_ e1_) = e3_ \/ ((op_ e0_ e2_) = e3_ \/ (op_ e0_ e3_) = e3_))) /\ (((op_ e0_ e0_) = e3_ \/ ((op_ e1_ e0_) = e3_ \/ ((op_ e2_ e0_) = e3_ \/ (op_ e3_ e0_) = e3_))) /\ (((op_ e1_ e0_) = e0_ \/ ((op_ e1_ e1_) = e0_ \/ ((op_ e1_ e2_) = e0_ \/ (op_ e1_ e3_) = e0_))) /\ (((op_ e0_ e1_) = e0_ \/ ((op_ e1_ e1_) = e0_ \/ ((op_ e2_ e1_) = e0_ \/ (op_ e3_ e1_) = e0_))) /\ (((op_ e1_ e0_) = e1_ \/ ((op_ e1_ e1_) = e1_ \/ ((op_ e1_ e2_) = e1_ \/ (op_ e1_ e3_) = e1_))) /\ (((op_ e0_ e1_) = e1_ \/ ((op_ e1_ e1_) = e1_ \/ ((op_ e2_ e1_) = e1_ \/ (op_ e3_ e1_) = e1_))) /\ (((op_ e1_ e0_) = e2_ \/ ((op_ e1_ e1_) = e2_ \/ ((op_ e1_ e2_) = e2_ \/ (op_ e1_ e3_) = e2_))) /\ (((op_ e0_ e1_) = e2_ \/ ((op_ e1_ e1_) = e2_ \/ ((op_ e2_ e1_) = e2_ \/ (op_ e3_ e1_) = e2_))) /\ (((op_ e1_ e0_) = e3_ \/ ((op_ e1_ e1_) = e3_ \/ ((op_ e1_ e2_) = e3_ \/ (op_ e1_ e3_) = e3_))) /\ (((op_ e0_ e1_) = e3_ \/ ((op_ e1_ e1_) = e3_ \/ ((op_ e2_ e1_) = e3_ \/ (op_ e3_ e1_) = e3_))) /\ (((op_ e2_ e0_) = e0_ \/ ((op_ e2_ e1_) = e0_ \/ ((op_ e2_ e2_) = e0_ \/ (op_ e2_ e3_) = e0_))) /\ (((op_ e0_ e2_) = e0_ \/ ((op_ e1_ e2_) = e0_ \/ ((op_ e2_ e2_) = e0_ \/ (op_ e3_ e2_) = e0_))) /\ (((op_ e2_ e0_) = e1_ \/ ((op_ e2_ e1_) = e1_ \/ ((op_ e2_ e2_) = e1_ \/ (op_ e2_ e3_) = e1_))) /\ (((op_ e0_ e2_) = e1_ \/ ((op_ e1_ e2_) = e1_ \/ ((op_ e2_ e2_) = e1_ \/ (op_ e3_ e2_) = e1_))) /\ (((op_ e2_ e0_) = e2_ \/ ((op_ e2_ e1_) = e2_ \/ ((op_ e2_ e2_) = e2_ \/ (op_ e2_ e3_) = e2_))) /\ (((op_ e0_ e2_) = e2_ \/ ((op_ e1_ e2_) = e2_ \/ ((op_ e2_ e2_) = e2_ \/ (op_ e3_ e2_) = e2_))) /\ (((op_ e2_ e0_) = e3_ \/ ((op_ e2_ e1_) = e3_ \/ ((op_ e2_ e2_) = e3_ \/ (op_ e2_ e3_) = e3_))) /\ (((op_ e0_ e2_) = e3_ \/ ((op_ e1_ e2_) = e3_ \/ ((op_ e2_ e2_) = e3_ \/ (op_ e3_ e2_) = e3_))) /\ (((op_ e3_ e0_) = e0_ \/ ((op_ e3_ e1_) = e0_ \/ ((op_ e3_ e2_) = e0_ \/ (op_ e3_ e3_) = e0_))) /\ (((op_ e0_ e3_) = e0_ \/ ((op_ e1_ e3_) = e0_ \/ ((op_ e2_ e3_) = e0_ \/ (op_ e3_ e3_) = e0_))) /\ (((op_ e3_ e0_) = e1_ \/ ((op_ e3_ e1_) = e1_ \/ ((op_ e3_ e2_) = e1_ \/ (op_ e3_ e3_) = e1_))) /\ (((op_ e0_ e3_) = e1_ \/ ((op_ e1_ e3_) = e1_ \/ ((op_ e2_ e3_) = e1_ \/ (op_ e3_ e3_) = e1_))) /\ (((op_ e3_ e0_) = e2_ \/ ((op_ e3_ e1_) = e2_ \/ ((op_ e3_ e2_) = e2_ \/ (op_ e3_ e3_) = e2_))) /\ (((op_ e0_ e3_) = e2_ \/ ((op_ e1_ e3_) = e2_ \/ ((op_ e2_ e3_) = e2_ \/ (op_ e3_ e3_) = e2_))) /\ (((op_ e3_ e0_) = e3_ \/ ((op_ e3_ e1_) = e3_ \/ ((op_ e3_ e2_) = e3_ \/ (op_ e3_ e3_) = e3_))) /\ ((op_ e0_ e3_) = e3_ \/ ((op_ e1_ e3_) = e3_ \/ ((op_ e2_ e3_) = e3_ \/ (op_ e3_ e3_) = e3_)))))))))))))))))))))))))))))))))).
Variable ax3_3 : ((op_ e0_ e0_) <> (op_ e1_ e0_) /\ ((op_ e0_ e0_) <> (op_ e2_ e0_) /\ ((op_ e0_ e0_) <> (op_ e3_ e0_) /\ ((op_ e1_ e0_) <> (op_ e2_ e0_) /\ ((op_ e1_ e0_) <> (op_ e3_ e0_) /\ ((op_ e2_ e0_) <> (op_ e3_ e0_) /\ ((op_ e0_ e1_) <> (op_ e1_ e1_) /\ ((op_ e0_ e1_) <> (op_ e2_ e1_) /\ ((op_ e0_ e1_) <> (op_ e3_ e1_) /\ ((op_ e1_ e1_) <> (op_ e2_ e1_) /\ ((op_ e1_ e1_) <> (op_ e3_ e1_) /\ ((op_ e2_ e1_) <> (op_ e3_ e1_) /\ ((op_ e0_ e2_) <> (op_ e1_ e2_) /\ ((op_ e0_ e2_) <> (op_ e2_ e2_) /\ ((op_ e0_ e2_) <> (op_ e3_ e2_) /\ ((op_ e1_ e2_) <> (op_ e2_ e2_) /\ ((op_ e1_ e2_) <> (op_ e3_ e2_) /\ ((op_ e2_ e2_) <> (op_ e3_ e2_) /\ ((op_ e0_ e3_) <> (op_ e1_ e3_) /\ ((op_ e0_ e3_) <> (op_ e2_ e3_) /\ ((op_ e0_ e3_) <> (op_ e3_ e3_) /\ ((op_ e1_ e3_) <> (op_ e2_ e3_) /\ ((op_ e1_ e3_) <> (op_ e3_ e3_) /\ ((op_ e2_ e3_) <> (op_ e3_ e3_) /\ ((op_ e0_ e0_) <> (op_ e0_ e1_) /\ ((op_ e0_ e0_) <> (op_ e0_ e2_) /\ ((op_ e0_ e0_) <> (op_ e0_ e3_) /\ ((op_ e0_ e1_) <> (op_ e0_ e2_) /\ ((op_ e0_ e1_) <> (op_ e0_ e3_) /\ ((op_ e0_ e2_) <> (op_ e0_ e3_) /\ ((op_ e1_ e0_) <> (op_ e1_ e1_) /\ ((op_ e1_ e0_) <> (op_ e1_ e2_) /\ ((op_ e1_ e0_) <> (op_ e1_ e3_) /\ ((op_ e1_ e1_) <> (op_ e1_ e2_) /\ ((op_ e1_ e1_) <> (op_ e1_ e3_) /\ ((op_ e1_ e2_) <> (op_ e1_ e3_) /\ ((op_ e2_ e0_) <> (op_ e2_ e1_) /\ ((op_ e2_ e0_) <> (op_ e2_ e2_) /\ ((op_ e2_ e0_) <> (op_ e2_ e3_) /\ ((op_ e2_ e1_) <> (op_ e2_ e2_) /\ ((op_ e2_ e1_) <> (op_ e2_ e3_) /\ ((op_ e2_ e2_) <> (op_ e2_ e3_) /\ ((op_ e3_ e0_) <> (op_ e3_ e1_) /\ ((op_ e3_ e0_) <> (op_ e3_ e2_) /\ ((op_ e3_ e0_) <> (op_ e3_ e3_) /\ ((op_ e3_ e1_) <> (op_ e3_ e2_) /\ ((op_ e3_ e1_) <> (op_ e3_ e3_) /\ (op_ e3_ e2_) <> (op_ e3_ e3_)))))))))))))))))))))))))))))))))))))))))))))))).
Variable ax4_4 : (e0_ <> e1_ /\ (e0_ <> e2_ /\ (e0_ <> e3_ /\ (e1_ <> e2_ /\ (e1_ <> e3_ /\ e2_ <> e3_))))).
Variable ax5_5 : (((op_ e0_ e0_) = e0_ \/ ((op_ e1_ e0_) = e1_ \/ ((op_ e2_ e0_) = e2_ \/ (op_ e3_ e0_) = e3_))) /\ (((op_ e0_ e1_) = e0_ \/ ((op_ e1_ e1_) = e1_ \/ ((op_ e2_ e1_) = e2_ \/ (op_ e3_ e1_) = e3_))) /\ (((op_ e0_ e2_) = e0_ \/ ((op_ e1_ e2_) = e1_ \/ ((op_ e2_ e2_) = e2_ \/ (op_ e3_ e2_) = e3_))) /\ (((op_ e0_ e3_) = e0_ \/ ((op_ e1_ e3_) = e1_ \/ ((op_ e2_ e3_) = e2_ \/ (op_ e3_ e3_) = e3_))) /\ ((((op_ e0_ (op_ e0_ e0_)) <> e0_ /\ ((op_ e0_ (op_ e0_ e1_)) <> e1_ /\ ((op_ e0_ (op_ e0_ e2_)) <> e2_ /\ (op_ e0_ (op_ e0_ e3_)) <> e3_))) \/ (((op_ e1_ (op_ e1_ e0_)) <> e0_ /\ ((op_ e1_ (op_ e1_ e1_)) <> e1_ /\ ((op_ e1_ (op_ e1_ e2_)) <> e2_ /\ (op_ e1_ (op_ e1_ e3_)) <> e3_))) \/ (((op_ e2_ (op_ e2_ e0_)) <> e0_ /\ ((op_ e2_ (op_ e2_ e1_)) <> e1_ /\ ((op_ e2_ (op_ e2_ e2_)) <> e2_ /\ (op_ e2_ (op_ e2_ e3_)) <> e3_))) \/ ((op_ e3_ (op_ e3_ e0_)) <> e0_ /\ ((op_ e3_ (op_ e3_ e1_)) <> e1_ /\ ((op_ e3_ (op_ e3_ e2_)) <> e2_ /\ (op_ e3_ (op_ e3_ e3_)) <> e3_)))))) /\ (((op_ e0_ e0_) = e0_ /\ ((op_ e0_ e0_) = e0_ /\ ((op_ e0_ e0_) = e0_ /\ (op_ e0_ e0_) = e0_))) \/ (((op_ e0_ e0_) = e0_ /\ ((op_ e0_ e0_) = e0_ /\ ((op_ e1_ e0_) = e0_ /\ (op_ e0_ e1_) = e0_))) \/ (((op_ e0_ e0_) = e0_ /\ ((op_ e0_ e0_) = e0_ /\ ((op_ e2_ e0_) = e0_ /\ (op_ e0_ e2_) = e0_))) \/ (((op_ e0_ e0_) = e0_ /\ ((op_ e0_ e0_) = e0_ /\ ((op_ e3_ e0_) = e0_ /\ (op_ e0_ e3_) = e0_))) \/ (((op_ e0_ e1_) = e0_ /\ ((op_ e1_ e0_) = e0_ /\ ((op_ e0_ e1_) = e1_ /\ (op_ e1_ e0_) = e1_))) \/ (((op_ e0_ e1_) = e0_ /\ ((op_ e1_ e0_) = e0_ /\ ((op_ e1_ e1_) = e1_ /\ (op_ e1_ e1_) = e1_))) \/ (((op_ e0_ e1_) = e0_ /\ ((op_ e1_ e0_) = e0_ /\ ((op_ e2_ e1_) = e1_ /\ (op_ e1_ e2_) = e1_))) \/ (((op_ e0_ e1_) = e0_ /\ ((op_ e1_ e0_) = e0_ /\ ((op_ e3_ e1_) = e1_ /\ (op_ e1_ e3_) = e1_))) \/ (((op_ e0_ e2_) = e0_ /\ ((op_ e2_ e0_) = e0_ /\ ((op_ e0_ e2_) = e2_ /\ (op_ e2_ e0_) = e2_))) \/ (((op_ e0_ e2_) = e0_ /\ ((op_ e2_ e0_) = e0_ /\ ((op_ e1_ e2_) = e2_ /\ (op_ e2_ e1_) = e2_))) \/ (((op_ e0_ e2_) = e0_ /\ ((op_ e2_ e0_) = e0_ /\ ((op_ e2_ e2_) = e2_ /\ (op_ e2_ e2_) = e2_))) \/ (((op_ e0_ e2_) = e0_ /\ ((op_ e2_ e0_) = e0_ /\ ((op_ e3_ e2_) = e2_ /\ (op_ e2_ e3_) = e2_))) \/ (((op_ e0_ e3_) = e0_ /\ ((op_ e3_ e0_) = e0_ /\ ((op_ e0_ e3_) = e3_ /\ (op_ e3_ e0_) = e3_))) \/ (((op_ e0_ e3_) = e0_ /\ ((op_ e3_ e0_) = e0_ /\ ((op_ e1_ e3_) = e3_ /\ (op_ e3_ e1_) = e3_))) \/ (((op_ e0_ e3_) = e0_ /\ ((op_ e3_ e0_) = e0_ /\ ((op_ e2_ e3_) = e3_ /\ (op_ e3_ e2_) = e3_))) \/ (((op_ e0_ e3_) = e0_ /\ ((op_ e3_ e0_) = e0_ /\ ((op_ e3_ e3_) = e3_ /\ (op_ e3_ e3_) = e3_))) \/ (((op_ e1_ e0_) = e1_ /\ ((op_ e0_ e1_) = e1_ /\ ((op_ e0_ e0_) = e0_ /\ (op_ e0_ e0_) = e0_))) \/ (((op_ e1_ e0_) = e1_ /\ ((op_ e0_ e1_) = e1_ /\ ((op_ e1_ e0_) = e0_ /\ (op_ e0_ e1_) = e0_))) \/ (((op_ e1_ e0_) = e1_ /\ ((op_ e0_ e1_) = e1_ /\ ((op_ e2_ e0_) = e0_ /\ (op_ e0_ e2_) = e0_))) \/ (((op_ e1_ e0_) = e1_ /\ ((op_ e0_ e1_) = e1_ /\ ((op_ e3_ e0_) = e0_ /\ (op_ e0_ e3_) = e0_))) \/ (((op_ e1_ e1_) = e1_ /\ ((op_ e1_ e1_) = e1_ /\ ((op_ e0_ e1_) = e1_ /\ (op_ e1_ e0_) = e1_))) \/ (((op_ e1_ e1_) = e1_ /\ ((op_ e1_ e1_) = e1_ /\ ((op_ e1_ e1_) = e1_ /\ (op_ e1_ e1_) = e1_))) \/ (((op_ e1_ e1_) = e1_ /\ ((op_ e1_ e1_) = e1_ /\ ((op_ e2_ e1_) = e1_ /\ (op_ e1_ e2_) = e1_))) \/ (((op_ e1_ e1_) = e1_ /\ ((op_ e1_ e1_) = e1_ /\ ((op_ e3_ e1_) = e1_ /\ (op_ e1_ e3_) = e1_))) \/ (((op_ e1_ e2_) = e1_ /\ ((op_ e2_ e1_) = e1_ /\ ((op_ e0_ e2_) = e2_ /\ (op_ e2_ e0_) = e2_))) \/ (((op_ e1_ e2_) = e1_ /\ ((op_ e2_ e1_) = e1_ /\ ((op_ e1_ e2_) = e2_ /\ (op_ e2_ e1_) = e2_))) \/ (((op_ e1_ e2_) = e1_ /\ ((op_ e2_ e1_) = e1_ /\ ((op_ e2_ e2_) = e2_ /\ (op_ e2_ e2_) = e2_))) \/ (((op_ e1_ e2_) = e1_ /\ ((op_ e2_ e1_) = e1_ /\ ((op_ e3_ e2_) = e2_ /\ (op_ e2_ e3_) = e2_))) \/ (((op_ e1_ e3_) = e1_ /\ ((op_ e3_ e1_) = e1_ /\ ((op_ e0_ e3_) = e3_ /\ (op_ e3_ e0_) = e3_))) \/ (((op_ e1_ e3_) = e1_ /\ ((op_ e3_ e1_) = e1_ /\ ((op_ e1_ e3_) = e3_ /\ (op_ e3_ e1_) = e3_))) \/ (((op_ e1_ e3_) = e1_ /\ ((op_ e3_ e1_) = e1_ /\ ((op_ e2_ e3_) = e3_ /\ (op_ e3_ e2_) = e3_))) \/ (((op_ e1_ e3_) = e1_ /\ ((op_ e3_ e1_) = e1_ /\ ((op_ e3_ e3_) = e3_ /\ (op_ e3_ e3_) = e3_))) \/ (((op_ e2_ e0_) = e2_ /\ ((op_ e0_ e2_) = e2_ /\ ((op_ e0_ e0_) = e0_ /\ (op_ e0_ e0_) = e0_))) \/ (((op_ e2_ e0_) = e2_ /\ ((op_ e0_ e2_) = e2_ /\ ((op_ e1_ e0_) = e0_ /\ (op_ e0_ e1_) = e0_))) \/ (((op_ e2_ e0_) = e2_ /\ ((op_ e0_ e2_) = e2_ /\ ((op_ e2_ e0_) = e0_ /\ (op_ e0_ e2_) = e0_))) \/ (((op_ e2_ e0_) = e2_ /\ ((op_ e0_ e2_) = e2_ /\ ((op_ e3_ e0_) = e0_ /\ (op_ e0_ e3_) = e0_))) \/ (((op_ e2_ e1_) = e2_ /\ ((op_ e1_ e2_) = e2_ /\ ((op_ e0_ e1_) = e1_ /\ (op_ e1_ e0_) = e1_))) \/ (((op_ e2_ e1_) = e2_ /\ ((op_ e1_ e2_) = e2_ /\ ((op_ e1_ e1_) = e1_ /\ (op_ e1_ e1_) = e1_))) \/ (((op_ e2_ e1_) = e2_ /\ ((op_ e1_ e2_) = e2_ /\ ((op_ e2_ e1_) = e1_ /\ (op_ e1_ e2_) = e1_))) \/ (((op_ e2_ e1_) = e2_ /\ ((op_ e1_ e2_) = e2_ /\ ((op_ e3_ e1_) = e1_ /\ (op_ e1_ e3_) = e1_))) \/ (((op_ e2_ e2_) = e2_ /\ ((op_ e2_ e2_) = e2_ /\ ((op_ e0_ e2_) = e2_ /\ (op_ e2_ e0_) = e2_))) \/ (((op_ e2_ e2_) = e2_ /\ ((op_ e2_ e2_) = e2_ /\ ((op_ e1_ e2_) = e2_ /\ (op_ e2_ e1_) = e2_))) \/ (((op_ e2_ e2_) = e2_ /\ ((op_ e2_ e2_) = e2_ /\ ((op_ e2_ e2_) = e2_ /\ (op_ e2_ e2_) = e2_))) \/ (((op_ e2_ e2_) = e2_ /\ ((op_ e2_ e2_) = e2_ /\ ((op_ e3_ e2_) = e2_ /\ (op_ e2_ e3_) = e2_))) \/ (((op_ e2_ e3_) = e2_ /\ ((op_ e3_ e2_) = e2_ /\ ((op_ e0_ e3_) = e3_ /\ (op_ e3_ e0_) = e3_))) \/ (((op_ e2_ e3_) = e2_ /\ ((op_ e3_ e2_) = e2_ /\ ((op_ e1_ e3_) = e3_ /\ (op_ e3_ e1_) = e3_))) \/ (((op_ e2_ e3_) = e2_ /\ ((op_ e3_ e2_) = e2_ /\ ((op_ e2_ e3_) = e3_ /\ (op_ e3_ e2_) = e3_))) \/ (((op_ e2_ e3_) = e2_ /\ ((op_ e3_ e2_) = e2_ /\ ((op_ e3_ e3_) = e3_ /\ (op_ e3_ e3_) = e3_))) \/ (((op_ e3_ e0_) = e3_ /\ ((op_ e0_ e3_) = e3_ /\ ((op_ e0_ e0_) = e0_ /\ (op_ e0_ e0_) = e0_))) \/ (((op_ e3_ e0_) = e3_ /\ ((op_ e0_ e3_) = e3_ /\ ((op_ e1_ e0_) = e0_ /\ (op_ e0_ e1_) = e0_))) \/ (((op_ e3_ e0_) = e3_ /\ ((op_ e0_ e3_) = e3_ /\ ((op_ e2_ e0_) = e0_ /\ (op_ e0_ e2_) = e0_))) \/ (((op_ e3_ e0_) = e3_ /\ ((op_ e0_ e3_) = e3_ /\ ((op_ e3_ e0_) = e0_ /\ (op_ e0_ e3_) = e0_))) \/ (((op_ e3_ e1_) = e3_ /\ ((op_ e1_ e3_) = e3_ /\ ((op_ e0_ e1_) = e1_ /\ (op_ e1_ e0_) = e1_))) \/ (((op_ e3_ e1_) = e3_ /\ ((op_ e1_ e3_) = e3_ /\ ((op_ e1_ e1_) = e1_ /\ (op_ e1_ e1_) = e1_))) \/ (((op_ e3_ e1_) = e3_ /\ ((op_ e1_ e3_) = e3_ /\ ((op_ e2_ e1_) = e1_ /\ (op_ e1_ e2_) = e1_))) \/ (((op_ e3_ e1_) = e3_ /\ ((op_ e1_ e3_) = e3_ /\ ((op_ e3_ e1_) = e1_ /\ (op_ e1_ e3_) = e1_))) \/ (((op_ e3_ e2_) = e3_ /\ ((op_ e2_ e3_) = e3_ /\ ((op_ e0_ e2_) = e2_ /\ (op_ e2_ e0_) = e2_))) \/ (((op_ e3_ e2_) = e3_ /\ ((op_ e2_ e3_) = e3_ /\ ((op_ e1_ e2_) = e2_ /\ (op_ e2_ e1_) = e2_))) \/ (((op_ e3_ e2_) = e3_ /\ ((op_ e2_ e3_) = e3_ /\ ((op_ e2_ e2_) = e2_ /\ (op_ e2_ e2_) = e2_))) \/ (((op_ e3_ e2_) = e3_ /\ ((op_ e2_ e3_) = e3_ /\ ((op_ e3_ e2_) = e2_ /\ (op_ e2_ e3_) = e2_))) \/ (((op_ e3_ e3_) = e3_ /\ ((op_ e3_ e3_) = e3_ /\ ((op_ e0_ e3_) = e3_ /\ (op_ e3_ e0_) = e3_))) \/ (((op_ e3_ e3_) = e3_ /\ ((op_ e3_ e3_) = e3_ /\ ((op_ e1_ e3_) = e3_ /\ (op_ e3_ e1_) = e3_))) \/ (((op_ e3_ e3_) = e3_ /\ ((op_ e3_ e3_) = e3_ /\ ((op_ e2_ e3_) = e3_ /\ (op_ e3_ e2_) = e3_))) \/ ((op_ e3_ e3_) = e3_ /\ ((op_ e3_ e3_) = e3_ /\ ((op_ e3_ e3_) = e3_ /\ (op_ e3_ e3_) = e3_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Variable ax6_6 : ~((e0_ = (op_ e1_ e1_) /\ (e2_ = (op_ (op_ (op_ e1_ e1_) e1_) (op_ e1_ e1_)) /\ e3_ = (op_ (op_ e1_ e1_) e1_)))).
Variable ax7_7 : ~((e0_ = (op_ e1_ e1_) /\ (e3_ = (op_ (op_ (op_ e1_ e1_) e1_) (op_ e1_ e1_)) /\ e2_ = (op_ (op_ e1_ e1_) e1_)))).
Variable ax8_8 : ~((e0_ = (op_ e2_ e2_) /\ (e1_ = (op_ (op_ (op_ e2_ e2_) e2_) (op_ e2_ e2_)) /\ e3_ = (op_ (op_ e2_ e2_) e2_)))).
Variable ax9_9 : ~((e0_ = (op_ e2_ e2_) /\ (e3_ = (op_ (op_ (op_ e2_ e2_) e2_) (op_ e2_ e2_)) /\ e1_ = (op_ (op_ e2_ e2_) e2_)))).
Variable ax10_10 : ~((e0_ = (op_ e3_ e3_) /\ (e1_ = (op_ (op_ (op_ e3_ e3_) e3_) (op_ e3_ e3_)) /\ e2_ = (op_ (op_ e3_ e3_) e3_)))).
Variable ax11_11 : ~((e0_ = (op_ e3_ e3_) /\ (e2_ = (op_ (op_ (op_ e3_ e3_) e3_) (op_ e3_ e3_)) /\ e1_ = (op_ (op_ e3_ e3_) e3_)))).
Variable ax12_12 : ~((e1_ = (op_ e0_ e0_) /\ (e2_ = (op_ (op_ (op_ e0_ e0_) e0_) (op_ e0_ e0_)) /\ e3_ = (op_ (op_ e0_ e0_) e0_)))).
Variable ax13_13 : ~((e1_ = (op_ e0_ e0_) /\ (e3_ = (op_ (op_ (op_ e0_ e0_) e0_) (op_ e0_ e0_)) /\ e2_ = (op_ (op_ e0_ e0_) e0_)))).
Variable ax14_14 : ~((e1_ = (op_ e2_ e2_) /\ (e0_ = (op_ (op_ (op_ e2_ e2_) e2_) (op_ e2_ e2_)) /\ e3_ = (op_ (op_ e2_ e2_) e2_)))).
Variable ax15_15 : ~((e1_ = (op_ e2_ e2_) /\ (e3_ = (op_ (op_ (op_ e2_ e2_) e2_) (op_ e2_ e2_)) /\ e0_ = (op_ (op_ e2_ e2_) e2_)))).
Variable ax16_16 : ~((e1_ = (op_ e3_ e3_) /\ (e0_ = (op_ (op_ (op_ e3_ e3_) e3_) (op_ e3_ e3_)) /\ e2_ = (op_ (op_ e3_ e3_) e3_)))).
Variable ax17_17 : ~((e1_ = (op_ e3_ e3_) /\ (e2_ = (op_ (op_ (op_ e3_ e3_) e3_) (op_ e3_ e3_)) /\ e0_ = (op_ (op_ e3_ e3_) e3_)))).
Variable ax18_18 : ~((e2_ = (op_ e0_ e0_) /\ (e1_ = (op_ (op_ (op_ e0_ e0_) e0_) (op_ e0_ e0_)) /\ e3_ = (op_ (op_ e0_ e0_) e0_)))).
Variable ax19_19 : ~((e2_ = (op_ e0_ e0_) /\ (e3_ = (op_ (op_ (op_ e0_ e0_) e0_) (op_ e0_ e0_)) /\ e1_ = (op_ (op_ e0_ e0_) e0_)))).
Variable ax20_20 : ~((e2_ = (op_ e1_ e1_) /\ (e0_ = (op_ (op_ (op_ e1_ e1_) e1_) (op_ e1_ e1_)) /\ e3_ = (op_ (op_ e1_ e1_) e1_)))).
Variable ax21_21 : ~((e2_ = (op_ e1_ e1_) /\ (e3_ = (op_ (op_ (op_ e1_ e1_) e1_) (op_ e1_ e1_)) /\ e0_ = (op_ (op_ e1_ e1_) e1_)))).
Variable ax22_22 : ~((e2_ = (op_ e3_ e3_) /\ (e0_ = (op_ (op_ (op_ e3_ e3_) e3_) (op_ e3_ e3_)) /\ e1_ = (op_ (op_ e3_ e3_) e3_)))).
Variable ax23_23 : ~((e2_ = (op_ e3_ e3_) /\ (e1_ = (op_ (op_ (op_ e3_ e3_) e3_) (op_ e3_ e3_)) /\ e0_ = (op_ (op_ e3_ e3_) e3_)))).
Variable ax24_24 : ~((e3_ = (op_ e0_ e0_) /\ (e1_ = (op_ (op_ (op_ e0_ e0_) e0_) (op_ e0_ e0_)) /\ e2_ = (op_ (op_ e0_ e0_) e0_)))).
Variable ax25_25 : ~((e3_ = (op_ e0_ e0_) /\ (e2_ = (op_ (op_ (op_ e0_ e0_) e0_) (op_ e0_ e0_)) /\ e1_ = (op_ (op_ e0_ e0_) e0_)))).
Variable ax26_26 : ~((e3_ = (op_ e1_ e1_) /\ (e0_ = (op_ (op_ (op_ e1_ e1_) e1_) (op_ e1_ e1_)) /\ e2_ = (op_ (op_ e1_ e1_) e1_)))).
Variable ax27_27 : ~((e3_ = (op_ e1_ e1_) /\ (e2_ = (op_ (op_ (op_ e1_ e1_) e1_) (op_ e1_ e1_)) /\ e0_ = (op_ (op_ e1_ e1_) e1_)))).
Variable ax28_28 : ~((e3_ = (op_ e2_ e2_) /\ (e0_ = (op_ (op_ (op_ e2_ e2_) e2_) (op_ e2_ e2_)) /\ e1_ = (op_ (op_ e2_ e2_) e2_)))).
Variable ax29_29 : ~((e3_ = (op_ e2_ e2_) /\ (e1_ = (op_ (op_ (op_ e2_ e2_) e2_) (op_ e2_ e2_)) /\ e0_ = (op_ (op_ e2_ e2_) e2_)))).

Theorem conjecture_30 : False.
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
