(*
% File     : GPJ002+1 : ILTP v1.1.2
% Domain   : Non-Clausal Group Theory
% Problem  : section 7, Exercise 7
% Version  : Especial.
% English  : 
% Refs     : [CL73] C.-L. Chang & R. C.-T. Lee. Symbolic Logic and Mechanical 
%                   Theorem Proving. New York, Academic Press, 1973.
% Source   : [CL73]
% Names    :
% Status (intuit.) : Theorem
% Rating (intuit.) : 0.75 v1.1.0
% Comments : 
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable s_ : Universe -> Prop.
Variable product_ : Universe -> Universe -> Universe -> Prop.

Variable inverse_ : Universe -> Universe.
Variable identity_ : Universe.
Variable b_ : Universe.

Variable ax1_1 : (forall X : Universe, product_ identity_ X X).
Variable ax2_2 : (forall X : Universe, product_ X identity_ X).
Variable ax3_3 : (forall X : Universe, product_ X (inverse_ X) identity_).
Variable ax4_4 : (forall X : Universe, product_ (inverse_ X) X identity_).
Variable ax5_5 : s_ b_.
Variable ax6_6 : (forall X Y Z : Universe, ((s_ X /\ (s_ Y /\ product_ X (inverse_ Y) Z)) -> s_ Z)).
Variable ax7_7 : (forall X Y U Z V W : Universe, ((product_ X Y U /\ (product_ Y Z V /\ product_ X V W)) -> product_ U Z W)).
Variable ax8_8 : (forall X Y U Z V W : Universe, ((product_ X Y U /\ (product_ Y Z V /\ product_ U Z W)) -> product_ X V W)).

Set Firstorder Depth 10.

Theorem con_9 : s_ (inverse_ b_).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
