(*
% File     : KRS070+1 : ILTP v1.1.2
% Domain   : Knowledge Representation (Semantic Web)
% Problem  : DL Test: fact4.1
% Version  : Especial.
% English  : 
% Refs     : [Bec03] Bechhofer (2003), Email to G. Sutcliffe
%          : [TR+04] Tsarkov et al. (2004), Using Vampire to Reason with OW
% Source   : [Bec03]
% Names    : inconsistent_description-logic-Manifest004 [Bec03]
% Status   : Unsatisfiable
% Rating   : 0.00 v3.1.0
% Status (intuit.) : Theorem (Problem negated)
% Rating (intuit.) : 0.75 v1.1.0
% Syntax   : Number of formulae    :   44 (   1 unit)
%            Number of atoms       :  125 (  32 equality)
%            Maximal formula depth :    9 (   5 average)
%            Number of connectives :   84 (   3 ~  ;   0  |;  39  &)
%                                         (   2 <=>;  40 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   18 (   0 propositional; 1-2 arity)
%            Number of functors    :    1 (   1 constant; 0-0 arity)
%            Number of variables   :  111 (   0 singleton; 108 !;   3 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : Sean Bechhofer says there are some errors in the encoding of
%            datatypes, so this problem may not be perfect. At least it's
%            still representative of the type of reasoning required for OWL.
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable EqTransitivity : forall x y z : Universe, x = y -> y = z -> x = z.
Variable EqSymmetry : forall x y : Universe, x = y -> y = x.
Variable EqReflexivity : forall x : Universe, x = x.
Variable xsd_string_ : Universe -> Prop.
Variable EqCongruence_xsd_string : forall x1 y1 : Universe, x1 = y1 -> xsd_string_ x1 -> xsd_string_ y1 .
Variable xsd_integer_ : Universe -> Prop.
Variable EqCongruence_xsd_integer : forall x1 y1 : Universe, x1 = y1 -> xsd_integer_ x1 -> xsd_integer_ y1 .
Variable rrxa_ : Universe -> Universe -> Prop.
Variable EqCongruence_rrxa : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> rrxa_ x1 x2 -> rrxa_ y1 y2 .
Variable rrx4a_ : Universe -> Universe -> Prop.
Variable EqCongruence_rrx4a : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> rrx4a_ x1 x2 -> rrx4a_ y1 y2 .
Variable rrx4_ : Universe -> Universe -> Prop.
Variable EqCongruence_rrx4 : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> rrx4_ x1 x2 -> rrx4_ y1 y2 .
Variable rrx3a_ : Universe -> Universe -> Prop.
Variable EqCongruence_rrx3a : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> rrx3a_ x1 x2 -> rrx3a_ y1 y2 .
Variable rrx3_ : Universe -> Universe -> Prop.
Variable EqCongruence_rrx3 : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> rrx3_ x1 x2 -> rrx3_ y1 y2 .
Variable rrx2a_ : Universe -> Universe -> Prop.
Variable EqCongruence_rrx2a : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> rrx2a_ x1 x2 -> rrx2a_ y1 y2 .
Variable rrx2_ : Universe -> Universe -> Prop.
Variable EqCongruence_rrx2 : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> rrx2_ x1 x2 -> rrx2_ y1 y2 .
Variable rrx1a_ : Universe -> Universe -> Prop.
Variable EqCongruence_rrx1a : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> rrx1a_ x1 x2 -> rrx1a_ y1 y2 .
Variable rrx1_ : Universe -> Universe -> Prop.
Variable EqCongruence_rrx1 : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> rrx1_ x1 x2 -> rrx1_ y1 y2 .
Variable rrx_ : Universe -> Universe -> Prop.
Variable EqCongruence_rrx : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> rrx_ x1 x2 -> rrx_ y1 y2 .
Variable cowlThing_ : Universe -> Prop.
Variable EqCongruence_cowlThing : forall x1 y1 : Universe, x1 = y1 -> cowlThing_ x1 -> cowlThing_ y1 .
Variable cowlNothing_ : Universe -> Prop.
Variable EqCongruence_cowlNothing : forall x1 y1 : Universe, x1 = y1 -> cowlNothing_ x1 -> cowlNothing_ y1 .
Variable cc2_ : Universe -> Prop.
Variable EqCongruence_cc2 : forall x1 y1 : Universe, x1 = y1 -> cc2_ x1 -> cc2_ y1 .
Variable cc1_ : Universe -> Prop.
Variable EqCongruence_cc1 : forall x1 y1 : Universe, x1 = y1 -> cc1_ x1 -> cc1_ y1 .
Variable cUnsatisfiable_ : Universe -> Prop.
Variable EqCongruence_cUnsatisfiable : forall x1 y1 : Universe, x1 = y1 -> cUnsatisfiable_ x1 -> cUnsatisfiable_ y1 .

Variable i2003_11_14_17_18_32242_ : Universe.

Variable cUnsatisfiable_substitution_1_1 : (forall A B : Universe, ((A = B /\ cUnsatisfiable_ A) -> cUnsatisfiable_ B)).
Variable cc1_substitution_1_2 : (forall A B : Universe, ((A = B /\ cc1_ A) -> cc1_ B)).
Variable cc2_substitution_1_3 : (forall A B : Universe, ((A = B /\ cc2_ A) -> cc2_ B)).
Variable cowlNothing_substitution_1_4 : (forall A B : Universe, ((A = B /\ cowlNothing_ A) -> cowlNothing_ B)).
Variable cowlThing_substitution_1_5 : (forall A B : Universe, ((A = B /\ cowlThing_ A) -> cowlThing_ B)).
Variable rrx_substitution_1_6 : (forall A B C : Universe, ((A = B /\ rrx_ A C) -> rrx_ B C)).
Variable rrx_substitution_2_7 : (forall A B C : Universe, ((A = B /\ rrx_ C A) -> rrx_ C B)).
Variable rrx1_substitution_1_8 : (forall A B C : Universe, ((A = B /\ rrx1_ A C) -> rrx1_ B C)).
Variable rrx1_substitution_2_9 : (forall A B C : Universe, ((A = B /\ rrx1_ C A) -> rrx1_ C B)).
Variable rrx1a_substitution_1_10 : (forall A B C : Universe, ((A = B /\ rrx1a_ A C) -> rrx1a_ B C)).
Variable rrx1a_substitution_2_11 : (forall A B C : Universe, ((A = B /\ rrx1a_ C A) -> rrx1a_ C B)).
Variable rrx2_substitution_1_12 : (forall A B C : Universe, ((A = B /\ rrx2_ A C) -> rrx2_ B C)).
Variable rrx2_substitution_2_13 : (forall A B C : Universe, ((A = B /\ rrx2_ C A) -> rrx2_ C B)).
Variable rrx2a_substitution_1_14 : (forall A B C : Universe, ((A = B /\ rrx2a_ A C) -> rrx2a_ B C)).
Variable rrx2a_substitution_2_15 : (forall A B C : Universe, ((A = B /\ rrx2a_ C A) -> rrx2a_ C B)).
Variable rrx3_substitution_1_16 : (forall A B C : Universe, ((A = B /\ rrx3_ A C) -> rrx3_ B C)).
Variable rrx3_substitution_2_17 : (forall A B C : Universe, ((A = B /\ rrx3_ C A) -> rrx3_ C B)).
Variable rrx3a_substitution_1_18 : (forall A B C : Universe, ((A = B /\ rrx3a_ A C) -> rrx3a_ B C)).
Variable rrx3a_substitution_2_19 : (forall A B C : Universe, ((A = B /\ rrx3a_ C A) -> rrx3a_ C B)).
Variable rrx4_substitution_1_20 : (forall A B C : Universe, ((A = B /\ rrx4_ A C) -> rrx4_ B C)).
Variable rrx4_substitution_2_21 : (forall A B C : Universe, ((A = B /\ rrx4_ C A) -> rrx4_ C B)).
Variable rrx4a_substitution_1_22 : (forall A B C : Universe, ((A = B /\ rrx4a_ A C) -> rrx4a_ B C)).
Variable rrx4a_substitution_2_23 : (forall A B C : Universe, ((A = B /\ rrx4a_ C A) -> rrx4a_ C B)).
Variable rrxa_substitution_1_24 : (forall A B C : Universe, ((A = B /\ rrxa_ A C) -> rrxa_ B C)).
Variable rrxa_substitution_2_25 : (forall A B C : Universe, ((A = B /\ rrxa_ C A) -> rrxa_ C B)).
Variable xsd_integer_substitution_1_26 : (forall A B : Universe, ((A = B /\ xsd_integer_ A) -> xsd_integer_ B)).
Variable xsd_string_substitution_1_27 : (forall A B : Universe, ((A = B /\ xsd_string_ A) -> xsd_string_ B)).
Variable axiom_0_28 : (forall X : Universe, (cowlThing_ X /\ ~(cowlNothing_ X))).
Variable axiom_1_29 : (forall X : Universe, (xsd_string_ X <-> ~(xsd_integer_ X))).
Variable axiom_2_30 : (forall X : Universe, (cUnsatisfiable_ X <-> ((exists Y : Universe, (rrx4_ X Y /\ cc2_ Y)) /\ (~((exists Y : Universe, (rrx3_ X Y /\ (cc2_ Y /\ cc1_ Y)))) /\ (exists Y : Universe, (rrx3_ X Y /\ cc1_ Y)))))).
Variable axiom_3_31 : (forall X Y Z : Universe, ((rrx_ X Y /\ rrx_ X Z) -> Y = Z)).
Variable axiom_4_32 : (forall X Y Z : Universe, ((rrx3_ X Y /\ rrx3_ X Z) -> Y = Z)).
Variable axiom_5_33 : (forall X Y Z : Universe, ((rrx3a_ X Y /\ rrx3a_ X Z) -> Y = Z)).
Variable axiom_6_34 : (forall X Y Z : Universe, ((rrx4_ X Y /\ rrx4_ X Z) -> Y = Z)).
Variable axiom_7_35 : (forall X Y Z : Universe, ((rrx4a_ X Y /\ rrx4a_ X Z) -> Y = Z)).
Variable axiom_8_36 : cUnsatisfiable_ i2003_11_14_17_18_32242_.
Variable axiom_9_37 : (forall X Y : Universe, (rrx3_ X Y -> rrx_ X Y)).
Variable axiom_10_38 : (forall X Y : Universe, (rrx3a_ X Y -> rrxa_ X Y)).
Variable axiom_11_39 : (forall X Y : Universe, (rrx4a_ X Y -> rrxa_ X Y)).
Variable axiom_12_40 : (forall X Y : Universe, (rrx4_ X Y -> rrx2_ X Y)).
Variable axiom_13_41 : (forall X Y : Universe, (rrx3a_ X Y -> rrx1a_ X Y)).
Variable axiom_14_42 : (forall X Y : Universe, (rrx4a_ X Y -> rrx2a_ X Y)).
Variable axiom_15_43 : (forall X Y : Universe, (rrx3_ X Y -> rrx1_ X Y)).
Variable axiom_16_44 : (forall X Y : Universe, (rrx4_ X Y -> rrx_ X Y)).

Theorem conjecture_45 : False.
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
