(*
% File     : KRS090+1 : ILTP v1.1.2
% Domain   : Knowledge Representation (Semantic Web)
% Problem  : A pattern comes up a lot in more complex ontologies
% Version  : Especial.
% English  : This kind of pattern comes up a lot in more complex ontologies. 
%            Failure to cope with this kind of pattern is one of the reasons 
%            that many reasoners have been unable to cope with such ontologies.
% Refs     : [Bec03] Bechhofer (2003), Email to G. Sutcliffe
%          : [TR+04] Tsarkov et al. (2004), Using Vampire to Reason with OW
% Source   : [Bec03]
% Names    : inconsistent_description-logic-Manifest040 [Bec03]
% Status   : Unsatisfiable
% Rating   : 0.00 v3.1.0
% Status (intuit.) : Theorem (Problem negated)
% Rating (intuit.) : 0.50 v1.1.0
% Syntax   : Number of formulae    :    9 (   1 unit)
%            Number of atoms       :   90 (   0 equality)
%            Maximal formula depth :   35 (   8 average)
%            Number of connectives :   87 (   6 ~  ;  36  |;  37  &)
%                                         (   1 <=>;   7 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   77 (   0 propositional; 1-2 arity)
%            Number of functors    :    1 (   1 constant; 0-0 arity)
%            Number of variables   :   10 (   0 singleton;   9 !;   1 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : Sean Bechhofer says there are some errors in the encoding of
%            datatypes, so this problem may not be perfect. At least it's
%            still representative of the type of reasoning required for OWL.
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable xsd_string_ : Universe -> Prop.
Variable xsd_integer_ : Universe -> Prop.
Variable rR_ : Universe -> Universe -> Prop.
Variable cowlThing_ : Universe -> Prop.
Variable cowlNothing_ : Universe -> Prop.
Variable cTEST_ : Universe -> Prop.
Variable cC5_ : Universe -> Prop.
Variable cC4_ : Universe -> Prop.
Variable cC3_ : Universe -> Prop.
Variable cC2_ : Universe -> Prop.
Variable cC1_ : Universe -> Prop.
Variable cB9_ : Universe -> Prop.
Variable cB8_ : Universe -> Prop.
Variable cB7_ : Universe -> Prop.
Variable cB6_ : Universe -> Prop.
Variable cB5_ : Universe -> Prop.
Variable cB4_ : Universe -> Prop.
Variable cB31_ : Universe -> Prop.
Variable cB30_ : Universe -> Prop.
Variable cB3_ : Universe -> Prop.
Variable cB29_ : Universe -> Prop.
Variable cB28_ : Universe -> Prop.
Variable cB27_ : Universe -> Prop.
Variable cB26_ : Universe -> Prop.
Variable cB25_ : Universe -> Prop.
Variable cB24_ : Universe -> Prop.
Variable cB23_ : Universe -> Prop.
Variable cB22_ : Universe -> Prop.
Variable cB21_ : Universe -> Prop.
Variable cB20_ : Universe -> Prop.
Variable cB2_ : Universe -> Prop.
Variable cB19_ : Universe -> Prop.
Variable cB18_ : Universe -> Prop.
Variable cB17_ : Universe -> Prop.
Variable cB16_ : Universe -> Prop.
Variable cB15_ : Universe -> Prop.
Variable cB14_ : Universe -> Prop.
Variable cB13_ : Universe -> Prop.
Variable cB12_ : Universe -> Prop.
Variable cB11_ : Universe -> Prop.
Variable cB10_ : Universe -> Prop.
Variable cB1_ : Universe -> Prop.
Variable cB0_ : Universe -> Prop.
Variable cB_ : Universe -> Prop.
Variable cA9_ : Universe -> Prop.
Variable cA8_ : Universe -> Prop.
Variable cA7_ : Universe -> Prop.
Variable cA6_ : Universe -> Prop.
Variable cA5_ : Universe -> Prop.
Variable cA4_ : Universe -> Prop.
Variable cA31_ : Universe -> Prop.
Variable cA30_ : Universe -> Prop.
Variable cA3_ : Universe -> Prop.
Variable cA29_ : Universe -> Prop.
Variable cA28_ : Universe -> Prop.
Variable cA27_ : Universe -> Prop.
Variable cA26_ : Universe -> Prop.
Variable cA25_ : Universe -> Prop.
Variable cA24_ : Universe -> Prop.
Variable cA23_ : Universe -> Prop.
Variable cA22_ : Universe -> Prop.
Variable cA21_ : Universe -> Prop.
Variable cA20_ : Universe -> Prop.
Variable cA2_ : Universe -> Prop.
Variable cA19_ : Universe -> Prop.
Variable cA18_ : Universe -> Prop.
Variable cA17_ : Universe -> Prop.
Variable cA16_ : Universe -> Prop.
Variable cA15_ : Universe -> Prop.
Variable cA14_ : Universe -> Prop.
Variable cA13_ : Universe -> Prop.
Variable cA12_ : Universe -> Prop.
Variable cA11_ : Universe -> Prop.
Variable cA10_ : Universe -> Prop.
Variable cA1_ : Universe -> Prop.
Variable cA0_ : Universe -> Prop.
Variable cA_ : Universe -> Prop.

Variable i2003_11_14_17_19_57994_ : Universe.

Variable axiom_0_1 : (forall X : Universe, (cowlThing_ X /\ ~(cowlNothing_ X))).
Variable axiom_1_2 : (forall X : Universe, (xsd_string_ X <-> ~(xsd_integer_ X))).
Variable axiom_2_3 : (forall X : Universe, (cC1_ X -> ((cB5_ X \/ cA5_ X) /\ ((cB13_ X \/ cA13_ X) /\ ((cA1_ X \/ cB1_ X) /\ ((cA27_ X \/ cB27_ X) /\ ((cA4_ X \/ cB4_ X) /\ ((cB12_ X \/ cA12_ X) /\ ((cB30_ X \/ cA30_ X) /\ ((cA20_ X \/ cB20_ X) /\ ((cB14_ X \/ cA14_ X) /\ ((cB28_ X \/ cA28_ X) /\ ((cA3_ X \/ cB3_ X) /\ ((cB7_ X \/ cA7_ X) /\ ((cB21_ X \/ cA21_ X) /\ ((cB22_ X \/ cA22_ X) /\ ((cB17_ X \/ cA17_ X) /\ ((cB11_ X \/ cA11_ X) /\ ((cB19_ X \/ cA19_ X) /\ ((cA8_ X \/ cB8_ X) /\ ((cA26_ X \/ cB26_ X) /\ ((cA25_ X \/ cB25_ X) /\ ((cA29_ X \/ cB29_ X) /\ ((cB23_ X \/ cA23_ X) /\ ((cB18_ X \/ cA18_ X) /\ ((cB10_ X \/ cA10_ X) /\ ((cB2_ X \/ cA2_ X) /\ ((cA16_ X \/ cB16_ X) /\ ((cB0_ X \/ cA0_ X) /\ ((cB31_ X \/ cA31_ X) /\ ((cB9_ X \/ cA9_ X) /\ ((cB6_ X \/ cA6_ X) /\ ((cB24_ X \/ cA24_ X) /\ (cB15_ X \/ cA15_ X)))))))))))))))))))))))))))))))))).
Variable axiom_3_4 : (forall X : Universe, (cC2_ X -> ((~(cB_ X) \/ cA_ X) /\ (cB_ X \/ cA_ X)))).
Variable axiom_4_5 : (forall X : Universe, (cC3_ X -> ((~(cB_ X) \/ ~(cA_ X)) /\ (cB_ X \/ ~(cA_ X))))).
Variable axiom_5_6 : (forall X : Universe, (cC4_ X -> (exists Y : Universe, (rR_ X Y /\ cC2_ Y)))).
Variable axiom_6_7 : (forall X : Universe, (cC5_ X -> (forall Y : Universe, (rR_ X Y -> cC3_ Y)))).
Variable axiom_7_8 : (forall X : Universe, (cTEST_ X -> (cC4_ X /\ (cC1_ X /\ cC5_ X)))).
Variable axiom_8_9 : cTEST_ i2003_11_14_17_19_57994_.

Theorem conjecture_10 : False.
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
