(*
% File     : KRS097+1 : ILTP v1.1.2
% Domain   : Knowledge Representation (Semantic Web)
% Problem  : DL Test: heinsohn3.1
% Version  : Especial.
% English  : Tbox tests from [HK+94]
% Refs     : [HK+94] Heinsohn et al. (1994), An Empirical Analysis of Termi
%          : [Bec03] Bechhofer (2003), Email to G. Sutcliffe
%          : [TR+04] Tsarkov et al. (2004), Using Vampire to Reason with OW
% Source   : [Bec03]
% Names    : inconsistent_description-logic-Manifest107 [Bec03]
% Status   : Unsatisfiable
% Rating   : 0.00 v3.1.0
% Status (intuit.) : Theorem (Problem negated)
% Rating (intuit.) : 0.75 v1.1.0
% Syntax   : Number of formulae    :   39 (   1 unit)
%            Number of atoms       :  110 (  26 equality)
%            Maximal formula depth :   12 (   5 average)
%            Number of connectives :   78 (   7 ~  ;   1  |;  36  &)
%                                         (   3 <=>;  31 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   18 (   0 propositional; 1-2 arity)
%            Number of functors    :    1 (   1 constant; 0-0 arity)
%            Number of variables   :   90 (   0 singleton;  85 !;   5 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : Sean Bechhofer says there are some errors in the encoding of
%            datatypes, so this problem may not be perfect. At least it's
%            still representative of the type of reasoning required for OWL.
%          : Tests incoherency caused by number restrictions and role hierarchy
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable EqTransitivity : forall x y z : Universe, x = y -> y = z -> x = z.
Variable EqSymmetry : forall x y : Universe, x = y -> y = x.
Variable EqReflexivity : forall x : Universe, x = x.
Variable xsd_string_ : Universe -> Prop.
Variable EqCongruence_xsd_string : forall x1 y1 : Universe, x1 = y1 -> xsd_string_ x1 -> xsd_string_ y1 .
Variable xsd_integer_ : Universe -> Prop.
Variable EqCongruence_xsd_integer : forall x1 y1 : Universe, x1 = y1 -> xsd_integer_ x1 -> xsd_integer_ y1 .
Variable rtt_ : Universe -> Universe -> Prop.
Variable EqCongruence_rtt : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> rtt_ x1 x2 -> rtt_ y1 y2 .
Variable rt3_ : Universe -> Universe -> Prop.
Variable EqCongruence_rt3 : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> rt3_ x1 x2 -> rt3_ y1 y2 .
Variable rt2_ : Universe -> Universe -> Prop.
Variable EqCongruence_rt2 : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> rt2_ x1 x2 -> rt2_ y1 y2 .
Variable rt1_ : Universe -> Universe -> Prop.
Variable EqCongruence_rt1 : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> rt1_ x1 x2 -> rt1_ y1 y2 .
Variable rr3_ : Universe -> Universe -> Prop.
Variable EqCongruence_rr3 : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> rr3_ x1 x2 -> rr3_ y1 y2 .
Variable rr2_ : Universe -> Universe -> Prop.
Variable EqCongruence_rr2 : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> rr2_ x1 x2 -> rr2_ y1 y2 .
Variable rr1_ : Universe -> Universe -> Prop.
Variable EqCongruence_rr1 : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> rr1_ x1 x2 -> rr1_ y1 y2 .
Variable rr_ : Universe -> Universe -> Prop.
Variable EqCongruence_rr : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> rr_ x1 x2 -> rr_ y1 y2 .
Variable cowlThing_ : Universe -> Prop.
Variable EqCongruence_cowlThing : forall x1 y1 : Universe, x1 = y1 -> cowlThing_ x1 -> cowlThing_ y1 .
Variable cowlNothing_ : Universe -> Prop.
Variable EqCongruence_cowlNothing : forall x1 y1 : Universe, x1 = y1 -> cowlNothing_ x1 -> cowlNothing_ y1 .
Variable ce_ : Universe -> Prop.
Variable EqCongruence_ce : forall x1 y1 : Universe, x1 = y1 -> ce_ x1 -> ce_ y1 .
Variable cd_ : Universe -> Prop.
Variable EqCongruence_cd : forall x1 y1 : Universe, x1 = y1 -> cd_ x1 -> cd_ y1 .
Variable cc_ : Universe -> Prop.
Variable EqCongruence_cc : forall x1 y1 : Universe, x1 = y1 -> cc_ x1 -> cc_ y1 .
Variable ca_ : Universe -> Prop.
Variable EqCongruence_ca : forall x1 y1 : Universe, x1 = y1 -> ca_ x1 -> ca_ y1 .
Variable cUnsatisfiable_ : Universe -> Prop.
Variable EqCongruence_cUnsatisfiable : forall x1 y1 : Universe, x1 = y1 -> cUnsatisfiable_ x1 -> cUnsatisfiable_ y1 .

Variable i2003_11_14_17_20_21603_ : Universe.

Variable cUnsatisfiable_substitution_1_1 : (forall A B : Universe, ((A = B /\ cUnsatisfiable_ A) -> cUnsatisfiable_ B)).
Variable ca_substitution_1_2 : (forall A B : Universe, ((A = B /\ ca_ A) -> ca_ B)).
Variable cc_substitution_1_3 : (forall A B : Universe, ((A = B /\ cc_ A) -> cc_ B)).
Variable cd_substitution_1_4 : (forall A B : Universe, ((A = B /\ cd_ A) -> cd_ B)).
Variable ce_substitution_1_5 : (forall A B : Universe, ((A = B /\ ce_ A) -> ce_ B)).
Variable cowlNothing_substitution_1_6 : (forall A B : Universe, ((A = B /\ cowlNothing_ A) -> cowlNothing_ B)).
Variable cowlThing_substitution_1_7 : (forall A B : Universe, ((A = B /\ cowlThing_ A) -> cowlThing_ B)).
Variable rr_substitution_1_8 : (forall A B C : Universe, ((A = B /\ rr_ A C) -> rr_ B C)).
Variable rr_substitution_2_9 : (forall A B C : Universe, ((A = B /\ rr_ C A) -> rr_ C B)).
Variable rr1_substitution_1_10 : (forall A B C : Universe, ((A = B /\ rr1_ A C) -> rr1_ B C)).
Variable rr1_substitution_2_11 : (forall A B C : Universe, ((A = B /\ rr1_ C A) -> rr1_ C B)).
Variable rr2_substitution_1_12 : (forall A B C : Universe, ((A = B /\ rr2_ A C) -> rr2_ B C)).
Variable rr2_substitution_2_13 : (forall A B C : Universe, ((A = B /\ rr2_ C A) -> rr2_ C B)).
Variable rr3_substitution_1_14 : (forall A B C : Universe, ((A = B /\ rr3_ A C) -> rr3_ B C)).
Variable rr3_substitution_2_15 : (forall A B C : Universe, ((A = B /\ rr3_ C A) -> rr3_ C B)).
Variable rt1_substitution_1_16 : (forall A B C : Universe, ((A = B /\ rt1_ A C) -> rt1_ B C)).
Variable rt1_substitution_2_17 : (forall A B C : Universe, ((A = B /\ rt1_ C A) -> rt1_ C B)).
Variable rt2_substitution_1_18 : (forall A B C : Universe, ((A = B /\ rt2_ A C) -> rt2_ B C)).
Variable rt2_substitution_2_19 : (forall A B C : Universe, ((A = B /\ rt2_ C A) -> rt2_ C B)).
Variable rt3_substitution_1_20 : (forall A B C : Universe, ((A = B /\ rt3_ A C) -> rt3_ B C)).
Variable rt3_substitution_2_21 : (forall A B C : Universe, ((A = B /\ rt3_ C A) -> rt3_ C B)).
Variable rtt_substitution_1_22 : (forall A B C : Universe, ((A = B /\ rtt_ A C) -> rtt_ B C)).
Variable rtt_substitution_2_23 : (forall A B C : Universe, ((A = B /\ rtt_ C A) -> rtt_ C B)).
Variable xsd_integer_substitution_1_24 : (forall A B : Universe, ((A = B /\ xsd_integer_ A) -> xsd_integer_ B)).
Variable xsd_string_substitution_1_25 : (forall A B : Universe, ((A = B /\ xsd_string_ A) -> xsd_string_ B)).
Variable axiom_0_26 : (forall X : Universe, (cowlThing_ X /\ ~(cowlNothing_ X))).
Variable axiom_1_27 : (forall X : Universe, (xsd_string_ X <-> ~(xsd_integer_ X))).
Variable axiom_2_28 : (forall X : Universe, (cUnsatisfiable_ X <-> ((exists Y0 : Universe, rr_ X Y0) /\ ((exists Y : Universe, (rr_ X Y /\ cd_ Y)) /\ (~((exists Y0 Y1 : Universe, (rr_ X Y0 /\ (rr_ X Y1 /\ Y0 <> Y1)))) /\ (exists Y : Universe, (rr_ X Y /\ cc_ Y))))))).
Variable axiom_3_29 : (forall X : Universe, (ca_ X <-> (cd_ X \/ cc_ X))).
Variable axiom_4_30 : cUnsatisfiable_ i2003_11_14_17_20_21603_.
Variable axiom_5_31 : (forall X : Universe, ~((cd_ X /\ ce_ X))).
Variable axiom_6_32 : (forall X : Universe, ~((cd_ X /\ cc_ X))).
Variable axiom_7_33 : (forall X : Universe, ~((ce_ X /\ cc_ X))).
Variable axiom_8_34 : (forall X Y : Universe, (rt3_ X Y -> rtt_ X Y)).
Variable axiom_9_35 : (forall X Y : Universe, (rr1_ X Y -> rr_ X Y)).
Variable axiom_10_36 : (forall X Y : Universe, (rr3_ X Y -> rr_ X Y)).
Variable axiom_11_37 : (forall X Y : Universe, (rt1_ X Y -> rtt_ X Y)).
Variable axiom_12_38 : (forall X Y : Universe, (rr2_ X Y -> rr_ X Y)).
Variable axiom_13_39 : (forall X Y : Universe, (rt2_ X Y -> rtt_ X Y)).

Theorem conjecture_40 : False.
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
