(*
% File     : KRS161+1 : ILTP v1.1.2
% Domain   : Knowledge Representation (Semantic Web)
% Problem  : DL Test: k_poly ABox test from DL98 systems comparison
% Version  : Especial.
% English  : 
% Refs     : [Bec03] Bechhofer (2003), Email to G. Sutcliffe
%          : [TR+04] Tsarkov et al. (2004), Using Vampire to Reason with OW
% Source   : [Bec03]
% Names    : positive_description-logic-Manifest668 [Bec03]
% Status   : Theorem
% Rating   : 0.22 v3.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :  287 (  99 unit)
%            Number of atoms       :  580 (   0 equality)
%            Maximal formula depth :   47 (   3 average)
%            Number of connectives :  340 (  47 ~  ;   0  |; 106  &)
%                                         ( 146 <=>;  41 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :  158 (   0 propositional; 1-2 arity)
%            Number of functors    :   16 (  16 constant; 0-0 arity)
%            Number of variables   :  303 (   0 singleton; 189 !; 114 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : Sean Bechhofer says there are some errors in the encoding of
%            datatypes, so this problem may not be perfect. At least it's
%            still representative of the type of reasoning required for OWL.
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable xsd_string_ : Universe -> Prop.
Variable xsd_integer_ : Universe -> Prop.
Variable ra_Px9_ : Universe -> Universe -> Prop.
Variable ra_Px8_ : Universe -> Universe -> Prop.
Variable ra_Px74_ : Universe -> Universe -> Prop.
Variable ra_Px73_ : Universe -> Universe -> Prop.
Variable ra_Px72_ : Universe -> Universe -> Prop.
Variable ra_Px7_ : Universe -> Universe -> Prop.
Variable ra_Px6_ : Universe -> Universe -> Prop.
Variable ra_Px58_ : Universe -> Universe -> Prop.
Variable ra_Px57_ : Universe -> Universe -> Prop.
Variable ra_Px51_ : Universe -> Universe -> Prop.
Variable ra_Px50_ : Universe -> Universe -> Prop.
Variable ra_Px5_ : Universe -> Universe -> Prop.
Variable ra_Px49_ : Universe -> Universe -> Prop.
Variable ra_Px48_ : Universe -> Universe -> Prop.
Variable ra_Px43_ : Universe -> Universe -> Prop.
Variable ra_Px42_ : Universe -> Universe -> Prop.
Variable ra_Px41_ : Universe -> Universe -> Prop.
Variable ra_Px4_ : Universe -> Universe -> Prop.
Variable ra_Px37_ : Universe -> Universe -> Prop.
Variable ra_Px36_ : Universe -> Universe -> Prop.
Variable ra_Px35_ : Universe -> Universe -> Prop.
Variable ra_Px34_ : Universe -> Universe -> Prop.
Variable ra_Px33_ : Universe -> Universe -> Prop.
Variable ra_Px32_ : Universe -> Universe -> Prop.
Variable ra_Px31_ : Universe -> Universe -> Prop.
Variable ra_Px3_ : Universe -> Universe -> Prop.
Variable ra_Px28_ : Universe -> Universe -> Prop.
Variable ra_Px27_ : Universe -> Universe -> Prop.
Variable ra_Px26_ : Universe -> Universe -> Prop.
Variable ra_Px25_ : Universe -> Universe -> Prop.
Variable ra_Px24_ : Universe -> Universe -> Prop.
Variable ra_Px23_ : Universe -> Universe -> Prop.
Variable ra_Px22_ : Universe -> Universe -> Prop.
Variable ra_Px2_ : Universe -> Universe -> Prop.
Variable ra_Px19_ : Universe -> Universe -> Prop.
Variable ra_Px18_ : Universe -> Universe -> Prop.
Variable ra_Px17_ : Universe -> Universe -> Prop.
Variable ra_Px16_ : Universe -> Universe -> Prop.
Variable ra_Px15_ : Universe -> Universe -> Prop.
Variable ra_Px14_ : Universe -> Universe -> Prop.
Variable ra_Px13_ : Universe -> Universe -> Prop.
Variable ra_Px10_ : Universe -> Universe -> Prop.
Variable ra_Px1_ : Universe -> Universe -> Prop.
Variable rR1_ : Universe -> Universe -> Prop.
Variable cowlThing_ : Universe -> Prop.
Variable cowlNothing_ : Universe -> Prop.
Variable cTOP_ : Universe -> Prop.
Variable cTEST_ : Universe -> Prop.
Variable cC98xcomp_ : Universe -> Prop.
Variable cC98_ : Universe -> Prop.
Variable cC96xcomp_ : Universe -> Prop.
Variable cC96_ : Universe -> Prop.
Variable cC94xcomp_ : Universe -> Prop.
Variable cC94_ : Universe -> Prop.
Variable cC92xcomp_ : Universe -> Prop.
Variable cC92_ : Universe -> Prop.
Variable cC90xcomp_ : Universe -> Prop.
Variable cC90_ : Universe -> Prop.
Variable cC8xcomp_ : Universe -> Prop.
Variable cC88xcomp_ : Universe -> Prop.
Variable cC88_ : Universe -> Prop.
Variable cC86xcomp_ : Universe -> Prop.
Variable cC86_ : Universe -> Prop.
Variable cC84xcomp_ : Universe -> Prop.
Variable cC84_ : Universe -> Prop.
Variable cC82_ : Universe -> Prop.
Variable cC80_ : Universe -> Prop.
Variable cC8_ : Universe -> Prop.
Variable cC78xcomp_ : Universe -> Prop.
Variable cC78_ : Universe -> Prop.
Variable cC76xcomp_ : Universe -> Prop.
Variable cC76_ : Universe -> Prop.
Variable cC74xcomp_ : Universe -> Prop.
Variable cC74_ : Universe -> Prop.
Variable cC72xcomp_ : Universe -> Prop.
Variable cC72_ : Universe -> Prop.
Variable cC70xcomp_ : Universe -> Prop.
Variable cC70_ : Universe -> Prop.
Variable cC6xcomp_ : Universe -> Prop.
Variable cC68xcomp_ : Universe -> Prop.
Variable cC68_ : Universe -> Prop.
Variable cC66xcomp_ : Universe -> Prop.
Variable cC66_ : Universe -> Prop.
Variable cC64xcomp_ : Universe -> Prop.
Variable cC64_ : Universe -> Prop.
Variable cC62_ : Universe -> Prop.
Variable cC60_ : Universe -> Prop.
Variable cC6_ : Universe -> Prop.
Variable cC58xcomp_ : Universe -> Prop.
Variable cC58_ : Universe -> Prop.
Variable cC56xcomp_ : Universe -> Prop.
Variable cC56_ : Universe -> Prop.
Variable cC54xcomp_ : Universe -> Prop.
Variable cC54_ : Universe -> Prop.
Variable cC52xcomp_ : Universe -> Prop.
Variable cC52_ : Universe -> Prop.
Variable cC50xcomp_ : Universe -> Prop.
Variable cC50_ : Universe -> Prop.
Variable cC4xcomp_ : Universe -> Prop.
Variable cC48xcomp_ : Universe -> Prop.
Variable cC48_ : Universe -> Prop.
Variable cC46xcomp_ : Universe -> Prop.
Variable cC46_ : Universe -> Prop.
Variable cC44_ : Universe -> Prop.
Variable cC42_ : Universe -> Prop.
Variable cC40xcomp_ : Universe -> Prop.
Variable cC40_ : Universe -> Prop.
Variable cC4_ : Universe -> Prop.
Variable cC38xcomp_ : Universe -> Prop.
Variable cC38_ : Universe -> Prop.
Variable cC36xcomp_ : Universe -> Prop.
Variable cC36_ : Universe -> Prop.
Variable cC34xcomp_ : Universe -> Prop.
Variable cC34_ : Universe -> Prop.
Variable cC32xcomp_ : Universe -> Prop.
Variable cC32_ : Universe -> Prop.
Variable cC30xcomp_ : Universe -> Prop.
Variable cC30_ : Universe -> Prop.
Variable cC2xcomp_ : Universe -> Prop.
Variable cC28_ : Universe -> Prop.
Variable cC26_ : Universe -> Prop.
Variable cC24_ : Universe -> Prop.
Variable cC22_ : Universe -> Prop.
Variable cC20_ : Universe -> Prop.
Variable cC2_ : Universe -> Prop.
Variable cC18xcomp_ : Universe -> Prop.
Variable cC18_ : Universe -> Prop.
Variable cC16xcomp_ : Universe -> Prop.
Variable cC16_ : Universe -> Prop.
Variable cC14xcomp_ : Universe -> Prop.
Variable cC14_ : Universe -> Prop.
Variable cC130_ : Universe -> Prop.
Variable cC12xcomp_ : Universe -> Prop.
Variable cC128_ : Universe -> Prop.
Variable cC126_ : Universe -> Prop.
Variable cC124_ : Universe -> Prop.
Variable cC122_ : Universe -> Prop.
Variable cC120xcomp_ : Universe -> Prop.
Variable cC120_ : Universe -> Prop.
Variable cC12_ : Universe -> Prop.
Variable cC118xcomp_ : Universe -> Prop.
Variable cC118_ : Universe -> Prop.
Variable cC116_ : Universe -> Prop.
Variable cC114xcomp_ : Universe -> Prop.
Variable cC114_ : Universe -> Prop.
Variable cC112_ : Universe -> Prop.
Variable cC110_ : Universe -> Prop.
Variable cC10xcomp_ : Universe -> Prop.
Variable cC108_ : Universe -> Prop.
Variable cC106_ : Universe -> Prop.
Variable cC104_ : Universe -> Prop.
Variable cC102xcomp_ : Universe -> Prop.
Variable cC102_ : Universe -> Prop.
Variable cC100xcomp_ : Universe -> Prop.
Variable cC100_ : Universe -> Prop.
Variable cC10_ : Universe -> Prop.

Variable iV16465_ : Universe.
Variable iV16464_ : Universe.
Variable iV16463_ : Universe.
Variable iV16462_ : Universe.
Variable iV16461_ : Universe.
Variable iV16460_ : Universe.
Variable iV16459_ : Universe.
Variable iV16457_ : Universe.
Variable iV16455_ : Universe.
Variable iV16453_ : Universe.
Variable iV16449_ : Universe.
Variable iV16448_ : Universe.
Variable iV16442_ : Universe.
Variable iV16441_ : Universe.
Variable iV16440_ : Universe.
Variable iV16439_ : Universe.

Variable axiom_0_1 : (forall X : Universe, (cowlThing_ X /\ ~(cowlNothing_ X))).
Variable axiom_1_2 : (forall X : Universe, (xsd_string_ X <-> ~(xsd_integer_ X))).
Variable axiom_2_3 : (forall X : Universe, (cC10_ X <-> (cC8_ X /\ cC6_ X))).
Variable axiom_3_4 : (forall X : Universe, (cC10_ X <-> ~((exists Y : Universe, ra_Px73_ X Y)))).
Variable axiom_4_5 : (forall X : Universe, (cC10xcomp_ X <-> (exists Y0 : Universe, ra_Px73_ X Y0))).
Variable axiom_5_6 : (forall X : Universe, (cC100_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC98xcomp_ Y)))).
Variable axiom_6_7 : (forall X : Universe, (cC100_ X <-> ~((exists Y : Universe, ra_Px37_ X Y)))).
Variable axiom_7_8 : (forall X : Universe, (cC100xcomp_ X <-> (exists Y0 : Universe, ra_Px37_ X Y0))).
Variable axiom_8_9 : (forall X : Universe, (cC102_ X <-> (exists Y0 : Universe, ra_Px36_ X Y0))).
Variable axiom_9_10 : (forall X : Universe, (cC102xcomp_ X <-> ~((exists Y : Universe, ra_Px36_ X Y)))).
Variable axiom_10_11 : (forall X : Universe, (cC104_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC102xcomp_ Y)))).
Variable axiom_11_12 : (forall X : Universe, (cC106_ X <-> (cC104_ X /\ cC100xcomp_ X))).
Variable axiom_12_13 : (forall X : Universe, (cC108_ X <-> (cC28_ X /\ cC106_ X))).
Variable axiom_13_14 : (forall X : Universe, (cC110_ X <-> (cC4xcomp_ X /\ cC12xcomp_ X))).
Variable axiom_14_15 : (forall X : Universe, (cC112_ X <-> (cC110_ X /\ cC102xcomp_ X))).
Variable axiom_15_16 : (forall X : Universe, (cC114_ X <-> (exists Y0 : Universe, ra_Px41_ X Y0))).
Variable axiom_16_17 : (forall X : Universe, (cC114xcomp_ X <-> ~((exists Y : Universe, ra_Px41_ X Y)))).
Variable axiom_17_18 : (forall X : Universe, (cC116_ X <-> (cC112_ X /\ cC114xcomp_ X))).
Variable axiom_18_19 : (forall X : Universe, (cC118_ X <-> (exists Y0 : Universe, ra_Px42_ X Y0))).
Variable axiom_19_20 : (forall X : Universe, (cC118xcomp_ X <-> ~((exists Y : Universe, ra_Px42_ X Y)))).
Variable axiom_20_21 : (forall X : Universe, (cC12_ X <-> (exists Y0 : Universe, ra_Px18_ X Y0))).
Variable axiom_21_22 : (forall X : Universe, (cC12xcomp_ X <-> ~((exists Y : Universe, ra_Px18_ X Y)))).
Variable axiom_22_23 : (forall X : Universe, (cC120_ X <-> (cC116_ X /\ cC118xcomp_ X))).
Variable axiom_23_24 : (forall X : Universe, (cC120_ X <-> ~((exists Y : Universe, ra_Px43_ X Y)))).
Variable axiom_24_25 : (forall X : Universe, (cC120xcomp_ X <-> (exists Y0 : Universe, ra_Px43_ X Y0))).
Variable axiom_25_26 : (forall X : Universe, (cC122_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC120xcomp_ Y)))).
Variable axiom_26_27 : (forall X : Universe, (cC124_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC122_ Y)))).
Variable axiom_27_28 : (forall X : Universe, (cC126_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC124_ Y)))).
Variable axiom_28_29 : (forall X : Universe, (cC128_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC126_ Y)))).
Variable axiom_29_30 : (forall X : Universe, (cC130_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC128_ Y)))).
Variable axiom_30_31 : (forall X : Universe, (cC14_ X <-> (exists Y0 : Universe, ra_Px74_ X Y0))).
Variable axiom_31_32 : (forall X : Universe, (cC14_ X <-> (cC10_ X /\ cC12_ X))).
Variable axiom_32_33 : (forall X : Universe, (cC14xcomp_ X <-> ~((exists Y : Universe, ra_Px74_ X Y)))).
Variable axiom_33_34 : (forall X : Universe, (cC16_ X <-> (exists Y0 : Universe, ra_Px27_ X Y0))).
Variable axiom_34_35 : (forall X : Universe, (cC16xcomp_ X <-> ~((exists Y : Universe, ra_Px27_ X Y)))).
Variable axiom_35_36 : (forall X : Universe, (cC18_ X <-> ~((exists Y : Universe, ra_Px1_ X Y)))).
Variable axiom_36_37 : (forall X : Universe, (cC18_ X <-> (cC14_ X /\ cC16_ X))).
Variable axiom_37_38 : (forall X : Universe, (cC18xcomp_ X <-> (exists Y0 : Universe, ra_Px1_ X Y0))).
Variable axiom_38_39 : (forall X : Universe, (cC2_ X <-> (exists Y0 : Universe, ra_Px2_ X Y0))).
Variable axiom_39_40 : (forall X : Universe, (cC2xcomp_ X <-> ~((exists Y : Universe, ra_Px2_ X Y)))).
Variable axiom_40_41 : (forall X : Universe, (cC20_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC18xcomp_ Y)))).
Variable axiom_41_42 : (forall X : Universe, (cC22_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC20_ Y)))).
Variable axiom_42_43 : (forall X : Universe, (cC24_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC22_ Y)))).
Variable axiom_43_44 : (forall X : Universe, (cC26_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC24_ Y)))).
Variable axiom_44_45 : (forall X : Universe, (cC28_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC26_ Y)))).
Variable axiom_45_46 : (forall X : Universe, (cC30_ X <-> ~((exists Y : Universe, ra_Px4_ X Y)))).
Variable axiom_46_47 : (forall X : Universe, (cC30_ X <-> (cC2_ X /\ cC4_ X))).
Variable axiom_47_48 : (forall X : Universe, (cC30xcomp_ X <-> (exists Y0 : Universe, ra_Px4_ X Y0))).
Variable axiom_48_49 : (forall X : Universe, (cC32_ X <-> (exists Y0 : Universe, ra_Px5_ X Y0))).
Variable axiom_49_50 : (forall X : Universe, (cC32_ X <-> (cC4xcomp_ X /\ cC2xcomp_ X))).
Variable axiom_50_51 : (forall X : Universe, (cC32xcomp_ X <-> ~((exists Y : Universe, ra_Px5_ X Y)))).
Variable axiom_51_52 : (forall X : Universe, (cC34_ X <-> (exists Y0 : Universe, ra_Px6_ X Y0))).
Variable axiom_52_53 : (forall X : Universe, (cC34_ X <-> (cC30xcomp_ X /\ cC32xcomp_ X))).
Variable axiom_53_54 : (forall X : Universe, (cC34xcomp_ X <-> ~((exists Y : Universe, ra_Px6_ X Y)))).
Variable axiom_54_55 : (forall X : Universe, (cC36_ X <-> ~((exists Y : Universe, ra_Px7_ X Y)))).
Variable axiom_55_56 : (forall X : Universe, (cC36_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC34xcomp_ Y)))).
Variable axiom_56_57 : (forall X : Universe, (cC36xcomp_ X <-> (exists Y0 : Universe, ra_Px7_ X Y0))).
Variable axiom_57_58 : (forall X : Universe, (cC38_ X <-> (cTOP_ X /\ cC36xcomp_ X))).
Variable axiom_58_59 : (forall X : Universe, (cC38_ X <-> (exists Y0 : Universe, ra_Px8_ X Y0))).
Variable axiom_59_60 : (forall X : Universe, (cC38xcomp_ X <-> ~((exists Y : Universe, ra_Px8_ X Y)))).
Variable axiom_60_61 : (forall X : Universe, (cC4_ X <-> (exists Y0 : Universe, ra_Px3_ X Y0))).
Variable axiom_61_62 : (forall X : Universe, (cC4xcomp_ X <-> ~((exists Y : Universe, ra_Px3_ X Y)))).
Variable axiom_62_63 : (forall X : Universe, (cC40_ X <-> ~((exists Y : Universe, ra_Px10_ X Y)))).
Variable axiom_63_64 : (forall X : Universe, (cC40_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC38xcomp_ Y)))).
Variable axiom_64_65 : (forall X : Universe, (cC40xcomp_ X <-> (exists Y0 : Universe, ra_Px10_ X Y0))).
Variable axiom_65_66 : (forall X : Universe, (cC42_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC8xcomp_ Y)))).
Variable axiom_66_67 : (forall X : Universe, (cC44_ X <-> (cC40xcomp_ X /\ cC42_ X))).
Variable axiom_67_68 : (forall X : Universe, (cC46_ X <-> ~((exists Y : Universe, ra_Px13_ X Y)))).
Variable axiom_68_69 : (forall X : Universe, (cC46_ X <-> (cC8_ X /\ cC4_ X))).
Variable axiom_69_70 : (forall X : Universe, (cC46xcomp_ X <-> (exists Y0 : Universe, ra_Px13_ X Y0))).
Variable axiom_70_71 : (forall X : Universe, (cC48_ X <-> (cC4xcomp_ X /\ cC8xcomp_ X))).
Variable axiom_71_72 : (forall X : Universe, (cC48_ X <-> (exists Y0 : Universe, ra_Px14_ X Y0))).
Variable axiom_72_73 : (forall X : Universe, (cC48xcomp_ X <-> ~((exists Y : Universe, ra_Px14_ X Y)))).
Variable axiom_73_74 : (forall X : Universe, (cC50_ X <-> (cC46xcomp_ X /\ cC48xcomp_ X))).
Variable axiom_74_75 : (forall X : Universe, (cC50_ X <-> (exists Y0 : Universe, ra_Px15_ X Y0))).
Variable axiom_75_76 : (forall X : Universe, (cC50xcomp_ X <-> ~((exists Y : Universe, ra_Px15_ X Y)))).
Variable axiom_76_77 : (forall X : Universe, (cC52_ X <-> ~((exists Y : Universe, ra_Px49_ X Y)))).
Variable axiom_77_78 : (forall X : Universe, (cC52_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC50xcomp_ Y)))).
Variable axiom_78_79 : (forall X : Universe, (cC52xcomp_ X <-> (exists Y0 : Universe, ra_Px49_ X Y0))).
Variable axiom_79_80 : (forall X : Universe, (cC54_ X <-> ~((exists Y : Universe, ra_Px16_ X Y)))).
Variable axiom_80_81 : (forall X : Universe, (cC54_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC52_ Y)))).
Variable axiom_81_82 : (forall X : Universe, (cC54xcomp_ X <-> (exists Y0 : Universe, ra_Px16_ X Y0))).
Variable axiom_82_83 : (forall X : Universe, (cC56_ X <-> (cC54xcomp_ X /\ cC44_ X))).
Variable axiom_83_84 : (forall X : Universe, (cC56_ X <-> (exists Y0 : Universe, ra_Px17_ X Y0))).
Variable axiom_84_85 : (forall X : Universe, (cC56xcomp_ X <-> ~((exists Y : Universe, ra_Px17_ X Y)))).
Variable axiom_85_86 : (forall X : Universe, (cC58_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC56xcomp_ Y)))).
Variable axiom_86_87 : (forall X : Universe, (cC58_ X <-> ~((exists Y : Universe, ra_Px19_ X Y)))).
Variable axiom_87_88 : (forall X : Universe, (cC58xcomp_ X <-> (exists Y0 : Universe, ra_Px19_ X Y0))).
Variable axiom_88_89 : (forall X : Universe, (cC6_ X <-> (cC2_ X /\ cC4_ X))).
Variable axiom_89_90 : (forall X : Universe, (cC6_ X <-> (exists Y0 : Universe, ra_Px72_ X Y0))).
Variable axiom_90_91 : (forall X : Universe, (cC6xcomp_ X <-> ~((exists Y : Universe, ra_Px72_ X Y)))).
Variable axiom_91_92 : (forall X : Universe, (cC60_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC12xcomp_ Y)))).
Variable axiom_92_93 : (forall X : Universe, (cC62_ X <-> (cC60_ X /\ cC58xcomp_ X))).
Variable axiom_93_94 : (forall X : Universe, (cC64_ X <-> (cC8_ X /\ cC12_ X))).
Variable axiom_94_95 : (forall X : Universe, (cC64_ X <-> ~((exists Y : Universe, ra_Px22_ X Y)))).
Variable axiom_95_96 : (forall X : Universe, (cC64xcomp_ X <-> (exists Y0 : Universe, ra_Px22_ X Y0))).
Variable axiom_96_97 : (forall X : Universe, (cC66_ X <-> (cC12xcomp_ X /\ cC8xcomp_ X))).
Variable axiom_97_98 : (forall X : Universe, (cC66_ X <-> (exists Y0 : Universe, ra_Px23_ X Y0))).
Variable axiom_98_99 : (forall X : Universe, (cC66xcomp_ X <-> ~((exists Y : Universe, ra_Px23_ X Y)))).
Variable axiom_99_100 : (forall X : Universe, (cC68_ X <-> (exists Y0 : Universe, ra_Px24_ X Y0))).
Variable axiom_100_101 : (forall X : Universe, (cC68_ X <-> (cC64xcomp_ X /\ cC66xcomp_ X))).
Variable axiom_101_102 : (forall X : Universe, (cC68xcomp_ X <-> ~((exists Y : Universe, ra_Px24_ X Y)))).
Variable axiom_102_103 : (forall X : Universe, (cC70_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC68xcomp_ Y)))).
Variable axiom_103_104 : (forall X : Universe, (cC70_ X <-> (exists Y0 : Universe, ra_Px51_ X Y0))).
Variable axiom_104_105 : (forall X : Universe, (cC70xcomp_ X <-> ~((exists Y : Universe, ra_Px51_ X Y)))).
Variable axiom_105_106 : (forall X : Universe, (cC72_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC70_ Y)))).
Variable axiom_106_107 : (forall X : Universe, (cC72_ X <-> ~((exists Y : Universe, ra_Px58_ X Y)))).
Variable axiom_107_108 : (forall X : Universe, (cC72xcomp_ X <-> (exists Y0 : Universe, ra_Px58_ X Y0))).
Variable axiom_108_109 : (forall X : Universe, (cC74_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC72_ Y)))).
Variable axiom_109_110 : (forall X : Universe, (cC74_ X <-> ~((exists Y : Universe, ra_Px25_ X Y)))).
Variable axiom_110_111 : (forall X : Universe, (cC74xcomp_ X <-> (exists Y0 : Universe, ra_Px25_ X Y0))).
Variable axiom_111_112 : (forall X : Universe, (cC76_ X <-> (exists Y0 : Universe, ra_Px26_ X Y0))).
Variable axiom_112_113 : (forall X : Universe, (cC76_ X <-> (cC74xcomp_ X /\ cC62_ X))).
Variable axiom_113_114 : (forall X : Universe, (cC76xcomp_ X <-> ~((exists Y : Universe, ra_Px26_ X Y)))).
Variable axiom_114_115 : (forall X : Universe, (cC78_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC76xcomp_ Y)))).
Variable axiom_115_116 : (forall X : Universe, (cC78_ X <-> ~((exists Y : Universe, ra_Px28_ X Y)))).
Variable axiom_116_117 : (forall X : Universe, (cC78xcomp_ X <-> (exists Y0 : Universe, ra_Px28_ X Y0))).
Variable axiom_117_118 : (forall X : Universe, (cC8_ X <-> (exists Y0 : Universe, ra_Px9_ X Y0))).
Variable axiom_118_119 : (forall X : Universe, (cC8xcomp_ X <-> ~((exists Y : Universe, ra_Px9_ X Y)))).
Variable axiom_119_120 : (forall X : Universe, (cC80_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC16xcomp_ Y)))).
Variable axiom_120_121 : (forall X : Universe, (cC82_ X <-> (cC80_ X /\ cC78xcomp_ X))).
Variable axiom_121_122 : (forall X : Universe, (cC84_ X <-> ~((exists Y : Universe, ra_Px31_ X Y)))).
Variable axiom_122_123 : (forall X : Universe, (cC84_ X <-> (cC2_ X /\ cC12_ X))).
Variable axiom_123_124 : (forall X : Universe, (cC84xcomp_ X <-> (exists Y0 : Universe, ra_Px31_ X Y0))).
Variable axiom_124_125 : (forall X : Universe, (cC86_ X <-> (cC12xcomp_ X /\ cC2xcomp_ X))).
Variable axiom_125_126 : (forall X : Universe, (cC86_ X <-> (exists Y0 : Universe, ra_Px32_ X Y0))).
Variable axiom_126_127 : (forall X : Universe, (cC86xcomp_ X <-> ~((exists Y : Universe, ra_Px32_ X Y)))).
Variable axiom_127_128 : (forall X : Universe, (cC88_ X <-> (exists Y0 : Universe, ra_Px33_ X Y0))).
Variable axiom_128_129 : (forall X : Universe, (cC88_ X <-> (cC84xcomp_ X /\ cC86xcomp_ X))).
Variable axiom_129_130 : (forall X : Universe, (cC88xcomp_ X <-> ~((exists Y : Universe, ra_Px33_ X Y)))).
Variable axiom_130_131 : (forall X : Universe, (cC90_ X <-> (exists Y0 : Universe, ra_Px50_ X Y0))).
Variable axiom_131_132 : (forall X : Universe, (cC90_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC88xcomp_ Y)))).
Variable axiom_132_133 : (forall X : Universe, (cC90xcomp_ X <-> ~((exists Y : Universe, ra_Px50_ X Y)))).
Variable axiom_133_134 : (forall X : Universe, (cC92_ X <-> (exists Y0 : Universe, ra_Px57_ X Y0))).
Variable axiom_134_135 : (forall X : Universe, (cC92_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC90_ Y)))).
Variable axiom_135_136 : (forall X : Universe, (cC92xcomp_ X <-> ~((exists Y : Universe, ra_Px57_ X Y)))).
Variable axiom_136_137 : (forall X : Universe, (cC94_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC92_ Y)))).
Variable axiom_137_138 : (forall X : Universe, (cC94_ X <-> (exists Y0 : Universe, ra_Px48_ X Y0))).
Variable axiom_138_139 : (forall X : Universe, (cC94xcomp_ X <-> ~((exists Y : Universe, ra_Px48_ X Y)))).
Variable axiom_139_140 : (forall X : Universe, (cC96_ X <-> (exists Y : Universe, (rR1_ X Y /\ cC94_ Y)))).
Variable axiom_140_141 : (forall X : Universe, (cC96_ X <-> ~((exists Y : Universe, ra_Px34_ X Y)))).
Variable axiom_141_142 : (forall X : Universe, (cC96xcomp_ X <-> (exists Y0 : Universe, ra_Px34_ X Y0))).
Variable axiom_142_143 : (forall X : Universe, (cC98_ X <-> (exists Y0 : Universe, ra_Px35_ X Y0))).
Variable axiom_143_144 : (forall X : Universe, (cC98_ X <-> (cC96xcomp_ X /\ cC82_ X))).
Variable axiom_144_145 : (forall X : Universe, (cC98xcomp_ X <-> ~((exists Y : Universe, ra_Px35_ X Y)))).
Variable axiom_145_146 : (forall X : Universe, (cTEST_ X <-> (cC108_ X /\ cC130_ X))).
Variable axiom_146_147 : (forall X : Universe, (rR1_ iV16439_ X -> cC98_ X)).
Variable axiom_147_148 : cowlThing_ iV16439_.
Variable axiom_148_149 : cC100xcomp_ iV16439_.
Variable axiom_149_150 : cTEST_ iV16439_.
Variable axiom_150_151 : rR1_ iV16439_ iV16440_.
Variable axiom_151_152 : rR1_ iV16439_ iV16442_.
Variable axiom_152_153 : rR1_ iV16439_ iV16441_.
Variable axiom_153_154 : cowlThing_ iV16440_.
Variable axiom_154_155 : cC96xcomp_ iV16440_.
Variable axiom_155_156 : (forall X : Universe, (rR1_ iV16440_ X -> cC94xcomp_ X)).
Variable axiom_156_157 : (forall X : Universe, (rR1_ iV16440_ X -> cC76_ X)).
Variable axiom_157_158 : cC102xcomp_ iV16440_.
Variable axiom_158_159 : cC78xcomp_ iV16440_.
Variable axiom_159_160 : rR1_ iV16440_ iV16463_.
Variable axiom_160_161 : cowlThing_ iV16441_.
Variable axiom_161_162 : cowlThing_ iV16442_.
Variable axiom_162_163 : cowlThing_ iV16448_.
Variable axiom_163_164 : cTOP_ iV16448_.
Variable axiom_164_165 : cC52xcomp_ iV16448_.
Variable axiom_165_166 : (forall X : Universe, (rR1_ iV16448_ X -> cC50_ X)).
Variable axiom_166_167 : (forall X : Universe, (rR1_ iV16448_ X -> cC68_ X)).
Variable axiom_167_168 : (forall X : Universe, (rR1_ iV16448_ X -> cC34_ X)).
Variable axiom_168_169 : cC36xcomp_ iV16448_.
Variable axiom_169_170 : cC90xcomp_ iV16448_.
Variable axiom_170_171 : (forall X : Universe, (rR1_ iV16448_ X -> cC88_ X)).
Variable axiom_171_172 : cC70xcomp_ iV16448_.
Variable axiom_172_173 : rR1_ iV16448_ iV16449_.
Variable axiom_173_174 : cowlThing_ iV16449_.
Variable axiom_174_175 : cC74xcomp_ iV16453_.
Variable axiom_175_176 : cowlThing_ iV16453_.
Variable axiom_176_177 : (forall X : Universe, (rR1_ iV16453_ X -> cC72xcomp_ X)).
Variable axiom_177_178 : cC16xcomp_ iV16453_.
Variable axiom_178_179 : (forall X : Universe, (rR1_ iV16453_ X -> cC56_ X)).
Variable axiom_179_180 : (forall X : Universe, (rR1_ iV16453_ X -> cC92xcomp_ X)).
Variable axiom_180_181 : cC94xcomp_ iV16453_.
Variable axiom_181_182 : cC58xcomp_ iV16453_.
Variable axiom_182_183 : rR1_ iV16453_ iV16461_.
Variable axiom_183_184 : (forall X : Universe, (rR1_ iV16455_ X -> cC52xcomp_ X)).
Variable axiom_184_185 : cowlThing_ iV16455_.
Variable axiom_185_186 : cC40xcomp_ iV16455_.
Variable axiom_186_187 : (forall X : Universe, (rR1_ iV16455_ X -> cC90xcomp_ X)).
Variable axiom_187_188 : cC12xcomp_ iV16455_.
Variable axiom_188_189 : (forall X : Universe, (rR1_ iV16455_ X -> cC38_ X)).
Variable axiom_189_190 : cC92xcomp_ iV16455_.
Variable axiom_190_191 : cC54xcomp_ iV16455_.
Variable axiom_191_192 : (forall X : Universe, (rR1_ iV16455_ X -> cC70xcomp_ X)).
Variable axiom_192_193 : cC72xcomp_ iV16455_.
Variable axiom_193_194 : rR1_ iV16455_ iV16460_.
Variable axiom_194_195 : (forall X : Universe, (rR1_ iV16457_ X -> cC68_ X)).
Variable axiom_195_196 : cowlThing_ iV16457_.
Variable axiom_196_197 : (forall X : Universe, (rR1_ iV16457_ X -> cC34_ X)).
Variable axiom_197_198 : cTOP_ iV16457_.
Variable axiom_198_199 : cC52xcomp_ iV16457_.
Variable axiom_199_200 : cC8xcomp_ iV16457_.
Variable axiom_200_201 : (forall X : Universe, (rR1_ iV16457_ X -> cC88_ X)).
Variable axiom_201_202 : cC36xcomp_ iV16457_.
Variable axiom_202_203 : cC90xcomp_ iV16457_.
Variable axiom_203_204 : (forall X : Universe, (rR1_ iV16457_ X -> cC50_ X)).
Variable axiom_204_205 : cC70xcomp_ iV16457_.
Variable axiom_205_206 : cowlThing_ iV16459_.
Variable axiom_206_207 : cC14xcomp_ iV16459_.
Variable axiom_207_208 : cC8xcomp_ iV16459_.
Variable axiom_208_209 : cC10xcomp_ iV16459_.
Variable axiom_209_210 : cC30xcomp_ iV16459_.
Variable axiom_210_211 : cC84xcomp_ iV16459_.
Variable axiom_211_212 : cC12_ iV16459_.
Variable axiom_212_213 : cC46xcomp_ iV16459_.
Variable axiom_213_214 : cC64xcomp_ iV16459_.
Variable axiom_214_215 : cC4_ iV16459_.
Variable axiom_215_216 : cC86xcomp_ iV16459_.
Variable axiom_216_217 : cC32xcomp_ iV16459_.
Variable axiom_217_218 : cC48xcomp_ iV16459_.
Variable axiom_218_219 : cC18xcomp_ iV16459_.
Variable axiom_219_220 : cC2xcomp_ iV16459_.
Variable axiom_220_221 : cC6xcomp_ iV16459_.
Variable axiom_221_222 : cC66xcomp_ iV16459_.
Variable axiom_222_223 : (forall X : Universe, (rR1_ iV16460_ X -> cC68_ X)).
Variable axiom_223_224 : cowlThing_ iV16460_.
Variable axiom_224_225 : (forall X : Universe, (rR1_ iV16460_ X -> cC34_ X)).
Variable axiom_225_226 : cTOP_ iV16460_.
Variable axiom_226_227 : cC52xcomp_ iV16460_.
Variable axiom_227_228 : cC8xcomp_ iV16460_.
Variable axiom_228_229 : cC36xcomp_ iV16460_.
Variable axiom_229_230 : (forall X : Universe, (rR1_ iV16460_ X -> cC50_ X)).
Variable axiom_230_231 : (forall X : Universe, (rR1_ iV16460_ X -> cC88_ X)).
Variable axiom_231_232 : cC90xcomp_ iV16460_.
Variable axiom_232_233 : cC70xcomp_ iV16460_.
Variable axiom_233_234 : cowlThing_ iV16461_.
Variable axiom_234_235 : cC40xcomp_ iV16461_.
Variable axiom_235_236 : (forall X : Universe, (rR1_ iV16461_ X -> cC90xcomp_ X)).
Variable axiom_236_237 : (forall X : Universe, (rR1_ iV16461_ X -> cC70xcomp_ X)).
Variable axiom_237_238 : cC12xcomp_ iV16461_.
Variable axiom_238_239 : (forall X : Universe, (rR1_ iV16461_ X -> cC52xcomp_ X)).
Variable axiom_239_240 : cC92xcomp_ iV16461_.
Variable axiom_240_241 : cC54xcomp_ iV16461_.
Variable axiom_241_242 : (forall X : Universe, (rR1_ iV16461_ X -> cC38_ X)).
Variable axiom_242_243 : cC72xcomp_ iV16461_.
Variable axiom_243_244 : rR1_ iV16461_ iV16462_.
Variable axiom_244_245 : (forall X : Universe, (rR1_ iV16462_ X -> cC50_ X)).
Variable axiom_245_246 : (forall X : Universe, (rR1_ iV16462_ X -> cC68_ X)).
Variable axiom_246_247 : cowlThing_ iV16462_.
Variable axiom_247_248 : cTOP_ iV16462_.
Variable axiom_248_249 : cC52xcomp_ iV16462_.
Variable axiom_249_250 : cC8xcomp_ iV16462_.
Variable axiom_250_251 : (forall X : Universe, (rR1_ iV16462_ X -> cC34_ X)).
Variable axiom_251_252 : (forall X : Universe, (rR1_ iV16462_ X -> cC88_ X)).
Variable axiom_252_253 : cC36xcomp_ iV16462_.
Variable axiom_253_254 : cC90xcomp_ iV16462_.
Variable axiom_254_255 : cC70xcomp_ iV16462_.
Variable axiom_255_256 : cC74xcomp_ iV16463_.
Variable axiom_256_257 : cowlThing_ iV16463_.
Variable axiom_257_258 : cC16xcomp_ iV16463_.
Variable axiom_258_259 : (forall X : Universe, (rR1_ iV16463_ X -> cC92xcomp_ X)).
Variable axiom_259_260 : (forall X : Universe, (rR1_ iV16463_ X -> cC72xcomp_ X)).
Variable axiom_260_261 : cC94xcomp_ iV16463_.
Variable axiom_261_262 : (forall X : Universe, (rR1_ iV16463_ X -> cC56_ X)).
Variable axiom_262_263 : cC58xcomp_ iV16463_.
Variable axiom_263_264 : rR1_ iV16463_ iV16464_.
Variable axiom_264_265 : cowlThing_ iV16464_.
Variable axiom_265_266 : (forall X : Universe, (rR1_ iV16464_ X -> cC38_ X)).
Variable axiom_266_267 : cC40xcomp_ iV16464_.
Variable axiom_267_268 : cC12xcomp_ iV16464_.
Variable axiom_268_269 : (forall X : Universe, (rR1_ iV16464_ X -> cC52xcomp_ X)).
Variable axiom_269_270 : cC92xcomp_ iV16464_.
Variable axiom_270_271 : cC54xcomp_ iV16464_.
Variable axiom_271_272 : (forall X : Universe, (rR1_ iV16464_ X -> cC90xcomp_ X)).
Variable axiom_272_273 : (forall X : Universe, (rR1_ iV16464_ X -> cC70xcomp_ X)).
Variable axiom_273_274 : cC72xcomp_ iV16464_.
Variable axiom_274_275 : rR1_ iV16464_ iV16465_.
Variable axiom_275_276 : (forall X : Universe, (rR1_ iV16465_ X -> cC34_ X)).
Variable axiom_276_277 : cowlThing_ iV16465_.
Variable axiom_277_278 : cTOP_ iV16465_.
Variable axiom_278_279 : (forall X : Universe, (rR1_ iV16465_ X -> cC88_ X)).
Variable axiom_279_280 : cC52xcomp_ iV16465_.
Variable axiom_280_281 : cC8xcomp_ iV16465_.
Variable axiom_281_282 : (forall X : Universe, (rR1_ iV16465_ X -> cC68_ X)).
Variable axiom_282_283 : cC36xcomp_ iV16465_.
Variable axiom_283_284 : cC90xcomp_ iV16465_.
Variable axiom_284_285 : (forall X : Universe, (rR1_ iV16465_ X -> cC50_ X)).
Variable axiom_285_286 : cC70xcomp_ iV16465_.

Set Firstorder Depth 10.

Theorem the_axiom_287 : ((forall X : Universe, (cowlThing_ X /\ ~(cowlNothing_ X))) /\ ((forall X : Universe, (xsd_string_ X <-> ~(xsd_integer_ X))) /\ (cC130_ iV16439_ /\ (cC108_ iV16439_ /\ (cC104_ iV16439_ /\ (cC106_ iV16439_ /\ (cC28_ iV16439_ /\ (cowlThing_ iV16439_ /\ (cC98_ iV16440_ /\ (cC80_ iV16440_ /\ (cC82_ iV16440_ /\ (cowlThing_ iV16440_ /\ (cC38_ iV16448_ /\ (cowlThing_ iV16448_ /\ (cC76_ iV16453_ /\ (cC62_ iV16453_ /\ (cowlThing_ iV16453_ /\ (cC60_ iV16453_ /\ (cC56_ iV16455_ /\ (cC44_ iV16455_ /\ (cC42_ iV16455_ /\ (cowlThing_ iV16455_ /\ (cC38_ iV16457_ /\ (cowlThing_ iV16457_ /\ (cC50_ iV16459_ /\ (cC88_ iV16459_ /\ (cC34_ iV16459_ /\ (cC68_ iV16459_ /\ (cowlThing_ iV16459_ /\ (cC38_ iV16460_ /\ (cowlThing_ iV16460_ /\ (cC42_ iV16461_ /\ (cC56_ iV16461_ /\ (cC44_ iV16461_ /\ (cowlThing_ iV16461_ /\ (cC38_ iV16462_ /\ (cowlThing_ iV16462_ /\ (cC76_ iV16463_ /\ (cC62_ iV16463_ /\ (cowlThing_ iV16463_ /\ (cC60_ iV16463_ /\ (cC56_ iV16464_ /\ (cC42_ iV16464_ /\ (cC44_ iV16464_ /\ (cowlThing_ iV16464_ /\ (cC38_ iV16465_ /\ cowlThing_ iV16465_)))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
