(*
% File     : NLP005+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : The old dirty white Chevy problem 5
% Version  : [Bos00] axioms.
% English  : A problem generated by the DORIS [Bos00] system when parsing
%            the statement The old dirty white Chevy barrels down a lonely
%            street in Hollywood.
% Refs     : [Bos00] Bos (2000), DORIS: Discourse Oriented Representation an
%            [Bau99] Baumgartner (1999), FTP'2000 - Problem Sets
% Source   : [Bau99]
% Names    : 
% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.67 v2.6.0, 0.25 v2.5.0, 0.33 v2.4.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  118 (  12 equality)
%            Maximal formula depth :   43 (  43 average)
%            Number of connectives :  121 (   4 ~  ;   0  |; 115  &)
%                                         (   0 <=>;   2 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   21 (   0 propositional; 1-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   38 (   0 singleton;   0 !;  38 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable EqTransitivity : forall x y z : Universe, x = y -> y = z -> x = z.
Variable EqSymmetry : forall x y : Universe, x = y -> y = x.
Variable EqReflexivity : forall x : Universe, x = x.
Variable young_ : Universe -> Prop.
Variable EqCongruence_young : forall x1 y1 : Universe, x1 = y1 -> young_ x1 -> young_ y1 .
Variable white_ : Universe -> Prop.
Variable EqCongruence_white : forall x1 y1 : Universe, x1 = y1 -> white_ x1 -> white_ y1 .
Variable way_ : Universe -> Prop.
Variable EqCongruence_way : forall x1 y1 : Universe, x1 = y1 -> way_ x1 -> way_ y1 .
Variable street_ : Universe -> Prop.
Variable EqCongruence_street : forall x1 y1 : Universe, x1 = y1 -> street_ x1 -> street_ y1 .
Variable seat_ : Universe -> Prop.
Variable EqCongruence_seat : forall x1 y1 : Universe, x1 = y1 -> seat_ x1 -> seat_ y1 .
Variable old_ : Universe -> Prop.
Variable EqCongruence_old : forall x1 y1 : Universe, x1 = y1 -> old_ x1 -> old_ y1 .
Variable man_ : Universe -> Prop.
Variable EqCongruence_man : forall x1 y1 : Universe, x1 = y1 -> man_ x1 -> man_ y1 .
Variable lonely_ : Universe -> Prop.
Variable EqCongruence_lonely : forall x1 y1 : Universe, x1 = y1 -> lonely_ x1 -> lonely_ y1 .
Variable in_ : Universe -> Universe -> Prop.
Variable EqCongruence_in : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> in_ x1 x2 -> in_ y1 y2 .
Variable hollywood_ : Universe -> Prop.
Variable EqCongruence_hollywood : forall x1 y1 : Universe, x1 = y1 -> hollywood_ x1 -> hollywood_ y1 .
Variable furniture_ : Universe -> Prop.
Variable EqCongruence_furniture : forall x1 y1 : Universe, x1 = y1 -> furniture_ x1 -> furniture_ y1 .
Variable front_ : Universe -> Prop.
Variable EqCongruence_front : forall x1 y1 : Universe, x1 = y1 -> front_ x1 -> front_ y1 .
Variable fellow_ : Universe -> Prop.
Variable EqCongruence_fellow : forall x1 y1 : Universe, x1 = y1 -> fellow_ x1 -> fellow_ y1 .
Variable event_ : Universe -> Prop.
Variable EqCongruence_event : forall x1 y1 : Universe, x1 = y1 -> event_ x1 -> event_ y1 .
Variable down_ : Universe -> Universe -> Prop.
Variable EqCongruence_down : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> down_ x1 x2 -> down_ y1 y2 .
Variable dirty_ : Universe -> Prop.
Variable EqCongruence_dirty : forall x1 y1 : Universe, x1 = y1 -> dirty_ x1 -> dirty_ y1 .
Variable city_ : Universe -> Prop.
Variable EqCongruence_city : forall x1 y1 : Universe, x1 = y1 -> city_ x1 -> city_ y1 .
Variable chevy_ : Universe -> Prop.
Variable EqCongruence_chevy : forall x1 y1 : Universe, x1 = y1 -> chevy_ x1 -> chevy_ y1 .
Variable car_ : Universe -> Prop.
Variable EqCongruence_car : forall x1 y1 : Universe, x1 = y1 -> car_ x1 -> car_ y1 .
Variable barrel_ : Universe -> Universe -> Prop.
Variable EqCongruence_barrel : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> barrel_ x1 x2 -> barrel_ y1 y2 .



Set Firstorder Depth 10.

Theorem co1_1 : (((exists U V W X Y Z X1 X3 X4 : Universe, (seat_ U /\ (furniture_ U /\ (front_ U /\ (hollywood_ V /\ (city_ V /\ (event_ W /\ (chevy_ X /\ (car_ X /\ (white_ X /\ (dirty_ X /\ (old_ X /\ (street_ Y /\ (way_ Y /\ (lonely_ Y /\ (barrel_ W X /\ (down_ W Y /\ (in_ W V /\ (Z <> X1 /\ (fellow_ Z /\ (man_ Z /\ (young_ Z /\ (fellow_ X1 /\ (man_ X1 /\ (young_ X1 /\ (Z = X3 /\ (in_ X3 U /\ (X1 = X4 /\ in_ X4 U)))))))))))))))))))))))))))) -> (exists X5 X6 X7 X8 X9 X10 X11 X12 X14 X15 : Universe, (seat_ X5 /\ (furniture_ X5 /\ (front_ X5 /\ (seat_ X6 /\ (furniture_ X6 /\ (front_ X6 /\ (hollywood_ X7 /\ (city_ X7 /\ (event_ X8 /\ (street_ X9 /\ (way_ X9 /\ (lonely_ X9 /\ (chevy_ X10 /\ (car_ X10 /\ (white_ X10 /\ (dirty_ X10 /\ (old_ X10 /\ (barrel_ X8 X10 /\ (down_ X8 X9 /\ (in_ X8 X7 /\ (X11 <> X12 /\ (fellow_ X11 /\ (man_ X11 /\ (young_ X11 /\ (fellow_ X12 /\ (man_ X12 /\ (young_ X12 /\ (X11 = X14 /\ (in_ X14 X5 /\ (X12 = X15 /\ in_ X15 X6)))))))))))))))))))))))))))))))) /\ ((exists X16 X17 X18 X19 X20 X21 X22 X23 X25 X26 : Universe, (seat_ X16 /\ (furniture_ X16 /\ (front_ X16 /\ (seat_ X17 /\ (furniture_ X17 /\ (front_ X17 /\ (hollywood_ X18 /\ (city_ X18 /\ (event_ X19 /\ (street_ X20 /\ (way_ X20 /\ (lonely_ X20 /\ (chevy_ X21 /\ (car_ X21 /\ (white_ X21 /\ (dirty_ X21 /\ (old_ X21 /\ (barrel_ X19 X21 /\ (down_ X19 X20 /\ (in_ X19 X18 /\ (X22 <> X23 /\ (fellow_ X22 /\ (man_ X22 /\ (young_ X22 /\ (fellow_ X23 /\ (man_ X23 /\ (young_ X23 /\ (X22 = X25 /\ (in_ X25 X16 /\ (X23 = X26 /\ in_ X26 X17))))))))))))))))))))))))))))))) -> (exists X27 X28 X29 X30 X31 X32 X33 X35 X36 : Universe, (seat_ X27 /\ (furniture_ X27 /\ (front_ X27 /\ (hollywood_ X28 /\ (city_ X28 /\ (event_ X29 /\ (chevy_ X30 /\ (car_ X30 /\ (white_ X30 /\ (dirty_ X30 /\ (old_ X30 /\ (street_ X31 /\ (way_ X31 /\ (lonely_ X31 /\ (barrel_ X29 X30 /\ (down_ X29 X31 /\ (in_ X29 X28 /\ (X32 <> X33 /\ (fellow_ X32 /\ (man_ X32 /\ (young_ X32 /\ (fellow_ X33 /\ (man_ X33 /\ (young_ X33 /\ (X32 = X35 /\ (in_ X35 X27 /\ (X33 = X36 /\ in_ X36 X27)))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
