(*
% File     : NLP012+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : The old dirty white Chevy problem 12
% Version  : [Bos00] axioms.
% English  : A problem generated by the DORIS [Bos00] system when parsing
%            the statement The old dirty white Chevy barrels down a lonely
%            street in Hollywood.
% Refs     : [Bos00] Bos (2000), DORIS: Discourse Oriented Representation an
%            [Bau99] Baumgartner (1999), FTP'2000 - Problem Sets
% Source   : [Bau99]
% Names    : 
% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.67 v2.6.0, 0.25 v2.5.0, 0.33 v2.4.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  118 (  12 equality)
%            Maximal formula depth :   43 (  43 average)
%            Number of connectives :  121 (   4 ~  ;   0  |; 115  &)
%                                         (   0 <=>;   2 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   21 (   0 propositional; 1-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   38 (   0 singleton;   0 !;  38 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable EqTransitivity : forall x y z : Universe, x = y -> y = z -> x = z.
Variable EqSymmetry : forall x y : Universe, x = y -> y = x.
Variable EqReflexivity : forall x : Universe, x = x.
Variable young_ : Universe -> Prop.
Variable EqCongruence_young : forall x1 y1 : Universe, x1 = y1 -> young_ x1 -> young_ y1 .
Variable white_ : Universe -> Prop.
Variable EqCongruence_white : forall x1 y1 : Universe, x1 = y1 -> white_ x1 -> white_ y1 .
Variable way_ : Universe -> Prop.
Variable EqCongruence_way : forall x1 y1 : Universe, x1 = y1 -> way_ x1 -> way_ y1 .
Variable street_ : Universe -> Prop.
Variable EqCongruence_street : forall x1 y1 : Universe, x1 = y1 -> street_ x1 -> street_ y1 .
Variable seat_ : Universe -> Prop.
Variable EqCongruence_seat : forall x1 y1 : Universe, x1 = y1 -> seat_ x1 -> seat_ y1 .
Variable old_ : Universe -> Prop.
Variable EqCongruence_old : forall x1 y1 : Universe, x1 = y1 -> old_ x1 -> old_ y1 .
Variable man_ : Universe -> Prop.
Variable EqCongruence_man : forall x1 y1 : Universe, x1 = y1 -> man_ x1 -> man_ y1 .
Variable lonely_ : Universe -> Prop.
Variable EqCongruence_lonely : forall x1 y1 : Universe, x1 = y1 -> lonely_ x1 -> lonely_ y1 .
Variable in_ : Universe -> Universe -> Prop.
Variable EqCongruence_in : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> in_ x1 x2 -> in_ y1 y2 .
Variable hollywood_ : Universe -> Prop.
Variable EqCongruence_hollywood : forall x1 y1 : Universe, x1 = y1 -> hollywood_ x1 -> hollywood_ y1 .
Variable furniture_ : Universe -> Prop.
Variable EqCongruence_furniture : forall x1 y1 : Universe, x1 = y1 -> furniture_ x1 -> furniture_ y1 .
Variable front_ : Universe -> Prop.
Variable EqCongruence_front : forall x1 y1 : Universe, x1 = y1 -> front_ x1 -> front_ y1 .
Variable fellow_ : Universe -> Prop.
Variable EqCongruence_fellow : forall x1 y1 : Universe, x1 = y1 -> fellow_ x1 -> fellow_ y1 .
Variable event_ : Universe -> Prop.
Variable EqCongruence_event : forall x1 y1 : Universe, x1 = y1 -> event_ x1 -> event_ y1 .
Variable down_ : Universe -> Universe -> Prop.
Variable EqCongruence_down : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> down_ x1 x2 -> down_ y1 y2 .
Variable dirty_ : Universe -> Prop.
Variable EqCongruence_dirty : forall x1 y1 : Universe, x1 = y1 -> dirty_ x1 -> dirty_ y1 .
Variable city_ : Universe -> Prop.
Variable EqCongruence_city : forall x1 y1 : Universe, x1 = y1 -> city_ x1 -> city_ y1 .
Variable chevy_ : Universe -> Prop.
Variable EqCongruence_chevy : forall x1 y1 : Universe, x1 = y1 -> chevy_ x1 -> chevy_ y1 .
Variable car_ : Universe -> Prop.
Variable EqCongruence_car : forall x1 y1 : Universe, x1 = y1 -> car_ x1 -> car_ y1 .
Variable barrel_ : Universe -> Universe -> Prop.
Variable EqCongruence_barrel : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> barrel_ x1 x2 -> barrel_ y1 y2 .



Set Firstorder Depth 10.

Theorem co1_1 : (((exists U V W X Y Z X1 X2 X3 : Universe, (hollywood_ U /\ (city_ U /\ (event_ V /\ (chevy_ W /\ (car_ W /\ (white_ W /\ (dirty_ W /\ (old_ W /\ (street_ X /\ (way_ X /\ (lonely_ X /\ (barrel_ V W /\ (down_ V X /\ (in_ V U /\ (seat_ X1 /\ (furniture_ X1 /\ (front_ X1 /\ (Y <> Z /\ (fellow_ Y /\ (man_ Y /\ (young_ Y /\ (fellow_ Z /\ (man_ Z /\ (young_ Z /\ (Y = X2 /\ (in_ X2 X1 /\ (Z = X3 /\ in_ X3 X1)))))))))))))))))))))))))))) -> (exists X4 X5 X6 X7 X8 X9 X10 X11 X12 X13 : Universe, (seat_ X4 /\ (furniture_ X4 /\ (front_ X4 /\ (hollywood_ X5 /\ (city_ X5 /\ (event_ X6 /\ (street_ X7 /\ (way_ X7 /\ (lonely_ X7 /\ (chevy_ X8 /\ (car_ X8 /\ (white_ X8 /\ (dirty_ X8 /\ (old_ X8 /\ (barrel_ X6 X8 /\ (down_ X6 X7 /\ (in_ X6 X5 /\ (seat_ X11 /\ (furniture_ X11 /\ (front_ X11 /\ (X9 <> X10 /\ (fellow_ X9 /\ (man_ X9 /\ (young_ X9 /\ (fellow_ X10 /\ (man_ X10 /\ (young_ X10 /\ (X9 = X12 /\ (in_ X12 X11 /\ (X10 = X13 /\ in_ X13 X4)))))))))))))))))))))))))))))))) /\ ((exists X14 X15 X16 X17 X18 X19 X20 X21 X22 X23 : Universe, (seat_ X14 /\ (furniture_ X14 /\ (front_ X14 /\ (hollywood_ X15 /\ (city_ X15 /\ (event_ X16 /\ (street_ X17 /\ (way_ X17 /\ (lonely_ X17 /\ (chevy_ X18 /\ (car_ X18 /\ (white_ X18 /\ (dirty_ X18 /\ (old_ X18 /\ (barrel_ X16 X18 /\ (down_ X16 X17 /\ (in_ X16 X15 /\ (seat_ X21 /\ (furniture_ X21 /\ (front_ X21 /\ (X19 <> X20 /\ (fellow_ X19 /\ (man_ X19 /\ (young_ X19 /\ (fellow_ X20 /\ (man_ X20 /\ (young_ X20 /\ (X19 = X22 /\ (in_ X22 X21 /\ (X20 = X23 /\ in_ X23 X14))))))))))))))))))))))))))))))) -> (exists X24 X25 X26 X27 X28 X29 X30 X31 X32 : Universe, (hollywood_ X24 /\ (city_ X24 /\ (event_ X25 /\ (chevy_ X26 /\ (car_ X26 /\ (white_ X26 /\ (dirty_ X26 /\ (old_ X26 /\ (street_ X27 /\ (way_ X27 /\ (lonely_ X27 /\ (barrel_ X25 X26 /\ (down_ X25 X27 /\ (in_ X25 X24 /\ (seat_ X30 /\ (furniture_ X30 /\ (front_ X30 /\ (X28 <> X29 /\ (fellow_ X28 /\ (man_ X28 /\ (young_ X28 /\ (fellow_ X29 /\ (man_ X29 /\ (young_ X29 /\ (X28 = X31 /\ (in_ X31 X30 /\ (X29 = X32 /\ in_ X32 X30)))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
