(*
% File     : NLP022+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : The old dirty white Chevy problem 22
% Version  : [Bos00] axioms.
% English  : A problem generated by the DORIS [Bos00] system when parsing
%            the statement The old dirty white Chevy barrels down a lonely
%            street in Hollywood.
% Refs     : [Bos00] Bos (2000), DORIS: Discourse Oriented Representation an
%            [Bau99] Baumgartner (1999), FTP'2000 - Problem Sets
% Source   : [Bau99]
% Names    : 
% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.17 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :   43 (   0 unit)
%            Number of atoms       :  119 (   4 equality)
%            Maximal formula depth :   37 (   4 average)
%            Number of connectives :   87 (  11 ~  ;   0  |;  33  &)
%                                         (   2 <=>;  41 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   43 (   0 propositional; 1-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   61 (   0 singleton;  60 !;   1 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable EqTransitivity : forall x y z : Universe, x = y -> y = z -> x = z.
Variable EqSymmetry : forall x y : Universe, x = y -> y = x.
Variable EqReflexivity : forall x : Universe, x = x.
Variable young_ : Universe -> Prop.
Variable EqCongruence_young : forall x1 y1 : Universe, x1 = y1 -> young_ x1 -> young_ y1 .
Variable woman_ : Universe -> Prop.
Variable EqCongruence_woman : forall x1 y1 : Universe, x1 = y1 -> woman_ x1 -> woman_ y1 .
Variable white_ : Universe -> Prop.
Variable EqCongruence_white : forall x1 y1 : Universe, x1 = y1 -> white_ x1 -> white_ y1 .
Variable way_ : Universe -> Prop.
Variable EqCongruence_way : forall x1 y1 : Universe, x1 = y1 -> way_ x1 -> way_ y1 .
Variable vehicle_ : Universe -> Prop.
Variable EqCongruence_vehicle : forall x1 y1 : Universe, x1 = y1 -> vehicle_ x1 -> vehicle_ y1 .
Variable transport_ : Universe -> Prop.
Variable EqCongruence_transport : forall x1 y1 : Universe, x1 = y1 -> transport_ x1 -> transport_ y1 .
Variable street_ : Universe -> Prop.
Variable EqCongruence_street : forall x1 y1 : Universe, x1 = y1 -> street_ x1 -> street_ y1 .
Variable seat_ : Universe -> Prop.
Variable EqCongruence_seat : forall x1 y1 : Universe, x1 = y1 -> seat_ x1 -> seat_ y1 .
Variable proposition_ : Universe -> Prop.
Variable EqCongruence_proposition : forall x1 y1 : Universe, x1 = y1 -> proposition_ x1 -> proposition_ y1 .
Variable partof_ : Universe -> Universe -> Prop.
Variable EqCongruence_partof : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> partof_ x1 x2 -> partof_ y1 y2 .
Variable owner_ : Universe -> Prop.
Variable EqCongruence_owner : forall x1 y1 : Universe, x1 = y1 -> owner_ x1 -> owner_ y1 .
Variable organism_ : Universe -> Prop.
Variable EqCongruence_organism : forall x1 y1 : Universe, x1 = y1 -> organism_ x1 -> organism_ y1 .
Variable old_ : Universe -> Prop.
Variable EqCongruence_old : forall x1 y1 : Universe, x1 = y1 -> old_ x1 -> old_ y1 .
Variable of_ : Universe -> Universe -> Prop.
Variable EqCongruence_of : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> of_ x1 x2 -> of_ y1 y2 .
Variable object_ : Universe -> Prop.
Variable EqCongruence_object : forall x1 y1 : Universe, x1 = y1 -> object_ x1 -> object_ y1 .
Variable nonhuman_ : Universe -> Prop.
Variable EqCongruence_nonhuman : forall x1 y1 : Universe, x1 = y1 -> nonhuman_ x1 -> nonhuman_ y1 .
Variable new_ : Universe -> Prop.
Variable EqCongruence_new : forall x1 y1 : Universe, x1 = y1 -> new_ x1 -> new_ y1 .
Variable man_ : Universe -> Prop.
Variable EqCongruence_man : forall x1 y1 : Universe, x1 = y1 -> man_ x1 -> man_ y1 .
Variable male_ : Universe -> Prop.
Variable EqCongruence_male : forall x1 y1 : Universe, x1 = y1 -> male_ x1 -> male_ y1 .
Variable lonely_ : Universe -> Prop.
Variable EqCongruence_lonely : forall x1 y1 : Universe, x1 = y1 -> lonely_ x1 -> lonely_ y1 .
Variable location_ : Universe -> Prop.
Variable EqCongruence_location : forall x1 y1 : Universe, x1 = y1 -> location_ x1 -> location_ y1 .
Variable instrumentality_ : Universe -> Prop.
Variable EqCongruence_instrumentality : forall x1 y1 : Universe, x1 = y1 -> instrumentality_ x1 -> instrumentality_ y1 .
Variable in_ : Universe -> Universe -> Prop.
Variable EqCongruence_in : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> in_ x1 x2 -> in_ y1 y2 .
Variable human_ : Universe -> Prop.
Variable EqCongruence_human : forall x1 y1 : Universe, x1 = y1 -> human_ x1 -> human_ y1 .
Variable hollywood_ : Universe -> Prop.
Variable EqCongruence_hollywood : forall x1 y1 : Universe, x1 = y1 -> hollywood_ x1 -> hollywood_ y1 .
Variable have_ : Universe -> Universe -> Universe -> Prop.
Variable EqCongruence_have : forall x1 x2 x3 y1 y2 y3 : Universe, x1 = y1 -> x2 = y2 -> x3 = y3 -> have_ x1 x2 x3 -> have_ y1 y2 y3 .
Variable furniture_ : Universe -> Prop.
Variable EqCongruence_furniture : forall x1 y1 : Universe, x1 = y1 -> furniture_ x1 -> furniture_ y1 .
Variable front_ : Universe -> Prop.
Variable EqCongruence_front : forall x1 y1 : Universe, x1 = y1 -> front_ x1 -> front_ y1 .
Variable female_ : Universe -> Prop.
Variable EqCongruence_female : forall x1 y1 : Universe, x1 = y1 -> female_ x1 -> female_ y1 .
Variable fellow_ : Universe -> Prop.
Variable EqCongruence_fellow : forall x1 y1 : Universe, x1 = y1 -> fellow_ x1 -> fellow_ y1 .
Variable eventuality_ : Universe -> Prop.
Variable EqCongruence_eventuality : forall x1 y1 : Universe, x1 = y1 -> eventuality_ x1 -> eventuality_ y1 .
Variable event_ : Universe -> Prop.
Variable EqCongruence_event : forall x1 y1 : Universe, x1 = y1 -> event_ x1 -> event_ y1 .
Variable entity_ : Universe -> Prop.
Variable EqCongruence_entity : forall x1 y1 : Universe, x1 = y1 -> entity_ x1 -> entity_ y1 .
Variable drs_ : Universe -> Prop.
Variable EqCongruence_drs : forall x1 y1 : Universe, x1 = y1 -> drs_ x1 -> drs_ y1 .
Variable down_ : Universe -> Universe -> Prop.
Variable EqCongruence_down : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> down_ x1 x2 -> down_ y1 y2 .
Variable dirty_ : Universe -> Prop.
Variable EqCongruence_dirty : forall x1 y1 : Universe, x1 = y1 -> dirty_ x1 -> dirty_ y1 .
Variable city_ : Universe -> Prop.
Variable EqCongruence_city : forall x1 y1 : Universe, x1 = y1 -> city_ x1 -> city_ y1 .
Variable chevy_ : Universe -> Prop.
Variable EqCongruence_chevy : forall x1 y1 : Universe, x1 = y1 -> chevy_ x1 -> chevy_ y1 .
Variable car_ : Universe -> Prop.
Variable EqCongruence_car : forall x1 y1 : Universe, x1 = y1 -> car_ x1 -> car_ y1 .
Variable barrel_ : Universe -> Universe -> Prop.
Variable EqCongruence_barrel : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> barrel_ x1 x2 -> barrel_ y1 y2 .
Variable artifact_ : Universe -> Prop.
Variable EqCongruence_artifact : forall x1 y1 : Universe, x1 = y1 -> artifact_ x1 -> artifact_ y1 .
Variable abstraction_ : Universe -> Prop.
Variable EqCongruence_abstraction : forall x1 y1 : Universe, x1 = y1 -> abstraction_ x1 -> abstraction_ y1 .


Variable ax1_1 : (forall U : Universe, (fellow_ U -> man_ U)).
Variable ax2_2 : (forall U : Universe, (man_ U -> human_ U)).
Variable ax3_3 : (forall U : Universe, (human_ U -> organism_ U)).
Variable ax4_4 : (forall U : Universe, (organism_ U -> entity_ U)).
Variable ax5_5 : (forall U : Universe, (organism_ U -> ~(object_ U))).
Variable ax6_6 : (forall U : Universe, (front_ U -> nonhuman_ U)).
Variable ax7_7 : (forall U : Universe, (seat_ U -> furniture_ U)).
Variable ax8_8 : (forall U : Universe, (furniture_ U -> instrumentality_ U)).
Variable ax9_9 : (forall U : Universe, (furniture_ U -> ~(transport_ U))).
Variable ax10_10 : (forall U : Universe, (street_ U -> way_ U)).
Variable ax11_11 : (forall U : Universe, (way_ U -> artifact_ U)).
Variable ax12_12 : (forall U : Universe, (way_ U -> ~(instrumentality_ U))).
Variable ax13_13 : (forall U : Universe, (chevy_ U -> car_ U)).
Variable ax14_14 : (forall U : Universe, (car_ U -> vehicle_ U)).
Variable ax15_15 : (forall U : Universe, (vehicle_ U -> transport_ U)).
Variable ax16_16 : (forall U : Universe, (transport_ U -> instrumentality_ U)).
Variable ax17_17 : (forall U : Universe, (instrumentality_ U -> artifact_ U)).
Variable ax18_18 : (forall U : Universe, (artifact_ U -> object_ U)).
Variable ax19_19 : (forall U : Universe, (artifact_ U -> ~(location_ U))).
Variable ax20_20 : (forall U : Universe, (event_ U -> eventuality_ U)).
Variable ax21_21 : (forall U : Universe, (hollywood_ U -> city_ U)).
Variable ax22_22 : (forall U : Universe, (city_ U -> location_ U)).
Variable ax23_23 : (forall U : Universe, (location_ U -> object_ U)).
Variable ax24_24 : (forall U : Universe, (object_ U -> entity_ U)).
Variable ax25_25 : (forall U : Universe, (old_ U -> ~(new_ U))).
Variable ax26_26 : (forall U : Universe, (eventuality_ U -> ~(entity_ U))).
Variable ax27_27 : (forall U : Universe, (abstraction_ U -> ~(entity_ U))).
Variable ax28_28 : (forall U : Universe, (abstraction_ U -> ~(eventuality_ U))).
Variable ax29_29 : (forall U : Universe, (male_ U -> ~(female_ U))).
Variable ax30_30 : (forall U : Universe, (man_ U -> ~(woman_ U))).
Variable ax31_31 : (forall U : Universe, (man_ U -> male_ U)).
Variable ax32_32 : (forall U : Universe, (male_ U -> human_ U)).
Variable ax33_33 : (forall U : Universe, (female_ U -> human_ U)).
Variable ax34_34 : (forall U : Universe, (woman_ U -> female_ U)).
Variable ax35_35 : (forall U : Universe, (drs_ U <-> proposition_ U)).
Variable ax36_36 : (forall U : Universe, (nonhuman_ U -> entity_ U)).
Variable ax37_37 : (forall U : Universe, (human_ U -> ~(nonhuman_ U))).
Variable ax38_38 : (forall U V W : Universe, ((have_ U V W /\ human_ V) <-> (owner_ V /\ of_ V W))).
Variable ax39_39 : (forall U V W : Universe, ((have_ U V W /\ (nonhuman_ V /\ nonhuman_ W)) -> partof_ W V)).
Variable ax40_40 : (forall U V W : Universe, ((event_ U /\ have_ U V W) -> of_ V W)).
Variable ax41_41 : (forall U V : Universe, (of_ V U -> (exists W : Universe, (event_ W /\ have_ W U V)))).
Variable ax42_42 : (forall U V W : Universe, ((partof_ U V /\ partof_ U W) -> V = W)).

Set Firstorder Depth 10.

Theorem co1_43 : (forall U V W X Y Z X1 X2 X3 : Universe, ((hollywood_ U /\ (city_ U /\ (event_ V /\ (chevy_ W /\ (car_ W /\ (white_ W /\ (dirty_ W /\ (old_ W /\ (street_ X /\ (way_ X /\ (lonely_ X /\ (barrel_ V W /\ (down_ V X /\ (in_ V U /\ (seat_ X1 /\ (furniture_ X1 /\ (front_ X1 /\ (fellow_ Y /\ (man_ Y /\ (young_ Y /\ (fellow_ Z /\ (man_ Z /\ (young_ Z /\ (Y = X2 /\ (in_ X2 X1 /\ (Z = X3 /\ in_ X3 X1)))))))))))))))))))))))))) -> Y = Z)).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
