(*
% File     : NLP025+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : Mia wants to dance, problem 3
% Version  : [Bos00b] axioms.
% English  : Eliminating non-informative interpretations in the statement
%            Mia wants to dance. Vincent does not want to dance.
% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris002 [Bos00b]
% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.33 v2.7.0, 0.67 v2.6.0, 0.25 v2.5.0, 0.33 v2.4.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :   74 (   0 unit)
%            Number of atoms       :  233 (   2 equality)
%            Maximal formula depth :   40 (   6 average)
%            Number of connectives :  170 (  11 ~  ;   0  |;  86  &)
%                                         (   0 <=>;  73 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   37 (   0 propositional; 1-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  205 (   0 singleton; 187 !;  18 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable EqTransitivity : forall x y z : Universe, x = y -> y = z -> x = z.
Variable EqSymmetry : forall x y : Universe, x = y -> y = x.
Variable EqReflexivity : forall x : Universe, x = x.
Variable woman_ : Universe -> Universe -> Prop.
Variable EqCongruence_woman : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> woman_ x1 x2 -> woman_ y1 y2 .
Variable vincent_forename_ : Universe -> Universe -> Prop.
Variable EqCongruence_vincent_forename : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> vincent_forename_ x1 x2 -> vincent_forename_ y1 y2 .
Variable unisex_ : Universe -> Universe -> Prop.
Variable EqCongruence_unisex : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> unisex_ x1 x2 -> unisex_ y1 y2 .
Variable thing_ : Universe -> Universe -> Prop.
Variable EqCongruence_thing : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> thing_ x1 x2 -> thing_ y1 y2 .
Variable theme_ : Universe -> Universe -> Universe -> Prop.
Variable EqCongruence_theme : forall x1 x2 x3 y1 y2 y3 : Universe, x1 = y1 -> x2 = y2 -> x3 = y3 -> theme_ x1 x2 x3 -> theme_ y1 y2 y3 .
Variable specific_ : Universe -> Universe -> Prop.
Variable EqCongruence_specific : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> specific_ x1 x2 -> specific_ y1 y2 .
Variable singleton_ : Universe -> Universe -> Prop.
Variable EqCongruence_singleton : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> singleton_ x1 x2 -> singleton_ y1 y2 .
Variable relname_ : Universe -> Universe -> Prop.
Variable EqCongruence_relname : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> relname_ x1 x2 -> relname_ y1 y2 .
Variable relation_ : Universe -> Universe -> Prop.
Variable EqCongruence_relation : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> relation_ x1 x2 -> relation_ y1 y2 .
Variable proposition_ : Universe -> Universe -> Prop.
Variable EqCongruence_proposition : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> proposition_ x1 x2 -> proposition_ y1 y2 .
Variable present_ : Universe -> Universe -> Prop.
Variable EqCongruence_present : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> present_ x1 x2 -> present_ y1 y2 .
Variable organism_ : Universe -> Universe -> Prop.
Variable EqCongruence_organism : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> organism_ x1 x2 -> organism_ y1 y2 .
Variable of_ : Universe -> Universe -> Universe -> Prop.
Variable EqCongruence_of : forall x1 x2 x3 y1 y2 y3 : Universe, x1 = y1 -> x2 = y2 -> x3 = y3 -> of_ x1 x2 x3 -> of_ y1 y2 y3 .
Variable nonhuman_ : Universe -> Universe -> Prop.
Variable EqCongruence_nonhuman : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> nonhuman_ x1 x2 -> nonhuman_ y1 y2 .
Variable nonexistent_ : Universe -> Universe -> Prop.
Variable EqCongruence_nonexistent : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> nonexistent_ x1 x2 -> nonexistent_ y1 y2 .
Variable mia_forename_ : Universe -> Universe -> Prop.
Variable EqCongruence_mia_forename : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> mia_forename_ x1 x2 -> mia_forename_ y1 y2 .
Variable man_ : Universe -> Universe -> Prop.
Variable EqCongruence_man : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> man_ x1 x2 -> man_ y1 y2 .
Variable male_ : Universe -> Universe -> Prop.
Variable EqCongruence_male : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> male_ x1 x2 -> male_ y1 y2 .
Variable living_ : Universe -> Universe -> Prop.
Variable EqCongruence_living : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> living_ x1 x2 -> living_ y1 y2 .
Variable impartial_ : Universe -> Universe -> Prop.
Variable EqCongruence_impartial : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> impartial_ x1 x2 -> impartial_ y1 y2 .
Variable human_person_ : Universe -> Universe -> Prop.
Variable EqCongruence_human_person : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> human_person_ x1 x2 -> human_person_ y1 y2 .
Variable human_ : Universe -> Universe -> Prop.
Variable EqCongruence_human : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> human_ x1 x2 -> human_ y1 y2 .
Variable general_ : Universe -> Universe -> Prop.
Variable EqCongruence_general : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> general_ x1 x2 -> general_ y1 y2 .
Variable forename_ : Universe -> Universe -> Prop.
Variable EqCongruence_forename : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> forename_ x1 x2 -> forename_ y1 y2 .
Variable female_ : Universe -> Universe -> Prop.
Variable EqCongruence_female : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> female_ x1 x2 -> female_ y1 y2 .
Variable existent_ : Universe -> Universe -> Prop.
Variable EqCongruence_existent : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> existent_ x1 x2 -> existent_ y1 y2 .
Variable eventuality_ : Universe -> Universe -> Prop.
Variable EqCongruence_eventuality : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> eventuality_ x1 x2 -> eventuality_ y1 y2 .
Variable event_ : Universe -> Universe -> Prop.
Variable EqCongruence_event : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> event_ x1 x2 -> event_ y1 y2 .
Variable entity_ : Universe -> Universe -> Prop.
Variable EqCongruence_entity : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> entity_ x1 x2 -> entity_ y1 y2 .
Variable desire_want_ : Universe -> Universe -> Prop.
Variable EqCongruence_desire_want : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> desire_want_ x1 x2 -> desire_want_ y1 y2 .
Variable dance_ : Universe -> Universe -> Prop.
Variable EqCongruence_dance : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> dance_ x1 x2 -> dance_ y1 y2 .
Variable animate_ : Universe -> Universe -> Prop.
Variable EqCongruence_animate : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> animate_ x1 x2 -> animate_ y1 y2 .
Variable agent_ : Universe -> Universe -> Universe -> Prop.
Variable EqCongruence_agent : forall x1 x2 x3 y1 y2 y3 : Universe, x1 = y1 -> x2 = y2 -> x3 = y3 -> agent_ x1 x2 x3 -> agent_ y1 y2 y3 .
Variable actual_world_ : Universe -> Prop.
Variable EqCongruence_actual_world : forall x1 y1 : Universe, x1 = y1 -> actual_world_ x1 -> actual_world_ y1 .
Variable accessible_world_ : Universe -> Universe -> Prop.
Variable EqCongruence_accessible_world : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> accessible_world_ x1 x2 -> accessible_world_ y1 y2 .
Variable abstraction_ : Universe -> Universe -> Prop.
Variable EqCongruence_abstraction : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> abstraction_ x1 x2 -> abstraction_ y1 y2 .


Variable ax1_1 : (forall U V : Universe, (man_ U V -> male_ U V)).
Variable ax2_2 : (forall U V : Universe, (man_ U V -> human_person_ U V)).
Variable ax3_3 : (forall U V : Universe, (vincent_forename_ U V -> forename_ U V)).
Variable ax4_4 : (forall U V : Universe, (woman_ U V -> female_ U V)).
Variable ax5_5 : (forall U V : Universe, (human_person_ U V -> animate_ U V)).
Variable ax6_6 : (forall U V : Universe, (human_person_ U V -> human_ U V)).
Variable ax7_7 : (forall U V : Universe, (organism_ U V -> living_ U V)).
Variable ax8_8 : (forall U V : Universe, (organism_ U V -> impartial_ U V)).
Variable ax9_9 : (forall U V : Universe, (entity_ U V -> existent_ U V)).
Variable ax10_10 : (forall U V : Universe, (entity_ U V -> specific_ U V)).
Variable ax11_11 : (forall U V : Universe, (entity_ U V -> thing_ U V)).
Variable ax12_12 : (forall U V : Universe, (organism_ U V -> entity_ U V)).
Variable ax13_13 : (forall U V : Universe, (human_person_ U V -> organism_ U V)).
Variable ax14_14 : (forall U V : Universe, (woman_ U V -> human_person_ U V)).
Variable ax15_15 : (forall U V : Universe, (mia_forename_ U V -> forename_ U V)).
Variable ax16_16 : (forall U V : Universe, (relname_ U V -> relation_ U V)).
Variable ax17_17 : (forall U V : Universe, (forename_ U V -> relname_ U V)).
Variable ax18_18 : (forall U V : Universe, (abstraction_ U V -> unisex_ U V)).
Variable ax19_19 : (forall U V : Universe, (abstraction_ U V -> general_ U V)).
Variable ax20_20 : (forall U V : Universe, (abstraction_ U V -> nonhuman_ U V)).
Variable ax21_21 : (forall U V : Universe, (abstraction_ U V -> thing_ U V)).
Variable ax22_22 : (forall U V : Universe, (relation_ U V -> abstraction_ U V)).
Variable ax23_23 : (forall U V : Universe, (proposition_ U V -> relation_ U V)).
Variable ax24_24 : (forall U V : Universe, (desire_want_ U V -> event_ U V)).
Variable ax25_25 : (forall U V : Universe, (eventuality_ U V -> unisex_ U V)).
Variable ax26_26 : (forall U V : Universe, (eventuality_ U V -> nonexistent_ U V)).
Variable ax27_27 : (forall U V : Universe, (eventuality_ U V -> specific_ U V)).
Variable ax28_28 : (forall U V : Universe, (thing_ U V -> singleton_ U V)).
Variable ax29_29 : (forall U V : Universe, (eventuality_ U V -> thing_ U V)).
Variable ax30_30 : (forall U V : Universe, (event_ U V -> eventuality_ U V)).
Variable ax31_31 : (forall U V : Universe, (dance_ U V -> event_ U V)).
Variable ax32_32 : (forall U V : Universe, (existent_ U V -> ~(nonexistent_ U V))).
Variable ax33_33 : (forall U V : Universe, (male_ U V -> ~(female_ U V))).
Variable ax34_34 : (forall U V : Universe, (nonhuman_ U V -> ~(human_ U V))).
Variable ax35_35 : (forall U V : Universe, (specific_ U V -> ~(general_ U V))).
Variable ax36_36 : (forall U V : Universe, (unisex_ U V -> ~(female_ U V))).
Variable ax37_37 : (forall U V : Universe, (unisex_ U V -> ~(male_ U V))).
Variable ax38_38 : (forall U V W : Universe, ((accessible_world_ V W /\ male_ V U) -> male_ W U)).
Variable ax39_39 : (forall U V W : Universe, ((accessible_world_ V W /\ man_ V U) -> man_ W U)).
Variable ax40_40 : (forall U V W : Universe, ((accessible_world_ V W /\ vincent_forename_ V U) -> vincent_forename_ W U)).
Variable ax41_41 : (forall U V W X : Universe, ((accessible_world_ W X /\ of_ W U V) -> of_ X U V)).
Variable ax42_42 : (forall U V W : Universe, ((accessible_world_ V W /\ female_ V U) -> female_ W U)).
Variable ax43_43 : (forall U V W : Universe, ((accessible_world_ V W /\ animate_ V U) -> animate_ W U)).
Variable ax44_44 : (forall U V W : Universe, ((accessible_world_ V W /\ human_ V U) -> human_ W U)).
Variable ax45_45 : (forall U V W : Universe, ((accessible_world_ V W /\ living_ V U) -> living_ W U)).
Variable ax46_46 : (forall U V W : Universe, ((accessible_world_ V W /\ impartial_ V U) -> impartial_ W U)).
Variable ax47_47 : (forall U V W : Universe, ((accessible_world_ V W /\ existent_ V U) -> existent_ W U)).
Variable ax48_48 : (forall U V W : Universe, ((accessible_world_ V W /\ entity_ V U) -> entity_ W U)).
Variable ax49_49 : (forall U V W : Universe, ((accessible_world_ V W /\ organism_ V U) -> organism_ W U)).
Variable ax50_50 : (forall U V W : Universe, ((accessible_world_ V W /\ human_person_ V U) -> human_person_ W U)).
Variable ax51_51 : (forall U V W : Universe, ((accessible_world_ V W /\ woman_ V U) -> woman_ W U)).
Variable ax52_52 : (forall U V W : Universe, ((accessible_world_ V W /\ mia_forename_ V U) -> mia_forename_ W U)).
Variable ax53_53 : (forall U V W : Universe, ((accessible_world_ V W /\ relname_ V U) -> relname_ W U)).
Variable ax54_54 : (forall U V W : Universe, ((accessible_world_ V W /\ forename_ V U) -> forename_ W U)).
Variable ax55_55 : (forall U V W : Universe, ((accessible_world_ V W /\ general_ V U) -> general_ W U)).
Variable ax56_56 : (forall U V W : Universe, ((accessible_world_ V W /\ nonhuman_ V U) -> nonhuman_ W U)).
Variable ax57_57 : (forall U V W : Universe, ((accessible_world_ V W /\ abstraction_ V U) -> abstraction_ W U)).
Variable ax58_58 : (forall U V W : Universe, ((accessible_world_ V W /\ relation_ V U) -> relation_ W U)).
Variable ax59_59 : (forall U V W : Universe, ((accessible_world_ V W /\ proposition_ V U) -> proposition_ W U)).
Variable ax60_60 : (forall U V W X : Universe, ((accessible_world_ W X /\ theme_ W U V) -> theme_ X U V)).
Variable ax61_61 : (forall U V W : Universe, ((accessible_world_ V W /\ desire_want_ V U) -> desire_want_ W U)).
Variable ax62_62 : (forall U V W X : Universe, ((accessible_world_ W X /\ agent_ W U V) -> agent_ X U V)).
Variable ax63_63 : (forall U V W : Universe, ((accessible_world_ V W /\ present_ V U) -> present_ W U)).
Variable ax64_64 : (forall U V W : Universe, ((accessible_world_ V W /\ unisex_ V U) -> unisex_ W U)).
Variable ax65_65 : (forall U V W : Universe, ((accessible_world_ V W /\ nonexistent_ V U) -> nonexistent_ W U)).
Variable ax66_66 : (forall U V W : Universe, ((accessible_world_ V W /\ specific_ V U) -> specific_ W U)).
Variable ax67_67 : (forall U V W : Universe, ((accessible_world_ V W /\ singleton_ V U) -> singleton_ W U)).
Variable ax68_68 : (forall U V W : Universe, ((accessible_world_ V W /\ thing_ V U) -> thing_ W U)).
Variable ax69_69 : (forall U V W : Universe, ((accessible_world_ V W /\ eventuality_ V U) -> eventuality_ W U)).
Variable ax70_70 : (forall U V W : Universe, ((accessible_world_ V W /\ event_ V U) -> event_ W U)).
Variable ax71_71 : (forall U V W : Universe, ((accessible_world_ V W /\ dance_ V U) -> dance_ W U)).
Variable ax72_72 : (forall U V W : Universe, ((entity_ U V /\ (forename_ U W /\ of_ U W V)) -> ~((exists X : Universe, (forename_ U X /\ (X <> W /\ of_ U X V)))))).
Variable ax73_73 : (forall U V W X Y : Universe, ((desire_want_ U V /\ (proposition_ U X /\ (theme_ U V X /\ (desire_want_ U W /\ (proposition_ U Y /\ theme_ U W Y))))) -> X = Y)).

Set Firstorder Depth 10.

Theorem co1_74 : ~(((exists U : Universe, (actual_world_ U /\ (exists V W X Y : Universe, (of_ U W V /\ (woman_ U V /\ (mia_forename_ U W /\ (forename_ U W /\ (proposition_ U X /\ (present_ U Y /\ (theme_ U Y X /\ (desire_want_ U Y /\ (agent_ U Y V /\ (accessible_world_ U X /\ (exists Z : Universe, (event_ X Z /\ (agent_ X Z V /\ (present_ X Z /\ dance_ X Z))))))))))))))))) /\ ~((exists X1 : Universe, (actual_world_ X1 /\ (exists X2 X3 V W X Y : Universe, (of_ X1 X3 X2 /\ (man_ X1 X2 /\ (vincent_forename_ X1 X3 /\ (forename_ X1 X3 /\ (of_ X1 W V /\ (woman_ X1 V /\ (mia_forename_ X1 W /\ (forename_ X1 W /\ (proposition_ X1 X /\ (present_ X1 Y /\ (theme_ X1 Y X /\ (desire_want_ X1 Y /\ (agent_ X1 Y V /\ (accessible_world_ X1 X /\ ((exists Z : Universe, (event_ X Z /\ (agent_ X Z V /\ (present_ X Z /\ dance_ X Z)))) /\ ~((exists X4 X5 : Universe, (proposition_ X1 X4 /\ (present_ X1 X5 /\ (theme_ X1 X5 X4 /\ (desire_want_ X1 X5 /\ (agent_ X1 X5 X2 /\ (accessible_world_ X1 X4 /\ (exists X6 : Universe, (event_ X4 X6 /\ (agent_ X4 X6 X2 /\ (present_ X4 X6 /\ dance_ X4 X6))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
