(*
% File     : NLP032+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : Three young guys, problem 7
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            Three young guys sit at a table with hamburgers.
% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris009 [Bos00b]
% Status   : CounterSatisfiable
% Rating   : 0.50 v3.1.0, 0.67 v2.7.0, 0.83 v2.6.0, 0.75 v2.5.0, 0.67 v2.4.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :   72 (   0 equality)
%            Maximal formula depth :   23 (  23 average)
%            Number of connectives :   73 (   2 ~  ;   0  |;  53  &)
%                                         (   0 <=>;  18 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   14 (   0 propositional; 1-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   36 (   0 singleton;  16 !;  20 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable young_ : Universe -> Universe -> Prop.
Variable with_ : Universe -> Universe -> Universe -> Prop.
Variable three_ : Universe -> Universe -> Prop.
Variable table_ : Universe -> Universe -> Prop.
Variable sit_ : Universe -> Universe -> Prop.
Variable present_ : Universe -> Universe -> Prop.
Variable member_ : Universe -> Universe -> Universe -> Prop.
Variable hamburger_ : Universe -> Universe -> Prop.
Variable guy_ : Universe -> Universe -> Prop.
Variable group_ : Universe -> Universe -> Prop.
Variable event_ : Universe -> Universe -> Prop.
Variable at_ : Universe -> Universe -> Universe -> Prop.
Variable agent_ : Universe -> Universe -> Universe -> Prop.
Variable actual_world_ : Universe -> Prop.



Set Firstorder Depth 10.

Theorem co1_1 : ~(~((((exists U : Universe, (actual_world_ U /\ (exists V : Universe, ((forall W : Universe, (member_ U W V -> (exists X Y : Universe, (table_ U X /\ ((forall Z : Universe, (member_ U Z Y -> (exists X1 : Universe, (event_ U X1 /\ (agent_ U X1 Z /\ (present_ U X1 /\ (sit_ U X1 /\ (at_ U X1 X /\ with_ U X1 W)))))))) /\ (three_ U Y /\ (group_ U Y /\ (forall X2 : Universe, (member_ U X2 Y -> (guy_ U X2 /\ young_ U X2)))))))))) /\ (group_ U V /\ (forall X3 : Universe, (member_ U X3 V -> hamburger_ U X3))))))) -> (exists X4 : Universe, (actual_world_ X4 /\ (exists X5 : Universe, ((forall X6 : Universe, (member_ X4 X6 X5 -> (exists X7 : Universe, ((forall X8 : Universe, (member_ X4 X8 X7 -> (exists X9 X10 : Universe, (table_ X4 X9 /\ (event_ X4 X10 /\ (agent_ X4 X10 X8 /\ (present_ X4 X10 /\ (sit_ X4 X10 /\ (at_ X4 X10 X9 /\ with_ X4 X10 X6))))))))) /\ (three_ X4 X7 /\ (group_ X4 X7 /\ (forall X11 : Universe, (member_ X4 X11 X7 -> (guy_ X4 X11 /\ young_ X4 X11))))))))) /\ (group_ X4 X5 /\ (forall X12 : Universe, (member_ X4 X12 X5 -> hamburger_ X4 X12)))))))) /\ ((exists X4 : Universe, (actual_world_ X4 /\ (exists X5 : Universe, ((forall X6 : Universe, (member_ X4 X6 X5 -> (exists X7 : Universe, ((forall X8 : Universe, (member_ X4 X8 X7 -> (exists X9 X10 : Universe, (table_ X4 X9 /\ (event_ X4 X10 /\ (agent_ X4 X10 X8 /\ (present_ X4 X10 /\ (sit_ X4 X10 /\ (at_ X4 X10 X9 /\ with_ X4 X10 X6))))))))) /\ (three_ X4 X7 /\ (group_ X4 X7 /\ (forall X11 : Universe, (member_ X4 X11 X7 -> (guy_ X4 X11 /\ young_ X4 X11))))))))) /\ (group_ X4 X5 /\ (forall X12 : Universe, (member_ X4 X12 X5 -> hamburger_ X4 X12))))))) -> (exists U : Universe, (actual_world_ U /\ (exists V : Universe, ((forall W : Universe, (member_ U W V -> (exists X Y : Universe, (table_ U X /\ ((forall Z : Universe, (member_ U Z Y -> (exists X1 : Universe, (event_ U X1 /\ (agent_ U X1 Z /\ (present_ U X1 /\ (sit_ U X1 /\ (at_ U X1 X /\ with_ U X1 W)))))))) /\ (three_ U Y /\ (group_ U Y /\ (forall X2 : Universe, (member_ U X2 Y -> (guy_ U X2 /\ young_ U X2)))))))))) /\ (group_ U V /\ (forall X3 : Universe, (member_ U X3 V -> hamburger_ U X3))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
