(*
% File     : NLP039+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : Three young guys, problem 14
% Version  : [Bos00b] axioms.
% English  : Eliminating inconsistent interpretations in the statement
%            Three young guys sit at a table with hamburgers.
% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris016 [Bos00b]
% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.33 v2.7.0, 0.50 v2.6.0, 0.25 v2.5.0, 0.33 v2.4.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :   43 (   1 unit)
%            Number of atoms       :  110 (   6 equality)
%            Maximal formula depth :   20 (   5 average)
%            Number of connectives :   77 (  10 ~  ;   2  |;  19  &)
%                                         (   1 <=>;  45 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   42 (   0 propositional; 1-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   97 (   0 singleton;  88 !;   9 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable EqTransitivity : forall x y z : Universe, x = y -> y = z -> x = z.
Variable EqSymmetry : forall x y : Universe, x = y -> y = x.
Variable EqReflexivity : forall x : Universe, x = x.
Variable young_ : Universe -> Universe -> Prop.
Variable EqCongruence_young : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> young_ x1 x2 -> young_ y1 y2 .
Variable with_ : Universe -> Universe -> Universe -> Prop.
Variable EqCongruence_with : forall x1 x2 x3 y1 y2 y3 : Universe, x1 = y1 -> x2 = y2 -> x3 = y3 -> with_ x1 x2 x3 -> with_ y1 y2 y3 .
Variable unisex_ : Universe -> Universe -> Prop.
Variable EqCongruence_unisex : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> unisex_ x1 x2 -> unisex_ y1 y2 .
Variable three_ : Universe -> Universe -> Prop.
Variable EqCongruence_three : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> three_ x1 x2 -> three_ y1 y2 .
Variable thing_ : Universe -> Universe -> Prop.
Variable EqCongruence_thing : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> thing_ x1 x2 -> thing_ y1 y2 .
Variable table_ : Universe -> Universe -> Prop.
Variable EqCongruence_table : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> table_ x1 x2 -> table_ y1 y2 .
Variable substance_matter_ : Universe -> Universe -> Prop.
Variable EqCongruence_substance_matter : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> substance_matter_ x1 x2 -> substance_matter_ y1 y2 .
Variable specific_ : Universe -> Universe -> Prop.
Variable EqCongruence_specific : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> specific_ x1 x2 -> specific_ y1 y2 .
Variable sit_ : Universe -> Universe -> Prop.
Variable EqCongruence_sit : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> sit_ x1 x2 -> sit_ y1 y2 .
Variable singleton_ : Universe -> Universe -> Prop.
Variable EqCongruence_singleton : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> singleton_ x1 x2 -> singleton_ y1 y2 .
Variable set_ : Universe -> Universe -> Prop.
Variable EqCongruence_set : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> set_ x1 x2 -> set_ y1 y2 .
Variable present_ : Universe -> Universe -> Prop.
Variable EqCongruence_present : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> present_ x1 x2 -> present_ y1 y2 .
Variable organism_ : Universe -> Universe -> Prop.
Variable EqCongruence_organism : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> organism_ x1 x2 -> organism_ y1 y2 .
Variable object_ : Universe -> Universe -> Prop.
Variable EqCongruence_object : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> object_ x1 x2 -> object_ y1 y2 .
Variable nonliving_ : Universe -> Universe -> Prop.
Variable EqCongruence_nonliving : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> nonliving_ x1 x2 -> nonliving_ y1 y2 .
Variable nonexistent_ : Universe -> Universe -> Prop.
Variable EqCongruence_nonexistent : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> nonexistent_ x1 x2 -> nonexistent_ y1 y2 .
Variable multiple_ : Universe -> Universe -> Prop.
Variable EqCongruence_multiple : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> multiple_ x1 x2 -> multiple_ y1 y2 .
Variable member_ : Universe -> Universe -> Universe -> Prop.
Variable EqCongruence_member : forall x1 x2 x3 y1 y2 y3 : Universe, x1 = y1 -> x2 = y2 -> x3 = y3 -> member_ x1 x2 x3 -> member_ y1 y2 y3 .
Variable meat_ : Universe -> Universe -> Prop.
Variable EqCongruence_meat : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> meat_ x1 x2 -> meat_ y1 y2 .
Variable man_ : Universe -> Universe -> Prop.
Variable EqCongruence_man : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> man_ x1 x2 -> man_ y1 y2 .
Variable male_ : Universe -> Universe -> Prop.
Variable EqCongruence_male : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> male_ x1 x2 -> male_ y1 y2 .
Variable living_ : Universe -> Universe -> Prop.
Variable EqCongruence_living : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> living_ x1 x2 -> living_ y1 y2 .
Variable instrumentality_ : Universe -> Universe -> Prop.
Variable EqCongruence_instrumentality : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> instrumentality_ x1 x2 -> instrumentality_ y1 y2 .
Variable impartial_ : Universe -> Universe -> Prop.
Variable EqCongruence_impartial : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> impartial_ x1 x2 -> impartial_ y1 y2 .
Variable human_person_ : Universe -> Universe -> Prop.
Variable EqCongruence_human_person : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> human_person_ x1 x2 -> human_person_ y1 y2 .
Variable human_ : Universe -> Universe -> Prop.
Variable EqCongruence_human : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> human_ x1 x2 -> human_ y1 y2 .
Variable hamburger_ : Universe -> Universe -> Prop.
Variable EqCongruence_hamburger : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> hamburger_ x1 x2 -> hamburger_ y1 y2 .
Variable guy_ : Universe -> Universe -> Prop.
Variable EqCongruence_guy : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> guy_ x1 x2 -> guy_ y1 y2 .
Variable group_ : Universe -> Universe -> Prop.
Variable EqCongruence_group : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> group_ x1 x2 -> group_ y1 y2 .
Variable furniture_ : Universe -> Universe -> Prop.
Variable EqCongruence_furniture : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> furniture_ x1 x2 -> furniture_ y1 y2 .
Variable food_ : Universe -> Universe -> Prop.
Variable EqCongruence_food : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> food_ x1 x2 -> food_ y1 y2 .
Variable existent_ : Universe -> Universe -> Prop.
Variable EqCongruence_existent : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> existent_ x1 x2 -> existent_ y1 y2 .
Variable eventuality_ : Universe -> Universe -> Prop.
Variable EqCongruence_eventuality : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> eventuality_ x1 x2 -> eventuality_ y1 y2 .
Variable event_ : Universe -> Universe -> Prop.
Variable EqCongruence_event : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> event_ x1 x2 -> event_ y1 y2 .
Variable entity_ : Universe -> Universe -> Prop.
Variable EqCongruence_entity : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> entity_ x1 x2 -> entity_ y1 y2 .
Variable burger_ : Universe -> Universe -> Prop.
Variable EqCongruence_burger : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> burger_ x1 x2 -> burger_ y1 y2 .
Variable at_ : Universe -> Universe -> Universe -> Prop.
Variable EqCongruence_at : forall x1 x2 x3 y1 y2 y3 : Universe, x1 = y1 -> x2 = y2 -> x3 = y3 -> at_ x1 x2 x3 -> at_ y1 y2 y3 .
Variable artifact_ : Universe -> Universe -> Prop.
Variable EqCongruence_artifact : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> artifact_ x1 x2 -> artifact_ y1 y2 .
Variable animate_ : Universe -> Universe -> Prop.
Variable EqCongruence_animate : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> animate_ x1 x2 -> animate_ y1 y2 .
Variable agent_ : Universe -> Universe -> Universe -> Prop.
Variable EqCongruence_agent : forall x1 x2 x3 y1 y2 y3 : Universe, x1 = y1 -> x2 = y2 -> x3 = y3 -> agent_ x1 x2 x3 -> agent_ y1 y2 y3 .
Variable actual_world_ : Universe -> Prop.
Variable EqCongruence_actual_world : forall x1 y1 : Universe, x1 = y1 -> actual_world_ x1 -> actual_world_ y1 .


Variable ax1_1 : (forall U V : Universe, (artifact_ U V -> object_ U V)).
Variable ax2_2 : (forall U V : Universe, (instrumentality_ U V -> artifact_ U V)).
Variable ax3_3 : (forall U V : Universe, (furniture_ U V -> instrumentality_ U V)).
Variable ax4_4 : (forall U V : Universe, (table_ U V -> furniture_ U V)).
Variable ax5_5 : (forall U V : Universe, (eventuality_ U V -> unisex_ U V)).
Variable ax6_6 : (forall U V : Universe, (eventuality_ U V -> nonexistent_ U V)).
Variable ax7_7 : (forall U V : Universe, (eventuality_ U V -> specific_ U V)).
Variable ax8_8 : (forall U V : Universe, (eventuality_ U V -> thing_ U V)).
Variable ax9_9 : (forall U V : Universe, (event_ U V -> eventuality_ U V)).
Variable ax10_10 : (forall U V : Universe, (sit_ U V -> event_ U V)).
Variable ax11_11 : (forall U V : Universe, (object_ U V -> unisex_ U V)).
Variable ax12_12 : (forall U V : Universe, (object_ U V -> impartial_ U V)).
Variable ax13_13 : (forall U V : Universe, (object_ U V -> nonliving_ U V)).
Variable ax14_14 : (forall U V : Universe, (object_ U V -> entity_ U V)).
Variable ax15_15 : (forall U V : Universe, (substance_matter_ U V -> object_ U V)).
Variable ax16_16 : (forall U V : Universe, (food_ U V -> substance_matter_ U V)).
Variable ax17_17 : (forall U V : Universe, (meat_ U V -> food_ U V)).
Variable ax18_18 : (forall U V : Universe, (burger_ U V -> meat_ U V)).
Variable ax19_19 : (forall U V : Universe, (hamburger_ U V -> burger_ U V)).
Variable ax20_20 : (forall U V : Universe, (three_ U V -> group_ U V)).
Variable ax21_21 : (forall U V : Universe, (set_ U V -> multiple_ U V)).
Variable ax22_22 : (forall U V : Universe, (group_ U V -> set_ U V)).
Variable ax23_23 : (forall U V : Universe, (man_ U V -> male_ U V)).
Variable ax24_24 : (forall U V : Universe, (human_person_ U V -> animate_ U V)).
Variable ax25_25 : (forall U V : Universe, (human_person_ U V -> human_ U V)).
Variable ax26_26 : (forall U V : Universe, (organism_ U V -> living_ U V)).
Variable ax27_27 : (forall U V : Universe, (organism_ U V -> impartial_ U V)).
Variable ax28_28 : (forall U V : Universe, (entity_ U V -> existent_ U V)).
Variable ax29_29 : (forall U V : Universe, (entity_ U V -> specific_ U V)).
Variable ax30_30 : (forall U V : Universe, (thing_ U V -> singleton_ U V)).
Variable ax31_31 : (forall U V : Universe, (entity_ U V -> thing_ U V)).
Variable ax32_32 : (forall U V : Universe, (organism_ U V -> entity_ U V)).
Variable ax33_33 : (forall U V : Universe, (human_person_ U V -> organism_ U V)).
Variable ax34_34 : (forall U V : Universe, (man_ U V -> human_person_ U V)).
Variable ax35_35 : (forall U V : Universe, (guy_ U V -> man_ U V)).
Variable ax36_36 : (forall U V : Universe, (animate_ U V -> ~(nonliving_ U V))).
Variable ax37_37 : (forall U V : Universe, (existent_ U V -> ~(nonexistent_ U V))).
Variable ax38_38 : (forall U V : Universe, (nonliving_ U V -> ~(living_ U V))).
Variable ax39_39 : (forall U V : Universe, (singleton_ U V -> ~(multiple_ U V))).
Variable ax40_40 : (forall U V : Universe, (unisex_ U V -> ~(male_ U V))).
Variable ax41_41 : (forall U V : Universe, (three_ U V <-> (exists W : Universe, (member_ U W V /\ (exists X : Universe, (member_ U X V /\ (X <> W /\ (exists Y : Universe, (member_ U Y V /\ (Y <> X /\ (Y <> W /\ (forall Z : Universe, (member_ U Z V -> (Z = Y \/ (Z = X \/ Z = W))))))))))))))).
Variable ax42_42 : (forall U : Universe, ~((exists V : Universe, member_ U V V))).

Set Firstorder Depth 10.

Theorem co1_43 : ~((exists U : Universe, (actual_world_ U /\ (exists V : Universe, ((forall W : Universe, (member_ U W V -> (exists X Y : Universe, (table_ U X /\ ((forall Z : Universe, (member_ U Z Y -> (exists X1 : Universe, (event_ U X1 /\ (agent_ U X1 W /\ (present_ U X1 /\ (sit_ U X1 /\ (at_ U X1 X /\ with_ U X1 Z)))))))) /\ (group_ U Y /\ (forall X2 : Universe, (member_ U X2 Y -> hamburger_ U X2)))))))) /\ (three_ U V /\ (group_ U V /\ (forall X3 : Universe, (member_ U X3 V -> (guy_ U X3 /\ young_ U X3)))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
