(*
% File     : NLP045+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : Mia ordered a shake, problem 4
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            Mia ordered a shake. It cost five dollars.
% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris022 [Bos00b]
% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.50 v2.7.0, 0.67 v2.6.0, 0.25 v2.5.0, 0.33 v2.4.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :   96 (   0 equality)
%            Maximal formula depth :   33 (  33 average)
%            Number of connectives :   97 (   2 ~  ;   0  |;  85  &)
%                                         (   0 <=>;  10 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   19 (   0 propositional; 1-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   36 (   0 singleton;   8 !;  28 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable woman_ : Universe -> Universe -> Prop.
Variable shake_beverage_ : Universe -> Universe -> Prop.
Variable present_ : Universe -> Universe -> Prop.
Variable patient_ : Universe -> Universe -> Universe -> Prop.
Variable past_ : Universe -> Universe -> Prop.
Variable order_ : Universe -> Universe -> Prop.
Variable of_ : Universe -> Universe -> Universe -> Prop.
Variable nonreflexive_ : Universe -> Universe -> Prop.
Variable nonhuman_ : Universe -> Universe -> Prop.
Variable mia_forename_ : Universe -> Universe -> Prop.
Variable member_ : Universe -> Universe -> Universe -> Prop.
Variable group_ : Universe -> Universe -> Prop.
Variable forename_ : Universe -> Universe -> Prop.
Variable five_ : Universe -> Universe -> Prop.
Variable event_ : Universe -> Universe -> Prop.
Variable dollar_ : Universe -> Universe -> Prop.
Variable cost_ : Universe -> Universe -> Prop.
Variable agent_ : Universe -> Universe -> Universe -> Prop.
Variable actual_world_ : Universe -> Prop.



Set Firstorder Depth 10.

Theorem co1_1 : ~(~((((exists U : Universe, (actual_world_ U /\ (exists V W X Y Z : Universe, (nonhuman_ U W /\ (of_ U W V /\ (woman_ U V /\ (mia_forename_ U W /\ (forename_ U W /\ (shake_beverage_ U X /\ (event_ U Y /\ (agent_ U Y V /\ (patient_ U Y X /\ (past_ U Y /\ (nonreflexive_ U Y /\ (order_ U Y /\ ((forall X1 : Universe, (member_ U X1 Z -> (exists X2 : Universe, (event_ U X2 /\ (agent_ U X2 W /\ (patient_ U X2 X1 /\ (present_ U X2 /\ (nonreflexive_ U X2 /\ cost_ U X2)))))))) /\ (five_ U Z /\ (group_ U Z /\ (forall X3 : Universe, (member_ U X3 Z -> dollar_ U X3)))))))))))))))))))) -> (exists X4 : Universe, (actual_world_ X4 /\ (exists X5 X6 X7 X8 X9 : Universe, (nonhuman_ X4 X7 /\ (of_ X4 X6 X5 /\ (woman_ X4 X5 /\ (mia_forename_ X4 X6 /\ (forename_ X4 X6 /\ (shake_beverage_ X4 X7 /\ (event_ X4 X8 /\ (agent_ X4 X8 X5 /\ (patient_ X4 X8 X7 /\ (past_ X4 X8 /\ (nonreflexive_ X4 X8 /\ (order_ X4 X8 /\ ((forall X10 : Universe, (member_ X4 X10 X9 -> (exists X11 : Universe, (event_ X4 X11 /\ (agent_ X4 X11 X7 /\ (patient_ X4 X11 X10 /\ (present_ X4 X11 /\ (nonreflexive_ X4 X11 /\ cost_ X4 X11)))))))) /\ (five_ X4 X9 /\ (group_ X4 X9 /\ (forall X12 : Universe, (member_ X4 X12 X9 -> dollar_ X4 X12))))))))))))))))))))) /\ ((exists X4 : Universe, (actual_world_ X4 /\ (exists X5 X6 X7 X8 X9 : Universe, (nonhuman_ X4 X7 /\ (of_ X4 X6 X5 /\ (woman_ X4 X5 /\ (mia_forename_ X4 X6 /\ (forename_ X4 X6 /\ (shake_beverage_ X4 X7 /\ (event_ X4 X8 /\ (agent_ X4 X8 X5 /\ (patient_ X4 X8 X7 /\ (past_ X4 X8 /\ (nonreflexive_ X4 X8 /\ (order_ X4 X8 /\ ((forall X10 : Universe, (member_ X4 X10 X9 -> (exists X11 : Universe, (event_ X4 X11 /\ (agent_ X4 X11 X7 /\ (patient_ X4 X11 X10 /\ (present_ X4 X11 /\ (nonreflexive_ X4 X11 /\ cost_ X4 X11)))))))) /\ (five_ X4 X9 /\ (group_ X4 X9 /\ (forall X12 : Universe, (member_ X4 X12 X9 -> dollar_ X4 X12)))))))))))))))))))) -> (exists U : Universe, (actual_world_ U /\ (exists V W X Y Z : Universe, (nonhuman_ U W /\ (of_ U W V /\ (woman_ U V /\ (mia_forename_ U W /\ (forename_ U W /\ (shake_beverage_ U X /\ (event_ U Y /\ (agent_ U Y V /\ (patient_ U Y X /\ (past_ U Y /\ (nonreflexive_ U Y /\ (order_ U Y /\ ((forall X1 : Universe, (member_ U X1 Z -> (exists X2 : Universe, (event_ U X2 /\ (agent_ U X2 W /\ (patient_ U X2 X1 /\ (present_ U X2 /\ (nonreflexive_ U X2 /\ cost_ U X2)))))))) /\ (five_ U Z /\ (group_ U Z /\ (forall X3 : Universe, (member_ U X3 Z -> dollar_ U X3)))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
