(*
% File     : NLP076+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : A man comes out of the bathroom, problem 16
% Version  : [Bos00b] axioms.
% English  : Eliminating inconsistent interpretations in the statement
%            A man comes out of the bathroom with a magnum in his hand.
%            The man fires six shots from his canon.
% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris053 [Bos00b]
% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.50 v2.6.0, 0.25 v2.5.0, 0.33 v2.4.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :   42 (   1 unit)
%            Number of atoms       :  127 (  22 equality)
%            Maximal formula depth :   38 (   5 average)
%            Number of connectives :  108 (  23 ~  ;   5  |;  37  &)
%                                         (   1 <=>;  42 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   41 (   0 propositional; 1-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   97 (   0 singleton;  87 !;  10 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable EqTransitivity : forall x y z : Universe, x = y -> y = z -> x = z.
Variable EqSymmetry : forall x y : Universe, x = y -> y = x.
Variable EqReflexivity : forall x : Universe, x = x.
Variable weaponry_ : Universe -> Universe -> Prop.
Variable EqCongruence_weaponry : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> weaponry_ x1 x2 -> weaponry_ y1 y2 .
Variable weapon_ : Universe -> Universe -> Prop.
Variable EqCongruence_weapon : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> weapon_ x1 x2 -> weapon_ y1 y2 .
Variable unisex_ : Universe -> Universe -> Prop.
Variable EqCongruence_unisex : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> unisex_ x1 x2 -> unisex_ y1 y2 .
Variable thing_ : Universe -> Universe -> Prop.
Variable EqCongruence_thing : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> thing_ x1 x2 -> thing_ y1 y2 .
Variable specific_ : Universe -> Universe -> Prop.
Variable EqCongruence_specific : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> specific_ x1 x2 -> specific_ y1 y2 .
Variable six_ : Universe -> Universe -> Prop.
Variable EqCongruence_six : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> six_ x1 x2 -> six_ y1 y2 .
Variable singleton_ : Universe -> Universe -> Prop.
Variable EqCongruence_singleton : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> singleton_ x1 x2 -> singleton_ y1 y2 .
Variable shot_ : Universe -> Universe -> Prop.
Variable EqCongruence_shot : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> shot_ x1 x2 -> shot_ y1 y2 .
Variable set_ : Universe -> Universe -> Prop.
Variable EqCongruence_set : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> set_ x1 x2 -> set_ y1 y2 .
Variable present_ : Universe -> Universe -> Prop.
Variable EqCongruence_present : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> present_ x1 x2 -> present_ y1 y2 .
Variable patient_ : Universe -> Universe -> Universe -> Prop.
Variable EqCongruence_patient : forall x1 x2 x3 y1 y2 y3 : Universe, x1 = y1 -> x2 = y2 -> x3 = y3 -> patient_ x1 x2 x3 -> patient_ y1 y2 y3 .
Variable organism_ : Universe -> Universe -> Prop.
Variable EqCongruence_organism : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> organism_ x1 x2 -> organism_ y1 y2 .
Variable of_ : Universe -> Universe -> Universe -> Prop.
Variable EqCongruence_of : forall x1 x2 x3 y1 y2 y3 : Universe, x1 = y1 -> x2 = y2 -> x3 = y3 -> of_ x1 x2 x3 -> of_ y1 y2 y3 .
Variable object_ : Universe -> Universe -> Prop.
Variable EqCongruence_object : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> object_ x1 x2 -> object_ y1 y2 .
Variable nonreflexive_ : Universe -> Universe -> Prop.
Variable EqCongruence_nonreflexive : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> nonreflexive_ x1 x2 -> nonreflexive_ y1 y2 .
Variable nonliving_ : Universe -> Universe -> Prop.
Variable EqCongruence_nonliving : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> nonliving_ x1 x2 -> nonliving_ y1 y2 .
Variable nonexistent_ : Universe -> Universe -> Prop.
Variable EqCongruence_nonexistent : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> nonexistent_ x1 x2 -> nonexistent_ y1 y2 .
Variable multiple_ : Universe -> Universe -> Prop.
Variable EqCongruence_multiple : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> multiple_ x1 x2 -> multiple_ y1 y2 .
Variable member_ : Universe -> Universe -> Universe -> Prop.
Variable EqCongruence_member : forall x1 x2 x3 y1 y2 y3 : Universe, x1 = y1 -> x2 = y2 -> x3 = y3 -> member_ x1 x2 x3 -> member_ y1 y2 y3 .
Variable man_ : Universe -> Universe -> Prop.
Variable EqCongruence_man : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> man_ x1 x2 -> man_ y1 y2 .
Variable male_ : Universe -> Universe -> Prop.
Variable EqCongruence_male : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> male_ x1 x2 -> male_ y1 y2 .
Variable living_ : Universe -> Universe -> Prop.
Variable EqCongruence_living : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> living_ x1 x2 -> living_ y1 y2 .
Variable instrumentality_ : Universe -> Universe -> Prop.
Variable EqCongruence_instrumentality : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> instrumentality_ x1 x2 -> instrumentality_ y1 y2 .
Variable impartial_ : Universe -> Universe -> Prop.
Variable EqCongruence_impartial : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> impartial_ x1 x2 -> impartial_ y1 y2 .
Variable human_person_ : Universe -> Universe -> Prop.
Variable EqCongruence_human_person : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> human_person_ x1 x2 -> human_person_ y1 y2 .
Variable human_ : Universe -> Universe -> Prop.
Variable EqCongruence_human : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> human_ x1 x2 -> human_ y1 y2 .
Variable group_ : Universe -> Universe -> Prop.
Variable EqCongruence_group : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> group_ x1 x2 -> group_ y1 y2 .
Variable from_loc_ : Universe -> Universe -> Universe -> Prop.
Variable EqCongruence_from_loc : forall x1 x2 x3 y1 y2 y3 : Universe, x1 = y1 -> x2 = y2 -> x3 = y3 -> from_loc_ x1 x2 x3 -> from_loc_ y1 y2 y3 .
Variable fire_ : Universe -> Universe -> Prop.
Variable EqCongruence_fire : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> fire_ x1 x2 -> fire_ y1 y2 .
Variable existent_ : Universe -> Universe -> Prop.
Variable EqCongruence_existent : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> existent_ x1 x2 -> existent_ y1 y2 .
Variable eventuality_ : Universe -> Universe -> Prop.
Variable EqCongruence_eventuality : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> eventuality_ x1 x2 -> eventuality_ y1 y2 .
Variable event_ : Universe -> Universe -> Prop.
Variable EqCongruence_event : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> event_ x1 x2 -> event_ y1 y2 .
Variable entity_ : Universe -> Universe -> Prop.
Variable EqCongruence_entity : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> entity_ x1 x2 -> entity_ y1 y2 .
Variable cannon_ : Universe -> Universe -> Prop.
Variable EqCongruence_cannon : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> cannon_ x1 x2 -> cannon_ y1 y2 .
Variable artifact_ : Universe -> Universe -> Prop.
Variable EqCongruence_artifact : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> artifact_ x1 x2 -> artifact_ y1 y2 .
Variable animate_ : Universe -> Universe -> Prop.
Variable EqCongruence_animate : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> animate_ x1 x2 -> animate_ y1 y2 .
Variable agent_ : Universe -> Universe -> Universe -> Prop.
Variable EqCongruence_agent : forall x1 x2 x3 y1 y2 y3 : Universe, x1 = y1 -> x2 = y2 -> x3 = y3 -> agent_ x1 x2 x3 -> agent_ y1 y2 y3 .
Variable actual_world_ : Universe -> Prop.
Variable EqCongruence_actual_world : forall x1 y1 : Universe, x1 = y1 -> actual_world_ x1 -> actual_world_ y1 .
Variable action_ : Universe -> Universe -> Prop.
Variable EqCongruence_action : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> action_ x1 x2 -> action_ y1 y2 .
Variable act_ : Universe -> Universe -> Prop.
Variable EqCongruence_act : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> act_ x1 x2 -> act_ y1 y2 .


Variable ax1_1 : (forall U V : Universe, (man_ U V -> male_ U V)).
Variable ax2_2 : (forall U V : Universe, (human_person_ U V -> animate_ U V)).
Variable ax3_3 : (forall U V : Universe, (human_person_ U V -> human_ U V)).
Variable ax4_4 : (forall U V : Universe, (organism_ U V -> living_ U V)).
Variable ax5_5 : (forall U V : Universe, (organism_ U V -> impartial_ U V)).
Variable ax6_6 : (forall U V : Universe, (organism_ U V -> entity_ U V)).
Variable ax7_7 : (forall U V : Universe, (human_person_ U V -> organism_ U V)).
Variable ax8_8 : (forall U V : Universe, (man_ U V -> human_person_ U V)).
Variable ax9_9 : (forall U V : Universe, (object_ U V -> unisex_ U V)).
Variable ax10_10 : (forall U V : Universe, (object_ U V -> impartial_ U V)).
Variable ax11_11 : (forall U V : Universe, (object_ U V -> nonliving_ U V)).
Variable ax12_12 : (forall U V : Universe, (entity_ U V -> existent_ U V)).
Variable ax13_13 : (forall U V : Universe, (entity_ U V -> specific_ U V)).
Variable ax14_14 : (forall U V : Universe, (entity_ U V -> thing_ U V)).
Variable ax15_15 : (forall U V : Universe, (object_ U V -> entity_ U V)).
Variable ax16_16 : (forall U V : Universe, (artifact_ U V -> object_ U V)).
Variable ax17_17 : (forall U V : Universe, (instrumentality_ U V -> artifact_ U V)).
Variable ax18_18 : (forall U V : Universe, (weaponry_ U V -> instrumentality_ U V)).
Variable ax19_19 : (forall U V : Universe, (weapon_ U V -> weaponry_ U V)).
Variable ax20_20 : (forall U V : Universe, (cannon_ U V -> weapon_ U V)).
Variable ax21_21 : (forall U V : Universe, (fire_ U V -> event_ U V)).
Variable ax22_22 : (forall U V : Universe, (six_ U V -> group_ U V)).
Variable ax23_23 : (forall U V : Universe, (set_ U V -> multiple_ U V)).
Variable ax24_24 : (forall U V : Universe, (group_ U V -> set_ U V)).
Variable ax25_25 : (forall U V : Universe, (eventuality_ U V -> unisex_ U V)).
Variable ax26_26 : (forall U V : Universe, (eventuality_ U V -> nonexistent_ U V)).
Variable ax27_27 : (forall U V : Universe, (eventuality_ U V -> specific_ U V)).
Variable ax28_28 : (forall U V : Universe, (thing_ U V -> singleton_ U V)).
Variable ax29_29 : (forall U V : Universe, (eventuality_ U V -> thing_ U V)).
Variable ax30_30 : (forall U V : Universe, (event_ U V -> eventuality_ U V)).
Variable ax31_31 : (forall U V : Universe, (act_ U V -> event_ U V)).
Variable ax32_32 : (forall U V : Universe, (action_ U V -> act_ U V)).
Variable ax33_33 : (forall U V : Universe, (shot_ U V -> action_ U V)).
Variable ax34_34 : (forall U V : Universe, (animate_ U V -> ~(nonliving_ U V))).
Variable ax35_35 : (forall U V : Universe, (existent_ U V -> ~(nonexistent_ U V))).
Variable ax36_36 : (forall U V : Universe, (nonliving_ U V -> ~(living_ U V))).
Variable ax37_37 : (forall U V : Universe, (singleton_ U V -> ~(multiple_ U V))).
Variable ax38_38 : (forall U V : Universe, (unisex_ U V -> ~(male_ U V))).
Variable ax39_39 : (forall U V W X : Universe, ((nonreflexive_ U V /\ (agent_ U V W /\ patient_ U V X)) -> W <> X)).
Variable ax40_40 : (forall U V : Universe, (six_ U V <-> (exists W : Universe, (member_ U W V /\ (exists X : Universe, (member_ U X V /\ (X <> W /\ (exists Y : Universe, (member_ U Y V /\ (Y <> X /\ (Y <> W /\ (exists Z : Universe, (member_ U Z V /\ (Z <> Y /\ (Z <> X /\ (Z <> W /\ (exists X1 : Universe, (member_ U X1 V /\ (X1 <> Z /\ (X1 <> Y /\ (X1 <> X /\ (X1 <> W /\ (exists X2 : Universe, (member_ U X2 V /\ (X2 <> X1 /\ (X2 <> Z /\ (X2 <> Y /\ (X2 <> X /\ (X2 <> W /\ (forall X3 : Universe, (member_ U X3 V -> (X3 = X2 \/ (X3 = X1 \/ (X3 = Z \/ (X3 = Y \/ (X3 = X \/ X3 = W)))))))))))))))))))))))))))))))))))).
Variable ax41_41 : (forall U : Universe, ~((exists V : Universe, member_ U V V))).

Set Firstorder Depth 10.

Theorem co1_42 : ~((exists U : Universe, (actual_world_ U /\ (exists V : Universe, (male_ U V /\ ((forall W X : Universe, ((man_ U W /\ (of_ U X V /\ (cannon_ U X /\ member_ U X V))) -> (exists Y : Universe, (event_ U Y /\ (agent_ U Y W /\ (patient_ U Y X /\ (present_ U Y /\ (nonreflexive_ U Y /\ (fire_ U Y /\ from_loc_ U Y X))))))))) /\ (six_ U V /\ (group_ U V /\ (forall Z : Universe, (member_ U Z V -> shot_ U Z)))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
