(*
% File     : NLP122+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : An old dirty white Chevy, problem 9
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            An old dirty white chevy barrels down a lonely street in 
%            hollywood.
% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris099 [Bos00b]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.4.0
% Status (intuit.) : Theorem
% Rating (intuit.) : 0.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :   68 (   0 equality)
%            Maximal formula depth :   26 (  26 average)
%            Number of connectives :   69 (   2 ~  ;   0  |;  65  &)
%                                         (   0 <=>;   2 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   0 propositional; 1-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   20 (   0 singleton;   0 !;  20 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable white_ : Universe -> Universe -> Prop.
Variable street_ : Universe -> Universe -> Prop.
Variable present_ : Universe -> Universe -> Prop.
Variable placename_ : Universe -> Universe -> Prop.
Variable old_ : Universe -> Universe -> Prop.
Variable of_ : Universe -> Universe -> Universe -> Prop.
Variable lonely_ : Universe -> Universe -> Prop.
Variable in_ : Universe -> Universe -> Universe -> Prop.
Variable hollywood_placename_ : Universe -> Universe -> Prop.
Variable event_ : Universe -> Universe -> Prop.
Variable down_ : Universe -> Universe -> Universe -> Prop.
Variable dirty_ : Universe -> Universe -> Prop.
Variable city_ : Universe -> Universe -> Prop.
Variable chevy_ : Universe -> Universe -> Prop.
Variable barrel_ : Universe -> Universe -> Prop.
Variable agent_ : Universe -> Universe -> Universe -> Prop.
Variable actual_world_ : Universe -> Prop.



Set Firstorder Depth 10.

Theorem co1_1 : ~(~((((exists U : Universe, (actual_world_ U /\ (exists V W X Y : Universe, (of_ U V W /\ (city_ U W /\ (hollywood_placename_ U V /\ (placename_ U V /\ (chevy_ U W /\ (white_ U W /\ (dirty_ U W /\ (old_ U W /\ (street_ U X /\ (lonely_ U X /\ (event_ U Y /\ (agent_ U Y W /\ (present_ U Y /\ (barrel_ U Y /\ (down_ U Y X /\ in_ U Y W)))))))))))))))))) -> (exists Z : Universe, (actual_world_ Z /\ (exists X1 X2 X3 X4 : Universe, (street_ Z X1 /\ (lonely_ Z X1 /\ (of_ Z X2 X3 /\ (city_ Z X3 /\ (hollywood_placename_ Z X2 /\ (placename_ Z X2 /\ (chevy_ Z X3 /\ (white_ Z X3 /\ (dirty_ Z X3 /\ (old_ Z X3 /\ (event_ Z X4 /\ (agent_ Z X4 X3 /\ (present_ Z X4 /\ (barrel_ Z X4 /\ (down_ Z X4 X1 /\ in_ Z X4 X3))))))))))))))))))) /\ ((exists Z : Universe, (actual_world_ Z /\ (exists X1 X2 X3 X4 : Universe, (street_ Z X1 /\ (lonely_ Z X1 /\ (of_ Z X2 X3 /\ (city_ Z X3 /\ (hollywood_placename_ Z X2 /\ (placename_ Z X2 /\ (chevy_ Z X3 /\ (white_ Z X3 /\ (dirty_ Z X3 /\ (old_ Z X3 /\ (event_ Z X4 /\ (agent_ Z X4 X3 /\ (present_ Z X4 /\ (barrel_ Z X4 /\ (down_ Z X4 X1 /\ in_ Z X4 X3)))))))))))))))))) -> (exists U : Universe, (actual_world_ U /\ (exists V W X Y : Universe, (of_ U V W /\ (city_ U W /\ (hollywood_placename_ U V /\ (placename_ U V /\ (chevy_ U W /\ (white_ U W /\ (dirty_ U W /\ (old_ U W /\ (street_ U X /\ (lonely_ U X /\ (event_ U Y /\ (agent_ U Y W /\ (present_ U Y /\ (barrel_ U Y /\ (down_ U Y X /\ in_ U Y W)))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
