(*
% File     : NLP164+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : An old dirty white Chevy, problem 51
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            An old dirty white chevy barrels down a lonely street in 
%            hollywood. Two young fellas are in the front seat. They are 
%            wearing cheap black coats.
% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris141 [Bos00b]
% Status   : CounterSatisfiable
% Rating   : 0.50 v3.1.0, 1.00 v2.6.0, 0.75 v2.5.0, 0.67 v2.4.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  164 (   0 equality)
%            Maximal formula depth :   49 (  49 average)
%            Number of connectives :  165 (   2 ~  ;   0  |; 141  &)
%                                         (   0 <=>;  22 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   31 (   0 propositional; 1-4 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   70 (   0 singleton;  20 !;  50 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable young_ : Universe -> Universe -> Prop.
Variable white_ : Universe -> Universe -> Prop.
Variable wear_ : Universe -> Universe -> Prop.
Variable two_ : Universe -> Universe -> Prop.
Variable street_ : Universe -> Universe -> Prop.
Variable state_ : Universe -> Universe -> Prop.
Variable present_ : Universe -> Universe -> Prop.
Variable placename_ : Universe -> Universe -> Prop.
Variable patient_ : Universe -> Universe -> Universe -> Prop.
Variable old_ : Universe -> Universe -> Prop.
Variable of_ : Universe -> Universe -> Universe -> Prop.
Variable nonreflexive_ : Universe -> Universe -> Prop.
Variable member_ : Universe -> Universe -> Universe -> Prop.
Variable lonely_ : Universe -> Universe -> Prop.
Variable in_ : Universe -> Universe -> Universe -> Prop.
Variable hollywood_placename_ : Universe -> Universe -> Prop.
Variable group_ : Universe -> Universe -> Prop.
Variable frontseat_ : Universe -> Universe -> Prop.
Variable fellow_ : Universe -> Universe -> Prop.
Variable event_ : Universe -> Universe -> Prop.
Variable down_ : Universe -> Universe -> Universe -> Prop.
Variable dirty_ : Universe -> Universe -> Prop.
Variable coat_ : Universe -> Universe -> Prop.
Variable city_ : Universe -> Universe -> Prop.
Variable chevy_ : Universe -> Universe -> Prop.
Variable cheap_ : Universe -> Universe -> Prop.
Variable black_ : Universe -> Universe -> Prop.
Variable be_ : Universe -> Universe -> Universe -> Universe -> Prop.
Variable barrel_ : Universe -> Universe -> Prop.
Variable agent_ : Universe -> Universe -> Universe -> Prop.
Variable actual_world_ : Universe -> Prop.



Set Firstorder Depth 10.

Theorem co1_1 : ~(~((((exists U : Universe, (actual_world_ U /\ (exists V W X Y Z X1 X2 X3 X4 : Universe, (group_ U V /\ (frontseat_ U W /\ (of_ U Y X /\ (city_ U X /\ (hollywood_placename_ U Y /\ (placename_ U Y /\ (chevy_ U Z /\ (white_ U Z /\ (dirty_ U Z /\ (old_ U Z /\ (street_ U X1 /\ (lonely_ U X1 /\ (event_ U X2 /\ (agent_ U X2 Z /\ (present_ U X2 /\ (barrel_ U X2 /\ (down_ U X2 X1 /\ (in_ U X2 X /\ ((forall X5 : Universe, (member_ U X5 X3 -> (exists X6 X7 : Universe, (state_ U X6 /\ (be_ U X6 X5 X7 /\ in_ U X7 W))))) /\ (two_ U X3 /\ (group_ U X3 /\ ((forall X8 : Universe, (member_ U X8 X3 -> (fellow_ U X8 /\ young_ U X8))) /\ ((forall X9 : Universe, (member_ U X9 X4 -> (forall X10 : Universe, (member_ U X10 V -> (exists X11 : Universe, (event_ U X11 /\ (agent_ U X11 X10 /\ (patient_ U X11 X9 /\ (present_ U X11 /\ (nonreflexive_ U X11 /\ wear_ U X11)))))))))) /\ (group_ U X4 /\ (forall X12 : Universe, (member_ U X12 X4 -> (coat_ U X12 /\ (black_ U X12 /\ cheap_ U X12))))))))))))))))))))))))))))))) -> (exists X13 : Universe, (actual_world_ X13 /\ (exists X14 X15 X16 X17 X18 X19 X20 X21 : Universe, (group_ X13 X14 /\ (frontseat_ X13 X17 /\ (of_ X13 X16 X15 /\ (city_ X13 X15 /\ (hollywood_placename_ X13 X16 /\ (placename_ X13 X16 /\ (chevy_ X13 X17 /\ (white_ X13 X17 /\ (dirty_ X13 X17 /\ (old_ X13 X17 /\ (street_ X13 X18 /\ (lonely_ X13 X18 /\ (event_ X13 X19 /\ (agent_ X13 X19 X17 /\ (present_ X13 X19 /\ (barrel_ X13 X19 /\ (down_ X13 X19 X18 /\ (in_ X13 X19 X15 /\ ((forall X22 : Universe, (member_ X13 X22 X20 -> (exists X23 X24 : Universe, (state_ X13 X23 /\ (be_ X13 X23 X22 X24 /\ in_ X13 X24 X17))))) /\ (two_ X13 X20 /\ (group_ X13 X20 /\ ((forall X25 : Universe, (member_ X13 X25 X20 -> (fellow_ X13 X25 /\ young_ X13 X25))) /\ ((forall X26 : Universe, (member_ X13 X26 X21 -> (forall X27 : Universe, (member_ X13 X27 X14 -> (exists X28 : Universe, (event_ X13 X28 /\ (agent_ X13 X28 X27 /\ (patient_ X13 X28 X26 /\ (present_ X13 X28 /\ (nonreflexive_ X13 X28 /\ wear_ X13 X28)))))))))) /\ (group_ X13 X21 /\ (forall X29 : Universe, (member_ X13 X29 X21 -> (coat_ X13 X29 /\ (black_ X13 X29 /\ cheap_ X13 X29)))))))))))))))))))))))))))))))) /\ ((exists X13 : Universe, (actual_world_ X13 /\ (exists X14 X15 X16 X17 X18 X19 X20 X21 : Universe, (group_ X13 X14 /\ (frontseat_ X13 X17 /\ (of_ X13 X16 X15 /\ (city_ X13 X15 /\ (hollywood_placename_ X13 X16 /\ (placename_ X13 X16 /\ (chevy_ X13 X17 /\ (white_ X13 X17 /\ (dirty_ X13 X17 /\ (old_ X13 X17 /\ (street_ X13 X18 /\ (lonely_ X13 X18 /\ (event_ X13 X19 /\ (agent_ X13 X19 X17 /\ (present_ X13 X19 /\ (barrel_ X13 X19 /\ (down_ X13 X19 X18 /\ (in_ X13 X19 X15 /\ ((forall X22 : Universe, (member_ X13 X22 X20 -> (exists X23 X24 : Universe, (state_ X13 X23 /\ (be_ X13 X23 X22 X24 /\ in_ X13 X24 X17))))) /\ (two_ X13 X20 /\ (group_ X13 X20 /\ ((forall X25 : Universe, (member_ X13 X25 X20 -> (fellow_ X13 X25 /\ young_ X13 X25))) /\ ((forall X26 : Universe, (member_ X13 X26 X21 -> (forall X27 : Universe, (member_ X13 X27 X14 -> (exists X28 : Universe, (event_ X13 X28 /\ (agent_ X13 X28 X27 /\ (patient_ X13 X28 X26 /\ (present_ X13 X28 /\ (nonreflexive_ X13 X28 /\ wear_ X13 X28)))))))))) /\ (group_ X13 X21 /\ (forall X29 : Universe, (member_ X13 X29 X21 -> (coat_ X13 X29 /\ (black_ X13 X29 /\ cheap_ X13 X29))))))))))))))))))))))))))))))) -> (exists U : Universe, (actual_world_ U /\ (exists V W X Y Z X1 X2 X3 X4 : Universe, (group_ U V /\ (frontseat_ U W /\ (of_ U Y X /\ (city_ U X /\ (hollywood_placename_ U Y /\ (placename_ U Y /\ (chevy_ U Z /\ (white_ U Z /\ (dirty_ U Z /\ (old_ U Z /\ (street_ U X1 /\ (lonely_ U X1 /\ (event_ U X2 /\ (agent_ U X2 Z /\ (present_ U X2 /\ (barrel_ U X2 /\ (down_ U X2 X1 /\ (in_ U X2 X /\ ((forall X5 : Universe, (member_ U X5 X3 -> (exists X6 X7 : Universe, (state_ U X6 /\ (be_ U X6 X5 X7 /\ in_ U X7 W))))) /\ (two_ U X3 /\ (group_ U X3 /\ ((forall X8 : Universe, (member_ U X8 X3 -> (fellow_ U X8 /\ young_ U X8))) /\ ((forall X9 : Universe, (member_ U X9 X4 -> (forall X10 : Universe, (member_ U X10 V -> (exists X11 : Universe, (event_ U X11 /\ (agent_ U X11 X10 /\ (patient_ U X11 X9 /\ (present_ U X11 /\ (nonreflexive_ U X11 /\ wear_ U X11)))))))))) /\ (group_ U X4 /\ (forall X12 : Universe, (member_ U X12 X4 -> (coat_ U X12 /\ (black_ U X12 /\ cheap_ U X12))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
