(*
% File     : NLP167+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : An old dirty white Chevy, problem 54
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            An old dirty white chevy barrels down a lonely street in 
%            hollywood. Two young fellas are in the front seat. They are 
%            wearing cheap black coats.
% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris144 [Bos00b]
% Status   : CounterSatisfiable
% Rating   : 0.50 v3.1.0, 1.00 v2.4.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  164 (   0 equality)
%            Maximal formula depth :   48 (  48 average)
%            Number of connectives :  165 (   2 ~  ;   0  |; 141  &)
%                                         (   0 <=>;  22 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   31 (   0 propositional; 1-4 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   66 (   0 singleton;  20 !;  46 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable young_ : Universe -> Universe -> Prop.
Variable white_ : Universe -> Universe -> Prop.
Variable wear_ : Universe -> Universe -> Prop.
Variable two_ : Universe -> Universe -> Prop.
Variable street_ : Universe -> Universe -> Prop.
Variable state_ : Universe -> Universe -> Prop.
Variable present_ : Universe -> Universe -> Prop.
Variable placename_ : Universe -> Universe -> Prop.
Variable patient_ : Universe -> Universe -> Universe -> Prop.
Variable old_ : Universe -> Universe -> Prop.
Variable of_ : Universe -> Universe -> Universe -> Prop.
Variable nonreflexive_ : Universe -> Universe -> Prop.
Variable member_ : Universe -> Universe -> Universe -> Prop.
Variable lonely_ : Universe -> Universe -> Prop.
Variable in_ : Universe -> Universe -> Universe -> Prop.
Variable hollywood_placename_ : Universe -> Universe -> Prop.
Variable group_ : Universe -> Universe -> Prop.
Variable frontseat_ : Universe -> Universe -> Prop.
Variable fellow_ : Universe -> Universe -> Prop.
Variable event_ : Universe -> Universe -> Prop.
Variable down_ : Universe -> Universe -> Universe -> Prop.
Variable dirty_ : Universe -> Universe -> Prop.
Variable coat_ : Universe -> Universe -> Prop.
Variable city_ : Universe -> Universe -> Prop.
Variable chevy_ : Universe -> Universe -> Prop.
Variable cheap_ : Universe -> Universe -> Prop.
Variable black_ : Universe -> Universe -> Prop.
Variable be_ : Universe -> Universe -> Universe -> Universe -> Prop.
Variable barrel_ : Universe -> Universe -> Prop.
Variable agent_ : Universe -> Universe -> Universe -> Prop.
Variable actual_world_ : Universe -> Prop.



Set Firstorder Depth 10.

Theorem co1_1 : ~(~((((exists U : Universe, (actual_world_ U /\ (exists V W X Y Z X1 X2 : Universe, (group_ U V /\ (frontseat_ U X /\ (of_ U W X /\ (city_ U X /\ (hollywood_placename_ U W /\ (placename_ U W /\ (chevy_ U X /\ (white_ U X /\ (dirty_ U X /\ (old_ U X /\ (street_ U Y /\ (lonely_ U Y /\ (event_ U Z /\ (agent_ U Z X /\ (present_ U Z /\ (barrel_ U Z /\ (down_ U Z Y /\ (in_ U Z X /\ ((forall X3 : Universe, (member_ U X3 X1 -> (exists X4 X5 : Universe, (state_ U X4 /\ (be_ U X4 X3 X5 /\ in_ U X5 X))))) /\ (two_ U X1 /\ (group_ U X1 /\ ((forall X6 : Universe, (member_ U X6 X1 -> (fellow_ U X6 /\ young_ U X6))) /\ ((forall X7 : Universe, (member_ U X7 X2 -> (forall X8 : Universe, (member_ U X8 V -> (exists X9 : Universe, (event_ U X9 /\ (agent_ U X9 X8 /\ (patient_ U X9 X7 /\ (present_ U X9 /\ (nonreflexive_ U X9 /\ wear_ U X9)))))))))) /\ (group_ U X2 /\ (forall X10 : Universe, (member_ U X10 X2 -> (coat_ U X10 /\ (black_ U X10 /\ cheap_ U X10))))))))))))))))))))))))))))))) -> (exists X11 : Universe, (actual_world_ X11 /\ (exists X12 X13 X14 X15 X16 X17 X18 X19 : Universe, (group_ X11 X12 /\ (frontseat_ X11 X15 /\ (of_ X11 X14 X13 /\ (city_ X11 X13 /\ (hollywood_placename_ X11 X14 /\ (placename_ X11 X14 /\ (chevy_ X11 X15 /\ (white_ X11 X15 /\ (dirty_ X11 X15 /\ (old_ X11 X15 /\ (street_ X11 X16 /\ (lonely_ X11 X16 /\ (event_ X11 X17 /\ (agent_ X11 X17 X15 /\ (present_ X11 X17 /\ (barrel_ X11 X17 /\ (down_ X11 X17 X16 /\ (in_ X11 X17 X13 /\ ((forall X20 : Universe, (member_ X11 X20 X18 -> (exists X21 X22 : Universe, (state_ X11 X21 /\ (be_ X11 X21 X20 X22 /\ in_ X11 X22 X15))))) /\ (two_ X11 X18 /\ (group_ X11 X18 /\ ((forall X23 : Universe, (member_ X11 X23 X18 -> (fellow_ X11 X23 /\ young_ X11 X23))) /\ ((forall X24 : Universe, (member_ X11 X24 X19 -> (forall X25 : Universe, (member_ X11 X25 X12 -> (exists X26 : Universe, (event_ X11 X26 /\ (agent_ X11 X26 X25 /\ (patient_ X11 X26 X24 /\ (present_ X11 X26 /\ (nonreflexive_ X11 X26 /\ wear_ X11 X26)))))))))) /\ (group_ X11 X19 /\ (forall X27 : Universe, (member_ X11 X27 X19 -> (coat_ X11 X27 /\ (black_ X11 X27 /\ cheap_ X11 X27)))))))))))))))))))))))))))))))) /\ ((exists X11 : Universe, (actual_world_ X11 /\ (exists X12 X13 X14 X15 X16 X17 X18 X19 : Universe, (group_ X11 X12 /\ (frontseat_ X11 X15 /\ (of_ X11 X14 X13 /\ (city_ X11 X13 /\ (hollywood_placename_ X11 X14 /\ (placename_ X11 X14 /\ (chevy_ X11 X15 /\ (white_ X11 X15 /\ (dirty_ X11 X15 /\ (old_ X11 X15 /\ (street_ X11 X16 /\ (lonely_ X11 X16 /\ (event_ X11 X17 /\ (agent_ X11 X17 X15 /\ (present_ X11 X17 /\ (barrel_ X11 X17 /\ (down_ X11 X17 X16 /\ (in_ X11 X17 X13 /\ ((forall X20 : Universe, (member_ X11 X20 X18 -> (exists X21 X22 : Universe, (state_ X11 X21 /\ (be_ X11 X21 X20 X22 /\ in_ X11 X22 X15))))) /\ (two_ X11 X18 /\ (group_ X11 X18 /\ ((forall X23 : Universe, (member_ X11 X23 X18 -> (fellow_ X11 X23 /\ young_ X11 X23))) /\ ((forall X24 : Universe, (member_ X11 X24 X19 -> (forall X25 : Universe, (member_ X11 X25 X12 -> (exists X26 : Universe, (event_ X11 X26 /\ (agent_ X11 X26 X25 /\ (patient_ X11 X26 X24 /\ (present_ X11 X26 /\ (nonreflexive_ X11 X26 /\ wear_ X11 X26)))))))))) /\ (group_ X11 X19 /\ (forall X27 : Universe, (member_ X11 X27 X19 -> (coat_ X11 X27 /\ (black_ X11 X27 /\ cheap_ X11 X27))))))))))))))))))))))))))))))) -> (exists U : Universe, (actual_world_ U /\ (exists V W X Y Z X1 X2 : Universe, (group_ U V /\ (frontseat_ U X /\ (of_ U W X /\ (city_ U X /\ (hollywood_placename_ U W /\ (placename_ U W /\ (chevy_ U X /\ (white_ U X /\ (dirty_ U X /\ (old_ U X /\ (street_ U Y /\ (lonely_ U Y /\ (event_ U Z /\ (agent_ U Z X /\ (present_ U Z /\ (barrel_ U Z /\ (down_ U Z Y /\ (in_ U Z X /\ ((forall X3 : Universe, (member_ U X3 X1 -> (exists X4 X5 : Universe, (state_ U X4 /\ (be_ U X4 X3 X5 /\ in_ U X5 X))))) /\ (two_ U X1 /\ (group_ U X1 /\ ((forall X6 : Universe, (member_ U X6 X1 -> (fellow_ U X6 /\ young_ U X6))) /\ ((forall X7 : Universe, (member_ U X7 X2 -> (forall X8 : Universe, (member_ U X8 V -> (exists X9 : Universe, (event_ U X9 /\ (agent_ U X9 X8 /\ (patient_ U X9 X7 /\ (present_ U X9 /\ (nonreflexive_ U X9 /\ wear_ U X9)))))))))) /\ (group_ U X2 /\ (forall X10 : Universe, (member_ U X10 X2 -> (coat_ U X10 /\ (black_ U X10 /\ cheap_ U X10))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
