(*
% File     : NLP222+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : Vincent believes that every man smokes, problem 3
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            Vincent believes that every man smokes. Jules is a man.
% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris199 [Bos00b]
% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.50 v2.7.0, 0.67 v2.6.0, 0.25 v2.5.0, 0.33 v2.4.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :   96 (   0 equality)
%            Maximal formula depth :   37 (  37 average)
%            Number of connectives :   97 (   2 ~  ;   0  |;  89  &)
%                                         (   0 <=>;   6 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   16 (   0 propositional; 1-4 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   42 (   0 singleton;   4 !;  38 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable vincent_forename_ : Universe -> Universe -> Prop.
Variable think_believe_consider_ : Universe -> Universe -> Prop.
Variable theme_ : Universe -> Universe -> Universe -> Prop.
Variable state_ : Universe -> Universe -> Prop.
Variable smoke_ : Universe -> Universe -> Prop.
Variable proposition_ : Universe -> Universe -> Prop.
Variable present_ : Universe -> Universe -> Prop.
Variable of_ : Universe -> Universe -> Universe -> Prop.
Variable man_ : Universe -> Universe -> Prop.
Variable jules_forename_ : Universe -> Universe -> Prop.
Variable forename_ : Universe -> Universe -> Prop.
Variable event_ : Universe -> Universe -> Prop.
Variable be_ : Universe -> Universe -> Universe -> Universe -> Prop.
Variable agent_ : Universe -> Universe -> Universe -> Prop.
Variable actual_world_ : Universe -> Prop.
Variable accessible_world_ : Universe -> Universe -> Prop.



Set Firstorder Depth 10.

Theorem co1_1 : ~(~((((exists U : Universe, (actual_world_ U /\ (exists V W X Y Z X1 X2 : Universe, (of_ U W V /\ (man_ U V /\ (vincent_forename_ U W /\ (forename_ U W /\ (proposition_ U Y /\ (agent_ U X V /\ (theme_ U X Y /\ (event_ U X /\ (present_ U X /\ (think_believe_consider_ U X /\ (accessible_world_ U Y /\ ((forall X3 : Universe, (man_ Y X3 -> (exists X4 : Universe, (event_ Y X4 /\ (agent_ Y X4 X3 /\ (present_ Y X4 /\ smoke_ Y X4)))))) /\ (of_ U Z X1 /\ (man_ U X1 /\ (jules_forename_ U Z /\ (forename_ U Z /\ (man_ U X1 /\ (state_ U X2 /\ be_ U X2 X1 X1))))))))))))))))))))) -> (exists X5 : Universe, (actual_world_ X5 /\ (exists X6 X7 X8 X9 X10 X11 X12 X13 : Universe, (of_ X5 X7 X6 /\ (man_ X5 X6 /\ (jules_forename_ X5 X7 /\ (forename_ X5 X7 /\ (of_ X5 X9 X8 /\ (man_ X5 X8 /\ (vincent_forename_ X5 X9 /\ (forename_ X5 X9 /\ (proposition_ X5 X11 /\ (agent_ X5 X10 X8 /\ (theme_ X5 X10 X11 /\ (event_ X5 X10 /\ (present_ X5 X10 /\ (think_believe_consider_ X5 X10 /\ (accessible_world_ X5 X11 /\ ((forall X14 : Universe, (man_ X11 X14 -> (exists X15 : Universe, (event_ X11 X15 /\ (agent_ X11 X15 X14 /\ (present_ X11 X15 /\ smoke_ X11 X15)))))) /\ (man_ X5 X12 /\ (state_ X5 X13 /\ be_ X5 X13 X6 X12)))))))))))))))))))))) /\ ((exists X5 : Universe, (actual_world_ X5 /\ (exists X6 X7 X8 X9 X10 X11 X12 X13 : Universe, (of_ X5 X7 X6 /\ (man_ X5 X6 /\ (jules_forename_ X5 X7 /\ (forename_ X5 X7 /\ (of_ X5 X9 X8 /\ (man_ X5 X8 /\ (vincent_forename_ X5 X9 /\ (forename_ X5 X9 /\ (proposition_ X5 X11 /\ (agent_ X5 X10 X8 /\ (theme_ X5 X10 X11 /\ (event_ X5 X10 /\ (present_ X5 X10 /\ (think_believe_consider_ X5 X10 /\ (accessible_world_ X5 X11 /\ ((forall X14 : Universe, (man_ X11 X14 -> (exists X15 : Universe, (event_ X11 X15 /\ (agent_ X11 X15 X14 /\ (present_ X11 X15 /\ smoke_ X11 X15)))))) /\ (man_ X5 X12 /\ (state_ X5 X13 /\ be_ X5 X13 X6 X12))))))))))))))))))))) -> (exists U : Universe, (actual_world_ U /\ (exists V W X Y Z X1 X2 : Universe, (of_ U W V /\ (man_ U V /\ (vincent_forename_ U W /\ (forename_ U W /\ (proposition_ U Y /\ (agent_ U X V /\ (theme_ U X Y /\ (event_ U X /\ (present_ U X /\ (think_believe_consider_ U X /\ (accessible_world_ U Y /\ ((forall X3 : Universe, (man_ Y X3 -> (exists X4 : Universe, (event_ Y X4 /\ (agent_ Y X4 X3 /\ (present_ Y X4 /\ smoke_ Y X4)))))) /\ (of_ U Z X1 /\ (man_ U X1 /\ (jules_forename_ U Z /\ (forename_ U Z /\ (man_ U X1 /\ (state_ U X2 /\ be_ U X2 X1 X1))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
