(*
% File     : NLP225+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : Vincent believes that every man smokes, problem 6
% Version  : [Bos00b] axioms.
% English  : Eliminating inconsistent interpretations in the statement
%            Vincent believes that every man smokes. Jules is a man.
% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris202 [Bos00b]
% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.17 v2.6.0, 0.00 v2.4.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :   72 (   0 unit)
%            Number of atoms       :  210 (   3 equality)
%            Maximal formula depth :   32 (   6 average)
%            Number of connectives :  145 (   7 ~  ;   0  |;  66  &)
%                                         (   0 <=>;  72 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   37 (   0 propositional; 1-4 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  199 (   0 singleton; 189 !;  10 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable EqTransitivity : forall x y z : Universe, x = y -> y = z -> x = z.
Variable EqSymmetry : forall x y : Universe, x = y -> y = x.
Variable EqReflexivity : forall x : Universe, x = x.
Variable vincent_forename_ : Universe -> Universe -> Prop.
Variable EqCongruence_vincent_forename : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> vincent_forename_ x1 x2 -> vincent_forename_ y1 y2 .
Variable unisex_ : Universe -> Universe -> Prop.
Variable EqCongruence_unisex : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> unisex_ x1 x2 -> unisex_ y1 y2 .
Variable think_believe_consider_ : Universe -> Universe -> Prop.
Variable EqCongruence_think_believe_consider : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> think_believe_consider_ x1 x2 -> think_believe_consider_ y1 y2 .
Variable thing_ : Universe -> Universe -> Prop.
Variable EqCongruence_thing : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> thing_ x1 x2 -> thing_ y1 y2 .
Variable theme_ : Universe -> Universe -> Universe -> Prop.
Variable EqCongruence_theme : forall x1 x2 x3 y1 y2 y3 : Universe, x1 = y1 -> x2 = y2 -> x3 = y3 -> theme_ x1 x2 x3 -> theme_ y1 y2 y3 .
Variable state_ : Universe -> Universe -> Prop.
Variable EqCongruence_state : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> state_ x1 x2 -> state_ y1 y2 .
Variable specific_ : Universe -> Universe -> Prop.
Variable EqCongruence_specific : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> specific_ x1 x2 -> specific_ y1 y2 .
Variable smoke_ : Universe -> Universe -> Prop.
Variable EqCongruence_smoke : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> smoke_ x1 x2 -> smoke_ y1 y2 .
Variable singleton_ : Universe -> Universe -> Prop.
Variable EqCongruence_singleton : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> singleton_ x1 x2 -> singleton_ y1 y2 .
Variable relname_ : Universe -> Universe -> Prop.
Variable EqCongruence_relname : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> relname_ x1 x2 -> relname_ y1 y2 .
Variable relation_ : Universe -> Universe -> Prop.
Variable EqCongruence_relation : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> relation_ x1 x2 -> relation_ y1 y2 .
Variable proposition_ : Universe -> Universe -> Prop.
Variable EqCongruence_proposition : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> proposition_ x1 x2 -> proposition_ y1 y2 .
Variable present_ : Universe -> Universe -> Prop.
Variable EqCongruence_present : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> present_ x1 x2 -> present_ y1 y2 .
Variable organism_ : Universe -> Universe -> Prop.
Variable EqCongruence_organism : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> organism_ x1 x2 -> organism_ y1 y2 .
Variable of_ : Universe -> Universe -> Universe -> Prop.
Variable EqCongruence_of : forall x1 x2 x3 y1 y2 y3 : Universe, x1 = y1 -> x2 = y2 -> x3 = y3 -> of_ x1 x2 x3 -> of_ y1 y2 y3 .
Variable nonhuman_ : Universe -> Universe -> Prop.
Variable EqCongruence_nonhuman : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> nonhuman_ x1 x2 -> nonhuman_ y1 y2 .
Variable nonexistent_ : Universe -> Universe -> Prop.
Variable EqCongruence_nonexistent : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> nonexistent_ x1 x2 -> nonexistent_ y1 y2 .
Variable man_ : Universe -> Universe -> Prop.
Variable EqCongruence_man : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> man_ x1 x2 -> man_ y1 y2 .
Variable male_ : Universe -> Universe -> Prop.
Variable EqCongruence_male : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> male_ x1 x2 -> male_ y1 y2 .
Variable living_ : Universe -> Universe -> Prop.
Variable EqCongruence_living : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> living_ x1 x2 -> living_ y1 y2 .
Variable jules_forename_ : Universe -> Universe -> Prop.
Variable EqCongruence_jules_forename : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> jules_forename_ x1 x2 -> jules_forename_ y1 y2 .
Variable impartial_ : Universe -> Universe -> Prop.
Variable EqCongruence_impartial : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> impartial_ x1 x2 -> impartial_ y1 y2 .
Variable human_person_ : Universe -> Universe -> Prop.
Variable EqCongruence_human_person : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> human_person_ x1 x2 -> human_person_ y1 y2 .
Variable human_ : Universe -> Universe -> Prop.
Variable EqCongruence_human : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> human_ x1 x2 -> human_ y1 y2 .
Variable general_ : Universe -> Universe -> Prop.
Variable EqCongruence_general : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> general_ x1 x2 -> general_ y1 y2 .
Variable forename_ : Universe -> Universe -> Prop.
Variable EqCongruence_forename : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> forename_ x1 x2 -> forename_ y1 y2 .
Variable existent_ : Universe -> Universe -> Prop.
Variable EqCongruence_existent : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> existent_ x1 x2 -> existent_ y1 y2 .
Variable eventuality_ : Universe -> Universe -> Prop.
Variable EqCongruence_eventuality : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> eventuality_ x1 x2 -> eventuality_ y1 y2 .
Variable event_ : Universe -> Universe -> Prop.
Variable EqCongruence_event : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> event_ x1 x2 -> event_ y1 y2 .
Variable entity_ : Universe -> Universe -> Prop.
Variable EqCongruence_entity : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> entity_ x1 x2 -> entity_ y1 y2 .
Variable be_ : Universe -> Universe -> Universe -> Universe -> Prop.
Variable EqCongruence_be : forall x1 x2 x3 x4 y1 y2 y3 y4 : Universe, x1 = y1 -> x2 = y2 -> x3 = y3 -> x4 = y4 -> be_ x1 x2 x3 x4 -> be_ y1 y2 y3 y4 .
Variable animate_ : Universe -> Universe -> Prop.
Variable EqCongruence_animate : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> animate_ x1 x2 -> animate_ y1 y2 .
Variable agent_ : Universe -> Universe -> Universe -> Prop.
Variable EqCongruence_agent : forall x1 x2 x3 y1 y2 y3 : Universe, x1 = y1 -> x2 = y2 -> x3 = y3 -> agent_ x1 x2 x3 -> agent_ y1 y2 y3 .
Variable actual_world_ : Universe -> Prop.
Variable EqCongruence_actual_world : forall x1 y1 : Universe, x1 = y1 -> actual_world_ x1 -> actual_world_ y1 .
Variable accessible_world_ : Universe -> Universe -> Prop.
Variable EqCongruence_accessible_world : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> accessible_world_ x1 x2 -> accessible_world_ y1 y2 .
Variable abstraction_ : Universe -> Universe -> Prop.
Variable EqCongruence_abstraction : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> abstraction_ x1 x2 -> abstraction_ y1 y2 .


Variable ax1_1 : (forall U V : Universe, (vincent_forename_ U V -> forename_ U V)).
Variable ax2_2 : (forall U V : Universe, (proposition_ U V -> relation_ U V)).
Variable ax3_3 : (forall U V : Universe, (smoke_ U V -> event_ U V)).
Variable ax4_4 : (forall U V : Universe, (jules_forename_ U V -> forename_ U V)).
Variable ax5_5 : (forall U V : Universe, (abstraction_ U V -> unisex_ U V)).
Variable ax6_6 : (forall U V : Universe, (abstraction_ U V -> general_ U V)).
Variable ax7_7 : (forall U V : Universe, (abstraction_ U V -> nonhuman_ U V)).
Variable ax8_8 : (forall U V : Universe, (abstraction_ U V -> thing_ U V)).
Variable ax9_9 : (forall U V : Universe, (relation_ U V -> abstraction_ U V)).
Variable ax10_10 : (forall U V : Universe, (relname_ U V -> relation_ U V)).
Variable ax11_11 : (forall U V : Universe, (forename_ U V -> relname_ U V)).
Variable ax12_12 : (forall U V : Universe, (man_ U V -> male_ U V)).
Variable ax13_13 : (forall U V : Universe, (human_person_ U V -> animate_ U V)).
Variable ax14_14 : (forall U V : Universe, (human_person_ U V -> human_ U V)).
Variable ax15_15 : (forall U V : Universe, (organism_ U V -> living_ U V)).
Variable ax16_16 : (forall U V : Universe, (organism_ U V -> impartial_ U V)).
Variable ax17_17 : (forall U V : Universe, (entity_ U V -> existent_ U V)).
Variable ax18_18 : (forall U V : Universe, (entity_ U V -> specific_ U V)).
Variable ax19_19 : (forall U V : Universe, (entity_ U V -> thing_ U V)).
Variable ax20_20 : (forall U V : Universe, (organism_ U V -> entity_ U V)).
Variable ax21_21 : (forall U V : Universe, (human_person_ U V -> organism_ U V)).
Variable ax22_22 : (forall U V : Universe, (man_ U V -> human_person_ U V)).
Variable ax23_23 : (forall U V : Universe, (event_ U V -> eventuality_ U V)).
Variable ax24_24 : (forall U V : Universe, (state_ U V -> event_ U V)).
Variable ax25_25 : (forall U V : Universe, (eventuality_ U V -> unisex_ U V)).
Variable ax26_26 : (forall U V : Universe, (eventuality_ U V -> nonexistent_ U V)).
Variable ax27_27 : (forall U V : Universe, (eventuality_ U V -> specific_ U V)).
Variable ax28_28 : (forall U V : Universe, (thing_ U V -> singleton_ U V)).
Variable ax29_29 : (forall U V : Universe, (eventuality_ U V -> thing_ U V)).
Variable ax30_30 : (forall U V : Universe, (state_ U V -> eventuality_ U V)).
Variable ax31_31 : (forall U V : Universe, (existent_ U V -> ~(nonexistent_ U V))).
Variable ax32_32 : (forall U V : Universe, (nonhuman_ U V -> ~(human_ U V))).
Variable ax33_33 : (forall U V : Universe, (specific_ U V -> ~(general_ U V))).
Variable ax34_34 : (forall U V : Universe, (unisex_ U V -> ~(male_ U V))).
Variable ax35_35 : (forall U V W : Universe, ((accessible_world_ V W /\ vincent_forename_ V U) -> vincent_forename_ W U)).
Variable ax36_36 : (forall U V W : Universe, ((accessible_world_ V W /\ proposition_ V U) -> proposition_ W U)).
Variable ax37_37 : (forall U V W X : Universe, ((accessible_world_ W X /\ theme_ W U V) -> theme_ X U V)).
Variable ax38_38 : (forall U V W : Universe, ((accessible_world_ V W /\ think_believe_consider_ V U) -> think_believe_consider_ W U)).
Variable ax39_39 : (forall U V W X : Universe, ((accessible_world_ W X /\ agent_ W U V) -> agent_ X U V)).
Variable ax40_40 : (forall U V W : Universe, ((accessible_world_ V W /\ present_ V U) -> present_ W U)).
Variable ax41_41 : (forall U V W : Universe, ((accessible_world_ V W /\ smoke_ V U) -> smoke_ W U)).
Variable ax42_42 : (forall U V W X : Universe, ((accessible_world_ W X /\ of_ W U V) -> of_ X U V)).
Variable ax43_43 : (forall U V W : Universe, ((accessible_world_ V W /\ jules_forename_ V U) -> jules_forename_ W U)).
Variable ax44_44 : (forall U V W : Universe, ((accessible_world_ V W /\ general_ V U) -> general_ W U)).
Variable ax45_45 : (forall U V W : Universe, ((accessible_world_ V W /\ nonhuman_ V U) -> nonhuman_ W U)).
Variable ax46_46 : (forall U V W : Universe, ((accessible_world_ V W /\ abstraction_ V U) -> abstraction_ W U)).
Variable ax47_47 : (forall U V W : Universe, ((accessible_world_ V W /\ relation_ V U) -> relation_ W U)).
Variable ax48_48 : (forall U V W : Universe, ((accessible_world_ V W /\ relname_ V U) -> relname_ W U)).
Variable ax49_49 : (forall U V W : Universe, ((accessible_world_ V W /\ forename_ V U) -> forename_ W U)).
Variable ax50_50 : (forall U V W : Universe, ((accessible_world_ V W /\ male_ V U) -> male_ W U)).
Variable ax51_51 : (forall U V W : Universe, ((accessible_world_ V W /\ animate_ V U) -> animate_ W U)).
Variable ax52_52 : (forall U V W : Universe, ((accessible_world_ V W /\ human_ V U) -> human_ W U)).
Variable ax53_53 : (forall U V W : Universe, ((accessible_world_ V W /\ living_ V U) -> living_ W U)).
Variable ax54_54 : (forall U V W : Universe, ((accessible_world_ V W /\ impartial_ V U) -> impartial_ W U)).
Variable ax55_55 : (forall U V W : Universe, ((accessible_world_ V W /\ existent_ V U) -> existent_ W U)).
Variable ax56_56 : (forall U V W : Universe, ((accessible_world_ V W /\ entity_ V U) -> entity_ W U)).
Variable ax57_57 : (forall U V W : Universe, ((accessible_world_ V W /\ organism_ V U) -> organism_ W U)).
Variable ax58_58 : (forall U V W : Universe, ((accessible_world_ V W /\ human_person_ V U) -> human_person_ W U)).
Variable ax59_59 : (forall U V W : Universe, ((accessible_world_ V W /\ man_ V U) -> man_ W U)).
Variable ax60_60 : (forall U V W : Universe, ((accessible_world_ V W /\ event_ V U) -> event_ W U)).
Variable ax61_61 : (forall U V W : Universe, ((accessible_world_ V W /\ unisex_ V U) -> unisex_ W U)).
Variable ax62_62 : (forall U V W : Universe, ((accessible_world_ V W /\ nonexistent_ V U) -> nonexistent_ W U)).
Variable ax63_63 : (forall U V W : Universe, ((accessible_world_ V W /\ specific_ V U) -> specific_ W U)).
Variable ax64_64 : (forall U V W : Universe, ((accessible_world_ V W /\ singleton_ V U) -> singleton_ W U)).
Variable ax65_65 : (forall U V W : Universe, ((accessible_world_ V W /\ thing_ V U) -> thing_ W U)).
Variable ax66_66 : (forall U V W : Universe, ((accessible_world_ V W /\ eventuality_ V U) -> eventuality_ W U)).
Variable ax67_67 : (forall U V W : Universe, ((accessible_world_ V W /\ state_ V U) -> state_ W U)).
Variable ax68_68 : (forall U V W X Y : Universe, ((accessible_world_ X Y /\ be_ X U V W) -> be_ Y U V W)).
Variable ax69_69 : (forall U V W X Y Z : Universe, ((think_believe_consider_ U V /\ (proposition_ U Y /\ (theme_ U V Y /\ (agent_ U V X /\ (think_believe_consider_ U W /\ (proposition_ U Z /\ (theme_ U W Z /\ agent_ U W X))))))) -> Y = Z)).
Variable ax70_70 : (forall U V W : Universe, ((entity_ U V /\ (forename_ U W /\ of_ U W V)) -> ~((exists X : Universe, (forename_ U X /\ (X <> W /\ of_ U X V)))))).
Variable ax71_71 : (forall U V W X : Universe, (be_ U V W X -> W = X)).

Set Firstorder Depth 10.

Theorem co1_72 : ~((exists U : Universe, (actual_world_ U /\ (exists V W X Y Z X1 X2 : Universe, (of_ U V W /\ (jules_forename_ U V /\ (forename_ U V /\ (of_ U X W /\ (man_ U W /\ (vincent_forename_ U X /\ (forename_ U X /\ (proposition_ U Z /\ (agent_ U Y W /\ (theme_ U Y Z /\ (event_ U Y /\ (present_ U Y /\ (think_believe_consider_ U Y /\ (accessible_world_ U Z /\ ((forall X3 : Universe, (man_ Z X3 -> (exists X4 : Universe, (event_ Z X4 /\ (agent_ Z X4 X3 /\ (present_ Z X4 /\ smoke_ Z X4)))))) /\ (man_ U X1 /\ (state_ U X2 /\ be_ U X2 W X1))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
