(*
% File     : PLA025+1 : ILTP v1.1.2
% Domain   : Planning
% Problem  : Blocks 3/2/1, 5/4, 9/8/7/6 => 1/5, 8/9/4, 2/3/7/6
% Version  : [Bau99] axioms.
% English  :
% Refs     : [Bau99] Baumgartner (1999), FTP'2000 - Problem Sets
%            [KS96]  Kautz & Selman (1996), Pushing the Envelope: Planning,
%            [KS92]  Kautz & Selman (1992), Planning as Satisfiability
% Source   : [Bau99]
% Names    : huge [Bau99]
% Status   : CounterSatisfiable
% Rating   : 0.33 v3.1.0, 0.83 v2.7.0, 1.00 v2.5.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :  114 (  85 unit)
%            Number of atoms       :  252 (   0 equality)
%            Maximal formula depth :   14 (   3 average)
%            Number of connectives :  163 (  25 ~  ;  27  |;  54  &)
%                                         (   0 <=>;  57 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   12 (   0 propositional; 1-3 arity)
%            Number of functors    :   12 (  11 constant; 0-1 arity)
%            Number of variables   :   70 (   0 singleton;  70 !;   0 ?)
%            Maximal term depth    :    7 (   1 average)
% Comments :
% Bugfixes : v2.5.0 - Combined multiple conjecture formulae.
%      => ! [Y] : 
%           ( ( a_block(Y)
%             & neq(Y,table)
%             & neq(block_4,Y) )
%          => ~ on(block_4,Y,S) ) )   )).
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable time_ : Universe -> Prop.
Variable source_ : Universe -> Universe -> Prop.
Variable on_ : Universe -> Universe -> Universe -> Prop.
Variable object_ : Universe -> Universe -> Prop.
Variable nonfixed_ : Universe -> Prop.
Variable neq_ : Universe -> Universe -> Prop.
Variable goal_time_ : Universe -> Prop.
Variable fixed_ : Universe -> Prop.
Variable different_ : Universe -> Universe -> Prop.
Variable destination_ : Universe -> Universe -> Prop.
Variable clear_ : Universe -> Universe -> Prop.
Variable a_block_ : Universe -> Prop.

Variable time_0_ : Universe.
Variable table_ : Universe.
Variable s_ : Universe -> Universe.
Variable block_9_ : Universe.
Variable block_8_ : Universe.
Variable block_7_ : Universe.
Variable block_6_ : Universe.
Variable block_5_ : Universe.
Variable block_4_ : Universe.
Variable block_3_ : Universe.
Variable block_2_ : Universe.
Variable block_1_ : Universe.

Variable place_object_block_on_destination_1 : (forall I X : Universe, (nonfixed_ X -> (forall Z : Universe, ((a_block_ Z /\ neq_ X Z) -> ((time_ I /\ (object_ X I /\ destination_ Z I)) -> on_ X Z (s_ I)))))).
Variable remove_object_block_from_source_2 : (forall I X : Universe, (nonfixed_ X -> (forall Y : Universe, ((a_block_ Y /\ neq_ X Y) -> ((time_ I /\ (object_ X I /\ source_ Y I)) -> ~(on_ X Y (s_ I))))))).
Variable clear_source_after_removal_3 : (forall I Y : Universe, (nonfixed_ Y -> ((time_ I /\ source_ Y I) -> clear_ Y (s_ I)))).
Variable not_clear_destination_after_placement_4 : (forall I Z : Universe, (nonfixed_ Z -> ((time_ I /\ destination_ Z I) -> ~(clear_ Z (s_ I))))).
Variable object_block_on_source_5 : (forall I X : Universe, (nonfixed_ X -> (forall Y : Universe, ((a_block_ Y /\ neq_ X Y) -> ((object_ X I /\ source_ Y I) -> on_ X Y I))))).
Variable object_block_is_clear_6 : (forall I X : Universe, (nonfixed_ X -> (object_ X I -> clear_ X I))).
Variable destination_block_is_clear_7 : (forall I Z : Universe, (nonfixed_ Z -> (destination_ Z I -> clear_ Z I))).
Variable non_destination_remains_clear_8 : (forall I W : Universe, (nonfixed_ W -> ((time_ I /\ (~(destination_ W I) /\ clear_ W I)) -> clear_ W (s_ I)))).
Variable non_object_remains_on_9 : (forall I V : Universe, (nonfixed_ V -> (forall W : Universe, ((a_block_ W /\ neq_ V W) -> ((time_ I /\ (~(object_ V I) /\ on_ V W I)) -> on_ V W (s_ I)))))).
Variable non_source_remains_not_clear_10 : (forall I W : Universe, (nonfixed_ W -> ((time_ I /\ (~(source_ W I) /\ ~(clear_ W I))) -> ~(clear_ W (s_ I))))).
Variable non_object_remains_not_on_11 : (forall I V : Universe, (nonfixed_ V -> (forall W : Universe, ((a_block_ W /\ neq_ V W) -> ((time_ I /\ (~(object_ V I) /\ ~(on_ V W I))) -> ~(on_ V W (s_ I))))))).
Variable non_destination_remains_not_on_12 : (forall I V : Universe, (nonfixed_ V -> (forall W : Universe, ((a_block_ W /\ neq_ V W) -> ((time_ I /\ (~(destination_ W I) /\ ~(on_ V W I))) -> ~(on_ V W (s_ I))))))).
Variable only_one_object_block_13 : (forall I X1 : Universe, (nonfixed_ X1 -> (forall X2 : Universe, ((a_block_ X2 /\ neq_ X1 X2) -> ~((object_ X1 I /\ object_ X2 I)))))).
Variable only_one_source_block_14 : (forall I Y1 : Universe, (a_block_ Y1 -> (forall Y2 : Universe, ((a_block_ Y2 /\ neq_ Y1 Y2) -> ~((source_ Y1 I /\ source_ Y2 I)))))).
Variable only_one_destination_block_15 : (forall I Z1 : Universe, (a_block_ Z1 -> (forall Z2 : Universe, ((a_block_ Z2 /\ neq_ Z1 Z2) -> ~((destination_ Z1 I /\ destination_ Z2 I)))))).
Variable object_is_not_source_16 : (forall I X : Universe, (nonfixed_ X -> ~((object_ X I /\ source_ X I)))).
Variable object_is_not_destination_17 : (forall I X : Universe, (nonfixed_ X -> ~((object_ X I /\ destination_ X I)))).
Variable source_is_not_destination_18 : (forall I Y : Universe, (a_block_ Y -> ~((source_ Y I /\ destination_ Y I)))).
Variable not_on_each_other_19 : (forall I X : Universe, (a_block_ X -> (forall Y : Universe, ((a_block_ Y /\ neq_ X Y) -> ~((on_ X Y I /\ on_ Y X I)))))).
Variable not_on_self_20 : (forall I X : Universe, (a_block_ X -> ~(on_ X X I))).
Variable only_one_on_21 : (forall I X : Universe, (nonfixed_ X -> (forall Y : Universe, ((nonfixed_ Y /\ neq_ X Y) -> (forall Z : Universe, ((nonfixed_ Z /\ (neq_ X Z /\ neq_ Y Z)) -> ~((on_ X Y I /\ on_ Z Y I)))))))).
Variable only_on_one_thing_22 : (forall I X : Universe, (nonfixed_ X -> (forall Y : Universe, ((a_block_ Y /\ neq_ X Y) -> (forall Z : Universe, ((a_block_ Z /\ (neq_ X Z /\ neq_ Y Z)) -> ~((on_ X Y I /\ on_ X Z I)))))))).
Variable not_clear_if_something_on_23 : (forall I X : Universe, (nonfixed_ X -> (forall Y : Universe, (nonfixed_ Y -> ~((on_ X Y I /\ clear_ Y I)))))).
Variable fixed_not_on_anything_24 : (forall I X : Universe, (a_block_ X -> (forall Y : Universe, (fixed_ Y -> ~(on_ Y X I))))).
Variable different_not_equal_25 : (forall Y X : Universe, ((different_ X Y \/ different_ Y X) -> neq_ X Y)).
Variable block_1_not_block_2_26 : different_ block_1_ block_2_.
Variable block_1_not_block_3_27 : different_ block_1_ block_3_.
Variable block_1_not_block_4_28 : different_ block_1_ block_4_.
Variable block_1_not_block_5_29 : different_ block_1_ block_5_.
Variable block_1_not_block_6_30 : different_ block_1_ block_6_.
Variable block_1_not_block_7_31 : different_ block_1_ block_7_.
Variable block_1_not_block_8_32 : different_ block_1_ block_8_.
Variable block_1_not_block_9_33 : different_ block_1_ block_9_.
Variable block_1_not_table_34 : different_ block_1_ table_.
Variable block_2_not_block_3_35 : different_ block_2_ block_3_.
Variable block_2_not_block_4_36 : different_ block_2_ block_4_.
Variable block_2_not_block_5_37 : different_ block_2_ block_5_.
Variable block_2_not_block_6_38 : different_ block_2_ block_6_.
Variable block_2_not_block_7_39 : different_ block_2_ block_7_.
Variable block_2_not_block_8_40 : different_ block_2_ block_8_.
Variable block_2_not_block_9_41 : different_ block_2_ block_9_.
Variable block_2_not_table_42 : different_ block_2_ table_.
Variable block_3_not_block_4_43 : different_ block_3_ block_4_.
Variable block_3_not_block_5_44 : different_ block_3_ block_5_.
Variable block_3_not_block_6_45 : different_ block_3_ block_6_.
Variable block_3_not_block_7_46 : different_ block_3_ block_7_.
Variable block_3_not_block_8_47 : different_ block_3_ block_8_.
Variable block_3_not_block_9_48 : different_ block_3_ block_9_.
Variable block_3_not_table_49 : different_ block_3_ table_.
Variable block_4_not_block_5_50 : different_ block_4_ block_5_.
Variable block_4_not_block_6_51 : different_ block_4_ block_6_.
Variable block_4_not_block_7_52 : different_ block_4_ block_7_.
Variable block_4_not_block_8_53 : different_ block_4_ block_8_.
Variable block_4_not_block_9_54 : different_ block_4_ block_9_.
Variable block_4_not_table_55 : different_ block_4_ table_.
Variable block_5_not_block_6_56 : different_ block_5_ block_6_.
Variable block_5_not_block_7_57 : different_ block_5_ block_7_.
Variable block_5_not_block_8_58 : different_ block_5_ block_8_.
Variable block_5_not_block_9_59 : different_ block_5_ block_9_.
Variable block_5_not_table_60 : different_ block_5_ table_.
Variable block_6_not_block_7_61 : different_ block_6_ block_7_.
Variable block_6_not_block_8_62 : different_ block_6_ block_8_.
Variable block_6_not_block_9_63 : different_ block_6_ block_9_.
Variable block_6_not_table_64 : different_ block_6_ table_.
Variable block_7_not_block_8_65 : different_ block_7_ block_8_.
Variable block_7_not_block_9_66 : different_ block_7_ block_9_.
Variable block_7_not_table_67 : different_ block_7_ table_.
Variable block_8_not_block_9_68 : different_ block_8_ block_9_.
Variable block_8_not_table_69 : different_ block_8_ table_.
Variable block_9_not_table_70 : different_ block_9_ table_.
Variable block_1_71 : a_block_ block_1_.
Variable block_2_72 : a_block_ block_2_.
Variable block_3_73 : a_block_ block_3_.
Variable block_4_74 : a_block_ block_4_.
Variable block_5_75 : a_block_ block_5_.
Variable block_6_76 : a_block_ block_6_.
Variable block_7_77 : a_block_ block_7_.
Variable block_8_78 : a_block_ block_8_.
Variable block_9_79 : a_block_ block_9_.
Variable table_80 : a_block_ table_.
Variable fixed_table_81 : fixed_ table_.
Variable nonfixed_block_1_82 : nonfixed_ block_1_.
Variable nonfixed_block_2_83 : nonfixed_ block_2_.
Variable nonfixed_block_3_84 : nonfixed_ block_3_.
Variable nonfixed_block_4_85 : nonfixed_ block_4_.
Variable nonfixed_block_5_86 : nonfixed_ block_5_.
Variable nonfixed_block_6_87 : nonfixed_ block_6_.
Variable nonfixed_block_7_88 : nonfixed_ block_7_.
Variable nonfixed_block_8_89 : nonfixed_ block_8_.
Variable nonfixed_block_9_90 : nonfixed_ block_9_.
Variable time_0_91 : time_ time_0_.
Variable time_1_92 : time_ (s_ time_0_).
Variable time_2_93 : time_ (s_ (s_ time_0_)).
Variable time_3_94 : time_ (s_ (s_ (s_ time_0_))).
Variable time_4_95 : time_ (s_ (s_ (s_ (s_ time_0_)))).
Variable time_5_96 : time_ (s_ (s_ (s_ (s_ (s_ time_0_))))).
Variable time_6_97 : time_ (s_ (s_ (s_ (s_ (s_ (s_ time_0_)))))).
Variable some_source_98 : (forall I : Universe, (time_ I -> (source_ block_1_ I \/ (source_ block_2_ I \/ (source_ block_3_ I \/ (source_ block_4_ I \/ (source_ block_5_ I \/ (source_ block_6_ I \/ (source_ block_7_ I \/ (source_ block_8_ I \/ (source_ block_9_ I \/ source_ table_ I))))))))))).
Variable some_destination_99 : (forall I : Universe, (time_ I -> (destination_ block_1_ I \/ (destination_ block_2_ I \/ (destination_ block_3_ I \/ (destination_ block_4_ I \/ (destination_ block_5_ I \/ (destination_ block_6_ I \/ (destination_ block_7_ I \/ (destination_ block_8_ I \/ (destination_ block_9_ I \/ destination_ table_ I))))))))))).
Variable some_object_100 : (forall I : Universe, (time_ I -> (object_ block_1_ I \/ (object_ block_2_ I \/ (object_ block_3_ I \/ (object_ block_4_ I \/ (object_ block_5_ I \/ (object_ block_6_ I \/ (object_ block_7_ I \/ (object_ block_8_ I \/ object_ block_9_ I)))))))))).
Variable initial_3_on_2_101 : on_ block_3_ block_2_ time_0_.
Variable inital_clear_3_102 : clear_ block_3_ time_0_.
Variable initial_2_on_1_103 : on_ block_2_ block_1_ time_0_.
Variable initial_1_on_table_104 : on_ block_1_ table_ time_0_.
Variable initial_5_on_4_105 : on_ block_5_ block_4_ time_0_.
Variable initial_clear_5_106 : clear_ block_5_ time_0_.
Variable initial_4_on_table_107 : on_ block_4_ table_ time_0_.
Variable initial_9_on_8_108 : on_ block_9_ block_8_ time_0_.
Variable initial_clear_9_109 : clear_ block_9_ time_0_.
Variable initial_8_on_7_110 : on_ block_8_ block_7_ time_0_.
Variable initial_7_on_6_111 : on_ block_7_ block_6_ time_0_.
Variable initial_6_on_table_112 : on_ block_6_ table_ time_0_.
Variable goal_time_6_113 : goal_time_ (s_ (s_ (s_ (s_ (s_ (s_ time_0_)))))).

Set Firstorder Depth 10.

Theorem goal_state_114 : (forall S : Universe, (goal_time_ S -> (clear_ block_1_ S /\ (on_ block_1_ block_5_ S /\ (on_ block_5_ table_ S /\ (clear_ block_8_ S /\ (on_ block_8_ block_9_ S /\ (on_ block_9_ block_4_ S /\ (on_ block_4_ table_ S /\ (clear_ block_2_ S /\ (on_ block_2_ block_3_ S /\ (on_ block_3_ block_7_ S /\ (on_ block_7_ block_6_ S /\ on_ block_6_ table_ S))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
