(*
% File     : SET644+3 : ILTP v1.1.2
% Domain   : Set Theory (Relations)
% Problem  : a in R (X to Y) => ? x, y : a is <x,y> & x in X & y in Y
% Version  : [Wor89] axioms : Reduced > Incomplete.
% English  : If a is in a relation R from X to Y then there exist x, y such 
%            that a is <x,y> and x is in X and y is in Y.
% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Wor89] Woronowicz (1989), Relations Defined on Sets
% Source   : [ILF]
% Names    : RELSET_1 (6) [Wor89]
% Status   : Theorem
% Rating   : 0.27 v3.1.0, 0.44 v2.7.0, 0.33 v2.6.0, 0.29 v2.5.0, 0.25 v2.4.0, 0.25 v2.3.0, 0.33 v2.2.1
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :   28 (   2 unit)
%            Number of atoms       :  119 (   8 equality)
%            Maximal formula depth :   16 (   7 average)
%            Number of connectives :   95 (   4 ~  ;   0  |;  16  &)
%                                         (  12 <=>;  63 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   0 propositional; 1-2 arity)
%            Number of functors    :   10 (   2 constant; 0-2 arity)
%            Number of variables   :   69 (   0 singleton;  59 !;  10 ?)
%            Maximal term depth    :    3 (   1 average)
% Comments :
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable EqTransitivity : forall x y z : Universe, x = y -> y = z -> x = z.
Variable EqSymmetry : forall x y : Universe, x = y -> y = x.
Variable EqReflexivity : forall x : Universe, x = x.
Variable subset_ : Universe -> Universe -> Prop.
Variable EqCongruence_subset : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> subset_ x1 x2 -> subset_ y1 y2 .
Variable relation_like_ : Universe -> Prop.
Variable EqCongruence_relation_like : forall x1 y1 : Universe, x1 = y1 -> relation_like_ x1 -> relation_like_ y1 .
Variable member_ : Universe -> Universe -> Prop.
Variable EqCongruence_member : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> member_ x1 x2 -> member_ y1 y2 .
Variable ilf_type_ : Universe -> Universe -> Prop.
Variable EqCongruence_ilf_type : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> ilf_type_ x1 x2 -> ilf_type_ y1 y2 .
Variable empty_ : Universe -> Prop.
Variable EqCongruence_empty : forall x1 y1 : Universe, x1 = y1 -> empty_ x1 -> empty_ y1 .

Variable unordered_pair_ : Universe -> Universe -> Universe.
Variable EqCongruence_unordered_pair : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> unordered_pair_ x1 x2 = unordered_pair_ y1 y2 .
Variable subset_type_ : Universe -> Universe.
Variable EqCongruence_subset_type : forall x1 y1 : Universe, x1 = y1 -> subset_type_ x1 = subset_type_ y1 .
Variable singleton_ : Universe -> Universe.
Variable EqCongruence_singleton : forall x1 y1 : Universe, x1 = y1 -> singleton_ x1 = singleton_ y1 .
Variable set_type_ : Universe.
Variable relation_type_ : Universe -> Universe -> Universe.
Variable EqCongruence_relation_type : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> relation_type_ x1 x2 = relation_type_ y1 y2 .
Variable power_set_ : Universe -> Universe.
Variable EqCongruence_power_set : forall x1 y1 : Universe, x1 = y1 -> power_set_ x1 = power_set_ y1 .
Variable ordered_pair_ : Universe -> Universe -> Universe.
Variable EqCongruence_ordered_pair : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> ordered_pair_ x1 x2 = ordered_pair_ y1 y2 .
Variable member_type_ : Universe -> Universe.
Variable EqCongruence_member_type : forall x1 y1 : Universe, x1 = y1 -> member_type_ x1 = member_type_ y1 .
Variable cross_product_ : Universe -> Universe -> Universe.
Variable EqCongruence_cross_product : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> cross_product_ x1 x2 = cross_product_ y1 y2 .
Variable binary_relation_type_ : Universe.

Variable p1_1 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C binary_relation_type_ -> (member_ B C -> (exists D : Universe, (ilf_type_ D set_type_ /\ (exists E : Universe, (ilf_type_ E set_type_ /\ B = (ordered_pair_ D E)))))))))).
Variable p2_2 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> (forall D : Universe, (ilf_type_ D set_type_ -> (forall E : Universe, (ilf_type_ E set_type_ -> (member_ (ordered_pair_ B C) (cross_product_ D E) <-> (member_ B D /\ member_ C E)))))))))).
Variable p3_3 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> (forall D : Universe, (ilf_type_ D set_type_ -> (forall E : Universe, (ilf_type_ E set_type_ -> (forall F : Universe, (ilf_type_ F set_type_ -> (F = (ordered_pair_ D E) <-> F = (unordered_pair_ (unordered_pair_ D E) (singleton_ D))))))))))))).
Variable p4_4 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> ilf_type_ (ordered_pair_ B C) set_type_)))).
Variable p5_5 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> ((forall D : Universe, (ilf_type_ D (subset_type_ (cross_product_ B C)) -> ilf_type_ D (relation_type_ B C))) /\ (forall E : Universe, (ilf_type_ E (relation_type_ B C) -> ilf_type_ E (subset_type_ (cross_product_ B C))))))))).
Variable p6_6 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> (exists D : Universe, ilf_type_ D (relation_type_ C B)))))).
Variable p7_7 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> (B = C <-> (subset_ B C /\ subset_ C B)))))).
Variable p8_8 : (forall B : Universe, (ilf_type_ B set_type_ -> ilf_type_ (singleton_ B) set_type_)).
Variable p9_9 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> ilf_type_ (cross_product_ B C) set_type_)))).
Variable p10_10 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> ilf_type_ (unordered_pair_ B C) set_type_)))).
Variable p11_11 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> (unordered_pair_ B C) = (unordered_pair_ C B))))).
Variable p12_12 : (forall B : Universe, (ilf_type_ B set_type_ -> (ilf_type_ B binary_relation_type_ <-> (relation_like_ B /\ ilf_type_ B set_type_)))).
Variable p13_13 : (exists B : Universe, ilf_type_ B binary_relation_type_).
Variable p14_14 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> (ilf_type_ C (subset_type_ B) <-> ilf_type_ C (member_type_ (power_set_ B))))))).
Variable p15_15 : (forall B : Universe, (ilf_type_ B set_type_ -> (exists C : Universe, ilf_type_ C (subset_type_ B)))).
Variable p16_16 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> (B = C <-> (forall D : Universe, (ilf_type_ D set_type_ -> (member_ D B <-> member_ D C)))))))).
Variable p17_17 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> (subset_ B C <-> (forall D : Universe, (ilf_type_ D set_type_ -> (member_ D B -> member_ D C)))))))).
Variable p18_18 : (forall B : Universe, (ilf_type_ B set_type_ -> subset_ B B)).
Variable p19_19 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> (member_ B (power_set_ C) <-> (forall D : Universe, (ilf_type_ D set_type_ -> (member_ D B -> member_ D C)))))))).
Variable p20_20 : (forall B : Universe, (ilf_type_ B set_type_ -> (~(empty_ (power_set_ B)) /\ ilf_type_ (power_set_ B) set_type_))).
Variable p21_21 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, ((~(empty_ C) /\ ilf_type_ C set_type_) -> (ilf_type_ B (member_type_ C) <-> member_ B C))))).
Variable p22_22 : (forall B : Universe, ((~(empty_ B) /\ ilf_type_ B set_type_) -> (exists C : Universe, ilf_type_ C (member_type_ B)))).
Variable p23_23 : (forall B : Universe, (ilf_type_ B set_type_ -> (relation_like_ B <-> (forall C : Universe, (ilf_type_ C set_type_ -> (member_ C B -> (exists D : Universe, (ilf_type_ D set_type_ /\ (exists E : Universe, (ilf_type_ E set_type_ /\ C = (ordered_pair_ D E))))))))))).
Variable p24_24 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> (forall D : Universe, (ilf_type_ D (subset_type_ (cross_product_ B C)) -> relation_like_ D)))))).
Variable p25_25 : (forall B : Universe, (ilf_type_ B set_type_ -> (empty_ B <-> (forall C : Universe, (ilf_type_ C set_type_ -> ~(member_ C B)))))).
Variable p26_26 : (forall B : Universe, ((empty_ B /\ ilf_type_ B set_type_) -> relation_like_ B)).
Variable p27_27 : (forall B : Universe, ilf_type_ B set_type_).

Set Firstorder Depth 10.

Theorem prove_relset_1_6_28 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> (forall D : Universe, (ilf_type_ D set_type_ -> (forall E : Universe, (ilf_type_ E (relation_type_ B C) -> (member_ D E -> (exists F : Universe, (ilf_type_ F set_type_ /\ (exists G : Universe, (ilf_type_ G set_type_ /\ (D = (ordered_pair_ F G) /\ (member_ F B /\ member_ G C))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
