(*
% File     : SET661+3 : ILTP v1.1.2
% Domain   : Set Theory (Relations)
% Problem  : Domain of R^-1 is range of R, & range of R^-1 is domain of R
% Version  : [Wor89] axioms : Reduced > Incomplete.
% English  : The domain of the inverse of a relation R from X to Y is the 
%            range of R, and the range of the inverse of R is the domain of R.
% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Wor89] Woronowicz (1989), Relations Defined on Sets
% Source   : [ILF]
% Names    : RELSET_1 (24) [Wor89]
% Status   : Theorem
% Rating   : 1.00 v3.1.0, 0.78 v2.7.0, 1.00 v2.5.0, 0.88 v2.4.0, 1.00 v2.2.1
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :   38 (   2 unit)
%            Number of atoms       :  149 (  12 equality)
%            Maximal formula depth :   11 (   6 average)
%            Number of connectives :  115 (   4 ~  ;   0  |;  13  &)
%                                         (  14 <=>;  84 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   0 propositional; 1-2 arity)
%            Number of functors    :   14 (   2 constant; 0-3 arity)
%            Number of variables   :   87 (   0 singleton;  79 !;   8 ?)
%            Maximal term depth    :    3 (   1 average)
% Comments :
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable EqTransitivity : forall x y z : Universe, x = y -> y = z -> x = z.
Variable EqSymmetry : forall x y : Universe, x = y -> y = x.
Variable EqReflexivity : forall x : Universe, x = x.
Variable subset_ : Universe -> Universe -> Prop.
Variable EqCongruence_subset : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> subset_ x1 x2 -> subset_ y1 y2 .
Variable relation_like_ : Universe -> Prop.
Variable EqCongruence_relation_like : forall x1 y1 : Universe, x1 = y1 -> relation_like_ x1 -> relation_like_ y1 .
Variable member_ : Universe -> Universe -> Prop.
Variable EqCongruence_member : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> member_ x1 x2 -> member_ y1 y2 .
Variable ilf_type_ : Universe -> Universe -> Prop.
Variable EqCongruence_ilf_type : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> ilf_type_ x1 x2 -> ilf_type_ y1 y2 .
Variable empty_ : Universe -> Prop.
Variable EqCongruence_empty : forall x1 y1 : Universe, x1 = y1 -> empty_ x1 -> empty_ y1 .

Variable subset_type_ : Universe -> Universe.
Variable EqCongruence_subset_type : forall x1 y1 : Universe, x1 = y1 -> subset_type_ x1 = subset_type_ y1 .
Variable set_type_ : Universe.
Variable relation_type_ : Universe -> Universe -> Universe.
Variable EqCongruence_relation_type : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> relation_type_ x1 x2 = relation_type_ y1 y2 .
Variable range_of_ : Universe -> Universe.
Variable EqCongruence_range_of : forall x1 y1 : Universe, x1 = y1 -> range_of_ x1 = range_of_ y1 .
Variable range_ : Universe -> Universe -> Universe -> Universe.
Variable EqCongruence_range : forall x1 x2 x3 y1 y2 y3 : Universe, x1 = y1 -> x2 = y2 -> x3 = y3 -> range_ x1 x2 x3 = range_ y1 y2 y3 .
Variable power_set_ : Universe -> Universe.
Variable EqCongruence_power_set : forall x1 y1 : Universe, x1 = y1 -> power_set_ x1 = power_set_ y1 .
Variable ordered_pair_ : Universe -> Universe -> Universe.
Variable EqCongruence_ordered_pair : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> ordered_pair_ x1 x2 = ordered_pair_ y1 y2 .
Variable member_type_ : Universe -> Universe.
Variable EqCongruence_member_type : forall x1 y1 : Universe, x1 = y1 -> member_type_ x1 = member_type_ y1 .
Variable inverse3_ : Universe -> Universe -> Universe -> Universe.
Variable EqCongruence_inverse3 : forall x1 x2 x3 y1 y2 y3 : Universe, x1 = y1 -> x2 = y2 -> x3 = y3 -> inverse3_ x1 x2 x3 = inverse3_ y1 y2 y3 .
Variable inverse_ : Universe -> Universe.
Variable EqCongruence_inverse : forall x1 y1 : Universe, x1 = y1 -> inverse_ x1 = inverse_ y1 .
Variable domain_of_ : Universe -> Universe.
Variable EqCongruence_domain_of : forall x1 y1 : Universe, x1 = y1 -> domain_of_ x1 = domain_of_ y1 .
Variable domain_ : Universe -> Universe -> Universe -> Universe.
Variable EqCongruence_domain : forall x1 x2 x3 y1 y2 y3 : Universe, x1 = y1 -> x2 = y2 -> x3 = y3 -> domain_ x1 x2 x3 = domain_ y1 y2 y3 .
Variable cross_product_ : Universe -> Universe -> Universe.
Variable EqCongruence_cross_product : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> cross_product_ x1 x2 = cross_product_ y1 y2 .
Variable binary_relation_type_ : Universe.

Variable p1_1 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C binary_relation_type_ -> (member_ B (domain_of_ C) <-> (exists D : Universe, (ilf_type_ D set_type_ /\ member_ (ordered_pair_ B D) C))))))).
Variable p2_2 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C binary_relation_type_ -> (member_ B (range_of_ C) <-> (exists D : Universe, (ilf_type_ D set_type_ /\ member_ (ordered_pair_ D B) C))))))).
Variable p3_3 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> (forall D : Universe, (ilf_type_ D binary_relation_type_ -> (member_ (ordered_pair_ B C) D -> (member_ B (domain_of_ D) /\ member_ C (range_of_ D))))))))).
Variable p4_4 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> (forall D : Universe, (ilf_type_ D binary_relation_type_ -> (member_ (ordered_pair_ B C) (inverse_ D) <-> member_ (ordered_pair_ C B) D))))))).
Variable p5_5 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> ((forall D : Universe, (ilf_type_ D set_type_ -> (member_ D B <-> member_ D C))) -> B = C))))).
Variable p6_6 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> ((forall D : Universe, (ilf_type_ D (subset_type_ (cross_product_ B C)) -> ilf_type_ D (relation_type_ B C))) /\ (forall E : Universe, (ilf_type_ E (relation_type_ B C) -> ilf_type_ E (subset_type_ (cross_product_ B C))))))))).
Variable p7_7 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> (exists D : Universe, ilf_type_ D (relation_type_ C B)))))).
Variable p8_8 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> (B = C <-> (subset_ B C /\ subset_ C B)))))).
Variable p9_9 : (forall B : Universe, (ilf_type_ B binary_relation_type_ -> ilf_type_ (domain_of_ B) set_type_)).
Variable p10_10 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> ilf_type_ (cross_product_ B C) set_type_)))).
Variable p11_11 : (forall B : Universe, (ilf_type_ B binary_relation_type_ -> ilf_type_ (range_of_ B) set_type_)).
Variable p12_12 : (forall B : Universe, (ilf_type_ B binary_relation_type_ -> ilf_type_ (inverse_ B) binary_relation_type_)).
Variable p13_13 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> ilf_type_ (ordered_pair_ B C) set_type_)))).
Variable p14_14 : (forall B : Universe, (ilf_type_ B set_type_ -> (ilf_type_ B binary_relation_type_ <-> (relation_like_ B /\ ilf_type_ B set_type_)))).
Variable p15_15 : (exists B : Universe, ilf_type_ B binary_relation_type_).
Variable p16_16 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> (ilf_type_ C (subset_type_ B) <-> ilf_type_ C (member_type_ (power_set_ B))))))).
Variable p17_17 : (forall B : Universe, (ilf_type_ B set_type_ -> (exists C : Universe, ilf_type_ C (subset_type_ B)))).
Variable p18_18 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> (B = C <-> (forall D : Universe, (ilf_type_ D set_type_ -> (member_ D B <-> member_ D C)))))))).
Variable p19_19 : (forall B : Universe, (ilf_type_ B binary_relation_type_ -> (forall C : Universe, (ilf_type_ C binary_relation_type_ -> (B = C -> C = B))))).
Variable p20_20 : (forall B : Universe, (ilf_type_ B binary_relation_type_ -> B = B)).
Variable p21_21 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> (subset_ B C <-> (forall D : Universe, (ilf_type_ D set_type_ -> (member_ D B -> member_ D C)))))))).
Variable p22_22 : (forall B : Universe, (ilf_type_ B set_type_ -> subset_ B B)).
Variable p23_23 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> (member_ B (power_set_ C) <-> (forall D : Universe, (ilf_type_ D set_type_ -> (member_ D B -> member_ D C)))))))).
Variable p24_24 : (forall B : Universe, (ilf_type_ B set_type_ -> (~(empty_ (power_set_ B)) /\ ilf_type_ (power_set_ B) set_type_))).
Variable p25_25 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, ((~(empty_ C) /\ ilf_type_ C set_type_) -> (ilf_type_ B (member_type_ C) <-> member_ B C))))).
Variable p26_26 : (forall B : Universe, ((~(empty_ B) /\ ilf_type_ B set_type_) -> (exists C : Universe, ilf_type_ C (member_type_ B)))).
Variable p27_27 : (forall B : Universe, (ilf_type_ B set_type_ -> (relation_like_ B <-> (forall C : Universe, (ilf_type_ C set_type_ -> (member_ C B -> (exists D : Universe, (ilf_type_ D set_type_ /\ (exists E : Universe, (ilf_type_ E set_type_ /\ C = (ordered_pair_ D E))))))))))).
Variable p28_28 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> (forall D : Universe, (ilf_type_ D (subset_type_ (cross_product_ B C)) -> relation_like_ D)))))).
Variable p29_29 : (forall B : Universe, (ilf_type_ B set_type_ -> (empty_ B <-> (forall C : Universe, (ilf_type_ C set_type_ -> ~(member_ C B)))))).
Variable p30_30 : (forall B : Universe, ((empty_ B /\ ilf_type_ B set_type_) -> relation_like_ B)).
Variable p31_31 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> (forall D : Universe, (ilf_type_ D (relation_type_ B C) -> (domain_ B C D) = (domain_of_ D))))))).
Variable p32_32 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> (forall D : Universe, (ilf_type_ D (relation_type_ B C) -> ilf_type_ (domain_ B C D) (subset_type_ B))))))).
Variable p33_33 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> (forall D : Universe, (ilf_type_ D (relation_type_ B C) -> (range_ B C D) = (range_of_ D))))))).
Variable p34_34 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> (forall D : Universe, (ilf_type_ D (relation_type_ B C) -> ilf_type_ (range_ B C D) (subset_type_ C))))))).
Variable p35_35 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> (forall D : Universe, (ilf_type_ D (relation_type_ B C) -> (inverse3_ B C D) = (inverse_ D))))))).
Variable p36_36 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> (forall D : Universe, (ilf_type_ D (relation_type_ B C) -> ilf_type_ (inverse3_ B C D) (relation_type_ C B))))))).
Variable p37_37 : (forall B : Universe, ilf_type_ B set_type_).

Set Firstorder Depth 10.

Theorem prove_relset_1_24_38 : (forall B : Universe, (ilf_type_ B set_type_ -> (forall C : Universe, (ilf_type_ C set_type_ -> (forall D : Universe, (ilf_type_ D (relation_type_ B C) -> ((domain_ C B (inverse3_ B C D)) = (range_ B C D) /\ (range_ C B (inverse3_ B C D)) = (domain_ B C D)))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
