(*
% File     : SYJ202+1.010 : ILTP v1.1.2
% Domain   : Intuitionistic Syntactic
% Problem  : Cook pigeon-hole problem
% Version  : Especial.
%            Problem formulation : Prop. Non-Clausal. Intuit. Valid  Size 10
% English  : Suppose there are N holes and N+1 pigeons to put in the
%            holes. Every pigeon is in a hole and no hole contains more
%            than one pigeon. Prove that this is impossible. The size is
%            the number of pigeons.
%            LHS(N) => RHS(N) with 
%            LHS(N) = &&_{p=1..N+1} (||_{h=1,..N} o(p,h) )
%            RHS(N) = ||_{h=1..N, p1=1..{N+1}, p2={p1+1}..{N+1}} s(p1,p2,h)
%            with s(p1,p2,h) = o(p1,h) & o(p2,h)
% Refs     : [Dyc97] Roy Dyckhoff. Some benchmark formulas for
%                    intuitionistic propositional logic. At
%                    http://www.dcs.st-and.ac.uk/~rd/logic/marks.html
%          : [CR79]  Cook & Reckhow (1979), The Relative Efficiency of
%                    Propositional Proof Systems, Journal of Symbolic
%                    Logic 44, pp.36-50.
%          : [Pel86] Pelletier (1986), Seventy-five Problems for Testing
%                    Automatic Theorem Provers, Journal of Automated
%                    Reasoning 2(2), pp.191-216.
% Source   : [Dyc97]
% Names    : ph_p10 : Dyckhoff's benchmark formulas (1997)
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.0.0
% Comments : 
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable o99_ : Prop.
Variable o98_ : Prop.
Variable o97_ : Prop.
Variable o96_ : Prop.
Variable o95_ : Prop.
Variable o94_ : Prop.
Variable o93_ : Prop.
Variable o92_ : Prop.
Variable o910_ : Prop.
Variable o91_ : Prop.
Variable o89_ : Prop.
Variable o88_ : Prop.
Variable o87_ : Prop.
Variable o86_ : Prop.
Variable o85_ : Prop.
Variable o84_ : Prop.
Variable o83_ : Prop.
Variable o82_ : Prop.
Variable o810_ : Prop.
Variable o81_ : Prop.
Variable o79_ : Prop.
Variable o78_ : Prop.
Variable o77_ : Prop.
Variable o76_ : Prop.
Variable o75_ : Prop.
Variable o74_ : Prop.
Variable o73_ : Prop.
Variable o72_ : Prop.
Variable o710_ : Prop.
Variable o71_ : Prop.
Variable o69_ : Prop.
Variable o68_ : Prop.
Variable o67_ : Prop.
Variable o66_ : Prop.
Variable o65_ : Prop.
Variable o64_ : Prop.
Variable o63_ : Prop.
Variable o62_ : Prop.
Variable o610_ : Prop.
Variable o61_ : Prop.
Variable o59_ : Prop.
Variable o58_ : Prop.
Variable o57_ : Prop.
Variable o56_ : Prop.
Variable o55_ : Prop.
Variable o54_ : Prop.
Variable o53_ : Prop.
Variable o52_ : Prop.
Variable o510_ : Prop.
Variable o51_ : Prop.
Variable o49_ : Prop.
Variable o48_ : Prop.
Variable o47_ : Prop.
Variable o46_ : Prop.
Variable o45_ : Prop.
Variable o44_ : Prop.
Variable o43_ : Prop.
Variable o42_ : Prop.
Variable o410_ : Prop.
Variable o41_ : Prop.
Variable o39_ : Prop.
Variable o38_ : Prop.
Variable o37_ : Prop.
Variable o36_ : Prop.
Variable o35_ : Prop.
Variable o34_ : Prop.
Variable o33_ : Prop.
Variable o32_ : Prop.
Variable o310_ : Prop.
Variable o31_ : Prop.
Variable o29_ : Prop.
Variable o28_ : Prop.
Variable o27_ : Prop.
Variable o26_ : Prop.
Variable o25_ : Prop.
Variable o24_ : Prop.
Variable o23_ : Prop.
Variable o22_ : Prop.
Variable o210_ : Prop.
Variable o21_ : Prop.
Variable o19_ : Prop.
Variable o18_ : Prop.
Variable o17_ : Prop.
Variable o16_ : Prop.
Variable o15_ : Prop.
Variable o14_ : Prop.
Variable o13_ : Prop.
Variable o12_ : Prop.
Variable o119_ : Prop.
Variable o118_ : Prop.
Variable o117_ : Prop.
Variable o116_ : Prop.
Variable o115_ : Prop.
Variable o114_ : Prop.
Variable o113_ : Prop.
Variable o112_ : Prop.
Variable o1110_ : Prop.
Variable o111_ : Prop.
Variable o110_ : Prop.
Variable o11_ : Prop.
Variable o109_ : Prop.
Variable o108_ : Prop.
Variable o107_ : Prop.
Variable o106_ : Prop.
Variable o105_ : Prop.
Variable o104_ : Prop.
Variable o103_ : Prop.
Variable o102_ : Prop.
Variable o1010_ : Prop.
Variable o101_ : Prop.


Variable axiom1_1 : (o11_ \/ (o12_ \/ (o13_ \/ (o14_ \/ (o15_ \/ (o16_ \/ (o17_ \/ (o18_ \/ (o19_ \/ o110_))))))))).
Variable axiom2_2 : (o21_ \/ (o22_ \/ (o23_ \/ (o24_ \/ (o25_ \/ (o26_ \/ (o27_ \/ (o28_ \/ (o29_ \/ o210_))))))))).
Variable axiom3_3 : (o31_ \/ (o32_ \/ (o33_ \/ (o34_ \/ (o35_ \/ (o36_ \/ (o37_ \/ (o38_ \/ (o39_ \/ o310_))))))))).
Variable axiom4_4 : (o41_ \/ (o42_ \/ (o43_ \/ (o44_ \/ (o45_ \/ (o46_ \/ (o47_ \/ (o48_ \/ (o49_ \/ o410_))))))))).
Variable axiom5_5 : (o51_ \/ (o52_ \/ (o53_ \/ (o54_ \/ (o55_ \/ (o56_ \/ (o57_ \/ (o58_ \/ (o59_ \/ o510_))))))))).
Variable axiom6_6 : (o61_ \/ (o62_ \/ (o63_ \/ (o64_ \/ (o65_ \/ (o66_ \/ (o67_ \/ (o68_ \/ (o69_ \/ o610_))))))))).
Variable axiom7_7 : (o71_ \/ (o72_ \/ (o73_ \/ (o74_ \/ (o75_ \/ (o76_ \/ (o77_ \/ (o78_ \/ (o79_ \/ o710_))))))))).
Variable axiom8_8 : (o81_ \/ (o82_ \/ (o83_ \/ (o84_ \/ (o85_ \/ (o86_ \/ (o87_ \/ (o88_ \/ (o89_ \/ o810_))))))))).
Variable axiom9_9 : (o91_ \/ (o92_ \/ (o93_ \/ (o94_ \/ (o95_ \/ (o96_ \/ (o97_ \/ (o98_ \/ (o99_ \/ o910_))))))))).
Variable axiom10_10 : (o101_ \/ (o102_ \/ (o103_ \/ (o104_ \/ (o105_ \/ (o106_ \/ (o107_ \/ (o108_ \/ (o109_ \/ o1010_))))))))).
Variable axiom11_11 : (o111_ \/ (o112_ \/ (o113_ \/ (o114_ \/ (o115_ \/ (o116_ \/ (o117_ \/ (o118_ \/ (o119_ \/ o1110_))))))))).

Set Firstorder Depth 10.

Theorem con_12 : ((o11_ /\ o21_) \/ ((o11_ /\ o31_) \/ ((o11_ /\ o41_) \/ ((o11_ /\ o51_) \/ ((o11_ /\ o61_) \/ ((o11_ /\ o71_) \/ ((o11_ /\ o81_) \/ ((o11_ /\ o91_) \/ ((o11_ /\ o101_) \/ ((o11_ /\ o111_) \/ ((o21_ /\ o31_) \/ ((o21_ /\ o41_) \/ ((o21_ /\ o51_) \/ ((o21_ /\ o61_) \/ ((o21_ /\ o71_) \/ ((o21_ /\ o81_) \/ ((o21_ /\ o91_) \/ ((o21_ /\ o101_) \/ ((o21_ /\ o111_) \/ ((o31_ /\ o41_) \/ ((o31_ /\ o51_) \/ ((o31_ /\ o61_) \/ ((o31_ /\ o71_) \/ ((o31_ /\ o81_) \/ ((o31_ /\ o91_) \/ ((o31_ /\ o101_) \/ ((o31_ /\ o111_) \/ ((o41_ /\ o51_) \/ ((o41_ /\ o61_) \/ ((o41_ /\ o71_) \/ ((o41_ /\ o81_) \/ ((o41_ /\ o91_) \/ ((o41_ /\ o101_) \/ ((o41_ /\ o111_) \/ ((o51_ /\ o61_) \/ ((o51_ /\ o71_) \/ ((o51_ /\ o81_) \/ ((o51_ /\ o91_) \/ ((o51_ /\ o101_) \/ ((o51_ /\ o111_) \/ ((o61_ /\ o71_) \/ ((o61_ /\ o81_) \/ ((o61_ /\ o91_) \/ ((o61_ /\ o101_) \/ ((o61_ /\ o111_) \/ ((o71_ /\ o81_) \/ ((o71_ /\ o91_) \/ ((o71_ /\ o101_) \/ ((o71_ /\ o111_) \/ ((o81_ /\ o91_) \/ ((o81_ /\ o101_) \/ ((o81_ /\ o111_) \/ ((o91_ /\ o101_) \/ ((o91_ /\ o111_) \/ ((o101_ /\ o111_) \/ ((o12_ /\ o22_) \/ ((o12_ /\ o32_) \/ ((o12_ /\ o42_) \/ ((o12_ /\ o52_) \/ ((o12_ /\ o62_) \/ ((o12_ /\ o72_) \/ ((o12_ /\ o82_) \/ ((o12_ /\ o92_) \/ ((o12_ /\ o102_) \/ ((o12_ /\ o112_) \/ ((o22_ /\ o32_) \/ ((o22_ /\ o42_) \/ ((o22_ /\ o52_) \/ ((o22_ /\ o62_) \/ ((o22_ /\ o72_) \/ ((o22_ /\ o82_) \/ ((o22_ /\ o92_) \/ ((o22_ /\ o102_) \/ ((o22_ /\ o112_) \/ ((o32_ /\ o42_) \/ ((o32_ /\ o52_) \/ ((o32_ /\ o62_) \/ ((o32_ /\ o72_) \/ ((o32_ /\ o82_) \/ ((o32_ /\ o92_) \/ ((o32_ /\ o102_) \/ ((o32_ /\ o112_) \/ ((o42_ /\ o52_) \/ ((o42_ /\ o62_) \/ ((o42_ /\ o72_) \/ ((o42_ /\ o82_) \/ ((o42_ /\ o92_) \/ ((o42_ /\ o102_) \/ ((o42_ /\ o112_) \/ ((o52_ /\ o62_) \/ ((o52_ /\ o72_) \/ ((o52_ /\ o82_) \/ ((o52_ /\ o92_) \/ ((o52_ /\ o102_) \/ ((o52_ /\ o112_) \/ ((o62_ /\ o72_) \/ ((o62_ /\ o82_) \/ ((o62_ /\ o92_) \/ ((o62_ /\ o102_) \/ ((o62_ /\ o112_) \/ ((o72_ /\ o82_) \/ ((o72_ /\ o92_) \/ ((o72_ /\ o102_) \/ ((o72_ /\ o112_) \/ ((o82_ /\ o92_) \/ ((o82_ /\ o102_) \/ ((o82_ /\ o112_) \/ ((o92_ /\ o102_) \/ ((o92_ /\ o112_) \/ ((o102_ /\ o112_) \/ ((o13_ /\ o23_) \/ ((o13_ /\ o33_) \/ ((o13_ /\ o43_) \/ ((o13_ /\ o53_) \/ ((o13_ /\ o63_) \/ ((o13_ /\ o73_) \/ ((o13_ /\ o83_) \/ ((o13_ /\ o93_) \/ ((o13_ /\ o103_) \/ ((o13_ /\ o113_) \/ ((o23_ /\ o33_) \/ ((o23_ /\ o43_) \/ ((o23_ /\ o53_) \/ ((o23_ /\ o63_) \/ ((o23_ /\ o73_) \/ ((o23_ /\ o83_) \/ ((o23_ /\ o93_) \/ ((o23_ /\ o103_) \/ ((o23_ /\ o113_) \/ ((o33_ /\ o43_) \/ ((o33_ /\ o53_) \/ ((o33_ /\ o63_) \/ ((o33_ /\ o73_) \/ ((o33_ /\ o83_) \/ ((o33_ /\ o93_) \/ ((o33_ /\ o103_) \/ ((o33_ /\ o113_) \/ ((o43_ /\ o53_) \/ ((o43_ /\ o63_) \/ ((o43_ /\ o73_) \/ ((o43_ /\ o83_) \/ ((o43_ /\ o93_) \/ ((o43_ /\ o103_) \/ ((o43_ /\ o113_) \/ ((o53_ /\ o63_) \/ ((o53_ /\ o73_) \/ ((o53_ /\ o83_) \/ ((o53_ /\ o93_) \/ ((o53_ /\ o103_) \/ ((o53_ /\ o113_) \/ ((o63_ /\ o73_) \/ ((o63_ /\ o83_) \/ ((o63_ /\ o93_) \/ ((o63_ /\ o103_) \/ ((o63_ /\ o113_) \/ ((o73_ /\ o83_) \/ ((o73_ /\ o93_) \/ ((o73_ /\ o103_) \/ ((o73_ /\ o113_) \/ ((o83_ /\ o93_) \/ ((o83_ /\ o103_) \/ ((o83_ /\ o113_) \/ ((o93_ /\ o103_) \/ ((o93_ /\ o113_) \/ ((o103_ /\ o113_) \/ ((o14_ /\ o24_) \/ ((o14_ /\ o34_) \/ ((o14_ /\ o44_) \/ ((o14_ /\ o54_) \/ ((o14_ /\ o64_) \/ ((o14_ /\ o74_) \/ ((o14_ /\ o84_) \/ ((o14_ /\ o94_) \/ ((o14_ /\ o104_) \/ ((o14_ /\ o114_) \/ ((o24_ /\ o34_) \/ ((o24_ /\ o44_) \/ ((o24_ /\ o54_) \/ ((o24_ /\ o64_) \/ ((o24_ /\ o74_) \/ ((o24_ /\ o84_) \/ ((o24_ /\ o94_) \/ ((o24_ /\ o104_) \/ ((o24_ /\ o114_) \/ ((o34_ /\ o44_) \/ ((o34_ /\ o54_) \/ ((o34_ /\ o64_) \/ ((o34_ /\ o74_) \/ ((o34_ /\ o84_) \/ ((o34_ /\ o94_) \/ ((o34_ /\ o104_) \/ ((o34_ /\ o114_) \/ ((o44_ /\ o54_) \/ ((o44_ /\ o64_) \/ ((o44_ /\ o74_) \/ ((o44_ /\ o84_) \/ ((o44_ /\ o94_) \/ ((o44_ /\ o104_) \/ ((o44_ /\ o114_) \/ ((o54_ /\ o64_) \/ ((o54_ /\ o74_) \/ ((o54_ /\ o84_) \/ ((o54_ /\ o94_) \/ ((o54_ /\ o104_) \/ ((o54_ /\ o114_) \/ ((o64_ /\ o74_) \/ ((o64_ /\ o84_) \/ ((o64_ /\ o94_) \/ ((o64_ /\ o104_) \/ ((o64_ /\ o114_) \/ ((o74_ /\ o84_) \/ ((o74_ /\ o94_) \/ ((o74_ /\ o104_) \/ ((o74_ /\ o114_) \/ ((o84_ /\ o94_) \/ ((o84_ /\ o104_) \/ ((o84_ /\ o114_) \/ ((o94_ /\ o104_) \/ ((o94_ /\ o114_) \/ ((o104_ /\ o114_) \/ ((o15_ /\ o25_) \/ ((o15_ /\ o35_) \/ ((o15_ /\ o45_) \/ ((o15_ /\ o55_) \/ ((o15_ /\ o65_) \/ ((o15_ /\ o75_) \/ ((o15_ /\ o85_) \/ ((o15_ /\ o95_) \/ ((o15_ /\ o105_) \/ ((o15_ /\ o115_) \/ ((o25_ /\ o35_) \/ ((o25_ /\ o45_) \/ ((o25_ /\ o55_) \/ ((o25_ /\ o65_) \/ ((o25_ /\ o75_) \/ ((o25_ /\ o85_) \/ ((o25_ /\ o95_) \/ ((o25_ /\ o105_) \/ ((o25_ /\ o115_) \/ ((o35_ /\ o45_) \/ ((o35_ /\ o55_) \/ ((o35_ /\ o65_) \/ ((o35_ /\ o75_) \/ ((o35_ /\ o85_) \/ ((o35_ /\ o95_) \/ ((o35_ /\ o105_) \/ ((o35_ /\ o115_) \/ ((o45_ /\ o55_) \/ ((o45_ /\ o65_) \/ ((o45_ /\ o75_) \/ ((o45_ /\ o85_) \/ ((o45_ /\ o95_) \/ ((o45_ /\ o105_) \/ ((o45_ /\ o115_) \/ ((o55_ /\ o65_) \/ ((o55_ /\ o75_) \/ ((o55_ /\ o85_) \/ ((o55_ /\ o95_) \/ ((o55_ /\ o105_) \/ ((o55_ /\ o115_) \/ ((o65_ /\ o75_) \/ ((o65_ /\ o85_) \/ ((o65_ /\ o95_) \/ ((o65_ /\ o105_) \/ ((o65_ /\ o115_) \/ ((o75_ /\ o85_) \/ ((o75_ /\ o95_) \/ ((o75_ /\ o105_) \/ ((o75_ /\ o115_) \/ ((o85_ /\ o95_) \/ ((o85_ /\ o105_) \/ ((o85_ /\ o115_) \/ ((o95_ /\ o105_) \/ ((o95_ /\ o115_) \/ ((o105_ /\ o115_) \/ ((o16_ /\ o26_) \/ ((o16_ /\ o36_) \/ ((o16_ /\ o46_) \/ ((o16_ /\ o56_) \/ ((o16_ /\ o66_) \/ ((o16_ /\ o76_) \/ ((o16_ /\ o86_) \/ ((o16_ /\ o96_) \/ ((o16_ /\ o106_) \/ ((o16_ /\ o116_) \/ ((o26_ /\ o36_) \/ ((o26_ /\ o46_) \/ ((o26_ /\ o56_) \/ ((o26_ /\ o66_) \/ ((o26_ /\ o76_) \/ ((o26_ /\ o86_) \/ ((o26_ /\ o96_) \/ ((o26_ /\ o106_) \/ ((o26_ /\ o116_) \/ ((o36_ /\ o46_) \/ ((o36_ /\ o56_) \/ ((o36_ /\ o66_) \/ ((o36_ /\ o76_) \/ ((o36_ /\ o86_) \/ ((o36_ /\ o96_) \/ ((o36_ /\ o106_) \/ ((o36_ /\ o116_) \/ ((o46_ /\ o56_) \/ ((o46_ /\ o66_) \/ ((o46_ /\ o76_) \/ ((o46_ /\ o86_) \/ ((o46_ /\ o96_) \/ ((o46_ /\ o106_) \/ ((o46_ /\ o116_) \/ ((o56_ /\ o66_) \/ ((o56_ /\ o76_) \/ ((o56_ /\ o86_) \/ ((o56_ /\ o96_) \/ ((o56_ /\ o106_) \/ ((o56_ /\ o116_) \/ ((o66_ /\ o76_) \/ ((o66_ /\ o86_) \/ ((o66_ /\ o96_) \/ ((o66_ /\ o106_) \/ ((o66_ /\ o116_) \/ ((o76_ /\ o86_) \/ ((o76_ /\ o96_) \/ ((o76_ /\ o106_) \/ ((o76_ /\ o116_) \/ ((o86_ /\ o96_) \/ ((o86_ /\ o106_) \/ ((o86_ /\ o116_) \/ ((o96_ /\ o106_) \/ ((o96_ /\ o116_) \/ ((o106_ /\ o116_) \/ ((o17_ /\ o27_) \/ ((o17_ /\ o37_) \/ ((o17_ /\ o47_) \/ ((o17_ /\ o57_) \/ ((o17_ /\ o67_) \/ ((o17_ /\ o77_) \/ ((o17_ /\ o87_) \/ ((o17_ /\ o97_) \/ ((o17_ /\ o107_) \/ ((o17_ /\ o117_) \/ ((o27_ /\ o37_) \/ ((o27_ /\ o47_) \/ ((o27_ /\ o57_) \/ ((o27_ /\ o67_) \/ ((o27_ /\ o77_) \/ ((o27_ /\ o87_) \/ ((o27_ /\ o97_) \/ ((o27_ /\ o107_) \/ ((o27_ /\ o117_) \/ ((o37_ /\ o47_) \/ ((o37_ /\ o57_) \/ ((o37_ /\ o67_) \/ ((o37_ /\ o77_) \/ ((o37_ /\ o87_) \/ ((o37_ /\ o97_) \/ ((o37_ /\ o107_) \/ ((o37_ /\ o117_) \/ ((o47_ /\ o57_) \/ ((o47_ /\ o67_) \/ ((o47_ /\ o77_) \/ ((o47_ /\ o87_) \/ ((o47_ /\ o97_) \/ ((o47_ /\ o107_) \/ ((o47_ /\ o117_) \/ ((o57_ /\ o67_) \/ ((o57_ /\ o77_) \/ ((o57_ /\ o87_) \/ ((o57_ /\ o97_) \/ ((o57_ /\ o107_) \/ ((o57_ /\ o117_) \/ ((o67_ /\ o77_) \/ ((o67_ /\ o87_) \/ ((o67_ /\ o97_) \/ ((o67_ /\ o107_) \/ ((o67_ /\ o117_) \/ ((o77_ /\ o87_) \/ ((o77_ /\ o97_) \/ ((o77_ /\ o107_) \/ ((o77_ /\ o117_) \/ ((o87_ /\ o97_) \/ ((o87_ /\ o107_) \/ ((o87_ /\ o117_) \/ ((o97_ /\ o107_) \/ ((o97_ /\ o117_) \/ ((o107_ /\ o117_) \/ ((o18_ /\ o28_) \/ ((o18_ /\ o38_) \/ ((o18_ /\ o48_) \/ ((o18_ /\ o58_) \/ ((o18_ /\ o68_) \/ ((o18_ /\ o78_) \/ ((o18_ /\ o88_) \/ ((o18_ /\ o98_) \/ ((o18_ /\ o108_) \/ ((o18_ /\ o118_) \/ ((o28_ /\ o38_) \/ ((o28_ /\ o48_) \/ ((o28_ /\ o58_) \/ ((o28_ /\ o68_) \/ ((o28_ /\ o78_) \/ ((o28_ /\ o88_) \/ ((o28_ /\ o98_) \/ ((o28_ /\ o108_) \/ ((o28_ /\ o118_) \/ ((o38_ /\ o48_) \/ ((o38_ /\ o58_) \/ ((o38_ /\ o68_) \/ ((o38_ /\ o78_) \/ ((o38_ /\ o88_) \/ ((o38_ /\ o98_) \/ ((o38_ /\ o108_) \/ ((o38_ /\ o118_) \/ ((o48_ /\ o58_) \/ ((o48_ /\ o68_) \/ ((o48_ /\ o78_) \/ ((o48_ /\ o88_) \/ ((o48_ /\ o98_) \/ ((o48_ /\ o108_) \/ ((o48_ /\ o118_) \/ ((o58_ /\ o68_) \/ ((o58_ /\ o78_) \/ ((o58_ /\ o88_) \/ ((o58_ /\ o98_) \/ ((o58_ /\ o108_) \/ ((o58_ /\ o118_) \/ ((o68_ /\ o78_) \/ ((o68_ /\ o88_) \/ ((o68_ /\ o98_) \/ ((o68_ /\ o108_) \/ ((o68_ /\ o118_) \/ ((o78_ /\ o88_) \/ ((o78_ /\ o98_) \/ ((o78_ /\ o108_) \/ ((o78_ /\ o118_) \/ ((o88_ /\ o98_) \/ ((o88_ /\ o108_) \/ ((o88_ /\ o118_) \/ ((o98_ /\ o108_) \/ ((o98_ /\ o118_) \/ ((o108_ /\ o118_) \/ ((o19_ /\ o29_) \/ ((o19_ /\ o39_) \/ ((o19_ /\ o49_) \/ ((o19_ /\ o59_) \/ ((o19_ /\ o69_) \/ ((o19_ /\ o79_) \/ ((o19_ /\ o89_) \/ ((o19_ /\ o99_) \/ ((o19_ /\ o109_) \/ ((o19_ /\ o119_) \/ ((o29_ /\ o39_) \/ ((o29_ /\ o49_) \/ ((o29_ /\ o59_) \/ ((o29_ /\ o69_) \/ ((o29_ /\ o79_) \/ ((o29_ /\ o89_) \/ ((o29_ /\ o99_) \/ ((o29_ /\ o109_) \/ ((o29_ /\ o119_) \/ ((o39_ /\ o49_) \/ ((o39_ /\ o59_) \/ ((o39_ /\ o69_) \/ ((o39_ /\ o79_) \/ ((o39_ /\ o89_) \/ ((o39_ /\ o99_) \/ ((o39_ /\ o109_) \/ ((o39_ /\ o119_) \/ ((o49_ /\ o59_) \/ ((o49_ /\ o69_) \/ ((o49_ /\ o79_) \/ ((o49_ /\ o89_) \/ ((o49_ /\ o99_) \/ ((o49_ /\ o109_) \/ ((o49_ /\ o119_) \/ ((o59_ /\ o69_) \/ ((o59_ /\ o79_) \/ ((o59_ /\ o89_) \/ ((o59_ /\ o99_) \/ ((o59_ /\ o109_) \/ ((o59_ /\ o119_) \/ ((o69_ /\ o79_) \/ ((o69_ /\ o89_) \/ ((o69_ /\ o99_) \/ ((o69_ /\ o109_) \/ ((o69_ /\ o119_) \/ ((o79_ /\ o89_) \/ ((o79_ /\ o99_) \/ ((o79_ /\ o109_) \/ ((o79_ /\ o119_) \/ ((o89_ /\ o99_) \/ ((o89_ /\ o109_) \/ ((o89_ /\ o119_) \/ ((o99_ /\ o109_) \/ ((o99_ /\ o119_) \/ ((o109_ /\ o119_) \/ ((o110_ /\ o210_) \/ ((o110_ /\ o310_) \/ ((o110_ /\ o410_) \/ ((o110_ /\ o510_) \/ ((o110_ /\ o610_) \/ ((o110_ /\ o710_) \/ ((o110_ /\ o810_) \/ ((o110_ /\ o910_) \/ ((o110_ /\ o1010_) \/ ((o110_ /\ o1110_) \/ ((o210_ /\ o310_) \/ ((o210_ /\ o410_) \/ ((o210_ /\ o510_) \/ ((o210_ /\ o610_) \/ ((o210_ /\ o710_) \/ ((o210_ /\ o810_) \/ ((o210_ /\ o910_) \/ ((o210_ /\ o1010_) \/ ((o210_ /\ o1110_) \/ ((o310_ /\ o410_) \/ ((o310_ /\ o510_) \/ ((o310_ /\ o610_) \/ ((o310_ /\ o710_) \/ ((o310_ /\ o810_) \/ ((o310_ /\ o910_) \/ ((o310_ /\ o1010_) \/ ((o310_ /\ o1110_) \/ ((o410_ /\ o510_) \/ ((o410_ /\ o610_) \/ ((o410_ /\ o710_) \/ ((o410_ /\ o810_) \/ ((o410_ /\ o910_) \/ ((o410_ /\ o1010_) \/ ((o410_ /\ o1110_) \/ ((o510_ /\ o610_) \/ ((o510_ /\ o710_) \/ ((o510_ /\ o810_) \/ ((o510_ /\ o910_) \/ ((o510_ /\ o1010_) \/ ((o510_ /\ o1110_) \/ ((o610_ /\ o710_) \/ ((o610_ /\ o810_) \/ ((o610_ /\ o910_) \/ ((o610_ /\ o1010_) \/ ((o610_ /\ o1110_) \/ ((o710_ /\ o810_) \/ ((o710_ /\ o910_) \/ ((o710_ /\ o1010_) \/ ((o710_ /\ o1110_) \/ ((o810_ /\ o910_) \/ ((o810_ /\ o1010_) \/ ((o810_ /\ o1110_) \/ ((o910_ /\ o1010_) \/ ((o910_ /\ o1110_) \/ (o1010_ /\ o1110_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
