(*
% File     : SYN080+1 : ILTP v1.1.2
% Domain   : Syntactic
% Problem  : Pelletier Problem 58
% Version  : Especial.
% English  : 
% Refs     : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
%          : [Hah94] Haehnle (1994), Email to G. Sutcliffe
% Source   : [Hah94]
% Names    : Pelletier 58 [Pel86]
% Status   : Theorem
% Rating   : 0.09 v3.1.0, 0.00 v2.5.0, 0.12 v2.4.0, 0.25 v2.3.0, 0.33 v2.2.1, 0.00 v2.1.0
% Status (intuit.) : Theorem
% Rating (intuit.) : 0.25 v1.0.0
% Syntax   : Number of formulae    :    2 (   2 unit)
%            Number of atoms       :    2 (   2 equality)
%            Maximal formula depth :    3 (   3 average)
%            Number of connectives :    0 (   0 ~  ;   0  |;   0  &)
%                                         (   0 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    2 (   0 constant; 1-1 arity)
%            Number of variables   :    4 (   0 singleton;   4 !;   0 ?)
%            Maximal term depth    :    3 (   2 average)
% Comments : 
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable EqTransitivity : forall x y z : Universe, x = y -> y = z -> x = z.
Variable EqSymmetry : forall x y : Universe, x = y -> y = x.
Variable EqReflexivity : forall x : Universe, x = x.

Variable g_ : Universe -> Universe.
Variable EqCongruence_g : forall x1 y1 : Universe, x1 = y1 -> g_ x1 = g_ y1 .
Variable f_ : Universe -> Universe.
Variable EqCongruence_f : forall x1 y1 : Universe, x1 = y1 -> f_ x1 = f_ y1 .

Variable pel58_1_1 : (forall X Y : Universe, (f_ X) = (g_ Y)).

Set Firstorder Depth 10.

Theorem pel58_2 : (forall X Y : Universe, (f_ (f_ X)) = (f_ (g_ Y))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
