(*
% File     : SYN365+1 : ILTP v1.1.2
% Domain   : Syntactic
% Problem  : Peter Andrews Problem X2116
% Version  : Especial.
% English  : 
% Refs     : [And86] Andrews (1986), An Introduction to Mathematical Logic 
%          : [And94] Andrews (1994), Email to G. Sutcliffe
% Source   : [And94]
% Names    : X2116 [And86]
% Status   : Theorem
% Rating   : 0.00 v2.1.0
% Status (intuit.) : Theorem
% Rating (intuit.) : 0.50 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    9 (   0 equality)
%            Maximal formula depth :    7 (   7 average)
%            Number of connectives :    8 (   0 ~  ;   0  |;   4  &)
%                                         (   0 <=>;   4 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    2 (   0 propositional; 1-2 arity)
%            Number of functors    :    2 (   0 constant; 1-1 arity)
%            Number of variables   :    5 (   0 singleton;   3 !;   2 ?)
%            Maximal term depth    :    3 (   1 average)
% Comments : 
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable big_r_ : Universe -> Universe -> Prop.
Variable big_p_ : Universe -> Prop.

Variable h_ : Universe -> Universe.
Variable g_ : Universe -> Universe.


Set Firstorder Depth 10.

Theorem x2116_1 : (((forall X : Universe, (exists Y : Universe, (big_p_ X -> (big_r_ X (g_ (h_ Y)) /\ big_p_ Y)))) /\ (forall W : Universe, (big_p_ W -> (big_p_ (g_ W) /\ big_p_ (h_ W))))) -> (forall X : Universe, (big_p_ X -> (exists Y : Universe, (big_r_ X Y /\ big_p_ Y))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
