(*
% File     : SYN386+1 : ILTP v1.1.2
% Domain   : Syntactic
% Problem  : Peter Andrews Problem X2138
% Version  : Especial.
% English  : 
% Refs     : [And86] Andrews (1986), An Introduction to Mathematical Logic 
%          : [And94] Andrews (1994), Email to G. Sutcliffe
% Source   : [And94]
% Names    : X2138 [And86]
% Status   : Theorem
% Rating   : 0.22 v3.1.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.00 v2.1.0
% Status (intuit.) : Theorem
% Rating (intuit.) : 0.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :   10 (   0 equality)
%            Maximal formula depth :   13 (  13 average)
%            Number of connectives :    9 (   0 ~  ;   0  |;   3  &)
%                                         (   0 <=>;   6 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   0 propositional; 2-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   17 (   0 singleton;  11 !;   6 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : 
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable big_s_ : Universe -> Universe -> Prop.
Variable big_f_ : Universe -> Universe -> Prop.
Variable big_d_ : Universe -> Universe -> Universe -> Prop.



Set Firstorder Depth 10.

Theorem x2138_1 : (((forall X : Universe, (exists Y : Universe, big_f_ X Y)) /\ ((exists X : Universe, (forall E : Universe, (exists N : Universe, (forall W : Universe, (big_s_ N W -> big_d_ W X E))))) /\ (forall E : Universe, (exists D : Universe, (forall A B : Universe, (big_d_ A B D -> (forall Y Z : Universe, ((big_f_ A Y /\ big_f_ B Z) -> big_d_ Y Z E)))))))) -> (exists Y : Universe, (forall E : Universe, (exists M : Universe, (forall W : Universe, (big_s_ M W -> (forall Z : Universe, (big_f_ W Z -> big_d_ Z Y E)))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
