(*
% File     : SYN418+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=100, K=3, D=2, P=0, Index=002
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-100-3-2-002.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.50 v3.1.0, 0.67 v2.7.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.3.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1074 (   0 equality)
%            Maximal formula depth :   96 (  96 average)
%            Number of connectives : 1473 ( 400 ~  ; 428  |; 498  &)
%                                         (   0 <=>; 147 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :  178 ( 157 propositional; 0-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  147 (   0 singleton; 147 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c9_2_ : Universe -> Universe -> Prop.
Variable c9_1_ : Universe -> Prop.
Variable c9_0_ : Prop.
Variable c8_2_ : Universe -> Universe -> Prop.
Variable c8_1_ : Universe -> Prop.
Variable c8_0_ : Prop.
Variable c7_2_ : Universe -> Universe -> Prop.
Variable c7_1_ : Universe -> Prop.
Variable c7_0_ : Prop.
Variable c6_2_ : Universe -> Universe -> Prop.
Variable c6_1_ : Universe -> Prop.
Variable c6_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.
Variable c10_2_ : Universe -> Universe -> Prop.
Variable c10_1_ : Universe -> Prop.
Variable c10_0_ : Prop.

Variable a99_ : Universe.
Variable a98_ : Universe.
Variable a97_ : Universe.
Variable a96_ : Universe.
Variable a95_ : Universe.
Variable a94_ : Universe.
Variable a93_ : Universe.
Variable a92_ : Universe.
Variable a91_ : Universe.
Variable a90_ : Universe.
Variable a9_ : Universe.
Variable a89_ : Universe.
Variable a88_ : Universe.
Variable a87_ : Universe.
Variable a86_ : Universe.
Variable a85_ : Universe.
Variable a84_ : Universe.
Variable a83_ : Universe.
Variable a82_ : Universe.
Variable a81_ : Universe.
Variable a80_ : Universe.
Variable a8_ : Universe.
Variable a79_ : Universe.
Variable a78_ : Universe.
Variable a77_ : Universe.
Variable a76_ : Universe.
Variable a75_ : Universe.
Variable a74_ : Universe.
Variable a73_ : Universe.
Variable a72_ : Universe.
Variable a71_ : Universe.
Variable a70_ : Universe.
Variable a7_ : Universe.
Variable a69_ : Universe.
Variable a68_ : Universe.
Variable a67_ : Universe.
Variable a66_ : Universe.
Variable a65_ : Universe.
Variable a64_ : Universe.
Variable a63_ : Universe.
Variable a62_ : Universe.
Variable a61_ : Universe.
Variable a60_ : Universe.
Variable a6_ : Universe.
Variable a59_ : Universe.
Variable a58_ : Universe.
Variable a57_ : Universe.
Variable a56_ : Universe.
Variable a55_ : Universe.
Variable a54_ : Universe.
Variable a53_ : Universe.
Variable a52_ : Universe.
Variable a51_ : Universe.
Variable a50_ : Universe.
Variable a5_ : Universe.
Variable a49_ : Universe.
Variable a48_ : Universe.
Variable a47_ : Universe.
Variable a46_ : Universe.
Variable a45_ : Universe.
Variable a44_ : Universe.
Variable a43_ : Universe.
Variable a42_ : Universe.
Variable a41_ : Universe.
Variable a40_ : Universe.
Variable a4_ : Universe.
Variable a39_ : Universe.
Variable a38_ : Universe.
Variable a37_ : Universe.
Variable a36_ : Universe.
Variable a35_ : Universe.
Variable a34_ : Universe.
Variable a33_ : Universe.
Variable a32_ : Universe.
Variable a31_ : Universe.
Variable a30_ : Universe.
Variable a3_ : Universe.
Variable a29_ : Universe.
Variable a28_ : Universe.
Variable a27_ : Universe.
Variable a26_ : Universe.
Variable a25_ : Universe.
Variable a24_ : Universe.
Variable a23_ : Universe.
Variable a22_ : Universe.
Variable a21_ : Universe.
Variable a20_ : Universe.
Variable a2_ : Universe.
Variable a19_ : Universe.
Variable a18_ : Universe.
Variable a17_ : Universe.
Variable a16_ : Universe.
Variable a15_ : Universe.
Variable a146_ : Universe.
Variable a145_ : Universe.
Variable a144_ : Universe.
Variable a143_ : Universe.
Variable a142_ : Universe.
Variable a141_ : Universe.
Variable a140_ : Universe.
Variable a14_ : Universe.
Variable a139_ : Universe.
Variable a138_ : Universe.
Variable a137_ : Universe.
Variable a136_ : Universe.
Variable a135_ : Universe.
Variable a134_ : Universe.
Variable a133_ : Universe.
Variable a132_ : Universe.
Variable a131_ : Universe.
Variable a130_ : Universe.
Variable a13_ : Universe.
Variable a129_ : Universe.
Variable a128_ : Universe.
Variable a127_ : Universe.
Variable a126_ : Universe.
Variable a125_ : Universe.
Variable a124_ : Universe.
Variable a123_ : Universe.
Variable a122_ : Universe.
Variable a121_ : Universe.
Variable a120_ : Universe.
Variable a12_ : Universe.
Variable a119_ : Universe.
Variable a118_ : Universe.
Variable a117_ : Universe.
Variable a116_ : Universe.
Variable a115_ : Universe.
Variable a114_ : Universe.
Variable a113_ : Universe.
Variable a112_ : Universe.
Variable a111_ : Universe.
Variable a110_ : Universe.
Variable a11_ : Universe.
Variable a109_ : Universe.
Variable a108_ : Universe.
Variable a107_ : Universe.
Variable a106_ : Universe.
Variable a105_ : Universe.
Variable a104_ : Universe.
Variable a103_ : Universe.
Variable a102_ : Universe.
Variable a101_ : Universe.
Variable a100_ : Universe.
Variable a10_ : Universe.
Variable a1_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~((((ndr1_0_ /\ (ndr1_1_ a1_ /\ (~(c3_2_ a1_ a2_) /\ (~(c5_2_ a1_ a2_) /\ (c6_2_ a1_ a2_ /\ (c9_1_ a1_ /\ c6_1_ a1_)))))) \/ ((ndr1_0_ /\ (ndr1_1_ a3_ /\ (~(c3_2_ a3_ a4_) /\ (c1_2_ a3_ a4_ /\ (c5_2_ a3_ a4_ /\ (~(c1_1_ a3_) /\ (ndr1_1_ a3_ /\ (~(c1_2_ a3_ a5_) /\ (c7_2_ a3_ a5_ /\ ~(c3_2_ a3_ a5_)))))))))) \/ (forall U : Universe, (ndr1_0_ -> (c6_1_ U \/ ~(c7_1_ U)))))) /\ (((ndr1_0_ /\ (c10_1_ a6_ /\ (~(c6_1_ a6_) /\ ~(c4_1_ a6_)))) \/ (ndr1_0_ /\ (ndr1_1_ a7_ /\ (~(c1_2_ a7_ a8_) /\ (~(c9_2_ a7_ a8_) /\ (c2_2_ a7_ a8_ /\ (c10_1_ a7_ /\ c8_1_ a7_))))))) /\ ((~(c7_0_) \/ ((forall V : Universe, (ndr1_0_ -> (~(c3_1_ V) \/ (c6_1_ V \/ (forall W : Universe, (ndr1_1_ V -> (~(c6_2_ V W) \/ (c1_2_ V W \/ ~(c8_2_ V W))))))))) \/ ~(c10_0_))) /\ (((forall X : Universe, (ndr1_0_ -> (c10_1_ X \/ (~(c7_1_ X) \/ (forall Y : Universe, (ndr1_1_ X -> (c3_2_ X Y \/ (~(c10_2_ X Y) \/ ~(c1_2_ X Y))))))))) \/ ((ndr1_0_ /\ (~(c8_1_ a9_) /\ ((forall Z : Universe, (ndr1_1_ a9_ -> (c4_2_ a9_ Z \/ c5_2_ a9_ Z))) /\ (ndr1_1_ a9_ /\ (~(c3_2_ a9_ a10_) /\ (~(c6_2_ a9_ a10_) /\ c2_2_ a9_ a10_)))))) \/ (forall X1 : Universe, (ndr1_0_ -> ((ndr1_1_ X1 /\ (c1_2_ X1 a11_ /\ (~(c9_2_ X1 a11_) /\ c2_2_ X1 a11_))) \/ (~(c3_1_ X1) \/ (forall X2 : Universe, (ndr1_1_ X1 -> (c4_2_ X1 X2 \/ (~(c8_2_ X1 X2) \/ ~(c1_2_ X1 X2))))))))))) /\ (((ndr1_0_ /\ (~(c3_1_ a12_) /\ (ndr1_1_ a12_ /\ (c6_2_ a12_ a13_ /\ (c4_2_ a12_ a13_ /\ ~(c9_2_ a12_ a13_)))))) \/ (c8_0_ \/ (forall X3 : Universe, (ndr1_0_ -> ((forall X4 : Universe, (ndr1_1_ X3 -> (~(c2_2_ X3 X4) \/ (c1_2_ X3 X4 \/ ~(c7_2_ X3 X4))))) \/ (~(c6_1_ X3) \/ (ndr1_1_ X3 /\ (c2_2_ X3 a14_ /\ (c10_2_ X3 a14_ /\ ~(c7_2_ X3 a14_)))))))))) /\ ((~(c3_0_) \/ (c1_0_ \/ ~(c2_0_))) /\ ((~(c2_0_) \/ (~(c3_0_) \/ c4_0_)) /\ ((c8_0_ \/ ((forall X5 : Universe, (ndr1_0_ -> (c3_1_ X5 \/ ((forall X6 : Universe, (ndr1_1_ X5 -> (c7_2_ X5 X6 \/ (~(c10_2_ X5 X6) \/ c6_2_ X5 X6)))) \/ ~(c10_1_ X5))))) \/ (ndr1_0_ /\ ((forall X7 : Universe, (ndr1_1_ a15_ -> (~(c2_2_ a15_ X7) \/ (c5_2_ a15_ X7 \/ ~(c4_2_ a15_ X7))))) /\ (c3_1_ a15_ /\ (forall X8 : Universe, (ndr1_1_ a15_ -> (~(c9_2_ a15_ X8) \/ (~(c4_2_ a15_ X8) \/ ~(c6_2_ a15_ X8)))))))))) /\ ((~(c1_0_) \/ ((ndr1_0_ /\ (ndr1_1_ a16_ /\ (~(c8_2_ a16_ a17_) /\ (~(c2_2_ a16_ a17_) /\ (c9_2_ a16_ a17_ /\ ((forall X9 : Universe, (ndr1_1_ a16_ -> (~(c4_2_ a16_ X9) \/ (~(c7_2_ a16_ X9) \/ ~(c10_2_ a16_ X9))))) /\ ~(c3_1_ a16_))))))) \/ (ndr1_0_ /\ (c6_1_ a18_ /\ ((forall X10 : Universe, (ndr1_1_ a18_ -> (c8_2_ a18_ X10 \/ (c4_2_ a18_ X10 \/ c7_2_ a18_ X10)))) /\ c3_1_ a18_))))) /\ (((forall X11 : Universe, (ndr1_0_ -> ~(c6_1_ X11))) \/ ((ndr1_0_ /\ (ndr1_1_ a19_ /\ (c2_2_ a19_ a20_ /\ (c9_2_ a19_ a20_ /\ (~(c4_2_ a19_ a20_) /\ (ndr1_1_ a19_ /\ (c2_2_ a19_ a21_ /\ (~(c8_2_ a19_ a21_) /\ c7_1_ a19_)))))))) \/ (ndr1_0_ /\ (ndr1_1_ a22_ /\ (c2_2_ a22_ a23_ /\ (c7_2_ a22_ a23_ /\ (c10_2_ a22_ a23_ /\ (ndr1_1_ a22_ /\ (~(c6_2_ a22_ a24_) /\ (~(c1_2_ a22_ a24_) /\ (~(c2_2_ a22_ a24_) /\ c8_1_ a22_))))))))))) /\ ((~(c4_0_) \/ (forall X12 : Universe, (ndr1_0_ -> ((ndr1_1_ X12 /\ (c8_2_ X12 a25_ /\ (c5_2_ X12 a25_ /\ c3_2_ X12 a25_))) \/ ~(c3_1_ X12))))) /\ ((c10_0_ \/ (~(c9_0_) \/ (ndr1_0_ /\ (c8_1_ a26_ /\ (ndr1_1_ a26_ /\ (c9_2_ a26_ a27_ /\ (c6_2_ a26_ a27_ /\ (~(c5_2_ a26_ a27_) /\ (forall X13 : Universe, (ndr1_1_ a26_ -> (~(c7_2_ a26_ X13) \/ (c8_2_ a26_ X13 \/ ~(c4_2_ a26_ X13))))))))))))) /\ ((c10_0_ \/ ((forall X14 : Universe, (ndr1_0_ -> ((forall X15 : Universe, (ndr1_1_ X14 -> (~(c1_2_ X14 X15) \/ (c10_2_ X14 X15 \/ ~(c9_2_ X14 X15))))) \/ ((forall X16 : Universe, (ndr1_1_ X14 -> (c9_2_ X14 X16 \/ (c3_2_ X14 X16 \/ c1_2_ X14 X16)))) \/ (forall X17 : Universe, (ndr1_1_ X14 -> (c9_2_ X14 X17 \/ (~(c1_2_ X14 X17) \/ ~(c10_2_ X14 X17))))))))) \/ c6_0_)) /\ ((~(c4_0_) \/ ((ndr1_0_ /\ ((forall X18 : Universe, (ndr1_1_ a28_ -> (c7_2_ a28_ X18 \/ (c3_2_ a28_ X18 \/ ~(c6_2_ a28_ X18))))) /\ (~(c10_1_ a28_) /\ (forall X19 : Universe, (ndr1_1_ a28_ -> (~(c1_2_ a28_ X19) \/ (~(c8_2_ a28_ X19) \/ c5_2_ a28_ X19))))))) \/ ~(c8_0_))) /\ ((c10_0_ \/ (~(c7_0_) \/ c8_0_)) /\ ((~(c6_0_) \/ (c7_0_ \/ ~(c2_0_))) /\ ((c10_0_ \/ (c8_0_ \/ (forall X20 : Universe, (ndr1_0_ -> (c8_1_ X20 \/ (~(c6_1_ X20) \/ (forall X21 : Universe, (ndr1_1_ X20 -> (~(c4_2_ X20 X21) \/ ~(c7_2_ X20 X21)))))))))) /\ ((~(c10_0_) \/ (~(c5_0_) \/ (ndr1_0_ /\ (~(c7_1_ a29_) /\ (c9_1_ a29_ /\ (ndr1_1_ a29_ /\ (c8_2_ a29_ a30_ /\ (~(c5_2_ a29_ a30_) /\ ~(c4_2_ a29_ a30_))))))))) /\ ((c5_0_ \/ c10_0_) /\ (((ndr1_0_ /\ (ndr1_1_ a31_ /\ (~(c7_2_ a31_ a32_) /\ (c3_2_ a31_ a32_ /\ (c8_2_ a31_ a32_ /\ (~(c5_1_ a31_) /\ (forall X22 : Universe, (ndr1_1_ a31_ -> (~(c2_2_ a31_ X22) \/ (c1_2_ a31_ X22 \/ c6_2_ a31_ X22)))))))))) \/ ((ndr1_0_ /\ (c3_1_ a33_ /\ (ndr1_1_ a33_ /\ (~(c6_2_ a33_ a34_) /\ (c10_2_ a33_ a34_ /\ (~(c5_2_ a33_ a34_) /\ c6_1_ a33_)))))) \/ (ndr1_0_ /\ (~(c8_1_ a35_) /\ (c2_1_ a35_ /\ (ndr1_1_ a35_ /\ (~(c4_2_ a35_ a36_) /\ (c7_2_ a35_ a36_ /\ c8_2_ a35_ a36_)))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a37_ /\ (c4_2_ a37_ a38_ /\ (c6_2_ a37_ a38_ /\ (~(c3_2_ a37_ a38_) /\ ((forall X23 : Universe, (ndr1_1_ a37_ -> (~(c7_2_ a37_ X23) \/ c10_2_ a37_ X23))) /\ ~(c5_1_ a37_))))))) \/ ((forall X24 : Universe, (ndr1_0_ -> ((forall X25 : Universe, (ndr1_1_ X24 -> (~(c2_2_ X24 X25) \/ (c10_2_ X24 X25 \/ ~(c5_2_ X24 X25))))) \/ ((ndr1_1_ X24 /\ (c2_2_ X24 a39_ /\ (~(c9_2_ X24 a39_) /\ ~(c3_2_ X24 a39_)))) \/ (forall X26 : Universe, (ndr1_1_ X24 -> (~(c4_2_ X24 X26) \/ (c5_2_ X24 X26 \/ c3_2_ X24 X26)))))))) \/ (forall X27 : Universe, (ndr1_0_ -> ((ndr1_1_ X27 /\ (~(c3_2_ X27 a40_) /\ (~(c4_2_ X27 a40_) /\ c9_2_ X27 a40_))) \/ ((forall X28 : Universe, (ndr1_1_ X27 -> (~(c8_2_ X27 X28) \/ (~(c6_2_ X27 X28) \/ ~(c3_2_ X27 X28))))) \/ (forall X29 : Universe, (ndr1_1_ X27 -> (~(c9_2_ X27 X29) \/ (~(c2_2_ X27 X29) \/ c7_2_ X27 X29)))))))))) /\ ((c9_0_ \/ ((ndr1_0_ /\ ((forall X30 : Universe, (ndr1_1_ a41_ -> (c8_2_ a41_ X30 \/ (c3_2_ a41_ X30 \/ c6_2_ a41_ X30)))) /\ ~(c10_1_ a41_))) \/ (forall X31 : Universe, (ndr1_0_ -> ((ndr1_1_ X31 /\ (c5_2_ X31 a42_ /\ (c4_2_ X31 a42_ /\ ~(c10_2_ X31 a42_)))) \/ ((forall X32 : Universe, (ndr1_1_ X31 -> (c2_2_ X31 X32 \/ (~(c7_2_ X31 X32) \/ c3_2_ X31 X32)))) \/ (forall X33 : Universe, (ndr1_1_ X31 -> (~(c9_2_ X31 X33) \/ ~(c8_2_ X31 X33)))))))))) /\ ((~(c5_0_) \/ ((forall X34 : Universe, (ndr1_0_ -> ((ndr1_1_ X34 /\ (c1_2_ X34 a43_ /\ (~(c8_2_ X34 a43_) /\ c10_2_ X34 a43_))) \/ ((forall X35 : Universe, (ndr1_1_ X34 -> (~(c3_2_ X34 X35) \/ (c4_2_ X34 X35 \/ c2_2_ X34 X35)))) \/ (forall X36 : Universe, (ndr1_1_ X34 -> (~(c4_2_ X34 X36) \/ (~(c9_2_ X34 X36) \/ ~(c3_2_ X34 X36))))))))) \/ c3_0_)) /\ ((~(c10_0_) \/ ((ndr1_0_ /\ ((forall X37 : Universe, (ndr1_1_ a44_ -> (~(c5_2_ a44_ X37) \/ (c4_2_ a44_ X37 \/ c3_2_ a44_ X37)))) /\ (c4_1_ a44_ /\ c3_1_ a44_))) \/ ~(c1_0_))) /\ (((forall X38 : Universe, (ndr1_0_ -> (~(c8_1_ X38) \/ c1_1_ X38))) \/ ((ndr1_0_ /\ (ndr1_1_ a45_ /\ (~(c10_2_ a45_ a46_) /\ (~(c8_2_ a45_ a46_) /\ (~(c4_2_ a45_ a46_) /\ (ndr1_1_ a45_ /\ (c3_2_ a45_ a47_ /\ (~(c4_2_ a45_ a47_) /\ (~(c1_2_ a45_ a47_) /\ (ndr1_1_ a45_ /\ (c7_2_ a45_ a48_ /\ (~(c2_2_ a45_ a48_) /\ c9_2_ a45_ a48_)))))))))))) \/ (forall X39 : Universe, (ndr1_0_ -> (c1_1_ X39 \/ ((ndr1_1_ X39 /\ (c5_2_ X39 a49_ /\ (~(c3_2_ X39 a49_) /\ c7_2_ X39 a49_))) \/ (ndr1_1_ X39 /\ (c1_2_ X39 a50_ /\ (c8_2_ X39 a50_ /\ c10_2_ X39 a50_))))))))) /\ (((forall X40 : Universe, (ndr1_0_ -> (c10_1_ X40 \/ ~(c4_1_ X40)))) \/ ((forall X41 : Universe, (ndr1_0_ -> (c3_1_ X41 \/ (~(c8_1_ X41) \/ ~(c2_1_ X41))))) \/ c2_0_)) /\ (((forall X42 : Universe, (ndr1_0_ -> ((forall X43 : Universe, (ndr1_1_ X42 -> (c6_2_ X42 X43 \/ (~(c7_2_ X42 X43) \/ c1_2_ X42 X43)))) \/ c10_1_ X42))) \/ c8_0_) /\ ((~(c7_0_) \/ (~(c9_0_) \/ c4_0_)) /\ ((~(c6_0_) \/ ((ndr1_0_ /\ ((forall X44 : Universe, (ndr1_1_ a51_ -> (~(c9_2_ a51_ X44) \/ (~(c1_2_ a51_ X44) \/ ~(c4_2_ a51_ X44))))) /\ (c6_1_ a51_ /\ c2_1_ a51_))) \/ c4_0_)) /\ ((~(c10_0_) \/ (c3_0_ \/ (forall X45 : Universe, (ndr1_0_ -> ((forall X46 : Universe, (ndr1_1_ X45 -> (c10_2_ X45 X46 \/ ~(c7_2_ X45 X46)))) \/ (c10_1_ X45 \/ (ndr1_1_ X45 /\ (c8_2_ X45 a52_ /\ (~(c9_2_ X45 a52_) /\ c3_2_ X45 a52_))))))))) /\ ((~(c1_0_) \/ (~(c5_0_) \/ (ndr1_0_ /\ ((forall X47 : Universe, (ndr1_1_ a53_ -> (c1_2_ a53_ X47 \/ (~(c3_2_ a53_ X47) \/ c6_2_ a53_ X47)))) /\ (ndr1_1_ a53_ /\ (~(c3_2_ a53_ a54_) /\ (c9_2_ a53_ a54_ /\ (forall X48 : Universe, (ndr1_1_ a53_ -> (c4_2_ a53_ X48 \/ (~(c10_2_ a53_ X48) \/ c7_2_ a53_ X48))))))))))) /\ (((ndr1_0_ /\ (~(c6_1_ a55_) /\ ~(c10_1_ a55_))) \/ ((ndr1_0_ /\ (~(c1_1_ a56_) /\ ~(c8_1_ a56_))) \/ (forall X49 : Universe, (ndr1_0_ -> (c6_1_ X49 \/ ((forall X50 : Universe, (ndr1_1_ X49 -> (c2_2_ X49 X50 \/ (c6_2_ X49 X50 \/ c4_2_ X49 X50)))) \/ c1_1_ X49)))))) /\ ((~(c6_0_) \/ (~(c5_0_) \/ (forall X51 : Universe, (ndr1_0_ -> (c10_1_ X51 \/ c4_1_ X51))))) /\ ((c4_0_ \/ (c6_0_ \/ c2_0_)) /\ ((~(c2_0_) \/ ((forall X52 : Universe, (ndr1_0_ -> (c9_1_ X52 \/ ((ndr1_1_ X52 /\ (~(c5_2_ X52 a57_) /\ (c7_2_ X52 a57_ /\ ~(c4_2_ X52 a57_)))) \/ (ndr1_1_ X52 /\ (c3_2_ X52 a58_ /\ (~(c4_2_ X52 a58_) /\ c2_2_ X52 a58_))))))) \/ (ndr1_0_ /\ ((forall X53 : Universe, (ndr1_1_ a59_ -> (~(c7_2_ a59_ X53) \/ (c8_2_ a59_ X53 \/ c9_2_ a59_ X53)))) /\ ~(c9_1_ a59_))))) /\ (((forall X54 : Universe, (ndr1_0_ -> (~(c3_1_ X54) \/ c8_1_ X54))) \/ ((forall X55 : Universe, (ndr1_0_ -> ((forall X56 : Universe, (ndr1_1_ X55 -> (c7_2_ X55 X56 \/ (c5_2_ X55 X56 \/ ~(c1_2_ X55 X56))))) \/ ((ndr1_1_ X55 /\ (c7_2_ X55 a60_ /\ (~(c9_2_ X55 a60_) /\ c5_2_ X55 a60_))) \/ (ndr1_1_ X55 /\ (c9_2_ X55 a61_ /\ ~(c5_2_ X55 a61_))))))) \/ (forall X57 : Universe, (ndr1_0_ -> ((ndr1_1_ X57 /\ (~(c9_2_ X57 a62_) /\ (c3_2_ X57 a62_ /\ c5_2_ X57 a62_))) \/ ((ndr1_1_ X57 /\ (~(c7_2_ X57 a63_) /\ (~(c8_2_ X57 a63_) /\ c3_2_ X57 a63_))) \/ ~(c5_1_ X57))))))) /\ (((forall X58 : Universe, (ndr1_0_ -> ((ndr1_1_ X58 /\ (~(c6_2_ X58 a64_) /\ ~(c9_2_ X58 a64_))) \/ ((ndr1_1_ X58 /\ (c4_2_ X58 a65_ /\ (c5_2_ X58 a65_ /\ ~(c6_2_ X58 a65_)))) \/ ~(c4_1_ X58))))) \/ (~(c3_0_) \/ ~(c10_0_))) /\ (((ndr1_0_ /\ ((forall X59 : Universe, (ndr1_1_ a66_ -> (c3_2_ a66_ X59 \/ c1_2_ a66_ X59))) /\ (~(c9_1_ a66_) /\ c4_1_ a66_))) \/ ((forall X60 : Universe, (ndr1_0_ -> (~(c10_1_ X60) \/ (~(c8_1_ X60) \/ (ndr1_1_ X60 /\ (c4_2_ X60 a67_ /\ (~(c2_2_ X60 a67_) /\ ~(c1_2_ X60 a67_)))))))) \/ c7_0_)) /\ ((c3_0_ \/ ((ndr1_0_ /\ (c2_1_ a68_ /\ (ndr1_1_ a68_ /\ (~(c3_2_ a68_ a69_) /\ (~(c5_2_ a68_ a69_) /\ (~(c7_2_ a68_ a69_) /\ c4_1_ a68_)))))) \/ (forall X61 : Universe, (ndr1_0_ -> ((ndr1_1_ X61 /\ (~(c5_2_ X61 a70_) /\ (~(c4_2_ X61 a70_) /\ ~(c3_2_ X61 a70_)))) \/ ((forall X62 : Universe, (ndr1_1_ X61 -> (~(c5_2_ X61 X62) \/ (c3_2_ X61 X62 \/ c2_2_ X61 X62)))) \/ ~(c1_1_ X61))))))) /\ (((forall X63 : Universe, (ndr1_0_ -> ((forall X64 : Universe, (ndr1_1_ X63 -> (c2_2_ X63 X64 \/ (~(c7_2_ X63 X64) \/ ~(c3_2_ X63 X64))))) \/ (c5_1_ X63 \/ (forall X65 : Universe, (ndr1_1_ X63 -> (c1_2_ X63 X65 \/ (~(c8_2_ X63 X65) \/ ~(c5_2_ X63 X65))))))))) \/ ((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ ((forall X67 : Universe, (ndr1_1_ X66 -> (~(c8_2_ X66 X67) \/ (c10_2_ X66 X67 \/ ~(c7_2_ X66 X67))))) \/ c10_1_ X66)))) \/ (ndr1_0_ /\ (ndr1_1_ a71_ /\ (c4_2_ a71_ a72_ /\ (~(c10_2_ a71_ a72_) /\ (c7_2_ a71_ a72_ /\ (~(c8_1_ a71_) /\ ~(c2_1_ a71_))))))))) /\ (((ndr1_0_ /\ ((forall X68 : Universe, (ndr1_1_ a73_ -> (c5_2_ a73_ X68 \/ (~(c10_2_ a73_ X68) \/ ~(c7_2_ a73_ X68))))) /\ (~(c4_1_ a73_) /\ ~(c7_1_ a73_)))) \/ (forall X69 : Universe, (ndr1_0_ -> ((forall X70 : Universe, (ndr1_1_ X69 -> (c9_2_ X69 X70 \/ (c2_2_ X69 X70 \/ ~(c8_2_ X69 X70))))) \/ (c8_1_ X69 \/ (forall X71 : Universe, (ndr1_1_ X69 -> (c7_2_ X69 X71 \/ (c6_2_ X69 X71 \/ ~(c5_2_ X69 X71)))))))))) /\ ((c8_0_ \/ (c7_0_ \/ c4_0_)) /\ ((c8_0_ \/ ((forall X72 : Universe, (ndr1_0_ -> ((forall X73 : Universe, (ndr1_1_ X72 -> (~(c10_2_ X72 X73) \/ (c6_2_ X72 X73 \/ ~(c1_2_ X72 X73))))) \/ ~(c1_1_ X72)))) \/ (forall X74 : Universe, (ndr1_0_ -> (ndr1_1_ X74 /\ (~(c2_2_ X74 a74_) /\ (~(c8_2_ X74 a74_) /\ c3_2_ X74 a74_))))))) /\ ((~(c10_0_) \/ ((ndr1_0_ /\ ((forall X75 : Universe, (ndr1_1_ a75_ -> (~(c5_2_ a75_ X75) \/ (~(c6_2_ a75_ X75) \/ c4_2_ a75_ X75)))) /\ (~(c9_1_ a75_) /\ ~(c2_1_ a75_)))) \/ (forall X76 : Universe, (ndr1_0_ -> (~(c5_1_ X76) \/ ((ndr1_1_ X76 /\ (c7_2_ X76 a76_ /\ (c6_2_ X76 a76_ /\ c8_2_ X76 a76_))) \/ (forall X77 : Universe, (ndr1_1_ X76 -> (c7_2_ X76 X77 \/ (~(c5_2_ X76 X77) \/ ~(c1_2_ X76 X77))))))))))) /\ ((c4_0_ \/ (c1_0_ \/ (ndr1_0_ /\ (~(c2_1_ a77_) /\ (ndr1_1_ a77_ /\ (~(c1_2_ a77_ a78_) /\ (~(c8_2_ a77_ a78_) /\ (c5_2_ a77_ a78_ /\ c4_1_ a77_)))))))) /\ ((~(c7_0_) \/ (forall X78 : Universe, (ndr1_0_ -> (c7_1_ X78 \/ ((ndr1_1_ X78 /\ (~(c8_2_ X78 a79_) /\ c2_2_ X78 a79_)) \/ (ndr1_1_ X78 /\ (c10_2_ X78 a80_ /\ (~(c4_2_ X78 a80_) /\ c3_2_ X78 a80_)))))))) /\ ((c2_0_ \/ c10_0_) /\ ((c9_0_ \/ ((forall X79 : Universe, (ndr1_0_ -> ((forall X80 : Universe, (ndr1_1_ X79 -> (~(c5_2_ X79 X80) \/ (c8_2_ X79 X80 \/ ~(c3_2_ X79 X80))))) \/ (c10_1_ X79 \/ c7_1_ X79)))) \/ (ndr1_0_ /\ (~(c1_1_ a81_) /\ (~(c9_1_ a81_) /\ (ndr1_1_ a81_ /\ (~(c10_2_ a81_ a82_) /\ (c3_2_ a81_ a82_ /\ ~(c1_2_ a81_ a82_))))))))) /\ (((forall X81 : Universe, (ndr1_0_ -> ((forall X82 : Universe, (ndr1_1_ X81 -> (~(c2_2_ X81 X82) \/ (~(c3_2_ X81 X82) \/ ~(c5_2_ X81 X82))))) \/ ((ndr1_1_ X81 /\ c6_2_ X81 a83_) \/ ~(c3_1_ X81))))) \/ (c3_0_ \/ c5_0_)) /\ (((forall X83 : Universe, (ndr1_0_ -> ((ndr1_1_ X83 /\ (c9_2_ X83 a84_ /\ (c5_2_ X83 a84_ /\ ~(c8_2_ X83 a84_)))) \/ ((ndr1_1_ X83 /\ (c6_2_ X83 a85_ /\ (c3_2_ X83 a85_ /\ ~(c9_2_ X83 a85_)))) \/ (ndr1_1_ X83 /\ (~(c10_2_ X83 a86_) /\ (~(c2_2_ X83 a86_) /\ ~(c8_2_ X83 a86_)))))))) \/ (c2_0_ \/ c3_0_)) /\ (((ndr1_0_ /\ (ndr1_1_ a87_ /\ (~(c6_2_ a87_ a88_) /\ (~(c9_2_ a87_ a88_) /\ ((forall X84 : Universe, (ndr1_1_ a87_ -> (~(c1_2_ a87_ X84) \/ (c6_2_ a87_ X84 \/ ~(c5_2_ a87_ X84))))) /\ ~(c1_1_ a87_)))))) \/ ((forall X85 : Universe, (ndr1_0_ -> ((ndr1_1_ X85 /\ (~(c9_2_ X85 a89_) /\ (c10_2_ X85 a89_ /\ c4_2_ X85 a89_))) \/ (c4_1_ X85 \/ ~(c6_1_ X85))))) \/ c4_0_)) /\ ((~(c8_0_) \/ ((ndr1_0_ /\ (ndr1_1_ a90_ /\ (~(c2_2_ a90_ a91_) /\ (c4_2_ a90_ a91_ /\ (c7_2_ a90_ a91_ /\ ~(c4_1_ a90_)))))) \/ (forall X86 : Universe, (ndr1_0_ -> (~(c8_1_ X86) \/ ((ndr1_1_ X86 /\ (c8_2_ X86 a92_ /\ (c9_2_ X86 a92_ /\ c10_2_ X86 a92_))) \/ (forall X87 : Universe, (ndr1_1_ X86 -> (~(c4_2_ X86 X87) \/ (~(c6_2_ X86 X87) \/ ~(c8_2_ X86 X87))))))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a93_ /\ (c4_2_ a93_ a94_ /\ (~(c7_2_ a93_ a94_) /\ (~(c2_2_ a93_ a94_) /\ (~(c8_1_ a93_) /\ ~(c2_1_ a93_))))))) \/ (c7_0_ \/ c1_0_)) /\ ((~(c4_0_) \/ ((ndr1_0_ /\ (ndr1_1_ a95_ /\ (c8_2_ a95_ a96_ /\ (~(c2_2_ a95_ a96_) /\ (~(c4_2_ a95_ a96_) /\ c4_1_ a95_))))) \/ ~(c3_0_))) /\ (((ndr1_0_ /\ ((forall X88 : Universe, (ndr1_1_ a97_ -> (c9_2_ a97_ X88 \/ ~(c6_2_ a97_ X88)))) /\ (c8_1_ a97_ /\ c5_1_ a97_))) \/ (c8_0_ \/ (ndr1_0_ /\ (ndr1_1_ a98_ /\ (c1_2_ a98_ a99_ /\ (~(c6_2_ a98_ a99_) /\ (c9_2_ a98_ a99_ /\ (~(c8_1_ a98_) /\ c2_1_ a98_)))))))) /\ ((c4_0_ \/ ((ndr1_0_ /\ ((forall X89 : Universe, (ndr1_1_ a100_ -> (c2_2_ a100_ X89 \/ (~(c3_2_ a100_ X89) \/ ~(c7_2_ a100_ X89))))) /\ (c9_1_ a100_ /\ (ndr1_1_ a100_ /\ (~(c6_2_ a100_ a101_) /\ (~(c5_2_ a100_ a101_) /\ c9_2_ a100_ a101_)))))) \/ (ndr1_0_ /\ (c10_1_ a102_ /\ (ndr1_1_ a102_ /\ (~(c2_2_ a102_ a103_) /\ (~(c4_2_ a102_ a103_) /\ (~(c6_2_ a102_ a103_) /\ c4_1_ a102_)))))))) /\ ((~(c6_0_) \/ ((forall X90 : Universe, (ndr1_0_ -> ((forall X91 : Universe, (ndr1_1_ X90 -> (c3_2_ X90 X91 \/ (c10_2_ X90 X91 \/ ~(c5_2_ X90 X91))))) \/ (c9_1_ X90 \/ ~(c5_1_ X90))))) \/ (forall X92 : Universe, (ndr1_0_ -> (~(c6_1_ X92) \/ ((ndr1_1_ X92 /\ (~(c4_2_ X92 a104_) /\ (~(c1_2_ X92 a104_) /\ c8_2_ X92 a104_))) \/ (forall X93 : Universe, (ndr1_1_ X92 -> (~(c1_2_ X92 X93) \/ c4_2_ X92 X93))))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a105_ /\ (~(c6_2_ a105_ a106_) /\ (c4_2_ a105_ a106_ /\ (~(c2_2_ a105_ a106_) /\ (ndr1_1_ a105_ /\ (~(c9_2_ a105_ a107_) /\ (c6_2_ a105_ a107_ /\ (~(c5_2_ a105_ a107_) /\ c7_1_ a105_))))))))) \/ (c2_0_ \/ (ndr1_0_ /\ (ndr1_1_ a108_ /\ (~(c7_2_ a108_ a109_) /\ (c1_2_ a108_ a109_ /\ (~(c2_2_ a108_ a109_) /\ ((forall X94 : Universe, (ndr1_1_ a108_ -> (~(c2_2_ a108_ X94) \/ ~(c7_2_ a108_ X94)))) /\ (ndr1_1_ a108_ /\ (c3_2_ a108_ a110_ /\ ~(c2_2_ a108_ a110_))))))))))) /\ ((~(c8_0_) \/ (~(c5_0_) \/ (forall X95 : Universe, (ndr1_0_ -> (~(c8_1_ X95) \/ (c5_1_ X95 \/ c7_1_ X95)))))) /\ (((forall X96 : Universe, (ndr1_0_ -> ((forall X97 : Universe, (ndr1_1_ X96 -> (c9_2_ X96 X97 \/ (c6_2_ X96 X97 \/ ~(c8_2_ X96 X97))))) \/ ((forall X98 : Universe, (ndr1_1_ X96 -> (~(c3_2_ X96 X98) \/ (c8_2_ X96 X98 \/ c7_2_ X96 X98)))) \/ ~(c7_1_ X96))))) \/ ~(c4_0_)) /\ (((forall X99 : Universe, (ndr1_0_ -> (~(c3_1_ X99) \/ (c8_1_ X99 \/ (forall X100 : Universe, (ndr1_1_ X99 -> (~(c7_2_ X99 X100) \/ (~(c3_2_ X99 X100) \/ ~(c6_2_ X99 X100))))))))) \/ (c3_0_ \/ c1_0_)) /\ ((~(c1_0_) \/ ((forall X101 : Universe, (ndr1_0_ -> ((ndr1_1_ X101 /\ (c5_2_ X101 a111_ /\ (c4_2_ X101 a111_ /\ ~(c3_2_ X101 a111_)))) \/ (forall X102 : Universe, (ndr1_1_ X101 -> (c10_2_ X101 X102 \/ (~(c4_2_ X101 X102) \/ c8_2_ X101 X102))))))) \/ (ndr1_0_ /\ (c6_1_ a112_ /\ (~(c3_1_ a112_) /\ (ndr1_1_ a112_ /\ (~(c4_2_ a112_ a113_) /\ ~(c9_2_ a112_ a113_)))))))) /\ ((~(c10_0_) \/ ((ndr1_0_ /\ (~(c1_1_ a114_) /\ (ndr1_1_ a114_ /\ (~(c5_2_ a114_ a115_) /\ (c2_2_ a114_ a115_ /\ (~(c4_2_ a114_ a115_) /\ (forall X103 : Universe, (ndr1_1_ a114_ -> (c10_2_ a114_ X103 \/ (~(c8_2_ a114_ X103) \/ c1_2_ a114_ X103)))))))))) \/ c2_0_)) /\ ((~(c9_0_) \/ (c8_0_ \/ (ndr1_0_ /\ (ndr1_1_ a116_ /\ (~(c10_2_ a116_ a117_) /\ (c3_2_ a116_ a117_ /\ ~(c7_1_ a116_))))))) /\ (((forall X104 : Universe, (ndr1_0_ -> ((ndr1_1_ X104 /\ (~(c2_2_ X104 a118_) /\ (~(c9_2_ X104 a118_) /\ c5_2_ X104 a118_))) \/ (~(c4_1_ X104) \/ ~(c2_1_ X104))))) \/ ((ndr1_0_ /\ (~(c6_1_ a119_) /\ (c10_1_ a119_ /\ (ndr1_1_ a119_ /\ (~(c1_2_ a119_ a120_) /\ c5_2_ a119_ a120_))))) \/ c6_0_)) /\ (((ndr1_0_ /\ (~(c9_1_ a121_) /\ (~(c6_1_ a121_) /\ ~(c10_1_ a121_)))) \/ (c3_0_ \/ (ndr1_0_ /\ (c9_1_ a122_ /\ (c4_1_ a122_ /\ (forall X105 : Universe, (ndr1_1_ a122_ -> (c10_2_ a122_ X105 \/ (c3_2_ a122_ X105 \/ c1_2_ a122_ X105))))))))) /\ ((~(c4_0_) \/ (~(c10_0_) \/ ~(c2_0_))) /\ (((forall X106 : Universe, (ndr1_0_ -> ((forall X107 : Universe, (ndr1_1_ X106 -> (~(c2_2_ X106 X107) \/ (c4_2_ X106 X107 \/ c10_2_ X106 X107)))) \/ (c7_1_ X106 \/ c5_1_ X106)))) \/ (~(c8_0_) \/ ~(c1_0_))) /\ (((ndr1_0_ /\ (ndr1_1_ a123_ /\ (c2_2_ a123_ a124_ /\ (~(c4_2_ a123_ a124_) /\ (~(c9_2_ a123_ a124_) /\ (ndr1_1_ a123_ /\ (~(c9_2_ a123_ a125_) /\ (c3_2_ a123_ a125_ /\ (~(c4_2_ a123_ a125_) /\ ~(c9_1_ a123_)))))))))) \/ (c10_0_ \/ (ndr1_0_ /\ (c4_1_ a126_ /\ c6_1_ a126_)))) /\ (((forall X108 : Universe, (ndr1_0_ -> (c7_1_ X108 \/ (c3_1_ X108 \/ ~(c1_1_ X108))))) \/ (c6_0_ \/ ~(c4_0_))) /\ (((ndr1_0_ /\ (c4_1_ a127_ /\ (~(c2_1_ a127_) /\ (forall X109 : Universe, (ndr1_1_ a127_ -> (~(c7_2_ a127_ X109) \/ (c10_2_ a127_ X109 \/ ~(c4_2_ a127_ X109)))))))) \/ (~(c1_0_) \/ c3_0_)) /\ (((ndr1_0_ /\ ((forall X110 : Universe, (ndr1_1_ a128_ -> (~(c1_2_ a128_ X110) \/ (~(c4_2_ a128_ X110) \/ c6_2_ a128_ X110)))) /\ (~(c1_1_ a128_) /\ ~(c4_1_ a128_)))) \/ (c5_0_ \/ ~(c9_0_))) /\ (((forall X111 : Universe, (ndr1_0_ -> ((forall X112 : Universe, (ndr1_1_ X111 -> (~(c9_2_ X111 X112) \/ (c1_2_ X111 X112 \/ c2_2_ X111 X112)))) \/ (c4_1_ X111 \/ (forall X113 : Universe, (ndr1_1_ X111 -> (c8_2_ X111 X113 \/ (~(c9_2_ X111 X113) \/ c7_2_ X111 X113)))))))) \/ ((forall X114 : Universe, (ndr1_0_ -> (c1_1_ X114 \/ c5_1_ X114))) \/ (forall X115 : Universe, (ndr1_0_ -> ((forall X116 : Universe, (ndr1_1_ X115 -> (c9_2_ X115 X116 \/ (c7_2_ X115 X116 \/ c4_2_ X115 X116)))) \/ (~(c9_1_ X115) \/ (ndr1_1_ X115 /\ (~(c5_2_ X115 a129_) /\ (c6_2_ X115 a129_ /\ c1_2_ X115 a129_))))))))) /\ ((c9_0_ \/ ((forall X117 : Universe, (ndr1_0_ -> (c5_1_ X117 \/ ((ndr1_1_ X117 /\ (~(c7_2_ X117 a130_) /\ c1_2_ X117 a130_)) \/ (forall X118 : Universe, (ndr1_1_ X117 -> (c8_2_ X117 X118 \/ (c10_2_ X117 X118 \/ ~(c6_2_ X117 X118))))))))) \/ c2_0_)) /\ (((forall X119 : Universe, (ndr1_0_ -> ((forall X120 : Universe, (ndr1_1_ X119 -> (~(c7_2_ X119 X120) \/ (c9_2_ X119 X120 \/ ~(c6_2_ X119 X120))))) \/ ((forall X121 : Universe, (ndr1_1_ X119 -> (~(c6_2_ X119 X121) \/ (c9_2_ X119 X121 \/ c2_2_ X119 X121)))) \/ (ndr1_1_ X119 /\ (~(c10_2_ X119 a131_) /\ (~(c1_2_ X119 a131_) /\ c2_2_ X119 a131_))))))) \/ ((forall X122 : Universe, (ndr1_0_ -> (~(c3_1_ X122) \/ (ndr1_1_ X122 /\ (~(c4_2_ X122 a132_) /\ (~(c8_2_ X122 a132_) /\ c5_2_ X122 a132_)))))) \/ (forall X123 : Universe, (ndr1_0_ -> (~(c6_1_ X123) \/ ((ndr1_1_ X123 /\ (~(c4_2_ X123 a133_) /\ (c7_2_ X123 a133_ /\ ~(c8_2_ X123 a133_)))) \/ ~(c10_1_ X123))))))) /\ ((~(c1_0_) \/ (~(c10_0_) \/ (ndr1_0_ /\ ((forall X124 : Universe, (ndr1_1_ a134_ -> (~(c7_2_ a134_ X124) \/ (~(c2_2_ a134_ X124) \/ ~(c5_2_ a134_ X124))))) /\ (c10_1_ a134_ /\ (ndr1_1_ a134_ /\ (~(c8_2_ a134_ a135_) /\ (~(c6_2_ a134_ a135_) /\ c3_2_ a134_ a135_)))))))) /\ (((ndr1_0_ /\ (c7_1_ a136_ /\ (ndr1_1_ a136_ /\ (c2_2_ a136_ a137_ /\ (~(c5_2_ a136_ a137_) /\ (~(c10_2_ a136_ a137_) /\ ~(c8_1_ a136_))))))) \/ (~(c8_0_) \/ ~(c2_0_))) /\ ((c10_0_ \/ ((forall X125 : Universe, (ndr1_0_ -> (~(c4_1_ X125) \/ (c5_1_ X125 \/ (ndr1_1_ X125 /\ (~(c6_2_ X125 a138_) /\ (c4_2_ X125 a138_ /\ ~(c1_2_ X125 a138_)))))))) \/ (ndr1_0_ /\ (~(c2_1_ a139_) /\ (ndr1_1_ a139_ /\ (c9_2_ a139_ a140_ /\ (~(c3_2_ a139_ a140_) /\ (~(c8_2_ a139_ a140_) /\ (ndr1_1_ a139_ /\ (c1_2_ a139_ a141_ /\ ~(c9_2_ a139_ a141_))))))))))) /\ (((forall X126 : Universe, (ndr1_0_ -> (c3_1_ X126 \/ ~(c4_1_ X126)))) \/ ((forall X127 : Universe, (ndr1_0_ -> (c1_1_ X127 \/ (~(c3_1_ X127) \/ (ndr1_1_ X127 /\ (c7_2_ X127 a142_ /\ (~(c6_2_ X127 a142_) /\ ~(c9_2_ X127 a142_)))))))) \/ c8_0_)) /\ ((c10_0_ \/ (c4_0_ \/ (ndr1_0_ /\ (ndr1_1_ a143_ /\ (c9_2_ a143_ a144_ /\ (~(c5_2_ a143_ a144_) /\ (~(c10_2_ a143_ a144_) /\ c1_1_ a143_))))))) /\ ((c9_0_ \/ ((forall X128 : Universe, (ndr1_0_ -> ((forall X129 : Universe, (ndr1_1_ X128 -> (c2_2_ X128 X129 \/ (~(c8_2_ X128 X129) \/ c7_2_ X128 X129)))) \/ (~(c8_1_ X128) \/ ~(c4_1_ X128))))) \/ ~(c6_0_))) /\ ((~(c2_0_) \/ (c1_0_ \/ c3_0_)) /\ (((forall X130 : Universe, (ndr1_0_ -> ((forall X131 : Universe, (ndr1_1_ X130 -> (c7_2_ X130 X131 \/ (~(c6_2_ X130 X131) \/ c8_2_ X130 X131)))) \/ c7_1_ X130))) \/ ((forall X132 : Universe, (ndr1_0_ -> ((forall X133 : Universe, (ndr1_1_ X132 -> (c8_2_ X132 X133 \/ (c7_2_ X132 X133 \/ ~(c3_2_ X132 X133))))) \/ c2_1_ X132))) \/ c2_0_)) /\ (((forall X134 : Universe, (ndr1_0_ -> (c6_1_ X134 \/ c7_1_ X134))) \/ ((forall X135 : Universe, (ndr1_0_ -> (c9_1_ X135 \/ ((ndr1_1_ X135 /\ (c3_2_ X135 a145_ /\ (c1_2_ X135 a145_ /\ ~(c5_2_ X135 a145_)))) \/ ~(c1_1_ X135))))) \/ (forall X136 : Universe, (ndr1_0_ -> ((ndr1_1_ X136 /\ (~(c9_2_ X136 a146_) /\ (~(c1_2_ X136 a146_) /\ c7_2_ X136 a146_))) \/ (~(c7_1_ X136) \/ ~(c10_1_ X136))))))) /\ ((forall X137 : Universe, (ndr1_0_ -> (c5_1_ X137 \/ ((forall X138 : Universe, (ndr1_1_ X137 -> (c8_2_ X137 X138 \/ (c6_2_ X137 X138 \/ ~(c2_2_ X137 X138))))) \/ ~(c1_1_ X137))))) \/ ((forall X139 : Universe, (ndr1_0_ -> ((forall X140 : Universe, (ndr1_1_ X139 -> (~(c1_2_ X139 X140) \/ (~(c2_2_ X139 X140) \/ ~(c7_2_ X139 X140))))) \/ ((forall X141 : Universe, (ndr1_1_ X139 -> (~(c7_2_ X139 X141) \/ (c10_2_ X139 X141 \/ c2_2_ X139 X141)))) \/ c3_1_ X139)))) \/ c5_0_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
