(*
% File     : SYN421+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=110, K=3, D=2, P=0, Index=069
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-110-3-2-069.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.67 v2.7.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.3.0, 0.00 v2.2.1, 1.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1089 (   0 equality)
%            Maximal formula depth :  108 ( 108 average)
%            Number of connectives : 1495 ( 407 ~  ; 415  |; 546  &)
%                                         (   0 <=>; 127 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   32 (  11 propositional; 0-2 arity)
%            Number of functors    :  159 ( 159 constant; 0-0 arity)
%            Number of variables   :  127 (   0 singleton; 127 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c9_2_ : Universe -> Universe -> Prop.
Variable c9_1_ : Universe -> Prop.
Variable c9_0_ : Prop.
Variable c8_2_ : Universe -> Universe -> Prop.
Variable c8_1_ : Universe -> Prop.
Variable c8_0_ : Prop.
Variable c7_2_ : Universe -> Universe -> Prop.
Variable c7_1_ : Universe -> Prop.
Variable c7_0_ : Prop.
Variable c6_2_ : Universe -> Universe -> Prop.
Variable c6_1_ : Universe -> Prop.
Variable c6_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.
Variable c10_2_ : Universe -> Universe -> Prop.
Variable c10_1_ : Universe -> Prop.
Variable c10_0_ : Prop.

Variable a607_ : Universe.
Variable a606_ : Universe.
Variable a605_ : Universe.
Variable a604_ : Universe.
Variable a603_ : Universe.
Variable a602_ : Universe.
Variable a601_ : Universe.
Variable a600_ : Universe.
Variable a599_ : Universe.
Variable a598_ : Universe.
Variable a597_ : Universe.
Variable a596_ : Universe.
Variable a595_ : Universe.
Variable a594_ : Universe.
Variable a593_ : Universe.
Variable a592_ : Universe.
Variable a591_ : Universe.
Variable a590_ : Universe.
Variable a589_ : Universe.
Variable a588_ : Universe.
Variable a587_ : Universe.
Variable a586_ : Universe.
Variable a585_ : Universe.
Variable a584_ : Universe.
Variable a583_ : Universe.
Variable a582_ : Universe.
Variable a581_ : Universe.
Variable a580_ : Universe.
Variable a579_ : Universe.
Variable a578_ : Universe.
Variable a577_ : Universe.
Variable a576_ : Universe.
Variable a575_ : Universe.
Variable a574_ : Universe.
Variable a573_ : Universe.
Variable a572_ : Universe.
Variable a571_ : Universe.
Variable a570_ : Universe.
Variable a569_ : Universe.
Variable a568_ : Universe.
Variable a567_ : Universe.
Variable a566_ : Universe.
Variable a565_ : Universe.
Variable a564_ : Universe.
Variable a563_ : Universe.
Variable a562_ : Universe.
Variable a561_ : Universe.
Variable a560_ : Universe.
Variable a559_ : Universe.
Variable a558_ : Universe.
Variable a557_ : Universe.
Variable a556_ : Universe.
Variable a555_ : Universe.
Variable a554_ : Universe.
Variable a553_ : Universe.
Variable a552_ : Universe.
Variable a551_ : Universe.
Variable a550_ : Universe.
Variable a549_ : Universe.
Variable a548_ : Universe.
Variable a547_ : Universe.
Variable a546_ : Universe.
Variable a545_ : Universe.
Variable a544_ : Universe.
Variable a543_ : Universe.
Variable a542_ : Universe.
Variable a541_ : Universe.
Variable a540_ : Universe.
Variable a539_ : Universe.
Variable a538_ : Universe.
Variable a537_ : Universe.
Variable a536_ : Universe.
Variable a535_ : Universe.
Variable a534_ : Universe.
Variable a533_ : Universe.
Variable a532_ : Universe.
Variable a531_ : Universe.
Variable a530_ : Universe.
Variable a529_ : Universe.
Variable a528_ : Universe.
Variable a527_ : Universe.
Variable a526_ : Universe.
Variable a525_ : Universe.
Variable a524_ : Universe.
Variable a523_ : Universe.
Variable a522_ : Universe.
Variable a521_ : Universe.
Variable a520_ : Universe.
Variable a519_ : Universe.
Variable a518_ : Universe.
Variable a517_ : Universe.
Variable a516_ : Universe.
Variable a515_ : Universe.
Variable a514_ : Universe.
Variable a513_ : Universe.
Variable a512_ : Universe.
Variable a511_ : Universe.
Variable a510_ : Universe.
Variable a509_ : Universe.
Variable a508_ : Universe.
Variable a507_ : Universe.
Variable a506_ : Universe.
Variable a505_ : Universe.
Variable a504_ : Universe.
Variable a503_ : Universe.
Variable a502_ : Universe.
Variable a501_ : Universe.
Variable a500_ : Universe.
Variable a499_ : Universe.
Variable a498_ : Universe.
Variable a497_ : Universe.
Variable a496_ : Universe.
Variable a495_ : Universe.
Variable a494_ : Universe.
Variable a493_ : Universe.
Variable a492_ : Universe.
Variable a491_ : Universe.
Variable a490_ : Universe.
Variable a489_ : Universe.
Variable a488_ : Universe.
Variable a487_ : Universe.
Variable a486_ : Universe.
Variable a485_ : Universe.
Variable a484_ : Universe.
Variable a483_ : Universe.
Variable a482_ : Universe.
Variable a481_ : Universe.
Variable a480_ : Universe.
Variable a479_ : Universe.
Variable a478_ : Universe.
Variable a477_ : Universe.
Variable a476_ : Universe.
Variable a475_ : Universe.
Variable a474_ : Universe.
Variable a473_ : Universe.
Variable a472_ : Universe.
Variable a471_ : Universe.
Variable a470_ : Universe.
Variable a469_ : Universe.
Variable a468_ : Universe.
Variable a467_ : Universe.
Variable a466_ : Universe.
Variable a465_ : Universe.
Variable a464_ : Universe.
Variable a463_ : Universe.
Variable a462_ : Universe.
Variable a461_ : Universe.
Variable a460_ : Universe.
Variable a459_ : Universe.
Variable a458_ : Universe.
Variable a457_ : Universe.
Variable a456_ : Universe.
Variable a455_ : Universe.
Variable a454_ : Universe.
Variable a453_ : Universe.
Variable a452_ : Universe.
Variable a451_ : Universe.
Variable a450_ : Universe.
Variable a449_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~((((ndr1_0_ /\ (c3_1_ a449_ /\ (c8_1_ a449_ /\ (forall U : Universe, (ndr1_1_ a449_ -> (c9_2_ a449_ U \/ c4_2_ a449_ U)))))) \/ ((forall V : Universe, (ndr1_0_ -> ((ndr1_1_ V /\ (c9_2_ V a450_ /\ (~(c8_2_ V a450_) /\ ~(c6_2_ V a450_)))) \/ (~(c5_1_ V) \/ ~(c1_1_ V))))) \/ c6_0_)) /\ ((~(c9_0_) \/ (~(c2_0_) \/ (forall W : Universe, (ndr1_0_ -> ((ndr1_1_ W /\ (c4_2_ W a451_ /\ c7_2_ W a451_)) \/ ((ndr1_1_ W /\ (~(c2_2_ W a452_) /\ (c1_2_ W a452_ /\ c9_2_ W a452_))) \/ (ndr1_1_ W /\ (~(c1_2_ W a453_) /\ c4_2_ W a453_)))))))) /\ ((c7_0_ \/ (c4_0_ \/ (ndr1_0_ /\ (~(c4_1_ a454_) /\ (c5_1_ a454_ /\ ~(c9_1_ a454_)))))) /\ (((ndr1_0_ /\ (c1_1_ a455_ /\ (~(c8_1_ a455_) /\ c9_1_ a455_))) \/ ((forall X : Universe, (ndr1_0_ -> (~(c4_1_ X) \/ ((ndr1_1_ X /\ (~(c1_2_ X a456_) /\ (~(c6_2_ X a456_) /\ ~(c7_2_ X a456_)))) \/ ~(c3_1_ X))))) \/ c4_0_)) /\ (((ndr1_0_ /\ (~(c2_1_ a457_) /\ (c5_1_ a457_ /\ (ndr1_1_ a457_ /\ (~(c10_2_ a457_ a458_) /\ ~(c9_2_ a457_ a458_)))))) \/ (~(c2_0_) \/ ~(c9_0_))) /\ ((~(c4_0_) \/ (forall Y : Universe, (ndr1_0_ -> (c10_1_ Y \/ ((forall Z : Universe, (ndr1_1_ Y -> (c10_2_ Y Z \/ (c2_2_ Y Z \/ c7_2_ Y Z)))) \/ (ndr1_1_ Y /\ (~(c9_2_ Y a459_) /\ (c2_2_ Y a459_ /\ c8_2_ Y a459_)))))))) /\ (((forall X1 : Universe, (ndr1_0_ -> ((forall X2 : Universe, (ndr1_1_ X1 -> (~(c7_2_ X1 X2) \/ (~(c8_2_ X1 X2) \/ c3_2_ X1 X2)))) \/ (c7_1_ X1 \/ ~(c6_1_ X1))))) \/ (c1_0_ \/ c3_0_)) /\ (((ndr1_0_ /\ (~(c7_1_ a460_) /\ (c6_1_ a460_ /\ (ndr1_1_ a460_ /\ (c4_2_ a460_ a461_ /\ (c3_2_ a460_ a461_ /\ ~(c10_2_ a460_ a461_))))))) \/ (~(c9_0_) \/ ~(c7_0_))) /\ ((c5_0_ \/ ((forall X3 : Universe, (ndr1_0_ -> ((forall X4 : Universe, (ndr1_1_ X3 -> (c6_2_ X3 X4 \/ (~(c9_2_ X3 X4) \/ c8_2_ X3 X4)))) \/ ((ndr1_1_ X3 /\ (~(c1_2_ X3 a462_) /\ (c10_2_ X3 a462_ /\ c2_2_ X3 a462_))) \/ (forall X5 : Universe, (ndr1_1_ X3 -> (c7_2_ X3 X5 \/ (~(c1_2_ X3 X5) \/ c6_2_ X3 X5)))))))) \/ (ndr1_0_ /\ ((forall X6 : Universe, (ndr1_1_ a463_ -> (c6_2_ a463_ X6 \/ (~(c3_2_ a463_ X6) \/ c5_2_ a463_ X6)))) /\ (~(c9_1_ a463_) /\ ~(c7_1_ a463_)))))) /\ ((~(c1_0_) \/ ((ndr1_0_ /\ (ndr1_1_ a464_ /\ (c10_2_ a464_ a465_ /\ (~(c6_2_ a464_ a465_) /\ (~(c2_2_ a464_ a465_) /\ (c3_1_ a464_ /\ (ndr1_1_ a464_ /\ (c5_2_ a464_ a466_ /\ ~(c7_2_ a464_ a466_))))))))) \/ ~(c9_0_))) /\ ((c4_0_ \/ ((ndr1_0_ /\ (c4_1_ a467_ /\ (ndr1_1_ a467_ /\ (c3_2_ a467_ a468_ /\ (c6_2_ a467_ a468_ /\ (~(c10_2_ a467_ a468_) /\ c2_1_ a467_)))))) \/ (forall X7 : Universe, (ndr1_0_ -> (~(c8_1_ X7) \/ (~(c2_1_ X7) \/ ~(c7_1_ X7))))))) /\ ((c10_0_ \/ ((ndr1_0_ /\ ((forall X8 : Universe, (ndr1_1_ a469_ -> (~(c8_2_ a469_ X8) \/ (~(c6_2_ a469_ X8) \/ c1_2_ a469_ X8)))) /\ (c6_1_ a469_ /\ c10_1_ a469_))) \/ (ndr1_0_ /\ (~(c2_1_ a470_) /\ ((forall X9 : Universe, (ndr1_1_ a470_ -> (c8_2_ a470_ X9 \/ (~(c4_2_ a470_ X9) \/ ~(c5_2_ a470_ X9))))) /\ c8_1_ a470_))))) /\ ((~(c2_0_) \/ ((ndr1_0_ /\ (c9_1_ a471_ /\ (ndr1_1_ a471_ /\ (c6_2_ a471_ a472_ /\ (~(c4_2_ a471_ a472_) /\ (c3_2_ a471_ a472_ /\ ~(c3_1_ a471_))))))) \/ (ndr1_0_ /\ (c7_1_ a473_ /\ (c9_1_ a473_ /\ (forall X10 : Universe, (ndr1_1_ a473_ -> (c3_2_ a473_ X10 \/ (c8_2_ a473_ X10 \/ ~(c6_2_ a473_ X10)))))))))) /\ (((forall X11 : Universe, (ndr1_0_ -> (c7_1_ X11 \/ ((forall X12 : Universe, (ndr1_1_ X11 -> (c5_2_ X11 X12 \/ (~(c9_2_ X11 X12) \/ c6_2_ X11 X12)))) \/ c1_1_ X11)))) \/ (c9_0_ \/ ~(c2_0_))) /\ ((c6_0_ \/ ((forall X13 : Universe, (ndr1_0_ -> (c10_1_ X13 \/ (c9_1_ X13 \/ (ndr1_1_ X13 /\ (c8_2_ X13 a474_ /\ (c7_2_ X13 a474_ /\ ~(c6_2_ X13 a474_)))))))) \/ (ndr1_0_ /\ (ndr1_1_ a475_ /\ (c9_2_ a475_ a476_ /\ (~(c10_2_ a475_ a476_) /\ ~(c7_2_ a475_ a476_))))))) /\ (((ndr1_0_ /\ (~(c5_1_ a477_) /\ (c1_1_ a477_ /\ c6_1_ a477_))) \/ (~(c5_0_) \/ ~(c8_0_))) /\ (((ndr1_0_ /\ (c7_1_ a478_ /\ (ndr1_1_ a478_ /\ (c3_2_ a478_ a479_ /\ (~(c1_2_ a478_ a479_) /\ (~(c8_2_ a478_ a479_) /\ (ndr1_1_ a478_ /\ (c7_2_ a478_ a480_ /\ (~(c4_2_ a478_ a480_) /\ c2_2_ a478_ a480_))))))))) \/ (c3_0_ \/ (ndr1_0_ /\ ((forall X14 : Universe, (ndr1_1_ a481_ -> (~(c7_2_ a481_ X14) \/ (~(c3_2_ a481_ X14) \/ ~(c5_2_ a481_ X14))))) /\ (ndr1_1_ a481_ /\ (c4_2_ a481_ a482_ /\ (c10_2_ a481_ a482_ /\ (c6_2_ a481_ a482_ /\ (ndr1_1_ a481_ /\ (c5_2_ a481_ a483_ /\ (c10_2_ a481_ a483_ /\ ~(c7_2_ a481_ a483_)))))))))))) /\ ((~(c4_0_) \/ ~(c8_0_)) /\ (((ndr1_0_ /\ ((forall X15 : Universe, (ndr1_1_ a484_ -> (~(c5_2_ a484_ X15) \/ c7_2_ a484_ X15))) /\ ((forall X16 : Universe, (ndr1_1_ a484_ -> (c10_2_ a484_ X16 \/ c8_2_ a484_ X16))) /\ (ndr1_1_ a484_ /\ (~(c4_2_ a484_ a485_) /\ (~(c8_2_ a484_ a485_) /\ ~(c3_2_ a484_ a485_))))))) \/ (c1_0_ \/ c5_0_)) /\ ((~(c3_0_) \/ (forall X17 : Universe, (ndr1_0_ -> ((ndr1_1_ X17 /\ (~(c1_2_ X17 a486_) /\ (~(c2_2_ X17 a486_) /\ ~(c9_2_ X17 a486_)))) \/ ((forall X18 : Universe, (ndr1_1_ X17 -> (~(c8_2_ X17 X18) \/ (c6_2_ X17 X18 \/ ~(c4_2_ X17 X18))))) \/ (ndr1_1_ X17 /\ (~(c10_2_ X17 a487_) /\ c9_2_ X17 a487_))))))) /\ (((ndr1_0_ /\ (~(c9_1_ a488_) /\ c2_1_ a488_)) \/ (c6_0_ \/ (ndr1_0_ /\ (ndr1_1_ a489_ /\ (~(c2_2_ a489_ a490_) /\ (~(c1_2_ a489_ a490_) /\ (~(c5_2_ a489_ a490_) /\ (~(c6_1_ a489_) /\ ~(c10_1_ a489_))))))))) /\ ((c4_0_ \/ ((forall X19 : Universe, (ndr1_0_ -> (~(c1_1_ X19) \/ c7_1_ X19))) \/ c3_0_)) /\ ((~(c2_0_) \/ (~(c9_0_) \/ c8_0_)) /\ (((ndr1_0_ /\ (ndr1_1_ a491_ /\ (~(c6_2_ a491_ a492_) /\ (c7_2_ a491_ a492_ /\ (~(c2_2_ a491_ a492_) /\ ((forall X20 : Universe, (ndr1_1_ a491_ -> (~(c4_2_ a491_ X20) \/ (c10_2_ a491_ X20 \/ ~(c9_2_ a491_ X20))))) /\ c1_1_ a491_)))))) \/ (~(c4_0_) \/ (forall X21 : Universe, (ndr1_0_ -> (c3_1_ X21 \/ ((forall X22 : Universe, (ndr1_1_ X21 -> (c6_2_ X21 X22 \/ (c10_2_ X21 X22 \/ c1_2_ X21 X22)))) \/ c1_1_ X21)))))) /\ ((~(c1_0_) \/ ((ndr1_0_ /\ (c9_1_ a493_ /\ (forall X23 : Universe, (ndr1_1_ a493_ -> (~(c6_2_ a493_ X23) \/ c5_2_ a493_ X23))))) \/ (ndr1_0_ /\ (ndr1_1_ a494_ /\ (~(c9_2_ a494_ a495_) /\ (c10_2_ a494_ a495_ /\ (~(c6_2_ a494_ a495_) /\ (~(c4_1_ a494_) /\ ~(c1_1_ a494_))))))))) /\ ((c1_0_ \/ ((forall X24 : Universe, (ndr1_0_ -> ((ndr1_1_ X24 /\ (c2_2_ X24 a496_ /\ (~(c10_2_ X24 a496_) /\ c6_2_ X24 a496_))) \/ (~(c1_1_ X24) \/ (forall X25 : Universe, (ndr1_1_ X24 -> (c5_2_ X24 X25 \/ (c2_2_ X24 X25 \/ c8_2_ X24 X25)))))))) \/ (forall X26 : Universe, (ndr1_0_ -> ((ndr1_1_ X26 /\ (~(c4_2_ X26 a497_) /\ (c2_2_ X26 a497_ /\ c9_2_ X26 a497_))) \/ ((ndr1_1_ X26 /\ (c10_2_ X26 a498_ /\ c1_2_ X26 a498_)) \/ (forall X27 : Universe, (ndr1_1_ X26 -> (~(c6_2_ X26 X27) \/ (~(c1_2_ X26 X27) \/ c8_2_ X26 X27)))))))))) /\ ((c5_0_ \/ (c6_0_ \/ (forall X28 : Universe, (ndr1_0_ -> (c7_1_ X28 \/ ((forall X29 : Universe, (ndr1_1_ X28 -> (~(c4_2_ X28 X29) \/ (c7_2_ X28 X29 \/ ~(c9_2_ X28 X29))))) \/ c5_1_ X28)))))) /\ ((~(c5_0_) \/ (~(c8_0_) \/ (ndr1_0_ /\ (~(c4_1_ a499_) /\ (ndr1_1_ a499_ /\ (c10_2_ a499_ a500_ /\ (~(c7_2_ a499_ a500_) /\ (c2_2_ a499_ a500_ /\ (ndr1_1_ a499_ /\ (c10_2_ a499_ a501_ /\ (c6_2_ a499_ a501_ /\ ~(c9_2_ a499_ a501_)))))))))))) /\ ((c8_0_ \/ ((ndr1_0_ /\ (~(c5_1_ a502_) /\ (~(c9_1_ a502_) /\ (ndr1_1_ a502_ /\ (~(c1_2_ a502_ a503_) /\ c8_2_ a502_ a503_))))) \/ (forall X30 : Universe, (ndr1_0_ -> ((forall X31 : Universe, (ndr1_1_ X30 -> (c10_2_ X30 X31 \/ (~(c7_2_ X30 X31) \/ ~(c9_2_ X30 X31))))) \/ (c9_1_ X30 \/ c1_1_ X30)))))) /\ (((ndr1_0_ /\ (c10_1_ a504_ /\ ((forall X32 : Universe, (ndr1_1_ a504_ -> (c1_2_ a504_ X32 \/ (~(c9_2_ a504_ X32) \/ c7_2_ a504_ X32)))) /\ (ndr1_1_ a504_ /\ (~(c3_2_ a504_ a505_) /\ (~(c9_2_ a504_ a505_) /\ ~(c2_2_ a504_ a505_))))))) \/ (~(c10_0_) \/ (forall X33 : Universe, (ndr1_0_ -> (c3_1_ X33 \/ (~(c6_1_ X33) \/ c10_1_ X33)))))) /\ (((forall X34 : Universe, (ndr1_0_ -> (c5_1_ X34 \/ (c7_1_ X34 \/ ~(c6_1_ X34))))) \/ (c6_0_ \/ c9_0_)) /\ (((forall X35 : Universe, (ndr1_0_ -> ((ndr1_1_ X35 /\ (c10_2_ X35 a506_ /\ (~(c3_2_ X35 a506_) /\ c9_2_ X35 a506_))) \/ ((forall X36 : Universe, (ndr1_1_ X35 -> (c7_2_ X35 X36 \/ (c2_2_ X35 X36 \/ ~(c5_2_ X35 X36))))) \/ c1_1_ X35)))) \/ ((forall X37 : Universe, (ndr1_0_ -> ((ndr1_1_ X37 /\ (c6_2_ X37 a507_ /\ (~(c4_2_ X37 a507_) /\ c3_2_ X37 a507_))) \/ ((forall X38 : Universe, (ndr1_1_ X37 -> (c4_2_ X37 X38 \/ (~(c6_2_ X37 X38) \/ ~(c3_2_ X37 X38))))) \/ (ndr1_1_ X37 /\ (c7_2_ X37 a508_ /\ (c2_2_ X37 a508_ /\ c3_2_ X37 a508_))))))) \/ (ndr1_0_ /\ (ndr1_1_ a509_ /\ (~(c2_2_ a509_ a510_) /\ (~(c10_2_ a509_ a510_) /\ (c3_2_ a509_ a510_ /\ (c6_1_ a509_ /\ ~(c3_1_ a509_))))))))) /\ (((forall X39 : Universe, (ndr1_0_ -> ((ndr1_1_ X39 /\ (c6_2_ X39 a511_ /\ ~(c5_2_ X39 a511_))) \/ ((forall X40 : Universe, (ndr1_1_ X39 -> (~(c4_2_ X39 X40) \/ c10_2_ X39 X40))) \/ (ndr1_1_ X39 /\ (c7_2_ X39 a512_ /\ (c1_2_ X39 a512_ /\ c2_2_ X39 a512_))))))) \/ ((ndr1_0_ /\ (c9_1_ a513_ /\ (~(c6_1_ a513_) /\ (forall X41 : Universe, (ndr1_1_ a513_ -> (c10_2_ a513_ X41 \/ (c1_2_ a513_ X41 \/ c9_2_ a513_ X41))))))) \/ ~(c5_0_))) /\ ((~(c7_0_) \/ ((ndr1_0_ /\ (c1_1_ a514_ /\ (~(c2_1_ a514_) /\ c10_1_ a514_))) \/ ~(c6_0_))) /\ (((ndr1_0_ /\ (ndr1_1_ a515_ /\ (~(c6_2_ a515_ a516_) /\ (~(c10_2_ a515_ a516_) /\ (c8_1_ a515_ /\ (forall X42 : Universe, (ndr1_1_ a515_ -> (c5_2_ a515_ X42 \/ (~(c10_2_ a515_ X42) \/ ~(c1_2_ a515_ X42)))))))))) \/ ((forall X43 : Universe, (ndr1_0_ -> (c5_1_ X43 \/ c9_1_ X43))) \/ ~(c9_0_))) /\ (((forall X44 : Universe, (ndr1_0_ -> (c7_1_ X44 \/ ((forall X45 : Universe, (ndr1_1_ X44 -> (~(c4_2_ X44 X45) \/ (c10_2_ X44 X45 \/ c2_2_ X44 X45)))) \/ (forall X46 : Universe, (ndr1_1_ X44 -> (c3_2_ X44 X46 \/ (c4_2_ X44 X46 \/ ~(c2_2_ X44 X46))))))))) \/ ~(c1_0_)) /\ (((ndr1_0_ /\ ((forall X47 : Universe, (ndr1_1_ a517_ -> (~(c10_2_ a517_ X47) \/ c4_2_ a517_ X47))) /\ (c9_1_ a517_ /\ (ndr1_1_ a517_ /\ (c8_2_ a517_ a518_ /\ (c9_2_ a517_ a518_ /\ ~(c1_2_ a517_ a518_))))))) \/ ((ndr1_0_ /\ (c9_1_ a519_ /\ (ndr1_1_ a519_ /\ (~(c5_2_ a519_ a520_) /\ (~(c7_2_ a519_ a520_) /\ (c9_2_ a519_ a520_ /\ ~(c8_1_ a519_))))))) \/ c3_0_)) /\ ((c5_0_ \/ (c9_0_ \/ (ndr1_0_ /\ (~(c10_1_ a521_) /\ (ndr1_1_ a521_ /\ (c1_2_ a521_ a522_ /\ (c6_2_ a521_ a522_ /\ (~(c9_2_ a521_ a522_) /\ c7_1_ a521_)))))))) /\ (((forall X48 : Universe, (ndr1_0_ -> ((forall X49 : Universe, (ndr1_1_ X48 -> (~(c7_2_ X48 X49) \/ (c2_2_ X48 X49 \/ c8_2_ X48 X49)))) \/ ((forall X50 : Universe, (ndr1_1_ X48 -> (c9_2_ X48 X50 \/ (~(c4_2_ X48 X50) \/ c1_2_ X48 X50)))) \/ ~(c7_1_ X48))))) \/ (~(c8_0_) \/ ~(c10_0_))) /\ ((c1_0_ \/ ((ndr1_0_ /\ (~(c3_1_ a523_) /\ (c4_1_ a523_ /\ (ndr1_1_ a523_ /\ (~(c2_2_ a523_ a524_) /\ (c4_2_ a523_ a524_ /\ c8_2_ a523_ a524_)))))) \/ (ndr1_0_ /\ (~(c7_1_ a525_) /\ (c8_1_ a525_ /\ ~(c6_1_ a525_)))))) /\ (((forall X51 : Universe, (ndr1_0_ -> (~(c4_1_ X51) \/ (~(c1_1_ X51) \/ (ndr1_1_ X51 /\ (~(c9_2_ X51 a526_) /\ (~(c2_2_ X51 a526_) /\ c6_2_ X51 a526_))))))) \/ (~(c10_0_) \/ c9_0_)) /\ ((~(c5_0_) \/ ((forall X52 : Universe, (ndr1_0_ -> (~(c6_1_ X52) \/ (~(c9_1_ X52) \/ (ndr1_1_ X52 /\ (c8_2_ X52 a527_ /\ (c9_2_ X52 a527_ /\ c7_2_ X52 a527_))))))) \/ (forall X53 : Universe, (ndr1_0_ -> (~(c5_1_ X53) \/ ((ndr1_1_ X53 /\ (~(c4_2_ X53 a528_) /\ (~(c2_2_ X53 a528_) /\ ~(c3_2_ X53 a528_)))) \/ ~(c2_1_ X53))))))) /\ ((c5_0_ \/ c4_0_) /\ ((c10_0_ \/ (forall X54 : Universe, (ndr1_0_ -> ((forall X55 : Universe, (ndr1_1_ X54 -> (c1_2_ X54 X55 \/ ~(c10_2_ X54 X55)))) \/ ((ndr1_1_ X54 /\ (c3_2_ X54 a529_ /\ (c2_2_ X54 a529_ /\ c7_2_ X54 a529_))) \/ (ndr1_1_ X54 /\ (c9_2_ X54 a530_ /\ (~(c1_2_ X54 a530_) /\ c6_2_ X54 a530_)))))))) /\ ((c8_0_ \/ (~(c10_0_) \/ ~(c3_0_))) /\ ((~(c3_0_) \/ ((forall X56 : Universe, (ndr1_0_ -> ((ndr1_1_ X56 /\ (~(c10_2_ X56 a531_) /\ (c5_2_ X56 a531_ /\ ~(c6_2_ X56 a531_)))) \/ (~(c1_1_ X56) \/ (ndr1_1_ X56 /\ (~(c4_2_ X56 a532_) /\ (c9_2_ X56 a532_ /\ ~(c1_2_ X56 a532_)))))))) \/ (ndr1_0_ /\ (ndr1_1_ a533_ /\ (c8_2_ a533_ a534_ /\ (~(c3_2_ a533_ a534_) /\ (~(c7_2_ a533_ a534_) /\ (~(c1_1_ a533_) /\ (ndr1_1_ a533_ /\ (~(c1_2_ a533_ a535_) /\ (~(c3_2_ a533_ a535_) /\ ~(c4_2_ a533_ a535_)))))))))))) /\ (((forall X57 : Universe, (ndr1_0_ -> (c2_1_ X57 \/ ((ndr1_1_ X57 /\ (~(c4_2_ X57 a536_) /\ (c9_2_ X57 a536_ /\ ~(c3_2_ X57 a536_)))) \/ c6_1_ X57)))) \/ ((ndr1_0_ /\ (c5_1_ a537_ /\ (~(c9_1_ a537_) /\ ~(c8_1_ a537_)))) \/ (ndr1_0_ /\ ((forall X58 : Universe, (ndr1_1_ a538_ -> (~(c2_2_ a538_ X58) \/ (c10_2_ a538_ X58 \/ c9_2_ a538_ X58)))) /\ (ndr1_1_ a538_ /\ (c3_2_ a538_ a539_ /\ (~(c6_2_ a538_ a539_) /\ (~(c5_2_ a538_ a539_) /\ (ndr1_1_ a538_ /\ (c9_2_ a538_ a540_ /\ (~(c4_2_ a538_ a540_) /\ c6_2_ a538_ a540_))))))))))) /\ ((c3_0_ \/ ((ndr1_0_ /\ (~(c9_1_ a541_) /\ (c10_1_ a541_ /\ ~(c1_1_ a541_)))) \/ c10_0_)) /\ ((~(c10_0_) \/ ((forall X59 : Universe, (ndr1_0_ -> ((ndr1_1_ X59 /\ (c1_2_ X59 a542_ /\ (c5_2_ X59 a542_ /\ ~(c6_2_ X59 a542_)))) \/ ((ndr1_1_ X59 /\ (~(c5_2_ X59 a543_) /\ (c1_2_ X59 a543_ /\ c4_2_ X59 a543_))) \/ (forall X60 : Universe, (ndr1_1_ X59 -> (~(c7_2_ X59 X60) \/ (c6_2_ X59 X60 \/ ~(c2_2_ X59 X60))))))))) \/ c9_0_)) /\ (((forall X61 : Universe, (ndr1_0_ -> (c5_1_ X61 \/ (ndr1_1_ X61 /\ (c9_2_ X61 a544_ /\ (c4_2_ X61 a544_ /\ ~(c8_2_ X61 a544_))))))) \/ (c8_0_ \/ (forall X62 : Universe, (ndr1_0_ -> (c7_1_ X62 \/ ((ndr1_1_ X62 /\ (~(c4_2_ X62 a545_) /\ ~(c10_2_ X62 a545_))) \/ c2_1_ X62)))))) /\ ((~(c7_0_) \/ ~(c2_0_)) /\ (((forall X63 : Universe, (ndr1_0_ -> (~(c2_1_ X63) \/ ((ndr1_1_ X63 /\ (c7_2_ X63 a546_ /\ (~(c4_2_ X63 a546_) /\ ~(c1_2_ X63 a546_)))) \/ c1_1_ X63)))) \/ ((ndr1_0_ /\ (c6_1_ a547_ /\ c5_1_ a547_)) \/ ~(c10_0_))) /\ (((forall X64 : Universe, (ndr1_0_ -> (~(c5_1_ X64) \/ ((forall X65 : Universe, (ndr1_1_ X64 -> (c3_2_ X64 X65 \/ (c10_2_ X64 X65 \/ c2_2_ X64 X65)))) \/ (ndr1_1_ X64 /\ (~(c6_2_ X64 a548_) /\ (c9_2_ X64 a548_ /\ ~(c2_2_ X64 a548_)))))))) \/ (c10_0_ \/ (ndr1_0_ /\ (~(c10_1_ a549_) /\ (c2_1_ a549_ /\ (forall X66 : Universe, (ndr1_1_ a549_ -> (~(c8_2_ a549_ X66) \/ (~(c4_2_ a549_ X66) \/ ~(c1_2_ a549_ X66)))))))))) /\ ((c10_0_ \/ (c2_0_ \/ ~(c3_0_))) /\ ((c2_0_ \/ (c9_0_ \/ (ndr1_0_ /\ ((forall X67 : Universe, (ndr1_1_ a550_ -> (c5_2_ a550_ X67 \/ (~(c8_2_ a550_ X67) \/ ~(c3_2_ a550_ X67))))) /\ ((forall X68 : Universe, (ndr1_1_ a550_ -> (~(c6_2_ a550_ X68) \/ (c1_2_ a550_ X68 \/ ~(c8_2_ a550_ X68))))) /\ c9_1_ a550_))))) /\ ((~(c8_0_) \/ (~(c10_0_) \/ ~(c1_0_))) /\ ((~(c3_0_) \/ (c2_0_ \/ c8_0_)) /\ ((c1_0_ \/ (~(c7_0_) \/ (ndr1_0_ /\ (c8_1_ a551_ /\ (~(c9_1_ a551_) /\ (ndr1_1_ a551_ /\ (c2_2_ a551_ a552_ /\ (c6_2_ a551_ a552_ /\ ~(c3_2_ a551_ a552_))))))))) /\ ((c5_0_ \/ (c6_0_ \/ ~(c8_0_))) /\ (((forall X69 : Universe, (ndr1_0_ -> (~(c8_1_ X69) \/ ((ndr1_1_ X69 /\ (c7_2_ X69 a553_ /\ (c10_2_ X69 a553_ /\ c8_2_ X69 a553_))) \/ (forall X70 : Universe, (ndr1_1_ X69 -> (~(c9_2_ X69 X70) \/ (~(c5_2_ X69 X70) \/ c8_2_ X69 X70)))))))) \/ c4_0_) /\ ((~(c7_0_) \/ (~(c1_0_) \/ (forall X71 : Universe, (ndr1_0_ -> (~(c4_1_ X71) \/ (c5_1_ X71 \/ c6_1_ X71)))))) /\ ((c8_0_ \/ (~(c2_0_) \/ (ndr1_0_ /\ (~(c2_1_ a554_) /\ (c8_1_ a554_ /\ ~(c3_1_ a554_)))))) /\ ((c4_0_ \/ (~(c5_0_) \/ ~(c3_0_))) /\ (((forall X72 : Universe, (ndr1_0_ -> (~(c4_1_ X72) \/ ((forall X73 : Universe, (ndr1_1_ X72 -> (~(c2_2_ X72 X73) \/ ~(c8_2_ X72 X73)))) \/ (ndr1_1_ X72 /\ (~(c4_2_ X72 a555_) /\ (c3_2_ X72 a555_ /\ ~(c9_2_ X72 a555_)))))))) \/ ((forall X74 : Universe, (ndr1_0_ -> ((forall X75 : Universe, (ndr1_1_ X74 -> (~(c6_2_ X74 X75) \/ (c5_2_ X74 X75 \/ c2_2_ X74 X75)))) \/ (~(c6_1_ X74) \/ (forall X76 : Universe, (ndr1_1_ X74 -> (~(c3_2_ X74 X76) \/ (c4_2_ X74 X76 \/ c1_2_ X74 X76)))))))) \/ ~(c6_0_))) /\ (((forall X77 : Universe, (ndr1_0_ -> (~(c1_1_ X77) \/ (c9_1_ X77 \/ c5_1_ X77)))) \/ (c4_0_ \/ c8_0_)) /\ (((ndr1_0_ /\ ((forall X78 : Universe, (ndr1_1_ a556_ -> (c8_2_ a556_ X78 \/ (c5_2_ a556_ X78 \/ ~(c1_2_ a556_ X78))))) /\ (~(c5_1_ a556_) /\ ~(c8_1_ a556_)))) \/ ~(c3_0_)) /\ ((c4_0_ \/ (forall X79 : Universe, (ndr1_0_ -> (c8_1_ X79 \/ (c10_1_ X79 \/ (ndr1_1_ X79 /\ (~(c8_2_ X79 a557_) /\ (c1_2_ X79 a557_ /\ ~(c6_2_ X79 a557_))))))))) /\ (((forall X80 : Universe, (ndr1_0_ -> (~(c3_1_ X80) \/ (~(c9_1_ X80) \/ (ndr1_1_ X80 /\ (~(c9_2_ X80 a558_) /\ (~(c3_2_ X80 a558_) /\ ~(c4_2_ X80 a558_)))))))) \/ ((forall X81 : Universe, (ndr1_0_ -> (ndr1_1_ X81 /\ (~(c8_2_ X81 a559_) /\ (~(c7_2_ X81 a559_) /\ ~(c4_2_ X81 a559_)))))) \/ (forall X82 : Universe, (ndr1_0_ -> (~(c2_1_ X82) \/ (c7_1_ X82 \/ (forall X83 : Universe, (ndr1_1_ X82 -> (~(c3_2_ X82 X83) \/ (~(c6_2_ X82 X83) \/ ~(c4_2_ X82 X83))))))))))) /\ ((c1_0_ \/ (c4_0_ \/ c10_0_)) /\ (((ndr1_0_ /\ ((forall X84 : Universe, (ndr1_1_ a560_ -> (c10_2_ a560_ X84 \/ (c3_2_ a560_ X84 \/ ~(c8_2_ a560_ X84))))) /\ (ndr1_1_ a560_ /\ (c2_2_ a560_ a561_ /\ c1_2_ a560_ a561_)))) \/ (~(c10_0_) \/ (forall X85 : Universe, (ndr1_0_ -> (c5_1_ X85 \/ (c9_1_ X85 \/ c7_1_ X85)))))) /\ (((ndr1_0_ /\ (ndr1_1_ a562_ /\ (c10_2_ a562_ a563_ /\ (c4_2_ a562_ a563_ /\ (~(c1_2_ a562_ a563_) /\ ((forall X86 : Universe, (ndr1_1_ a562_ -> (c9_2_ a562_ X86 \/ c6_2_ a562_ X86))) /\ c6_1_ a562_)))))) \/ (c9_0_ \/ ~(c8_0_))) /\ (((forall X87 : Universe, (ndr1_0_ -> (~(c5_1_ X87) \/ ((forall X88 : Universe, (ndr1_1_ X87 -> (~(c8_2_ X87 X88) \/ (~(c5_2_ X87 X88) \/ ~(c10_2_ X87 X88))))) \/ (forall X89 : Universe, (ndr1_1_ X87 -> (~(c5_2_ X87 X89) \/ (~(c3_2_ X87 X89) \/ c10_2_ X87 X89)))))))) \/ ((forall X90 : Universe, (ndr1_0_ -> ((ndr1_1_ X90 /\ (~(c9_2_ X90 a564_) /\ ~(c2_2_ X90 a564_))) \/ (~(c7_1_ X90) \/ (ndr1_1_ X90 /\ (c4_2_ X90 a565_ /\ (~(c3_2_ X90 a565_) /\ ~(c5_2_ X90 a565_)))))))) \/ (ndr1_0_ /\ ((forall X91 : Universe, (ndr1_1_ a566_ -> (c5_2_ a566_ X91 \/ (c6_2_ a566_ X91 \/ ~(c9_2_ a566_ X91))))) /\ (~(c3_1_ a566_) /\ (forall X92 : Universe, (ndr1_1_ a566_ -> (~(c7_2_ a566_ X92) \/ (c3_2_ a566_ X92 \/ ~(c5_2_ a566_ X92)))))))))) /\ ((~(c10_0_) \/ (~(c1_0_) \/ ~(c2_0_))) /\ (((forall X93 : Universe, (ndr1_0_ -> ((ndr1_1_ X93 /\ (~(c2_2_ X93 a567_) /\ (c6_2_ X93 a567_ /\ ~(c3_2_ X93 a567_)))) \/ ((forall X94 : Universe, (ndr1_1_ X93 -> (~(c5_2_ X93 X94) \/ (~(c1_2_ X93 X94) \/ ~(c7_2_ X93 X94))))) \/ (ndr1_1_ X93 /\ (c9_2_ X93 a568_ /\ ~(c10_2_ X93 a568_))))))) \/ (~(c4_0_) \/ (ndr1_0_ /\ (ndr1_1_ a569_ /\ (c5_2_ a569_ a570_ /\ (~(c7_2_ a569_ a570_) /\ (~(c1_2_ a569_ a570_) /\ c3_1_ a569_))))))) /\ (((ndr1_0_ /\ (c5_1_ a571_ /\ (ndr1_1_ a571_ /\ (c9_2_ a571_ a572_ /\ (~(c8_2_ a571_ a572_) /\ ~(c3_1_ a571_)))))) \/ c1_0_) /\ ((c3_0_ \/ (c6_0_ \/ ~(c2_0_))) /\ ((~(c9_0_) \/ (~(c5_0_) \/ c10_0_)) /\ ((~(c1_0_) \/ (~(c8_0_) \/ (ndr1_0_ /\ (c9_1_ a573_ /\ ((forall X95 : Universe, (ndr1_1_ a573_ -> (c9_2_ a573_ X95 \/ (~(c7_2_ a573_ X95) \/ c8_2_ a573_ X95)))) /\ (forall X96 : Universe, (ndr1_1_ a573_ -> (~(c7_2_ a573_ X96) \/ c8_2_ a573_ X96)))))))) /\ ((~(c6_0_) \/ (~(c10_0_) \/ ~(c3_0_))) /\ ((~(c4_0_) \/ ((forall X97 : Universe, (ndr1_0_ -> (~(c6_1_ X97) \/ (~(c8_1_ X97) \/ (ndr1_1_ X97 /\ (c6_2_ X97 a574_ /\ (c4_2_ X97 a574_ /\ c7_2_ X97 a574_))))))) \/ c2_0_)) /\ (((ndr1_0_ /\ (ndr1_1_ a575_ /\ (~(c8_2_ a575_ a576_) /\ (c9_2_ a575_ a576_ /\ (c5_2_ a575_ a576_ /\ (c7_1_ a575_ /\ c5_1_ a575_)))))) \/ (c7_0_ \/ (ndr1_0_ /\ (~(c1_1_ a577_) /\ (~(c8_1_ a577_) /\ ~(c6_1_ a577_)))))) /\ (((ndr1_0_ /\ (~(c8_1_ a578_) /\ (c1_1_ a578_ /\ (ndr1_1_ a578_ /\ (c7_2_ a578_ a579_ /\ (c2_2_ a578_ a579_ /\ ~(c8_2_ a578_ a579_))))))) \/ (c10_0_ \/ c9_0_)) /\ (((forall X98 : Universe, (ndr1_0_ -> (~(c3_1_ X98) \/ (c7_1_ X98 \/ (ndr1_1_ X98 /\ (c6_2_ X98 a580_ /\ (~(c1_2_ X98 a580_) /\ ~(c9_2_ X98 a580_)))))))) \/ ((forall X99 : Universe, (ndr1_0_ -> (c6_1_ X99 \/ ((forall X100 : Universe, (ndr1_1_ X99 -> (~(c6_2_ X99 X100) \/ ~(c5_2_ X99 X100)))) \/ ~(c4_1_ X99))))) \/ ~(c8_0_))) /\ ((~(c8_0_) \/ (c4_0_ \/ (ndr1_0_ /\ (~(c7_1_ a581_) /\ ((forall X101 : Universe, (ndr1_1_ a581_ -> (c3_2_ a581_ X101 \/ (c6_2_ a581_ X101 \/ ~(c5_2_ a581_ X101))))) /\ c8_1_ a581_))))) /\ ((c1_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a582_ /\ (c6_2_ a582_ a583_ /\ (~(c5_2_ a582_ a583_) /\ (~(c10_2_ a582_ a583_) /\ ~(c1_1_ a582_)))))) \/ (forall X102 : Universe, (ndr1_0_ -> (c5_1_ X102 \/ (~(c10_1_ X102) \/ c9_1_ X102)))))) /\ (((ndr1_0_ /\ (~(c6_1_ a584_) /\ (c8_1_ a584_ /\ (forall X103 : Universe, (ndr1_1_ a584_ -> (c10_2_ a584_ X103 \/ (~(c8_2_ a584_ X103) \/ c3_2_ a584_ X103))))))) \/ ~(c3_0_)) /\ (((ndr1_0_ /\ (~(c5_1_ a585_) /\ c9_1_ a585_)) \/ (c8_0_ \/ (ndr1_0_ /\ (ndr1_1_ a586_ /\ (~(c4_2_ a586_ a587_) /\ (~(c5_2_ a586_ a587_) /\ (~(c1_2_ a586_ a587_) /\ (ndr1_1_ a586_ /\ (~(c1_2_ a586_ a588_) /\ (~(c8_2_ a586_ a588_) /\ (c3_2_ a586_ a588_ /\ c8_1_ a586_))))))))))) /\ ((c4_0_ \/ (c3_0_ \/ c5_0_)) /\ ((c3_0_ \/ ((forall X104 : Universe, (ndr1_0_ -> ((ndr1_1_ X104 /\ (~(c2_2_ X104 a589_) /\ (~(c10_2_ X104 a589_) /\ ~(c7_2_ X104 a589_)))) \/ (c10_1_ X104 \/ (forall X105 : Universe, (ndr1_1_ X104 -> (~(c1_2_ X104 X105) \/ ~(c3_2_ X104 X105)))))))) \/ (forall X106 : Universe, (ndr1_0_ -> ((ndr1_1_ X106 /\ (~(c1_2_ X106 a590_) /\ (~(c2_2_ X106 a590_) /\ ~(c7_2_ X106 a590_)))) \/ c8_1_ X106))))) /\ (((forall X107 : Universe, (ndr1_0_ -> (~(c9_1_ X107) \/ (~(c1_1_ X107) \/ (ndr1_1_ X107 /\ (~(c1_2_ X107 a591_) /\ c7_2_ X107 a591_)))))) \/ ((ndr1_0_ /\ (c9_1_ a592_ /\ ~(c8_1_ a592_))) \/ (forall X108 : Universe, (ndr1_0_ -> ((forall X109 : Universe, (ndr1_1_ X108 -> (c3_2_ X108 X109 \/ (~(c2_2_ X108 X109) \/ c1_2_ X108 X109)))) \/ (~(c3_1_ X108) \/ (ndr1_1_ X108 /\ (~(c5_2_ X108 a593_) /\ (~(c6_2_ X108 a593_) /\ ~(c8_2_ X108 a593_)))))))))) /\ ((c1_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a594_ /\ (~(c3_2_ a594_ a595_) /\ (~(c4_2_ a594_ a595_) /\ (c6_2_ a594_ a595_ /\ (~(c6_1_ a594_) /\ (ndr1_1_ a594_ /\ (c6_2_ a594_ a596_ /\ c3_2_ a594_ a596_)))))))) \/ c9_0_)) /\ ((c4_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a597_ /\ (~(c1_2_ a597_ a598_) /\ (~(c9_2_ a597_ a598_) /\ (~(c4_2_ a597_ a598_) /\ (~(c7_1_ a597_) /\ (forall X110 : Universe, (ndr1_1_ a597_ -> (~(c1_2_ a597_ X110) \/ (~(c3_2_ a597_ X110) \/ c7_2_ a597_ X110)))))))))) \/ (ndr1_0_ /\ (ndr1_1_ a599_ /\ (c3_2_ a599_ a600_ /\ (~(c2_2_ a599_ a600_) /\ (~(c5_2_ a599_ a600_) /\ ~(c4_1_ a599_)))))))) /\ (((ndr1_0_ /\ (c5_1_ a601_ /\ (~(c10_1_ a601_) /\ (forall X111 : Universe, (ndr1_1_ a601_ -> (c4_2_ a601_ X111 \/ (c6_2_ a601_ X111 \/ c7_2_ a601_ X111))))))) \/ ((ndr1_0_ /\ ((forall X112 : Universe, (ndr1_1_ a602_ -> (c7_2_ a602_ X112 \/ (~(c2_2_ a602_ X112) \/ ~(c4_2_ a602_ X112))))) /\ (c7_1_ a602_ /\ (ndr1_1_ a602_ /\ (~(c6_2_ a602_ a603_) /\ (~(c7_2_ a602_ a603_) /\ ~(c8_2_ a602_ a603_))))))) \/ (forall X113 : Universe, (ndr1_0_ -> ((ndr1_1_ X113 /\ (c3_2_ X113 a604_ /\ (c10_2_ X113 a604_ /\ ~(c6_2_ X113 a604_)))) \/ (~(c6_1_ X113) \/ (forall X114 : Universe, (ndr1_1_ X113 -> (~(c2_2_ X113 X114) \/ (c4_2_ X113 X114 \/ c6_2_ X113 X114)))))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a605_ /\ (~(c3_2_ a605_ a606_) /\ (~(c1_2_ a605_ a606_) /\ (c2_2_ a605_ a606_ /\ (~(c5_1_ a605_) /\ ~(c4_1_ a605_))))))) \/ (~(c9_0_) \/ (forall X115 : Universe, (ndr1_0_ -> ((forall X116 : Universe, (ndr1_1_ X115 -> (~(c3_2_ X115 X116) \/ (~(c6_2_ X115 X116) \/ c2_2_ X115 X116)))) \/ (c1_1_ X115 \/ ~(c10_1_ X115))))))) /\ ((c9_0_ \/ c4_0_) /\ (((forall X117 : Universe, (ndr1_0_ -> (c2_1_ X117 \/ (~(c6_1_ X117) \/ ~(c7_1_ X117))))) \/ (~(c7_0_) \/ (forall X118 : Universe, (ndr1_0_ -> ((forall X119 : Universe, (ndr1_1_ X118 -> (c1_2_ X118 X119 \/ c4_2_ X118 X119))) \/ (~(c5_1_ X118) \/ (ndr1_1_ X118 /\ (~(c5_2_ X118 a607_) /\ (c4_2_ X118 a607_ /\ ~(c2_2_ X118 a607_)))))))))) /\ ((forall X120 : Universe, (ndr1_0_ -> (c5_1_ X120 \/ (c10_1_ X120 \/ (forall X121 : Universe, (ndr1_1_ X120 -> (c3_2_ X120 X121 \/ ~(c6_2_ X120 X121)))))))) \/ (c10_0_ \/ ~(c2_0_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
