(*
% File     : SYN422+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=110, K=3, D=2, P=0, Index=097
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-110-3-2-097.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.50 v2.7.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.3.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1159 (   0 equality)
%            Maximal formula depth :  105 ( 105 average)
%            Number of connectives : 1590 ( 432 ~  ; 474  |; 524  &)
%                                         (   0 <=>; 160 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :  185 ( 164 propositional; 0-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  160 (   0 singleton; 160 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c9_2_ : Universe -> Universe -> Prop.
Variable c9_1_ : Universe -> Prop.
Variable c9_0_ : Prop.
Variable c8_2_ : Universe -> Universe -> Prop.
Variable c8_1_ : Universe -> Prop.
Variable c8_0_ : Prop.
Variable c7_2_ : Universe -> Universe -> Prop.
Variable c7_1_ : Universe -> Prop.
Variable c7_0_ : Prop.
Variable c6_2_ : Universe -> Universe -> Prop.
Variable c6_1_ : Universe -> Prop.
Variable c6_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.
Variable c10_2_ : Universe -> Universe -> Prop.
Variable c10_1_ : Universe -> Prop.
Variable c10_0_ : Prop.

Variable a760_ : Universe.
Variable a759_ : Universe.
Variable a758_ : Universe.
Variable a757_ : Universe.
Variable a756_ : Universe.
Variable a755_ : Universe.
Variable a754_ : Universe.
Variable a753_ : Universe.
Variable a752_ : Universe.
Variable a751_ : Universe.
Variable a750_ : Universe.
Variable a749_ : Universe.
Variable a748_ : Universe.
Variable a747_ : Universe.
Variable a746_ : Universe.
Variable a745_ : Universe.
Variable a744_ : Universe.
Variable a743_ : Universe.
Variable a742_ : Universe.
Variable a741_ : Universe.
Variable a740_ : Universe.
Variable a739_ : Universe.
Variable a738_ : Universe.
Variable a737_ : Universe.
Variable a736_ : Universe.
Variable a735_ : Universe.
Variable a734_ : Universe.
Variable a733_ : Universe.
Variable a732_ : Universe.
Variable a731_ : Universe.
Variable a730_ : Universe.
Variable a729_ : Universe.
Variable a728_ : Universe.
Variable a727_ : Universe.
Variable a726_ : Universe.
Variable a725_ : Universe.
Variable a724_ : Universe.
Variable a723_ : Universe.
Variable a722_ : Universe.
Variable a721_ : Universe.
Variable a720_ : Universe.
Variable a719_ : Universe.
Variable a718_ : Universe.
Variable a717_ : Universe.
Variable a716_ : Universe.
Variable a715_ : Universe.
Variable a714_ : Universe.
Variable a713_ : Universe.
Variable a712_ : Universe.
Variable a711_ : Universe.
Variable a710_ : Universe.
Variable a709_ : Universe.
Variable a708_ : Universe.
Variable a707_ : Universe.
Variable a706_ : Universe.
Variable a705_ : Universe.
Variable a704_ : Universe.
Variable a703_ : Universe.
Variable a702_ : Universe.
Variable a701_ : Universe.
Variable a700_ : Universe.
Variable a699_ : Universe.
Variable a698_ : Universe.
Variable a697_ : Universe.
Variable a696_ : Universe.
Variable a695_ : Universe.
Variable a694_ : Universe.
Variable a693_ : Universe.
Variable a692_ : Universe.
Variable a691_ : Universe.
Variable a690_ : Universe.
Variable a689_ : Universe.
Variable a688_ : Universe.
Variable a687_ : Universe.
Variable a686_ : Universe.
Variable a685_ : Universe.
Variable a684_ : Universe.
Variable a683_ : Universe.
Variable a682_ : Universe.
Variable a681_ : Universe.
Variable a680_ : Universe.
Variable a679_ : Universe.
Variable a678_ : Universe.
Variable a677_ : Universe.
Variable a676_ : Universe.
Variable a675_ : Universe.
Variable a674_ : Universe.
Variable a673_ : Universe.
Variable a672_ : Universe.
Variable a671_ : Universe.
Variable a670_ : Universe.
Variable a669_ : Universe.
Variable a668_ : Universe.
Variable a667_ : Universe.
Variable a666_ : Universe.
Variable a665_ : Universe.
Variable a664_ : Universe.
Variable a663_ : Universe.
Variable a662_ : Universe.
Variable a661_ : Universe.
Variable a660_ : Universe.
Variable a659_ : Universe.
Variable a658_ : Universe.
Variable a657_ : Universe.
Variable a656_ : Universe.
Variable a655_ : Universe.
Variable a654_ : Universe.
Variable a653_ : Universe.
Variable a652_ : Universe.
Variable a651_ : Universe.
Variable a650_ : Universe.
Variable a649_ : Universe.
Variable a648_ : Universe.
Variable a647_ : Universe.
Variable a646_ : Universe.
Variable a645_ : Universe.
Variable a644_ : Universe.
Variable a643_ : Universe.
Variable a642_ : Universe.
Variable a641_ : Universe.
Variable a640_ : Universe.
Variable a639_ : Universe.
Variable a638_ : Universe.
Variable a637_ : Universe.
Variable a636_ : Universe.
Variable a635_ : Universe.
Variable a634_ : Universe.
Variable a633_ : Universe.
Variable a632_ : Universe.
Variable a631_ : Universe.
Variable a630_ : Universe.
Variable a629_ : Universe.
Variable a628_ : Universe.
Variable a627_ : Universe.
Variable a626_ : Universe.
Variable a625_ : Universe.
Variable a624_ : Universe.
Variable a623_ : Universe.
Variable a622_ : Universe.
Variable a621_ : Universe.
Variable a620_ : Universe.
Variable a619_ : Universe.
Variable a618_ : Universe.
Variable a617_ : Universe.
Variable a616_ : Universe.
Variable a615_ : Universe.
Variable a614_ : Universe.
Variable a613_ : Universe.
Variable a612_ : Universe.
Variable a611_ : Universe.
Variable a610_ : Universe.
Variable a609_ : Universe.
Variable a608_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((c9_0_ \/ ((ndr1_0_ /\ (~(c9_1_ a608_) /\ (~(c10_1_ a608_) /\ ~(c4_1_ a608_)))) \/ c1_0_)) /\ (((ndr1_0_ /\ (~(c5_1_ a609_) /\ (~(c10_1_ a609_) /\ ~(c8_1_ a609_)))) \/ (~(c8_0_) \/ (forall U : Universe, (ndr1_0_ -> ((forall V : Universe, (ndr1_1_ U -> (~(c5_2_ U V) \/ (~(c2_2_ U V) \/ ~(c4_2_ U V))))) \/ ((ndr1_1_ U /\ (c3_2_ U a610_ /\ (c4_2_ U a610_ /\ c9_2_ U a610_))) \/ (forall W : Universe, (ndr1_1_ U -> (c9_2_ U W \/ (c6_2_ U W \/ ~(c1_2_ U W))))))))))) /\ (((ndr1_0_ /\ (c3_1_ a611_ /\ ((forall X : Universe, (ndr1_1_ a611_ -> (c3_2_ a611_ X \/ ~(c8_2_ a611_ X)))) /\ (ndr1_1_ a611_ /\ (~(c1_2_ a611_ a612_) /\ (~(c9_2_ a611_ a612_) /\ ~(c8_2_ a611_ a612_))))))) \/ ((forall Y : Universe, (ndr1_0_ -> (c2_1_ Y \/ (c10_1_ Y \/ (ndr1_1_ Y /\ (c9_2_ Y a613_ /\ ~(c2_2_ Y a613_))))))) \/ ~(c5_0_))) /\ ((c9_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a614_ /\ (c3_2_ a614_ a615_ /\ (~(c5_2_ a614_ a615_) /\ (ndr1_1_ a614_ /\ (c9_2_ a614_ a616_ /\ (c10_2_ a614_ a616_ /\ (~(c1_2_ a614_ a616_) /\ (forall Z : Universe, (ndr1_1_ a614_ -> (c9_2_ a614_ Z \/ c7_2_ a614_ Z))))))))))) \/ ~(c2_0_))) /\ (((ndr1_0_ /\ (c5_1_ a617_ /\ (c9_1_ a617_ /\ ~(c10_1_ a617_)))) \/ (~(c3_0_) \/ (ndr1_0_ /\ ((forall X1 : Universe, (ndr1_1_ a618_ -> (~(c9_2_ a618_ X1) \/ (~(c8_2_ a618_ X1) \/ c4_2_ a618_ X1)))) /\ ((forall X2 : Universe, (ndr1_1_ a618_ -> (c6_2_ a618_ X2 \/ (~(c10_2_ a618_ X2) \/ c8_2_ a618_ X2)))) /\ c3_1_ a618_))))) /\ ((c3_0_ \/ ((forall X3 : Universe, (ndr1_0_ -> ((forall X4 : Universe, (ndr1_1_ X3 -> (~(c9_2_ X3 X4) \/ c4_2_ X3 X4))) \/ (c7_1_ X3 \/ (ndr1_1_ X3 /\ (~(c3_2_ X3 a619_) /\ c7_2_ X3 a619_)))))) \/ (forall X5 : Universe, (ndr1_0_ -> (~(c9_1_ X5) \/ (~(c5_1_ X5) \/ c2_1_ X5)))))) /\ (((forall X6 : Universe, (ndr1_0_ -> ((forall X7 : Universe, (ndr1_1_ X6 -> (c1_2_ X6 X7 \/ (~(c3_2_ X6 X7) \/ c6_2_ X6 X7)))) \/ (ndr1_1_ X6 /\ (~(c4_2_ X6 a620_) /\ (c1_2_ X6 a620_ /\ c5_2_ X6 a620_)))))) \/ (c9_0_ \/ (forall X8 : Universe, (ndr1_0_ -> ((forall X9 : Universe, (ndr1_1_ X8 -> (c9_2_ X8 X9 \/ (~(c3_2_ X8 X9) \/ ~(c10_2_ X8 X9))))) \/ (~(c5_1_ X8) \/ (forall X10 : Universe, (ndr1_1_ X8 -> (~(c6_2_ X8 X10) \/ (c7_2_ X8 X10 \/ ~(c4_2_ X8 X10))))))))))) /\ ((~(c9_0_) \/ (~(c5_0_) \/ (forall X11 : Universe, (ndr1_0_ -> (~(c8_1_ X11) \/ (~(c3_1_ X11) \/ c1_1_ X11)))))) /\ (((ndr1_0_ /\ (~(c3_1_ a621_) /\ (c1_1_ a621_ /\ (forall X12 : Universe, (ndr1_1_ a621_ -> (~(c2_2_ a621_ X12) \/ (c1_2_ a621_ X12 \/ c6_2_ a621_ X12))))))) \/ (~(c9_0_) \/ (ndr1_0_ /\ (c4_1_ a622_ /\ (~(c8_1_ a622_) /\ (ndr1_1_ a622_ /\ (c6_2_ a622_ a623_ /\ (c1_2_ a622_ a623_ /\ c2_2_ a622_ a623_)))))))) /\ (((forall X13 : Universe, (ndr1_0_ -> ((ndr1_1_ X13 /\ (c5_2_ X13 a624_ /\ ~(c9_2_ X13 a624_))) \/ (c4_1_ X13 \/ c2_1_ X13)))) \/ (c8_0_ \/ (ndr1_0_ /\ (c1_1_ a625_ /\ (ndr1_1_ a625_ /\ (c3_2_ a625_ a626_ /\ (c6_2_ a625_ a626_ /\ c3_1_ a625_))))))) /\ (((forall X14 : Universe, (ndr1_0_ -> (~(c8_1_ X14) \/ ((ndr1_1_ X14 /\ (~(c10_2_ X14 a627_) /\ (~(c5_2_ X14 a627_) /\ ~(c2_2_ X14 a627_)))) \/ ~(c7_1_ X14))))) \/ (~(c7_0_) \/ (ndr1_0_ /\ (ndr1_1_ a628_ /\ (~(c5_2_ a628_ a629_) /\ (~(c8_2_ a628_ a629_) /\ (c3_2_ a628_ a629_ /\ (c1_1_ a628_ /\ ~(c7_1_ a628_))))))))) /\ ((c8_0_ \/ ((ndr1_0_ /\ (c7_1_ a630_ /\ (~(c6_1_ a630_) /\ c9_1_ a630_))) \/ c2_0_)) /\ ((c9_0_ \/ (~(c5_0_) \/ ~(c6_0_))) /\ ((c7_0_ \/ (c2_0_ \/ (forall X15 : Universe, (ndr1_0_ -> (c10_1_ X15 \/ ((forall X16 : Universe, (ndr1_1_ X15 -> (~(c3_2_ X15 X16) \/ (c5_2_ X15 X16 \/ ~(c6_2_ X15 X16))))) \/ c3_1_ X15)))))) /\ (((ndr1_0_ /\ ((forall X17 : Universe, (ndr1_1_ a631_ -> (~(c1_2_ a631_ X17) \/ (~(c6_2_ a631_ X17) \/ c7_2_ a631_ X17)))) /\ (ndr1_1_ a631_ /\ (c10_2_ a631_ a632_ /\ (c8_2_ a631_ a632_ /\ (~(c2_2_ a631_ a632_) /\ c5_1_ a631_)))))) \/ ((ndr1_0_ /\ (c10_1_ a633_ /\ (ndr1_1_ a633_ /\ (c9_2_ a633_ a634_ /\ (~(c10_2_ a633_ a634_) /\ ~(c2_1_ a633_)))))) \/ (forall X18 : Universe, (ndr1_0_ -> ((forall X19 : Universe, (ndr1_1_ X18 -> (~(c8_2_ X18 X19) \/ (c4_2_ X18 X19 \/ c1_2_ X18 X19)))) \/ (~(c6_1_ X18) \/ ~(c8_1_ X18))))))) /\ (((forall X20 : Universe, (ndr1_0_ -> ((forall X21 : Universe, (ndr1_1_ X20 -> (c2_2_ X20 X21 \/ (~(c9_2_ X20 X21) \/ ~(c8_2_ X20 X21))))) \/ (~(c4_1_ X20) \/ ~(c3_1_ X20))))) \/ ((forall X22 : Universe, (ndr1_0_ -> ((ndr1_1_ X22 /\ (c8_2_ X22 a635_ /\ (c3_2_ X22 a635_ /\ ~(c2_2_ X22 a635_)))) \/ ((ndr1_1_ X22 /\ (~(c4_2_ X22 a636_) /\ (c10_2_ X22 a636_ /\ c8_2_ X22 a636_))) \/ (forall X23 : Universe, (ndr1_1_ X22 -> (~(c10_2_ X22 X23) \/ (c5_2_ X22 X23 \/ c8_2_ X22 X23)))))))) \/ c3_0_)) /\ (((forall X24 : Universe, (ndr1_0_ -> (~(c4_1_ X24) \/ (~(c5_1_ X24) \/ ~(c6_1_ X24))))) \/ ((ndr1_0_ /\ (c8_1_ a637_ /\ (c5_1_ a637_ /\ c3_1_ a637_))) \/ ~(c2_0_))) /\ ((c8_0_ \/ (~(c2_0_) \/ (forall X25 : Universe, (ndr1_0_ -> (~(c1_1_ X25) \/ ((forall X26 : Universe, (ndr1_1_ X25 -> (c6_2_ X25 X26 \/ ~(c3_2_ X25 X26)))) \/ (ndr1_1_ X25 /\ (~(c2_2_ X25 a638_) /\ c1_2_ X25 a638_)))))))) /\ ((c2_0_ \/ c9_0_) /\ ((c5_0_ \/ (c8_0_ \/ (forall X27 : Universe, (ndr1_0_ -> ((forall X28 : Universe, (ndr1_1_ X27 -> (~(c8_2_ X27 X28) \/ (~(c9_2_ X27 X28) \/ ~(c1_2_ X27 X28))))) \/ (~(c3_1_ X27) \/ (forall X29 : Universe, (ndr1_1_ X27 -> (c7_2_ X27 X29 \/ ~(c10_2_ X27 X29)))))))))) /\ ((c2_0_ \/ ((forall X30 : Universe, (ndr1_0_ -> (c10_1_ X30 \/ ((forall X31 : Universe, (ndr1_1_ X30 -> (~(c3_2_ X30 X31) \/ (~(c6_2_ X30 X31) \/ ~(c8_2_ X30 X31))))) \/ (forall X32 : Universe, (ndr1_1_ X30 -> (~(c10_2_ X30 X32) \/ (~(c3_2_ X30 X32) \/ ~(c9_2_ X30 X32))))))))) \/ (ndr1_0_ /\ (~(c2_1_ a639_) /\ (~(c8_1_ a639_) /\ (ndr1_1_ a639_ /\ (~(c3_2_ a639_ a640_) /\ (c8_2_ a639_ a640_ /\ ~(c1_2_ a639_ a640_))))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a641_ /\ (c8_2_ a641_ a642_ /\ (c6_2_ a641_ a642_ /\ (c2_2_ a641_ a642_ /\ (ndr1_1_ a641_ /\ (~(c5_2_ a641_ a643_) /\ (~(c8_2_ a641_ a643_) /\ (ndr1_1_ a641_ /\ (~(c8_2_ a641_ a644_) /\ (~(c5_2_ a641_ a644_) /\ ~(c9_2_ a641_ a644_)))))))))))) \/ ((ndr1_0_ /\ ((forall X33 : Universe, (ndr1_1_ a645_ -> (~(c2_2_ a645_ X33) \/ (~(c5_2_ a645_ X33) \/ ~(c9_2_ a645_ X33))))) /\ (ndr1_1_ a645_ /\ (~(c9_2_ a645_ a646_) /\ (~(c3_2_ a645_ a646_) /\ (~(c5_2_ a645_ a646_) /\ (ndr1_1_ a645_ /\ (~(c9_2_ a645_ a647_) /\ (~(c3_2_ a645_ a647_) /\ c5_2_ a645_ a647_))))))))) \/ c10_0_)) /\ (((ndr1_0_ /\ ((forall X34 : Universe, (ndr1_1_ a648_ -> (~(c7_2_ a648_ X34) \/ ~(c3_2_ a648_ X34)))) /\ (~(c7_1_ a648_) /\ c3_1_ a648_))) \/ ((forall X35 : Universe, (ndr1_0_ -> (~(c9_1_ X35) \/ (c2_1_ X35 \/ (forall X36 : Universe, (ndr1_1_ X35 -> (~(c10_2_ X35 X36) \/ (c5_2_ X35 X36 \/ c2_2_ X35 X36)))))))) \/ c6_0_)) /\ (((ndr1_0_ /\ (~(c1_1_ a649_) /\ (c9_1_ a649_ /\ ~(c8_1_ a649_)))) \/ ((forall X37 : Universe, (ndr1_0_ -> ((ndr1_1_ X37 /\ (c7_2_ X37 a650_ /\ (c1_2_ X37 a650_ /\ c5_2_ X37 a650_))) \/ (~(c1_1_ X37) \/ c7_1_ X37)))) \/ ~(c5_0_))) /\ (((ndr1_0_ /\ (~(c5_1_ a651_) /\ (~(c9_1_ a651_) /\ ~(c7_1_ a651_)))) \/ ((ndr1_0_ /\ (~(c2_1_ a652_) /\ (ndr1_1_ a652_ /\ (c1_2_ a652_ a653_ /\ (~(c5_2_ a652_ a653_) /\ (~(c10_2_ a652_ a653_) /\ ~(c8_1_ a652_))))))) \/ (forall X38 : Universe, (ndr1_0_ -> ((forall X39 : Universe, (ndr1_1_ X38 -> (~(c10_2_ X38 X39) \/ (~(c3_2_ X38 X39) \/ c8_2_ X38 X39)))) \/ ((forall X40 : Universe, (ndr1_1_ X38 -> (c6_2_ X38 X40 \/ (c4_2_ X38 X40 \/ ~(c3_2_ X38 X40))))) \/ c8_1_ X38)))))) /\ (((forall X41 : Universe, (ndr1_0_ -> (~(c4_1_ X41) \/ ((forall X42 : Universe, (ndr1_1_ X41 -> (~(c2_2_ X41 X42) \/ (c10_2_ X41 X42 \/ c6_2_ X41 X42)))) \/ (ndr1_1_ X41 /\ (c1_2_ X41 a654_ /\ (~(c9_2_ X41 a654_) /\ ~(c4_2_ X41 a654_)))))))) \/ c9_0_) /\ (((ndr1_0_ /\ (c2_1_ a655_ /\ ((forall X43 : Universe, (ndr1_1_ a655_ -> (~(c2_2_ a655_ X43) \/ (~(c10_2_ a655_ X43) \/ c3_2_ a655_ X43)))) /\ (forall X44 : Universe, (ndr1_1_ a655_ -> (c9_2_ a655_ X44 \/ (c6_2_ a655_ X44 \/ c3_2_ a655_ X44))))))) \/ ((ndr1_0_ /\ (ndr1_1_ a656_ /\ (c6_2_ a656_ a657_ /\ (c3_2_ a656_ a657_ /\ (c7_1_ a656_ /\ c1_1_ a656_))))) \/ ~(c3_0_))) /\ ((c3_0_ \/ (~(c6_0_) \/ ~(c8_0_))) /\ ((~(c8_0_) \/ (ndr1_0_ /\ (c7_1_ a658_ /\ (forall X45 : Universe, (ndr1_1_ a658_ -> (~(c5_2_ a658_ X45) \/ (~(c3_2_ a658_ X45) \/ ~(c4_2_ a658_ X45)))))))) /\ (((forall X46 : Universe, (ndr1_0_ -> (c7_1_ X46 \/ ((ndr1_1_ X46 /\ (~(c8_2_ X46 a659_) /\ (~(c5_2_ X46 a659_) /\ ~(c7_2_ X46 a659_)))) \/ ~(c4_1_ X46))))) \/ (c6_0_ \/ (forall X47 : Universe, (ndr1_0_ -> (~(c1_1_ X47) \/ (c5_1_ X47 \/ (forall X48 : Universe, (ndr1_1_ X47 -> (c8_2_ X47 X48 \/ (c6_2_ X47 X48 \/ c4_2_ X47 X48)))))))))) /\ (((forall X49 : Universe, (ndr1_0_ -> ((forall X50 : Universe, (ndr1_1_ X49 -> (c1_2_ X49 X50 \/ (~(c10_2_ X49 X50) \/ c5_2_ X49 X50)))) \/ c8_1_ X49))) \/ (~(c3_0_) \/ c9_0_)) /\ (((ndr1_0_ /\ (c5_1_ a660_ /\ (~(c10_1_ a660_) /\ ~(c6_1_ a660_)))) \/ (forall X51 : Universe, (ndr1_0_ -> ((ndr1_1_ X51 /\ (~(c1_2_ X51 a661_) /\ (c5_2_ X51 a661_ /\ ~(c6_2_ X51 a661_)))) \/ (~(c8_1_ X51) \/ (ndr1_1_ X51 /\ (~(c6_2_ X51 a662_) /\ (c10_2_ X51 a662_ /\ ~(c2_2_ X51 a662_))))))))) /\ (((ndr1_0_ /\ (c7_1_ a663_ /\ (c1_1_ a663_ /\ (forall X52 : Universe, (ndr1_1_ a663_ -> (c1_2_ a663_ X52 \/ (c4_2_ a663_ X52 \/ ~(c3_2_ a663_ X52)))))))) \/ ((forall X53 : Universe, (ndr1_0_ -> (~(c10_1_ X53) \/ ((forall X54 : Universe, (ndr1_1_ X53 -> (c1_2_ X53 X54 \/ (~(c7_2_ X53 X54) \/ ~(c8_2_ X53 X54))))) \/ ~(c9_1_ X53))))) \/ (forall X55 : Universe, (ndr1_0_ -> (~(c9_1_ X55) \/ (ndr1_1_ X55 /\ (c5_2_ X55 a664_ /\ (c2_2_ X55 a664_ /\ c7_2_ X55 a664_)))))))) /\ ((~(c10_0_) \/ c3_0_) /\ (((forall X56 : Universe, (ndr1_0_ -> (c2_1_ X56 \/ ((forall X57 : Universe, (ndr1_1_ X56 -> (~(c9_2_ X56 X57) \/ (~(c10_2_ X56 X57) \/ ~(c1_2_ X56 X57))))) \/ ~(c6_1_ X56))))) \/ (~(c4_0_) \/ ~(c3_0_))) /\ ((c6_0_ \/ ((ndr1_0_ /\ ((forall X58 : Universe, (ndr1_1_ a665_ -> (~(c1_2_ a665_ X58) \/ (c7_2_ a665_ X58 \/ ~(c4_2_ a665_ X58))))) /\ (~(c2_1_ a665_) /\ (forall X59 : Universe, (ndr1_1_ a665_ -> (c4_2_ a665_ X59 \/ c9_2_ a665_ X59)))))) \/ (forall X60 : Universe, (ndr1_0_ -> (c7_1_ X60 \/ (~(c3_1_ X60) \/ (ndr1_1_ X60 /\ (c8_2_ X60 a666_ /\ (~(c7_2_ X60 a666_) /\ c3_2_ X60 a666_))))))))) /\ (((forall X61 : Universe, (ndr1_0_ -> ((ndr1_1_ X61 /\ (c1_2_ X61 a667_ /\ (~(c10_2_ X61 a667_) /\ c6_2_ X61 a667_))) \/ ((forall X62 : Universe, (ndr1_1_ X61 -> (c8_2_ X61 X62 \/ (~(c2_2_ X61 X62) \/ c3_2_ X61 X62)))) \/ (forall X63 : Universe, (ndr1_1_ X61 -> (c1_2_ X61 X63 \/ (~(c8_2_ X61 X63) \/ c5_2_ X61 X63)))))))) \/ (~(c4_0_) \/ ~(c5_0_))) /\ (((ndr1_0_ /\ ((forall X64 : Universe, (ndr1_1_ a668_ -> (~(c4_2_ a668_ X64) \/ c1_2_ a668_ X64))) /\ ((forall X65 : Universe, (ndr1_1_ a668_ -> (c2_2_ a668_ X65 \/ (~(c8_2_ a668_ X65) \/ ~(c3_2_ a668_ X65))))) /\ ~(c9_1_ a668_)))) \/ (c5_0_ \/ (ndr1_0_ /\ ((forall X66 : Universe, (ndr1_1_ a669_ -> (c6_2_ a669_ X66 \/ c1_2_ a669_ X66))) /\ (~(c2_1_ a669_) /\ (forall X67 : Universe, (ndr1_1_ a669_ -> (c4_2_ a669_ X67 \/ (c5_2_ a669_ X67 \/ c3_2_ a669_ X67))))))))) /\ ((~(c7_0_) \/ (~(c2_0_) \/ ~(c1_0_))) /\ (((ndr1_0_ /\ (~(c3_1_ a670_) /\ (c9_1_ a670_ /\ c8_1_ a670_))) \/ ((forall X68 : Universe, (ndr1_0_ -> (~(c3_1_ X68) \/ ((ndr1_1_ X68 /\ (c8_2_ X68 a671_ /\ (~(c1_2_ X68 a671_) /\ c2_2_ X68 a671_))) \/ (forall X69 : Universe, (ndr1_1_ X68 -> (c10_2_ X68 X69 \/ (c7_2_ X68 X69 \/ c3_2_ X68 X69)))))))) \/ ~(c9_0_))) /\ (((ndr1_0_ /\ (c7_1_ a672_ /\ (~(c6_1_ a672_) /\ c8_1_ a672_))) \/ (c10_0_ \/ ~(c2_0_))) /\ (((ndr1_0_ /\ (ndr1_1_ a673_ /\ (~(c4_2_ a673_ a674_) /\ (c3_2_ a673_ a674_ /\ (c9_1_ a673_ /\ (forall X70 : Universe, (ndr1_1_ a673_ -> (~(c6_2_ a673_ X70) \/ (~(c3_2_ a673_ X70) \/ c4_2_ a673_ X70))))))))) \/ ((forall X71 : Universe, (ndr1_0_ -> ((forall X72 : Universe, (ndr1_1_ X71 -> (c3_2_ X71 X72 \/ (c6_2_ X71 X72 \/ ~(c2_2_ X71 X72))))) \/ (~(c3_1_ X71) \/ ~(c6_1_ X71))))) \/ c9_0_)) /\ ((~(c9_0_) \/ (~(c7_0_) \/ (forall X73 : Universe, (ndr1_0_ -> ((ndr1_1_ X73 /\ (c5_2_ X73 a675_ /\ (~(c1_2_ X73 a675_) /\ c8_2_ X73 a675_))) \/ ((ndr1_1_ X73 /\ (~(c5_2_ X73 a676_) /\ (~(c9_2_ X73 a676_) /\ c8_2_ X73 a676_))) \/ (ndr1_1_ X73 /\ (c5_2_ X73 a677_ /\ (~(c9_2_ X73 a677_) /\ c2_2_ X73 a677_))))))))) /\ ((~(c3_0_) \/ ((forall X74 : Universe, (ndr1_0_ -> (~(c6_1_ X74) \/ (~(c2_1_ X74) \/ c3_1_ X74)))) \/ ~(c10_0_))) /\ ((c10_0_ \/ (c9_0_ \/ c2_0_)) /\ ((~(c9_0_) \/ (c1_0_ \/ c8_0_)) /\ ((c3_0_ \/ c7_0_) /\ ((c3_0_ \/ (forall X75 : Universe, (ndr1_0_ -> ((ndr1_1_ X75 /\ (~(c8_2_ X75 a678_) /\ (c1_2_ X75 a678_ /\ ~(c6_2_ X75 a678_)))) \/ ((forall X76 : Universe, (ndr1_1_ X75 -> (~(c8_2_ X75 X76) \/ (~(c2_2_ X75 X76) \/ c1_2_ X75 X76)))) \/ c7_1_ X75))))) /\ ((~(c1_0_) \/ c8_0_) /\ ((c7_0_ \/ (~(c6_0_) \/ c10_0_)) /\ (((ndr1_0_ /\ ((forall X77 : Universe, (ndr1_1_ a679_ -> (c10_2_ a679_ X77 \/ (c4_2_ a679_ X77 \/ ~(c9_2_ a679_ X77))))) /\ (ndr1_1_ a679_ /\ (~(c1_2_ a679_ a680_) /\ (c8_2_ a679_ a680_ /\ (c9_2_ a679_ a680_ /\ (ndr1_1_ a679_ /\ (c1_2_ a679_ a681_ /\ (~(c5_2_ a679_ a681_) /\ ~(c9_2_ a679_ a681_)))))))))) \/ (c8_0_ \/ ~(c4_0_))) /\ ((c3_0_ \/ ((forall X78 : Universe, (ndr1_0_ -> (~(c4_1_ X78) \/ c7_1_ X78))) \/ (forall X79 : Universe, (ndr1_0_ -> ((ndr1_1_ X79 /\ (~(c10_2_ X79 a682_) /\ (c3_2_ X79 a682_ /\ ~(c5_2_ X79 a682_)))) \/ ((ndr1_1_ X79 /\ (c6_2_ X79 a683_ /\ (~(c4_2_ X79 a683_) /\ c5_2_ X79 a683_))) \/ ~(c9_1_ X79))))))) /\ (((forall X80 : Universe, (ndr1_0_ -> (~(c3_1_ X80) \/ (c1_1_ X80 \/ c4_1_ X80)))) \/ (c8_0_ \/ ~(c9_0_))) /\ (((forall X81 : Universe, (ndr1_0_ -> ((ndr1_1_ X81 /\ (c6_2_ X81 a684_ /\ (c1_2_ X81 a684_ /\ c7_2_ X81 a684_))) \/ ((ndr1_1_ X81 /\ (c10_2_ X81 a685_ /\ (c3_2_ X81 a685_ /\ ~(c6_2_ X81 a685_)))) \/ ~(c8_1_ X81))))) \/ (c7_0_ \/ ~(c6_0_))) /\ (((ndr1_0_ /\ (ndr1_1_ a686_ /\ (~(c1_2_ a686_ a687_) /\ (c4_2_ a686_ a687_ /\ (~(c8_2_ a686_ a687_) /\ (c8_1_ a686_ /\ (ndr1_1_ a686_ /\ (c4_2_ a686_ a688_ /\ c2_2_ a686_ a688_)))))))) \/ (~(c8_0_) \/ c1_0_)) /\ ((c5_0_ \/ c8_0_) /\ ((c2_0_ \/ ((forall X82 : Universe, (ndr1_0_ -> (~(c10_1_ X82) \/ (~(c8_1_ X82) \/ (forall X83 : Universe, (ndr1_1_ X82 -> (~(c8_2_ X82 X83) \/ (c5_2_ X82 X83 \/ ~(c3_2_ X82 X83))))))))) \/ c1_0_)) /\ (((forall X84 : Universe, (ndr1_0_ -> ((forall X85 : Universe, (ndr1_1_ X84 -> (~(c9_2_ X84 X85) \/ (c6_2_ X84 X85 \/ ~(c10_2_ X84 X85))))) \/ (~(c8_1_ X84) \/ ~(c3_1_ X84))))) \/ c6_0_) /\ (((ndr1_0_ /\ (~(c5_1_ a689_) /\ (c9_1_ a689_ /\ (forall X86 : Universe, (ndr1_1_ a689_ -> (c4_2_ a689_ X86 \/ (~(c10_2_ a689_ X86) \/ c1_2_ a689_ X86))))))) \/ (c2_0_ \/ c9_0_)) /\ (((forall X87 : Universe, (ndr1_0_ -> (c2_1_ X87 \/ (c5_1_ X87 \/ c3_1_ X87)))) \/ (c4_0_ \/ (ndr1_0_ /\ (ndr1_1_ a690_ /\ (~(c5_2_ a690_ a691_) /\ (~(c9_2_ a690_ a691_) /\ (~(c10_2_ a690_ a691_) /\ (c2_1_ a690_ /\ (forall X88 : Universe, (ndr1_1_ a690_ -> (c7_2_ a690_ X88 \/ (c2_2_ a690_ X88 \/ c4_2_ a690_ X88)))))))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a692_ /\ (~(c7_2_ a692_ a693_) /\ (c9_2_ a692_ a693_ /\ (c2_2_ a692_ a693_ /\ (ndr1_1_ a692_ /\ (~(c3_2_ a692_ a694_) /\ (~(c10_2_ a692_ a694_) /\ ~(c5_1_ a692_))))))))) \/ ((ndr1_0_ /\ (c5_1_ a695_ /\ (~(c10_1_ a695_) /\ ~(c8_1_ a695_)))) \/ c3_0_)) /\ ((c3_0_ \/ ((ndr1_0_ /\ ((forall X89 : Universe, (ndr1_1_ a696_ -> (~(c7_2_ a696_ X89) \/ (c5_2_ a696_ X89 \/ ~(c2_2_ a696_ X89))))) /\ ~(c1_1_ a696_))) \/ (ndr1_0_ /\ (~(c3_1_ a697_) /\ ((forall X90 : Universe, (ndr1_1_ a697_ -> (~(c3_2_ a697_ X90) \/ (c8_2_ a697_ X90 \/ ~(c6_2_ a697_ X90))))) /\ c9_1_ a697_))))) /\ (((ndr1_0_ /\ (ndr1_1_ a698_ /\ (~(c5_2_ a698_ a699_) /\ (c1_2_ a698_ a699_ /\ (c2_1_ a698_ /\ c9_1_ a698_))))) \/ (~(c4_0_) \/ c2_0_)) /\ ((~(c1_0_) \/ ((ndr1_0_ /\ (~(c7_1_ a700_) /\ (~(c9_1_ a700_) /\ ~(c10_1_ a700_)))) \/ (ndr1_0_ /\ ((forall X91 : Universe, (ndr1_1_ a701_ -> (~(c1_2_ a701_ X91) \/ (~(c6_2_ a701_ X91) \/ c5_2_ a701_ X91)))) /\ (ndr1_1_ a701_ /\ (~(c2_2_ a701_ a702_) /\ (c10_2_ a701_ a702_ /\ (c6_2_ a701_ a702_ /\ ~(c8_1_ a701_))))))))) /\ (((ndr1_0_ /\ (~(c10_1_ a703_) /\ (c4_1_ a703_ /\ ~(c7_1_ a703_)))) \/ ((forall X92 : Universe, (ndr1_0_ -> (~(c7_1_ X92) \/ (c4_1_ X92 \/ (ndr1_1_ X92 /\ (~(c5_2_ X92 a704_) /\ (~(c3_2_ X92 a704_) /\ c9_2_ X92 a704_))))))) \/ (forall X93 : Universe, (ndr1_0_ -> ((forall X94 : Universe, (ndr1_1_ X93 -> (c6_2_ X93 X94 \/ (c4_2_ X93 X94 \/ ~(c8_2_ X93 X94))))) \/ (c1_1_ X93 \/ (forall X95 : Universe, (ndr1_1_ X93 -> (c4_2_ X93 X95 \/ (~(c1_2_ X93 X95) \/ c10_2_ X93 X95)))))))))) /\ (((ndr1_0_ /\ (~(c9_1_ a705_) /\ ((forall X96 : Universe, (ndr1_1_ a705_ -> (~(c2_2_ a705_ X96) \/ (~(c6_2_ a705_ X96) \/ ~(c7_2_ a705_ X96))))) /\ ~(c3_1_ a705_)))) \/ ((forall X97 : Universe, (ndr1_0_ -> ((ndr1_1_ X97 /\ (~(c9_2_ X97 a706_) /\ (c6_2_ X97 a706_ /\ c5_2_ X97 a706_))) \/ (~(c9_1_ X97) \/ ~(c1_1_ X97))))) \/ c6_0_)) /\ ((c2_0_ \/ ((ndr1_0_ /\ ((forall X98 : Universe, (ndr1_1_ a707_ -> (c1_2_ a707_ X98 \/ (c4_2_ a707_ X98 \/ ~(c3_2_ a707_ X98))))) /\ (~(c10_1_ a707_) /\ c8_1_ a707_))) \/ (ndr1_0_ /\ ((forall X99 : Universe, (ndr1_1_ a708_ -> (~(c5_2_ a708_ X99) \/ (c10_2_ a708_ X99 \/ c7_2_ a708_ X99)))) /\ ~(c5_1_ a708_))))) /\ ((~(c8_0_) \/ ~(c2_0_)) /\ (((ndr1_0_ /\ (c8_1_ a709_ /\ (~(c9_1_ a709_) /\ (ndr1_1_ a709_ /\ (c9_2_ a709_ a710_ /\ (~(c8_2_ a709_ a710_) /\ ~(c6_2_ a709_ a710_))))))) \/ ((forall X100 : Universe, (ndr1_0_ -> ((forall X101 : Universe, (ndr1_1_ X100 -> (~(c2_2_ X100 X101) \/ (c1_2_ X100 X101 \/ ~(c9_2_ X100 X101))))) \/ ((forall X102 : Universe, (ndr1_1_ X100 -> (c4_2_ X100 X102 \/ (~(c7_2_ X100 X102) \/ ~(c5_2_ X100 X102))))) \/ ~(c8_1_ X100))))) \/ ~(c1_0_))) /\ (((forall X103 : Universe, (ndr1_0_ -> (c8_1_ X103 \/ ((forall X104 : Universe, (ndr1_1_ X103 -> (~(c3_2_ X103 X104) \/ (~(c5_2_ X103 X104) \/ ~(c2_2_ X103 X104))))) \/ (forall X105 : Universe, (ndr1_1_ X103 -> (~(c7_2_ X103 X105) \/ (~(c2_2_ X103 X105) \/ ~(c10_2_ X103 X105))))))))) \/ (~(c5_0_) \/ (forall X106 : Universe, (ndr1_0_ -> (c5_1_ X106 \/ (~(c7_1_ X106) \/ (ndr1_1_ X106 /\ (~(c10_2_ X106 a711_) /\ (c8_2_ X106 a711_ /\ ~(c2_2_ X106 a711_)))))))))) /\ ((c8_0_ \/ (~(c2_0_) \/ ~(c7_0_))) /\ (((forall X107 : Universe, (ndr1_0_ -> ((ndr1_1_ X107 /\ (~(c4_2_ X107 a712_) /\ (c8_2_ X107 a712_ /\ ~(c9_2_ X107 a712_)))) \/ (ndr1_1_ X107 /\ (~(c6_2_ X107 a713_) /\ (~(c10_2_ X107 a713_) /\ c9_2_ X107 a713_)))))) \/ (~(c6_0_) \/ (forall X108 : Universe, (ndr1_0_ -> ((forall X109 : Universe, (ndr1_1_ X108 -> (c6_2_ X108 X109 \/ (~(c7_2_ X108 X109) \/ c8_2_ X108 X109)))) \/ ((ndr1_1_ X108 /\ (c3_2_ X108 a714_ /\ (c7_2_ X108 a714_ /\ ~(c5_2_ X108 a714_)))) \/ ~(c8_1_ X108))))))) /\ (((forall X110 : Universe, (ndr1_0_ -> ((ndr1_1_ X110 /\ (c10_2_ X110 a715_ /\ ~(c3_2_ X110 a715_))) \/ ((forall X111 : Universe, (ndr1_1_ X110 -> (~(c7_2_ X110 X111) \/ ~(c3_2_ X110 X111)))) \/ (ndr1_1_ X110 /\ (c2_2_ X110 a716_ /\ (c3_2_ X110 a716_ /\ c1_2_ X110 a716_))))))) \/ (~(c7_0_) \/ (forall X112 : Universe, (ndr1_0_ -> (~(c1_1_ X112) \/ ((forall X113 : Universe, (ndr1_1_ X112 -> (c7_2_ X112 X113 \/ ~(c5_2_ X112 X113)))) \/ ~(c6_1_ X112))))))) /\ ((~(c9_0_) \/ ((forall X114 : Universe, (ndr1_0_ -> ((ndr1_1_ X114 /\ (c5_2_ X114 a717_ /\ (c7_2_ X114 a717_ /\ c4_2_ X114 a717_))) \/ ((forall X115 : Universe, (ndr1_1_ X114 -> (~(c3_2_ X114 X115) \/ (~(c6_2_ X114 X115) \/ c4_2_ X114 X115)))) \/ c3_1_ X114)))) \/ c8_0_)) /\ (((forall X116 : Universe, (ndr1_0_ -> (~(c10_1_ X116) \/ ((ndr1_1_ X116 /\ (~(c8_2_ X116 a718_) /\ ~(c7_2_ X116 a718_))) \/ (ndr1_1_ X116 /\ (~(c7_2_ X116 a719_) /\ (~(c4_2_ X116 a719_) /\ c2_2_ X116 a719_))))))) \/ ((forall X117 : Universe, (ndr1_0_ -> ((ndr1_1_ X117 /\ (c3_2_ X117 a720_ /\ ~(c10_2_ X117 a720_))) \/ (c3_1_ X117 \/ c6_1_ X117)))) \/ (ndr1_0_ /\ (c4_1_ a721_ /\ (~(c1_1_ a721_) /\ ~(c5_1_ a721_)))))) /\ (((forall X118 : Universe, (ndr1_0_ -> (c6_1_ X118 \/ ((forall X119 : Universe, (ndr1_1_ X118 -> (c5_2_ X118 X119 \/ (~(c2_2_ X118 X119) \/ c4_2_ X118 X119)))) \/ (ndr1_1_ X118 /\ (~(c5_2_ X118 a722_) /\ (~(c9_2_ X118 a722_) /\ c8_2_ X118 a722_))))))) \/ ((ndr1_0_ /\ (c10_1_ a723_ /\ (c4_1_ a723_ /\ c7_1_ a723_))) \/ ~(c2_0_))) /\ ((c9_0_ \/ (~(c7_0_) \/ (ndr1_0_ /\ ((forall X120 : Universe, (ndr1_1_ a724_ -> (c6_2_ a724_ X120 \/ (~(c8_2_ a724_ X120) \/ ~(c9_2_ a724_ X120))))) /\ (ndr1_1_ a724_ /\ (~(c6_2_ a724_ a725_) /\ (c4_2_ a724_ a725_ /\ (forall X121 : Universe, (ndr1_1_ a724_ -> (c4_2_ a724_ X121 \/ c2_2_ a724_ X121)))))))))) /\ (((forall X122 : Universe, (ndr1_0_ -> (c1_1_ X122 \/ ((forall X123 : Universe, (ndr1_1_ X122 -> (~(c5_2_ X122 X123) \/ (c3_2_ X122 X123 \/ c10_2_ X122 X123)))) \/ c5_1_ X122)))) \/ (c6_0_ \/ ~(c2_0_))) /\ (((forall X124 : Universe, (ndr1_0_ -> ((forall X125 : Universe, (ndr1_1_ X124 -> (~(c9_2_ X124 X125) \/ (c1_2_ X124 X125 \/ c10_2_ X124 X125)))) \/ (c3_1_ X124 \/ (ndr1_1_ X124 /\ (~(c4_2_ X124 a726_) /\ ~(c3_2_ X124 a726_))))))) \/ ((forall X126 : Universe, (ndr1_0_ -> (~(c7_1_ X126) \/ ((ndr1_1_ X126 /\ (~(c7_2_ X126 a727_) /\ (c9_2_ X126 a727_ /\ ~(c6_2_ X126 a727_)))) \/ ~(c4_1_ X126))))) \/ (forall X127 : Universe, (ndr1_0_ -> ((forall X128 : Universe, (ndr1_1_ X127 -> (~(c8_2_ X127 X128) \/ (~(c4_2_ X127 X128) \/ c3_2_ X127 X128)))) \/ (~(c4_1_ X127) \/ ~(c10_1_ X127))))))) /\ ((~(c7_0_) \/ ((ndr1_0_ /\ (c6_1_ a728_ /\ c1_1_ a728_)) \/ (ndr1_0_ /\ (~(c9_1_ a729_) /\ (ndr1_1_ a729_ /\ (~(c9_2_ a729_ a730_) /\ (c7_2_ a729_ a730_ /\ (c8_2_ a729_ a730_ /\ c3_1_ a729_)))))))) /\ (((forall X129 : Universe, (ndr1_0_ -> ((ndr1_1_ X129 /\ (c3_2_ X129 a731_ /\ c9_2_ X129 a731_)) \/ ((ndr1_1_ X129 /\ (~(c3_2_ X129 a732_) /\ c4_2_ X129 a732_)) \/ ~(c9_1_ X129))))) \/ ((ndr1_0_ /\ (~(c4_1_ a733_) /\ ((forall X130 : Universe, (ndr1_1_ a733_ -> ~(c2_2_ a733_ X130))) /\ (forall X131 : Universe, (ndr1_1_ a733_ -> (~(c4_2_ a733_ X131) \/ (c7_2_ a733_ X131 \/ ~(c6_2_ a733_ X131)))))))) \/ ~(c10_0_))) /\ (((ndr1_0_ /\ (~(c10_1_ a734_) /\ (ndr1_1_ a734_ /\ (~(c7_2_ a734_ a735_) /\ (c10_2_ a734_ a735_ /\ (c6_2_ a734_ a735_ /\ (ndr1_1_ a734_ /\ (~(c3_2_ a734_ a736_) /\ (c2_2_ a734_ a736_ /\ c1_2_ a734_ a736_))))))))) \/ (~(c7_0_) \/ (ndr1_0_ /\ (ndr1_1_ a737_ /\ (c9_2_ a737_ a738_ /\ (~(c4_2_ a737_ a738_) /\ (c1_2_ a737_ a738_ /\ (c9_1_ a737_ /\ ~(c4_1_ a737_))))))))) /\ (((ndr1_0_ /\ (~(c2_1_ a739_) /\ (~(c5_1_ a739_) /\ ~(c7_1_ a739_)))) \/ ((ndr1_0_ /\ ((forall X132 : Universe, (ndr1_1_ a740_ -> (~(c10_2_ a740_ X132) \/ c6_2_ a740_ X132))) /\ (~(c9_1_ a740_) /\ c4_1_ a740_))) \/ c10_0_)) /\ ((~(c10_0_) \/ (c9_0_ \/ (forall X133 : Universe, (ndr1_0_ -> ((forall X134 : Universe, (ndr1_1_ X133 -> (~(c9_2_ X133 X134) \/ (c6_2_ X133 X134 \/ c8_2_ X133 X134)))) \/ ((forall X135 : Universe, (ndr1_1_ X133 -> (c5_2_ X133 X135 \/ (~(c4_2_ X133 X135) \/ ~(c8_2_ X133 X135))))) \/ ~(c4_1_ X133))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a741_ /\ (c10_2_ a741_ a742_ /\ (~(c4_2_ a741_ a742_) /\ (~(c1_2_ a741_ a742_) /\ ~(c5_1_ a741_)))))) \/ (forall X136 : Universe, (ndr1_0_ -> ((forall X137 : Universe, (ndr1_1_ X136 -> (c6_2_ X136 X137 \/ (~(c1_2_ X136 X137) \/ ~(c3_2_ X136 X137))))) \/ ((ndr1_1_ X136 /\ (~(c9_2_ X136 a743_) /\ ~(c10_2_ X136 a743_))) \/ (ndr1_1_ X136 /\ (c9_2_ X136 a744_ /\ (c6_2_ X136 a744_ /\ c8_2_ X136 a744_)))))))) /\ ((~(c7_0_) \/ ((ndr1_0_ /\ (c2_1_ a745_ /\ (ndr1_1_ a745_ /\ (c4_2_ a745_ a746_ /\ (c10_2_ a745_ a746_ /\ (~(c1_2_ a745_ a746_) /\ (forall X138 : Universe, (ndr1_1_ a745_ -> (c9_2_ a745_ X138 \/ (~(c3_2_ a745_ X138) \/ ~(c1_2_ a745_ X138))))))))))) \/ c8_0_)) /\ ((c6_0_ \/ (forall X139 : Universe, (ndr1_0_ -> ((ndr1_1_ X139 /\ (c5_2_ X139 a747_ /\ (~(c1_2_ X139 a747_) /\ c9_2_ X139 a747_))) \/ ((forall X140 : Universe, (ndr1_1_ X139 -> (~(c1_2_ X139 X140) \/ (c3_2_ X139 X140 \/ c5_2_ X139 X140)))) \/ ~(c2_1_ X139)))))) /\ (((forall X141 : Universe, (ndr1_0_ -> ((ndr1_1_ X141 /\ (~(c4_2_ X141 a748_) /\ (c1_2_ X141 a748_ /\ c10_2_ X141 a748_))) \/ (c8_1_ X141 \/ (forall X142 : Universe, (ndr1_1_ X141 -> (c3_2_ X141 X142 \/ (c5_2_ X141 X142 \/ c10_2_ X141 X142)))))))) \/ (~(c4_0_) \/ (forall X143 : Universe, (ndr1_0_ -> ((ndr1_1_ X143 /\ (~(c5_2_ X143 a749_) /\ (c7_2_ X143 a749_ /\ c6_2_ X143 a749_))) \/ ((ndr1_1_ X143 /\ (c2_2_ X143 a750_ /\ (~(c8_2_ X143 a750_) /\ ~(c10_2_ X143 a750_)))) \/ (forall X144 : Universe, (ndr1_1_ X143 -> (~(c2_2_ X143 X144) \/ (c9_2_ X143 X144 \/ ~(c4_2_ X143 X144))))))))))) /\ (((forall X145 : Universe, (ndr1_0_ -> (c9_1_ X145 \/ ~(c2_1_ X145)))) \/ (~(c10_0_) \/ ~(c1_0_))) /\ ((c4_0_ \/ (c2_0_ \/ c6_0_)) /\ (((forall X146 : Universe, (ndr1_0_ -> (c7_1_ X146 \/ ((forall X147 : Universe, (ndr1_1_ X146 -> (~(c6_2_ X146 X147) \/ (c9_2_ X146 X147 \/ ~(c8_2_ X146 X147))))) \/ (ndr1_1_ X146 /\ (c3_2_ X146 a751_ /\ c2_2_ X146 a751_)))))) \/ ((forall X148 : Universe, (ndr1_0_ -> (c10_1_ X148 \/ ((ndr1_1_ X148 /\ (~(c4_2_ X148 a752_) /\ ~(c7_2_ X148 a752_))) \/ c3_1_ X148)))) \/ (ndr1_0_ /\ (~(c9_1_ a753_) /\ (ndr1_1_ a753_ /\ (~(c1_2_ a753_ a754_) /\ (~(c4_2_ a753_ a754_) /\ (c10_2_ a753_ a754_ /\ (forall X149 : Universe, (ndr1_1_ a753_ -> (~(c4_2_ a753_ X149) \/ ~(c3_2_ a753_ X149)))))))))))) /\ (((forall X150 : Universe, (ndr1_0_ -> ((forall X151 : Universe, (ndr1_1_ X150 -> (~(c10_2_ X150 X151) \/ (c1_2_ X150 X151 \/ c3_2_ X150 X151)))) \/ (c10_1_ X150 \/ ~(c5_1_ X150))))) \/ (~(c10_0_) \/ (ndr1_0_ /\ (~(c7_1_ a755_) /\ (~(c6_1_ a755_) /\ (forall X152 : Universe, (ndr1_1_ a755_ -> (c6_2_ a755_ X152 \/ (~(c8_2_ a755_ X152) \/ ~(c7_2_ a755_ X152)))))))))) /\ (((ndr1_0_ /\ (c6_1_ a756_ /\ (forall X153 : Universe, (ndr1_1_ a756_ -> (~(c4_2_ a756_ X153) \/ (c10_2_ a756_ X153 \/ c8_2_ a756_ X153)))))) \/ c7_0_) /\ (((ndr1_0_ /\ (c5_1_ a757_ /\ (c10_1_ a757_ /\ ~(c1_1_ a757_)))) \/ (c1_0_ \/ (ndr1_0_ /\ (c1_1_ a758_ /\ (c8_1_ a758_ /\ c4_1_ a758_))))) /\ (~(c1_0_) \/ (c7_0_ \/ (ndr1_0_ /\ ((forall X154 : Universe, (ndr1_1_ a759_ -> (~(c6_2_ a759_ X154) \/ (c7_2_ a759_ X154 \/ c8_2_ a759_ X154)))) /\ (ndr1_1_ a759_ /\ (~(c1_2_ a759_ a760_) /\ (c2_2_ a759_ a760_ /\ (~(c5_2_ a759_ a760_) /\ ~(c8_1_ a759_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
