(*
% File     : SYN424+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=150, K=3, D=2, P=0, Index=009
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-150-3-2-009.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.50 v3.1.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.4.0, 0.67 v2.3.0, 0.33 v2.2.1, 1.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1678 (   0 equality)
%            Maximal formula depth :  139 ( 139 average)
%            Number of connectives : 2288 ( 611 ~  ; 669  |; 776  &)
%                                         (   0 <=>; 232 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :  262 ( 241 propositional; 0-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  232 (   0 singleton; 232 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c9_2_ : Universe -> Universe -> Prop.
Variable c9_1_ : Universe -> Prop.
Variable c9_0_ : Prop.
Variable c8_2_ : Universe -> Universe -> Prop.
Variable c8_1_ : Universe -> Prop.
Variable c8_0_ : Prop.
Variable c7_2_ : Universe -> Universe -> Prop.
Variable c7_1_ : Universe -> Prop.
Variable c7_0_ : Prop.
Variable c6_2_ : Universe -> Universe -> Prop.
Variable c6_1_ : Universe -> Prop.
Variable c6_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.
Variable c10_2_ : Universe -> Universe -> Prop.
Variable c10_1_ : Universe -> Prop.
Variable c10_0_ : Prop.

Variable a999_ : Universe.
Variable a998_ : Universe.
Variable a997_ : Universe.
Variable a996_ : Universe.
Variable a995_ : Universe.
Variable a994_ : Universe.
Variable a993_ : Universe.
Variable a992_ : Universe.
Variable a991_ : Universe.
Variable a990_ : Universe.
Variable a989_ : Universe.
Variable a988_ : Universe.
Variable a987_ : Universe.
Variable a986_ : Universe.
Variable a985_ : Universe.
Variable a984_ : Universe.
Variable a983_ : Universe.
Variable a982_ : Universe.
Variable a981_ : Universe.
Variable a980_ : Universe.
Variable a979_ : Universe.
Variable a978_ : Universe.
Variable a977_ : Universe.
Variable a976_ : Universe.
Variable a975_ : Universe.
Variable a974_ : Universe.
Variable a973_ : Universe.
Variable a972_ : Universe.
Variable a971_ : Universe.
Variable a970_ : Universe.
Variable a969_ : Universe.
Variable a968_ : Universe.
Variable a967_ : Universe.
Variable a966_ : Universe.
Variable a965_ : Universe.
Variable a964_ : Universe.
Variable a963_ : Universe.
Variable a962_ : Universe.
Variable a961_ : Universe.
Variable a960_ : Universe.
Variable a1189_ : Universe.
Variable a1188_ : Universe.
Variable a1187_ : Universe.
Variable a1186_ : Universe.
Variable a1185_ : Universe.
Variable a1184_ : Universe.
Variable a1183_ : Universe.
Variable a1182_ : Universe.
Variable a1181_ : Universe.
Variable a1180_ : Universe.
Variable a1179_ : Universe.
Variable a1178_ : Universe.
Variable a1177_ : Universe.
Variable a1176_ : Universe.
Variable a1175_ : Universe.
Variable a1174_ : Universe.
Variable a1173_ : Universe.
Variable a1172_ : Universe.
Variable a1171_ : Universe.
Variable a1170_ : Universe.
Variable a1169_ : Universe.
Variable a1168_ : Universe.
Variable a1167_ : Universe.
Variable a1166_ : Universe.
Variable a1165_ : Universe.
Variable a1164_ : Universe.
Variable a1163_ : Universe.
Variable a1162_ : Universe.
Variable a1161_ : Universe.
Variable a1160_ : Universe.
Variable a1159_ : Universe.
Variable a1158_ : Universe.
Variable a1157_ : Universe.
Variable a1156_ : Universe.
Variable a1155_ : Universe.
Variable a1154_ : Universe.
Variable a1153_ : Universe.
Variable a1152_ : Universe.
Variable a1151_ : Universe.
Variable a1150_ : Universe.
Variable a1149_ : Universe.
Variable a1148_ : Universe.
Variable a1147_ : Universe.
Variable a1146_ : Universe.
Variable a1145_ : Universe.
Variable a1144_ : Universe.
Variable a1143_ : Universe.
Variable a1142_ : Universe.
Variable a1141_ : Universe.
Variable a1140_ : Universe.
Variable a1139_ : Universe.
Variable a1138_ : Universe.
Variable a1137_ : Universe.
Variable a1136_ : Universe.
Variable a1135_ : Universe.
Variable a1134_ : Universe.
Variable a1133_ : Universe.
Variable a1132_ : Universe.
Variable a1131_ : Universe.
Variable a1130_ : Universe.
Variable a1129_ : Universe.
Variable a1128_ : Universe.
Variable a1127_ : Universe.
Variable a1126_ : Universe.
Variable a1125_ : Universe.
Variable a1124_ : Universe.
Variable a1123_ : Universe.
Variable a1122_ : Universe.
Variable a1121_ : Universe.
Variable a1120_ : Universe.
Variable a1119_ : Universe.
Variable a1118_ : Universe.
Variable a1117_ : Universe.
Variable a1116_ : Universe.
Variable a1115_ : Universe.
Variable a1114_ : Universe.
Variable a1113_ : Universe.
Variable a1112_ : Universe.
Variable a1111_ : Universe.
Variable a1110_ : Universe.
Variable a1109_ : Universe.
Variable a1108_ : Universe.
Variable a1107_ : Universe.
Variable a1106_ : Universe.
Variable a1105_ : Universe.
Variable a1104_ : Universe.
Variable a1103_ : Universe.
Variable a1102_ : Universe.
Variable a1101_ : Universe.
Variable a1100_ : Universe.
Variable a1099_ : Universe.
Variable a1098_ : Universe.
Variable a1097_ : Universe.
Variable a1096_ : Universe.
Variable a1095_ : Universe.
Variable a1094_ : Universe.
Variable a1093_ : Universe.
Variable a1092_ : Universe.
Variable a1091_ : Universe.
Variable a1090_ : Universe.
Variable a1089_ : Universe.
Variable a1088_ : Universe.
Variable a1087_ : Universe.
Variable a1086_ : Universe.
Variable a1085_ : Universe.
Variable a1084_ : Universe.
Variable a1083_ : Universe.
Variable a1082_ : Universe.
Variable a1081_ : Universe.
Variable a1080_ : Universe.
Variable a1079_ : Universe.
Variable a1078_ : Universe.
Variable a1077_ : Universe.
Variable a1076_ : Universe.
Variable a1075_ : Universe.
Variable a1074_ : Universe.
Variable a1073_ : Universe.
Variable a1072_ : Universe.
Variable a1071_ : Universe.
Variable a1070_ : Universe.
Variable a1069_ : Universe.
Variable a1068_ : Universe.
Variable a1067_ : Universe.
Variable a1066_ : Universe.
Variable a1065_ : Universe.
Variable a1064_ : Universe.
Variable a1063_ : Universe.
Variable a1062_ : Universe.
Variable a1061_ : Universe.
Variable a1060_ : Universe.
Variable a1059_ : Universe.
Variable a1058_ : Universe.
Variable a1057_ : Universe.
Variable a1056_ : Universe.
Variable a1055_ : Universe.
Variable a1054_ : Universe.
Variable a1053_ : Universe.
Variable a1052_ : Universe.
Variable a1051_ : Universe.
Variable a1050_ : Universe.
Variable a1049_ : Universe.
Variable a1048_ : Universe.
Variable a1047_ : Universe.
Variable a1046_ : Universe.
Variable a1045_ : Universe.
Variable a1044_ : Universe.
Variable a1043_ : Universe.
Variable a1042_ : Universe.
Variable a1041_ : Universe.
Variable a1040_ : Universe.
Variable a1039_ : Universe.
Variable a1038_ : Universe.
Variable a1037_ : Universe.
Variable a1036_ : Universe.
Variable a1035_ : Universe.
Variable a1034_ : Universe.
Variable a1033_ : Universe.
Variable a1032_ : Universe.
Variable a1031_ : Universe.
Variable a1030_ : Universe.
Variable a1029_ : Universe.
Variable a1028_ : Universe.
Variable a1027_ : Universe.
Variable a1026_ : Universe.
Variable a1025_ : Universe.
Variable a1024_ : Universe.
Variable a1023_ : Universe.
Variable a1022_ : Universe.
Variable a1021_ : Universe.
Variable a1020_ : Universe.
Variable a1019_ : Universe.
Variable a1018_ : Universe.
Variable a1017_ : Universe.
Variable a1016_ : Universe.
Variable a1015_ : Universe.
Variable a1014_ : Universe.
Variable a1013_ : Universe.
Variable a1012_ : Universe.
Variable a1011_ : Universe.
Variable a1010_ : Universe.
Variable a1009_ : Universe.
Variable a1008_ : Universe.
Variable a1007_ : Universe.
Variable a1006_ : Universe.
Variable a1005_ : Universe.
Variable a1004_ : Universe.
Variable a1003_ : Universe.
Variable a1002_ : Universe.
Variable a1001_ : Universe.
Variable a1000_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~((((ndr1_0_ /\ (ndr1_1_ a960_ /\ (~(c10_2_ a960_ a961_) /\ (~(c1_2_ a960_ a961_) /\ (~(c5_2_ a960_ a961_) /\ ~(c6_1_ a960_)))))) \/ ((ndr1_0_ /\ ((forall U : Universe, (ndr1_1_ a962_ -> (~(c7_2_ a962_ U) \/ (~(c5_2_ a962_ U) \/ c8_2_ a962_ U)))) /\ ((forall V : Universe, (ndr1_1_ a962_ -> (~(c7_2_ a962_ V) \/ (c1_2_ a962_ V \/ ~(c3_2_ a962_ V))))) /\ (forall W : Universe, (ndr1_1_ a962_ -> (c7_2_ a962_ W \/ (c9_2_ a962_ W \/ c10_2_ a962_ W))))))) \/ ~(c5_0_))) /\ (((ndr1_0_ /\ (~(c6_1_ a963_) /\ ((forall X : Universe, (ndr1_1_ a963_ -> (c9_2_ a963_ X \/ (c10_2_ a963_ X \/ c3_2_ a963_ X)))) /\ (ndr1_1_ a963_ /\ (c1_2_ a963_ a964_ /\ (c4_2_ a963_ a964_ /\ ~(c5_2_ a963_ a964_))))))) \/ ~(c2_0_)) /\ ((~(c3_0_) \/ ((forall Y : Universe, (ndr1_0_ -> ((forall Z : Universe, (ndr1_1_ Y -> (~(c4_2_ Y Z) \/ (~(c2_2_ Y Z) \/ c6_2_ Y Z)))) \/ ((forall X1 : Universe, (ndr1_1_ Y -> (c10_2_ Y X1 \/ ~(c6_2_ Y X1)))) \/ (ndr1_1_ Y /\ (~(c4_2_ Y a965_) /\ (c10_2_ Y a965_ /\ ~(c1_2_ Y a965_)))))))) \/ ~(c9_0_))) /\ (((ndr1_0_ /\ (~(c9_1_ a966_) /\ (~(c4_1_ a966_) /\ c6_1_ a966_))) \/ (c7_0_ \/ (ndr1_0_ /\ (~(c3_1_ a967_) /\ (c4_1_ a967_ /\ (ndr1_1_ a967_ /\ (c1_2_ a967_ a968_ /\ (~(c8_2_ a967_ a968_) /\ c6_2_ a967_ a968_)))))))) /\ ((~(c6_0_) \/ (c3_0_ \/ (forall X2 : Universe, (ndr1_0_ -> (c9_1_ X2 \/ (~(c3_1_ X2) \/ (ndr1_1_ X2 /\ (~(c5_2_ X2 a969_) /\ (c8_2_ X2 a969_ /\ c10_2_ X2 a969_))))))))) /\ (((ndr1_0_ /\ ((forall X3 : Universe, (ndr1_1_ a970_ -> (c10_2_ a970_ X3 \/ (~(c1_2_ a970_ X3) \/ c5_2_ a970_ X3)))) /\ (c5_1_ a970_ /\ ~(c2_1_ a970_)))) \/ ((ndr1_0_ /\ (~(c9_1_ a971_) /\ ((forall X4 : Universe, (ndr1_1_ a971_ -> (c8_2_ a971_ X4 \/ (c1_2_ a971_ X4 \/ ~(c7_2_ a971_ X4))))) /\ ~(c4_1_ a971_)))) \/ (forall X5 : Universe, (ndr1_0_ -> (c9_1_ X5 \/ (forall X6 : Universe, (ndr1_1_ X5 -> (c6_2_ X5 X6 \/ (~(c5_2_ X5 X6) \/ ~(c4_2_ X5 X6)))))))))) /\ ((~(c5_0_) \/ ((ndr1_0_ /\ (c7_1_ a972_ /\ (forall X7 : Universe, (ndr1_1_ a972_ -> (c7_2_ a972_ X7 \/ (c8_2_ a972_ X7 \/ ~(c4_2_ a972_ X7))))))) \/ (ndr1_0_ /\ (~(c1_1_ a973_) /\ ((forall X8 : Universe, (ndr1_1_ a973_ -> (~(c7_2_ a973_ X8) \/ ~(c1_2_ a973_ X8)))) /\ c9_1_ a973_))))) /\ ((~(c8_0_) \/ ((forall X9 : Universe, (ndr1_0_ -> (c6_1_ X9 \/ (c1_1_ X9 \/ (ndr1_1_ X9 /\ (~(c9_2_ X9 a974_) /\ (~(c4_2_ X9 a974_) /\ c1_2_ X9 a974_))))))) \/ (forall X10 : Universe, (ndr1_0_ -> ((ndr1_1_ X10 /\ (~(c9_2_ X10 a975_) /\ (c8_2_ X10 a975_ /\ ~(c7_2_ X10 a975_)))) \/ (~(c1_1_ X10) \/ c6_1_ X10)))))) /\ ((~(c3_0_) \/ ((forall X11 : Universe, (ndr1_0_ -> ((ndr1_1_ X11 /\ (~(c1_2_ X11 a976_) /\ (c8_2_ X11 a976_ /\ ~(c6_2_ X11 a976_)))) \/ (c2_1_ X11 \/ c7_1_ X11)))) \/ (ndr1_0_ /\ (c9_1_ a977_ /\ (~(c1_1_ a977_) /\ (forall X12 : Universe, (ndr1_1_ a977_ -> (c5_2_ a977_ X12 \/ (~(c1_2_ a977_ X12) \/ ~(c9_2_ a977_ X12)))))))))) /\ ((c1_0_ \/ ((ndr1_0_ /\ (~(c3_1_ a978_) /\ (c8_1_ a978_ /\ (forall X13 : Universe, (ndr1_1_ a978_ -> (~(c6_2_ a978_ X13) \/ c4_2_ a978_ X13)))))) \/ c6_0_)) /\ ((c6_0_ \/ ((forall X14 : Universe, (ndr1_0_ -> (c2_1_ X14 \/ (~(c3_1_ X14) \/ (ndr1_1_ X14 /\ (~(c5_2_ X14 a979_) /\ (c7_2_ X14 a979_ /\ ~(c2_2_ X14 a979_)))))))) \/ ~(c4_0_))) /\ ((~(c5_0_) \/ (ndr1_0_ /\ (ndr1_1_ a980_ /\ (c6_2_ a980_ a981_ /\ (~(c4_2_ a980_ a981_) /\ (c5_2_ a980_ a981_ /\ (~(c7_1_ a980_) /\ (forall X15 : Universe, (ndr1_1_ a980_ -> (c1_2_ a980_ X15 \/ c3_2_ a980_ X15)))))))))) /\ (((forall X16 : Universe, (ndr1_0_ -> ((forall X17 : Universe, (ndr1_1_ X16 -> (c2_2_ X16 X17 \/ c5_2_ X16 X17))) \/ ((ndr1_1_ X16 /\ (~(c6_2_ X16 a982_) /\ (~(c10_2_ X16 a982_) /\ c2_2_ X16 a982_))) \/ ~(c1_1_ X16))))) \/ (c3_0_ \/ ~(c8_0_))) /\ (((forall X18 : Universe, (ndr1_0_ -> (~(c2_1_ X18) \/ (c1_1_ X18 \/ (ndr1_1_ X18 /\ (~(c2_2_ X18 a983_) /\ (~(c4_2_ X18 a983_) /\ c10_2_ X18 a983_))))))) \/ (~(c5_0_) \/ c9_0_)) /\ ((c4_0_ \/ (c8_0_ \/ c5_0_)) /\ (((forall X19 : Universe, (ndr1_0_ -> (c3_1_ X19 \/ ((ndr1_1_ X19 /\ (c10_2_ X19 a984_ /\ (c6_2_ X19 a984_ /\ ~(c7_2_ X19 a984_)))) \/ c6_1_ X19)))) \/ (forall X20 : Universe, (ndr1_0_ -> (~(c6_1_ X20) \/ (forall X21 : Universe, (ndr1_1_ X20 -> (c2_2_ X20 X21 \/ (~(c5_2_ X20 X21) \/ c6_2_ X20 X21)))))))) /\ ((~(c10_0_) \/ ((forall X22 : Universe, (ndr1_0_ -> (c5_1_ X22 \/ ((forall X23 : Universe, (ndr1_1_ X22 -> (c10_2_ X22 X23 \/ (c7_2_ X22 X23 \/ ~(c8_2_ X22 X23))))) \/ c9_1_ X22)))) \/ (forall X24 : Universe, (ndr1_0_ -> ((forall X25 : Universe, (ndr1_1_ X24 -> (~(c4_2_ X24 X25) \/ (c10_2_ X24 X25 \/ c3_2_ X24 X25)))) \/ ((ndr1_1_ X24 /\ (c5_2_ X24 a985_ /\ (~(c3_2_ X24 a985_) /\ c4_2_ X24 a985_))) \/ c10_1_ X24)))))) /\ ((c5_0_ \/ ~(c8_0_)) /\ ((~(c10_0_) \/ ((ndr1_0_ /\ (ndr1_1_ a986_ /\ (~(c1_2_ a986_ a987_) /\ (~(c9_2_ a986_ a987_) /\ (c3_2_ a986_ a987_ /\ (~(c5_1_ a986_) /\ ~(c2_1_ a986_))))))) \/ ~(c5_0_))) /\ (((forall X26 : Universe, (ndr1_0_ -> ((ndr1_1_ X26 /\ (~(c5_2_ X26 a988_) /\ (c10_2_ X26 a988_ /\ c1_2_ X26 a988_))) \/ ((ndr1_1_ X26 /\ (~(c6_2_ X26 a989_) /\ (~(c8_2_ X26 a989_) /\ c9_2_ X26 a989_))) \/ ~(c6_1_ X26))))) \/ (c3_0_ \/ c5_0_)) /\ (((forall X27 : Universe, (ndr1_0_ -> ((forall X28 : Universe, (ndr1_1_ X27 -> (~(c7_2_ X27 X28) \/ (c3_2_ X27 X28 \/ ~(c2_2_ X27 X28))))) \/ (~(c1_1_ X27) \/ (ndr1_1_ X27 /\ (~(c8_2_ X27 a990_) /\ (~(c7_2_ X27 a990_) /\ ~(c10_2_ X27 a990_)))))))) \/ (~(c2_0_) \/ (forall X29 : Universe, (ndr1_0_ -> ((forall X30 : Universe, (ndr1_1_ X29 -> (~(c1_2_ X29 X30) \/ (~(c8_2_ X29 X30) \/ c3_2_ X29 X30)))) \/ ((forall X31 : Universe, (ndr1_1_ X29 -> (c3_2_ X29 X31 \/ (c7_2_ X29 X31 \/ c1_2_ X29 X31)))) \/ ~(c8_1_ X29))))))) /\ (((forall X32 : Universe, (ndr1_0_ -> (~(c10_1_ X32) \/ (~(c3_1_ X32) \/ (forall X33 : Universe, (ndr1_1_ X32 -> (c6_2_ X32 X33 \/ (c1_2_ X32 X33 \/ c10_2_ X32 X33)))))))) \/ (~(c4_0_) \/ c9_0_)) /\ ((c3_0_ \/ ((forall X34 : Universe, (ndr1_0_ -> ((forall X35 : Universe, (ndr1_1_ X34 -> (~(c8_2_ X34 X35) \/ (~(c7_2_ X34 X35) \/ c2_2_ X34 X35)))) \/ (~(c9_1_ X34) \/ c3_1_ X34)))) \/ ~(c1_0_))) /\ ((c9_0_ \/ ((forall X36 : Universe, (ndr1_0_ -> ((forall X37 : Universe, (ndr1_1_ X36 -> (~(c7_2_ X36 X37) \/ (~(c6_2_ X36 X37) \/ c5_2_ X36 X37)))) \/ (c5_1_ X36 \/ c4_1_ X36)))) \/ (forall X38 : Universe, (ndr1_0_ -> (~(c9_1_ X38) \/ (c2_1_ X38 \/ c6_1_ X38)))))) /\ ((~(c3_0_) \/ c7_0_) /\ (((forall X39 : Universe, (ndr1_0_ -> (~(c6_1_ X39) \/ ((forall X40 : Universe, (ndr1_1_ X39 -> (~(c7_2_ X39 X40) \/ (~(c3_2_ X39 X40) \/ ~(c5_2_ X39 X40))))) \/ ~(c7_1_ X39))))) \/ (~(c8_0_) \/ (forall X41 : Universe, (ndr1_0_ -> ((forall X42 : Universe, (ndr1_1_ X41 -> (c10_2_ X41 X42 \/ c9_2_ X41 X42))) \/ (~(c8_1_ X41) \/ (forall X43 : Universe, (ndr1_1_ X41 -> (c2_2_ X41 X43 \/ (~(c7_2_ X41 X43) \/ c4_2_ X41 X43)))))))))) /\ (((ndr1_0_ /\ (~(c3_1_ a991_) /\ (~(c1_1_ a991_) /\ ~(c7_1_ a991_)))) \/ ((ndr1_0_ /\ ((forall X44 : Universe, (ndr1_1_ a992_ -> (c9_2_ a992_ X44 \/ (c6_2_ a992_ X44 \/ c4_2_ a992_ X44)))) /\ (ndr1_1_ a992_ /\ (c6_2_ a992_ a993_ /\ (~(c7_2_ a992_ a993_) /\ (~(c9_2_ a992_ a993_) /\ (ndr1_1_ a992_ /\ (c7_2_ a992_ a994_ /\ ~(c8_2_ a992_ a994_))))))))) \/ (ndr1_0_ /\ ((forall X45 : Universe, (ndr1_1_ a995_ -> (c1_2_ a995_ X45 \/ ~(c9_2_ a995_ X45)))) /\ (forall X46 : Universe, (ndr1_1_ a995_ -> (~(c9_2_ a995_ X46) \/ (~(c7_2_ a995_ X46) \/ ~(c8_2_ a995_ X46))))))))) /\ (((forall X47 : Universe, (ndr1_0_ -> ((ndr1_1_ X47 /\ (c6_2_ X47 a996_ /\ c3_2_ X47 a996_)) \/ ((forall X48 : Universe, (ndr1_1_ X47 -> (c6_2_ X47 X48 \/ (~(c1_2_ X47 X48) \/ c7_2_ X47 X48)))) \/ (forall X49 : Universe, (ndr1_1_ X47 -> (c4_2_ X47 X49 \/ (c1_2_ X47 X49 \/ ~(c9_2_ X47 X49))))))))) \/ (~(c8_0_) \/ ~(c5_0_))) /\ (((forall X50 : Universe, (ndr1_0_ -> (c4_1_ X50 \/ (~(c2_1_ X50) \/ ~(c7_1_ X50))))) \/ ((ndr1_0_ /\ ((forall X51 : Universe, (ndr1_1_ a997_ -> (~(c3_2_ a997_ X51) \/ (c4_2_ a997_ X51 \/ c6_2_ a997_ X51)))) /\ (c5_1_ a997_ /\ (ndr1_1_ a997_ /\ (c3_2_ a997_ a998_ /\ (~(c5_2_ a997_ a998_) /\ c9_2_ a997_ a998_)))))) \/ (forall X52 : Universe, (ndr1_0_ -> ((ndr1_1_ X52 /\ (~(c2_2_ X52 a999_) /\ c3_2_ X52 a999_)) \/ (~(c9_1_ X52) \/ (forall X53 : Universe, (ndr1_1_ X52 -> (c6_2_ X52 X53 \/ (~(c5_2_ X52 X53) \/ ~(c3_2_ X52 X53))))))))))) /\ (((forall X54 : Universe, (ndr1_0_ -> ((ndr1_1_ X54 /\ (~(c6_2_ X54 a1000_) /\ ~(c2_2_ X54 a1000_))) \/ ((forall X55 : Universe, (ndr1_1_ X54 -> (c10_2_ X54 X55 \/ (~(c6_2_ X54 X55) \/ ~(c7_2_ X54 X55))))) \/ c4_1_ X54)))) \/ (~(c10_0_) \/ (forall X56 : Universe, (ndr1_0_ -> ((forall X57 : Universe, (ndr1_1_ X56 -> (c9_2_ X56 X57 \/ (c10_2_ X56 X57 \/ ~(c6_2_ X56 X57))))) \/ ((ndr1_1_ X56 /\ (c8_2_ X56 a1001_ /\ (c4_2_ X56 a1001_ /\ c10_2_ X56 a1001_))) \/ ~(c8_1_ X56))))))) /\ ((c3_0_ \/ ((forall X58 : Universe, (ndr1_0_ -> ((ndr1_1_ X58 /\ (c1_2_ X58 a1002_ /\ (~(c5_2_ X58 a1002_) /\ c7_2_ X58 a1002_))) \/ (~(c2_1_ X58) \/ ~(c6_1_ X58))))) \/ (forall X59 : Universe, (ndr1_0_ -> (~(c1_1_ X59) \/ c3_1_ X59))))) /\ (((ndr1_0_ /\ (c2_1_ a1003_ /\ (ndr1_1_ a1003_ /\ (~(c6_2_ a1003_ a1004_) /\ (c1_2_ a1003_ a1004_ /\ ~(c1_1_ a1003_)))))) \/ ((ndr1_0_ /\ (~(c1_1_ a1005_) /\ (c6_1_ a1005_ /\ (ndr1_1_ a1005_ /\ (c2_2_ a1005_ a1006_ /\ c5_2_ a1005_ a1006_))))) \/ (ndr1_0_ /\ c10_1_ a1007_))) /\ ((~(c3_0_) \/ (c4_0_ \/ ~(c8_0_))) /\ ((~(c7_0_) \/ ((ndr1_0_ /\ (ndr1_1_ a1008_ /\ (c3_2_ a1008_ a1009_ /\ (c8_2_ a1008_ a1009_ /\ (ndr1_1_ a1008_ /\ (~(c1_2_ a1008_ a1010_) /\ (~(c6_2_ a1008_ a1010_) /\ (~(c2_2_ a1008_ a1010_) /\ (forall X60 : Universe, (ndr1_1_ a1008_ -> (c7_2_ a1008_ X60 \/ (~(c4_2_ a1008_ X60) \/ c10_2_ a1008_ X60)))))))))))) \/ ~(c1_0_))) /\ ((c2_0_ \/ (c7_0_ \/ c8_0_)) /\ (((forall X61 : Universe, (ndr1_0_ -> ((forall X62 : Universe, (ndr1_1_ X61 -> (c9_2_ X61 X62 \/ (c1_2_ X61 X62 \/ c4_2_ X61 X62)))) \/ ((forall X63 : Universe, (ndr1_1_ X61 -> (c6_2_ X61 X63 \/ (~(c8_2_ X61 X63) \/ c2_2_ X61 X63)))) \/ ~(c5_1_ X61))))) \/ (c1_0_ \/ ~(c5_0_))) /\ (((forall X64 : Universe, (ndr1_0_ -> (~(c5_1_ X64) \/ ((forall X65 : Universe, (ndr1_1_ X64 -> (~(c4_2_ X64 X65) \/ (c9_2_ X64 X65 \/ c6_2_ X64 X65)))) \/ ~(c2_1_ X64))))) \/ ((forall X66 : Universe, (ndr1_0_ -> ((forall X67 : Universe, (ndr1_1_ X66 -> (c8_2_ X66 X67 \/ (c1_2_ X66 X67 \/ c4_2_ X66 X67)))) \/ (~(c5_1_ X66) \/ ~(c3_1_ X66))))) \/ c10_0_)) /\ (((forall X68 : Universe, (ndr1_0_ -> ((ndr1_1_ X68 /\ (~(c1_2_ X68 a1011_) /\ (c3_2_ X68 a1011_ /\ ~(c7_2_ X68 a1011_)))) \/ ((ndr1_1_ X68 /\ (c6_2_ X68 a1012_ /\ (c7_2_ X68 a1012_ /\ ~(c2_2_ X68 a1012_)))) \/ c4_1_ X68)))) \/ ((ndr1_0_ /\ (~(c5_1_ a1013_) /\ (c6_1_ a1013_ /\ (ndr1_1_ a1013_ /\ (c8_2_ a1013_ a1014_ /\ ~(c1_2_ a1013_ a1014_)))))) \/ (ndr1_0_ /\ (ndr1_1_ a1015_ /\ (c3_2_ a1015_ a1016_ /\ (~(c7_2_ a1015_ a1016_) /\ (ndr1_1_ a1015_ /\ (c9_2_ a1015_ a1017_ /\ (c3_2_ a1015_ a1017_ /\ ~(c1_2_ a1015_ a1017_)))))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a1018_ /\ (~(c7_2_ a1018_ a1019_) /\ (~(c3_2_ a1018_ a1019_) /\ (~(c10_2_ a1018_ a1019_) /\ (~(c10_1_ a1018_) /\ c3_1_ a1018_)))))) \/ (~(c7_0_) \/ (ndr1_0_ /\ (c3_1_ a1020_ /\ ((forall X69 : Universe, (ndr1_1_ a1020_ -> (~(c2_2_ a1020_ X69) \/ ~(c1_2_ a1020_ X69)))) /\ c9_1_ a1020_))))) /\ ((~(c7_0_) \/ (~(c9_0_) \/ (forall X70 : Universe, (ndr1_0_ -> (c8_1_ X70 \/ ((ndr1_1_ X70 /\ (~(c9_2_ X70 a1021_) /\ (~(c1_2_ X70 a1021_) /\ c5_2_ X70 a1021_))) \/ ~(c10_1_ X70))))))) /\ ((~(c8_0_) \/ (~(c5_0_) \/ c3_0_)) /\ (((ndr1_0_ /\ (~(c9_1_ a1022_) /\ ((forall X71 : Universe, (ndr1_1_ a1022_ -> (c10_2_ a1022_ X71 \/ (~(c2_2_ a1022_ X71) \/ c8_2_ a1022_ X71)))) /\ (ndr1_1_ a1022_ /\ (~(c3_2_ a1022_ a1023_) /\ (~(c8_2_ a1022_ a1023_) /\ ~(c4_2_ a1022_ a1023_))))))) \/ (c2_0_ \/ (ndr1_0_ /\ (~(c8_1_ a1024_) /\ (~(c4_1_ a1024_) /\ (forall X72 : Universe, (ndr1_1_ a1024_ -> (c3_2_ a1024_ X72 \/ (~(c7_2_ a1024_ X72) \/ c4_2_ a1024_ X72))))))))) /\ ((c3_0_ \/ (c8_0_ \/ c1_0_)) /\ (((forall X73 : Universe, (ndr1_0_ -> (c2_1_ X73 \/ (~(c5_1_ X73) \/ (ndr1_1_ X73 /\ (c4_2_ X73 a1025_ /\ (c9_2_ X73 a1025_ /\ ~(c5_2_ X73 a1025_)))))))) \/ ~(c10_0_)) /\ ((c10_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a1026_ /\ (~(c5_2_ a1026_ a1027_) /\ (~(c4_2_ a1026_ a1027_) /\ (~(c3_2_ a1026_ a1027_) /\ ((forall X74 : Universe, (ndr1_1_ a1026_ -> (~(c6_2_ a1026_ X74) \/ (c3_2_ a1026_ X74 \/ c5_2_ a1026_ X74)))) /\ c5_1_ a1026_)))))) \/ (forall X75 : Universe, (ndr1_0_ -> (c5_1_ X75 \/ (c8_1_ X75 \/ (forall X76 : Universe, (ndr1_1_ X75 -> (c10_2_ X75 X76 \/ (~(c4_2_ X75 X76) \/ c6_2_ X75 X76)))))))))) /\ ((c6_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a1028_ /\ (~(c9_2_ a1028_ a1029_) /\ (~(c8_2_ a1028_ a1029_) /\ (~(c4_2_ a1028_ a1029_) /\ ((forall X77 : Universe, (ndr1_1_ a1028_ -> (c9_2_ a1028_ X77 \/ (~(c3_2_ a1028_ X77) \/ c5_2_ a1028_ X77)))) /\ (ndr1_1_ a1028_ /\ (~(c9_2_ a1028_ a1030_) /\ (c4_2_ a1028_ a1030_ /\ ~(c8_2_ a1028_ a1030_)))))))))) \/ (ndr1_0_ /\ (ndr1_1_ a1031_ /\ (c6_2_ a1031_ a1032_ /\ (~(c8_2_ a1031_ a1032_) /\ (~(c7_2_ a1031_ a1032_) /\ (forall X78 : Universe, (ndr1_1_ a1031_ -> (~(c6_2_ a1031_ X78) \/ (~(c2_2_ a1031_ X78) \/ c4_2_ a1031_ X78))))))))))) /\ ((c9_0_ \/ ((ndr1_0_ /\ ((forall X79 : Universe, (ndr1_1_ a1033_ -> (~(c4_2_ a1033_ X79) \/ (c7_2_ a1033_ X79 \/ c2_2_ a1033_ X79)))) /\ (~(c7_1_ a1033_) /\ (ndr1_1_ a1033_ /\ (c10_2_ a1033_ a1034_ /\ (c5_2_ a1033_ a1034_ /\ c8_2_ a1033_ a1034_)))))) \/ c4_0_)) /\ (((ndr1_0_ /\ (ndr1_1_ a1035_ /\ (c2_2_ a1035_ a1036_ /\ (c8_2_ a1035_ a1036_ /\ (~(c9_2_ a1035_ a1036_) /\ (ndr1_1_ a1035_ /\ (c3_2_ a1035_ a1037_ /\ (c4_2_ a1035_ a1037_ /\ (~(c7_2_ a1035_ a1037_) /\ (ndr1_1_ a1035_ /\ (~(c9_2_ a1035_ a1038_) /\ (~(c1_2_ a1035_ a1038_) /\ ~(c10_2_ a1035_ a1038_))))))))))))) \/ (c8_0_ \/ (forall X80 : Universe, (ndr1_0_ -> ((forall X81 : Universe, (ndr1_1_ X80 -> (~(c5_2_ X80 X81) \/ (c4_2_ X80 X81 \/ ~(c8_2_ X80 X81))))) \/ ((ndr1_1_ X80 /\ (~(c5_2_ X80 a1039_) /\ (~(c8_2_ X80 a1039_) /\ c6_2_ X80 a1039_))) \/ c1_1_ X80)))))) /\ ((c10_0_ \/ ~(c8_0_)) /\ (((ndr1_0_ /\ ((forall X82 : Universe, (ndr1_1_ a1040_ -> (~(c7_2_ a1040_ X82) \/ (c4_2_ a1040_ X82 \/ c8_2_ a1040_ X82)))) /\ c3_1_ a1040_)) \/ ((forall X83 : Universe, (ndr1_0_ -> (~(c1_1_ X83) \/ (~(c7_1_ X83) \/ c10_1_ X83)))) \/ (ndr1_0_ /\ ((forall X84 : Universe, (ndr1_1_ a1041_ -> (~(c8_2_ a1041_ X84) \/ (~(c1_2_ a1041_ X84) \/ c5_2_ a1041_ X84)))) /\ ~(c3_1_ a1041_))))) /\ (((ndr1_0_ /\ ((forall X85 : Universe, (ndr1_1_ a1042_ -> (~(c7_2_ a1042_ X85) \/ (~(c10_2_ a1042_ X85) \/ c3_2_ a1042_ X85)))) /\ ((forall X86 : Universe, (ndr1_1_ a1042_ -> (c4_2_ a1042_ X86 \/ (~(c3_2_ a1042_ X86) \/ c6_2_ a1042_ X86)))) /\ ~(c9_1_ a1042_)))) \/ (c7_0_ \/ ~(c1_0_))) /\ (((forall X87 : Universe, (ndr1_0_ -> (c2_1_ X87 \/ ((forall X88 : Universe, (ndr1_1_ X87 -> (c5_2_ X87 X88 \/ ~(c4_2_ X87 X88)))) \/ c5_1_ X87)))) \/ (~(c6_0_) \/ (ndr1_0_ /\ (ndr1_1_ a1043_ /\ (c4_2_ a1043_ a1044_ /\ (~(c6_2_ a1043_ a1044_) /\ (~(c1_2_ a1043_ a1044_) /\ (c8_1_ a1043_ /\ c5_1_ a1043_)))))))) /\ (((forall X89 : Universe, (ndr1_0_ -> ((forall X90 : Universe, (ndr1_1_ X89 -> (~(c8_2_ X89 X90) \/ ~(c2_2_ X89 X90)))) \/ (c10_1_ X89 \/ (ndr1_1_ X89 /\ (c8_2_ X89 a1045_ /\ (c4_2_ X89 a1045_ /\ ~(c2_2_ X89 a1045_)))))))) \/ (c8_0_ \/ (ndr1_0_ /\ ((forall X91 : Universe, (ndr1_1_ a1046_ -> (~(c3_2_ a1046_ X91) \/ (~(c8_2_ a1046_ X91) \/ c10_2_ a1046_ X91)))) /\ ~(c9_1_ a1046_))))) /\ (((ndr1_0_ /\ (c7_1_ a1047_ /\ (~(c1_1_ a1047_) /\ (ndr1_1_ a1047_ /\ (c6_2_ a1047_ a1048_ /\ (~(c3_2_ a1047_ a1048_) /\ c9_2_ a1047_ a1048_)))))) \/ ((forall X92 : Universe, (ndr1_0_ -> ((forall X93 : Universe, (ndr1_1_ X92 -> (~(c7_2_ X92 X93) \/ (c4_2_ X92 X93 \/ c3_2_ X92 X93)))) \/ ((ndr1_1_ X92 /\ (~(c10_2_ X92 a1049_) /\ (~(c9_2_ X92 a1049_) /\ c8_2_ X92 a1049_))) \/ c8_1_ X92)))) \/ (ndr1_0_ /\ ((forall X94 : Universe, (ndr1_1_ a1050_ -> (~(c8_2_ a1050_ X94) \/ (c10_2_ a1050_ X94 \/ ~(c4_2_ a1050_ X94))))) /\ ((forall X95 : Universe, (ndr1_1_ a1050_ -> (c4_2_ a1050_ X95 \/ (~(c9_2_ a1050_ X95) \/ c8_2_ a1050_ X95)))) /\ c5_1_ a1050_))))) /\ ((~(c8_0_) \/ ((ndr1_0_ /\ (ndr1_1_ a1051_ /\ (~(c8_2_ a1051_ a1052_) /\ (~(c2_2_ a1051_ a1052_) /\ (~(c9_2_ a1051_ a1052_) /\ (~(c4_1_ a1051_) /\ c7_1_ a1051_)))))) \/ c10_0_)) /\ (((ndr1_0_ /\ ((forall X96 : Universe, (ndr1_1_ a1053_ -> (c8_2_ a1053_ X96 \/ (c2_2_ a1053_ X96 \/ ~(c3_2_ a1053_ X96))))) /\ (c1_1_ a1053_ /\ (ndr1_1_ a1053_ /\ (c10_2_ a1053_ a1054_ /\ (c3_2_ a1053_ a1054_ /\ ~(c2_2_ a1053_ a1054_))))))) \/ (c7_0_ \/ (forall X97 : Universe, (ndr1_0_ -> (c5_1_ X97 \/ (c1_1_ X97 \/ (forall X98 : Universe, (ndr1_1_ X97 -> (~(c1_2_ X97 X98) \/ ~(c3_2_ X97 X98)))))))))) /\ ((c6_0_ \/ (~(c8_0_) \/ (ndr1_0_ /\ ((forall X99 : Universe, (ndr1_1_ a1055_ -> (~(c4_2_ a1055_ X99) \/ (~(c6_2_ a1055_ X99) \/ ~(c8_2_ a1055_ X99))))) /\ (ndr1_1_ a1055_ /\ (c4_2_ a1055_ a1056_ /\ (c10_2_ a1055_ a1056_ /\ (c5_2_ a1055_ a1056_ /\ (ndr1_1_ a1055_ /\ (~(c2_2_ a1055_ a1057_) /\ (c3_2_ a1055_ a1057_ /\ ~(c9_2_ a1055_ a1057_)))))))))))) /\ (((ndr1_0_ /\ (~(c1_1_ a1058_) /\ (~(c10_1_ a1058_) /\ ~(c5_1_ a1058_)))) \/ ((ndr1_0_ /\ ((forall X100 : Universe, (ndr1_1_ a1059_ -> (~(c2_2_ a1059_ X100) \/ (c1_2_ a1059_ X100 \/ c8_2_ a1059_ X100)))) /\ (ndr1_1_ a1059_ /\ (c4_2_ a1059_ a1060_ /\ (~(c9_2_ a1059_ a1060_) /\ (~(c5_2_ a1059_ a1060_) /\ ~(c9_1_ a1059_))))))) \/ (ndr1_0_ /\ (c1_1_ a1061_ /\ (~(c9_1_ a1061_) /\ c8_1_ a1061_))))) /\ ((~(c4_0_) \/ ((ndr1_0_ /\ (c10_1_ a1062_ /\ ~(c5_1_ a1062_))) \/ (forall X101 : Universe, (ndr1_0_ -> ((forall X102 : Universe, (ndr1_1_ X101 -> (c1_2_ X101 X102 \/ (c6_2_ X101 X102 \/ c9_2_ X101 X102)))) \/ (ndr1_1_ X101 /\ (c6_2_ X101 a1063_ /\ (~(c9_2_ X101 a1063_) /\ ~(c5_2_ X101 a1063_))))))))) /\ (((ndr1_0_ /\ ((forall X103 : Universe, (ndr1_1_ a1064_ -> (c1_2_ a1064_ X103 \/ (c8_2_ a1064_ X103 \/ c3_2_ a1064_ X103)))) /\ (ndr1_1_ a1064_ /\ (c8_2_ a1064_ a1065_ /\ (~(c1_2_ a1064_ a1065_) /\ (~(c2_2_ a1064_ a1065_) /\ (forall X104 : Universe, (ndr1_1_ a1064_ -> (c10_2_ a1064_ X104 \/ (~(c6_2_ a1064_ X104) \/ ~(c7_2_ a1064_ X104))))))))))) \/ ((forall X105 : Universe, (ndr1_0_ -> (c7_1_ X105 \/ ((forall X106 : Universe, (ndr1_1_ X105 -> (c10_2_ X105 X106 \/ (~(c6_2_ X105 X106) \/ ~(c8_2_ X105 X106))))) \/ ~(c9_1_ X105))))) \/ ~(c10_0_))) /\ ((~(c4_0_) \/ (c3_0_ \/ ~(c5_0_))) /\ (((ndr1_0_ /\ (c7_1_ a1066_ /\ (~(c8_1_ a1066_) /\ (ndr1_1_ a1066_ /\ (c6_2_ a1066_ a1067_ /\ (c1_2_ a1066_ a1067_ /\ ~(c4_2_ a1066_ a1067_))))))) \/ ((ndr1_0_ /\ (~(c3_1_ a1068_) /\ (ndr1_1_ a1068_ /\ (~(c2_2_ a1068_ a1069_) /\ (~(c5_2_ a1068_ a1069_) /\ (ndr1_1_ a1068_ /\ (c8_2_ a1068_ a1070_ /\ (~(c2_2_ a1068_ a1070_) /\ c1_2_ a1068_ a1070_)))))))) \/ ~(c6_0_))) /\ (((forall X107 : Universe, (ndr1_0_ -> (~(c1_1_ X107) \/ ((forall X108 : Universe, (ndr1_1_ X107 -> (~(c3_2_ X107 X108) \/ (~(c5_2_ X107 X108) \/ c7_2_ X107 X108)))) \/ (ndr1_1_ X107 /\ (~(c6_2_ X107 a1071_) /\ (c9_2_ X107 a1071_ /\ ~(c7_2_ X107 a1071_)))))))) \/ (c1_0_ \/ (ndr1_0_ /\ (c9_1_ a1072_ /\ (~(c5_1_ a1072_) /\ c2_1_ a1072_))))) /\ (((forall X109 : Universe, (ndr1_0_ -> (~(c4_1_ X109) \/ ((forall X110 : Universe, (ndr1_1_ X109 -> (c9_2_ X109 X110 \/ (c10_2_ X109 X110 \/ ~(c1_2_ X109 X110))))) \/ (ndr1_1_ X109 /\ (c3_2_ X109 a1073_ /\ c10_2_ X109 a1073_)))))) \/ (c3_0_ \/ (forall X111 : Universe, (ndr1_0_ -> (c10_1_ X111 \/ ((forall X112 : Universe, (ndr1_1_ X111 -> (~(c1_2_ X111 X112) \/ (~(c5_2_ X111 X112) \/ c2_2_ X111 X112)))) \/ c3_1_ X111)))))) /\ ((c4_0_ \/ ((ndr1_0_ /\ (c7_1_ a1074_ /\ ((forall X113 : Universe, (ndr1_1_ a1074_ -> (c5_2_ a1074_ X113 \/ c8_2_ a1074_ X113))) /\ (ndr1_1_ a1074_ /\ (~(c4_2_ a1074_ a1075_) /\ (~(c3_2_ a1074_ a1075_) /\ ~(c6_2_ a1074_ a1075_))))))) \/ c7_0_)) /\ (((forall X114 : Universe, (ndr1_0_ -> (~(c2_1_ X114) \/ ((ndr1_1_ X114 /\ (~(c9_2_ X114 a1076_) /\ (~(c6_2_ X114 a1076_) /\ c8_2_ X114 a1076_))) \/ (ndr1_1_ X114 /\ (~(c6_2_ X114 a1077_) /\ (c4_2_ X114 a1077_ /\ ~(c5_2_ X114 a1077_)))))))) \/ (ndr1_0_ /\ (~(c10_1_ a1078_) /\ ((forall X115 : Universe, (ndr1_1_ a1078_ -> (c1_2_ a1078_ X115 \/ (c10_2_ a1078_ X115 \/ ~(c6_2_ a1078_ X115))))) /\ (forall X116 : Universe, (ndr1_1_ a1078_ -> (~(c6_2_ a1078_ X116) \/ (~(c10_2_ a1078_ X116) \/ c2_2_ a1078_ X116)))))))) /\ ((c5_0_ \/ ((forall X117 : Universe, (ndr1_0_ -> ((forall X118 : Universe, (ndr1_1_ X117 -> (c10_2_ X117 X118 \/ (~(c6_2_ X117 X118) \/ c3_2_ X117 X118)))) \/ (c4_1_ X117 \/ c7_1_ X117)))) \/ ~(c3_0_))) /\ (((forall X119 : Universe, (ndr1_0_ -> ((forall X120 : Universe, (ndr1_1_ X119 -> (c9_2_ X119 X120 \/ (c5_2_ X119 X120 \/ ~(c8_2_ X119 X120))))) \/ (c4_1_ X119 \/ (forall X121 : Universe, (ndr1_1_ X119 -> (c10_2_ X119 X121 \/ (~(c2_2_ X119 X121) \/ ~(c9_2_ X119 X121))))))))) \/ ((ndr1_0_ /\ (c1_1_ a1079_ /\ (~(c9_1_ a1079_) /\ ~(c8_1_ a1079_)))) \/ (ndr1_0_ /\ ((forall X122 : Universe, (ndr1_1_ a1080_ -> (~(c1_2_ a1080_ X122) \/ (c10_2_ a1080_ X122 \/ ~(c9_2_ a1080_ X122))))) /\ (c3_1_ a1080_ /\ (forall X123 : Universe, (ndr1_1_ a1080_ -> (~(c6_2_ a1080_ X123) \/ (~(c7_2_ a1080_ X123) \/ ~(c9_2_ a1080_ X123)))))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a1081_ /\ (c8_2_ a1081_ a1082_ /\ (~(c9_2_ a1081_ a1082_) /\ (~(c1_2_ a1081_ a1082_) /\ (ndr1_1_ a1081_ /\ (c7_2_ a1081_ a1083_ /\ (~(c6_2_ a1081_ a1083_) /\ (c3_2_ a1081_ a1083_ /\ (forall X124 : Universe, (ndr1_1_ a1081_ -> (c6_2_ a1081_ X124 \/ (c1_2_ a1081_ X124 \/ ~(c3_2_ a1081_ X124)))))))))))))) \/ (~(c8_0_) \/ ~(c5_0_))) /\ (((forall X125 : Universe, (ndr1_0_ -> ((ndr1_1_ X125 /\ (~(c2_2_ X125 a1084_) /\ (~(c9_2_ X125 a1084_) /\ ~(c5_2_ X125 a1084_)))) \/ (~(c2_1_ X125) \/ (forall X126 : Universe, (ndr1_1_ X125 -> (~(c1_2_ X125 X126) \/ c6_2_ X125 X126))))))) \/ ((forall X127 : Universe, (ndr1_0_ -> ((ndr1_1_ X127 /\ (c3_2_ X127 a1085_ /\ (~(c2_2_ X127 a1085_) /\ ~(c9_2_ X127 a1085_)))) \/ (c6_1_ X127 \/ (ndr1_1_ X127 /\ (~(c2_2_ X127 a1086_) /\ (c9_2_ X127 a1086_ /\ c4_2_ X127 a1086_))))))) \/ ~(c7_0_))) /\ ((~(c2_0_) \/ (ndr1_0_ /\ ((forall X128 : Universe, (ndr1_1_ a1087_ -> (c6_2_ a1087_ X128 \/ (~(c8_2_ a1087_ X128) \/ ~(c3_2_ a1087_ X128))))) /\ (ndr1_1_ a1087_ /\ (~(c5_2_ a1087_ a1088_) /\ (~(c4_2_ a1087_ a1088_) /\ (~(c10_2_ a1087_ a1088_) /\ (forall X129 : Universe, (ndr1_1_ a1087_ -> (c9_2_ a1087_ X129 \/ (c5_2_ a1087_ X129 \/ c6_2_ a1087_ X129))))))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a1089_ /\ (c10_2_ a1089_ a1090_ /\ (c9_2_ a1089_ a1090_ /\ (c7_2_ a1089_ a1090_ /\ (ndr1_1_ a1089_ /\ (c1_2_ a1089_ a1091_ /\ (~(c7_2_ a1089_ a1091_) /\ c5_1_ a1089_)))))))) \/ ((forall X130 : Universe, (ndr1_0_ -> (~(c2_1_ X130) \/ (c7_1_ X130 \/ c10_1_ X130)))) \/ (ndr1_0_ /\ (ndr1_1_ a1092_ /\ (~(c4_2_ a1092_ a1093_) /\ (~(c10_2_ a1092_ a1093_) /\ (~(c7_2_ a1092_ a1093_) /\ (ndr1_1_ a1092_ /\ (c10_2_ a1092_ a1094_ /\ (~(c5_2_ a1092_ a1094_) /\ (~(c3_2_ a1092_ a1094_) /\ ~(c10_1_ a1092_)))))))))))) /\ ((c6_0_ \/ ((ndr1_0_ /\ ((forall X131 : Universe, (ndr1_1_ a1095_ -> (~(c9_2_ a1095_ X131) \/ (~(c5_2_ a1095_ X131) \/ c2_2_ a1095_ X131)))) /\ (~(c9_1_ a1095_) /\ (forall X132 : Universe, (ndr1_1_ a1095_ -> (c8_2_ a1095_ X132 \/ (c2_2_ a1095_ X132 \/ ~(c9_2_ a1095_ X132)))))))) \/ c5_0_)) /\ ((~(c4_0_) \/ (c2_0_ \/ (forall X133 : Universe, (ndr1_0_ -> ((forall X134 : Universe, (ndr1_1_ X133 -> (~(c3_2_ X133 X134) \/ ~(c7_2_ X133 X134)))) \/ (~(c6_1_ X133) \/ (ndr1_1_ X133 /\ (~(c4_2_ X133 a1096_) /\ (~(c7_2_ X133 a1096_) /\ c6_2_ X133 a1096_))))))))) /\ (((forall X135 : Universe, (ndr1_0_ -> (c7_1_ X135 \/ (c3_1_ X135 \/ (forall X136 : Universe, (ndr1_1_ X135 -> (c7_2_ X135 X136 \/ (~(c6_2_ X135 X136) \/ c9_2_ X135 X136)))))))) \/ (c6_0_ \/ (forall X137 : Universe, (ndr1_0_ -> ((forall X138 : Universe, (ndr1_1_ X137 -> (~(c1_2_ X137 X138) \/ (~(c9_2_ X137 X138) \/ c6_2_ X137 X138)))) \/ ((ndr1_1_ X137 /\ (~(c6_2_ X137 a1097_) /\ c9_2_ X137 a1097_)) \/ ~(c4_1_ X137))))))) /\ ((c6_0_ \/ (c9_0_ \/ c7_0_)) /\ ((c4_0_ \/ (~(c7_0_) \/ (forall X139 : Universe, (ndr1_0_ -> (~(c6_1_ X139) \/ ((forall X140 : Universe, (ndr1_1_ X139 -> (c5_2_ X139 X140 \/ c9_2_ X139 X140))) \/ ~(c3_1_ X139))))))) /\ (((forall X141 : Universe, (ndr1_0_ -> (~(c1_1_ X141) \/ (~(c2_1_ X141) \/ (forall X142 : Universe, (ndr1_1_ X141 -> (c8_2_ X141 X142 \/ (~(c4_2_ X141 X142) \/ c7_2_ X141 X142)))))))) \/ (ndr1_0_ /\ (~(c8_1_ a1098_) /\ ((forall X143 : Universe, (ndr1_1_ a1098_ -> (~(c9_2_ a1098_ X143) \/ (~(c2_2_ a1098_ X143) \/ c3_2_ a1098_ X143)))) /\ ~(c5_1_ a1098_))))) /\ ((~(c9_0_) \/ (c4_0_ \/ (ndr1_0_ /\ ((forall X144 : Universe, (ndr1_1_ a1099_ -> (c7_2_ a1099_ X144 \/ (c8_2_ a1099_ X144 \/ c3_2_ a1099_ X144)))) /\ (c5_1_ a1099_ /\ ~(c8_1_ a1099_)))))) /\ (((forall X145 : Universe, (ndr1_0_ -> ((ndr1_1_ X145 /\ (~(c10_2_ X145 a1100_) /\ c8_2_ X145 a1100_)) \/ (~(c2_1_ X145) \/ ~(c5_1_ X145))))) \/ (~(c2_0_) \/ c5_0_)) /\ ((forall X146 : Universe, (ndr1_0_ -> (~(c10_1_ X146) \/ (~(c2_1_ X146) \/ (forall X147 : Universe, (ndr1_1_ X146 -> (c3_2_ X146 X147 \/ c2_2_ X146 X147))))))) /\ ((c3_0_ \/ ((forall X148 : Universe, (ndr1_0_ -> (c8_1_ X148 \/ (c1_1_ X148 \/ (ndr1_1_ X148 /\ (c4_2_ X148 a1101_ /\ (c5_2_ X148 a1101_ /\ c3_2_ X148 a1101_))))))) \/ (forall X149 : Universe, (ndr1_0_ -> ((forall X150 : Universe, (ndr1_1_ X149 -> (~(c2_2_ X149 X150) \/ (~(c1_2_ X149 X150) \/ c10_2_ X149 X150)))) \/ ((ndr1_1_ X149 /\ (~(c4_2_ X149 a1102_) /\ (~(c5_2_ X149 a1102_) /\ c8_2_ X149 a1102_))) \/ c3_1_ X149)))))) /\ ((c9_0_ \/ (c6_0_ \/ (forall X151 : Universe, (ndr1_0_ -> (c4_1_ X151 \/ (~(c1_1_ X151) \/ (ndr1_1_ X151 /\ (~(c2_2_ X151 a1103_) /\ ~(c7_2_ X151 a1103_))))))))) /\ (((forall X152 : Universe, (ndr1_0_ -> ((ndr1_1_ X152 /\ (~(c3_2_ X152 a1104_) /\ (c9_2_ X152 a1104_ /\ ~(c2_2_ X152 a1104_)))) \/ (~(c2_1_ X152) \/ c3_1_ X152)))) \/ (forall X153 : Universe, (ndr1_0_ -> (c6_1_ X153 \/ (c3_1_ X153 \/ (ndr1_1_ X153 /\ (c1_2_ X153 a1105_ /\ (~(c5_2_ X153 a1105_) /\ ~(c8_2_ X153 a1105_))))))))) /\ ((c3_0_ \/ (c4_0_ \/ c6_0_)) /\ (((forall X154 : Universe, (ndr1_0_ -> (~(c3_1_ X154) \/ ~(c8_1_ X154)))) \/ ((ndr1_0_ /\ (ndr1_1_ a1106_ /\ (~(c6_2_ a1106_ a1107_) /\ (c4_2_ a1106_ a1107_ /\ (c9_2_ a1106_ a1107_ /\ (ndr1_1_ a1106_ /\ (~(c10_2_ a1106_ a1108_) /\ (~(c3_2_ a1106_ a1108_) /\ ~(c8_2_ a1106_ a1108_))))))))) \/ ~(c1_0_))) /\ (((forall X155 : Universe, (ndr1_0_ -> ((ndr1_1_ X155 /\ (~(c1_2_ X155 a1109_) /\ (c4_2_ X155 a1109_ /\ ~(c2_2_ X155 a1109_)))) \/ ((forall X156 : Universe, (ndr1_1_ X155 -> (c10_2_ X155 X156 \/ c2_2_ X155 X156))) \/ (forall X157 : Universe, (ndr1_1_ X155 -> (~(c3_2_ X155 X157) \/ (c10_2_ X155 X157 \/ c8_2_ X155 X157)))))))) \/ (c9_0_ \/ c4_0_)) /\ (((forall X158 : Universe, (ndr1_0_ -> (c10_1_ X158 \/ (ndr1_1_ X158 /\ (~(c10_2_ X158 a1110_) /\ (~(c7_2_ X158 a1110_) /\ ~(c2_2_ X158 a1110_))))))) \/ ((forall X159 : Universe, (ndr1_0_ -> ((ndr1_1_ X159 /\ (c10_2_ X159 a1111_ /\ (c9_2_ X159 a1111_ /\ ~(c3_2_ X159 a1111_)))) \/ (~(c6_1_ X159) \/ (ndr1_1_ X159 /\ (~(c9_2_ X159 a1112_) /\ (c7_2_ X159 a1112_ /\ c5_2_ X159 a1112_))))))) \/ (forall X160 : Universe, (ndr1_0_ -> ((ndr1_1_ X160 /\ (c6_2_ X160 a1113_ /\ (c3_2_ X160 a1113_ /\ c1_2_ X160 a1113_))) \/ ~(c7_1_ X160)))))) /\ ((~(c5_0_) \/ ((ndr1_0_ /\ (c9_1_ a1114_ /\ (c2_1_ a1114_ /\ ~(c1_1_ a1114_)))) \/ (forall X161 : Universe, (ndr1_0_ -> (c4_1_ X161 \/ (~(c5_1_ X161) \/ ~(c1_1_ X161))))))) /\ ((~(c10_0_) \/ ~(c1_0_)) /\ ((~(c10_0_) \/ ((ndr1_0_ /\ ((forall X162 : Universe, (ndr1_1_ a1115_ -> (c9_2_ a1115_ X162 \/ (c2_2_ a1115_ X162 \/ c7_2_ a1115_ X162)))) /\ (ndr1_1_ a1115_ /\ (~(c10_2_ a1115_ a1116_) /\ (c9_2_ a1115_ a1116_ /\ (~(c6_2_ a1115_ a1116_) /\ (forall X163 : Universe, (ndr1_1_ a1115_ -> (~(c8_2_ a1115_ X163) \/ (c9_2_ a1115_ X163 \/ ~(c5_2_ a1115_ X163))))))))))) \/ (forall X164 : Universe, (ndr1_0_ -> (c6_1_ X164 \/ (c3_1_ X164 \/ (ndr1_1_ X164 /\ (~(c10_2_ X164 a1117_) /\ ~(c1_2_ X164 a1117_))))))))) /\ (((ndr1_0_ /\ (c7_1_ a1118_ /\ (c6_1_ a1118_ /\ (ndr1_1_ a1118_ /\ (~(c5_2_ a1118_ a1119_) /\ (c4_2_ a1118_ a1119_ /\ ~(c2_2_ a1118_ a1119_))))))) \/ ((ndr1_0_ /\ (~(c1_1_ a1120_) /\ (c4_1_ a1120_ /\ (ndr1_1_ a1120_ /\ (c2_2_ a1120_ a1121_ /\ (c1_2_ a1120_ a1121_ /\ c9_2_ a1120_ a1121_)))))) \/ c8_0_)) /\ (((forall X165 : Universe, (ndr1_0_ -> (c10_1_ X165 \/ ((ndr1_1_ X165 /\ (~(c9_2_ X165 a1122_) /\ (~(c2_2_ X165 a1122_) /\ c10_2_ X165 a1122_))) \/ c8_1_ X165)))) \/ (~(c7_0_) \/ (ndr1_0_ /\ (c5_1_ a1123_ /\ ((forall X166 : Universe, (ndr1_1_ a1123_ -> (c7_2_ a1123_ X166 \/ (c1_2_ a1123_ X166 \/ c6_2_ a1123_ X166)))) /\ (forall X167 : Universe, (ndr1_1_ a1123_ -> (c6_2_ a1123_ X167 \/ (~(c1_2_ a1123_ X167) \/ ~(c10_2_ a1123_ X167)))))))))) /\ (((forall X168 : Universe, (ndr1_0_ -> (~(c7_1_ X168) \/ (c6_1_ X168 \/ c10_1_ X168)))) \/ (~(c4_0_) \/ (ndr1_0_ /\ ((forall X169 : Universe, (ndr1_1_ a1124_ -> (c6_2_ a1124_ X169 \/ (~(c4_2_ a1124_ X169) \/ ~(c8_2_ a1124_ X169))))) /\ (c7_1_ a1124_ /\ ~(c2_1_ a1124_)))))) /\ ((c8_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a1125_ /\ (c8_2_ a1125_ a1126_ /\ (~(c3_2_ a1125_ a1126_) /\ (~(c10_2_ a1125_ a1126_) /\ (~(c4_1_ a1125_) /\ (ndr1_1_ a1125_ /\ (c5_2_ a1125_ a1127_ /\ (~(c1_2_ a1125_ a1127_) /\ c4_2_ a1125_ a1127_))))))))) \/ ~(c6_0_))) /\ ((~(c6_0_) \/ (c5_0_ \/ c1_0_)) /\ (((forall X170 : Universe, (ndr1_0_ -> ((forall X171 : Universe, (ndr1_1_ X170 -> (~(c7_2_ X170 X171) \/ (~(c3_2_ X170 X171) \/ ~(c1_2_ X170 X171))))) \/ ((ndr1_1_ X170 /\ (~(c7_2_ X170 a1128_) /\ ~(c10_2_ X170 a1128_))) \/ (ndr1_1_ X170 /\ (~(c4_2_ X170 a1129_) /\ (c1_2_ X170 a1129_ /\ ~(c6_2_ X170 a1129_)))))))) \/ (c10_0_ \/ (ndr1_0_ /\ (~(c10_1_ a1130_) /\ ((forall X172 : Universe, (ndr1_1_ a1130_ -> (c9_2_ a1130_ X172 \/ (c1_2_ a1130_ X172 \/ c10_2_ a1130_ X172)))) /\ ~(c8_1_ a1130_)))))) /\ (((ndr1_0_ /\ ((forall X173 : Universe, (ndr1_1_ a1131_ -> (c4_2_ a1131_ X173 \/ (c6_2_ a1131_ X173 \/ c3_2_ a1131_ X173)))) /\ (ndr1_1_ a1131_ /\ (~(c4_2_ a1131_ a1132_) /\ (c2_2_ a1131_ a1132_ /\ (forall X174 : Universe, (ndr1_1_ a1131_ -> (c4_2_ a1131_ X174 \/ (~(c3_2_ a1131_ X174) \/ ~(c1_2_ a1131_ X174)))))))))) \/ ((ndr1_0_ /\ (c7_1_ a1133_ /\ (~(c2_1_ a1133_) /\ (ndr1_1_ a1133_ /\ (~(c2_2_ a1133_ a1134_) /\ (c5_2_ a1133_ a1134_ /\ ~(c6_2_ a1133_ a1134_))))))) \/ ~(c9_0_))) /\ ((c6_0_ \/ ((ndr1_0_ /\ (c9_1_ a1135_ /\ (c4_1_ a1135_ /\ ~(c3_1_ a1135_)))) \/ (ndr1_0_ /\ (~(c9_1_ a1136_) /\ (ndr1_1_ a1136_ /\ (~(c3_2_ a1136_ a1137_) /\ (c1_2_ a1136_ a1137_ /\ (~(c6_2_ a1136_ a1137_) /\ c1_1_ a1136_)))))))) /\ (((forall X175 : Universe, (ndr1_0_ -> ((ndr1_1_ X175 /\ (c10_2_ X175 a1138_ /\ (c2_2_ X175 a1138_ /\ c9_2_ X175 a1138_))) \/ c3_1_ X175))) \/ (~(c9_0_) \/ c4_0_)) /\ ((~(c9_0_) \/ ((forall X176 : Universe, (ndr1_0_ -> (~(c10_1_ X176) \/ (forall X177 : Universe, (ndr1_1_ X176 -> (~(c10_2_ X176 X177) \/ (~(c9_2_ X176 X177) \/ ~(c8_2_ X176 X177)))))))) \/ ~(c1_0_))) /\ (((ndr1_0_ /\ (~(c1_1_ a1139_) /\ ((forall X178 : Universe, (ndr1_1_ a1139_ -> (c7_2_ a1139_ X178 \/ (~(c6_2_ a1139_ X178) \/ c5_2_ a1139_ X178)))) /\ ~(c10_1_ a1139_)))) \/ ((ndr1_0_ /\ (c6_1_ a1140_ /\ (ndr1_1_ a1140_ /\ (c9_2_ a1140_ a1141_ /\ (~(c1_2_ a1140_ a1141_) /\ ~(c4_2_ a1140_ a1141_)))))) \/ ~(c1_0_))) /\ (((forall X179 : Universe, (ndr1_0_ -> (~(c2_1_ X179) \/ ((ndr1_1_ X179 /\ (~(c1_2_ X179 a1142_) /\ (~(c8_2_ X179 a1142_) /\ ~(c4_2_ X179 a1142_)))) \/ c5_1_ X179)))) \/ (c4_0_ \/ (ndr1_0_ /\ (c8_1_ a1143_ /\ ~(c7_1_ a1143_))))) /\ ((c9_0_ \/ (~(c4_0_) \/ (ndr1_0_ /\ (ndr1_1_ a1144_ /\ (c4_2_ a1144_ a1145_ /\ (~(c1_2_ a1144_ a1145_) /\ (c3_2_ a1144_ a1145_ /\ (~(c5_1_ a1144_) /\ ~(c10_1_ a1144_))))))))) /\ ((c8_0_ \/ (~(c7_0_) \/ (forall X180 : Universe, (ndr1_0_ -> (~(c5_1_ X180) \/ ((forall X181 : Universe, (ndr1_1_ X180 -> (~(c1_2_ X180 X181) \/ ~(c8_2_ X180 X181)))) \/ (forall X182 : Universe, (ndr1_1_ X180 -> (~(c2_2_ X180 X182) \/ (~(c6_2_ X180 X182) \/ ~(c1_2_ X180 X182))))))))))) /\ ((~(c8_0_) \/ ((ndr1_0_ /\ ((forall X183 : Universe, (ndr1_1_ a1146_ -> (c9_2_ a1146_ X183 \/ (c8_2_ a1146_ X183 \/ c10_2_ a1146_ X183)))) /\ (~(c2_1_ a1146_) /\ ~(c1_1_ a1146_)))) \/ (forall X184 : Universe, (ndr1_0_ -> ((ndr1_1_ X184 /\ (~(c9_2_ X184 a1147_) /\ (~(c3_2_ X184 a1147_) /\ ~(c6_2_ X184 a1147_)))) \/ (c7_1_ X184 \/ c8_1_ X184)))))) /\ ((~(c5_0_) \/ ((forall X185 : Universe, (ndr1_0_ -> ((ndr1_1_ X185 /\ (~(c8_2_ X185 a1148_) /\ c4_2_ X185 a1148_)) \/ (~(c2_1_ X185) \/ c9_1_ X185)))) \/ (forall X186 : Universe, (ndr1_0_ -> (~(c5_1_ X186) \/ ((forall X187 : Universe, (ndr1_1_ X186 -> (~(c8_2_ X186 X187) \/ c2_2_ X186 X187))) \/ c10_1_ X186)))))) /\ ((~(c4_0_) \/ ((forall X188 : Universe, (ndr1_0_ -> (~(c5_1_ X188) \/ ((ndr1_1_ X188 /\ (~(c7_2_ X188 a1149_) /\ c9_2_ X188 a1149_)) \/ (forall X189 : Universe, (ndr1_1_ X188 -> (c7_2_ X188 X189 \/ (c9_2_ X188 X189 \/ c6_2_ X188 X189)))))))) \/ ~(c2_0_))) /\ (((ndr1_0_ /\ (c10_1_ a1150_ /\ (c5_1_ a1150_ /\ c1_1_ a1150_))) \/ ((forall X190 : Universe, (ndr1_0_ -> ((forall X191 : Universe, (ndr1_1_ X190 -> (c4_2_ X190 X191 \/ (c8_2_ X190 X191 \/ ~(c5_2_ X190 X191))))) \/ (~(c7_1_ X190) \/ ~(c2_1_ X190))))) \/ c2_0_)) /\ ((c2_0_ \/ (forall X192 : Universe, (ndr1_0_ -> (~(c1_1_ X192) \/ ((ndr1_1_ X192 /\ (~(c3_2_ X192 a1151_) /\ (c2_2_ X192 a1151_ /\ ~(c5_2_ X192 a1151_)))) \/ (ndr1_1_ X192 /\ (~(c10_2_ X192 a1152_) /\ (c8_2_ X192 a1152_ /\ ~(c4_2_ X192 a1152_))))))))) /\ ((c8_0_ \/ (c9_0_ \/ (forall X193 : Universe, (ndr1_0_ -> (~(c5_1_ X193) \/ (~(c7_1_ X193) \/ (forall X194 : Universe, (ndr1_1_ X193 -> (~(c6_2_ X193 X194) \/ (~(c2_2_ X193 X194) \/ ~(c3_2_ X193 X194))))))))))) /\ (((ndr1_0_ /\ (c4_1_ a1153_ /\ ((forall X195 : Universe, (ndr1_1_ a1153_ -> (c6_2_ a1153_ X195 \/ (~(c10_2_ a1153_ X195) \/ c9_2_ a1153_ X195)))) /\ ~(c9_1_ a1153_)))) \/ (c7_0_ \/ (ndr1_0_ /\ (~(c6_1_ a1154_) /\ (c9_1_ a1154_ /\ (forall X196 : Universe, (ndr1_1_ a1154_ -> (c4_2_ a1154_ X196 \/ (~(c9_2_ a1154_ X196) \/ c7_2_ a1154_ X196))))))))) /\ (((ndr1_0_ /\ (c6_1_ a1155_ /\ ((forall X197 : Universe, (ndr1_1_ a1155_ -> (c9_2_ a1155_ X197 \/ (c4_2_ a1155_ X197 \/ c8_2_ a1155_ X197)))) /\ (forall X198 : Universe, (ndr1_1_ a1155_ -> (c3_2_ a1155_ X198 \/ (c1_2_ a1155_ X198 \/ ~(c9_2_ a1155_ X198)))))))) \/ (~(c10_0_) \/ (forall X199 : Universe, (ndr1_0_ -> ((ndr1_1_ X199 /\ (~(c10_2_ X199 a1156_) /\ (c6_2_ X199 a1156_ /\ ~(c9_2_ X199 a1156_)))) \/ ((ndr1_1_ X199 /\ (c4_2_ X199 a1157_ /\ (c6_2_ X199 a1157_ /\ ~(c10_2_ X199 a1157_)))) \/ (ndr1_1_ X199 /\ (~(c7_2_ X199 a1158_) /\ (c6_2_ X199 a1158_ /\ ~(c8_2_ X199 a1158_)))))))))) /\ (((forall X200 : Universe, (ndr1_0_ -> ((forall X201 : Universe, (ndr1_1_ X200 -> (~(c8_2_ X200 X201) \/ (c9_2_ X200 X201 \/ ~(c5_2_ X200 X201))))) \/ ((ndr1_1_ X200 /\ (c2_2_ X200 a1159_ /\ (~(c9_2_ X200 a1159_) /\ c10_2_ X200 a1159_))) \/ c9_1_ X200)))) \/ ((ndr1_0_ /\ (ndr1_1_ a1160_ /\ (~(c10_2_ a1160_ a1161_) /\ (c7_2_ a1160_ a1161_ /\ (c2_2_ a1160_ a1161_ /\ ((forall X202 : Universe, (ndr1_1_ a1160_ -> (~(c9_2_ a1160_ X202) \/ c10_2_ a1160_ X202))) /\ ~(c6_1_ a1160_))))))) \/ ~(c7_0_))) /\ ((~(c5_0_) \/ ((ndr1_0_ /\ (ndr1_1_ a1162_ /\ (~(c8_2_ a1162_ a1163_) /\ (~(c10_2_ a1162_ a1163_) /\ (~(c3_2_ a1162_ a1163_) /\ (~(c6_1_ a1162_) /\ (ndr1_1_ a1162_ /\ (~(c5_2_ a1162_ a1164_) /\ (c4_2_ a1162_ a1164_ /\ c8_2_ a1162_ a1164_))))))))) \/ c4_0_)) /\ (((forall X203 : Universe, (ndr1_0_ -> ((forall X204 : Universe, (ndr1_1_ X203 -> (~(c3_2_ X203 X204) \/ (~(c7_2_ X203 X204) \/ ~(c9_2_ X203 X204))))) \/ ((forall X205 : Universe, (ndr1_1_ X203 -> (c2_2_ X203 X205 \/ (c8_2_ X203 X205 \/ ~(c6_2_ X203 X205))))) \/ c7_1_ X203)))) \/ c7_0_) /\ ((c2_0_ \/ ((ndr1_0_ /\ (~(c4_1_ a1165_) /\ (c10_1_ a1165_ /\ (ndr1_1_ a1165_ /\ (~(c5_2_ a1165_ a1166_) /\ (c6_2_ a1165_ a1166_ /\ c9_2_ a1165_ a1166_)))))) \/ (ndr1_0_ /\ (ndr1_1_ a1167_ /\ (~(c10_2_ a1167_ a1168_) /\ (~(c7_2_ a1167_ a1168_) /\ (~(c3_2_ a1167_ a1168_) /\ ~(c7_1_ a1167_)))))))) /\ ((c2_0_ \/ ((forall X206 : Universe, (ndr1_0_ -> ((ndr1_1_ X206 /\ (~(c10_2_ X206 a1169_) /\ (c7_2_ X206 a1169_ /\ ~(c1_2_ X206 a1169_)))) \/ ((forall X207 : Universe, (ndr1_1_ X206 -> (c2_2_ X206 X207 \/ (~(c9_2_ X206 X207) \/ ~(c8_2_ X206 X207))))) \/ (forall X208 : Universe, (ndr1_1_ X206 -> (~(c9_2_ X206 X208) \/ (c2_2_ X206 X208 \/ c3_2_ X206 X208)))))))) \/ (forall X209 : Universe, (ndr1_0_ -> (~(c8_1_ X209) \/ ((forall X210 : Universe, (ndr1_1_ X209 -> (~(c6_2_ X209 X210) \/ (~(c1_2_ X209 X210) \/ ~(c8_2_ X209 X210))))) \/ ~(c10_1_ X209))))))) /\ (((ndr1_0_ /\ (c2_1_ a1170_ /\ ((forall X211 : Universe, (ndr1_1_ a1170_ -> (c8_2_ a1170_ X211 \/ (~(c6_2_ a1170_ X211) \/ c10_2_ a1170_ X211)))) /\ (ndr1_1_ a1170_ /\ (c6_2_ a1170_ a1171_ /\ (~(c9_2_ a1170_ a1171_) /\ c10_2_ a1170_ a1171_)))))) \/ (c8_0_ \/ c4_0_)) /\ (((forall X212 : Universe, (ndr1_0_ -> (c3_1_ X212 \/ (c10_1_ X212 \/ ~(c7_1_ X212))))) \/ (c8_0_ \/ ~(c5_0_))) /\ (((forall X213 : Universe, (ndr1_0_ -> (~(c7_1_ X213) \/ (c4_1_ X213 \/ (ndr1_1_ X213 /\ (c4_2_ X213 a1172_ /\ (c1_2_ X213 a1172_ /\ c10_2_ X213 a1172_))))))) \/ (~(c2_0_) \/ (ndr1_0_ /\ (c3_1_ a1173_ /\ ((forall X214 : Universe, (ndr1_1_ a1173_ -> (c5_2_ a1173_ X214 \/ (c4_2_ a1173_ X214 \/ ~(c9_2_ a1173_ X214))))) /\ (ndr1_1_ a1173_ /\ (c4_2_ a1173_ a1174_ /\ ~(c5_2_ a1173_ a1174_)))))))) /\ ((~(c3_0_) \/ (c7_0_ \/ (forall X215 : Universe, (ndr1_0_ -> ((ndr1_1_ X215 /\ ~(c7_2_ X215 a1175_)) \/ (~(c5_1_ X215) \/ (forall X216 : Universe, (ndr1_1_ X215 -> (~(c3_2_ X215 X216) \/ (c5_2_ X215 X216 \/ c6_2_ X215 X216)))))))))) /\ ((c1_0_ \/ ~(c7_0_)) /\ (((forall X217 : Universe, (ndr1_0_ -> ((forall X218 : Universe, (ndr1_1_ X217 -> (c3_2_ X217 X218 \/ (c4_2_ X217 X218 \/ c7_2_ X217 X218)))) \/ (c9_1_ X217 \/ (ndr1_1_ X217 /\ (c6_2_ X217 a1176_ /\ (c7_2_ X217 a1176_ /\ ~(c1_2_ X217 a1176_)))))))) \/ ((forall X219 : Universe, (ndr1_0_ -> (~(c1_1_ X219) \/ ((ndr1_1_ X219 /\ (c9_2_ X219 a1177_ /\ (c8_2_ X219 a1177_ /\ c6_2_ X219 a1177_))) \/ (ndr1_1_ X219 /\ (~(c4_2_ X219 a1178_) /\ (c2_2_ X219 a1178_ /\ c1_2_ X219 a1178_))))))) \/ (forall X220 : Universe, (ndr1_0_ -> ((ndr1_1_ X220 /\ (~(c2_2_ X220 a1179_) /\ (c8_2_ X220 a1179_ /\ ~(c1_2_ X220 a1179_)))) \/ ((ndr1_1_ X220 /\ (c10_2_ X220 a1180_ /\ (~(c5_2_ X220 a1180_) /\ ~(c1_2_ X220 a1180_)))) \/ c5_1_ X220)))))) /\ (((forall X221 : Universe, (ndr1_0_ -> ((forall X222 : Universe, (ndr1_1_ X221 -> (c10_2_ X221 X222 \/ (c1_2_ X221 X222 \/ ~(c8_2_ X221 X222))))) \/ ((ndr1_1_ X221 /\ (c9_2_ X221 a1181_ /\ (~(c1_2_ X221 a1181_) /\ c3_2_ X221 a1181_))) \/ (ndr1_1_ X221 /\ (c8_2_ X221 a1182_ /\ (~(c9_2_ X221 a1182_) /\ ~(c4_2_ X221 a1182_)))))))) \/ ((ndr1_0_ /\ (ndr1_1_ a1183_ /\ (~(c9_2_ a1183_ a1184_) /\ (c8_2_ a1183_ a1184_ /\ (c3_2_ a1183_ a1184_ /\ (~(c10_1_ a1183_) /\ (ndr1_1_ a1183_ /\ (c5_2_ a1183_ a1185_ /\ (c10_2_ a1183_ a1185_ /\ ~(c7_2_ a1183_ a1185_)))))))))) \/ (forall X223 : Universe, (ndr1_0_ -> (~(c10_1_ X223) \/ (forall X224 : Universe, (ndr1_1_ X223 -> (c8_2_ X223 X224 \/ c1_2_ X223 X224)))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a1186_ /\ (c3_2_ a1186_ a1187_ /\ (~(c6_2_ a1186_ a1187_) /\ (ndr1_1_ a1186_ /\ (~(c1_2_ a1186_ a1188_) /\ (c3_2_ a1186_ a1188_ /\ c3_1_ a1186_))))))) \/ c2_0_) /\ (~(c6_0_) \/ (c1_0_ \/ (forall X225 : Universe, (ndr1_0_ -> (~(c9_1_ X225) \/ ((forall X226 : Universe, (ndr1_1_ X225 -> (c3_2_ X225 X226 \/ (~(c1_2_ X225 X226) \/ c5_2_ X225 X226)))) \/ (ndr1_1_ X225 /\ (c1_2_ X225 a1189_ /\ (~(c6_2_ X225 a1189_) /\ c2_2_ X225 a1189_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
