(*
% File     : SYN425+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=150, K=3, D=2, P=0, Index=030
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-150-3-2-030.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.50 v3.1.0, 0.67 v2.7.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.3.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1377 (   0 equality)
%            Maximal formula depth :  131 ( 131 average)
%            Number of connectives : 1858 ( 482 ~  ; 568  |; 616  &)
%                                         (   0 <=>; 192 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   32 (  11 propositional; 0-2 arity)
%            Number of functors    :  175 ( 175 constant; 0-0 arity)
%            Number of variables   :  192 (   0 singleton; 192 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c9_2_ : Universe -> Universe -> Prop.
Variable c9_1_ : Universe -> Prop.
Variable c9_0_ : Prop.
Variable c8_2_ : Universe -> Universe -> Prop.
Variable c8_1_ : Universe -> Prop.
Variable c8_0_ : Prop.
Variable c7_2_ : Universe -> Universe -> Prop.
Variable c7_1_ : Universe -> Prop.
Variable c7_0_ : Prop.
Variable c6_2_ : Universe -> Universe -> Prop.
Variable c6_1_ : Universe -> Prop.
Variable c6_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.
Variable c10_2_ : Universe -> Universe -> Prop.
Variable c10_1_ : Universe -> Prop.
Variable c10_0_ : Prop.

Variable a1364_ : Universe.
Variable a1363_ : Universe.
Variable a1362_ : Universe.
Variable a1361_ : Universe.
Variable a1360_ : Universe.
Variable a1359_ : Universe.
Variable a1358_ : Universe.
Variable a1357_ : Universe.
Variable a1356_ : Universe.
Variable a1355_ : Universe.
Variable a1354_ : Universe.
Variable a1353_ : Universe.
Variable a1352_ : Universe.
Variable a1351_ : Universe.
Variable a1350_ : Universe.
Variable a1349_ : Universe.
Variable a1348_ : Universe.
Variable a1347_ : Universe.
Variable a1346_ : Universe.
Variable a1345_ : Universe.
Variable a1344_ : Universe.
Variable a1343_ : Universe.
Variable a1342_ : Universe.
Variable a1341_ : Universe.
Variable a1340_ : Universe.
Variable a1339_ : Universe.
Variable a1338_ : Universe.
Variable a1337_ : Universe.
Variable a1336_ : Universe.
Variable a1335_ : Universe.
Variable a1334_ : Universe.
Variable a1333_ : Universe.
Variable a1332_ : Universe.
Variable a1331_ : Universe.
Variable a1330_ : Universe.
Variable a1329_ : Universe.
Variable a1328_ : Universe.
Variable a1327_ : Universe.
Variable a1326_ : Universe.
Variable a1325_ : Universe.
Variable a1324_ : Universe.
Variable a1323_ : Universe.
Variable a1322_ : Universe.
Variable a1321_ : Universe.
Variable a1320_ : Universe.
Variable a1319_ : Universe.
Variable a1318_ : Universe.
Variable a1317_ : Universe.
Variable a1316_ : Universe.
Variable a1315_ : Universe.
Variable a1314_ : Universe.
Variable a1313_ : Universe.
Variable a1312_ : Universe.
Variable a1311_ : Universe.
Variable a1310_ : Universe.
Variable a1309_ : Universe.
Variable a1308_ : Universe.
Variable a1307_ : Universe.
Variable a1306_ : Universe.
Variable a1305_ : Universe.
Variable a1304_ : Universe.
Variable a1303_ : Universe.
Variable a1302_ : Universe.
Variable a1301_ : Universe.
Variable a1300_ : Universe.
Variable a1299_ : Universe.
Variable a1298_ : Universe.
Variable a1297_ : Universe.
Variable a1296_ : Universe.
Variable a1295_ : Universe.
Variable a1294_ : Universe.
Variable a1293_ : Universe.
Variable a1292_ : Universe.
Variable a1291_ : Universe.
Variable a1290_ : Universe.
Variable a1289_ : Universe.
Variable a1288_ : Universe.
Variable a1287_ : Universe.
Variable a1286_ : Universe.
Variable a1285_ : Universe.
Variable a1284_ : Universe.
Variable a1283_ : Universe.
Variable a1282_ : Universe.
Variable a1281_ : Universe.
Variable a1280_ : Universe.
Variable a1279_ : Universe.
Variable a1278_ : Universe.
Variable a1277_ : Universe.
Variable a1276_ : Universe.
Variable a1275_ : Universe.
Variable a1274_ : Universe.
Variable a1273_ : Universe.
Variable a1272_ : Universe.
Variable a1271_ : Universe.
Variable a1270_ : Universe.
Variable a1269_ : Universe.
Variable a1268_ : Universe.
Variable a1267_ : Universe.
Variable a1266_ : Universe.
Variable a1265_ : Universe.
Variable a1264_ : Universe.
Variable a1263_ : Universe.
Variable a1262_ : Universe.
Variable a1261_ : Universe.
Variable a1260_ : Universe.
Variable a1259_ : Universe.
Variable a1258_ : Universe.
Variable a1257_ : Universe.
Variable a1256_ : Universe.
Variable a1255_ : Universe.
Variable a1254_ : Universe.
Variable a1253_ : Universe.
Variable a1252_ : Universe.
Variable a1251_ : Universe.
Variable a1250_ : Universe.
Variable a1249_ : Universe.
Variable a1248_ : Universe.
Variable a1247_ : Universe.
Variable a1246_ : Universe.
Variable a1245_ : Universe.
Variable a1244_ : Universe.
Variable a1243_ : Universe.
Variable a1242_ : Universe.
Variable a1241_ : Universe.
Variable a1240_ : Universe.
Variable a1239_ : Universe.
Variable a1238_ : Universe.
Variable a1237_ : Universe.
Variable a1236_ : Universe.
Variable a1235_ : Universe.
Variable a1234_ : Universe.
Variable a1233_ : Universe.
Variable a1232_ : Universe.
Variable a1231_ : Universe.
Variable a1230_ : Universe.
Variable a1229_ : Universe.
Variable a1228_ : Universe.
Variable a1227_ : Universe.
Variable a1226_ : Universe.
Variable a1225_ : Universe.
Variable a1224_ : Universe.
Variable a1223_ : Universe.
Variable a1222_ : Universe.
Variable a1221_ : Universe.
Variable a1220_ : Universe.
Variable a1219_ : Universe.
Variable a1218_ : Universe.
Variable a1217_ : Universe.
Variable a1216_ : Universe.
Variable a1215_ : Universe.
Variable a1214_ : Universe.
Variable a1213_ : Universe.
Variable a1212_ : Universe.
Variable a1211_ : Universe.
Variable a1210_ : Universe.
Variable a1209_ : Universe.
Variable a1208_ : Universe.
Variable a1207_ : Universe.
Variable a1206_ : Universe.
Variable a1205_ : Universe.
Variable a1204_ : Universe.
Variable a1203_ : Universe.
Variable a1202_ : Universe.
Variable a1201_ : Universe.
Variable a1200_ : Universe.
Variable a1199_ : Universe.
Variable a1198_ : Universe.
Variable a1197_ : Universe.
Variable a1196_ : Universe.
Variable a1195_ : Universe.
Variable a1194_ : Universe.
Variable a1193_ : Universe.
Variable a1192_ : Universe.
Variable a1191_ : Universe.
Variable a1190_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(c7_0_) \/ ((forall U : Universe, (ndr1_0_ -> (~(c5_1_ U) \/ (~(c7_1_ U) \/ (forall V : Universe, (ndr1_1_ U -> (c4_2_ U V \/ (c2_2_ U V \/ c8_2_ U V)))))))) \/ c2_0_)) /\ (((ndr1_0_ /\ (~(c1_1_ a1190_) /\ (~(c4_1_ a1190_) /\ (forall W : Universe, (ndr1_1_ a1190_ -> (c6_2_ a1190_ W \/ (c5_2_ a1190_ W \/ c4_2_ a1190_ W))))))) \/ ((ndr1_0_ /\ ((forall X : Universe, (ndr1_1_ a1191_ -> (c3_2_ a1191_ X \/ (~(c8_2_ a1191_ X) \/ ~(c1_2_ a1191_ X))))) /\ (~(c2_1_ a1191_) /\ (ndr1_1_ a1191_ /\ (c7_2_ a1191_ a1192_ /\ (~(c10_2_ a1191_ a1192_) /\ ~(c6_2_ a1191_ a1192_))))))) \/ ~(c7_0_))) /\ (((ndr1_0_ /\ ((forall Y : Universe, (ndr1_1_ a1193_ -> (~(c8_2_ a1193_ Y) \/ (c7_2_ a1193_ Y \/ c2_2_ a1193_ Y)))) /\ (ndr1_1_ a1193_ /\ (c4_2_ a1193_ a1194_ /\ (c5_2_ a1193_ a1194_ /\ (c9_2_ a1193_ a1194_ /\ (forall Z : Universe, (ndr1_1_ a1193_ -> (~(c10_2_ a1193_ Z) \/ (~(c9_2_ a1193_ Z) \/ ~(c8_2_ a1193_ Z))))))))))) \/ ((forall X1 : Universe, (ndr1_0_ -> ((ndr1_1_ X1 /\ (c10_2_ X1 a1195_ /\ (~(c3_2_ X1 a1195_) /\ ~(c4_2_ X1 a1195_)))) \/ (c8_1_ X1 \/ ~(c9_1_ X1))))) \/ (forall X2 : Universe, (ndr1_0_ -> (c6_1_ X2 \/ (c10_1_ X2 \/ ~(c1_1_ X2))))))) /\ ((c1_0_ \/ ~(c5_0_)) /\ (((forall X3 : Universe, (ndr1_0_ -> ((ndr1_1_ X3 /\ (c8_2_ X3 a1196_ /\ (c4_2_ X3 a1196_ /\ ~(c6_2_ X3 a1196_)))) \/ ((forall X4 : Universe, (ndr1_1_ X3 -> (c5_2_ X3 X4 \/ (~(c9_2_ X3 X4) \/ c7_2_ X3 X4)))) \/ (ndr1_1_ X3 /\ (c6_2_ X3 a1197_ /\ (~(c10_2_ X3 a1197_) /\ ~(c4_2_ X3 a1197_)))))))) \/ (c4_0_ \/ c3_0_)) /\ (((ndr1_0_ /\ (~(c2_1_ a1198_) /\ ((forall X5 : Universe, (ndr1_1_ a1198_ -> (c9_2_ a1198_ X5 \/ ~(c1_2_ a1198_ X5)))) /\ ~(c8_1_ a1198_)))) \/ ((forall X6 : Universe, (ndr1_0_ -> ((forall X7 : Universe, (ndr1_1_ X6 -> (c2_2_ X6 X7 \/ (~(c9_2_ X6 X7) \/ c7_2_ X6 X7)))) \/ (c8_1_ X6 \/ c5_1_ X6)))) \/ c4_0_)) /\ ((~(c10_0_) \/ ((forall X8 : Universe, (ndr1_0_ -> ((forall X9 : Universe, (ndr1_1_ X8 -> (~(c1_2_ X8 X9) \/ (c9_2_ X8 X9 \/ c4_2_ X8 X9)))) \/ (~(c8_1_ X8) \/ c3_1_ X8)))) \/ c7_0_)) /\ ((c2_0_ \/ (~(c4_0_) \/ ~(c6_0_))) /\ ((~(c6_0_) \/ ((forall X10 : Universe, (ndr1_0_ -> (~(c9_1_ X10) \/ (~(c1_1_ X10) \/ (ndr1_1_ X10 /\ (c6_2_ X10 a1199_ /\ (c8_2_ X10 a1199_ /\ c4_2_ X10 a1199_))))))) \/ c8_0_)) /\ ((~(c2_0_) \/ ((ndr1_0_ /\ (~(c6_1_ a1200_) /\ (forall X11 : Universe, (ndr1_1_ a1200_ -> (c2_2_ a1200_ X11 \/ c4_2_ a1200_ X11))))) \/ c8_0_)) /\ ((~(c6_0_) \/ ((ndr1_0_ /\ (ndr1_1_ a1201_ /\ (c4_2_ a1201_ a1202_ /\ (~(c6_2_ a1201_ a1202_) /\ (c2_2_ a1201_ a1202_ /\ (ndr1_1_ a1201_ /\ (c7_2_ a1201_ a1203_ /\ (c9_2_ a1201_ a1203_ /\ (c5_2_ a1201_ a1203_ /\ ~(c4_1_ a1201_)))))))))) \/ (forall X12 : Universe, (ndr1_0_ -> (c9_1_ X12 \/ (c1_1_ X12 \/ (forall X13 : Universe, (ndr1_1_ X12 -> (c6_2_ X12 X13 \/ (~(c2_2_ X12 X13) \/ c4_2_ X12 X13)))))))))) /\ (((forall X14 : Universe, (ndr1_0_ -> (c3_1_ X14 \/ ((ndr1_1_ X14 /\ (~(c10_2_ X14 a1204_) /\ (c1_2_ X14 a1204_ /\ ~(c8_2_ X14 a1204_)))) \/ ~(c1_1_ X14))))) \/ ((forall X15 : Universe, (ndr1_0_ -> (c4_1_ X15 \/ ((ndr1_1_ X15 /\ (~(c3_2_ X15 a1205_) /\ (~(c2_2_ X15 a1205_) /\ c5_2_ X15 a1205_))) \/ c5_1_ X15)))) \/ ~(c5_0_))) /\ ((c9_0_ \/ (~(c3_0_) \/ ~(c6_0_))) /\ ((c9_0_ \/ (c8_0_ \/ (ndr1_0_ /\ (c2_1_ a1206_ /\ ((forall X16 : Universe, (ndr1_1_ a1206_ -> (~(c4_2_ a1206_ X16) \/ (~(c9_2_ a1206_ X16) \/ ~(c8_2_ a1206_ X16))))) /\ c1_1_ a1206_))))) /\ (((ndr1_0_ /\ (~(c8_1_ a1207_) /\ ((forall X17 : Universe, (ndr1_1_ a1207_ -> (~(c6_2_ a1207_ X17) \/ (c8_2_ a1207_ X17 \/ ~(c4_2_ a1207_ X17))))) /\ c9_1_ a1207_))) \/ (~(c2_0_) \/ (ndr1_0_ /\ ((forall X18 : Universe, (ndr1_1_ a1208_ -> (~(c10_2_ a1208_ X18) \/ ~(c4_2_ a1208_ X18)))) /\ (c10_1_ a1208_ /\ c9_1_ a1208_))))) /\ (((forall X19 : Universe, (ndr1_0_ -> (c7_1_ X19 \/ ((forall X20 : Universe, (ndr1_1_ X19 -> (c6_2_ X19 X20 \/ (c10_2_ X19 X20 \/ ~(c9_2_ X19 X20))))) \/ (forall X21 : Universe, (ndr1_1_ X19 -> (c3_2_ X19 X21 \/ (~(c7_2_ X19 X21) \/ ~(c10_2_ X19 X21))))))))) \/ ~(c2_0_)) /\ ((~(c10_0_) \/ c9_0_) /\ ((c9_0_ \/ ((forall X22 : Universe, (ndr1_0_ -> ((ndr1_1_ X22 /\ (~(c10_2_ X22 a1209_) /\ (~(c8_2_ X22 a1209_) /\ c9_2_ X22 a1209_))) \/ ((forall X23 : Universe, (ndr1_1_ X22 -> (c7_2_ X22 X23 \/ (~(c1_2_ X22 X23) \/ c9_2_ X22 X23)))) \/ c5_1_ X22)))) \/ ~(c6_0_))) /\ ((~(c4_0_) \/ ((ndr1_0_ /\ (c10_1_ a1210_ /\ (~(c9_1_ a1210_) /\ (forall X24 : Universe, (ndr1_1_ a1210_ -> (c2_2_ a1210_ X24 \/ (c5_2_ a1210_ X24 \/ ~(c1_2_ a1210_ X24)))))))) \/ c2_0_)) /\ ((c8_0_ \/ ((ndr1_0_ /\ ((forall X25 : Universe, (ndr1_1_ a1211_ -> (c1_2_ a1211_ X25 \/ (c2_2_ a1211_ X25 \/ ~(c7_2_ a1211_ X25))))) /\ (~(c10_1_ a1211_) /\ (ndr1_1_ a1211_ /\ (c10_2_ a1211_ a1212_ /\ (~(c8_2_ a1211_ a1212_) /\ ~(c2_2_ a1211_ a1212_))))))) \/ c3_0_)) /\ (((ndr1_0_ /\ (c7_1_ a1213_ /\ ((forall X26 : Universe, (ndr1_1_ a1213_ -> (~(c2_2_ a1213_ X26) \/ (c1_2_ a1213_ X26 \/ c4_2_ a1213_ X26)))) /\ c2_1_ a1213_))) \/ (c4_0_ \/ c6_0_)) /\ ((c3_0_ \/ (~(c9_0_) \/ (ndr1_0_ /\ (c1_1_ a1214_ /\ ((forall X27 : Universe, (ndr1_1_ a1214_ -> (c7_2_ a1214_ X27 \/ ~(c5_2_ a1214_ X27)))) /\ c3_1_ a1214_))))) /\ (((forall X28 : Universe, (ndr1_0_ -> (~(c2_1_ X28) \/ (c4_1_ X28 \/ c5_1_ X28)))) \/ (c7_0_ \/ (ndr1_0_ /\ ((forall X29 : Universe, (ndr1_1_ a1215_ -> (c5_2_ a1215_ X29 \/ (~(c6_2_ a1215_ X29) \/ c1_2_ a1215_ X29)))) /\ (ndr1_1_ a1215_ /\ (~(c6_2_ a1215_ a1216_) /\ (~(c3_2_ a1215_ a1216_) /\ (c2_2_ a1215_ a1216_ /\ c6_1_ a1215_)))))))) /\ ((c2_0_ \/ ((forall X30 : Universe, (ndr1_0_ -> (c4_1_ X30 \/ ((forall X31 : Universe, (ndr1_1_ X30 -> (c9_2_ X30 X31 \/ (~(c1_2_ X30 X31) \/ c4_2_ X30 X31)))) \/ (forall X32 : Universe, (ndr1_1_ X30 -> (~(c7_2_ X30 X32) \/ (c2_2_ X30 X32 \/ ~(c4_2_ X30 X32))))))))) \/ (forall X33 : Universe, (ndr1_0_ -> ((forall X34 : Universe, (ndr1_1_ X33 -> (c5_2_ X33 X34 \/ (~(c4_2_ X33 X34) \/ ~(c10_2_ X33 X34))))) \/ (~(c6_1_ X33) \/ ~(c10_1_ X33))))))) /\ ((c4_0_ \/ ((forall X35 : Universe, (ndr1_0_ -> (c1_1_ X35 \/ ((ndr1_1_ X35 /\ (~(c7_2_ X35 a1217_) /\ (c3_2_ X35 a1217_ /\ c2_2_ X35 a1217_))) \/ (forall X36 : Universe, (ndr1_1_ X35 -> (~(c6_2_ X35 X36) \/ c4_2_ X35 X36))))))) \/ c9_0_)) /\ ((~(c2_0_) \/ ((ndr1_0_ /\ ((forall X37 : Universe, (ndr1_1_ a1218_ -> (~(c6_2_ a1218_ X37) \/ (c10_2_ a1218_ X37 \/ ~(c9_2_ a1218_ X37))))) /\ (ndr1_1_ a1218_ /\ (~(c6_2_ a1218_ a1219_) /\ (~(c10_2_ a1218_ a1219_) /\ (~(c4_2_ a1218_ a1219_) /\ c2_1_ a1218_)))))) \/ (ndr1_0_ /\ (c2_1_ a1220_ /\ (~(c6_1_ a1220_) /\ c10_1_ a1220_))))) /\ (((forall X38 : Universe, (ndr1_0_ -> ((ndr1_1_ X38 /\ (c10_2_ X38 a1221_ /\ (c4_2_ X38 a1221_ /\ ~(c8_2_ X38 a1221_)))) \/ ((ndr1_1_ X38 /\ (c2_2_ X38 a1222_ /\ (c5_2_ X38 a1222_ /\ ~(c4_2_ X38 a1222_)))) \/ c6_1_ X38)))) \/ ((ndr1_0_ /\ (~(c4_1_ a1223_) /\ ((forall X39 : Universe, (ndr1_1_ a1223_ -> (~(c3_2_ a1223_ X39) \/ (c8_2_ a1223_ X39 \/ ~(c7_2_ a1223_ X39))))) /\ c2_1_ a1223_))) \/ c6_0_)) /\ (((forall X40 : Universe, (ndr1_0_ -> ((ndr1_1_ X40 /\ (~(c1_2_ X40 a1224_) /\ (c10_2_ X40 a1224_ /\ ~(c8_2_ X40 a1224_)))) \/ (c7_1_ X40 \/ ~(c1_1_ X40))))) \/ (c5_0_ \/ ~(c10_0_))) /\ ((~(c8_0_) \/ c3_0_) /\ ((c9_0_ \/ ((ndr1_0_ /\ ((forall X41 : Universe, (ndr1_1_ a1225_ -> (c4_2_ a1225_ X41 \/ (c1_2_ a1225_ X41 \/ c7_2_ a1225_ X41)))) /\ ((forall X42 : Universe, (ndr1_1_ a1225_ -> (c8_2_ a1225_ X42 \/ (c3_2_ a1225_ X42 \/ ~(c4_2_ a1225_ X42))))) /\ (forall X43 : Universe, (ndr1_1_ a1225_ -> (c7_2_ a1225_ X43 \/ (~(c5_2_ a1225_ X43) \/ c8_2_ a1225_ X43))))))) \/ ~(c6_0_))) /\ ((c5_0_ \/ ((ndr1_0_ /\ (~(c9_1_ a1226_) /\ (c7_1_ a1226_ /\ (ndr1_1_ a1226_ /\ (~(c8_2_ a1226_ a1227_) /\ (~(c5_2_ a1226_ a1227_) /\ ~(c6_2_ a1226_ a1227_))))))) \/ ~(c9_0_))) /\ ((c9_0_ \/ (c10_0_ \/ (forall X44 : Universe, (ndr1_0_ -> (~(c9_1_ X44) \/ (~(c10_1_ X44) \/ c5_1_ X44)))))) /\ (((ndr1_0_ /\ (c1_1_ a1228_ /\ ((forall X45 : Universe, (ndr1_1_ a1228_ -> (~(c10_2_ a1228_ X45) \/ (~(c2_2_ a1228_ X45) \/ c5_2_ a1228_ X45)))) /\ ~(c7_1_ a1228_)))) \/ c4_0_) /\ (((ndr1_0_ /\ (ndr1_1_ a1229_ /\ (c4_2_ a1229_ a1230_ /\ (c7_2_ a1229_ a1230_ /\ (c10_2_ a1229_ a1230_ /\ (forall X46 : Universe, (ndr1_1_ a1229_ -> (~(c4_2_ a1229_ X46) \/ (c1_2_ a1229_ X46 \/ c6_2_ a1229_ X46))))))))) \/ (forall X47 : Universe, (ndr1_0_ -> ((ndr1_1_ X47 /\ (c9_2_ X47 a1231_ /\ (c6_2_ X47 a1231_ /\ ~(c7_2_ X47 a1231_)))) \/ (~(c5_1_ X47) \/ (forall X48 : Universe, (ndr1_1_ X47 -> (~(c3_2_ X47 X48) \/ (~(c5_2_ X47 X48) \/ c9_2_ X47 X48))))))))) /\ ((~(c7_0_) \/ ((forall X49 : Universe, (ndr1_0_ -> (c9_1_ X49 \/ (forall X50 : Universe, (ndr1_1_ X49 -> (c10_2_ X49 X50 \/ (~(c8_2_ X49 X50) \/ c4_2_ X49 X50))))))) \/ (forall X51 : Universe, (ndr1_0_ -> (c3_1_ X51 \/ ((ndr1_1_ X51 /\ (c1_2_ X51 a1232_ /\ (~(c10_2_ X51 a1232_) /\ c8_2_ X51 a1232_))) \/ c7_1_ X51)))))) /\ (((forall X52 : Universe, (ndr1_0_ -> ((ndr1_1_ X52 /\ (~(c3_2_ X52 a1233_) /\ (c9_2_ X52 a1233_ /\ c10_2_ X52 a1233_))) \/ (~(c5_1_ X52) \/ (ndr1_1_ X52 /\ (c7_2_ X52 a1234_ /\ (c4_2_ X52 a1234_ /\ ~(c10_2_ X52 a1234_)))))))) \/ ((ndr1_0_ /\ (c4_1_ a1235_ /\ ((forall X53 : Universe, (ndr1_1_ a1235_ -> (c2_2_ a1235_ X53 \/ (~(c9_2_ a1235_ X53) \/ ~(c4_2_ a1235_ X53))))) /\ (ndr1_1_ a1235_ /\ (~(c8_2_ a1235_ a1236_) /\ (~(c3_2_ a1235_ a1236_) /\ c4_2_ a1235_ a1236_)))))) \/ c1_0_)) /\ (((ndr1_0_ /\ (ndr1_1_ a1237_ /\ (c5_2_ a1237_ a1238_ /\ (c7_2_ a1237_ a1238_ /\ (c4_2_ a1237_ a1238_ /\ (ndr1_1_ a1237_ /\ (c5_2_ a1237_ a1239_ /\ (~(c6_2_ a1237_ a1239_) /\ (~(c2_2_ a1237_ a1239_) /\ ~(c8_1_ a1237_)))))))))) \/ ((forall X54 : Universe, (ndr1_0_ -> (~(c3_1_ X54) \/ c8_1_ X54))) \/ c8_0_)) /\ (c9_0_ /\ ((~(c3_0_) \/ ((ndr1_0_ /\ ((forall X55 : Universe, (ndr1_1_ a1240_ -> (c6_2_ a1240_ X55 \/ (c4_2_ a1240_ X55 \/ c5_2_ a1240_ X55)))) /\ ((forall X56 : Universe, (ndr1_1_ a1240_ -> (~(c5_2_ a1240_ X56) \/ (c3_2_ a1240_ X56 \/ c4_2_ a1240_ X56)))) /\ ~(c7_1_ a1240_)))) \/ (ndr1_0_ /\ ((forall X57 : Universe, (ndr1_1_ a1241_ -> (c6_2_ a1241_ X57 \/ (~(c8_2_ a1241_ X57) \/ c7_2_ a1241_ X57)))) /\ ((forall X58 : Universe, (ndr1_1_ a1241_ -> (~(c9_2_ a1241_ X58) \/ ~(c10_2_ a1241_ X58)))) /\ ~(c3_1_ a1241_)))))) /\ (((ndr1_0_ /\ (ndr1_1_ a1242_ /\ (c8_2_ a1242_ a1243_ /\ (c10_2_ a1242_ a1243_ /\ (c2_2_ a1242_ a1243_ /\ c9_1_ a1242_))))) \/ ((ndr1_0_ /\ (ndr1_1_ a1244_ /\ (c6_2_ a1244_ a1245_ /\ (c4_2_ a1244_ a1245_ /\ (c7_2_ a1244_ a1245_ /\ (c2_1_ a1244_ /\ ~(c10_1_ a1244_))))))) \/ (forall X59 : Universe, (ndr1_0_ -> (c7_1_ X59 \/ (ndr1_1_ X59 /\ (~(c1_2_ X59 a1246_) /\ (c5_2_ X59 a1246_ /\ ~(c9_2_ X59 a1246_))))))))) /\ (((ndr1_0_ /\ (c6_1_ a1247_ /\ (c9_1_ a1247_ /\ (forall X60 : Universe, (ndr1_1_ a1247_ -> (c5_2_ a1247_ X60 \/ (~(c10_2_ a1247_ X60) \/ ~(c2_2_ a1247_ X60)))))))) \/ (c5_0_ \/ ~(c10_0_))) /\ ((~(c7_0_) \/ ((forall X61 : Universe, (ndr1_0_ -> ((forall X62 : Universe, (ndr1_1_ X61 -> (c2_2_ X61 X62 \/ (c5_2_ X61 X62 \/ ~(c7_2_ X61 X62))))) \/ ((forall X63 : Universe, (ndr1_1_ X61 -> (c5_2_ X61 X63 \/ (c2_2_ X61 X63 \/ ~(c1_2_ X61 X63))))) \/ ~(c7_1_ X61))))) \/ c4_0_)) /\ ((~(c8_0_) \/ (~(c5_0_) \/ (ndr1_0_ /\ ((forall X64 : Universe, (ndr1_1_ a1248_ -> (~(c4_2_ a1248_ X64) \/ ~(c1_2_ a1248_ X64)))) /\ (~(c4_1_ a1248_) /\ ~(c5_1_ a1248_)))))) /\ (((forall X65 : Universe, (ndr1_0_ -> ((forall X66 : Universe, (ndr1_1_ X65 -> (~(c9_2_ X65 X66) \/ (~(c5_2_ X65 X66) \/ ~(c6_2_ X65 X66))))) \/ c9_1_ X65))) \/ ((forall X67 : Universe, (ndr1_0_ -> (c2_1_ X67 \/ ((forall X68 : Universe, (ndr1_1_ X67 -> (~(c2_2_ X67 X68) \/ (~(c4_2_ X67 X68) \/ ~(c7_2_ X67 X68))))) \/ ~(c10_1_ X67))))) \/ ~(c1_0_))) /\ (~(c5_0_) /\ (((ndr1_0_ /\ (~(c1_1_ a1249_) /\ ((forall X69 : Universe, (ndr1_1_ a1249_ -> (c3_2_ a1249_ X69 \/ (c6_2_ a1249_ X69 \/ c5_2_ a1249_ X69)))) /\ c4_1_ a1249_))) \/ ((ndr1_0_ /\ (c2_1_ a1250_ /\ (forall X70 : Universe, (ndr1_1_ a1250_ -> (c8_2_ a1250_ X70 \/ (~(c7_2_ a1250_ X70) \/ c5_2_ a1250_ X70)))))) \/ (forall X71 : Universe, (ndr1_0_ -> ((forall X72 : Universe, (ndr1_1_ X71 -> (c3_2_ X71 X72 \/ (c5_2_ X71 X72 \/ c7_2_ X71 X72)))) \/ ((forall X73 : Universe, (ndr1_1_ X71 -> (c10_2_ X71 X73 \/ (~(c3_2_ X71 X73) \/ c7_2_ X71 X73)))) \/ ~(c2_1_ X71))))))) /\ (((forall X74 : Universe, (ndr1_0_ -> (c10_1_ X74 \/ (c3_1_ X74 \/ (ndr1_1_ X74 /\ (~(c3_2_ X74 a1251_) /\ (~(c5_2_ X74 a1251_) /\ c8_2_ X74 a1251_))))))) \/ (~(c10_0_) \/ ~(c3_0_))) /\ (((ndr1_0_ /\ ((forall X75 : Universe, (ndr1_1_ a1252_ -> (~(c4_2_ a1252_ X75) \/ (~(c3_2_ a1252_ X75) \/ c8_2_ a1252_ X75)))) /\ (ndr1_1_ a1252_ /\ (~(c2_2_ a1252_ a1253_) /\ (c5_2_ a1252_ a1253_ /\ (~(c6_2_ a1252_ a1253_) /\ (ndr1_1_ a1252_ /\ (~(c10_2_ a1252_ a1254_) /\ (c2_2_ a1252_ a1254_ /\ c5_2_ a1252_ a1254_))))))))) \/ (c6_0_ \/ c3_0_)) /\ ((~(c6_0_) \/ ((forall X76 : Universe, (ndr1_0_ -> ((forall X77 : Universe, (ndr1_1_ X76 -> (c10_2_ X76 X77 \/ (~(c9_2_ X76 X77) \/ ~(c2_2_ X76 X77))))) \/ (c7_1_ X76 \/ ~(c2_1_ X76))))) \/ (forall X78 : Universe, (ndr1_0_ -> (~(c3_1_ X78) \/ ((forall X79 : Universe, (ndr1_1_ X78 -> (c7_2_ X78 X79 \/ (~(c9_2_ X78 X79) \/ ~(c6_2_ X78 X79))))) \/ c4_1_ X78)))))) /\ (((forall X80 : Universe, (ndr1_0_ -> ((forall X81 : Universe, (ndr1_1_ X80 -> (~(c5_2_ X80 X81) \/ (c3_2_ X80 X81 \/ c4_2_ X80 X81)))) \/ ((forall X82 : Universe, (ndr1_1_ X80 -> (~(c4_2_ X80 X82) \/ (c8_2_ X80 X82 \/ ~(c1_2_ X80 X82))))) \/ (forall X83 : Universe, (ndr1_1_ X80 -> (~(c4_2_ X80 X83) \/ (c8_2_ X80 X83 \/ c2_2_ X80 X83)))))))) \/ (c7_0_ \/ (ndr1_0_ /\ (c9_1_ a1255_ /\ (c1_1_ a1255_ /\ (ndr1_1_ a1255_ /\ (~(c9_2_ a1255_ a1256_) /\ (~(c7_2_ a1255_ a1256_) /\ c10_2_ a1255_ a1256_)))))))) /\ ((~(c10_0_) \/ (~(c8_0_) \/ ~(c2_0_))) /\ (((ndr1_0_ /\ (ndr1_1_ a1257_ /\ (~(c4_2_ a1257_ a1258_) /\ (c3_2_ a1257_ a1258_ /\ (c7_2_ a1257_ a1258_ /\ (c8_1_ a1257_ /\ ~(c9_1_ a1257_))))))) \/ ((ndr1_0_ /\ (~(c6_1_ a1259_) /\ c5_1_ a1259_)) \/ c4_0_)) /\ ((~(c6_0_) \/ (c4_0_ \/ c8_0_)) /\ ((~(c4_0_) \/ ((forall X84 : Universe, (ndr1_0_ -> (c7_1_ X84 \/ (~(c9_1_ X84) \/ (forall X85 : Universe, (ndr1_1_ X84 -> (c3_2_ X84 X85 \/ (~(c6_2_ X84 X85) \/ ~(c8_2_ X84 X85))))))))) \/ (forall X86 : Universe, (ndr1_0_ -> ((ndr1_1_ X86 /\ (c9_2_ X86 a1260_ /\ (~(c4_2_ X86 a1260_) /\ ~(c1_2_ X86 a1260_)))) \/ (~(c7_1_ X86) \/ c9_1_ X86)))))) /\ (((forall X87 : Universe, (ndr1_0_ -> (~(c7_1_ X87) \/ (c10_1_ X87 \/ ~(c3_1_ X87))))) \/ (c1_0_ \/ (ndr1_0_ /\ ((forall X88 : Universe, (ndr1_1_ a1261_ -> (c1_2_ a1261_ X88 \/ (c3_2_ a1261_ X88 \/ ~(c4_2_ a1261_ X88))))) /\ (c10_1_ a1261_ /\ (forall X89 : Universe, (ndr1_1_ a1261_ -> (~(c7_2_ a1261_ X89) \/ c1_2_ a1261_ X89)))))))) /\ ((~(c6_0_) \/ ((ndr1_0_ /\ (ndr1_1_ a1262_ /\ (~(c9_2_ a1262_ a1263_) /\ (c1_2_ a1262_ a1263_ /\ (c7_2_ a1262_ a1263_ /\ ((forall X90 : Universe, (ndr1_1_ a1262_ -> (~(c8_2_ a1262_ X90) \/ (~(c10_2_ a1262_ X90) \/ c2_2_ a1262_ X90)))) /\ (ndr1_1_ a1262_ /\ (c9_2_ a1262_ a1264_ /\ (c10_2_ a1262_ a1264_ /\ c5_2_ a1262_ a1264_))))))))) \/ c10_0_)) /\ (((ndr1_0_ /\ (c10_1_ a1265_ /\ c8_1_ a1265_)) \/ (c4_0_ \/ (forall X91 : Universe, (ndr1_0_ -> (c10_1_ X91 \/ ((ndr1_1_ X91 /\ (~(c3_2_ X91 a1266_) /\ (c5_2_ X91 a1266_ /\ c8_2_ X91 a1266_))) \/ (ndr1_1_ X91 /\ (c5_2_ X91 a1267_ /\ (~(c2_2_ X91 a1267_) /\ c3_2_ X91 a1267_))))))))) /\ (((forall X92 : Universe, (ndr1_0_ -> ((ndr1_1_ X92 /\ (c7_2_ X92 a1268_ /\ (~(c8_2_ X92 a1268_) /\ ~(c9_2_ X92 a1268_)))) \/ (~(c9_1_ X92) \/ c8_1_ X92)))) \/ (~(c2_0_) \/ (ndr1_0_ /\ (c7_1_ a1269_ /\ ~(c4_1_ a1269_))))) /\ ((~(c3_0_) \/ (ndr1_0_ /\ (~(c10_1_ a1270_) /\ (c9_1_ a1270_ /\ (ndr1_1_ a1270_ /\ (c8_2_ a1270_ a1271_ /\ (c4_2_ a1270_ a1271_ /\ ~(c7_2_ a1270_ a1271_)))))))) /\ ((~(c6_0_) \/ ((forall X93 : Universe, (ndr1_0_ -> ((forall X94 : Universe, (ndr1_1_ X93 -> (~(c1_2_ X93 X94) \/ (c10_2_ X93 X94 \/ c7_2_ X93 X94)))) \/ (c6_1_ X93 \/ c10_1_ X93)))) \/ (ndr1_0_ /\ (~(c3_1_ a1272_) /\ (~(c8_1_ a1272_) /\ (ndr1_1_ a1272_ /\ (c7_2_ a1272_ a1273_ /\ (c2_2_ a1272_ a1273_ /\ c8_2_ a1272_ a1273_)))))))) /\ ((c10_0_ \/ ((ndr1_0_ /\ (~(c10_1_ a1274_) /\ (ndr1_1_ a1274_ /\ (~(c9_2_ a1274_ a1275_) /\ (~(c8_2_ a1274_ a1275_) /\ (~(c6_2_ a1274_ a1275_) /\ (forall X95 : Universe, (ndr1_1_ a1274_ -> (c6_2_ a1274_ X95 \/ (c5_2_ a1274_ X95 \/ ~(c3_2_ a1274_ X95))))))))))) \/ ~(c6_0_))) /\ ((~(c8_0_) \/ ((forall X96 : Universe, (ndr1_0_ -> ((forall X97 : Universe, (ndr1_1_ X96 -> (~(c8_2_ X96 X97) \/ (c5_2_ X96 X97 \/ ~(c6_2_ X96 X97))))) \/ ((forall X98 : Universe, (ndr1_1_ X96 -> (~(c4_2_ X96 X98) \/ (~(c9_2_ X96 X98) \/ c10_2_ X96 X98)))) \/ ~(c4_1_ X96))))) \/ (ndr1_0_ /\ (ndr1_1_ a1276_ /\ (~(c10_2_ a1276_ a1277_) /\ (c6_2_ a1276_ a1277_ /\ (c8_2_ a1276_ a1277_ /\ ~(c8_1_ a1276_)))))))) /\ ((c3_0_ \/ ((forall X99 : Universe, (ndr1_0_ -> (~(c2_1_ X99) \/ (c6_1_ X99 \/ ~(c4_1_ X99))))) \/ c6_0_)) /\ (((ndr1_0_ /\ ((forall X100 : Universe, (ndr1_1_ a1278_ -> (~(c3_2_ a1278_ X100) \/ (~(c8_2_ a1278_ X100) \/ c1_2_ a1278_ X100)))) /\ (c7_1_ a1278_ /\ (forall X101 : Universe, (ndr1_1_ a1278_ -> (c3_2_ a1278_ X101 \/ (~(c8_2_ a1278_ X101) \/ ~(c10_2_ a1278_ X101)))))))) \/ ((forall X102 : Universe, (ndr1_0_ -> ((ndr1_1_ X102 /\ (~(c5_2_ X102 a1279_) /\ (~(c2_2_ X102 a1279_) /\ ~(c7_2_ X102 a1279_)))) \/ ((ndr1_1_ X102 /\ (c4_2_ X102 a1280_ /\ ~(c5_2_ X102 a1280_))) \/ c1_1_ X102)))) \/ (ndr1_0_ /\ (ndr1_1_ a1281_ /\ (~(c3_2_ a1281_ a1282_) /\ (c8_2_ a1281_ a1282_ /\ (c5_2_ a1281_ a1282_ /\ (ndr1_1_ a1281_ /\ (c7_2_ a1281_ a1283_ /\ (c4_2_ a1281_ a1283_ /\ (c9_2_ a1281_ a1283_ /\ ~(c10_1_ a1281_)))))))))))) /\ (((ndr1_0_ /\ (c2_1_ a1284_ /\ c1_1_ a1284_)) \/ ((ndr1_0_ /\ (ndr1_1_ a1285_ /\ (~(c5_2_ a1285_ a1286_) /\ (c2_2_ a1285_ a1286_ /\ (c1_2_ a1285_ a1286_ /\ ~(c9_1_ a1285_)))))) \/ c1_0_)) /\ (((ndr1_0_ /\ ((forall X103 : Universe, (ndr1_1_ a1287_ -> (~(c4_2_ a1287_ X103) \/ c1_2_ a1287_ X103))) /\ ((forall X104 : Universe, (ndr1_1_ a1287_ -> (~(c7_2_ a1287_ X104) \/ (~(c6_2_ a1287_ X104) \/ ~(c1_2_ a1287_ X104))))) /\ c3_1_ a1287_))) \/ ((ndr1_0_ /\ ((forall X105 : Universe, (ndr1_1_ a1288_ -> (c3_2_ a1288_ X105 \/ (~(c1_2_ a1288_ X105) \/ c8_2_ a1288_ X105)))) /\ ((forall X106 : Universe, (ndr1_1_ a1288_ -> (~(c8_2_ a1288_ X106) \/ (c4_2_ a1288_ X106 \/ c5_2_ a1288_ X106)))) /\ (forall X107 : Universe, (ndr1_1_ a1288_ -> (c1_2_ a1288_ X107 \/ (c3_2_ a1288_ X107 \/ ~(c2_2_ a1288_ X107)))))))) \/ c10_0_)) /\ ((~(c8_0_) \/ (c2_0_ \/ (ndr1_0_ /\ (ndr1_1_ a1289_ /\ (c2_2_ a1289_ a1290_ /\ (~(c6_2_ a1289_ a1290_) /\ (ndr1_1_ a1289_ /\ (c2_2_ a1289_ a1291_ /\ (~(c4_2_ a1289_ a1291_) /\ (c8_2_ a1289_ a1291_ /\ ~(c8_1_ a1289_))))))))))) /\ ((~(c6_0_) \/ ~(c3_0_)) /\ (((forall X108 : Universe, (ndr1_0_ -> ((forall X109 : Universe, (ndr1_1_ X108 -> (~(c7_2_ X108 X109) \/ (c6_2_ X108 X109 \/ ~(c10_2_ X108 X109))))) \/ ((ndr1_1_ X108 /\ (~(c6_2_ X108 a1292_) /\ (c8_2_ X108 a1292_ /\ ~(c10_2_ X108 a1292_)))) \/ (forall X110 : Universe, (ndr1_1_ X108 -> (c9_2_ X108 X110 \/ (c1_2_ X108 X110 \/ c3_2_ X108 X110)))))))) \/ (ndr1_0_ /\ (ndr1_1_ a1293_ /\ (c10_2_ a1293_ a1294_ /\ (c5_2_ a1293_ a1294_ /\ ((forall X111 : Universe, (ndr1_1_ a1293_ -> (~(c9_2_ a1293_ X111) \/ (~(c6_2_ a1293_ X111) \/ ~(c8_2_ a1293_ X111))))) /\ (forall X112 : Universe, (ndr1_1_ a1293_ -> (~(c4_2_ a1293_ X112) \/ (c5_2_ a1293_ X112 \/ c7_2_ a1293_ X112)))))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a1295_ /\ (c4_2_ a1295_ a1296_ /\ (c10_2_ a1295_ a1296_ /\ (~(c7_2_ a1295_ a1296_) /\ (ndr1_1_ a1295_ /\ (~(c7_2_ a1295_ a1297_) /\ (c1_2_ a1295_ a1297_ /\ (forall X113 : Universe, (ndr1_1_ a1295_ -> (~(c5_2_ a1295_ X113) \/ (c6_2_ a1295_ X113 \/ ~(c9_2_ a1295_ X113))))))))))))) \/ (~(c7_0_) \/ ~(c3_0_))) /\ (((ndr1_0_ /\ (ndr1_1_ a1298_ /\ (c3_2_ a1298_ a1299_ /\ (c4_2_ a1298_ a1299_ /\ (c5_2_ a1298_ a1299_ /\ (~(c4_1_ a1298_) /\ ~(c5_1_ a1298_))))))) \/ (forall X114 : Universe, (ndr1_0_ -> (~(c10_1_ X114) \/ (~(c2_1_ X114) \/ (ndr1_1_ X114 /\ (c5_2_ X114 a1300_ /\ (c1_2_ X114 a1300_ /\ ~(c3_2_ X114 a1300_))))))))) /\ (((forall X115 : Universe, (ndr1_0_ -> ((forall X116 : Universe, (ndr1_1_ X115 -> (~(c8_2_ X115 X116) \/ (~(c1_2_ X115 X116) \/ ~(c9_2_ X115 X116))))) \/ (ndr1_1_ X115 /\ (c8_2_ X115 a1301_ /\ (~(c10_2_ X115 a1301_) /\ ~(c6_2_ X115 a1301_))))))) \/ (forall X117 : Universe, (ndr1_0_ -> (c1_1_ X117 \/ (~(c4_1_ X117) \/ (ndr1_1_ X117 /\ (~(c1_2_ X117 a1302_) /\ ~(c9_2_ X117 a1302_)))))))) /\ (((ndr1_0_ /\ (c1_1_ a1303_ /\ (ndr1_1_ a1303_ /\ (~(c6_2_ a1303_ a1304_) /\ (c10_2_ a1303_ a1304_ /\ (c5_2_ a1303_ a1304_ /\ (forall X118 : Universe, (ndr1_1_ a1303_ -> (c1_2_ a1303_ X118 \/ (c2_2_ a1303_ X118 \/ ~(c5_2_ a1303_ X118))))))))))) \/ ((forall X119 : Universe, (ndr1_0_ -> (~(c7_1_ X119) \/ (~(c8_1_ X119) \/ ~(c10_1_ X119))))) \/ c6_0_)) /\ ((c3_0_ \/ ((forall X120 : Universe, (ndr1_0_ -> (c6_1_ X120 \/ (~(c9_1_ X120) \/ c8_1_ X120)))) \/ ~(c7_0_))) /\ (((ndr1_0_ /\ (ndr1_1_ a1305_ /\ (c1_2_ a1305_ a1306_ /\ (~(c10_2_ a1305_ a1306_) /\ (~(c4_2_ a1305_ a1306_) /\ (~(c5_1_ a1305_) /\ c1_1_ a1305_)))))) \/ (c7_0_ \/ (ndr1_0_ /\ (ndr1_1_ a1307_ /\ (~(c4_2_ a1307_ a1308_) /\ (c5_2_ a1307_ a1308_ /\ (c7_2_ a1307_ a1308_ /\ ((forall X121 : Universe, (ndr1_1_ a1307_ -> (~(c6_2_ a1307_ X121) \/ (~(c4_2_ a1307_ X121) \/ ~(c5_2_ a1307_ X121))))) /\ (forall X122 : Universe, (ndr1_1_ a1307_ -> (c5_2_ a1307_ X122 \/ (~(c9_2_ a1307_ X122) \/ ~(c3_2_ a1307_ X122))))))))))))) /\ ((c2_0_ \/ c10_0_) /\ ((c7_0_ \/ ((forall X123 : Universe, (ndr1_0_ -> (~(c10_1_ X123) \/ ((forall X124 : Universe, (ndr1_1_ X123 -> (c7_2_ X123 X124 \/ (~(c5_2_ X123 X124) \/ c3_2_ X123 X124)))) \/ c6_1_ X123)))) \/ (forall X125 : Universe, (ndr1_0_ -> ((ndr1_1_ X125 /\ (~(c4_2_ X125 a1309_) /\ c7_2_ X125 a1309_)) \/ (~(c2_1_ X125) \/ (forall X126 : Universe, (ndr1_1_ X125 -> (c10_2_ X125 X126 \/ (c3_2_ X125 X126 \/ ~(c6_2_ X125 X126))))))))))) /\ ((~(c8_0_) \/ c2_0_) /\ (((forall X127 : Universe, (ndr1_0_ -> (~(c3_1_ X127) \/ ((ndr1_1_ X127 /\ (c1_2_ X127 a1310_ /\ (~(c3_2_ X127 a1310_) /\ ~(c2_2_ X127 a1310_)))) \/ c8_1_ X127)))) \/ (c2_0_ \/ (ndr1_0_ /\ (~(c4_1_ a1311_) /\ ((forall X128 : Universe, (ndr1_1_ a1311_ -> (c8_2_ a1311_ X128 \/ c9_2_ a1311_ X128))) /\ ~(c5_1_ a1311_)))))) /\ ((~(c8_0_) \/ ((forall X129 : Universe, (ndr1_0_ -> (~(c3_1_ X129) \/ (~(c8_1_ X129) \/ c6_1_ X129)))) \/ c10_0_)) /\ ((c10_0_ \/ ((forall X130 : Universe, (ndr1_0_ -> (~(c4_1_ X130) \/ (~(c3_1_ X130) \/ (forall X131 : Universe, (ndr1_1_ X130 -> (~(c6_2_ X130 X131) \/ (~(c8_2_ X130 X131) \/ c1_2_ X130 X131)))))))) \/ c3_0_)) /\ ((~(c2_0_) \/ ((forall X132 : Universe, (ndr1_0_ -> (c1_1_ X132 \/ c6_1_ X132))) \/ ~(c8_0_))) /\ ((~(c6_0_) \/ c4_0_) /\ ((~(c8_0_) \/ (c1_0_ \/ ~(c2_0_))) /\ (((forall X133 : Universe, (ndr1_0_ -> (c6_1_ X133 \/ (c7_1_ X133 \/ c9_1_ X133)))) \/ c7_0_) /\ (((forall X134 : Universe, (ndr1_0_ -> ((forall X135 : Universe, (ndr1_1_ X134 -> (~(c9_2_ X134 X135) \/ (~(c8_2_ X134 X135) \/ c6_2_ X134 X135)))) \/ ((forall X136 : Universe, (ndr1_1_ X134 -> (c4_2_ X134 X136 \/ (~(c9_2_ X134 X136) \/ ~(c7_2_ X134 X136))))) \/ c4_1_ X134)))) \/ (~(c6_0_) \/ c2_0_)) /\ (c4_0_ /\ (((forall X137 : Universe, (ndr1_0_ -> ((forall X138 : Universe, (ndr1_1_ X137 -> (c9_2_ X137 X138 \/ (~(c1_2_ X137 X138) \/ ~(c10_2_ X137 X138))))) \/ (~(c4_1_ X137) \/ (ndr1_1_ X137 /\ (~(c3_2_ X137 a1312_) /\ (c6_2_ X137 a1312_ /\ ~(c4_2_ X137 a1312_)))))))) \/ (c8_0_ \/ ~(c2_0_))) /\ ((~(c10_0_) \/ ((forall X139 : Universe, (ndr1_0_ -> ((ndr1_1_ X139 /\ (~(c2_2_ X139 a1313_) /\ (c1_2_ X139 a1313_ /\ ~(c3_2_ X139 a1313_)))) \/ (~(c7_1_ X139) \/ (ndr1_1_ X139 /\ (~(c5_2_ X139 a1314_) /\ (c4_2_ X139 a1314_ /\ c10_2_ X139 a1314_))))))) \/ c6_0_)) /\ (((ndr1_0_ /\ (c10_1_ a1315_ /\ ((forall X140 : Universe, (ndr1_1_ a1315_ -> (~(c8_2_ a1315_ X140) \/ ~(c2_2_ a1315_ X140)))) /\ (forall X141 : Universe, (ndr1_1_ a1315_ -> (~(c5_2_ a1315_ X141) \/ (~(c6_2_ a1315_ X141) \/ ~(c9_2_ a1315_ X141)))))))) \/ (~(c2_0_) \/ (ndr1_0_ /\ (~(c8_1_ a1316_) /\ ~(c5_1_ a1316_))))) /\ (((forall X142 : Universe, (ndr1_0_ -> (~(c2_1_ X142) \/ ((ndr1_1_ X142 /\ (~(c6_2_ X142 a1317_) /\ ~(c2_2_ X142 a1317_))) \/ ~(c10_1_ X142))))) \/ ((forall X143 : Universe, (ndr1_0_ -> ((ndr1_1_ X143 /\ (~(c8_2_ X143 a1318_) /\ (c7_2_ X143 a1318_ /\ c3_2_ X143 a1318_))) \/ ((forall X144 : Universe, (ndr1_1_ X143 -> (c9_2_ X143 X144 \/ (c3_2_ X143 X144 \/ ~(c1_2_ X143 X144))))) \/ (ndr1_1_ X143 /\ (~(c6_2_ X143 a1319_) /\ (c1_2_ X143 a1319_ /\ c8_2_ X143 a1319_))))))) \/ (forall X145 : Universe, (ndr1_0_ -> (c3_1_ X145 \/ (~(c2_1_ X145) \/ c7_1_ X145)))))) /\ ((~(c7_0_) \/ ((ndr1_0_ /\ ((forall X146 : Universe, (ndr1_1_ a1320_ -> (c3_2_ a1320_ X146 \/ (c2_2_ a1320_ X146 \/ c5_2_ a1320_ X146)))) /\ (ndr1_1_ a1320_ /\ (~(c5_2_ a1320_ a1321_) /\ (~(c10_2_ a1320_ a1321_) /\ (c6_2_ a1320_ a1321_ /\ (ndr1_1_ a1320_ /\ (~(c8_2_ a1320_ a1322_) /\ c1_2_ a1320_ a1322_)))))))) \/ ~(c8_0_))) /\ (((forall X147 : Universe, (ndr1_0_ -> (~(c2_1_ X147) \/ (c7_1_ X147 \/ (forall X148 : Universe, (ndr1_1_ X147 -> (c3_2_ X147 X148 \/ (c6_2_ X147 X148 \/ c8_2_ X147 X148)))))))) \/ ((ndr1_0_ /\ (c4_1_ a1323_ /\ (c6_1_ a1323_ /\ (ndr1_1_ a1323_ /\ (c9_2_ a1323_ a1324_ /\ (~(c8_2_ a1323_ a1324_) /\ ~(c1_2_ a1323_ a1324_))))))) \/ (forall X149 : Universe, (ndr1_0_ -> ((ndr1_1_ X149 /\ (~(c1_2_ X149 a1325_) /\ (~(c10_2_ X149 a1325_) /\ ~(c8_2_ X149 a1325_)))) \/ (~(c2_1_ X149) \/ (ndr1_1_ X149 /\ (~(c1_2_ X149 a1326_) /\ (c2_2_ X149 a1326_ /\ ~(c9_2_ X149 a1326_)))))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a1327_ /\ (c8_2_ a1327_ a1328_ /\ (~(c3_2_ a1327_ a1328_) /\ ((forall X150 : Universe, (ndr1_1_ a1327_ -> (~(c10_2_ a1327_ X150) \/ (~(c2_2_ a1327_ X150) \/ ~(c3_2_ a1327_ X150))))) /\ c10_1_ a1327_))))) \/ (c3_0_ \/ ~(c2_0_))) /\ (((forall X151 : Universe, (ndr1_0_ -> (c4_1_ X151 \/ ((ndr1_1_ X151 /\ (c8_2_ X151 a1329_ /\ (c5_2_ X151 a1329_ /\ c7_2_ X151 a1329_))) \/ c1_1_ X151)))) \/ (~(c7_0_) \/ c2_0_)) /\ ((~(c1_0_) \/ ((forall X152 : Universe, (ndr1_0_ -> (~(c10_1_ X152) \/ ((forall X153 : Universe, (ndr1_1_ X152 -> (c10_2_ X152 X153 \/ (c2_2_ X152 X153 \/ c7_2_ X152 X153)))) \/ (forall X154 : Universe, (ndr1_1_ X152 -> (~(c5_2_ X152 X154) \/ (c3_2_ X152 X154 \/ c1_2_ X152 X154)))))))) \/ (forall X155 : Universe, (ndr1_0_ -> ((forall X156 : Universe, (ndr1_1_ X155 -> (c2_2_ X155 X156 \/ (~(c8_2_ X155 X156) \/ c5_2_ X155 X156)))) \/ (~(c2_1_ X155) \/ (ndr1_1_ X155 /\ (~(c8_2_ X155 a1330_) /\ (c9_2_ X155 a1330_ /\ ~(c2_2_ X155 a1330_)))))))))) /\ ((~(c6_0_) \/ (ndr1_0_ /\ (c3_1_ a1331_ /\ (ndr1_1_ a1331_ /\ (c7_2_ a1331_ a1332_ /\ (~(c9_2_ a1331_ a1332_) /\ (~(c10_2_ a1331_ a1332_) /\ (forall X157 : Universe, (ndr1_1_ a1331_ -> (c9_2_ a1331_ X157 \/ (~(c6_2_ a1331_ X157) \/ ~(c5_2_ a1331_ X157)))))))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a1333_ /\ (c6_2_ a1333_ a1334_ /\ (~(c3_2_ a1333_ a1334_) /\ (~(c9_2_ a1333_ a1334_) /\ (c3_1_ a1333_ /\ (forall X158 : Universe, (ndr1_1_ a1333_ -> (~(c9_2_ a1333_ X158) \/ (~(c10_2_ a1333_ X158) \/ ~(c4_2_ a1333_ X158))))))))))) \/ (ndr1_0_ /\ (ndr1_1_ a1335_ /\ (~(c2_2_ a1335_ a1336_) /\ (c8_2_ a1335_ a1336_ /\ ~(c3_1_ a1335_)))))) /\ (((forall X159 : Universe, (ndr1_0_ -> ((forall X160 : Universe, (ndr1_1_ X159 -> (c7_2_ X159 X160 \/ (~(c6_2_ X159 X160) \/ c1_2_ X159 X160)))) \/ ((ndr1_1_ X159 /\ (c4_2_ X159 a1337_ /\ (c3_2_ X159 a1337_ /\ ~(c8_2_ X159 a1337_)))) \/ (forall X161 : Universe, (ndr1_1_ X159 -> (c6_2_ X159 X161 \/ c5_2_ X159 X161))))))) \/ ~(c7_0_)) /\ (((ndr1_0_ /\ (~(c8_1_ a1338_) /\ ((forall X162 : Universe, (ndr1_1_ a1338_ -> (c6_2_ a1338_ X162 \/ (c3_2_ a1338_ X162 \/ ~(c9_2_ a1338_ X162))))) /\ (ndr1_1_ a1338_ /\ (c8_2_ a1338_ a1339_ /\ (c5_2_ a1338_ a1339_ /\ c4_2_ a1338_ a1339_)))))) \/ (c1_0_ \/ c3_0_)) /\ ((~(c2_0_) \/ (c3_0_ \/ (forall X163 : Universe, (ndr1_0_ -> ((forall X164 : Universe, (ndr1_1_ X163 -> (~(c1_2_ X163 X164) \/ (~(c2_2_ X163 X164) \/ ~(c7_2_ X163 X164))))) \/ ((ndr1_1_ X163 /\ (~(c2_2_ X163 a1340_) /\ (c6_2_ X163 a1340_ /\ ~(c9_2_ X163 a1340_)))) \/ c6_1_ X163)))))) /\ ((c8_0_ \/ ~(c3_0_)) /\ ((c3_0_ \/ (forall X165 : Universe, (ndr1_0_ -> (~(c5_1_ X165) \/ (c4_1_ X165 \/ ~(c1_1_ X165)))))) /\ ((~(c8_0_) \/ (~(c7_0_) \/ ~(c3_0_))) /\ ((c1_0_ \/ ((forall X166 : Universe, (ndr1_0_ -> ((forall X167 : Universe, (ndr1_1_ X166 -> (c9_2_ X166 X167 \/ (c5_2_ X166 X167 \/ ~(c3_2_ X166 X167))))) \/ (~(c10_1_ X166) \/ c9_1_ X166)))) \/ ~(c2_0_))) /\ (((ndr1_0_ /\ (c2_1_ a1341_ /\ (ndr1_1_ a1341_ /\ (c7_2_ a1341_ a1342_ /\ ~(c3_2_ a1341_ a1342_))))) \/ ((ndr1_0_ /\ (c3_1_ a1343_ /\ (~(c1_1_ a1343_) /\ (forall X168 : Universe, (ndr1_1_ a1343_ -> (c3_2_ a1343_ X168 \/ (~(c5_2_ a1343_ X168) \/ ~(c2_2_ a1343_ X168)))))))) \/ (forall X169 : Universe, (ndr1_0_ -> ((ndr1_1_ X169 /\ (c1_2_ X169 a1344_ /\ (c9_2_ X169 a1344_ /\ c4_2_ X169 a1344_))) \/ ((ndr1_1_ X169 /\ (c5_2_ X169 a1345_ /\ ~(c4_2_ X169 a1345_))) \/ c3_1_ X169)))))) /\ ((~(c1_0_) \/ (ndr1_0_ /\ ((forall X170 : Universe, (ndr1_1_ a1346_ -> (~(c6_2_ a1346_ X170) \/ (~(c10_2_ a1346_ X170) \/ c8_2_ a1346_ X170)))) /\ ((forall X171 : Universe, (ndr1_1_ a1346_ -> (~(c10_2_ a1346_ X171) \/ (~(c5_2_ a1346_ X171) \/ c9_2_ a1346_ X171)))) /\ (ndr1_1_ a1346_ /\ (c6_2_ a1346_ a1347_ /\ (~(c4_2_ a1346_ a1347_) /\ ~(c2_2_ a1346_ a1347_)))))))) /\ (((forall X172 : Universe, (ndr1_0_ -> ((forall X173 : Universe, (ndr1_1_ X172 -> (~(c1_2_ X172 X173) \/ (c4_2_ X172 X173 \/ c3_2_ X172 X173)))) \/ (c5_1_ X172 \/ (ndr1_1_ X172 /\ (c4_2_ X172 a1348_ /\ (c5_2_ X172 a1348_ /\ ~(c8_2_ X172 a1348_)))))))) \/ ((ndr1_0_ /\ ((forall X174 : Universe, (ndr1_1_ a1349_ -> (~(c7_2_ a1349_ X174) \/ (~(c3_2_ a1349_ X174) \/ ~(c5_2_ a1349_ X174))))) /\ (c6_1_ a1349_ /\ c3_1_ a1349_))) \/ (ndr1_0_ /\ (~(c10_1_ a1350_) /\ (forall X175 : Universe, (ndr1_1_ a1350_ -> (c1_2_ a1350_ X175 \/ (c7_2_ a1350_ X175 \/ c6_2_ a1350_ X175)))))))) /\ ((forall X176 : Universe, (ndr1_0_ -> ((ndr1_1_ X176 /\ (c10_2_ X176 a1351_ /\ (c8_2_ X176 a1351_ /\ c3_2_ X176 a1351_))) \/ (c2_1_ X176 \/ (ndr1_1_ X176 /\ (~(c8_2_ X176 a1352_) /\ (c10_2_ X176 a1352_ /\ ~(c2_2_ X176 a1352_)))))))) /\ (((ndr1_0_ /\ ((forall X177 : Universe, (ndr1_1_ a1353_ -> (c5_2_ a1353_ X177 \/ (c3_2_ a1353_ X177 \/ c2_2_ a1353_ X177)))) /\ (~(c5_1_ a1353_) /\ ~(c3_1_ a1353_)))) \/ (ndr1_0_ /\ (c4_1_ a1354_ /\ ~(c7_1_ a1354_)))) /\ ((c8_0_ \/ ((forall X178 : Universe, (ndr1_0_ -> (c8_1_ X178 \/ ((ndr1_1_ X178 /\ (c9_2_ X178 a1355_ /\ (c6_2_ X178 a1355_ /\ ~(c4_2_ X178 a1355_)))) \/ (ndr1_1_ X178 /\ (~(c5_2_ X178 a1356_) /\ (~(c4_2_ X178 a1356_) /\ c1_2_ X178 a1356_))))))) \/ (ndr1_0_ /\ ((forall X179 : Universe, (ndr1_1_ a1357_ -> (~(c10_2_ a1357_ X179) \/ (c1_2_ a1357_ X179 \/ ~(c9_2_ a1357_ X179))))) /\ (ndr1_1_ a1357_ /\ (c6_2_ a1357_ a1358_ /\ (c9_2_ a1357_ a1358_ /\ (c1_2_ a1357_ a1358_ /\ ~(c6_1_ a1357_))))))))) /\ (((forall X180 : Universe, (ndr1_0_ -> ((ndr1_1_ X180 /\ (~(c4_2_ X180 a1359_) /\ (c1_2_ X180 a1359_ /\ c7_2_ X180 a1359_))) \/ ((ndr1_1_ X180 /\ (c6_2_ X180 a1360_ /\ (c9_2_ X180 a1360_ /\ ~(c10_2_ X180 a1360_)))) \/ c8_1_ X180)))) \/ ((ndr1_0_ /\ ((forall X181 : Universe, (ndr1_1_ a1361_ -> (~(c5_2_ a1361_ X181) \/ (c9_2_ a1361_ X181 \/ ~(c7_2_ a1361_ X181))))) /\ (c8_1_ a1361_ /\ ~(c2_1_ a1361_)))) \/ ~(c10_0_))) /\ (((forall X182 : Universe, (ndr1_0_ -> (~(c8_1_ X182) \/ ((ndr1_1_ X182 /\ (c4_2_ X182 a1362_ /\ (~(c3_2_ X182 a1362_) /\ c10_2_ X182 a1362_))) \/ (forall X183 : Universe, (ndr1_1_ X182 -> (c9_2_ X182 X183 \/ (c5_2_ X182 X183 \/ ~(c4_2_ X182 X183))))))))) \/ (c10_0_ \/ ~(c8_0_))) /\ ((c2_0_ \/ (c10_0_ \/ ~(c6_0_))) /\ ((~(c7_0_) \/ (forall X184 : Universe, (ndr1_0_ -> (~(c8_1_ X184) \/ (c4_1_ X184 \/ (forall X185 : Universe, (ndr1_1_ X184 -> (~(c3_2_ X184 X185) \/ (c6_2_ X184 X185 \/ c5_2_ X184 X185))))))))) /\ (~(c7_0_) /\ ((~(c6_0_) \/ c1_0_) /\ ((c1_0_ \/ c2_0_) /\ ((ndr1_0_ /\ (ndr1_1_ a1363_ /\ (~(c7_2_ a1363_ a1364_) /\ (~(c1_2_ a1363_ a1364_) /\ (c2_2_ a1363_ a1364_ /\ (~(c6_1_ a1363_) /\ (forall X186 : Universe, (ndr1_1_ a1363_ -> (~(c10_2_ a1363_ X186) \/ (c1_2_ a1363_ X186 \/ c3_2_ a1363_ X186)))))))))) \/ c10_0_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
