(*
% File     : SYN426+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=150, K=3, D=2, P=0, Index=050
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-150-3-2-050.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.75 v3.1.0, 1.00 v2.6.0, 0.75 v2.5.0, 0.67 v2.4.0, 0.67 v2.2.1, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1561 (   0 equality)
%            Maximal formula depth :  134 ( 134 average)
%            Number of connectives : 2135 ( 575 ~  ; 618  |; 726  &)
%                                         (   0 <=>; 216 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :  245 ( 224 propositional; 0-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  216 (   0 singleton; 216 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c9_2_ : Universe -> Universe -> Prop.
Variable c9_1_ : Universe -> Prop.
Variable c9_0_ : Prop.
Variable c8_2_ : Universe -> Universe -> Prop.
Variable c8_1_ : Universe -> Prop.
Variable c8_0_ : Prop.
Variable c7_2_ : Universe -> Universe -> Prop.
Variable c7_1_ : Universe -> Prop.
Variable c7_0_ : Prop.
Variable c6_2_ : Universe -> Universe -> Prop.
Variable c6_1_ : Universe -> Prop.
Variable c6_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.
Variable c10_2_ : Universe -> Universe -> Prop.
Variable c10_1_ : Universe -> Prop.
Variable c10_0_ : Prop.

Variable a430_ : Universe.
Variable a429_ : Universe.
Variable a428_ : Universe.
Variable a427_ : Universe.
Variable a426_ : Universe.
Variable a425_ : Universe.
Variable a424_ : Universe.
Variable a423_ : Universe.
Variable a422_ : Universe.
Variable a421_ : Universe.
Variable a420_ : Universe.
Variable a419_ : Universe.
Variable a418_ : Universe.
Variable a417_ : Universe.
Variable a416_ : Universe.
Variable a415_ : Universe.
Variable a414_ : Universe.
Variable a413_ : Universe.
Variable a412_ : Universe.
Variable a411_ : Universe.
Variable a410_ : Universe.
Variable a409_ : Universe.
Variable a408_ : Universe.
Variable a407_ : Universe.
Variable a406_ : Universe.
Variable a405_ : Universe.
Variable a404_ : Universe.
Variable a403_ : Universe.
Variable a402_ : Universe.
Variable a401_ : Universe.
Variable a400_ : Universe.
Variable a399_ : Universe.
Variable a398_ : Universe.
Variable a397_ : Universe.
Variable a396_ : Universe.
Variable a395_ : Universe.
Variable a394_ : Universe.
Variable a393_ : Universe.
Variable a392_ : Universe.
Variable a391_ : Universe.
Variable a390_ : Universe.
Variable a389_ : Universe.
Variable a388_ : Universe.
Variable a387_ : Universe.
Variable a386_ : Universe.
Variable a385_ : Universe.
Variable a384_ : Universe.
Variable a383_ : Universe.
Variable a382_ : Universe.
Variable a381_ : Universe.
Variable a380_ : Universe.
Variable a379_ : Universe.
Variable a378_ : Universe.
Variable a377_ : Universe.
Variable a376_ : Universe.
Variable a375_ : Universe.
Variable a374_ : Universe.
Variable a373_ : Universe.
Variable a372_ : Universe.
Variable a371_ : Universe.
Variable a370_ : Universe.
Variable a369_ : Universe.
Variable a368_ : Universe.
Variable a367_ : Universe.
Variable a366_ : Universe.
Variable a365_ : Universe.
Variable a364_ : Universe.
Variable a363_ : Universe.
Variable a362_ : Universe.
Variable a361_ : Universe.
Variable a360_ : Universe.
Variable a359_ : Universe.
Variable a358_ : Universe.
Variable a357_ : Universe.
Variable a356_ : Universe.
Variable a355_ : Universe.
Variable a354_ : Universe.
Variable a353_ : Universe.
Variable a352_ : Universe.
Variable a351_ : Universe.
Variable a350_ : Universe.
Variable a349_ : Universe.
Variable a348_ : Universe.
Variable a347_ : Universe.
Variable a346_ : Universe.
Variable a345_ : Universe.
Variable a344_ : Universe.
Variable a343_ : Universe.
Variable a342_ : Universe.
Variable a341_ : Universe.
Variable a340_ : Universe.
Variable a339_ : Universe.
Variable a338_ : Universe.
Variable a337_ : Universe.
Variable a336_ : Universe.
Variable a335_ : Universe.
Variable a334_ : Universe.
Variable a333_ : Universe.
Variable a332_ : Universe.
Variable a331_ : Universe.
Variable a330_ : Universe.
Variable a329_ : Universe.
Variable a328_ : Universe.
Variable a327_ : Universe.
Variable a326_ : Universe.
Variable a325_ : Universe.
Variable a324_ : Universe.
Variable a323_ : Universe.
Variable a322_ : Universe.
Variable a321_ : Universe.
Variable a320_ : Universe.
Variable a319_ : Universe.
Variable a318_ : Universe.
Variable a317_ : Universe.
Variable a316_ : Universe.
Variable a315_ : Universe.
Variable a314_ : Universe.
Variable a313_ : Universe.
Variable a312_ : Universe.
Variable a311_ : Universe.
Variable a310_ : Universe.
Variable a309_ : Universe.
Variable a308_ : Universe.
Variable a307_ : Universe.
Variable a306_ : Universe.
Variable a305_ : Universe.
Variable a304_ : Universe.
Variable a303_ : Universe.
Variable a302_ : Universe.
Variable a301_ : Universe.
Variable a300_ : Universe.
Variable a299_ : Universe.
Variable a298_ : Universe.
Variable a297_ : Universe.
Variable a296_ : Universe.
Variable a295_ : Universe.
Variable a294_ : Universe.
Variable a293_ : Universe.
Variable a292_ : Universe.
Variable a291_ : Universe.
Variable a290_ : Universe.
Variable a289_ : Universe.
Variable a288_ : Universe.
Variable a287_ : Universe.
Variable a286_ : Universe.
Variable a285_ : Universe.
Variable a284_ : Universe.
Variable a283_ : Universe.
Variable a282_ : Universe.
Variable a281_ : Universe.
Variable a280_ : Universe.
Variable a279_ : Universe.
Variable a278_ : Universe.
Variable a277_ : Universe.
Variable a276_ : Universe.
Variable a275_ : Universe.
Variable a274_ : Universe.
Variable a273_ : Universe.
Variable a272_ : Universe.
Variable a271_ : Universe.
Variable a270_ : Universe.
Variable a269_ : Universe.
Variable a268_ : Universe.
Variable a267_ : Universe.
Variable a266_ : Universe.
Variable a265_ : Universe.
Variable a264_ : Universe.
Variable a263_ : Universe.
Variable a262_ : Universe.
Variable a261_ : Universe.
Variable a260_ : Universe.
Variable a259_ : Universe.
Variable a258_ : Universe.
Variable a257_ : Universe.
Variable a256_ : Universe.
Variable a255_ : Universe.
Variable a254_ : Universe.
Variable a253_ : Universe.
Variable a252_ : Universe.
Variable a251_ : Universe.
Variable a250_ : Universe.
Variable a249_ : Universe.
Variable a248_ : Universe.
Variable a247_ : Universe.
Variable a246_ : Universe.
Variable a245_ : Universe.
Variable a244_ : Universe.
Variable a243_ : Universe.
Variable a242_ : Universe.
Variable a241_ : Universe.
Variable a240_ : Universe.
Variable a239_ : Universe.
Variable a238_ : Universe.
Variable a237_ : Universe.
Variable a236_ : Universe.
Variable a235_ : Universe.
Variable a234_ : Universe.
Variable a233_ : Universe.
Variable a232_ : Universe.
Variable a231_ : Universe.
Variable a230_ : Universe.
Variable a229_ : Universe.
Variable a228_ : Universe.
Variable a227_ : Universe.
Variable a226_ : Universe.
Variable a225_ : Universe.
Variable a224_ : Universe.
Variable a223_ : Universe.
Variable a222_ : Universe.
Variable a221_ : Universe.
Variable a220_ : Universe.
Variable a219_ : Universe.
Variable a218_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~((~(c5_0_) /\ ((c1_0_ \/ (c3_0_ \/ (ndr1_0_ /\ (c3_1_ a218_ /\ ~(c7_1_ a218_))))) /\ ((c1_0_ \/ (c4_0_ \/ c8_0_)) /\ ((c1_0_ \/ (c8_0_ \/ ~(c4_0_))) /\ ((c1_0_ \/ (~(c10_0_) \/ (ndr1_0_ /\ ((forall U : Universe, (ndr1_1_ a219_ -> (c3_2_ a219_ U \/ (~(c10_2_ a219_ U) \/ ~(c5_2_ a219_ U))))) /\ (ndr1_1_ a219_ /\ (c2_2_ a219_ a220_ /\ (~(c1_2_ a219_ a220_) /\ (~(c3_2_ a219_ a220_) /\ (ndr1_1_ a219_ /\ (c6_2_ a219_ a221_ /\ c7_2_ a219_ a221_)))))))))) /\ ((c1_0_ \/ (~(c9_0_) \/ (forall V : Universe, (ndr1_0_ -> (c1_1_ V \/ ((forall W : Universe, (ndr1_1_ V -> (c1_2_ V W \/ (c8_2_ V W \/ ~(c3_2_ V W))))) \/ (forall X : Universe, (ndr1_1_ V -> (c8_2_ V X \/ (~(c3_2_ V X) \/ ~(c5_2_ V X))))))))))) /\ ((c10_0_ \/ (~(c7_0_) \/ (ndr1_0_ /\ (~(c1_1_ a222_) /\ (~(c7_1_ a222_) /\ (forall Y : Universe, (ndr1_1_ a222_ -> (c3_2_ a222_ Y \/ (~(c1_2_ a222_ Y) \/ ~(c2_2_ a222_ Y)))))))))) /\ ((c10_0_ \/ ((forall Z : Universe, (ndr1_0_ -> (c1_1_ Z \/ (c9_1_ Z \/ ~(c7_1_ Z))))) \/ (ndr1_0_ /\ (~(c7_1_ a223_) /\ ((forall X1 : Universe, (ndr1_1_ a223_ -> (~(c1_2_ a223_ X1) \/ (~(c7_2_ a223_ X1) \/ ~(c8_2_ a223_ X1))))) /\ (ndr1_1_ a223_ /\ (c9_2_ a223_ a224_ /\ (~(c1_2_ a223_ a224_) /\ ~(c10_2_ a223_ a224_))))))))) /\ ((c10_0_ \/ ((forall X2 : Universe, (ndr1_0_ -> (~(c5_1_ X2) \/ ((ndr1_1_ X2 /\ (c6_2_ X2 a225_ /\ (c7_2_ X2 a225_ /\ ~(c3_2_ X2 a225_)))) \/ (ndr1_1_ X2 /\ (c6_2_ X2 a226_ /\ (~(c4_2_ X2 a226_) /\ ~(c7_2_ X2 a226_)))))))) \/ (ndr1_0_ /\ (c9_1_ a227_ /\ (~(c1_1_ a227_) /\ ~(c10_1_ a227_)))))) /\ ((c10_0_ \/ ((forall X3 : Universe, (ndr1_0_ -> (~(c8_1_ X3) \/ ((forall X4 : Universe, (ndr1_1_ X3 -> (c6_2_ X3 X4 \/ ~(c8_2_ X3 X4)))) \/ (ndr1_1_ X3 /\ (c3_2_ X3 a228_ /\ (c4_2_ X3 a228_ /\ ~(c7_2_ X3 a228_)))))))) \/ (ndr1_0_ /\ (~(c4_1_ a229_) /\ ((forall X5 : Universe, (ndr1_1_ a229_ -> (c2_2_ a229_ X5 \/ (c4_2_ a229_ X5 \/ c7_2_ a229_ X5)))) /\ (ndr1_1_ a229_ /\ (c1_2_ a229_ a230_ /\ (c7_2_ a229_ a230_ /\ ~(c6_2_ a229_ a230_))))))))) /\ ((c2_0_ \/ (c3_0_ \/ c9_0_)) /\ ((c2_0_ \/ (c3_0_ \/ ~(c10_0_))) /\ ((c2_0_ \/ (c3_0_ \/ ~(c8_0_))) /\ ((c2_0_ \/ (forall X6 : Universe, (ndr1_0_ -> (c9_1_ X6 \/ ~(c3_1_ X6))))) /\ ((c2_0_ \/ (~(c3_0_) \/ (forall X7 : Universe, (ndr1_0_ -> ((ndr1_1_ X7 /\ (c10_2_ X7 a231_ /\ (c8_2_ X7 a231_ /\ ~(c9_2_ X7 a231_)))) \/ ((ndr1_1_ X7 /\ (c4_2_ X7 a232_ /\ (c8_2_ X7 a232_ /\ ~(c2_2_ X7 a232_)))) \/ (ndr1_1_ X7 /\ (c6_2_ X7 a233_ /\ (~(c10_2_ X7 a233_) /\ ~(c8_2_ X7 a233_)))))))))) /\ ((c2_0_ \/ ((forall X8 : Universe, (ndr1_0_ -> (c6_1_ X8 \/ (c7_1_ X8 \/ (forall X9 : Universe, (ndr1_1_ X8 -> (c7_2_ X8 X9 \/ (~(c3_2_ X8 X9) \/ ~(c8_2_ X8 X9))))))))) \/ (ndr1_0_ /\ (c6_1_ a234_ /\ ((forall X10 : Universe, (ndr1_1_ a234_ -> (c1_2_ a234_ X10 \/ (~(c2_2_ a234_ X10) \/ ~(c4_2_ a234_ X10))))) /\ (forall X11 : Universe, (ndr1_1_ a234_ -> (c10_2_ a234_ X11 \/ (c4_2_ a234_ X11 \/ ~(c6_2_ a234_ X11)))))))))) /\ ((c2_0_ \/ ((forall X12 : Universe, (ndr1_0_ -> (~(c5_1_ X12) \/ ((forall X13 : Universe, (ndr1_1_ X12 -> (c3_2_ X12 X13 \/ (c5_2_ X12 X13 \/ ~(c10_2_ X12 X13))))) \/ (forall X14 : Universe, (ndr1_1_ X12 -> (c3_2_ X12 X14 \/ (c7_2_ X12 X14 \/ ~(c9_2_ X12 X14))))))))) \/ (ndr1_0_ /\ (c9_1_ a235_ /\ (~(c5_1_ a235_) /\ (ndr1_1_ a235_ /\ (c4_2_ a235_ a236_ /\ (c7_2_ a235_ a236_ /\ ~(c9_2_ a235_ a236_))))))))) /\ ((c2_0_ \/ ((forall X15 : Universe, (ndr1_0_ -> ((forall X16 : Universe, (ndr1_1_ X15 -> (c2_2_ X15 X16 \/ (c7_2_ X15 X16 \/ ~(c8_2_ X15 X16))))) \/ (forall X17 : Universe, (ndr1_1_ X15 -> (c2_2_ X15 X17 \/ (c8_2_ X15 X17 \/ ~(c5_2_ X15 X17)))))))) \/ (ndr1_0_ /\ (c9_1_ a237_ /\ (~(c4_1_ a237_) /\ (ndr1_1_ a237_ /\ (c10_2_ a237_ a238_ /\ (~(c5_2_ a237_ a238_) /\ ~(c7_2_ a237_ a238_))))))))) /\ ((c2_0_ \/ (ndr1_0_ /\ (c2_1_ a239_ /\ (ndr1_1_ a239_ /\ (c9_2_ a239_ a240_ /\ (~(c4_2_ a239_ a240_) /\ ~(c8_2_ a239_ a240_))))))) /\ ((c2_0_ \/ ((ndr1_0_ /\ (c7_1_ a241_ /\ (~(c10_1_ a241_) /\ ~(c9_1_ a241_)))) \/ (ndr1_0_ /\ ((forall X18 : Universe, (ndr1_1_ a242_ -> (c10_2_ a242_ X18 \/ (c9_2_ a242_ X18 \/ ~(c2_2_ a242_ X18))))) /\ ((forall X19 : Universe, (ndr1_1_ a242_ -> (c10_2_ a242_ X19 \/ (~(c1_2_ a242_ X19) \/ ~(c2_2_ a242_ X19))))) /\ (forall X20 : Universe, (ndr1_1_ a242_ -> (c8_2_ a242_ X20 \/ (~(c1_2_ a242_ X20) \/ ~(c5_2_ a242_ X20)))))))))) /\ ((c3_0_ \/ (c4_0_ \/ (forall X21 : Universe, (ndr1_0_ -> (c2_1_ X21 \/ (ndr1_1_ X21 /\ (c2_2_ X21 a243_ /\ (~(c3_2_ X21 a243_) /\ ~(c8_2_ X21 a243_))))))))) /\ ((c3_0_ \/ (c7_0_ \/ (ndr1_0_ /\ (c7_1_ a244_ /\ ((forall X22 : Universe, (ndr1_1_ a244_ -> (c2_2_ a244_ X22 \/ (~(c1_2_ a244_ X22) \/ ~(c10_2_ a244_ X22))))) /\ (forall X23 : Universe, (ndr1_1_ a244_ -> (c6_2_ a244_ X23 \/ (~(c7_2_ a244_ X23) \/ ~(c8_2_ a244_ X23)))))))))) /\ ((c3_0_ \/ (c8_0_ \/ c9_0_)) /\ ((c3_0_ \/ (c8_0_ \/ (ndr1_0_ /\ (c9_1_ a245_ /\ (ndr1_1_ a245_ /\ (c5_2_ a245_ a246_ /\ (c7_2_ a245_ a246_ /\ ~(c9_2_ a245_ a246_)))))))) /\ ((c3_0_ \/ (~(c4_0_) \/ ~(c7_0_))) /\ ((c3_0_ \/ (~(c9_0_) \/ (forall X24 : Universe, (ndr1_0_ -> (~(c3_1_ X24) \/ (~(c4_1_ X24) \/ (forall X25 : Universe, (ndr1_1_ X24 -> (c4_2_ X24 X25 \/ (~(c10_2_ X24 X25) \/ ~(c9_2_ X24 X25))))))))))) /\ ((c4_0_ \/ (ndr1_0_ /\ ((forall X26 : Universe, (ndr1_1_ a247_ -> (c9_2_ a247_ X26 \/ (~(c3_2_ a247_ X26) \/ ~(c6_2_ a247_ X26))))) /\ (ndr1_1_ a247_ /\ (c10_2_ a247_ a248_ /\ (c9_2_ a247_ a248_ /\ (~(c1_2_ a247_ a248_) /\ (ndr1_1_ a247_ /\ (c2_2_ a247_ a249_ /\ (c9_2_ a247_ a249_ /\ ~(c10_2_ a247_ a249_))))))))))) /\ ((c4_0_ \/ (c6_0_ \/ c8_0_)) /\ ((c4_0_ \/ (c9_0_ \/ (ndr1_0_ /\ ~(c7_1_ a250_)))) /\ ((c4_0_ \/ (~(c1_0_) \/ (forall X27 : Universe, (ndr1_0_ -> (c5_1_ X27 \/ (~(c6_1_ X27) \/ (ndr1_1_ X27 /\ (c10_2_ X27 a251_ /\ (c8_2_ X27 a251_ /\ ~(c1_2_ X27 a251_)))))))))) /\ ((c4_0_ \/ (~(c10_0_) \/ (ndr1_0_ /\ (c1_1_ a252_ /\ (c6_1_ a252_ /\ (ndr1_1_ a252_ /\ (c8_2_ a252_ a253_ /\ (~(c1_2_ a252_ a253_) /\ ~(c2_2_ a252_ a253_))))))))) /\ ((c4_0_ \/ (~(c7_0_) \/ (forall X28 : Universe, (ndr1_0_ -> ((forall X29 : Universe, (ndr1_1_ X28 -> (~(c2_2_ X28 X29) \/ ~(c3_2_ X28 X29)))) \/ ((ndr1_1_ X28 /\ (c1_2_ X28 a254_ /\ (c2_2_ X28 a254_ /\ ~(c3_2_ X28 a254_)))) \/ (ndr1_1_ X28 /\ (~(c5_2_ X28 a255_) /\ ~(c8_2_ X28 a255_))))))))) /\ ((c4_0_ \/ (~(c9_0_) \/ (ndr1_0_ /\ (c10_1_ a256_ /\ (~(c9_1_ a256_) /\ (forall X30 : Universe, (ndr1_1_ a256_ -> (c3_2_ a256_ X30 \/ ~(c5_2_ a256_ X30))))))))) /\ ((c4_0_ \/ ((forall X31 : Universe, (ndr1_0_ -> (c10_1_ X31 \/ ((forall X32 : Universe, (ndr1_1_ X31 -> (c2_2_ X31 X32 \/ (c3_2_ X31 X32 \/ c4_2_ X31 X32)))) \/ (forall X33 : Universe, (ndr1_1_ X31 -> (c2_2_ X31 X33 \/ (c4_2_ X31 X33 \/ c8_2_ X31 X33)))))))) \/ (ndr1_0_ /\ (c3_1_ a257_ /\ (c4_1_ a257_ /\ c5_1_ a257_))))) /\ ((c4_0_ \/ (forall X34 : Universe, (ndr1_0_ -> (c5_1_ X34 \/ (c8_1_ X34 \/ (forall X35 : Universe, (ndr1_1_ X34 -> (c2_2_ X34 X35 \/ (~(c3_2_ X34 X35) \/ ~(c8_2_ X34 X35)))))))))) /\ ((c4_0_ \/ (forall X36 : Universe, (ndr1_0_ -> ((forall X37 : Universe, (ndr1_1_ X36 -> (c8_2_ X36 X37 \/ c9_2_ X36 X37))) \/ ((forall X38 : Universe, (ndr1_1_ X36 -> (~(c1_2_ X36 X38) \/ (~(c7_2_ X36 X38) \/ ~(c9_2_ X36 X38))))) \/ (ndr1_1_ X36 /\ (c4_2_ X36 a258_ /\ (~(c2_2_ X36 a258_) /\ ~(c3_2_ X36 a258_))))))))) /\ ((c6_0_ \/ (ndr1_0_ /\ (~(c4_1_ a259_) /\ ~(c5_1_ a259_)))) /\ ((c7_0_ \/ (forall X39 : Universe, (ndr1_0_ -> (c5_1_ X39 \/ ((ndr1_1_ X39 /\ (c10_2_ X39 a260_ /\ (c4_2_ X39 a260_ /\ ~(c3_2_ X39 a260_)))) \/ (ndr1_1_ X39 /\ (c7_2_ X39 a261_ /\ (~(c1_2_ X39 a261_) /\ ~(c4_2_ X39 a261_))))))))) /\ ((c7_0_ \/ (ndr1_0_ /\ (c1_1_ a262_ /\ (~(c6_1_ a262_) /\ (forall X40 : Universe, (ndr1_1_ a262_ -> (c5_2_ a262_ X40 \/ ~(c4_2_ a262_ X40)))))))) /\ ((~(c1_0_) \/ ~(c6_0_)) /\ ((~(c10_0_) \/ (forall X41 : Universe, (ndr1_0_ -> (c7_1_ X41 \/ ((forall X42 : Universe, (ndr1_1_ X41 -> (c10_2_ X41 X42 \/ (~(c5_2_ X41 X42) \/ ~(c7_2_ X41 X42))))) \/ (ndr1_1_ X41 /\ (c3_2_ X41 a263_ /\ (c8_2_ X41 a263_ /\ ~(c4_2_ X41 a263_))))))))) /\ ((~(c4_0_) \/ (forall X43 : Universe, (ndr1_0_ -> (c3_1_ X43 \/ ((forall X44 : Universe, (ndr1_1_ X43 -> (c5_2_ X43 X44 \/ ~(c9_2_ X43 X44)))) \/ (forall X45 : Universe, (ndr1_1_ X43 -> (~(c10_2_ X43 X45) \/ (~(c3_2_ X43 X45) \/ ~(c5_2_ X43 X45)))))))))) /\ ((~(c6_0_) \/ (ndr1_0_ /\ (c6_1_ a264_ /\ (c8_1_ a264_ /\ ~(c1_1_ a264_))))) /\ ((~(c9_0_) \/ (ndr1_0_ /\ (c8_1_ a265_ /\ (~(c10_1_ a265_) /\ (ndr1_1_ a265_ /\ (c4_2_ a265_ a266_ /\ (c7_2_ a265_ a266_ /\ ~(c5_2_ a265_ a266_)))))))) /\ (((forall X46 : Universe, (ndr1_0_ -> (c4_1_ X46 \/ (forall X47 : Universe, (ndr1_1_ X46 -> (c2_2_ X46 X47 \/ (c3_2_ X46 X47 \/ c6_2_ X46 X47))))))) \/ (forall X48 : Universe, (ndr1_0_ -> (~(c1_1_ X48) \/ (ndr1_1_ X48 /\ (c8_2_ X48 a267_ /\ (~(c3_2_ X48 a267_) /\ ~(c9_2_ X48 a267_)))))))) /\ ((forall X49 : Universe, (ndr1_0_ -> (~(c2_1_ X49) \/ (~(c3_1_ X49) \/ (forall X50 : Universe, (ndr1_1_ X49 -> (c10_2_ X49 X50 \/ (c9_2_ X49 X50 \/ ~(c6_2_ X49 X50))))))))) /\ (((forall X51 : Universe, (ndr1_0_ -> (ndr1_1_ X51 /\ (c4_2_ X51 a268_ /\ (~(c2_2_ X51 a268_) /\ ~(c3_2_ X51 a268_)))))) \/ (ndr1_0_ /\ (c5_1_ a269_ /\ (forall X52 : Universe, (ndr1_1_ a269_ -> (c5_2_ a269_ X52 \/ (c6_2_ a269_ X52 \/ ~(c9_2_ a269_ X52)))))))) /\ ((c6_0_ \/ (~(c9_0_) \/ (forall X53 : Universe, (ndr1_0_ -> ((forall X54 : Universe, (ndr1_1_ X53 -> (c1_2_ X53 X54 \/ (~(c10_2_ X53 X54) \/ ~(c2_2_ X53 X54))))) \/ (forall X55 : Universe, (ndr1_1_ X53 -> (~(c5_2_ X53 X55) \/ (~(c6_2_ X53 X55) \/ ~(c8_2_ X53 X55)))))))))) /\ ((c6_0_ \/ ((forall X56 : Universe, (ndr1_0_ -> (c10_1_ X56 \/ ((forall X57 : Universe, (ndr1_1_ X56 -> (c8_2_ X56 X57 \/ (~(c6_2_ X56 X57) \/ ~(c7_2_ X56 X57))))) \/ (ndr1_1_ X56 /\ (c1_2_ X56 a270_ /\ (c3_2_ X56 a270_ /\ ~(c10_2_ X56 a270_)))))))) \/ (forall X58 : Universe, (ndr1_0_ -> (c6_1_ X58 \/ ((ndr1_1_ X58 /\ (c3_2_ X58 a271_ /\ (c8_2_ X58 a271_ /\ ~(c10_2_ X58 a271_)))) \/ (ndr1_1_ X58 /\ (c6_2_ X58 a272_ /\ (c8_2_ X58 a272_ /\ ~(c2_2_ X58 a272_)))))))))) /\ ((c6_0_ \/ (forall X59 : Universe, (ndr1_0_ -> (c3_1_ X59 \/ (~(c2_1_ X59) \/ (ndr1_1_ X59 /\ (c2_2_ X59 a273_ /\ (c5_2_ X59 a273_ /\ c6_2_ X59 a273_)))))))) /\ ((c6_0_ \/ ((forall X60 : Universe, (ndr1_0_ -> (c3_1_ X60 \/ (~(c4_1_ X60) \/ (ndr1_1_ X60 /\ (c2_2_ X60 a274_ /\ (c3_2_ X60 a274_ /\ ~(c4_2_ X60 a274_)))))))) \/ (forall X61 : Universe, (ndr1_0_ -> (c6_1_ X61 \/ ((ndr1_1_ X61 /\ (c2_2_ X61 a275_ /\ c7_2_ X61 a275_)) \/ (ndr1_1_ X61 /\ (c5_2_ X61 a276_ /\ (~(c10_2_ X61 a276_) /\ ~(c4_2_ X61 a276_)))))))))) /\ ((c6_0_ \/ ((forall X62 : Universe, (ndr1_0_ -> (~(c2_1_ X62) \/ ((ndr1_1_ X62 /\ (c1_2_ X62 a277_ /\ (c9_2_ X62 a277_ /\ ~(c10_2_ X62 a277_)))) \/ (ndr1_1_ X62 /\ (c7_2_ X62 a278_ /\ (c8_2_ X62 a278_ /\ ~(c9_2_ X62 a278_)))))))) \/ (forall X63 : Universe, (ndr1_0_ -> ((forall X64 : Universe, (ndr1_1_ X63 -> (c3_2_ X63 X64 \/ ~(c7_2_ X63 X64)))) \/ ((ndr1_1_ X63 /\ (~(c2_2_ X63 a279_) /\ (~(c8_2_ X63 a279_) /\ ~(c9_2_ X63 a279_)))) \/ (ndr1_1_ X63 /\ (~(c4_2_ X63 a280_) /\ ~(c5_2_ X63 a280_))))))))) /\ ((c6_0_ \/ (ndr1_0_ /\ (~(c5_1_ a281_) /\ ((forall X65 : Universe, (ndr1_1_ a281_ -> (c7_2_ a281_ X65 \/ (~(c2_2_ a281_ X65) \/ ~(c3_2_ a281_ X65))))) /\ (ndr1_1_ a281_ /\ (c8_2_ a281_ a282_ /\ ~(c4_2_ a281_ a282_))))))) /\ ((c7_0_ \/ (c8_0_ \/ ~(c9_0_))) /\ ((c7_0_ \/ (c8_0_ \/ (ndr1_0_ /\ (~(c9_1_ a283_) /\ (ndr1_1_ a283_ /\ (c1_2_ a283_ a284_ /\ (c7_2_ a283_ a284_ /\ (~(c6_2_ a283_ a284_) /\ (ndr1_1_ a283_ /\ (c10_2_ a283_ a285_ /\ (c2_2_ a283_ a285_ /\ c8_2_ a283_ a285_))))))))))) /\ ((c7_0_ \/ (c9_0_ \/ (forall X66 : Universe, (ndr1_0_ -> ((forall X67 : Universe, (ndr1_1_ X66 -> (c10_2_ X66 X67 \/ (c8_2_ X66 X67 \/ ~(c3_2_ X66 X67))))) \/ ((forall X68 : Universe, (ndr1_1_ X66 -> (c6_2_ X66 X68 \/ (c9_2_ X66 X68 \/ ~(c1_2_ X66 X68))))) \/ (ndr1_1_ X66 /\ (c2_2_ X66 a286_ /\ (~(c1_2_ X66 a286_) /\ ~(c4_2_ X66 a286_)))))))))) /\ ((c7_0_ \/ (~(c10_0_) \/ (ndr1_0_ /\ (c10_1_ a287_ /\ ((forall X69 : Universe, (ndr1_1_ a287_ -> (c6_2_ a287_ X69 \/ (c9_2_ a287_ X69 \/ ~(c7_2_ a287_ X69))))) /\ (ndr1_1_ a287_ /\ (c3_2_ a287_ a288_ /\ (c8_2_ a287_ a288_ /\ ~(c9_2_ a287_ a288_))))))))) /\ ((c7_0_ \/ (~(c10_0_) \/ (ndr1_0_ /\ (~(c1_1_ a289_) /\ (~(c9_1_ a289_) /\ (forall X70 : Universe, (ndr1_1_ a289_ -> (c2_2_ a289_ X70 \/ (c6_2_ a289_ X70 \/ ~(c10_2_ a289_ X70)))))))))) /\ ((c7_0_ \/ (~(c4_0_) \/ (forall X71 : Universe, (ndr1_0_ -> (c5_1_ X71 \/ ((ndr1_1_ X71 /\ (c1_2_ X71 a290_ /\ (c5_2_ X71 a290_ /\ c7_2_ X71 a290_))) \/ (ndr1_1_ X71 /\ (~(c5_2_ X71 a291_) /\ (~(c6_2_ X71 a291_) /\ ~(c9_2_ X71 a291_)))))))))) /\ ((c7_0_ \/ ((forall X72 : Universe, (ndr1_0_ -> (~(c5_1_ X72) \/ (~(c6_1_ X72) \/ (ndr1_1_ X72 /\ (c7_2_ X72 a292_ /\ (~(c1_2_ X72 a292_) /\ ~(c9_2_ X72 a292_)))))))) \/ (ndr1_0_ /\ (c7_1_ a293_ /\ (c9_1_ a293_ /\ ~(c1_1_ a293_)))))) /\ ((c8_0_ \/ (~(c10_0_) \/ (forall X73 : Universe, (ndr1_0_ -> (~(c7_1_ X73) \/ (~(c8_1_ X73) \/ (ndr1_1_ X73 /\ (c9_2_ X73 a294_ /\ (~(c2_2_ X73 a294_) /\ ~(c8_2_ X73 a294_)))))))))) /\ ((c8_0_ \/ (~(c4_0_) \/ (forall X74 : Universe, (ndr1_0_ -> (c9_1_ X74 \/ ((forall X75 : Universe, (ndr1_1_ X74 -> (c10_2_ X74 X75 \/ (~(c1_2_ X74 X75) \/ ~(c9_2_ X74 X75))))) \/ (forall X76 : Universe, (ndr1_1_ X74 -> (c5_2_ X74 X76 \/ (c6_2_ X74 X76 \/ ~(c4_2_ X74 X76))))))))))) /\ ((c8_0_ \/ (~(c9_0_) \/ (ndr1_0_ /\ (c1_1_ a295_ /\ (ndr1_1_ a295_ /\ (c10_2_ a295_ a296_ /\ (c3_2_ a295_ a296_ /\ ~(c9_2_ a295_ a296_)))))))) /\ ((c8_0_ \/ ((forall X77 : Universe, (ndr1_0_ -> (c4_1_ X77 \/ (~(c1_1_ X77) \/ (ndr1_1_ X77 /\ (~(c2_2_ X77 a297_) /\ (~(c6_2_ X77 a297_) /\ ~(c7_2_ X77 a297_)))))))) \/ (forall X78 : Universe, (ndr1_0_ -> ((forall X79 : Universe, (ndr1_1_ X78 -> (c3_2_ X78 X79 \/ (~(c1_2_ X78 X79) \/ ~(c7_2_ X78 X79))))) \/ ((ndr1_1_ X78 /\ (~(c1_2_ X78 a298_) /\ (~(c5_2_ X78 a298_) /\ ~(c9_2_ X78 a298_)))) \/ (ndr1_1_ X78 /\ (~(c3_2_ X78 a299_) /\ (~(c4_2_ X78 a299_) /\ ~(c8_2_ X78 a299_)))))))))) /\ ((c8_0_ \/ ((forall X80 : Universe, (ndr1_0_ -> (c4_1_ X80 \/ ((ndr1_1_ X80 /\ (c2_2_ X80 a300_ /\ (c4_2_ X80 a300_ /\ ~(c3_2_ X80 a300_)))) \/ (ndr1_1_ X80 /\ (~(c1_2_ X80 a301_) /\ (~(c4_2_ X80 a301_) /\ ~(c9_2_ X80 a301_)))))))) \/ (forall X81 : Universe, (ndr1_0_ -> (~(c8_1_ X81) \/ ((ndr1_1_ X81 /\ (c5_2_ X81 a302_ /\ (c9_2_ X81 a302_ /\ ~(c8_2_ X81 a302_)))) \/ (ndr1_1_ X81 /\ (c5_2_ X81 a303_ /\ ~(c8_2_ X81 a303_))))))))) /\ ((c8_0_ \/ ((forall X82 : Universe, (ndr1_0_ -> (~(c10_1_ X82) \/ ~(c3_1_ X82)))) \/ (ndr1_0_ /\ (~(c4_1_ a304_) /\ (~(c5_1_ a304_) /\ (forall X83 : Universe, (ndr1_1_ a304_ -> (c4_2_ a304_ X83 \/ (~(c5_2_ a304_ X83) \/ ~(c8_2_ a304_ X83)))))))))) /\ ((c8_0_ \/ ((forall X84 : Universe, (ndr1_0_ -> ((forall X85 : Universe, (ndr1_1_ X84 -> (c1_2_ X84 X85 \/ (~(c10_2_ X84 X85) \/ ~(c7_2_ X84 X85))))) \/ ((ndr1_1_ X84 /\ (c5_2_ X84 a305_ /\ (c6_2_ X84 a305_ /\ c8_2_ X84 a305_))) \/ (ndr1_1_ X84 /\ (c5_2_ X84 a306_ /\ (~(c4_2_ X84 a306_) /\ ~(c9_2_ X84 a306_)))))))) \/ (forall X86 : Universe, (ndr1_0_ -> ((ndr1_1_ X86 /\ (c1_2_ X86 a307_ /\ (c6_2_ X86 a307_ /\ ~(c9_2_ X86 a307_)))) \/ (ndr1_1_ X86 /\ (c7_2_ X86 a308_ /\ (~(c4_2_ X86 a308_) /\ ~(c5_2_ X86 a308_))))))))) /\ ((c9_0_ \/ (~(c1_0_) \/ (forall X87 : Universe, (ndr1_0_ -> (c1_1_ X87 \/ (c6_1_ X87 \/ ~(c8_1_ X87))))))) /\ ((c9_0_ \/ (~(c4_0_) \/ (ndr1_0_ /\ (~(c6_1_ a309_) /\ ((forall X88 : Universe, (ndr1_1_ a309_ -> (c10_2_ a309_ X88 \/ (c9_2_ a309_ X88 \/ ~(c6_2_ a309_ X88))))) /\ (forall X89 : Universe, (ndr1_1_ a309_ -> (c5_2_ a309_ X89 \/ (~(c10_2_ a309_ X89) \/ ~(c4_2_ a309_ X89)))))))))) /\ ((c9_0_ \/ ~(c6_0_)) /\ ((c9_0_ \/ (~(c6_0_) \/ (ndr1_0_ /\ (c6_1_ a310_ /\ (~(c1_1_ a310_) /\ (forall X90 : Universe, (ndr1_1_ a310_ -> (c2_2_ a310_ X90 \/ (~(c6_2_ a310_ X90) \/ ~(c9_2_ a310_ X90)))))))))) /\ ((c9_0_ \/ (~(c7_0_) \/ (forall X91 : Universe, (ndr1_0_ -> (c9_1_ X91 \/ ((ndr1_1_ X91 /\ (c4_2_ X91 a311_ /\ (~(c2_2_ X91 a311_) /\ ~(c9_2_ X91 a311_)))) \/ (ndr1_1_ X91 /\ (c8_2_ X91 a312_ /\ (c9_2_ X91 a312_ /\ ~(c6_2_ X91 a312_)))))))))) /\ ((c9_0_ \/ ((forall X92 : Universe, (ndr1_0_ -> (~(c5_1_ X92) \/ (~(c6_1_ X92) \/ (ndr1_1_ X92 /\ (c3_2_ X92 a313_ /\ ~(c9_2_ X92 a313_))))))) \/ (ndr1_0_ /\ (~(c4_1_ a314_) /\ ((forall X93 : Universe, (ndr1_1_ a314_ -> (c7_2_ a314_ X93 \/ (~(c4_2_ a314_ X93) \/ ~(c8_2_ a314_ X93))))) /\ (ndr1_1_ a314_ /\ (c4_2_ a314_ a315_ /\ (c7_2_ a314_ a315_ /\ ~(c5_2_ a314_ a315_))))))))) /\ ((c9_0_ \/ ((ndr1_0_ /\ (c8_1_ a316_ /\ ((forall X94 : Universe, (ndr1_1_ a316_ -> (~(c6_2_ a316_ X94) \/ ~(c9_2_ a316_ X94)))) /\ (ndr1_1_ a316_ /\ (c2_2_ a316_ a317_ /\ (c7_2_ a316_ a317_ /\ ~(c8_2_ a316_ a317_))))))) \/ (ndr1_0_ /\ (~(c10_1_ a318_) /\ (~(c8_1_ a318_) /\ (forall X95 : Universe, (ndr1_1_ a318_ -> (~(c10_2_ a318_ X95) \/ (~(c4_2_ a318_ X95) \/ ~(c7_2_ a318_ X95)))))))))) /\ ((~(c1_0_) \/ (~(c10_0_) \/ (ndr1_0_ /\ (~(c8_1_ a319_) /\ (ndr1_1_ a319_ /\ (c4_2_ a319_ a320_ /\ (c5_2_ a319_ a320_ /\ (c6_2_ a319_ a320_ /\ (ndr1_1_ a319_ /\ ~(c2_2_ a319_ a321_)))))))))) /\ ((~(c1_0_) \/ (~(c4_0_) \/ (forall X96 : Universe, (ndr1_0_ -> (~(c2_1_ X96) \/ (ndr1_1_ X96 /\ (c4_2_ X96 a322_ /\ (~(c10_2_ X96 a322_) /\ ~(c9_2_ X96 a322_))))))))) /\ ((~(c1_0_) \/ ((forall X97 : Universe, (ndr1_0_ -> (c1_1_ X97 \/ (c4_1_ X97 \/ (forall X98 : Universe, (ndr1_1_ X97 -> (c1_2_ X97 X98 \/ (c2_2_ X97 X98 \/ ~(c6_2_ X97 X98))))))))) \/ (ndr1_0_ /\ (c7_1_ a323_ /\ ((forall X99 : Universe, (ndr1_1_ a323_ -> (c6_2_ a323_ X99 \/ (~(c10_2_ a323_ X99) \/ ~(c9_2_ a323_ X99))))) /\ (ndr1_1_ a323_ /\ (c1_2_ a323_ a324_ /\ (c2_2_ a323_ a324_ /\ ~(c3_2_ a323_ a324_))))))))) /\ ((~(c1_0_) \/ ((forall X100 : Universe, (ndr1_0_ -> (~(c2_1_ X100) \/ ((forall X101 : Universe, (ndr1_1_ X100 -> (c10_2_ X100 X101 \/ (~(c1_2_ X100 X101) \/ ~(c5_2_ X100 X101))))) \/ (ndr1_1_ X100 /\ (c3_2_ X100 a325_ /\ c4_2_ X100 a325_)))))) \/ (ndr1_0_ /\ ((forall X102 : Universe, (ndr1_1_ a326_ -> (c4_2_ a326_ X102 \/ (c6_2_ a326_ X102 \/ ~(c7_2_ a326_ X102))))) /\ (forall X103 : Universe, (ndr1_1_ a326_ -> (~(c10_2_ a326_ X103) \/ (~(c5_2_ a326_ X103) \/ ~(c9_2_ a326_ X103))))))))) /\ ((~(c1_0_) \/ (ndr1_0_ /\ (c10_1_ a327_ /\ (c6_1_ a327_ /\ ~(c3_1_ a327_))))) /\ ((~(c1_0_) \/ ((ndr1_0_ /\ (c2_1_ a328_ /\ ((forall X104 : Universe, (ndr1_1_ a328_ -> ~(c8_2_ a328_ X104))) /\ (ndr1_1_ a328_ /\ (c10_2_ a328_ a329_ /\ (c6_2_ a328_ a329_ /\ ~(c8_2_ a328_ a329_))))))) \/ (ndr1_0_ /\ (~(c10_1_ a330_) /\ (~(c8_1_ a330_) /\ ~(c9_1_ a330_)))))) /\ ((~(c10_0_) \/ (~(c3_0_) \/ (forall X105 : Universe, (ndr1_0_ -> (c5_1_ X105 \/ (ndr1_1_ X105 /\ (c6_2_ X105 a331_ /\ (c8_2_ X105 a331_ /\ ~(c7_2_ X105 a331_))))))))) /\ ((~(c10_0_) \/ (~(c6_0_) \/ (forall X106 : Universe, (ndr1_0_ -> (c6_1_ X106 \/ ~(c8_1_ X106)))))) /\ ((~(c10_0_) \/ (~(c8_0_) \/ (ndr1_0_ /\ (~(c1_1_ a332_) /\ (~(c4_1_ a332_) /\ (forall X107 : Universe, (ndr1_1_ a332_ -> (c10_2_ a332_ X107 \/ (c9_2_ a332_ X107 \/ ~(c1_2_ a332_ X107)))))))))) /\ ((~(c10_0_) \/ ((forall X108 : Universe, (ndr1_0_ -> (c5_1_ X108 \/ (~(c7_1_ X108) \/ (forall X109 : Universe, (ndr1_1_ X108 -> (c8_2_ X108 X109 \/ (c9_2_ X108 X109 \/ ~(c2_2_ X108 X109))))))))) \/ (ndr1_0_ /\ (c7_1_ a333_ /\ (~(c10_1_ a333_) /\ (ndr1_1_ a333_ /\ (c10_2_ a333_ a334_ /\ (~(c7_2_ a333_ a334_) /\ ~(c9_2_ a333_ a334_))))))))) /\ ((~(c10_0_) \/ ((ndr1_0_ /\ (c3_1_ a335_ /\ (~(c7_1_ a335_) /\ (ndr1_1_ a335_ /\ (c2_2_ a335_ a336_ /\ (c8_2_ a335_ a336_ /\ ~(c4_2_ a335_ a336_))))))) \/ (ndr1_0_ /\ (~(c5_1_ a337_) /\ (~(c9_1_ a337_) /\ (forall X110 : Universe, (ndr1_1_ a337_ -> (c9_2_ a337_ X110 \/ ~(c10_2_ a337_ X110))))))))) /\ ((~(c2_0_) \/ (~(c8_0_) \/ (forall X111 : Universe, (ndr1_0_ -> (c8_1_ X111 \/ ((forall X112 : Universe, (ndr1_1_ X111 -> (c10_2_ X111 X112 \/ (~(c8_2_ X111 X112) \/ ~(c9_2_ X111 X112))))) \/ (ndr1_1_ X111 /\ (c10_2_ X111 a338_ /\ (c2_2_ X111 a338_ /\ ~(c7_2_ X111 a338_)))))))))) /\ ((~(c2_0_) \/ (~(c9_0_) \/ (forall X113 : Universe, (ndr1_0_ -> (c1_1_ X113 \/ ((forall X114 : Universe, (ndr1_1_ X113 -> (c1_2_ X113 X114 \/ (c7_2_ X113 X114 \/ ~(c2_2_ X113 X114))))) \/ (forall X115 : Universe, (ndr1_1_ X113 -> (~(c1_2_ X113 X115) \/ (~(c10_2_ X113 X115) \/ ~(c8_2_ X113 X115))))))))))) /\ ((~(c2_0_) \/ ((ndr1_0_ /\ (c3_1_ a339_ /\ ~(c6_1_ a339_))) \/ (ndr1_0_ /\ (~(c8_1_ a340_) /\ (ndr1_1_ a340_ /\ (c1_2_ a340_ a341_ /\ (c7_2_ a340_ a341_ /\ c9_2_ a340_ a341_))))))) /\ ((~(c3_0_) \/ (~(c7_0_) \/ (ndr1_0_ /\ (~(c2_1_ a342_) /\ (~(c3_1_ a342_) /\ (forall X116 : Universe, (ndr1_1_ a342_ -> (c6_2_ a342_ X116 \/ (c8_2_ a342_ X116 \/ ~(c3_2_ a342_ X116)))))))))) /\ ((~(c3_0_) \/ ((forall X117 : Universe, (ndr1_0_ -> (c10_1_ X117 \/ (c2_1_ X117 \/ (forall X118 : Universe, (ndr1_1_ X117 -> (c6_2_ X117 X118 \/ (c8_2_ X117 X118 \/ ~(c3_2_ X117 X118))))))))) \/ (forall X119 : Universe, (ndr1_0_ -> ((forall X120 : Universe, (ndr1_1_ X119 -> (c1_2_ X119 X120 \/ (~(c4_2_ X119 X120) \/ ~(c9_2_ X119 X120))))) \/ ((forall X121 : Universe, (ndr1_1_ X119 -> (c6_2_ X119 X121 \/ (~(c2_2_ X119 X121) \/ ~(c3_2_ X119 X121))))) \/ (ndr1_1_ X119 /\ (c9_2_ X119 a343_ /\ (~(c3_2_ X119 a343_) /\ ~(c4_2_ X119 a343_)))))))))) /\ ((~(c3_0_) \/ ((forall X122 : Universe, (ndr1_0_ -> (c4_1_ X122 \/ (ndr1_1_ X122 /\ (c1_2_ X122 a344_ /\ (c6_2_ X122 a344_ /\ ~(c9_2_ X122 a344_))))))) \/ (forall X123 : Universe, (ndr1_0_ -> (c7_1_ X123 \/ (c9_1_ X123 \/ (ndr1_1_ X123 /\ (c3_2_ X123 a345_ /\ (c7_2_ X123 a345_ /\ ~(c9_2_ X123 a345_)))))))))) /\ ((~(c3_0_) \/ ((forall X124 : Universe, (ndr1_0_ -> ((forall X125 : Universe, (ndr1_1_ X124 -> (c10_2_ X124 X125 \/ (c8_2_ X124 X125 \/ ~(c6_2_ X124 X125))))) \/ ((forall X126 : Universe, (ndr1_1_ X124 -> (c10_2_ X124 X126 \/ (~(c3_2_ X124 X126) \/ ~(c8_2_ X124 X126))))) \/ (forall X127 : Universe, (ndr1_1_ X124 -> (c4_2_ X124 X127 \/ (~(c3_2_ X124 X127) \/ ~(c7_2_ X124 X127))))))))) \/ (ndr1_0_ /\ (c5_1_ a346_ /\ (forall X128 : Universe, (ndr1_1_ a346_ -> (~(c3_2_ a346_ X128) \/ (~(c6_2_ a346_ X128) \/ ~(c7_2_ a346_ X128))))))))) /\ ((~(c4_0_) \/ (~(c7_0_) \/ (forall X129 : Universe, (ndr1_0_ -> (c1_1_ X129 \/ (c7_1_ X129 \/ (ndr1_1_ X129 /\ (c2_2_ X129 a347_ /\ (c8_2_ X129 a347_ /\ ~(c7_2_ X129 a347_)))))))))) /\ ((~(c4_0_) \/ ((forall X130 : Universe, (ndr1_0_ -> (c7_1_ X130 \/ ((ndr1_1_ X130 /\ (c9_2_ X130 a348_ /\ (~(c3_2_ X130 a348_) /\ ~(c4_2_ X130 a348_)))) \/ (ndr1_1_ X130 /\ (~(c1_2_ X130 a349_) /\ (~(c2_2_ X130 a349_) /\ ~(c5_2_ X130 a349_)))))))) \/ (ndr1_0_ /\ ((forall X131 : Universe, (ndr1_1_ a350_ -> (c8_2_ a350_ X131 \/ (~(c1_2_ a350_ X131) \/ ~(c5_2_ a350_ X131))))) /\ (ndr1_1_ a350_ /\ (c5_2_ a350_ a351_ /\ (~(c6_2_ a350_ a351_) /\ (ndr1_1_ a350_ /\ (c7_2_ a350_ a352_ /\ (~(c4_2_ a350_ a352_) /\ ~(c5_2_ a350_ a352_))))))))))) /\ ((~(c6_0_) \/ ~(c9_0_)) /\ ((~(c7_0_) \/ ((forall X132 : Universe, (ndr1_0_ -> (c1_1_ X132 \/ (c4_1_ X132 \/ c8_1_ X132)))) \/ (forall X133 : Universe, (ndr1_0_ -> (c3_1_ X133 \/ (~(c8_1_ X133) \/ (forall X134 : Universe, (ndr1_1_ X133 -> (c1_2_ X133 X134 \/ (c2_2_ X133 X134 \/ ~(c7_2_ X133 X134))))))))))) /\ ((~(c7_0_) \/ ((forall X135 : Universe, (ndr1_0_ -> (c3_1_ X135 \/ (~(c4_1_ X135) \/ ~(c5_1_ X135))))) \/ (forall X136 : Universe, (ndr1_0_ -> (~(c7_1_ X136) \/ ((forall X137 : Universe, (ndr1_1_ X136 -> (c1_2_ X136 X137 \/ (c2_2_ X136 X137 \/ c3_2_ X136 X137)))) \/ (ndr1_1_ X136 /\ (c4_2_ X136 a353_ /\ (~(c1_2_ X136 a353_) /\ ~(c9_2_ X136 a353_)))))))))) /\ ((~(c7_0_) \/ ((forall X138 : Universe, (ndr1_0_ -> (c4_1_ X138 \/ (~(c8_1_ X138) \/ (forall X139 : Universe, (ndr1_1_ X138 -> (c3_2_ X138 X139 \/ (c5_2_ X138 X139 \/ ~(c1_2_ X138 X139))))))))) \/ (forall X140 : Universe, (ndr1_0_ -> (~(c3_1_ X140) \/ (~(c5_1_ X140) \/ ~(c9_1_ X140))))))) /\ ((~(c7_0_) \/ (forall X141 : Universe, (ndr1_0_ -> (c8_1_ X141 \/ (~(c9_1_ X141) \/ (ndr1_1_ X141 /\ (c1_2_ X141 a354_ /\ (c10_2_ X141 a354_ /\ ~(c2_2_ X141 a354_))))))))) /\ ((~(c7_0_) \/ ((ndr1_0_ /\ (c3_1_ a355_ /\ ((forall X142 : Universe, (ndr1_1_ a355_ -> (~(c4_2_ a355_ X142) \/ (~(c6_2_ a355_ X142) \/ ~(c8_2_ a355_ X142))))) /\ (ndr1_1_ a355_ /\ (~(c10_2_ a355_ a356_) /\ (~(c7_2_ a355_ a356_) /\ ~(c9_2_ a355_ a356_))))))) \/ (ndr1_0_ /\ (c9_1_ a357_ /\ ((forall X143 : Universe, (ndr1_1_ a357_ -> (c10_2_ a357_ X143 \/ (c4_2_ a357_ X143 \/ ~(c9_2_ a357_ X143))))) /\ (forall X144 : Universe, (ndr1_1_ a357_ -> (c4_2_ a357_ X144 \/ (c5_2_ a357_ X144 \/ ~(c8_2_ a357_ X144)))))))))) /\ ((~(c8_0_) \/ ((forall X145 : Universe, (ndr1_0_ -> (c3_1_ X145 \/ (c9_1_ X145 \/ (ndr1_1_ X145 /\ (c1_2_ X145 a358_ /\ (c8_2_ X145 a358_ /\ ~(c3_2_ X145 a358_)))))))) \/ (forall X146 : Universe, (ndr1_0_ -> (c8_1_ X146 \/ ((forall X147 : Universe, (ndr1_1_ X146 -> (c3_2_ X146 X147 \/ (~(c2_2_ X146 X147) \/ ~(c5_2_ X146 X147))))) \/ (ndr1_1_ X146 /\ (~(c10_2_ X146 a359_) /\ (~(c2_2_ X146 a359_) /\ ~(c6_2_ X146 a359_)))))))))) /\ ((~(c9_0_) \/ ((forall X148 : Universe, (ndr1_0_ -> (c1_1_ X148 \/ (~(c10_1_ X148) \/ (ndr1_1_ X148 /\ (c6_2_ X148 a360_ /\ (c9_2_ X148 a360_ /\ ~(c10_2_ X148 a360_)))))))) \/ (forall X149 : Universe, (ndr1_0_ -> (~(c9_1_ X149) \/ ((forall X150 : Universe, (ndr1_1_ X149 -> (c2_2_ X149 X150 \/ (~(c4_2_ X149 X150) \/ ~(c6_2_ X149 X150))))) \/ (ndr1_1_ X149 /\ (c9_2_ X149 a361_ /\ (~(c2_2_ X149 a361_) /\ ~(c8_2_ X149 a361_)))))))))) /\ ((~(c9_0_) \/ ((forall X151 : Universe, (ndr1_0_ -> (c3_1_ X151 \/ (~(c5_1_ X151) \/ ~(c7_1_ X151))))) \/ (ndr1_0_ /\ (c3_1_ a362_ /\ (~(c8_1_ a362_) /\ (ndr1_1_ a362_ /\ (c3_2_ a362_ a363_ /\ (~(c1_2_ a362_ a363_) /\ ~(c4_2_ a362_ a363_))))))))) /\ ((~(c9_0_) \/ ((forall X152 : Universe, (ndr1_0_ -> (~(c2_1_ X152) \/ (~(c5_1_ X152) \/ (forall X153 : Universe, (ndr1_1_ X152 -> (~(c4_2_ X152 X153) \/ ~(c5_2_ X152 X153)))))))) \/ (ndr1_0_ /\ (~(c1_1_ a364_) /\ ((forall X154 : Universe, (ndr1_1_ a364_ -> (c3_2_ a364_ X154 \/ (c8_2_ a364_ X154 \/ ~(c4_2_ a364_ X154))))) /\ (forall X155 : Universe, (ndr1_1_ a364_ -> (~(c10_2_ a364_ X155) \/ (~(c6_2_ a364_ X155) \/ ~(c8_2_ a364_ X155)))))))))) /\ ((~(c9_0_) \/ (forall X156 : Universe, (ndr1_0_ -> (~(c2_1_ X156) \/ ((ndr1_1_ X156 /\ (c2_2_ X156 a365_ /\ (c4_2_ X156 a365_ /\ ~(c3_2_ X156 a365_)))) \/ (ndr1_1_ X156 /\ (~(c1_2_ X156 a366_) /\ (~(c7_2_ X156 a366_) /\ ~(c9_2_ X156 a366_))))))))) /\ ((~(c9_0_) \/ ((forall X157 : Universe, (ndr1_0_ -> ((forall X158 : Universe, (ndr1_1_ X157 -> (c7_2_ X157 X158 \/ (~(c4_2_ X157 X158) \/ ~(c6_2_ X157 X158))))) \/ ((ndr1_1_ X157 /\ (~(c1_2_ X157 a367_) /\ (~(c2_2_ X157 a367_) /\ ~(c6_2_ X157 a367_)))) \/ (ndr1_1_ X157 /\ (~(c1_2_ X157 a368_) /\ (~(c4_2_ X157 a368_) /\ ~(c5_2_ X157 a368_)))))))) \/ (ndr1_0_ /\ (ndr1_1_ a369_ /\ (c3_2_ a369_ a370_ /\ (c8_2_ a369_ a370_ /\ (~(c9_2_ a369_ a370_) /\ (ndr1_1_ a369_ /\ (c5_2_ a369_ a371_ /\ (c7_2_ a369_ a371_ /\ (~(c9_2_ a369_ a371_) /\ (ndr1_1_ a369_ /\ (c7_2_ a369_ a372_ /\ (c9_2_ a369_ a372_ /\ ~(c4_2_ a369_ a372_))))))))))))))) /\ (((forall X159 : Universe, (ndr1_0_ -> (c1_1_ X159 \/ (~(c8_1_ X159) \/ (ndr1_1_ X159 /\ (c3_2_ X159 a373_ /\ (~(c1_2_ X159 a373_) /\ ~(c8_2_ X159 a373_)))))))) \/ ((ndr1_0_ /\ (c10_1_ a374_ /\ (c2_1_ a374_ /\ (ndr1_1_ a374_ /\ (c10_2_ a374_ a375_ /\ (c3_2_ a374_ a375_ /\ ~(c9_2_ a374_ a375_))))))) \/ (ndr1_0_ /\ (c8_1_ a376_ /\ (~(c6_1_ a376_) /\ (forall X160 : Universe, (ndr1_1_ a376_ -> (c2_2_ a376_ X160 \/ (~(c3_2_ a376_ X160) \/ ~(c5_2_ a376_ X160)))))))))) /\ (((forall X161 : Universe, (ndr1_0_ -> (c10_1_ X161 \/ (~(c6_1_ X161) \/ (forall X162 : Universe, (ndr1_1_ X161 -> (c10_2_ X161 X162 \/ (c6_2_ X161 X162 \/ ~(c2_2_ X161 X162))))))))) \/ ((forall X163 : Universe, (ndr1_0_ -> (~(c4_1_ X163) \/ ((forall X164 : Universe, (ndr1_1_ X163 -> (c1_2_ X163 X164 \/ (c4_2_ X163 X164 \/ ~(c6_2_ X163 X164))))) \/ (forall X165 : Universe, (ndr1_1_ X163 -> (c10_2_ X163 X165 \/ (c4_2_ X163 X165 \/ ~(c9_2_ X163 X165))))))))) \/ (forall X166 : Universe, (ndr1_0_ -> (~(c5_1_ X166) \/ ((forall X167 : Universe, (ndr1_1_ X166 -> (c3_2_ X166 X167 \/ (~(c2_2_ X166 X167) \/ ~(c6_2_ X166 X167))))) \/ (forall X168 : Universe, (ndr1_1_ X166 -> (c7_2_ X166 X168 \/ (c9_2_ X166 X168 \/ ~(c8_2_ X166 X168))))))))))) /\ (((forall X169 : Universe, (ndr1_0_ -> (c2_1_ X169 \/ (~(c4_1_ X169) \/ (ndr1_1_ X169 /\ (c4_2_ X169 a377_ /\ (c5_2_ X169 a377_ /\ c6_2_ X169 a377_))))))) \/ ((forall X170 : Universe, (ndr1_0_ -> (c7_1_ X170 \/ (~(c9_1_ X170) \/ (forall X171 : Universe, (ndr1_1_ X170 -> (~(c2_2_ X170 X171) \/ ~(c9_2_ X170 X171)))))))) \/ (forall X172 : Universe, (ndr1_0_ -> (~(c3_1_ X172) \/ ((ndr1_1_ X172 /\ (c2_2_ X172 a378_ /\ (c7_2_ X172 a378_ /\ ~(c8_2_ X172 a378_)))) \/ (ndr1_1_ X172 /\ (c3_2_ X172 a379_ /\ (~(c1_2_ X172 a379_) /\ ~(c10_2_ X172 a379_)))))))))) /\ (((forall X173 : Universe, (ndr1_0_ -> (c2_1_ X173 \/ (~(c7_1_ X173) \/ (forall X174 : Universe, (ndr1_1_ X173 -> (c9_2_ X173 X174 \/ (~(c3_2_ X173 X174) \/ ~(c8_2_ X173 X174))))))))) \/ ((ndr1_0_ /\ (ndr1_1_ a380_ /\ (c1_2_ a380_ a381_ /\ (c7_2_ a380_ a381_ /\ (~(c5_2_ a380_ a381_) /\ (ndr1_1_ a380_ /\ (c7_2_ a380_ a382_ /\ (~(c1_2_ a380_ a382_) /\ ~(c8_2_ a380_ a382_))))))))) \/ (ndr1_0_ /\ (ndr1_1_ a383_ /\ (~(c1_2_ a383_ a384_) /\ (~(c6_2_ a383_ a384_) /\ (ndr1_1_ a383_ /\ (~(c10_2_ a383_ a385_) /\ (~(c3_2_ a383_ a385_) /\ ~(c5_2_ a383_ a385_)))))))))) /\ (((forall X175 : Universe, (ndr1_0_ -> (c3_1_ X175 \/ (c7_1_ X175 \/ (ndr1_1_ X175 /\ (c6_2_ X175 a386_ /\ (~(c7_2_ X175 a386_) /\ ~(c8_2_ X175 a386_)))))))) \/ ((forall X176 : Universe, (ndr1_0_ -> (c3_1_ X176 \/ ((forall X177 : Universe, (ndr1_1_ X176 -> (c3_2_ X176 X177 \/ (c8_2_ X176 X177 \/ ~(c7_2_ X176 X177))))) \/ (forall X178 : Universe, (ndr1_1_ X176 -> (~(c10_2_ X176 X178) \/ (~(c6_2_ X176 X178) \/ ~(c8_2_ X176 X178))))))))) \/ (ndr1_0_ /\ ((forall X179 : Universe, (ndr1_1_ a387_ -> (c2_2_ a387_ X179 \/ (c4_2_ a387_ X179 \/ ~(c9_2_ a387_ X179))))) /\ (ndr1_1_ a387_ /\ (c1_2_ a387_ a388_ /\ (c6_2_ a387_ a388_ /\ c7_2_ a387_ a388_))))))) /\ (((forall X180 : Universe, (ndr1_0_ -> (c4_1_ X180 \/ (~(c10_1_ X180) \/ ~(c3_1_ X180))))) \/ ((forall X181 : Universe, (ndr1_0_ -> (c6_1_ X181 \/ (c9_1_ X181 \/ (forall X182 : Universe, (ndr1_1_ X181 -> (c6_2_ X181 X182 \/ (c8_2_ X181 X182 \/ ~(c5_2_ X181 X182))))))))) \/ (ndr1_0_ /\ (~(c3_1_ a389_) /\ ((forall X183 : Universe, (ndr1_1_ a389_ -> (c2_2_ a389_ X183 \/ (c5_2_ a389_ X183 \/ ~(c8_2_ a389_ X183))))) /\ (ndr1_1_ a389_ /\ (c2_2_ a389_ a390_ /\ c4_2_ a389_ a390_))))))) /\ (((forall X184 : Universe, (ndr1_0_ -> (c5_1_ X184 \/ (~(c1_1_ X184) \/ (ndr1_1_ X184 /\ (c5_2_ X184 a391_ /\ (c7_2_ X184 a391_ /\ ~(c6_2_ X184 a391_)))))))) \/ ((forall X185 : Universe, (ndr1_0_ -> (~(c7_1_ X185) \/ ((forall X186 : Universe, (ndr1_1_ X185 -> (c2_2_ X185 X186 \/ (c7_2_ X185 X186 \/ ~(c6_2_ X185 X186))))) \/ (ndr1_1_ X185 /\ (c2_2_ X185 a392_ /\ (c3_2_ X185 a392_ /\ ~(c9_2_ X185 a392_)))))))) \/ (forall X187 : Universe, (ndr1_0_ -> (~(c9_1_ X187) \/ ((ndr1_1_ X187 /\ (c1_2_ X187 a393_ /\ (c7_2_ X187 a393_ /\ ~(c3_2_ X187 a393_)))) \/ (ndr1_1_ X187 /\ (c1_2_ X187 a394_ /\ ~(c9_2_ X187 a394_))))))))) /\ (((forall X188 : Universe, (ndr1_0_ -> (c5_1_ X188 \/ (~(c9_1_ X188) \/ (ndr1_1_ X188 /\ (c10_2_ X188 a395_ /\ (c3_2_ X188 a395_ /\ ~(c9_2_ X188 a395_)))))))) \/ ((forall X189 : Universe, (ndr1_0_ -> (~(c8_1_ X189) \/ ((forall X190 : Universe, (ndr1_1_ X189 -> (c6_2_ X189 X190 \/ ~(c7_2_ X189 X190)))) \/ (ndr1_1_ X189 /\ (c2_2_ X189 a396_ /\ (c6_2_ X189 a396_ /\ ~(c8_2_ X189 a396_)))))))) \/ (ndr1_0_ /\ (~(c8_1_ a397_) /\ (ndr1_1_ a397_ /\ (c10_2_ a397_ a398_ /\ (c4_2_ a397_ a398_ /\ (~(c6_2_ a397_ a398_) /\ (ndr1_1_ a397_ /\ (c8_2_ a397_ a399_ /\ (~(c1_2_ a397_ a399_) /\ ~(c10_2_ a397_ a399_)))))))))))) /\ (((forall X191 : Universe, (ndr1_0_ -> (c6_1_ X191 \/ (c8_1_ X191 \/ ~(c4_1_ X191))))) \/ ((ndr1_0_ /\ (~(c3_1_ a400_) /\ ((forall X192 : Universe, (ndr1_1_ a400_ -> (c1_2_ a400_ X192 \/ (c10_2_ a400_ X192 \/ ~(c3_2_ a400_ X192))))) /\ (forall X193 : Universe, (ndr1_1_ a400_ -> (~(c1_2_ a400_ X193) \/ (~(c7_2_ a400_ X193) \/ ~(c9_2_ a400_ X193)))))))) \/ (ndr1_0_ /\ ((forall X194 : Universe, (ndr1_1_ a401_ -> (c5_2_ a401_ X194 \/ ~(c8_2_ a401_ X194)))) /\ ((forall X195 : Universe, (ndr1_1_ a401_ -> (c8_2_ a401_ X195 \/ (~(c2_2_ a401_ X195) \/ ~(c4_2_ a401_ X195))))) /\ (forall X196 : Universe, (ndr1_1_ a401_ -> (~(c1_2_ a401_ X196) \/ (~(c10_2_ a401_ X196) \/ ~(c2_2_ a401_ X196)))))))))) /\ (((forall X197 : Universe, (ndr1_0_ -> (c8_1_ X197 \/ (ndr1_1_ X197 /\ (c2_2_ X197 a402_ /\ (~(c1_2_ X197 a402_) /\ ~(c3_2_ X197 a402_))))))) \/ (ndr1_0_ /\ (c2_1_ a403_ /\ (~(c4_1_ a403_) /\ (ndr1_1_ a403_ /\ (c10_2_ a403_ a404_ /\ (c5_2_ a403_ a404_ /\ c8_2_ a403_ a404_))))))) /\ (((forall X198 : Universe, (ndr1_0_ -> (c9_1_ X198 \/ (~(c2_1_ X198) \/ (ndr1_1_ X198 /\ (c4_2_ X198 a405_ /\ ~(c5_2_ X198 a405_))))))) \/ ((ndr1_0_ /\ (c4_1_ a406_ /\ (c9_1_ a406_ /\ (ndr1_1_ a406_ /\ (~(c2_2_ a406_ a407_) /\ (~(c7_2_ a406_ a407_) /\ ~(c8_2_ a406_ a407_))))))) \/ (ndr1_0_ /\ (~(c2_1_ a408_) /\ ((forall X199 : Universe, (ndr1_1_ a408_ -> (c8_2_ a408_ X199 \/ (c9_2_ a408_ X199 \/ ~(c4_2_ a408_ X199))))) /\ (ndr1_1_ a408_ /\ (c1_2_ a408_ a409_ /\ (c4_2_ a408_ a409_ /\ ~(c5_2_ a408_ a409_))))))))) /\ (((forall X200 : Universe, (ndr1_0_ -> (c9_1_ X200 \/ ((forall X201 : Universe, (ndr1_1_ X200 -> (c3_2_ X200 X201 \/ c6_2_ X200 X201))) \/ (ndr1_1_ X200 /\ (c1_2_ X200 a410_ /\ (c5_2_ X200 a410_ /\ c6_2_ X200 a410_))))))) \/ ((forall X202 : Universe, (ndr1_0_ -> (~(c3_1_ X202) \/ (~(c7_1_ X202) \/ ~(c8_1_ X202))))) \/ (ndr1_0_ /\ ((forall X203 : Universe, (ndr1_1_ a411_ -> (c3_2_ a411_ X203 \/ (c8_2_ a411_ X203 \/ ~(c2_2_ a411_ X203))))) /\ (ndr1_1_ a411_ /\ (c3_2_ a411_ a412_ /\ (~(c6_2_ a411_ a412_) /\ (ndr1_1_ a411_ /\ (~(c4_2_ a411_ a413_) /\ (~(c8_2_ a411_ a413_) /\ ~(c9_2_ a411_ a413_))))))))))) /\ (((forall X204 : Universe, (ndr1_0_ -> (~(c1_1_ X204) \/ (~(c5_1_ X204) \/ ~(c8_1_ X204))))) \/ (ndr1_0_ /\ (c10_1_ a414_ /\ (c9_1_ a414_ /\ (ndr1_1_ a414_ /\ (~(c10_2_ a414_ a415_) /\ (~(c4_2_ a414_ a415_) /\ ~(c7_2_ a414_ a415_)))))))) /\ (((forall X205 : Universe, (ndr1_0_ -> (~(c1_1_ X205) \/ (~(c5_1_ X205) \/ (ndr1_1_ X205 /\ (c9_2_ X205 a416_ /\ ~(c6_2_ X205 a416_))))))) \/ ((ndr1_0_ /\ (c2_1_ a417_ /\ (c3_1_ a417_ /\ c5_1_ a417_))) \/ (ndr1_0_ /\ (c7_1_ a418_ /\ (c8_1_ a418_ /\ (ndr1_1_ a418_ /\ (c10_2_ a418_ a419_ /\ (c5_2_ a418_ a419_ /\ ~(c4_2_ a418_ a419_))))))))) /\ (((forall X206 : Universe, (ndr1_0_ -> (~(c2_1_ X206) \/ (~(c6_1_ X206) \/ (forall X207 : Universe, (ndr1_1_ X206 -> (c1_2_ X206 X207 \/ (c4_2_ X206 X207 \/ c5_2_ X206 X207)))))))) \/ ((ndr1_0_ /\ (c1_1_ a420_ /\ (c5_1_ a420_ /\ (ndr1_1_ a420_ /\ (~(c1_2_ a420_ a421_) /\ ~(c8_2_ a420_ a421_)))))) \/ (ndr1_0_ /\ (~(c1_1_ a422_) /\ (~(c10_1_ a422_) /\ (forall X208 : Universe, (ndr1_1_ a422_ -> (c3_2_ a422_ X208 \/ (c4_2_ a422_ X208 \/ ~(c6_2_ a422_ X208)))))))))) /\ (((ndr1_0_ /\ (c10_1_ a423_ /\ (~(c5_1_ a423_) /\ ~(c6_1_ a423_)))) \/ ((ndr1_0_ /\ (c5_1_ a424_ /\ ((forall X209 : Universe, (ndr1_1_ a424_ -> (~(c1_2_ a424_ X209) \/ (~(c2_2_ a424_ X209) \/ ~(c5_2_ a424_ X209))))) /\ (forall X210 : Universe, (ndr1_1_ a424_ -> (~(c3_2_ a424_ X210) \/ (~(c6_2_ a424_ X210) \/ ~(c8_2_ a424_ X210)))))))) \/ (ndr1_0_ /\ (c7_1_ a425_ /\ (~(c8_1_ a425_) /\ (ndr1_1_ a425_ /\ (c5_2_ a425_ a426_ /\ c6_2_ a425_ a426_))))))) /\ ((ndr1_0_ /\ (c10_1_ a427_ /\ (ndr1_1_ a427_ /\ (c9_2_ a427_ a428_ /\ (~(c10_2_ a427_ a428_) /\ ~(c7_2_ a427_ a428_)))))) \/ (ndr1_0_ /\ (c2_1_ a429_ /\ (~(c8_1_ a429_) /\ (ndr1_1_ a429_ /\ (c1_2_ a429_ a430_ /\ (c2_2_ a429_ a430_ /\ c5_2_ a429_ a430_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
