(*
% File     : SYN431+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=16, K=3, D=1, P=0, Index=042
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-16-3-1-042.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.50 v2.6.0, 0.25 v2.5.0, 0.33 v2.4.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  243 (   0 equality)
%            Maximal formula depth :   53 (  53 average)
%            Number of connectives :  344 ( 102 ~  ;  94  |; 131  &)
%                                         (   0 <=>;  17 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   34 (  30 propositional; 0-1 arity)
%            Number of functors    :   29 (  29 constant; 0-0 arity)
%            Number of variables   :   17 (   0 singleton;  17 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp3_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a161_ : Universe.
Variable a160_ : Universe.
Variable a159_ : Universe.
Variable a158_ : Universe.
Variable a157_ : Universe.
Variable a156_ : Universe.
Variable a154_ : Universe.
Variable a153_ : Universe.
Variable a152_ : Universe.
Variable a151_ : Universe.
Variable a150_ : Universe.
Variable a149_ : Universe.
Variable a148_ : Universe.
Variable a147_ : Universe.
Variable a146_ : Universe.
Variable a145_ : Universe.
Variable a144_ : Universe.
Variable a143_ : Universe.
Variable a142_ : Universe.
Variable a141_ : Universe.
Variable a140_ : Universe.
Variable a139_ : Universe.
Variable a138_ : Universe.
Variable a137_ : Universe.
Variable a136_ : Universe.
Variable a135_ : Universe.
Variable a134_ : Universe.
Variable a133_ : Universe.
Variable a132_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (~(c1_1_ a132_) /\ (~(c0_1_ a132_) /\ ~(c3_1_ a132_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c2_1_ a133_ /\ (~(c1_1_ a133_) /\ ~(c0_1_ a133_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c1_1_ a135_ /\ (~(c2_1_ a135_) /\ ~(c0_1_ a135_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c2_1_ a136_ /\ (~(c0_1_ a136_) /\ ~(c3_1_ a136_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c1_1_ a137_ /\ (c3_1_ a137_ /\ ~(c2_1_ a137_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c2_1_ a139_ /\ (c0_1_ a139_ /\ ~(c1_1_ a139_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c1_1_ a140_ /\ (c0_1_ a140_ /\ ~(c3_1_ a140_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c2_1_ a141_ /\ (c3_1_ a141_ /\ ~(c1_1_ a141_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c3_1_ a142_ /\ (c1_1_ a142_ /\ ~(c0_1_ a142_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (~(c2_1_ a145_) /\ (~(c0_1_ a145_) /\ ~(c3_1_ a145_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c0_1_ a146_ /\ (~(c2_1_ a146_) /\ ~(c1_1_ a146_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c1_1_ a151_ /\ (~(c3_1_ a151_) /\ ~(c0_1_ a151_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (~(c2_1_ a154_) /\ (~(c3_1_ a154_) /\ ~(c1_1_ a154_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (~(c3_1_ a156_) /\ (c1_1_ a156_ /\ ~(c0_1_ a156_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c1_1_ a159_ /\ (c2_1_ a159_ /\ ~(c3_1_ a159_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (~(c1_1_ a160_) /\ (~(c2_1_ a160_) /\ ~(c3_1_ a160_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c0_1_ a161_ /\ (c2_1_ a161_ /\ ~(c1_1_ a161_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c2_1_ a134_ /\ (~(c3_1_ a134_) /\ c0_1_ a134_)))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (~(c2_1_ a138_) /\ (c0_1_ a138_ /\ c3_1_ a138_)))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c2_1_ a143_ /\ (c0_1_ a143_ /\ c1_1_ a143_)))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (~(c0_1_ a144_) /\ (c2_1_ a144_ /\ c3_1_ a144_)))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c2_1_ a147_ /\ (~(c0_1_ a147_) /\ c3_1_ a147_)))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (~(c3_1_ a148_) /\ (c1_1_ a148_ /\ c2_1_ a148_)))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (~(c3_1_ a149_) /\ (c1_1_ a149_ /\ c0_1_ a149_)))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (~(c2_1_ a150_) /\ (c1_1_ a150_ /\ c0_1_ a150_)))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c3_1_ a152_ /\ (~(c0_1_ a152_) /\ c2_1_ a152_)))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (~(c0_1_ a153_) /\ (~(c3_1_ a153_) /\ c1_1_ a153_)))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (~(c1_1_ a157_) /\ (c3_1_ a157_ /\ c2_1_ a157_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c1_1_ a158_ /\ (~(c0_1_ a158_) /\ c2_1_ a158_)))) /\ (((forall U : Universe, (ndr1_0_ -> (~(c3_1_ U) \/ (c2_1_ U \/ c0_1_ U)))) \/ (hskp0_ \/ hskp1_)) /\ (((forall V : Universe, (ndr1_0_ -> (~(c3_1_ V) \/ (c1_1_ V \/ ~(c0_1_ V))))) \/ (hskp17_ \/ hskp2_)) /\ ((hskp3_ \/ (hskp4_ \/ (forall W : Universe, (ndr1_0_ -> (~(c3_1_ W) \/ (~(c0_1_ W) \/ ~(c2_1_ W))))))) /\ ((hskp18_ \/ (hskp5_ \/ hskp6_)) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c2_1_ X \/ ~(c1_1_ X))))) \/ ((forall Y : Universe, (ndr1_0_ -> (~(c1_1_ Y) \/ (~(c0_1_ Y) \/ c2_1_ Y)))) \/ (forall Z : Universe, (ndr1_0_ -> (~(c1_1_ Z) \/ (~(c2_1_ Z) \/ c0_1_ Z)))))) /\ ((hskp7_ \/ ((forall X1 : Universe, (ndr1_0_ -> (~(c1_1_ X1) \/ (~(c2_1_ X1) \/ c3_1_ X1)))) \/ hskp8_)) /\ ((hskp19_ \/ (hskp20_ \/ (forall X2 : Universe, (ndr1_0_ -> (c1_1_ X2 \/ (~(c2_1_ X2) \/ c0_1_ X2)))))) /\ (((forall X3 : Universe, (ndr1_0_ -> (~(c2_1_ X3) \/ (~(c1_1_ X3) \/ c3_1_ X3)))) \/ (hskp9_ \/ hskp10_)) /\ (((forall X4 : Universe, (ndr1_0_ -> (c3_1_ X4 \/ (~(c2_1_ X4) \/ ~(c1_1_ X4))))) \/ (forall X5 : Universe, (ndr1_0_ -> (c1_1_ X5 \/ (~(c3_1_ X5) \/ ~(c2_1_ X5)))))) /\ (((forall X6 : Universe, (ndr1_0_ -> (c1_1_ X6 \/ (~(c2_1_ X6) \/ c3_1_ X6)))) \/ ((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (~(c1_1_ X7) \/ c2_1_ X7)))) \/ hskp21_)) /\ ((hskp22_ \/ (hskp23_ \/ hskp24_)) /\ ((hskp11_ \/ (hskp25_ \/ hskp26_)) /\ (((forall X8 : Universe, (ndr1_0_ -> (~(c0_1_ X8) \/ (~(c2_1_ X8) \/ c3_1_ X8)))) \/ ((forall X9 : Universe, (ndr1_0_ -> (~(c1_1_ X9) \/ (c2_1_ X9 \/ ~(c3_1_ X9))))) \/ hskp12_)) /\ ((hskp3_ \/ (hskp13_ \/ hskp27_)) /\ ((hskp28_ \/ (hskp14_ \/ (forall X10 : Universe, (ndr1_0_ -> (c3_1_ X10 \/ (c0_1_ X10 \/ ~(c1_1_ X10))))))) /\ ((forall X11 : Universe, (ndr1_0_ -> (~(c3_1_ X11) \/ (~(c2_1_ X11) \/ c0_1_ X11)))) \/ (hskp15_ \/ hskp16_))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
