(*
% File     : SYN433+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=20, K=3, D=1, P=0, Index=036
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-20-3-1-036.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.17 v2.6.0, 0.00 v2.4.0, 0.33 v2.3.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  289 (   0 equality)
%            Maximal formula depth :   54 (  54 average)
%            Number of connectives :  394 ( 106 ~  ; 132  |; 123  &)
%                                         (   0 <=>;  33 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   31 (  27 propositional; 0-1 arity)
%            Number of functors    :   26 (  26 constant; 0-0 arity)
%            Number of variables   :   33 (   0 singleton;  33 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp3_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a222_ : Universe.
Variable a221_ : Universe.
Variable a220_ : Universe.
Variable a219_ : Universe.
Variable a218_ : Universe.
Variable a217_ : Universe.
Variable a216_ : Universe.
Variable a215_ : Universe.
Variable a214_ : Universe.
Variable a213_ : Universe.
Variable a212_ : Universe.
Variable a211_ : Universe.
Variable a210_ : Universe.
Variable a209_ : Universe.
Variable a208_ : Universe.
Variable a207_ : Universe.
Variable a206_ : Universe.
Variable a205_ : Universe.
Variable a204_ : Universe.
Variable a203_ : Universe.
Variable a202_ : Universe.
Variable a200_ : Universe.
Variable a199_ : Universe.
Variable a198_ : Universe.
Variable a197_ : Universe.
Variable a196_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c1_1_ a197_ /\ (~(c3_1_ a197_) /\ ~(c0_1_ a197_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c3_1_ a198_ /\ (c0_1_ a198_ /\ ~(c1_1_ a198_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c2_1_ a202_ /\ (c0_1_ a202_ /\ ~(c3_1_ a202_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (~(c2_1_ a205_) /\ (c0_1_ a205_ /\ ~(c1_1_ a205_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c0_1_ a207_ /\ (~(c3_1_ a207_) /\ ~(c1_1_ a207_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (~(c3_1_ a210_) /\ (~(c2_1_ a210_) /\ ~(c1_1_ a210_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c2_1_ a211_ /\ (~(c3_1_ a211_) /\ ~(c0_1_ a211_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c1_1_ a212_ /\ (~(c0_1_ a212_) /\ ~(c3_1_ a212_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (~(c3_1_ a213_) /\ (c2_1_ a213_ /\ ~(c0_1_ a213_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (~(c2_1_ a215_) /\ (~(c1_1_ a215_) /\ ~(c0_1_ a215_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (~(c3_1_ a217_) /\ (c0_1_ a217_ /\ ~(c1_1_ a217_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (~(c1_1_ a221_) /\ (~(c2_1_ a221_) /\ ~(c3_1_ a221_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c3_1_ a222_ /\ (c0_1_ a222_ /\ ~(c2_1_ a222_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (~(c2_1_ a196_) /\ (~(c0_1_ a196_) /\ c3_1_ a196_)))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (~(c2_1_ a199_) /\ (c0_1_ a199_ /\ c3_1_ a199_)))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (~(c0_1_ a200_) /\ (c2_1_ a200_ /\ c3_1_ a200_)))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c3_1_ a203_ /\ (~(c1_1_ a203_) /\ c0_1_ a203_)))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c2_1_ a204_ /\ (~(c0_1_ a204_) /\ c3_1_ a204_)))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c1_1_ a206_ /\ (c3_1_ a206_ /\ c0_1_ a206_)))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c2_1_ a208_ /\ (c0_1_ a208_ /\ c1_1_ a208_)))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c0_1_ a209_ /\ (~(c2_1_ a209_) /\ c1_1_ a209_)))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c2_1_ a214_ /\ (~(c3_1_ a214_) /\ c0_1_ a214_)))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c2_1_ a216_ /\ (c3_1_ a216_ /\ c0_1_ a216_)))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c2_1_ a218_ /\ (c0_1_ a218_ /\ c3_1_ a218_)))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c2_1_ a219_ /\ (c1_1_ a219_ /\ c0_1_ a219_)))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c1_1_ a220_ /\ (c2_1_ a220_ /\ c0_1_ a220_)))) /\ ((hskp13_ \/ ((forall U : Universe, (ndr1_0_ -> (c3_1_ U \/ (c2_1_ U \/ c0_1_ U)))) \/ hskp0_)) /\ (((forall V : Universe, (ndr1_0_ -> (c3_1_ V \/ (~(c0_1_ V) \/ ~(c1_1_ V))))) \/ ((forall W : Universe, (ndr1_0_ -> (~(c3_1_ W) \/ (c2_1_ W \/ ~(c1_1_ W))))) \/ hskp1_)) /\ (((forall X : Universe, (ndr1_0_ -> (~(c2_1_ X) \/ (~(c0_1_ X) \/ ~(c1_1_ X))))) \/ ((forall Y : Universe, (ndr1_0_ -> (c2_1_ Y \/ (c1_1_ Y \/ ~(c0_1_ Y))))) \/ hskp14_)) /\ (((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c3_1_ Z \/ c2_1_ Z)))) \/ (hskp15_ \/ (forall X1 : Universe, (ndr1_0_ -> (~(c1_1_ X1) \/ (~(c0_1_ X1) \/ ~(c3_1_ X1))))))) /\ ((hskp0_ \/ ((forall X2 : Universe, (ndr1_0_ -> (~(c3_1_ X2) \/ (~(c2_1_ X2) \/ c0_1_ X2)))) \/ (forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (~(c3_1_ X3) \/ c2_1_ X3)))))) /\ ((hskp2_ \/ (hskp16_ \/ hskp17_)) /\ (((forall X4 : Universe, (ndr1_0_ -> (c2_1_ X4 \/ (c0_1_ X4 \/ c1_1_ X4)))) \/ ((forall X5 : Universe, (ndr1_0_ -> (c3_1_ X5 \/ (~(c0_1_ X5) \/ c1_1_ X5)))) \/ (forall X6 : Universe, (ndr1_0_ -> (c1_1_ X6 \/ (c2_1_ X6 \/ c3_1_ X6)))))) /\ (((forall X7 : Universe, (ndr1_0_ -> (c3_1_ X7 \/ (c0_1_ X7 \/ ~(c1_1_ X7))))) \/ ((forall X8 : Universe, (ndr1_0_ -> (~(c2_1_ X8) \/ (~(c3_1_ X8) \/ ~(c1_1_ X8))))) \/ (forall X9 : Universe, (ndr1_0_ -> (c1_1_ X9 \/ (c3_1_ X9 \/ ~(c0_1_ X9))))))) /\ ((hskp3_ \/ (hskp18_ \/ hskp4_)) /\ (((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c2_1_ X10 \/ ~(c1_1_ X10))))) \/ ((forall X11 : Universe, (ndr1_0_ -> (~(c0_1_ X11) \/ (~(c2_1_ X11) \/ c1_1_ X11)))) \/ hskp19_)) /\ ((hskp20_ \/ (hskp5_ \/ (forall X12 : Universe, (ndr1_0_ -> (c2_1_ X12 \/ (c3_1_ X12 \/ ~(c0_1_ X12))))))) /\ ((hskp6_ \/ (hskp7_ \/ (forall X13 : Universe, (ndr1_0_ -> (c1_1_ X13 \/ (~(c3_1_ X13) \/ c0_1_ X13)))))) /\ (((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c1_1_ X14 \/ ~(c3_1_ X14))))) \/ ((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (~(c2_1_ X15) \/ c1_1_ X15)))) \/ (forall X16 : Universe, (ndr1_0_ -> (~(c0_1_ X16) \/ (~(c3_1_ X16) \/ ~(c2_1_ X16))))))) /\ ((hskp8_ \/ (hskp21_ \/ hskp9_)) /\ (((forall X17 : Universe, (ndr1_0_ -> (c2_1_ X17 \/ (~(c0_1_ X17) \/ c3_1_ X17)))) \/ ((forall X18 : Universe, (ndr1_0_ -> (~(c0_1_ X18) \/ (c1_1_ X18 \/ ~(c3_1_ X18))))) \/ hskp22_)) /\ (((forall X19 : Universe, (ndr1_0_ -> (~(c0_1_ X19) \/ (~(c3_1_ X19) \/ c1_1_ X19)))) \/ ((forall X20 : Universe, (ndr1_0_ -> (~(c2_1_ X20) \/ (~(c0_1_ X20) \/ c1_1_ X20)))) \/ (forall X21 : Universe, (ndr1_0_ -> (c1_1_ X21 \/ (c3_1_ X21 \/ ~(c0_1_ X21))))))) /\ (((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (~(c2_1_ X22) \/ c3_1_ X22)))) \/ (hskp10_ \/ (forall X23 : Universe, (ndr1_0_ -> (c1_1_ X23 \/ (~(c2_1_ X23) \/ c0_1_ X23)))))) /\ ((hskp23_ \/ (hskp24_ \/ (forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (c1_1_ X24 \/ c3_1_ X24)))))) /\ ((hskp25_ \/ ((forall X25 : Universe, (ndr1_0_ -> (c1_1_ X25 \/ (~(c2_1_ X25) \/ ~(c0_1_ X25))))) \/ hskp11_)) /\ ((forall X26 : Universe, (ndr1_0_ -> (c1_1_ X26 \/ (c0_1_ X26 \/ c2_1_ X26)))) \/ ((forall X27 : Universe, (ndr1_0_ -> (~(c2_1_ X27) \/ (~(c3_1_ X27) \/ ~(c1_1_ X27))))) \/ hskp12_)))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
