(*
% File     : SYN435+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=40, K=3, D=1, P=0, Index=046
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-40-3-1-046.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.50 v2.6.0, 0.25 v2.5.0, 0.33 v2.2.1, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  543 (   0 equality)
%            Maximal formula depth :  101 ( 101 average)
%            Number of connectives :  764 ( 222 ~  ; 238  |; 251  &)
%                                         (   0 <=>;  53 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   58 (  54 propositional; 0-1 arity)
%            Number of functors    :   53 (  53 constant; 0-0 arity)
%            Number of variables   :   53 (   0 singleton;  53 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp52_ : Prop.
Variable hskp51_ : Prop.
Variable hskp50_ : Prop.
Variable hskp5_ : Prop.
Variable hskp49_ : Prop.
Variable hskp48_ : Prop.
Variable hskp47_ : Prop.
Variable hskp46_ : Prop.
Variable hskp45_ : Prop.
Variable hskp44_ : Prop.
Variable hskp43_ : Prop.
Variable hskp42_ : Prop.
Variable hskp41_ : Prop.
Variable hskp40_ : Prop.
Variable hskp4_ : Prop.
Variable hskp39_ : Prop.
Variable hskp38_ : Prop.
Variable hskp37_ : Prop.
Variable hskp36_ : Prop.
Variable hskp35_ : Prop.
Variable hskp34_ : Prop.
Variable hskp33_ : Prop.
Variable hskp32_ : Prop.
Variable hskp31_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a347_ : Universe.
Variable a345_ : Universe.
Variable a344_ : Universe.
Variable a343_ : Universe.
Variable a342_ : Universe.
Variable a340_ : Universe.
Variable a337_ : Universe.
Variable a336_ : Universe.
Variable a335_ : Universe.
Variable a334_ : Universe.
Variable a333_ : Universe.
Variable a331_ : Universe.
Variable a330_ : Universe.
Variable a327_ : Universe.
Variable a326_ : Universe.
Variable a325_ : Universe.
Variable a324_ : Universe.
Variable a322_ : Universe.
Variable a319_ : Universe.
Variable a318_ : Universe.
Variable a317_ : Universe.
Variable a316_ : Universe.
Variable a315_ : Universe.
Variable a313_ : Universe.
Variable a312_ : Universe.
Variable a311_ : Universe.
Variable a310_ : Universe.
Variable a309_ : Universe.
Variable a307_ : Universe.
Variable a306_ : Universe.
Variable a305_ : Universe.
Variable a304_ : Universe.
Variable a303_ : Universe.
Variable a302_ : Universe.
Variable a301_ : Universe.
Variable a300_ : Universe.
Variable a299_ : Universe.
Variable a298_ : Universe.
Variable a297_ : Universe.
Variable a296_ : Universe.
Variable a294_ : Universe.
Variable a293_ : Universe.
Variable a292_ : Universe.
Variable a291_ : Universe.
Variable a290_ : Universe.
Variable a289_ : Universe.
Variable a288_ : Universe.
Variable a287_ : Universe.
Variable a286_ : Universe.
Variable a285_ : Universe.
Variable a284_ : Universe.
Variable a283_ : Universe.
Variable a282_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c2_1_ a282_ /\ (c3_1_ a282_ /\ ~(c1_1_ a282_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c2_1_ a283_ /\ (~(c1_1_ a283_) /\ ~(c3_1_ a283_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (~(c1_1_ a290_) /\ (~(c3_1_ a290_) /\ ~(c0_1_ a290_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (~(c2_1_ a291_) /\ (c0_1_ a291_ /\ ~(c1_1_ a291_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (~(c0_1_ a292_) /\ (~(c3_1_ a292_) /\ ~(c1_1_ a292_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (~(c1_1_ a294_) /\ (c2_1_ a294_ /\ ~(c3_1_ a294_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c2_1_ a297_ /\ (c0_1_ a297_ /\ ~(c1_1_ a297_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c2_1_ a299_ /\ (c0_1_ a299_ /\ ~(c3_1_ a299_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (~(c1_1_ a300_) /\ (c0_1_ a300_ /\ ~(c2_1_ a300_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c1_1_ a301_ /\ (~(c3_1_ a301_) /\ ~(c0_1_ a301_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (~(c1_1_ a306_) /\ (~(c3_1_ a306_) /\ ~(c2_1_ a306_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c1_1_ a309_ /\ (c0_1_ a309_ /\ ~(c2_1_ a309_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (~(c3_1_ a310_) /\ (~(c1_1_ a310_) /\ ~(c2_1_ a310_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c3_1_ a311_ /\ (c0_1_ a311_ /\ ~(c1_1_ a311_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (~(c3_1_ a312_) /\ (~(c0_1_ a312_) /\ ~(c2_1_ a312_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c1_1_ a313_ /\ (c3_1_ a313_ /\ ~(c2_1_ a313_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c3_1_ a317_ /\ (c1_1_ a317_ /\ ~(c0_1_ a317_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (~(c0_1_ a318_) /\ (~(c3_1_ a318_) /\ ~(c2_1_ a318_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (~(c2_1_ a319_) /\ (c1_1_ a319_ /\ ~(c0_1_ a319_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c3_1_ a322_ /\ (~(c2_1_ a322_) /\ ~(c1_1_ a322_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (~(c3_1_ a324_) /\ (~(c2_1_ a324_) /\ ~(c0_1_ a324_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c0_1_ a326_ /\ (~(c1_1_ a326_) /\ ~(c2_1_ a326_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c3_1_ a327_ /\ (~(c1_1_ a327_) /\ ~(c0_1_ a327_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c1_1_ a333_ /\ (~(c2_1_ a333_) /\ ~(c3_1_ a333_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c0_1_ a336_ /\ (~(c2_1_ a336_) /\ ~(c1_1_ a336_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (~(c2_1_ a337_) /\ (~(c0_1_ a337_) /\ ~(c3_1_ a337_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (~(c0_1_ a347_) /\ (~(c2_1_ a347_) /\ ~(c1_1_ a347_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c1_1_ a284_ /\ (~(c0_1_ a284_) /\ c2_1_ a284_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a285_ /\ (c2_1_ a285_ /\ c1_1_ a285_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (~(c1_1_ a286_) /\ (~(c0_1_ a286_) /\ c2_1_ a286_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c2_1_ a287_ /\ (c0_1_ a287_ /\ c3_1_ a287_)))) /\ ((~(hskp31_) \/ (ndr1_0_ /\ (~(c1_1_ a288_) /\ (~(c2_1_ a288_) /\ c3_1_ a288_)))) /\ ((~(hskp32_) \/ (ndr1_0_ /\ (c2_1_ a289_ /\ (c3_1_ a289_ /\ c0_1_ a289_)))) /\ ((~(hskp33_) \/ (ndr1_0_ /\ (c1_1_ a293_ /\ (~(c2_1_ a293_) /\ c0_1_ a293_)))) /\ ((~(hskp34_) \/ (ndr1_0_ /\ (~(c3_1_ a296_) /\ (c2_1_ a296_ /\ c1_1_ a296_)))) /\ ((~(hskp35_) \/ (ndr1_0_ /\ (~(c0_1_ a298_) /\ (~(c3_1_ a298_) /\ c2_1_ a298_)))) /\ ((~(hskp36_) \/ (ndr1_0_ /\ (c1_1_ a302_ /\ (c0_1_ a302_ /\ c3_1_ a302_)))) /\ ((~(hskp37_) \/ (ndr1_0_ /\ (c0_1_ a303_ /\ (c1_1_ a303_ /\ c2_1_ a303_)))) /\ ((~(hskp38_) \/ (ndr1_0_ /\ (~(c2_1_ a304_) /\ (c0_1_ a304_ /\ c1_1_ a304_)))) /\ ((~(hskp39_) \/ (ndr1_0_ /\ (~(c2_1_ a305_) /\ (~(c1_1_ a305_) /\ c0_1_ a305_)))) /\ ((~(hskp40_) \/ (ndr1_0_ /\ (c2_1_ a307_ /\ (~(c0_1_ a307_) /\ c1_1_ a307_)))) /\ ((~(hskp41_) \/ (ndr1_0_ /\ (c1_1_ a315_ /\ (c3_1_ a315_ /\ c2_1_ a315_)))) /\ ((~(hskp42_) \/ (ndr1_0_ /\ (~(c1_1_ a316_) /\ (~(c3_1_ a316_) /\ c0_1_ a316_)))) /\ ((~(hskp43_) \/ (ndr1_0_ /\ (~(c2_1_ a325_) /\ (c1_1_ a325_ /\ c3_1_ a325_)))) /\ ((~(hskp44_) \/ (ndr1_0_ /\ (c2_1_ a330_ /\ (~(c3_1_ a330_) /\ c0_1_ a330_)))) /\ ((~(hskp45_) \/ (ndr1_0_ /\ (c1_1_ a331_ /\ (~(c3_1_ a331_) /\ c2_1_ a331_)))) /\ ((~(hskp46_) \/ (ndr1_0_ /\ (~(c3_1_ a334_) /\ (~(c0_1_ a334_) /\ c2_1_ a334_)))) /\ ((~(hskp47_) \/ (ndr1_0_ /\ (~(c0_1_ a335_) /\ (~(c2_1_ a335_) /\ c1_1_ a335_)))) /\ ((~(hskp48_) \/ (ndr1_0_ /\ (~(c3_1_ a340_) /\ (c1_1_ a340_ /\ c2_1_ a340_)))) /\ ((~(hskp49_) \/ (ndr1_0_ /\ (c3_1_ a342_ /\ (~(c1_1_ a342_) /\ c0_1_ a342_)))) /\ ((~(hskp50_) \/ (ndr1_0_ /\ (c0_1_ a343_ /\ (c1_1_ a343_ /\ c3_1_ a343_)))) /\ ((~(hskp51_) \/ (ndr1_0_ /\ (c0_1_ a344_ /\ (~(c1_1_ a344_) /\ c3_1_ a344_)))) /\ ((~(hskp52_) \/ (ndr1_0_ /\ (~(c0_1_ a345_) /\ (c2_1_ a345_ /\ c1_1_ a345_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c3_1_ U \/ (~(c0_1_ U) \/ c2_1_ U)))) \/ (hskp0_ \/ (forall V : Universe, (ndr1_0_ -> (c1_1_ V \/ (c0_1_ V \/ c3_1_ V)))))) /\ ((hskp1_ \/ (hskp27_ \/ hskp28_)) /\ ((hskp29_ \/ (hskp30_ \/ (forall W : Universe, (ndr1_0_ -> (c2_1_ W \/ (~(c3_1_ W) \/ ~(c1_1_ W))))))) /\ (((forall X : Universe, (ndr1_0_ -> (~(c2_1_ X) \/ (~(c1_1_ X) \/ ~(c0_1_ X))))) \/ (hskp31_ \/ (forall Y : Universe, (ndr1_0_ -> (c1_1_ Y \/ (~(c2_1_ Y) \/ ~(c3_1_ Y))))))) /\ ((hskp32_ \/ (hskp2_ \/ (forall Z : Universe, (ndr1_0_ -> (c3_1_ Z \/ (c0_1_ Z \/ ~(c2_1_ Z))))))) /\ (((forall X1 : Universe, (ndr1_0_ -> (c2_1_ X1 \/ (~(c3_1_ X1) \/ ~(c1_1_ X1))))) \/ (hskp3_ \/ hskp4_)) /\ ((hskp33_ \/ ((forall X2 : Universe, (ndr1_0_ -> (~(c0_1_ X2) \/ (~(c2_1_ X2) \/ ~(c1_1_ X2))))) \/ hskp5_)) /\ ((hskp33_ \/ (hskp34_ \/ (forall X3 : Universe, (ndr1_0_ -> (c2_1_ X3 \/ (c1_1_ X3 \/ c0_1_ X3)))))) /\ (((forall X4 : Universe, (ndr1_0_ -> (~(c2_1_ X4) \/ (c0_1_ X4 \/ ~(c3_1_ X4))))) \/ ((forall X5 : Universe, (ndr1_0_ -> (c1_1_ X5 \/ (~(c2_1_ X5) \/ c3_1_ X5)))) \/ (forall X6 : Universe, (ndr1_0_ -> (~(c2_1_ X6) \/ (~(c0_1_ X6) \/ c1_1_ X6)))))) /\ (((forall X7 : Universe, (ndr1_0_ -> (~(c2_1_ X7) \/ (c3_1_ X7 \/ ~(c1_1_ X7))))) \/ ((forall X8 : Universe, (ndr1_0_ -> (c2_1_ X8 \/ (~(c0_1_ X8) \/ ~(c3_1_ X8))))) \/ hskp6_)) /\ (((forall X9 : Universe, (ndr1_0_ -> (c1_1_ X9 \/ (c3_1_ X9 \/ ~(c0_1_ X9))))) \/ ((forall X10 : Universe, (ndr1_0_ -> (~(c2_1_ X10) \/ (~(c1_1_ X10) \/ ~(c3_1_ X10))))) \/ hskp35_)) /\ (((forall X11 : Universe, (ndr1_0_ -> (~(c2_1_ X11) \/ (~(c0_1_ X11) \/ ~(c1_1_ X11))))) \/ (hskp7_ \/ (forall X12 : Universe, (ndr1_0_ -> (~(c0_1_ X12) \/ (c1_1_ X12 \/ ~(c3_1_ X12))))))) /\ (((forall X13 : Universe, (ndr1_0_ -> (~(c1_1_ X13) \/ (c3_1_ X13 \/ ~(c0_1_ X13))))) \/ ((forall X14 : Universe, (ndr1_0_ -> (c3_1_ X14 \/ (c1_1_ X14 \/ ~(c2_1_ X14))))) \/ hskp8_)) /\ ((hskp9_ \/ ((forall X15 : Universe, (ndr1_0_ -> (~(c0_1_ X15) \/ (c3_1_ X15 \/ ~(c1_1_ X15))))) \/ (forall X16 : Universe, (ndr1_0_ -> (~(c0_1_ X16) \/ (c3_1_ X16 \/ c2_1_ X16)))))) /\ ((hskp36_ \/ ((forall X17 : Universe, (ndr1_0_ -> (~(c3_1_ X17) \/ (~(c0_1_ X17) \/ c2_1_ X17)))) \/ (forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (~(c2_1_ X18) \/ c1_1_ X18)))))) /\ ((hskp37_ \/ (hskp38_ \/ (forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (c2_1_ X19 \/ ~(c1_1_ X19))))))) /\ ((hskp39_ \/ (hskp10_ \/ (forall X20 : Universe, (ndr1_0_ -> (~(c3_1_ X20) \/ (c2_1_ X20 \/ ~(c1_1_ X20))))))) /\ ((hskp40_ \/ ((forall X21 : Universe, (ndr1_0_ -> (~(c2_1_ X21) \/ (~(c0_1_ X21) \/ ~(c1_1_ X21))))) \/ (forall X22 : Universe, (ndr1_0_ -> (c3_1_ X22 \/ (c0_1_ X22 \/ c1_1_ X22)))))) /\ (((forall X23 : Universe, (ndr1_0_ -> (c3_1_ X23 \/ (c0_1_ X23 \/ c1_1_ X23)))) \/ (hskp30_ \/ hskp11_)) /\ ((hskp12_ \/ ((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (~(c3_1_ X24) \/ ~(c1_1_ X24))))) \/ (forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c1_1_ X25 \/ ~(c3_1_ X25))))))) /\ ((hskp13_ \/ ((forall X26 : Universe, (ndr1_0_ -> (c2_1_ X26 \/ (c1_1_ X26 \/ ~(c3_1_ X26))))) \/ hskp14_)) /\ ((hskp15_ \/ ((forall X27 : Universe, (ndr1_0_ -> (c2_1_ X27 \/ (~(c1_1_ X27) \/ ~(c3_1_ X27))))) \/ hskp13_)) /\ ((hskp41_ \/ (hskp42_ \/ (forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (~(c2_1_ X28) \/ c1_1_ X28)))))) /\ (((forall X29 : Universe, (ndr1_0_ -> (c0_1_ X29 \/ (c2_1_ X29 \/ ~(c1_1_ X29))))) \/ (hskp16_ \/ (forall X30 : Universe, (ndr1_0_ -> (~(c0_1_ X30) \/ (c2_1_ X30 \/ c3_1_ X30)))))) /\ ((hskp17_ \/ (hskp18_ \/ (forall X31 : Universe, (ndr1_0_ -> (~(c1_1_ X31) \/ (~(c3_1_ X31) \/ c0_1_ X31)))))) /\ (((forall X32 : Universe, (ndr1_0_ -> (~(c1_1_ X32) \/ (c3_1_ X32 \/ c2_1_ X32)))) \/ ((forall X33 : Universe, (ndr1_0_ -> (c3_1_ X33 \/ (~(c1_1_ X33) \/ c0_1_ X33)))) \/ hskp4_)) /\ (((forall X34 : Universe, (ndr1_0_ -> (c2_1_ X34 \/ (c1_1_ X34 \/ c0_1_ X34)))) \/ ((forall X35 : Universe, (ndr1_0_ -> (c2_1_ X35 \/ (c3_1_ X35 \/ c0_1_ X35)))) \/ hskp13_)) /\ ((hskp19_ \/ (hskp18_ \/ hskp20_)) /\ ((hskp43_ \/ (hskp21_ \/ hskp22_)) /\ ((hskp43_ \/ (hskp42_ \/ hskp44_)) /\ ((hskp45_ \/ (hskp18_ \/ hskp23_)) /\ ((hskp46_ \/ (hskp47_ \/ hskp24_)) /\ ((hskp25_ \/ ((forall X36 : Universe, (ndr1_0_ -> (c3_1_ X36 \/ (c0_1_ X36 \/ ~(c1_1_ X36))))) \/ (forall X37 : Universe, (ndr1_0_ -> (c1_1_ X37 \/ (~(c3_1_ X37) \/ ~(c2_1_ X37))))))) /\ (((forall X38 : Universe, (ndr1_0_ -> (c1_1_ X38 \/ (~(c2_1_ X38) \/ c3_1_ X38)))) \/ (hskp7_ \/ (forall X39 : Universe, (ndr1_0_ -> (~(c3_1_ X39) \/ (~(c0_1_ X39) \/ ~(c2_1_ X39))))))) /\ ((hskp19_ \/ ((forall X40 : Universe, (ndr1_0_ -> (~(c3_1_ X40) \/ (~(c0_1_ X40) \/ ~(c2_1_ X40))))) \/ hskp48_)) /\ ((hskp45_ \/ ((forall X41 : Universe, (ndr1_0_ -> (~(c0_1_ X41) \/ (~(c1_1_ X41) \/ ~(c2_1_ X41))))) \/ hskp49_)) /\ ((hskp50_ \/ hskp51_) /\ (((forall X42 : Universe, (ndr1_0_ -> (~(c3_1_ X42) \/ (c0_1_ X42 \/ ~(c1_1_ X42))))) \/ (hskp52_ \/ (forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (~(c3_1_ X43) \/ ~(c1_1_ X43))))))) /\ (((forall X44 : Universe, (ndr1_0_ -> (~(c2_1_ X44) \/ (c0_1_ X44 \/ ~(c1_1_ X44))))) \/ ((forall X45 : Universe, (ndr1_0_ -> (~(c3_1_ X45) \/ (~(c0_1_ X45) \/ ~(c1_1_ X45))))) \/ (forall X46 : Universe, (ndr1_0_ -> (~(c2_1_ X46) \/ (~(c3_1_ X46) \/ c0_1_ X46)))))) /\ ((forall X47 : Universe, (ndr1_0_ -> (~(c3_1_ X47) \/ (~(c0_1_ X47) \/ c1_1_ X47)))) \/ (hskp41_ \/ hskp26_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
