(*
% File     : SYN437+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=48, K=3, D=1, P=0, Index=082
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-48-3-1-082.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.17 v2.7.0, 0.33 v2.6.0, 0.00 v2.4.0, 0.67 v2.2.1, 1.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  644 (   0 equality)
%            Maximal formula depth :  108 ( 108 average)
%            Number of connectives :  909 ( 266 ~  ; 308  |; 255  &)
%                                         (   0 <=>;  80 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   57 (  53 propositional; 0-1 arity)
%            Number of functors    :   52 (  52 constant; 0-0 arity)
%            Number of variables   :   80 (   0 singleton;  80 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp51_ : Prop.
Variable hskp50_ : Prop.
Variable hskp5_ : Prop.
Variable hskp49_ : Prop.
Variable hskp48_ : Prop.
Variable hskp47_ : Prop.
Variable hskp46_ : Prop.
Variable hskp45_ : Prop.
Variable hskp44_ : Prop.
Variable hskp43_ : Prop.
Variable hskp42_ : Prop.
Variable hskp41_ : Prop.
Variable hskp40_ : Prop.
Variable hskp4_ : Prop.
Variable hskp39_ : Prop.
Variable hskp38_ : Prop.
Variable hskp37_ : Prop.
Variable hskp36_ : Prop.
Variable hskp35_ : Prop.
Variable hskp34_ : Prop.
Variable hskp33_ : Prop.
Variable hskp32_ : Prop.
Variable hskp31_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a464_ : Universe.
Variable a462_ : Universe.
Variable a461_ : Universe.
Variable a460_ : Universe.
Variable a459_ : Universe.
Variable a455_ : Universe.
Variable a454_ : Universe.
Variable a452_ : Universe.
Variable a451_ : Universe.
Variable a450_ : Universe.
Variable a449_ : Universe.
Variable a448_ : Universe.
Variable a446_ : Universe.
Variable a445_ : Universe.
Variable a444_ : Universe.
Variable a443_ : Universe.
Variable a441_ : Universe.
Variable a440_ : Universe.
Variable a439_ : Universe.
Variable a438_ : Universe.
Variable a437_ : Universe.
Variable a436_ : Universe.
Variable a435_ : Universe.
Variable a434_ : Universe.
Variable a433_ : Universe.
Variable a432_ : Universe.
Variable a431_ : Universe.
Variable a430_ : Universe.
Variable a429_ : Universe.
Variable a428_ : Universe.
Variable a427_ : Universe.
Variable a424_ : Universe.
Variable a422_ : Universe.
Variable a421_ : Universe.
Variable a420_ : Universe.
Variable a419_ : Universe.
Variable a418_ : Universe.
Variable a417_ : Universe.
Variable a416_ : Universe.
Variable a415_ : Universe.
Variable a414_ : Universe.
Variable a413_ : Universe.
Variable a412_ : Universe.
Variable a411_ : Universe.
Variable a410_ : Universe.
Variable a409_ : Universe.
Variable a408_ : Universe.
Variable a407_ : Universe.
Variable a405_ : Universe.
Variable a404_ : Universe.
Variable a403_ : Universe.
Variable a402_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (~(c3_1_ a402_) /\ (~(c2_1_ a402_) /\ ~(c1_1_ a402_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c2_1_ a403_ /\ (c3_1_ a403_ /\ ~(c1_1_ a403_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c1_1_ a405_ /\ (c0_1_ a405_ /\ ~(c2_1_ a405_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (~(c1_1_ a407_) /\ (~(c0_1_ a407_) /\ ~(c3_1_ a407_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (~(c2_1_ a411_) /\ (~(c1_1_ a411_) /\ ~(c3_1_ a411_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (~(c1_1_ a413_) /\ (c0_1_ a413_ /\ ~(c3_1_ a413_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c2_1_ a416_ /\ (~(c3_1_ a416_) /\ ~(c1_1_ a416_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (~(c3_1_ a418_) /\ (c1_1_ a418_ /\ ~(c2_1_ a418_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (~(c2_1_ a420_) /\ (c1_1_ a420_ /\ ~(c3_1_ a420_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c3_1_ a421_ /\ (c2_1_ a421_ /\ ~(c0_1_ a421_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (~(c1_1_ a422_) /\ (c0_1_ a422_ /\ ~(c2_1_ a422_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (~(c0_1_ a428_) /\ (~(c1_1_ a428_) /\ ~(c2_1_ a428_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c1_1_ a430_ /\ (c3_1_ a430_ /\ ~(c2_1_ a430_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (~(c2_1_ a433_) /\ (~(c3_1_ a433_) /\ ~(c0_1_ a433_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (~(c3_1_ a437_) /\ (~(c1_1_ a437_) /\ ~(c2_1_ a437_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c2_1_ a440_ /\ (c0_1_ a440_ /\ ~(c3_1_ a440_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (~(c0_1_ a441_) /\ (c1_1_ a441_ /\ ~(c2_1_ a441_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c2_1_ a443_ /\ (~(c1_1_ a443_) /\ ~(c0_1_ a443_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (~(c2_1_ a444_) /\ (c0_1_ a444_ /\ ~(c1_1_ a444_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c2_1_ a445_ /\ (c0_1_ a445_ /\ ~(c1_1_ a445_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (~(c0_1_ a448_) /\ (~(c1_1_ a448_) /\ ~(c3_1_ a448_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (~(c0_1_ a450_) /\ (c3_1_ a450_ /\ ~(c2_1_ a450_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (~(c0_1_ a451_) /\ (~(c3_1_ a451_) /\ ~(c2_1_ a451_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (~(c1_1_ a452_) /\ (c3_1_ a452_ /\ ~(c0_1_ a452_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c0_1_ a454_ /\ (~(c3_1_ a454_) /\ ~(c2_1_ a454_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c1_1_ a460_ /\ (c2_1_ a460_ /\ ~(c0_1_ a460_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c1_1_ a461_ /\ (c3_1_ a461_ /\ ~(c0_1_ a461_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (~(c3_1_ a404_) /\ (~(c2_1_ a404_) /\ c1_1_ a404_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (~(c0_1_ a408_) /\ (~(c3_1_ a408_) /\ c2_1_ a408_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (~(c1_1_ a409_) /\ (~(c3_1_ a409_) /\ c0_1_ a409_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (~(c0_1_ a410_) /\ (~(c2_1_ a410_) /\ c1_1_ a410_)))) /\ ((~(hskp31_) \/ (ndr1_0_ /\ (~(c3_1_ a412_) /\ (~(c2_1_ a412_) /\ c0_1_ a412_)))) /\ ((~(hskp32_) \/ (ndr1_0_ /\ (c3_1_ a414_ /\ (~(c0_1_ a414_) /\ c1_1_ a414_)))) /\ ((~(hskp33_) \/ (ndr1_0_ /\ (c1_1_ a415_ /\ (~(c3_1_ a415_) /\ c0_1_ a415_)))) /\ ((~(hskp34_) \/ (ndr1_0_ /\ (c1_1_ a417_ /\ (~(c0_1_ a417_) /\ c2_1_ a417_)))) /\ ((~(hskp35_) \/ (ndr1_0_ /\ (c2_1_ a419_ /\ (c1_1_ a419_ /\ c3_1_ a419_)))) /\ ((~(hskp36_) \/ (ndr1_0_ /\ (~(c0_1_ a424_) /\ (c3_1_ a424_ /\ c2_1_ a424_)))) /\ ((~(hskp37_) \/ (ndr1_0_ /\ (~(c1_1_ a427_) /\ (~(c2_1_ a427_) /\ c3_1_ a427_)))) /\ ((~(hskp38_) \/ (ndr1_0_ /\ (~(c0_1_ a429_) /\ (~(c3_1_ a429_) /\ c1_1_ a429_)))) /\ ((~(hskp39_) \/ (ndr1_0_ /\ (c3_1_ a431_ /\ (c1_1_ a431_ /\ c2_1_ a431_)))) /\ ((~(hskp40_) \/ (ndr1_0_ /\ (~(c3_1_ a432_) /\ (c1_1_ a432_ /\ c2_1_ a432_)))) /\ ((~(hskp41_) \/ (ndr1_0_ /\ (c0_1_ a434_ /\ (c1_1_ a434_ /\ c3_1_ a434_)))) /\ ((~(hskp42_) \/ (ndr1_0_ /\ (c2_1_ a435_ /\ (~(c3_1_ a435_) /\ c0_1_ a435_)))) /\ ((~(hskp43_) \/ (ndr1_0_ /\ (c2_1_ a436_ /\ (~(c0_1_ a436_) /\ c3_1_ a436_)))) /\ ((~(hskp44_) \/ (ndr1_0_ /\ (~(c0_1_ a438_) /\ (c1_1_ a438_ /\ c2_1_ a438_)))) /\ ((~(hskp45_) \/ (ndr1_0_ /\ (c3_1_ a439_ /\ (~(c2_1_ a439_) /\ c0_1_ a439_)))) /\ ((~(hskp46_) \/ (ndr1_0_ /\ (~(c2_1_ a446_) /\ (~(c3_1_ a446_) /\ c1_1_ a446_)))) /\ ((~(hskp47_) \/ (ndr1_0_ /\ (c0_1_ a449_ /\ (~(c3_1_ a449_) /\ c1_1_ a449_)))) /\ ((~(hskp48_) \/ (ndr1_0_ /\ (c3_1_ a455_ /\ (c2_1_ a455_ /\ c1_1_ a455_)))) /\ ((~(hskp49_) \/ (ndr1_0_ /\ (~(c2_1_ a459_) /\ (~(c1_1_ a459_) /\ c0_1_ a459_)))) /\ ((~(hskp50_) \/ (ndr1_0_ /\ (~(c1_1_ a462_) /\ (c3_1_ a462_ /\ c0_1_ a462_)))) /\ ((~(hskp51_) \/ (ndr1_0_ /\ (c1_1_ a464_ /\ (~(c2_1_ a464_) /\ c0_1_ a464_)))) /\ (((forall U : Universe, (ndr1_0_ -> (~(c2_1_ U) \/ (c0_1_ U \/ ~(c3_1_ U))))) \/ (hskp0_ \/ (forall V : Universe, (ndr1_0_ -> (c1_1_ V \/ (c2_1_ V \/ ~(c0_1_ V))))))) /\ (((forall W : Universe, (ndr1_0_ -> (~(c1_1_ W) \/ (~(c0_1_ W) \/ ~(c2_1_ W))))) \/ ((forall X : Universe, (ndr1_0_ -> (c1_1_ X \/ (~(c3_1_ X) \/ ~(c2_1_ X))))) \/ hskp1_)) /\ ((hskp27_ \/ (hskp2_ \/ (forall Y : Universe, (ndr1_0_ -> (~(c2_1_ Y) \/ (~(c1_1_ Y) \/ c3_1_ Y)))))) /\ ((hskp1_ \/ (hskp3_ \/ hskp28_)) /\ ((hskp29_ \/ ((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (~(c3_1_ Z) \/ c1_1_ Z)))) \/ hskp30_)) /\ (((forall X1 : Universe, (ndr1_0_ -> (c3_1_ X1 \/ (c1_1_ X1 \/ ~(c2_1_ X1))))) \/ ((forall X2 : Universe, (ndr1_0_ -> (c1_1_ X2 \/ (~(c3_1_ X2) \/ c2_1_ X2)))) \/ hskp4_)) /\ (((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (c3_1_ X3 \/ ~(c1_1_ X3))))) \/ (hskp31_ \/ (forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (~(c2_1_ X4) \/ c1_1_ X4)))))) /\ (((forall X5 : Universe, (ndr1_0_ -> (c1_1_ X5 \/ (~(c3_1_ X5) \/ ~(c0_1_ X5))))) \/ (hskp5_ \/ (forall X6 : Universe, (ndr1_0_ -> (~(c2_1_ X6) \/ (c1_1_ X6 \/ ~(c0_1_ X6))))))) /\ (((forall X7 : Universe, (ndr1_0_ -> (~(c1_1_ X7) \/ (c0_1_ X7 \/ c3_1_ X7)))) \/ ((forall X8 : Universe, (ndr1_0_ -> (c3_1_ X8 \/ (~(c0_1_ X8) \/ ~(c1_1_ X8))))) \/ hskp32_)) /\ ((hskp33_ \/ ((forall X9 : Universe, (ndr1_0_ -> (~(c2_1_ X9) \/ (c0_1_ X9 \/ c1_1_ X9)))) \/ hskp6_)) /\ ((hskp34_ \/ ((forall X10 : Universe, (ndr1_0_ -> (~(c2_1_ X10) \/ (~(c0_1_ X10) \/ c3_1_ X10)))) \/ (forall X11 : Universe, (ndr1_0_ -> (~(c2_1_ X11) \/ (~(c1_1_ X11) \/ c0_1_ X11)))))) /\ (((forall X12 : Universe, (ndr1_0_ -> (~(c3_1_ X12) \/ (~(c2_1_ X12) \/ c0_1_ X12)))) \/ ((forall X13 : Universe, (ndr1_0_ -> (~(c1_1_ X13) \/ (~(c0_1_ X13) \/ ~(c3_1_ X13))))) \/ (forall X14 : Universe, (ndr1_0_ -> (~(c1_1_ X14) \/ (~(c3_1_ X14) \/ c2_1_ X14)))))) /\ (((forall X15 : Universe, (ndr1_0_ -> (~(c0_1_ X15) \/ (~(c1_1_ X15) \/ ~(c3_1_ X15))))) \/ ((forall X16 : Universe, (ndr1_0_ -> (~(c1_1_ X16) \/ (~(c2_1_ X16) \/ ~(c3_1_ X16))))) \/ hskp7_)) /\ ((hskp35_ \/ ((forall X17 : Universe, (ndr1_0_ -> (c1_1_ X17 \/ (c3_1_ X17 \/ ~(c0_1_ X17))))) \/ hskp8_)) /\ (((forall X18 : Universe, (ndr1_0_ -> (c3_1_ X18 \/ (~(c0_1_ X18) \/ c1_1_ X18)))) \/ (hskp9_ \/ hskp10_)) /\ (((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (~(c1_1_ X19) \/ c3_1_ X19)))) \/ (hskp0_ \/ (forall X20 : Universe, (ndr1_0_ -> (~(c1_1_ X20) \/ (~(c2_1_ X20) \/ c0_1_ X20)))))) /\ ((hskp36_ \/ ((forall X21 : Universe, (ndr1_0_ -> (~(c0_1_ X21) \/ (~(c3_1_ X21) \/ ~(c1_1_ X21))))) \/ (forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (~(c3_1_ X22) \/ c1_1_ X22)))))) /\ (((forall X23 : Universe, (ndr1_0_ -> (~(c0_1_ X23) \/ (c1_1_ X23 \/ ~(c3_1_ X23))))) \/ ((forall X24 : Universe, (ndr1_0_ -> (c1_1_ X24 \/ (~(c3_1_ X24) \/ ~(c0_1_ X24))))) \/ (forall X25 : Universe, (ndr1_0_ -> (c1_1_ X25 \/ (~(c0_1_ X25) \/ c2_1_ X25)))))) /\ ((hskp3_ \/ (hskp2_ \/ hskp37_)) /\ (((forall X26 : Universe, (ndr1_0_ -> (~(c0_1_ X26) \/ (~(c2_1_ X26) \/ c1_1_ X26)))) \/ (hskp11_ \/ (forall X27 : Universe, (ndr1_0_ -> (c2_1_ X27 \/ (~(c3_1_ X27) \/ ~(c0_1_ X27))))))) /\ ((hskp38_ \/ ((forall X28 : Universe, (ndr1_0_ -> (~(c3_1_ X28) \/ (~(c2_1_ X28) \/ c1_1_ X28)))) \/ hskp12_)) /\ ((hskp39_ \/ (hskp40_ \/ (forall X29 : Universe, (ndr1_0_ -> (c3_1_ X29 \/ (c0_1_ X29 \/ c1_1_ X29)))))) /\ ((hskp13_ \/ (hskp41_ \/ (forall X30 : Universe, (ndr1_0_ -> (~(c1_1_ X30) \/ (~(c0_1_ X30) \/ c2_1_ X30)))))) /\ (((forall X31 : Universe, (ndr1_0_ -> (c0_1_ X31 \/ (~(c3_1_ X31) \/ ~(c2_1_ X31))))) \/ ((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (~(c2_1_ X32) \/ ~(c1_1_ X32))))) \/ (forall X33 : Universe, (ndr1_0_ -> (~(c0_1_ X33) \/ (~(c2_1_ X33) \/ ~(c1_1_ X33))))))) /\ ((hskp42_ \/ ((forall X34 : Universe, (ndr1_0_ -> (~(c2_1_ X34) \/ (c0_1_ X34 \/ c3_1_ X34)))) \/ (forall X35 : Universe, (ndr1_0_ -> (~(c0_1_ X35) \/ (c1_1_ X35 \/ c3_1_ X35)))))) /\ (((forall X36 : Universe, (ndr1_0_ -> (c3_1_ X36 \/ (~(c1_1_ X36) \/ ~(c2_1_ X36))))) \/ (hskp43_ \/ (forall X37 : Universe, (ndr1_0_ -> (c3_1_ X37 \/ (~(c2_1_ X37) \/ c1_1_ X37)))))) /\ ((hskp14_ \/ ((forall X38 : Universe, (ndr1_0_ -> (c3_1_ X38 \/ (c0_1_ X38 \/ c1_1_ X38)))) \/ (forall X39 : Universe, (ndr1_0_ -> (~(c0_1_ X39) \/ (~(c3_1_ X39) \/ c1_1_ X39)))))) /\ ((hskp44_ \/ ((forall X40 : Universe, (ndr1_0_ -> (c3_1_ X40 \/ (~(c0_1_ X40) \/ c1_1_ X40)))) \/ (forall X41 : Universe, (ndr1_0_ -> (~(c0_1_ X41) \/ (~(c1_1_ X41) \/ c2_1_ X41)))))) /\ (((forall X42 : Universe, (ndr1_0_ -> (~(c0_1_ X42) \/ (~(c2_1_ X42) \/ ~(c1_1_ X42))))) \/ (hskp45_ \/ hskp15_)) /\ (((forall X43 : Universe, (ndr1_0_ -> (c2_1_ X43 \/ (c3_1_ X43 \/ ~(c0_1_ X43))))) \/ (hskp16_ \/ (forall X44 : Universe, (ndr1_0_ -> (c0_1_ X44 \/ (~(c2_1_ X44) \/ c3_1_ X44)))))) /\ (((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (~(c1_1_ X45) \/ c3_1_ X45)))) \/ ((forall X46 : Universe, (ndr1_0_ -> (c3_1_ X46 \/ (c1_1_ X46 \/ ~(c0_1_ X46))))) \/ hskp37_)) /\ ((hskp17_ \/ (hskp18_ \/ (forall X47 : Universe, (ndr1_0_ -> (c3_1_ X47 \/ (~(c2_1_ X47) \/ ~(c1_1_ X47))))))) /\ (((forall X48 : Universe, (ndr1_0_ -> (c2_1_ X48 \/ (c3_1_ X48 \/ ~(c1_1_ X48))))) \/ ((forall X49 : Universe, (ndr1_0_ -> (~(c2_1_ X49) \/ (~(c0_1_ X49) \/ ~(c3_1_ X49))))) \/ hskp19_)) /\ (((forall X50 : Universe, (ndr1_0_ -> (c1_1_ X50 \/ (c0_1_ X50 \/ ~(c2_1_ X50))))) \/ (hskp46_ \/ (forall X51 : Universe, (ndr1_0_ -> (~(c0_1_ X51) \/ (~(c1_1_ X51) \/ c2_1_ X51)))))) /\ ((hskp11_ \/ ((forall X52 : Universe, (ndr1_0_ -> (~(c1_1_ X52) \/ (c2_1_ X52 \/ ~(c3_1_ X52))))) \/ hskp20_)) /\ ((hskp47_ \/ ((forall X53 : Universe, (ndr1_0_ -> (~(c0_1_ X53) \/ (~(c1_1_ X53) \/ ~(c3_1_ X53))))) \/ hskp21_)) /\ ((hskp22_ \/ ((forall X54 : Universe, (ndr1_0_ -> (c0_1_ X54 \/ (c2_1_ X54 \/ ~(c3_1_ X54))))) \/ hskp23_)) /\ ((hskp36_ \/ ((forall X55 : Universe, (ndr1_0_ -> (~(c1_1_ X55) \/ (~(c3_1_ X55) \/ c0_1_ X55)))) \/ (forall X56 : Universe, (ndr1_0_ -> (~(c3_1_ X56) \/ (c1_1_ X56 \/ ~(c2_1_ X56))))))) /\ (((forall X57 : Universe, (ndr1_0_ -> (~(c3_1_ X57) \/ (c0_1_ X57 \/ ~(c2_1_ X57))))) \/ ((forall X58 : Universe, (ndr1_0_ -> (~(c3_1_ X58) \/ (c2_1_ X58 \/ ~(c1_1_ X58))))) \/ (forall X59 : Universe, (ndr1_0_ -> (~(c0_1_ X59) \/ (c3_1_ X59 \/ c1_1_ X59)))))) /\ ((hskp24_ \/ (hskp48_ \/ hskp46_)) /\ ((hskp40_ \/ ((forall X60 : Universe, (ndr1_0_ -> (c1_1_ X60 \/ (~(c2_1_ X60) \/ ~(c0_1_ X60))))) \/ (forall X61 : Universe, (ndr1_0_ -> (c2_1_ X61 \/ (c3_1_ X61 \/ c1_1_ X61)))))) /\ (((forall X62 : Universe, (ndr1_0_ -> (c2_1_ X62 \/ (c3_1_ X62 \/ ~(c0_1_ X62))))) \/ ((forall X63 : Universe, (ndr1_0_ -> (c0_1_ X63 \/ (~(c2_1_ X63) \/ ~(c1_1_ X63))))) \/ (forall X64 : Universe, (ndr1_0_ -> (~(c2_1_ X64) \/ (c0_1_ X64 \/ ~(c3_1_ X64))))))) /\ (((forall X65 : Universe, (ndr1_0_ -> (c2_1_ X65 \/ (~(c1_1_ X65) \/ ~(c3_1_ X65))))) \/ (hskp11_ \/ hskp49_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c2_1_ X66 \/ (~(c1_1_ X66) \/ ~(c0_1_ X66))))) \/ ((forall X67 : Universe, (ndr1_0_ -> (c2_1_ X67 \/ (~(c3_1_ X67) \/ ~(c1_1_ X67))))) \/ (forall X68 : Universe, (ndr1_0_ -> (c2_1_ X68 \/ (c1_1_ X68 \/ c0_1_ X68)))))) /\ (((forall X69 : Universe, (ndr1_0_ -> (c1_1_ X69 \/ (c2_1_ X69 \/ ~(c3_1_ X69))))) \/ ((forall X70 : Universe, (ndr1_0_ -> (~(c1_1_ X70) \/ (c2_1_ X70 \/ c3_1_ X70)))) \/ (forall X71 : Universe, (ndr1_0_ -> (c3_1_ X71 \/ (c1_1_ X71 \/ c2_1_ X71)))))) /\ (((forall X72 : Universe, (ndr1_0_ -> (c1_1_ X72 \/ (c0_1_ X72 \/ c2_1_ X72)))) \/ (hskp25_ \/ hskp26_)) /\ ((hskp50_ \/ (hskp17_ \/ hskp51_)) /\ (hskp34_ \/ ((forall X73 : Universe, (ndr1_0_ -> (~(c1_1_ X73) \/ (c0_1_ X73 \/ ~(c2_1_ X73))))) \/ (forall X74 : Universe, (ndr1_0_ -> (~(c0_1_ X74) \/ (~(c2_1_ X74) \/ c1_1_ X74)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
