(*
% File     : SYN438+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=48, K=3, D=1, P=0, Index=089
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-48-3-1-089.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.17 v2.7.0, 0.33 v2.6.0, 0.00 v2.4.0, 0.33 v2.2.1, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  515 (   0 equality)
%            Maximal formula depth :   81 (  81 average)
%            Number of connectives :  700 ( 186 ~  ; 273  |; 167  &)
%                                         (   0 <=>;  74 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   35 (  31 propositional; 0-1 arity)
%            Number of functors    :   30 (  30 constant; 0-0 arity)
%            Number of variables   :   74 (   0 singleton;  74 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a98_ : Universe.
Variable a96_ : Universe.
Variable a92_ : Universe.
Variable a90_ : Universe.
Variable a87_ : Universe.
Variable a83_ : Universe.
Variable a82_ : Universe.
Variable a79_ : Universe.
Variable a77_ : Universe.
Variable a74_ : Universe.
Variable a73_ : Universe.
Variable a71_ : Universe.
Variable a70_ : Universe.
Variable a69_ : Universe.
Variable a67_ : Universe.
Variable a66_ : Universe.
Variable a64_ : Universe.
Variable a63_ : Universe.
Variable a62_ : Universe.
Variable a61_ : Universe.
Variable a60_ : Universe.
Variable a59_ : Universe.
Variable a58_ : Universe.
Variable a57_ : Universe.
Variable a56_ : Universe.
Variable a55_ : Universe.
Variable a117_ : Universe.
Variable a116_ : Universe.
Variable a104_ : Universe.
Variable a103_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c1_1_ a55_ /\ (c3_1_ a55_ /\ ~(c0_1_ a55_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c1_1_ a56_ /\ (~(c0_1_ a56_) /\ ~(c3_1_ a56_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c1_1_ a57_ /\ (~(c0_1_ a57_) /\ ~(c2_1_ a57_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c2_1_ a58_ /\ (~(c1_1_ a58_) /\ ~(c3_1_ a58_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c2_1_ a59_ /\ (c3_1_ a59_ /\ ~(c1_1_ a59_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c0_1_ a60_ /\ (~(c1_1_ a60_) /\ ~(c2_1_ a60_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c1_1_ a61_ /\ (c2_1_ a61_ /\ ~(c3_1_ a61_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c0_1_ a62_ /\ (c1_1_ a62_ /\ ~(c3_1_ a62_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (~(c0_1_ a63_) /\ (~(c1_1_ a63_) /\ ~(c3_1_ a63_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c0_1_ a64_ /\ (c2_1_ a64_ /\ ~(c3_1_ a64_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c2_1_ a67_ /\ (~(c0_1_ a67_) /\ ~(c1_1_ a67_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c1_1_ a69_ /\ (c2_1_ a69_ /\ ~(c0_1_ a69_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c1_1_ a70_ /\ (~(c2_1_ a70_) /\ ~(c3_1_ a70_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c3_1_ a71_ /\ (~(c0_1_ a71_) /\ ~(c1_1_ a71_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (~(c1_1_ a73_) /\ (~(c2_1_ a73_) /\ ~(c3_1_ a73_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c3_1_ a74_ /\ (~(c0_1_ a74_) /\ ~(c2_1_ a74_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c0_1_ a77_ /\ (c3_1_ a77_ /\ ~(c1_1_ a77_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c1_1_ a79_ /\ (c3_1_ a79_ /\ ~(c2_1_ a79_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c0_1_ a82_ /\ (c3_1_ a82_ /\ ~(c2_1_ a82_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (~(c0_1_ a83_) /\ (~(c1_1_ a83_) /\ ~(c2_1_ a83_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c0_1_ a90_ /\ (c1_1_ a90_ /\ ~(c2_1_ a90_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c0_1_ a92_ /\ (c2_1_ a92_ /\ ~(c1_1_ a92_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c0_1_ a98_ /\ (~(c1_1_ a98_) /\ ~(c3_1_ a98_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c2_1_ a104_ /\ (c3_1_ a104_ /\ ~(c0_1_ a104_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c2_1_ a116_ /\ (~(c0_1_ a116_) /\ ~(c3_1_ a116_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c3_1_ a117_ /\ (~(c1_1_ a117_) /\ ~(c2_1_ a117_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c1_1_ a66_ /\ (c2_1_ a66_ /\ c3_1_ a66_)))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a87_ /\ (c2_1_ a87_ /\ c3_1_ a87_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a96_ /\ (c1_1_ a96_ /\ c3_1_ a96_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a103_ /\ (c1_1_ a103_ /\ c2_1_ a103_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ (hskp0_ \/ hskp1_)) /\ (((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c1_1_ V \/ c2_1_ V)))) \/ (hskp2_ \/ hskp3_)) /\ (((forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c1_1_ W \/ c3_1_ W)))) \/ ((forall X : Universe, (ndr1_0_ -> (c2_1_ X \/ (~(c0_1_ X) \/ ~(c3_1_ X))))) \/ (forall Y : Universe, (ndr1_0_ -> (c3_1_ Y \/ (~(c1_1_ Y) \/ ~(c2_1_ Y))))))) /\ (((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c1_1_ Z \/ c3_1_ Z)))) \/ ((forall X1 : Universe, (ndr1_0_ -> (c3_1_ X1 \/ (~(c0_1_ X1) \/ ~(c1_1_ X1))))) \/ hskp4_)) /\ (((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ ~(c2_1_ X2))))) \/ ((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (~(c2_1_ X3) \/ ~(c3_1_ X3))))) \/ (forall X4 : Universe, (ndr1_0_ -> (c1_1_ X4 \/ (c3_1_ X4 \/ ~(c0_1_ X4))))))) /\ (((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (c1_1_ X5 \/ ~(c3_1_ X5))))) \/ ((forall X6 : Universe, (ndr1_0_ -> (c1_1_ X6 \/ (c3_1_ X6 \/ ~(c2_1_ X6))))) \/ hskp5_)) /\ (((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (c2_1_ X7 \/ c3_1_ X7)))) \/ ((forall X8 : Universe, (ndr1_0_ -> (c2_1_ X8 \/ (~(c0_1_ X8) \/ ~(c3_1_ X8))))) \/ hskp6_)) /\ (((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c2_1_ X9 \/ ~(c1_1_ X9))))) \/ ((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c3_1_ X10 \/ ~(c1_1_ X10))))) \/ (forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (~(c1_1_ X11) \/ ~(c2_1_ X11))))))) /\ (((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (c2_1_ X12 \/ ~(c1_1_ X12))))) \/ ((forall X13 : Universe, (ndr1_0_ -> (~(c0_1_ X13) \/ (~(c1_1_ X13) \/ ~(c2_1_ X13))))) \/ (forall X14 : Universe, (ndr1_0_ -> (~(c0_1_ X14) \/ (~(c1_1_ X14) \/ ~(c3_1_ X14))))))) /\ (((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c2_1_ X15 \/ ~(c1_1_ X15))))) \/ (hskp7_ \/ hskp8_)) /\ (((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (c2_1_ X16 \/ ~(c1_1_ X16))))) \/ (hskp9_ \/ hskp5_)) /\ (((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c2_1_ X17 \/ ~(c1_1_ X17))))) \/ (hskp26_ \/ hskp10_)) /\ (((forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (c3_1_ X18 \/ ~(c1_1_ X18))))) \/ ((forall X19 : Universe, (ndr1_0_ -> (c1_1_ X19 \/ (c2_1_ X19 \/ ~(c0_1_ X19))))) \/ (forall X20 : Universe, (ndr1_0_ -> (~(c0_1_ X20) \/ (~(c2_1_ X20) \/ ~(c3_1_ X20))))))) /\ (((forall X21 : Universe, (ndr1_0_ -> (c0_1_ X21 \/ (c3_1_ X21 \/ ~(c1_1_ X21))))) \/ ((forall X22 : Universe, (ndr1_0_ -> (c1_1_ X22 \/ (c3_1_ X22 \/ ~(c0_1_ X22))))) \/ hskp0_)) /\ (((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c3_1_ X23 \/ ~(c1_1_ X23))))) \/ (hskp11_ \/ hskp12_)) /\ (((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (c3_1_ X24 \/ ~(c2_1_ X24))))) \/ ((forall X25 : Universe, (ndr1_0_ -> (c1_1_ X25 \/ (~(c0_1_ X25) \/ ~(c3_1_ X25))))) \/ hskp13_)) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c3_1_ X26 \/ ~(c2_1_ X26))))) \/ ((forall X27 : Universe, (ndr1_0_ -> (c2_1_ X27 \/ (c3_1_ X27 \/ ~(c0_1_ X27))))) \/ hskp4_)) /\ (((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (c3_1_ X28 \/ ~(c2_1_ X28))))) \/ ((forall X29 : Universe, (ndr1_0_ -> (c2_1_ X29 \/ (~(c1_1_ X29) \/ ~(c3_1_ X29))))) \/ hskp14_)) /\ (((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (c3_1_ X30 \/ ~(c2_1_ X30))))) \/ ((forall X31 : Universe, (ndr1_0_ -> (~(c0_1_ X31) \/ (~(c2_1_ X31) \/ ~(c3_1_ X31))))) \/ hskp15_)) /\ (((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (~(c1_1_ X32) \/ ~(c2_1_ X32))))) \/ ((forall X33 : Universe, (ndr1_0_ -> (c2_1_ X33 \/ (c3_1_ X33 \/ ~(c1_1_ X33))))) \/ hskp0_)) /\ (((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (~(c1_1_ X34) \/ ~(c2_1_ X34))))) \/ ((forall X35 : Universe, (ndr1_0_ -> (c2_1_ X35 \/ (~(c0_1_ X35) \/ ~(c3_1_ X35))))) \/ hskp11_)) /\ (((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (~(c1_1_ X36) \/ ~(c3_1_ X36))))) \/ ((forall X37 : Universe, (ndr1_0_ -> (c1_1_ X37 \/ (c2_1_ X37 \/ ~(c3_1_ X37))))) \/ (forall X38 : Universe, (ndr1_0_ -> (c2_1_ X38 \/ (~(c0_1_ X38) \/ ~(c3_1_ X38))))))) /\ (((forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (~(c2_1_ X39) \/ ~(c3_1_ X39))))) \/ (hskp16_ \/ hskp12_)) /\ (((forall X40 : Universe, (ndr1_0_ -> (c0_1_ X40 \/ (~(c2_1_ X40) \/ ~(c3_1_ X40))))) \/ (hskp17_ \/ hskp14_)) /\ (((forall X41 : Universe, (ndr1_0_ -> (c1_1_ X41 \/ (c2_1_ X41 \/ c3_1_ X41)))) \/ ((forall X42 : Universe, (ndr1_0_ -> (c3_1_ X42 \/ (~(c0_1_ X42) \/ ~(c2_1_ X42))))) \/ hskp3_)) /\ (((forall X43 : Universe, (ndr1_0_ -> (c1_1_ X43 \/ (c2_1_ X43 \/ ~(c0_1_ X43))))) \/ (hskp18_ \/ hskp19_)) /\ (((forall X44 : Universe, (ndr1_0_ -> (c1_1_ X44 \/ (c2_1_ X44 \/ ~(c0_1_ X44))))) \/ (hskp11_ \/ hskp12_)) /\ (((forall X45 : Universe, (ndr1_0_ -> (c1_1_ X45 \/ (c2_1_ X45 \/ ~(c3_1_ X45))))) \/ ((forall X46 : Universe, (ndr1_0_ -> (~(c0_1_ X46) \/ (~(c1_1_ X46) \/ ~(c2_1_ X46))))) \/ hskp10_)) /\ (((forall X47 : Universe, (ndr1_0_ -> (c1_1_ X47 \/ (c2_1_ X47 \/ ~(c3_1_ X47))))) \/ hskp27_) /\ (((forall X48 : Universe, (ndr1_0_ -> (c1_1_ X48 \/ (c2_1_ X48 \/ ~(c3_1_ X48))))) \/ (hskp5_ \/ hskp1_)) /\ (((forall X49 : Universe, (ndr1_0_ -> (c1_1_ X49 \/ (c3_1_ X49 \/ ~(c2_1_ X49))))) \/ ((forall X50 : Universe, (ndr1_0_ -> (c2_1_ X50 \/ (~(c0_1_ X50) \/ ~(c3_1_ X50))))) \/ hskp20_)) /\ (((forall X51 : Universe, (ndr1_0_ -> (c1_1_ X51 \/ (c3_1_ X51 \/ ~(c2_1_ X51))))) \/ ((forall X52 : Universe, (ndr1_0_ -> (c3_1_ X52 \/ (~(c0_1_ X52) \/ ~(c1_1_ X52))))) \/ hskp17_)) /\ (((forall X53 : Universe, (ndr1_0_ -> (c1_1_ X53 \/ (c3_1_ X53 \/ ~(c2_1_ X53))))) \/ (hskp21_ \/ hskp26_)) /\ (((forall X54 : Universe, (ndr1_0_ -> (c1_1_ X54 \/ (~(c0_1_ X54) \/ ~(c2_1_ X54))))) \/ ((forall X55 : Universe, (ndr1_0_ -> (c2_1_ X55 \/ (~(c1_1_ X55) \/ ~(c3_1_ X55))))) \/ (forall X56 : Universe, (ndr1_0_ -> (c3_1_ X56 \/ (~(c0_1_ X56) \/ ~(c2_1_ X56))))))) /\ (((forall X57 : Universe, (ndr1_0_ -> (c1_1_ X57 \/ (~(c0_1_ X57) \/ ~(c2_1_ X57))))) \/ ((forall X58 : Universe, (ndr1_0_ -> (c3_1_ X58 \/ (~(c0_1_ X58) \/ ~(c1_1_ X58))))) \/ hskp15_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c1_1_ X59 \/ (~(c0_1_ X59) \/ ~(c3_1_ X59))))) \/ ((forall X60 : Universe, (ndr1_0_ -> (c2_1_ X60 \/ (c3_1_ X60 \/ ~(c0_1_ X60))))) \/ hskp2_)) /\ (((forall X61 : Universe, (ndr1_0_ -> (c1_1_ X61 \/ (~(c0_1_ X61) \/ ~(c3_1_ X61))))) \/ (hskp28_ \/ hskp27_)) /\ (((forall X62 : Universe, (ndr1_0_ -> (c1_1_ X62 \/ (~(c0_1_ X62) \/ ~(c3_1_ X62))))) \/ (hskp22_ \/ hskp10_)) /\ (((forall X63 : Universe, (ndr1_0_ -> (c1_1_ X63 \/ (~(c2_1_ X63) \/ ~(c3_1_ X63))))) \/ ((forall X64 : Universe, (ndr1_0_ -> (c2_1_ X64 \/ (~(c1_1_ X64) \/ ~(c3_1_ X64))))) \/ (forall X65 : Universe, (ndr1_0_ -> (~(c0_1_ X65) \/ (~(c2_1_ X65) \/ ~(c3_1_ X65))))))) /\ (((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (~(c2_1_ X66) \/ ~(c3_1_ X66))))) \/ ((forall X67 : Universe, (ndr1_0_ -> (~(c0_1_ X67) \/ (~(c1_1_ X67) \/ ~(c3_1_ X67))))) \/ hskp0_)) /\ (((forall X68 : Universe, (ndr1_0_ -> (c1_1_ X68 \/ (~(c2_1_ X68) \/ ~(c3_1_ X68))))) \/ (hskp7_ \/ hskp17_)) /\ ((hskp29_ \/ (hskp23_ \/ hskp3_)) /\ ((hskp28_ \/ (hskp16_ \/ hskp15_)) /\ ((hskp28_ \/ (hskp17_ \/ hskp4_)) /\ ((hskp21_ \/ (hskp12_ \/ hskp19_)) /\ ((hskp22_ \/ (hskp24_ \/ hskp25_)) /\ ((hskp26_ \/ (hskp3_ \/ hskp13_)) /\ (hskp17_ \/ (hskp3_ \/ hskp14_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
