(*
% File     : SYN440+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=002
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-002.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.67 v2.2.1, 1.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  805 (   0 equality)
%            Maximal formula depth :  135 ( 135 average)
%            Number of connectives : 1120 ( 316 ~  ; 380  |; 327  &)
%                                         (   0 <=>;  97 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   72 (  68 propositional; 0-1 arity)
%            Number of functors    :   67 (  67 constant; 0-0 arity)
%            Number of variables   :   97 (   0 singleton;  97 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp66_ : Prop.
Variable hskp65_ : Prop.
Variable hskp64_ : Prop.
Variable hskp63_ : Prop.
Variable hskp62_ : Prop.
Variable hskp61_ : Prop.
Variable hskp60_ : Prop.
Variable hskp6_ : Prop.
Variable hskp59_ : Prop.
Variable hskp58_ : Prop.
Variable hskp57_ : Prop.
Variable hskp56_ : Prop.
Variable hskp55_ : Prop.
Variable hskp54_ : Prop.
Variable hskp53_ : Prop.
Variable hskp52_ : Prop.
Variable hskp51_ : Prop.
Variable hskp50_ : Prop.
Variable hskp5_ : Prop.
Variable hskp49_ : Prop.
Variable hskp48_ : Prop.
Variable hskp47_ : Prop.
Variable hskp46_ : Prop.
Variable hskp45_ : Prop.
Variable hskp44_ : Prop.
Variable hskp43_ : Prop.
Variable hskp42_ : Prop.
Variable hskp41_ : Prop.
Variable hskp40_ : Prop.
Variable hskp4_ : Prop.
Variable hskp39_ : Prop.
Variable hskp38_ : Prop.
Variable hskp37_ : Prop.
Variable hskp36_ : Prop.
Variable hskp35_ : Prop.
Variable hskp34_ : Prop.
Variable hskp33_ : Prop.
Variable hskp32_ : Prop.
Variable hskp31_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a677_ : Universe.
Variable a675_ : Universe.
Variable a674_ : Universe.
Variable a673_ : Universe.
Variable a672_ : Universe.
Variable a671_ : Universe.
Variable a670_ : Universe.
Variable a669_ : Universe.
Variable a667_ : Universe.
Variable a666_ : Universe.
Variable a665_ : Universe.
Variable a663_ : Universe.
Variable a662_ : Universe.
Variable a660_ : Universe.
Variable a658_ : Universe.
Variable a656_ : Universe.
Variable a654_ : Universe.
Variable a653_ : Universe.
Variable a652_ : Universe.
Variable a651_ : Universe.
Variable a648_ : Universe.
Variable a647_ : Universe.
Variable a646_ : Universe.
Variable a644_ : Universe.
Variable a643_ : Universe.
Variable a642_ : Universe.
Variable a641_ : Universe.
Variable a640_ : Universe.
Variable a639_ : Universe.
Variable a638_ : Universe.
Variable a637_ : Universe.
Variable a636_ : Universe.
Variable a635_ : Universe.
Variable a634_ : Universe.
Variable a632_ : Universe.
Variable a628_ : Universe.
Variable a627_ : Universe.
Variable a626_ : Universe.
Variable a625_ : Universe.
Variable a624_ : Universe.
Variable a623_ : Universe.
Variable a622_ : Universe.
Variable a621_ : Universe.
Variable a620_ : Universe.
Variable a619_ : Universe.
Variable a618_ : Universe.
Variable a617_ : Universe.
Variable a616_ : Universe.
Variable a615_ : Universe.
Variable a614_ : Universe.
Variable a613_ : Universe.
Variable a612_ : Universe.
Variable a611_ : Universe.
Variable a610_ : Universe.
Variable a609_ : Universe.
Variable a608_ : Universe.
Variable a607_ : Universe.
Variable a606_ : Universe.
Variable a605_ : Universe.
Variable a604_ : Universe.
Variable a603_ : Universe.
Variable a602_ : Universe.
Variable a601_ : Universe.
Variable a600_ : Universe.
Variable a599_ : Universe.
Variable a598_ : Universe.
Variable a597_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c0_1_ a597_ /\ (~(c3_1_ a597_) /\ ~(c1_1_ a597_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c0_1_ a598_ /\ (c2_1_ a598_ /\ ~(c1_1_ a598_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c0_1_ a601_ /\ (~(c2_1_ a601_) /\ ~(c3_1_ a601_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c0_1_ a603_ /\ (~(c1_1_ a603_) /\ ~(c3_1_ a603_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (~(c2_1_ a604_) /\ (~(c0_1_ a604_) /\ ~(c3_1_ a604_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (~(c0_1_ a606_) /\ (c2_1_ a606_ /\ ~(c3_1_ a606_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c2_1_ a609_ /\ (~(c0_1_ a609_) /\ ~(c1_1_ a609_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c1_1_ a610_ /\ (~(c2_1_ a610_) /\ ~(c0_1_ a610_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (~(c2_1_ a612_) /\ (c3_1_ a612_ /\ ~(c1_1_ a612_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c1_1_ a613_ /\ (c2_1_ a613_ /\ ~(c3_1_ a613_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c0_1_ a615_ /\ (c3_1_ a615_ /\ ~(c2_1_ a615_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c0_1_ a616_ /\ (c1_1_ a616_ /\ ~(c2_1_ a616_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (~(c0_1_ a620_) /\ (~(c3_1_ a620_) /\ ~(c1_1_ a620_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (~(c1_1_ a622_) /\ (~(c2_1_ a622_) /\ ~(c0_1_ a622_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c3_1_ a624_ /\ (~(c1_1_ a624_) /\ ~(c2_1_ a624_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (~(c2_1_ a625_) /\ (~(c1_1_ a625_) /\ ~(c0_1_ a625_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c2_1_ a627_ /\ (c0_1_ a627_ /\ ~(c3_1_ a627_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c3_1_ a628_ /\ (~(c2_1_ a628_) /\ ~(c1_1_ a628_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c0_1_ a632_ /\ (c3_1_ a632_ /\ ~(c1_1_ a632_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (~(c1_1_ a634_) /\ (~(c0_1_ a634_) /\ ~(c3_1_ a634_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (~(c1_1_ a635_) /\ (~(c2_1_ a635_) /\ ~(c3_1_ a635_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c1_1_ a637_ /\ (c0_1_ a637_ /\ ~(c3_1_ a637_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c0_1_ a641_ /\ (~(c1_1_ a641_) /\ ~(c2_1_ a641_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c2_1_ a642_ /\ (c3_1_ a642_ /\ ~(c0_1_ a642_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (~(c0_1_ a643_) /\ (c3_1_ a643_ /\ ~(c1_1_ a643_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c3_1_ a646_ /\ (~(c2_1_ a646_) /\ ~(c0_1_ a646_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (~(c1_1_ a652_) /\ (c3_1_ a652_ /\ ~(c2_1_ a652_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (~(c3_1_ a654_) /\ (~(c0_1_ a654_) /\ ~(c1_1_ a654_))))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (~(c3_1_ a656_) /\ (c1_1_ a656_ /\ ~(c0_1_ a656_))))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (~(c1_1_ a660_) /\ (~(c3_1_ a660_) /\ ~(c0_1_ a660_))))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (~(c2_1_ a666_) /\ (c0_1_ a666_ /\ ~(c3_1_ a666_))))) /\ ((~(hskp31_) \/ (ndr1_0_ /\ (~(c2_1_ a667_) /\ (c1_1_ a667_ /\ ~(c0_1_ a667_))))) /\ ((~(hskp32_) \/ (ndr1_0_ /\ (c0_1_ a677_ /\ (~(c3_1_ a677_) /\ ~(c2_1_ a677_))))) /\ ((~(hskp33_) \/ (ndr1_0_ /\ (~(c2_1_ a599_) /\ (c0_1_ a599_ /\ c3_1_ a599_)))) /\ ((~(hskp34_) \/ (ndr1_0_ /\ (~(c3_1_ a600_) /\ (c2_1_ a600_ /\ c0_1_ a600_)))) /\ ((~(hskp35_) \/ (ndr1_0_ /\ (~(c3_1_ a602_) /\ (~(c1_1_ a602_) /\ c2_1_ a602_)))) /\ ((~(hskp36_) \/ (ndr1_0_ /\ (c1_1_ a605_ /\ (~(c3_1_ a605_) /\ c0_1_ a605_)))) /\ ((~(hskp37_) \/ (ndr1_0_ /\ (c1_1_ a607_ /\ (~(c2_1_ a607_) /\ c0_1_ a607_)))) /\ ((~(hskp38_) \/ (ndr1_0_ /\ (c1_1_ a608_ /\ (c3_1_ a608_ /\ c0_1_ a608_)))) /\ ((~(hskp39_) \/ (ndr1_0_ /\ (~(c1_1_ a611_) /\ (c3_1_ a611_ /\ c2_1_ a611_)))) /\ ((~(hskp40_) \/ (ndr1_0_ /\ (c2_1_ a614_ /\ (c1_1_ a614_ /\ c0_1_ a614_)))) /\ ((~(hskp41_) \/ (ndr1_0_ /\ (c2_1_ a617_ /\ (~(c1_1_ a617_) /\ c3_1_ a617_)))) /\ ((~(hskp42_) \/ (ndr1_0_ /\ (~(c2_1_ a618_) /\ (~(c3_1_ a618_) /\ c1_1_ a618_)))) /\ ((~(hskp43_) \/ (ndr1_0_ /\ (~(c3_1_ a619_) /\ (~(c1_1_ a619_) /\ c0_1_ a619_)))) /\ ((~(hskp44_) \/ (ndr1_0_ /\ (c2_1_ a621_ /\ (~(c0_1_ a621_) /\ c3_1_ a621_)))) /\ ((~(hskp45_) \/ (ndr1_0_ /\ (~(c0_1_ a623_) /\ (c3_1_ a623_ /\ c2_1_ a623_)))) /\ ((~(hskp46_) \/ (ndr1_0_ /\ (c1_1_ a626_ /\ (c0_1_ a626_ /\ c3_1_ a626_)))) /\ ((~(hskp47_) \/ (ndr1_0_ /\ (~(c1_1_ a636_) /\ (~(c0_1_ a636_) /\ c3_1_ a636_)))) /\ ((~(hskp48_) \/ (ndr1_0_ /\ (~(c3_1_ a638_) /\ (c1_1_ a638_ /\ c2_1_ a638_)))) /\ ((~(hskp49_) \/ (ndr1_0_ /\ (~(c2_1_ a639_) /\ (~(c0_1_ a639_) /\ c1_1_ a639_)))) /\ ((~(hskp50_) \/ (ndr1_0_ /\ (~(c3_1_ a640_) /\ (c1_1_ a640_ /\ c0_1_ a640_)))) /\ ((~(hskp51_) \/ (ndr1_0_ /\ (c2_1_ a644_ /\ (~(c3_1_ a644_) /\ c0_1_ a644_)))) /\ ((~(hskp52_) \/ (ndr1_0_ /\ (~(c2_1_ a647_) /\ (~(c1_1_ a647_) /\ c0_1_ a647_)))) /\ ((~(hskp53_) \/ (ndr1_0_ /\ (c3_1_ a648_ /\ (~(c2_1_ a648_) /\ c0_1_ a648_)))) /\ ((~(hskp54_) \/ (ndr1_0_ /\ (c3_1_ a651_ /\ (~(c0_1_ a651_) /\ c2_1_ a651_)))) /\ ((~(hskp55_) \/ (ndr1_0_ /\ (~(c2_1_ a653_) /\ (c3_1_ a653_ /\ c1_1_ a653_)))) /\ ((~(hskp56_) \/ (ndr1_0_ /\ (~(c1_1_ a658_) /\ (c2_1_ a658_ /\ c3_1_ a658_)))) /\ ((~(hskp57_) \/ (ndr1_0_ /\ (~(c0_1_ a662_) /\ (c1_1_ a662_ /\ c2_1_ a662_)))) /\ ((~(hskp58_) \/ (ndr1_0_ /\ (~(c0_1_ a663_) /\ (~(c1_1_ a663_) /\ c3_1_ a663_)))) /\ ((~(hskp59_) \/ (ndr1_0_ /\ (~(c0_1_ a665_) /\ (c2_1_ a665_ /\ c3_1_ a665_)))) /\ ((~(hskp60_) \/ (ndr1_0_ /\ (c0_1_ a669_ /\ (~(c2_1_ a669_) /\ c1_1_ a669_)))) /\ ((~(hskp61_) \/ (ndr1_0_ /\ (~(c1_1_ a670_) /\ (~(c0_1_ a670_) /\ c2_1_ a670_)))) /\ ((~(hskp62_) \/ (ndr1_0_ /\ (~(c1_1_ a671_) /\ (c3_1_ a671_ /\ c0_1_ a671_)))) /\ ((~(hskp63_) \/ (ndr1_0_ /\ (~(c0_1_ a672_) /\ (~(c2_1_ a672_) /\ c3_1_ a672_)))) /\ ((~(hskp64_) \/ (ndr1_0_ /\ (c3_1_ a673_ /\ (~(c0_1_ a673_) /\ c1_1_ a673_)))) /\ ((~(hskp65_) \/ (ndr1_0_ /\ (c2_1_ a674_ /\ (~(c1_1_ a674_) /\ c0_1_ a674_)))) /\ ((~(hskp66_) \/ (ndr1_0_ /\ (c1_1_ a675_ /\ (~(c2_1_ a675_) /\ c3_1_ a675_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c2_1_ U \/ (~(c3_1_ U) \/ ~(c0_1_ U))))) \/ ((forall V : Universe, (ndr1_0_ -> (~(c2_1_ V) \/ (c0_1_ V \/ ~(c3_1_ V))))) \/ (forall W : Universe, (ndr1_0_ -> (~(c1_1_ W) \/ (~(c2_1_ W) \/ c3_1_ W)))))) /\ ((hskp0_ \/ ((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (~(c3_1_ X) \/ c1_1_ X)))) \/ hskp1_)) /\ ((hskp33_ \/ (hskp34_ \/ hskp2_)) /\ (((forall Y : Universe, (ndr1_0_ -> (c2_1_ Y \/ (~(c0_1_ Y) \/ c1_1_ Y)))) \/ ((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (~(c3_1_ Z) \/ ~(c2_1_ Z))))) \/ (forall X1 : Universe, (ndr1_0_ -> (~(c0_1_ X1) \/ (c1_1_ X1 \/ ~(c2_1_ X1))))))) /\ (((forall X2 : Universe, (ndr1_0_ -> (~(c1_1_ X2) \/ (c0_1_ X2 \/ ~(c2_1_ X2))))) \/ ((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (c3_1_ X3 \/ ~(c2_1_ X3))))) \/ (forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (~(c1_1_ X4) \/ ~(c2_1_ X4))))))) /\ ((hskp35_ \/ ((forall X5 : Universe, (ndr1_0_ -> (~(c0_1_ X5) \/ (~(c2_1_ X5) \/ ~(c3_1_ X5))))) \/ (forall X6 : Universe, (ndr1_0_ -> (~(c0_1_ X6) \/ (c2_1_ X6 \/ ~(c3_1_ X6))))))) /\ ((hskp3_ \/ (hskp4_ \/ hskp36_)) /\ ((hskp5_ \/ ((forall X7 : Universe, (ndr1_0_ -> (~(c0_1_ X7) \/ (~(c2_1_ X7) \/ ~(c3_1_ X7))))) \/ hskp37_)) /\ (((forall X8 : Universe, (ndr1_0_ -> (~(c2_1_ X8) \/ (c0_1_ X8 \/ c1_1_ X8)))) \/ ((forall X9 : Universe, (ndr1_0_ -> (~(c2_1_ X9) \/ (c1_1_ X9 \/ c3_1_ X9)))) \/ (forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c1_1_ X10 \/ c2_1_ X10)))))) /\ ((hskp38_ \/ ((forall X11 : Universe, (ndr1_0_ -> (c2_1_ X11 \/ (c1_1_ X11 \/ c0_1_ X11)))) \/ (forall X12 : Universe, (ndr1_0_ -> (~(c3_1_ X12) \/ (~(c1_1_ X12) \/ c0_1_ X12)))))) /\ (((forall X13 : Universe, (ndr1_0_ -> (~(c1_1_ X13) \/ (~(c3_1_ X13) \/ ~(c0_1_ X13))))) \/ (hskp6_ \/ (forall X14 : Universe, (ndr1_0_ -> (~(c1_1_ X14) \/ (~(c0_1_ X14) \/ ~(c3_1_ X14))))))) /\ (((forall X15 : Universe, (ndr1_0_ -> (c2_1_ X15 \/ (~(c1_1_ X15) \/ ~(c0_1_ X15))))) \/ (hskp7_ \/ hskp39_)) /\ ((hskp8_ \/ ((forall X16 : Universe, (ndr1_0_ -> (c2_1_ X16 \/ (c1_1_ X16 \/ c3_1_ X16)))) \/ hskp9_)) /\ (((forall X17 : Universe, (ndr1_0_ -> (c2_1_ X17 \/ (~(c3_1_ X17) \/ ~(c0_1_ X17))))) \/ ((forall X18 : Universe, (ndr1_0_ -> (~(c3_1_ X18) \/ (c1_1_ X18 \/ ~(c0_1_ X18))))) \/ (forall X19 : Universe, (ndr1_0_ -> (c3_1_ X19 \/ (c0_1_ X19 \/ c2_1_ X19)))))) /\ (((forall X20 : Universe, (ndr1_0_ -> (c3_1_ X20 \/ (~(c1_1_ X20) \/ c2_1_ X20)))) \/ (hskp40_ \/ hskp10_)) /\ (((forall X21 : Universe, (ndr1_0_ -> (~(c3_1_ X21) \/ (~(c1_1_ X21) \/ ~(c2_1_ X21))))) \/ (hskp11_ \/ (forall X22 : Universe, (ndr1_0_ -> (c2_1_ X22 \/ (c1_1_ X22 \/ c3_1_ X22)))))) /\ (((forall X23 : Universe, (ndr1_0_ -> (c3_1_ X23 \/ (c2_1_ X23 \/ c0_1_ X23)))) \/ ((forall X24 : Universe, (ndr1_0_ -> (~(c3_1_ X24) \/ (c2_1_ X24 \/ ~(c0_1_ X24))))) \/ (forall X25 : Universe, (ndr1_0_ -> (~(c1_1_ X25) \/ (~(c2_1_ X25) \/ c0_1_ X25)))))) /\ (((forall X26 : Universe, (ndr1_0_ -> (~(c1_1_ X26) \/ (~(c0_1_ X26) \/ c2_1_ X26)))) \/ (hskp41_ \/ (forall X27 : Universe, (ndr1_0_ -> (~(c1_1_ X27) \/ (~(c3_1_ X27) \/ c2_1_ X27)))))) /\ ((hskp42_ \/ ((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (c1_1_ X28 \/ ~(c3_1_ X28))))) \/ (forall X29 : Universe, (ndr1_0_ -> (~(c0_1_ X29) \/ (c2_1_ X29 \/ c1_1_ X29)))))) /\ (((forall X30 : Universe, (ndr1_0_ -> (c1_1_ X30 \/ (c2_1_ X30 \/ ~(c3_1_ X30))))) \/ ((forall X31 : Universe, (ndr1_0_ -> (~(c2_1_ X31) \/ (~(c0_1_ X31) \/ c1_1_ X31)))) \/ (forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (~(c3_1_ X32) \/ ~(c2_1_ X32))))))) /\ (((forall X33 : Universe, (ndr1_0_ -> (~(c2_1_ X33) \/ (~(c1_1_ X33) \/ c0_1_ X33)))) \/ ((forall X34 : Universe, (ndr1_0_ -> (~(c2_1_ X34) \/ (c1_1_ X34 \/ c0_1_ X34)))) \/ (forall X35 : Universe, (ndr1_0_ -> (~(c2_1_ X35) \/ (~(c3_1_ X35) \/ c1_1_ X35)))))) /\ (((forall X36 : Universe, (ndr1_0_ -> (~(c2_1_ X36) \/ (~(c0_1_ X36) \/ ~(c1_1_ X36))))) \/ ((forall X37 : Universe, (ndr1_0_ -> (~(c2_1_ X37) \/ (c3_1_ X37 \/ ~(c0_1_ X37))))) \/ (forall X38 : Universe, (ndr1_0_ -> (~(c3_1_ X38) \/ (~(c0_1_ X38) \/ ~(c2_1_ X38))))))) /\ ((hskp43_ \/ (hskp12_ \/ (forall X39 : Universe, (ndr1_0_ -> (~(c3_1_ X39) \/ (~(c1_1_ X39) \/ c2_1_ X39)))))) /\ ((hskp44_ \/ (hskp13_ \/ (forall X40 : Universe, (ndr1_0_ -> (c0_1_ X40 \/ (~(c2_1_ X40) \/ ~(c1_1_ X40))))))) /\ (((forall X41 : Universe, (ndr1_0_ -> (c0_1_ X41 \/ (~(c3_1_ X41) \/ ~(c2_1_ X41))))) \/ ((forall X42 : Universe, (ndr1_0_ -> (c2_1_ X42 \/ (c3_1_ X42 \/ ~(c1_1_ X42))))) \/ hskp45_)) /\ ((hskp14_ \/ (hskp15_ \/ (forall X43 : Universe, (ndr1_0_ -> (~(c2_1_ X43) \/ (c1_1_ X43 \/ ~(c0_1_ X43))))))) /\ (((forall X44 : Universe, (ndr1_0_ -> (c3_1_ X44 \/ (c1_1_ X44 \/ c0_1_ X44)))) \/ ((forall X45 : Universe, (ndr1_0_ -> (~(c3_1_ X45) \/ (c0_1_ X45 \/ c1_1_ X45)))) \/ (forall X46 : Universe, (ndr1_0_ -> (~(c3_1_ X46) \/ (~(c2_1_ X46) \/ c1_1_ X46)))))) /\ (((forall X47 : Universe, (ndr1_0_ -> (~(c1_1_ X47) \/ (c2_1_ X47 \/ c3_1_ X47)))) \/ ((forall X48 : Universe, (ndr1_0_ -> (c1_1_ X48 \/ (~(c0_1_ X48) \/ ~(c3_1_ X48))))) \/ hskp46_)) /\ (((forall X49 : Universe, (ndr1_0_ -> (c2_1_ X49 \/ (c1_1_ X49 \/ c3_1_ X49)))) \/ ((forall X50 : Universe, (ndr1_0_ -> (c2_1_ X50 \/ (c3_1_ X50 \/ c1_1_ X50)))) \/ (forall X51 : Universe, (ndr1_0_ -> (~(c2_1_ X51) \/ (c3_1_ X51 \/ c0_1_ X51)))))) /\ ((hskp16_ \/ (hskp17_ \/ hskp9_)) /\ ((hskp36_ \/ ((forall X52 : Universe, (ndr1_0_ -> (~(c0_1_ X52) \/ (c1_1_ X52 \/ c2_1_ X52)))) \/ (forall X53 : Universe, (ndr1_0_ -> (~(c0_1_ X53) \/ (~(c1_1_ X53) \/ ~(c3_1_ X53))))))) /\ ((hskp16_ \/ ((forall X54 : Universe, (ndr1_0_ -> (~(c3_1_ X54) \/ (c2_1_ X54 \/ c0_1_ X54)))) \/ (forall X55 : Universe, (ndr1_0_ -> (~(c2_1_ X55) \/ (c3_1_ X55 \/ ~(c0_1_ X55))))))) /\ (((forall X56 : Universe, (ndr1_0_ -> (~(c1_1_ X56) \/ (~(c2_1_ X56) \/ ~(c3_1_ X56))))) \/ ((forall X57 : Universe, (ndr1_0_ -> (~(c3_1_ X57) \/ (~(c2_1_ X57) \/ ~(c1_1_ X57))))) \/ (forall X58 : Universe, (ndr1_0_ -> (c1_1_ X58 \/ (~(c2_1_ X58) \/ ~(c0_1_ X58))))))) /\ ((hskp18_ \/ (hskp9_ \/ hskp19_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (~(c2_1_ X59) \/ (c1_1_ X59 \/ ~(c3_1_ X59))))) \/ ((forall X60 : Universe, (ndr1_0_ -> (c3_1_ X60 \/ (c2_1_ X60 \/ ~(c0_1_ X60))))) \/ hskp20_)) /\ ((hskp47_ \/ ((forall X61 : Universe, (ndr1_0_ -> (c1_1_ X61 \/ (c3_1_ X61 \/ ~(c0_1_ X61))))) \/ hskp21_)) /\ (((forall X62 : Universe, (ndr1_0_ -> (c2_1_ X62 \/ (c0_1_ X62 \/ c3_1_ X62)))) \/ ((forall X63 : Universe, (ndr1_0_ -> (c3_1_ X63 \/ (c1_1_ X63 \/ c0_1_ X63)))) \/ (forall X64 : Universe, (ndr1_0_ -> (c3_1_ X64 \/ (c0_1_ X64 \/ c2_1_ X64)))))) /\ ((hskp48_ \/ ((forall X65 : Universe, (ndr1_0_ -> (c1_1_ X65 \/ (c3_1_ X65 \/ ~(c0_1_ X65))))) \/ hskp49_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c3_1_ X66 \/ (c2_1_ X66 \/ c1_1_ X66)))) \/ (hskp50_ \/ hskp22_)) /\ (((forall X67 : Universe, (ndr1_0_ -> (c1_1_ X67 \/ (~(c2_1_ X67) \/ ~(c3_1_ X67))))) \/ (hskp23_ \/ hskp24_)) /\ (((forall X68 : Universe, (ndr1_0_ -> (c1_1_ X68 \/ (c0_1_ X68 \/ c3_1_ X68)))) \/ (hskp51_ \/ (forall X69 : Universe, (ndr1_0_ -> (~(c1_1_ X69) \/ (c0_1_ X69 \/ ~(c3_1_ X69))))))) /\ (((forall X70 : Universe, (ndr1_0_ -> (~(c0_1_ X70) \/ (~(c1_1_ X70) \/ c2_1_ X70)))) \/ ((forall X71 : Universe, (ndr1_0_ -> (c2_1_ X71 \/ (c1_1_ X71 \/ ~(c3_1_ X71))))) \/ hskp5_)) /\ ((hskp25_ \/ ((forall X72 : Universe, (ndr1_0_ -> (c3_1_ X72 \/ (c2_1_ X72 \/ ~(c0_1_ X72))))) \/ hskp52_)) /\ ((hskp53_ \/ (hskp17_ \/ (forall X73 : Universe, (ndr1_0_ -> (c0_1_ X73 \/ (c1_1_ X73 \/ ~(c3_1_ X73))))))) /\ ((hskp37_ \/ (hskp54_ \/ (forall X74 : Universe, (ndr1_0_ -> (c3_1_ X74 \/ (~(c2_1_ X74) \/ c0_1_ X74)))))) /\ ((hskp26_ \/ (hskp55_ \/ (forall X75 : Universe, (ndr1_0_ -> (c1_1_ X75 \/ (~(c0_1_ X75) \/ c2_1_ X75)))))) /\ ((hskp27_ \/ (hskp40_ \/ hskp28_)) /\ ((hskp55_ \/ ((forall X76 : Universe, (ndr1_0_ -> (c2_1_ X76 \/ (~(c3_1_ X76) \/ c1_1_ X76)))) \/ (forall X77 : Universe, (ndr1_0_ -> (~(c2_1_ X77) \/ (c3_1_ X77 \/ c0_1_ X77)))))) /\ (((forall X78 : Universe, (ndr1_0_ -> (c2_1_ X78 \/ (c1_1_ X78 \/ ~(c3_1_ X78))))) \/ (hskp56_ \/ (forall X79 : Universe, (ndr1_0_ -> (c2_1_ X79 \/ (~(c1_1_ X79) \/ c3_1_ X79)))))) /\ (((forall X80 : Universe, (ndr1_0_ -> (c0_1_ X80 \/ (c2_1_ X80 \/ ~(c3_1_ X80))))) \/ (hskp3_ \/ hskp29_)) /\ ((hskp42_ \/ ((forall X81 : Universe, (ndr1_0_ -> (~(c3_1_ X81) \/ (c0_1_ X81 \/ c1_1_ X81)))) \/ (forall X82 : Universe, (ndr1_0_ -> (c3_1_ X82 \/ (c0_1_ X82 \/ c1_1_ X82)))))) /\ ((hskp57_ \/ ((forall X83 : Universe, (ndr1_0_ -> (c1_1_ X83 \/ (~(c3_1_ X83) \/ ~(c0_1_ X83))))) \/ (forall X84 : Universe, (ndr1_0_ -> (~(c0_1_ X84) \/ (~(c1_1_ X84) \/ ~(c3_1_ X84))))))) /\ (((forall X85 : Universe, (ndr1_0_ -> (c2_1_ X85 \/ (~(c3_1_ X85) \/ ~(c0_1_ X85))))) \/ (hskp58_ \/ hskp41_)) /\ ((hskp59_ \/ hskp30_) /\ (((forall X86 : Universe, (ndr1_0_ -> (~(c2_1_ X86) \/ (~(c1_1_ X86) \/ c0_1_ X86)))) \/ (hskp31_ \/ (forall X87 : Universe, (ndr1_0_ -> (~(c2_1_ X87) \/ (c1_1_ X87 \/ ~(c0_1_ X87))))))) /\ ((hskp33_ \/ (hskp60_ \/ hskp61_)) /\ ((hskp62_ \/ (hskp63_ \/ (forall X88 : Universe, (ndr1_0_ -> (c1_1_ X88 \/ (c3_1_ X88 \/ c2_1_ X88)))))) /\ ((hskp64_ \/ (hskp65_ \/ hskp66_)) /\ (((forall X89 : Universe, (ndr1_0_ -> (~(c3_1_ X89) \/ (~(c0_1_ X89) \/ c1_1_ X89)))) \/ (hskp55_ \/ (forall X90 : Universe, (ndr1_0_ -> (c1_1_ X90 \/ (c0_1_ X90 \/ ~(c3_1_ X90))))))) /\ (hskp32_ \/ (hskp30_ \/ (forall X91 : Universe, (ndr1_0_ -> (c1_1_ X91 \/ (~(c0_1_ X91) \/ ~(c2_1_ X91)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
