(*
% File     : SYN442+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=011
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-011.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  596 (   0 equality)
%            Maximal formula depth :   94 (  94 average)
%            Number of connectives :  807 ( 212 ~  ; 324  |; 183  &)
%                                         (   0 <=>;  88 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   36 (  32 propositional; 0-1 arity)
%            Number of functors    :   31 (  31 constant; 0-0 arity)
%            Number of variables   :   88 (   0 singleton;  88 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a199_ : Universe.
Variable a196_ : Universe.
Variable a192_ : Universe.
Variable a183_ : Universe.
Variable a181_ : Universe.
Variable a179_ : Universe.
Variable a170_ : Universe.
Variable a168_ : Universe.
Variable a162_ : Universe.
Variable a159_ : Universe.
Variable a158_ : Universe.
Variable a151_ : Universe.
Variable a150_ : Universe.
Variable a149_ : Universe.
Variable a145_ : Universe.
Variable a144_ : Universe.
Variable a143_ : Universe.
Variable a140_ : Universe.
Variable a139_ : Universe.
Variable a138_ : Universe.
Variable a137_ : Universe.
Variable a136_ : Universe.
Variable a135_ : Universe.
Variable a134_ : Universe.
Variable a133_ : Universe.
Variable a131_ : Universe.
Variable a130_ : Universe.
Variable a128_ : Universe.
Variable a126_ : Universe.
Variable a125_ : Universe.
Variable a124_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c2_1_ a124_ /\ (c3_1_ a124_ /\ ~(c0_1_ a124_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c0_1_ a125_ /\ (c1_1_ a125_ /\ ~(c3_1_ a125_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c0_1_ a126_ /\ (~(c1_1_ a126_) /\ ~(c2_1_ a126_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (~(c0_1_ a128_) /\ (~(c2_1_ a128_) /\ ~(c3_1_ a128_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c1_1_ a130_ /\ (c2_1_ a130_ /\ ~(c3_1_ a130_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c1_1_ a131_ /\ (c3_1_ a131_ /\ ~(c2_1_ a131_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (~(c0_1_ a133_) /\ (~(c1_1_ a133_) /\ ~(c2_1_ a133_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c1_1_ a134_ /\ (~(c0_1_ a134_) /\ ~(c3_1_ a134_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c2_1_ a135_ /\ (c3_1_ a135_ /\ ~(c1_1_ a135_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c0_1_ a136_ /\ (c2_1_ a136_ /\ ~(c3_1_ a136_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c0_1_ a138_ /\ (c3_1_ a138_ /\ ~(c1_1_ a138_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c0_1_ a139_ /\ (~(c1_1_ a139_) /\ ~(c3_1_ a139_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c1_1_ a140_ /\ (c3_1_ a140_ /\ ~(c0_1_ a140_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c2_1_ a144_ /\ (~(c0_1_ a144_) /\ ~(c3_1_ a144_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (~(c0_1_ a145_) /\ (~(c1_1_ a145_) /\ ~(c3_1_ a145_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c3_1_ a149_ /\ (~(c1_1_ a149_) /\ ~(c2_1_ a149_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c0_1_ a151_ /\ (c1_1_ a151_ /\ ~(c2_1_ a151_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c1_1_ a158_ /\ (~(c2_1_ a158_) /\ ~(c3_1_ a158_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c0_1_ a159_ /\ (~(c2_1_ a159_) /\ ~(c3_1_ a159_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c0_1_ a162_ /\ (c3_1_ a162_ /\ ~(c2_1_ a162_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c1_1_ a168_ /\ (~(c0_1_ a168_) /\ ~(c2_1_ a168_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c3_1_ a170_ /\ (~(c0_1_ a170_) /\ ~(c2_1_ a170_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c0_1_ a179_ /\ (c2_1_ a179_ /\ ~(c1_1_ a179_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c1_1_ a181_ /\ (c2_1_ a181_ /\ ~(c0_1_ a181_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (~(c1_1_ a183_) /\ (~(c2_1_ a183_) /\ ~(c3_1_ a183_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c2_1_ a192_ /\ (~(c1_1_ a192_) /\ ~(c3_1_ a192_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c2_1_ a196_ /\ (~(c0_1_ a196_) /\ ~(c1_1_ a196_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c1_1_ a137_ /\ (c2_1_ a137_ /\ c3_1_ a137_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a143_ /\ (c2_1_ a143_ /\ c3_1_ a143_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a150_ /\ (c1_1_ a150_ /\ c3_1_ a150_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c0_1_ a199_ /\ (c1_1_ a199_ /\ c2_1_ a199_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c1_1_ V \/ c3_1_ V)))) \/ (forall W : Universe, (ndr1_0_ -> (c1_1_ W \/ (c2_1_ W \/ ~(c0_1_ W))))))) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ c2_1_ X)))) \/ ((forall Y : Universe, (ndr1_0_ -> (c0_1_ Y \/ (c2_1_ Y \/ c3_1_ Y)))) \/ (forall Z : Universe, (ndr1_0_ -> (c1_1_ Z \/ (~(c0_1_ Z) \/ ~(c3_1_ Z))))))) /\ (((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c1_1_ X1 \/ c3_1_ X1)))) \/ ((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ ~(c3_1_ X2))))) \/ hskp0_)) /\ (((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (c1_1_ X3 \/ c3_1_ X3)))) \/ (hskp1_ \/ hskp2_)) /\ (((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c1_1_ X4 \/ ~(c2_1_ X4))))) \/ (hskp1_ \/ hskp3_)) /\ (((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (c1_1_ X5 \/ ~(c3_1_ X5))))) \/ ((forall X6 : Universe, (ndr1_0_ -> (c1_1_ X6 \/ (~(c2_1_ X6) \/ ~(c3_1_ X6))))) \/ hskp2_)) /\ (((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (c1_1_ X7 \/ ~(c3_1_ X7))))) \/ (hskp4_ \/ hskp5_)) /\ (((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (c1_1_ X8 \/ ~(c3_1_ X8))))) \/ (hskp4_ \/ hskp6_)) /\ (((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c1_1_ X9 \/ ~(c3_1_ X9))))) \/ (hskp7_ \/ hskp8_)) /\ (((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c2_1_ X10 \/ c3_1_ X10)))) \/ ((forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (c2_1_ X11 \/ ~(c3_1_ X11))))) \/ hskp9_)) /\ (((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (c2_1_ X12 \/ c3_1_ X12)))) \/ ((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c2_1_ X13 \/ ~(c3_1_ X13))))) \/ hskp27_)) /\ (((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c2_1_ X14 \/ ~(c1_1_ X14))))) \/ (hskp10_ \/ hskp11_)) /\ (((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c2_1_ X15 \/ ~(c1_1_ X15))))) \/ (hskp12_ \/ hskp8_)) /\ (((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (c2_1_ X16 \/ ~(c3_1_ X16))))) \/ ((forall X17 : Universe, (ndr1_0_ -> (c1_1_ X17 \/ (c3_1_ X17 \/ ~(c2_1_ X17))))) \/ hskp3_)) /\ (((forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (c2_1_ X18 \/ ~(c3_1_ X18))))) \/ (hskp28_ \/ hskp13_)) /\ (((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (c2_1_ X19 \/ ~(c3_1_ X19))))) \/ (hskp14_ \/ hskp3_)) /\ (((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (c3_1_ X20 \/ ~(c1_1_ X20))))) \/ ((forall X21 : Universe, (ndr1_0_ -> (c0_1_ X21 \/ (~(c1_1_ X21) \/ ~(c3_1_ X21))))) \/ hskp6_)) /\ (((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (c3_1_ X22 \/ ~(c1_1_ X22))))) \/ (hskp27_ \/ hskp15_)) /\ (((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c3_1_ X23 \/ ~(c2_1_ X23))))) \/ ((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (~(c1_1_ X24) \/ ~(c2_1_ X24))))) \/ hskp29_)) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c3_1_ X25 \/ ~(c2_1_ X25))))) \/ ((forall X26 : Universe, (ndr1_0_ -> (c1_1_ X26 \/ (c2_1_ X26 \/ c3_1_ X26)))) \/ (forall X27 : Universe, (ndr1_0_ -> (~(c1_1_ X27) \/ (~(c2_1_ X27) \/ ~(c3_1_ X27))))))) /\ (((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (c3_1_ X28 \/ ~(c2_1_ X28))))) \/ ((forall X29 : Universe, (ndr1_0_ -> (c2_1_ X29 \/ (c3_1_ X29 \/ ~(c1_1_ X29))))) \/ hskp16_)) /\ (((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (c3_1_ X30 \/ ~(c2_1_ X30))))) \/ ((forall X31 : Universe, (ndr1_0_ -> (~(c0_1_ X31) \/ (~(c2_1_ X31) \/ ~(c3_1_ X31))))) \/ hskp28_)) /\ (((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (c3_1_ X32 \/ ~(c2_1_ X32))))) \/ (hskp29_ \/ hskp3_)) /\ (((forall X33 : Universe, (ndr1_0_ -> (c0_1_ X33 \/ (c3_1_ X33 \/ ~(c2_1_ X33))))) \/ (hskp9_ \/ hskp10_)) /\ (((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (c3_1_ X34 \/ ~(c2_1_ X34))))) \/ (hskp7_ \/ hskp17_)) /\ (((forall X35 : Universe, (ndr1_0_ -> (c0_1_ X35 \/ (~(c1_1_ X35) \/ ~(c2_1_ X35))))) \/ ((forall X36 : Universe, (ndr1_0_ -> (~(c0_1_ X36) \/ (~(c2_1_ X36) \/ ~(c3_1_ X36))))) \/ hskp18_)) /\ (((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (~(c2_1_ X37) \/ ~(c3_1_ X37))))) \/ ((forall X38 : Universe, (ndr1_0_ -> (c1_1_ X38 \/ (c2_1_ X38 \/ ~(c3_1_ X38))))) \/ (forall X39 : Universe, (ndr1_0_ -> (c2_1_ X39 \/ (~(c1_1_ X39) \/ ~(c3_1_ X39))))))) /\ (((forall X40 : Universe, (ndr1_0_ -> (c1_1_ X40 \/ (c2_1_ X40 \/ c3_1_ X40)))) \/ ((forall X41 : Universe, (ndr1_0_ -> (~(c0_1_ X41) \/ (~(c1_1_ X41) \/ ~(c3_1_ X41))))) \/ hskp7_)) /\ (((forall X42 : Universe, (ndr1_0_ -> (c1_1_ X42 \/ (c2_1_ X42 \/ ~(c0_1_ X42))))) \/ ((forall X43 : Universe, (ndr1_0_ -> (~(c0_1_ X43) \/ (~(c2_1_ X43) \/ ~(c3_1_ X43))))) \/ hskp16_)) /\ (((forall X44 : Universe, (ndr1_0_ -> (c1_1_ X44 \/ (c3_1_ X44 \/ ~(c0_1_ X44))))) \/ ((forall X45 : Universe, (ndr1_0_ -> (c1_1_ X45 \/ (~(c0_1_ X45) \/ ~(c3_1_ X45))))) \/ hskp19_)) /\ (((forall X46 : Universe, (ndr1_0_ -> (c1_1_ X46 \/ (c3_1_ X46 \/ ~(c0_1_ X46))))) \/ ((forall X47 : Universe, (ndr1_0_ -> (c2_1_ X47 \/ (~(c0_1_ X47) \/ ~(c3_1_ X47))))) \/ (forall X48 : Universe, (ndr1_0_ -> (~(c1_1_ X48) \/ (~(c2_1_ X48) \/ ~(c3_1_ X48))))))) /\ (((forall X49 : Universe, (ndr1_0_ -> (c1_1_ X49 \/ (c3_1_ X49 \/ ~(c0_1_ X49))))) \/ (hskp4_ \/ hskp5_)) /\ (((forall X50 : Universe, (ndr1_0_ -> (c1_1_ X50 \/ (c3_1_ X50 \/ ~(c2_1_ X50))))) \/ ((forall X51 : Universe, (ndr1_0_ -> (c2_1_ X51 \/ (c3_1_ X51 \/ ~(c1_1_ X51))))) \/ (forall X52 : Universe, (ndr1_0_ -> (c2_1_ X52 \/ (~(c1_1_ X52) \/ ~(c3_1_ X52))))))) /\ (((forall X53 : Universe, (ndr1_0_ -> (c1_1_ X53 \/ (c3_1_ X53 \/ ~(c2_1_ X53))))) \/ ((forall X54 : Universe, (ndr1_0_ -> (c2_1_ X54 \/ (~(c0_1_ X54) \/ ~(c1_1_ X54))))) \/ (forall X55 : Universe, (ndr1_0_ -> (~(c1_1_ X55) \/ (~(c2_1_ X55) \/ ~(c3_1_ X55))))))) /\ (((forall X56 : Universe, (ndr1_0_ -> (c1_1_ X56 \/ (c3_1_ X56 \/ ~(c2_1_ X56))))) \/ ((forall X57 : Universe, (ndr1_0_ -> (c2_1_ X57 \/ (~(c0_1_ X57) \/ ~(c3_1_ X57))))) \/ hskp8_)) /\ (((forall X58 : Universe, (ndr1_0_ -> (c1_1_ X58 \/ (c3_1_ X58 \/ ~(c2_1_ X58))))) \/ (hskp16_ \/ hskp17_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c1_1_ X59 \/ (~(c0_1_ X59) \/ ~(c2_1_ X59))))) \/ ((forall X60 : Universe, (ndr1_0_ -> (c2_1_ X60 \/ (~(c1_1_ X60) \/ ~(c3_1_ X60))))) \/ hskp20_)) /\ (((forall X61 : Universe, (ndr1_0_ -> (c1_1_ X61 \/ (~(c0_1_ X61) \/ ~(c3_1_ X61))))) \/ (hskp16_ \/ hskp21_)) /\ (((forall X62 : Universe, (ndr1_0_ -> (c1_1_ X62 \/ (~(c0_1_ X62) \/ ~(c3_1_ X62))))) \/ (hskp10_ \/ hskp13_)) /\ (((forall X63 : Universe, (ndr1_0_ -> (c2_1_ X63 \/ (c3_1_ X63 \/ ~(c0_1_ X63))))) \/ ((forall X64 : Universe, (ndr1_0_ -> (c2_1_ X64 \/ (~(c0_1_ X64) \/ ~(c3_1_ X64))))) \/ hskp17_)) /\ (((forall X65 : Universe, (ndr1_0_ -> (c2_1_ X65 \/ (c3_1_ X65 \/ ~(c0_1_ X65))))) \/ (hskp1_ \/ hskp3_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c2_1_ X66 \/ (c3_1_ X66 \/ ~(c1_1_ X66))))) \/ (hskp18_ \/ hskp21_)) /\ (((forall X67 : Universe, (ndr1_0_ -> (c2_1_ X67 \/ (~(c0_1_ X67) \/ ~(c1_1_ X67))))) \/ hskp15_) /\ (((forall X68 : Universe, (ndr1_0_ -> (c2_1_ X68 \/ (~(c0_1_ X68) \/ ~(c3_1_ X68))))) \/ ((forall X69 : Universe, (ndr1_0_ -> (~(c0_1_ X69) \/ (~(c1_1_ X69) \/ ~(c2_1_ X69))))) \/ hskp22_)) /\ (((forall X70 : Universe, (ndr1_0_ -> (c2_1_ X70 \/ (~(c0_1_ X70) \/ ~(c3_1_ X70))))) \/ (hskp16_ \/ hskp23_)) /\ (((forall X71 : Universe, (ndr1_0_ -> (c2_1_ X71 \/ (~(c0_1_ X71) \/ ~(c3_1_ X71))))) \/ (hskp5_ \/ hskp24_)) /\ (((forall X72 : Universe, (ndr1_0_ -> (c2_1_ X72 \/ (~(c1_1_ X72) \/ ~(c3_1_ X72))))) \/ (hskp4_ \/ hskp24_)) /\ (((forall X73 : Universe, (ndr1_0_ -> (c3_1_ X73 \/ (~(c0_1_ X73) \/ ~(c1_1_ X73))))) \/ ((forall X74 : Universe, (ndr1_0_ -> (~(c0_1_ X74) \/ (~(c1_1_ X74) \/ ~(c2_1_ X74))))) \/ hskp13_)) /\ (((forall X75 : Universe, (ndr1_0_ -> (c3_1_ X75 \/ (~(c0_1_ X75) \/ ~(c1_1_ X75))))) \/ hskp12_) /\ (((forall X76 : Universe, (ndr1_0_ -> (~(c0_1_ X76) \/ (~(c1_1_ X76) \/ ~(c2_1_ X76))))) \/ (hskp19_ \/ hskp13_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (~(c0_1_ X77) \/ (~(c1_1_ X77) \/ ~(c3_1_ X77))))) \/ (hskp10_ \/ hskp15_)) /\ (((forall X78 : Universe, (ndr1_0_ -> (~(c0_1_ X78) \/ (~(c1_1_ X78) \/ ~(c3_1_ X78))))) \/ (hskp25_ \/ hskp24_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (~(c0_1_ X79) \/ (~(c2_1_ X79) \/ ~(c3_1_ X79))))) \/ ((forall X80 : Universe, (ndr1_0_ -> (~(c1_1_ X80) \/ (~(c2_1_ X80) \/ ~(c3_1_ X80))))) \/ hskp1_)) /\ (((forall X81 : Universe, (ndr1_0_ -> (~(c0_1_ X81) \/ (~(c2_1_ X81) \/ ~(c3_1_ X81))))) \/ (hskp27_ \/ hskp26_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (~(c1_1_ X82) \/ (~(c2_1_ X82) \/ ~(c3_1_ X82))))) \/ (hskp18_ \/ hskp12_)) /\ ((hskp30_ \/ (hskp10_ \/ hskp18_)) /\ ((hskp9_ \/ (hskp21_ \/ hskp6_)) /\ ((hskp10_ \/ (hskp5_ \/ hskp0_)) /\ ((hskp11_ \/ hskp8_) /\ (hskp12_ \/ (hskp5_ \/ hskp15_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
