(*
% File     : SYN445+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=015
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-015.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.22 v3.1.0, 0.50 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  606 (   0 equality)
%            Maximal formula depth :   93 (  93 average)
%            Number of connectives :  824 ( 219 ~  ; 332  |; 179  &)
%                                         (   0 <=>;  94 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   35 (  31 propositional; 0-1 arity)
%            Number of functors    :   30 (  30 constant; 0-0 arity)
%            Number of variables   :   94 (   0 singleton;  94 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a354_ : Universe.
Variable a353_ : Universe.
Variable a349_ : Universe.
Variable a346_ : Universe.
Variable a342_ : Universe.
Variable a341_ : Universe.
Variable a338_ : Universe.
Variable a336_ : Universe.
Variable a334_ : Universe.
Variable a333_ : Universe.
Variable a330_ : Universe.
Variable a329_ : Universe.
Variable a323_ : Universe.
Variable a321_ : Universe.
Variable a320_ : Universe.
Variable a315_ : Universe.
Variable a313_ : Universe.
Variable a310_ : Universe.
Variable a309_ : Universe.
Variable a308_ : Universe.
Variable a307_ : Universe.
Variable a305_ : Universe.
Variable a303_ : Universe.
Variable a302_ : Universe.
Variable a301_ : Universe.
Variable a300_ : Universe.
Variable a299_ : Universe.
Variable a297_ : Universe.
Variable a295_ : Universe.
Variable a294_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (~(c0_1_ a294_) /\ (~(c2_1_ a294_) /\ ~(c3_1_ a294_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c0_1_ a295_ /\ (c2_1_ a295_ /\ ~(c1_1_ a295_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c1_1_ a297_ /\ (~(c0_1_ a297_) /\ ~(c3_1_ a297_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c0_1_ a299_ /\ (c3_1_ a299_ /\ ~(c2_1_ a299_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (~(c0_1_ a300_) /\ (~(c1_1_ a300_) /\ ~(c2_1_ a300_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c2_1_ a301_ /\ (~(c1_1_ a301_) /\ ~(c3_1_ a301_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c0_1_ a302_ /\ (~(c1_1_ a302_) /\ ~(c2_1_ a302_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c0_1_ a303_ /\ (c1_1_ a303_ /\ ~(c2_1_ a303_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c2_1_ a305_ /\ (~(c0_1_ a305_) /\ ~(c1_1_ a305_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c0_1_ a307_ /\ (~(c1_1_ a307_) /\ ~(c3_1_ a307_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c1_1_ a308_ /\ (c3_1_ a308_ /\ ~(c0_1_ a308_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c1_1_ a309_ /\ (c3_1_ a309_ /\ ~(c2_1_ a309_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c3_1_ a310_ /\ (~(c0_1_ a310_) /\ ~(c2_1_ a310_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c0_1_ a313_ /\ (c3_1_ a313_ /\ ~(c1_1_ a313_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c1_1_ a315_ /\ (c2_1_ a315_ /\ ~(c0_1_ a315_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c1_1_ a320_ /\ (~(c0_1_ a320_) /\ ~(c2_1_ a320_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c2_1_ a321_ /\ (c3_1_ a321_ /\ ~(c1_1_ a321_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c0_1_ a323_ /\ (c2_1_ a323_ /\ ~(c3_1_ a323_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c2_1_ a329_ /\ (~(c0_1_ a329_) /\ ~(c3_1_ a329_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c1_1_ a330_ /\ (c2_1_ a330_ /\ ~(c3_1_ a330_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c1_1_ a333_ /\ (~(c2_1_ a333_) /\ ~(c3_1_ a333_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c3_1_ a336_ /\ (~(c0_1_ a336_) /\ ~(c1_1_ a336_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (~(c1_1_ a338_) /\ (~(c2_1_ a338_) /\ ~(c3_1_ a338_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c2_1_ a341_ /\ (c3_1_ a341_ /\ ~(c0_1_ a341_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c3_1_ a342_ /\ (~(c1_1_ a342_) /\ ~(c2_1_ a342_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (~(c0_1_ a346_) /\ (~(c1_1_ a346_) /\ ~(c3_1_ a346_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c0_1_ a349_ /\ (~(c2_1_ a349_) /\ ~(c3_1_ a349_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a334_ /\ (c2_1_ a334_ /\ c3_1_ a334_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c1_1_ a353_ /\ (c2_1_ a353_ /\ c3_1_ a353_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a354_ /\ (c1_1_ a354_ /\ c2_1_ a354_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c2_1_ V \/ c3_1_ V)))) \/ (forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (~(c1_1_ W) \/ ~(c2_1_ W))))))) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ c2_1_ X)))) \/ ((forall Y : Universe, (ndr1_0_ -> (c1_1_ Y \/ (c2_1_ Y \/ c3_1_ Y)))) \/ (forall Z : Universe, (ndr1_0_ -> (c2_1_ Z \/ (~(c1_1_ Z) \/ ~(c3_1_ Z))))))) /\ (((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c1_1_ X1 \/ c2_1_ X1)))) \/ ((forall X2 : Universe, (ndr1_0_ -> (c1_1_ X2 \/ (~(c0_1_ X2) \/ ~(c2_1_ X2))))) \/ (forall X3 : Universe, (ndr1_0_ -> (~(c0_1_ X3) \/ (~(c1_1_ X3) \/ ~(c3_1_ X3))))))) /\ (((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c1_1_ X4 \/ c2_1_ X4)))) \/ ((forall X5 : Universe, (ndr1_0_ -> (c2_1_ X5 \/ (~(c0_1_ X5) \/ ~(c1_1_ X5))))) \/ hskp0_)) /\ (((forall X6 : Universe, (ndr1_0_ -> (c0_1_ X6 \/ (c1_1_ X6 \/ c3_1_ X6)))) \/ ((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (c2_1_ X7 \/ c3_1_ X7)))) \/ (forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (~(c2_1_ X8) \/ ~(c3_1_ X8))))))) /\ (((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c1_1_ X9 \/ c3_1_ X9)))) \/ ((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c2_1_ X10 \/ ~(c1_1_ X10))))) \/ (forall X11 : Universe, (ndr1_0_ -> (c3_1_ X11 \/ (~(c0_1_ X11) \/ ~(c2_1_ X11))))))) /\ (((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (c1_1_ X12 \/ ~(c2_1_ X12))))) \/ ((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c2_1_ X13 \/ ~(c1_1_ X13))))) \/ (forall X14 : Universe, (ndr1_0_ -> (c3_1_ X14 \/ (~(c1_1_ X14) \/ ~(c2_1_ X14))))))) /\ (((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c1_1_ X15 \/ ~(c2_1_ X15))))) \/ ((forall X16 : Universe, (ndr1_0_ -> (c1_1_ X16 \/ (~(c2_1_ X16) \/ ~(c3_1_ X16))))) \/ hskp1_)) /\ (((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c1_1_ X17 \/ ~(c3_1_ X17))))) \/ ((forall X18 : Universe, (ndr1_0_ -> (c2_1_ X18 \/ (~(c1_1_ X18) \/ ~(c3_1_ X18))))) \/ hskp0_)) /\ (((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (c1_1_ X19 \/ ~(c3_1_ X19))))) \/ (hskp2_ \/ hskp0_)) /\ (((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (c2_1_ X20 \/ c3_1_ X20)))) \/ ((forall X21 : Universe, (ndr1_0_ -> (c0_1_ X21 \/ (c2_1_ X21 \/ ~(c1_1_ X21))))) \/ (forall X22 : Universe, (ndr1_0_ -> (c1_1_ X22 \/ (~(c2_1_ X22) \/ ~(c3_1_ X22))))))) /\ (((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c2_1_ X23 \/ ~(c1_1_ X23))))) \/ ((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (c3_1_ X24 \/ ~(c1_1_ X24))))) \/ (forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (~(c1_1_ X25) \/ ~(c3_1_ X25))))))) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c2_1_ X26 \/ ~(c1_1_ X26))))) \/ ((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (c3_1_ X27 \/ ~(c1_1_ X27))))) \/ hskp3_)) /\ (((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (c2_1_ X28 \/ ~(c1_1_ X28))))) \/ ((forall X29 : Universe, (ndr1_0_ -> (c1_1_ X29 \/ (~(c0_1_ X29) \/ ~(c2_1_ X29))))) \/ hskp4_)) /\ (((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (c2_1_ X30 \/ ~(c1_1_ X30))))) \/ ((forall X31 : Universe, (ndr1_0_ -> (c1_1_ X31 \/ (~(c0_1_ X31) \/ ~(c3_1_ X31))))) \/ hskp5_)) /\ (((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (c2_1_ X32 \/ ~(c1_1_ X32))))) \/ ((forall X33 : Universe, (ndr1_0_ -> (c3_1_ X33 \/ (~(c0_1_ X33) \/ ~(c1_1_ X33))))) \/ hskp6_)) /\ (((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (c2_1_ X34 \/ ~(c1_1_ X34))))) \/ (hskp7_ \/ hskp4_)) /\ (((forall X35 : Universe, (ndr1_0_ -> (c0_1_ X35 \/ (c2_1_ X35 \/ ~(c1_1_ X35))))) \/ (hskp8_ \/ hskp5_)) /\ (((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (c2_1_ X36 \/ ~(c3_1_ X36))))) \/ ((forall X37 : Universe, (ndr1_0_ -> (c3_1_ X37 \/ (~(c0_1_ X37) \/ ~(c2_1_ X37))))) \/ hskp9_)) /\ (((forall X38 : Universe, (ndr1_0_ -> (c0_1_ X38 \/ (c2_1_ X38 \/ ~(c3_1_ X38))))) \/ (hskp10_ \/ hskp11_)) /\ (((forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (c3_1_ X39 \/ ~(c1_1_ X39))))) \/ ((forall X40 : Universe, (ndr1_0_ -> (c2_1_ X40 \/ (~(c1_1_ X40) \/ ~(c3_1_ X40))))) \/ hskp12_)) /\ (((forall X41 : Universe, (ndr1_0_ -> (c0_1_ X41 \/ (c3_1_ X41 \/ ~(c2_1_ X41))))) \/ ((forall X42 : Universe, (ndr1_0_ -> (c3_1_ X42 \/ (~(c1_1_ X42) \/ ~(c2_1_ X42))))) \/ hskp8_)) /\ (((forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (~(c1_1_ X43) \/ ~(c2_1_ X43))))) \/ ((forall X44 : Universe, (ndr1_0_ -> (c2_1_ X44 \/ (c3_1_ X44 \/ ~(c0_1_ X44))))) \/ hskp12_)) /\ (((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (~(c1_1_ X45) \/ ~(c2_1_ X45))))) \/ ((forall X46 : Universe, (ndr1_0_ -> (c3_1_ X46 \/ (~(c0_1_ X46) \/ ~(c1_1_ X46))))) \/ hskp13_)) /\ (((forall X47 : Universe, (ndr1_0_ -> (c0_1_ X47 \/ (~(c2_1_ X47) \/ ~(c3_1_ X47))))) \/ ((forall X48 : Universe, (ndr1_0_ -> (c2_1_ X48 \/ (c3_1_ X48 \/ ~(c1_1_ X48))))) \/ hskp3_)) /\ (((forall X49 : Universe, (ndr1_0_ -> (c0_1_ X49 \/ (~(c2_1_ X49) \/ ~(c3_1_ X49))))) \/ (hskp14_ \/ hskp0_)) /\ (((forall X50 : Universe, (ndr1_0_ -> (c1_1_ X50 \/ (c2_1_ X50 \/ ~(c0_1_ X50))))) \/ ((forall X51 : Universe, (ndr1_0_ -> (c2_1_ X51 \/ (~(c1_1_ X51) \/ ~(c3_1_ X51))))) \/ hskp14_)) /\ (((forall X52 : Universe, (ndr1_0_ -> (c1_1_ X52 \/ (c2_1_ X52 \/ ~(c3_1_ X52))))) \/ ((forall X53 : Universe, (ndr1_0_ -> (c2_1_ X53 \/ (~(c0_1_ X53) \/ ~(c1_1_ X53))))) \/ hskp7_)) /\ (((forall X54 : Universe, (ndr1_0_ -> (c1_1_ X54 \/ (c2_1_ X54 \/ ~(c3_1_ X54))))) \/ (hskp6_ \/ hskp15_)) /\ (((forall X55 : Universe, (ndr1_0_ -> (c1_1_ X55 \/ (c2_1_ X55 \/ ~(c3_1_ X55))))) \/ hskp16_) /\ (((forall X56 : Universe, (ndr1_0_ -> (c1_1_ X56 \/ (c3_1_ X56 \/ ~(c0_1_ X56))))) \/ ((forall X57 : Universe, (ndr1_0_ -> (c1_1_ X57 \/ (c3_1_ X57 \/ ~(c2_1_ X57))))) \/ hskp13_)) /\ (((forall X58 : Universe, (ndr1_0_ -> (c1_1_ X58 \/ (c3_1_ X58 \/ ~(c0_1_ X58))))) \/ ((forall X59 : Universe, (ndr1_0_ -> (c2_1_ X59 \/ (c3_1_ X59 \/ ~(c1_1_ X59))))) \/ hskp17_)) /\ (((forall X60 : Universe, (ndr1_0_ -> (c1_1_ X60 \/ (c3_1_ X60 \/ ~(c2_1_ X60))))) \/ ((forall X61 : Universe, (ndr1_0_ -> (c2_1_ X61 \/ (c3_1_ X61 \/ ~(c1_1_ X61))))) \/ hskp5_)) /\ (((forall X62 : Universe, (ndr1_0_ -> (c1_1_ X62 \/ (c3_1_ X62 \/ ~(c2_1_ X62))))) \/ (hskp11_ \/ hskp16_)) /\ (((forall X63 : Universe, (ndr1_0_ -> (c1_1_ X63 \/ (~(c0_1_ X63) \/ ~(c2_1_ X63))))) \/ ((forall X64 : Universe, (ndr1_0_ -> (c1_1_ X64 \/ (~(c0_1_ X64) \/ ~(c3_1_ X64))))) \/ hskp4_)) /\ (((forall X65 : Universe, (ndr1_0_ -> (c1_1_ X65 \/ (~(c0_1_ X65) \/ ~(c2_1_ X65))))) \/ (hskp17_ \/ hskp18_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (~(c0_1_ X66) \/ ~(c2_1_ X66))))) \/ (hskp19_ \/ hskp12_)) /\ (((forall X67 : Universe, (ndr1_0_ -> (c1_1_ X67 \/ (~(c0_1_ X67) \/ ~(c2_1_ X67))))) \/ (hskp11_ \/ hskp20_)) /\ (((forall X68 : Universe, (ndr1_0_ -> (c1_1_ X68 \/ (~(c2_1_ X68) \/ ~(c3_1_ X68))))) \/ (hskp27_ \/ hskp3_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (c2_1_ X69 \/ (c3_1_ X69 \/ ~(c0_1_ X69))))) \/ hskp21_) /\ (((forall X70 : Universe, (ndr1_0_ -> (c2_1_ X70 \/ (c3_1_ X70 \/ ~(c1_1_ X70))))) \/ ((forall X71 : Universe, (ndr1_0_ -> (c2_1_ X71 \/ (~(c1_1_ X71) \/ ~(c3_1_ X71))))) \/ (forall X72 : Universe, (ndr1_0_ -> (~(c0_1_ X72) \/ (~(c1_1_ X72) \/ ~(c3_1_ X72))))))) /\ (((forall X73 : Universe, (ndr1_0_ -> (c2_1_ X73 \/ (c3_1_ X73 \/ ~(c1_1_ X73))))) \/ ((forall X74 : Universe, (ndr1_0_ -> (~(c0_1_ X74) \/ (~(c1_1_ X74) \/ ~(c3_1_ X74))))) \/ hskp17_)) /\ (((forall X75 : Universe, (ndr1_0_ -> (c2_1_ X75 \/ (c3_1_ X75 \/ ~(c1_1_ X75))))) \/ hskp22_) /\ (((forall X76 : Universe, (ndr1_0_ -> (c2_1_ X76 \/ (~(c1_1_ X76) \/ ~(c3_1_ X76))))) \/ (forall X77 : Universe, (ndr1_0_ -> (~(c0_1_ X77) \/ (~(c2_1_ X77) \/ ~(c3_1_ X77)))))) /\ (((forall X78 : Universe, (ndr1_0_ -> (c3_1_ X78 \/ (~(c0_1_ X78) \/ ~(c1_1_ X78))))) \/ (hskp17_ \/ hskp4_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (c3_1_ X79 \/ (~(c0_1_ X79) \/ ~(c1_1_ X79))))) \/ (hskp23_ \/ hskp24_)) /\ (((forall X80 : Universe, (ndr1_0_ -> (c3_1_ X80 \/ (~(c0_1_ X80) \/ ~(c2_1_ X80))))) \/ ((forall X81 : Universe, (ndr1_0_ -> (~(c0_1_ X81) \/ (~(c2_1_ X81) \/ ~(c3_1_ X81))))) \/ hskp11_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c3_1_ X82 \/ (~(c1_1_ X82) \/ ~(c2_1_ X82))))) \/ ((forall X83 : Universe, (ndr1_0_ -> (~(c1_1_ X83) \/ (~(c2_1_ X83) \/ ~(c3_1_ X83))))) \/ hskp4_)) /\ (((forall X84 : Universe, (ndr1_0_ -> (c3_1_ X84 \/ (~(c1_1_ X84) \/ ~(c2_1_ X84))))) \/ (hskp15_ \/ hskp25_)) /\ (((forall X85 : Universe, (ndr1_0_ -> (~(c0_1_ X85) \/ (~(c1_1_ X85) \/ ~(c2_1_ X85))))) \/ (hskp6_ \/ hskp8_)) /\ (((forall X86 : Universe, (ndr1_0_ -> (~(c0_1_ X86) \/ (~(c1_1_ X86) \/ ~(c2_1_ X86))))) \/ (hskp26_ \/ hskp23_)) /\ (((forall X87 : Universe, (ndr1_0_ -> (~(c0_1_ X87) \/ (~(c1_1_ X87) \/ ~(c3_1_ X87))))) \/ (hskp17_ \/ hskp21_)) /\ (((forall X88 : Universe, (ndr1_0_ -> (~(c1_1_ X88) \/ (~(c2_1_ X88) \/ ~(c3_1_ X88))))) \/ hskp28_) /\ ((hskp29_ \/ (hskp27_ \/ hskp10_)) /\ ((hskp7_ \/ (hskp1_ \/ hskp10_)) /\ ((hskp17_ \/ (hskp5_ \/ hskp24_)) /\ ((hskp6_ \/ (hskp15_ \/ hskp23_)) /\ ((hskp26_ \/ (hskp11_ \/ hskp12_)) /\ ((hskp26_ \/ hskp16_) /\ (hskp20_ \/ (hskp12_ \/ hskp25_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
