(*
% File     : SYN446+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=016
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-016.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.50 v2.6.0, 0.25 v2.5.0, 0.33 v2.2.1, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  609 (   0 equality)
%            Maximal formula depth :   94 (  94 average)
%            Number of connectives :  832 ( 224 ~  ; 333  |; 183  &)
%                                         (   0 <=>;  92 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   36 (  32 propositional; 0-1 arity)
%            Number of functors    :   31 (  31 constant; 0-0 arity)
%            Number of variables   :   92 (   0 singleton;  92 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a427_ : Universe.
Variable a425_ : Universe.
Variable a424_ : Universe.
Variable a420_ : Universe.
Variable a418_ : Universe.
Variable a411_ : Universe.
Variable a409_ : Universe.
Variable a407_ : Universe.
Variable a404_ : Universe.
Variable a401_ : Universe.
Variable a400_ : Universe.
Variable a399_ : Universe.
Variable a398_ : Universe.
Variable a397_ : Universe.
Variable a396_ : Universe.
Variable a395_ : Universe.
Variable a394_ : Universe.
Variable a392_ : Universe.
Variable a390_ : Universe.
Variable a387_ : Universe.
Variable a386_ : Universe.
Variable a385_ : Universe.
Variable a384_ : Universe.
Variable a381_ : Universe.
Variable a380_ : Universe.
Variable a379_ : Universe.
Variable a378_ : Universe.
Variable a377_ : Universe.
Variable a376_ : Universe.
Variable a375_ : Universe.
Variable a374_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c1_1_ a375_ /\ (~(c0_1_ a375_) /\ ~(c2_1_ a375_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c0_1_ a376_ /\ (~(c2_1_ a376_) /\ ~(c3_1_ a376_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c1_1_ a377_ /\ (~(c2_1_ a377_) /\ ~(c3_1_ a377_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c1_1_ a378_ /\ (c3_1_ a378_ /\ ~(c0_1_ a378_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (~(c0_1_ a379_) /\ (~(c1_1_ a379_) /\ ~(c2_1_ a379_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c0_1_ a380_ /\ (c1_1_ a380_ /\ ~(c3_1_ a380_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c1_1_ a381_ /\ (c2_1_ a381_ /\ ~(c0_1_ a381_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c3_1_ a384_ /\ (~(c0_1_ a384_) /\ ~(c2_1_ a384_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c0_1_ a385_ /\ (c2_1_ a385_ /\ ~(c1_1_ a385_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c2_1_ a387_ /\ (c3_1_ a387_ /\ ~(c1_1_ a387_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c0_1_ a392_ /\ (c1_1_ a392_ /\ ~(c2_1_ a392_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c3_1_ a394_ /\ (~(c1_1_ a394_) /\ ~(c2_1_ a394_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c0_1_ a395_ /\ (~(c1_1_ a395_) /\ ~(c2_1_ a395_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c1_1_ a396_ /\ (~(c0_1_ a396_) /\ ~(c3_1_ a396_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c0_1_ a398_ /\ (~(c1_1_ a398_) /\ ~(c3_1_ a398_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (~(c0_1_ a399_) /\ (~(c2_1_ a399_) /\ ~(c3_1_ a399_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c0_1_ a400_ /\ (c2_1_ a400_ /\ ~(c3_1_ a400_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c1_1_ a401_ /\ (c2_1_ a401_ /\ ~(c3_1_ a401_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c1_1_ a404_ /\ (c3_1_ a404_ /\ ~(c2_1_ a404_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c0_1_ a407_ /\ (c3_1_ a407_ /\ ~(c2_1_ a407_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c2_1_ a409_ /\ (~(c1_1_ a409_) /\ ~(c3_1_ a409_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c2_1_ a411_ /\ (c3_1_ a411_ /\ ~(c0_1_ a411_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c2_1_ a418_ /\ (~(c0_1_ a418_) /\ ~(c3_1_ a418_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (~(c1_1_ a420_) /\ (~(c2_1_ a420_) /\ ~(c3_1_ a420_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c2_1_ a424_ /\ (~(c0_1_ a424_) /\ ~(c1_1_ a424_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c3_1_ a425_ /\ (~(c0_1_ a425_) /\ ~(c1_1_ a425_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (~(c0_1_ a427_) /\ (~(c1_1_ a427_) /\ ~(c3_1_ a427_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a374_ /\ (c1_1_ a374_ /\ c2_1_ a374_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c1_1_ a386_ /\ (c2_1_ a386_ /\ c3_1_ a386_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a390_ /\ (c1_1_ a390_ /\ c3_1_ a390_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c0_1_ a397_ /\ (c2_1_ a397_ /\ c3_1_ a397_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ (hskp27_ \/ hskp0_)) /\ (((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c1_1_ V \/ c2_1_ V)))) \/ (hskp1_ \/ hskp2_)) /\ (((forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c1_1_ W \/ c2_1_ W)))) \/ (hskp3_ \/ hskp4_)) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ ~(c2_1_ X))))) \/ ((forall Y : Universe, (ndr1_0_ -> (c1_1_ Y \/ (c3_1_ Y \/ ~(c2_1_ Y))))) \/ hskp5_)) /\ (((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c1_1_ Z \/ ~(c2_1_ Z))))) \/ ((forall X1 : Universe, (ndr1_0_ -> (c1_1_ X1 \/ (~(c0_1_ X1) \/ ~(c3_1_ X1))))) \/ (forall X2 : Universe, (ndr1_0_ -> (c2_1_ X2 \/ (c3_1_ X2 \/ ~(c1_1_ X2))))))) /\ (((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (c1_1_ X3 \/ ~(c3_1_ X3))))) \/ ((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c3_1_ X4 \/ ~(c2_1_ X4))))) \/ (forall X5 : Universe, (ndr1_0_ -> (c1_1_ X5 \/ (c2_1_ X5 \/ ~(c0_1_ X5))))))) /\ (((forall X6 : Universe, (ndr1_0_ -> (c0_1_ X6 \/ (c1_1_ X6 \/ ~(c3_1_ X6))))) \/ ((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (c3_1_ X7 \/ ~(c2_1_ X7))))) \/ hskp6_)) /\ (((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (c1_1_ X8 \/ ~(c3_1_ X8))))) \/ ((forall X9 : Universe, (ndr1_0_ -> (c1_1_ X9 \/ (~(c2_1_ X9) \/ ~(c3_1_ X9))))) \/ hskp5_)) /\ (((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c1_1_ X10 \/ ~(c3_1_ X10))))) \/ ((forall X11 : Universe, (ndr1_0_ -> (c2_1_ X11 \/ (c3_1_ X11 \/ ~(c0_1_ X11))))) \/ (forall X12 : Universe, (ndr1_0_ -> (~(c0_1_ X12) \/ (~(c2_1_ X12) \/ ~(c3_1_ X12))))))) /\ (((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c1_1_ X13 \/ ~(c3_1_ X13))))) \/ (hskp5_ \/ hskp7_)) /\ (((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c2_1_ X14 \/ c3_1_ X14)))) \/ ((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (~(c1_1_ X15) \/ ~(c2_1_ X15))))) \/ (forall X16 : Universe, (ndr1_0_ -> (~(c0_1_ X16) \/ (~(c1_1_ X16) \/ ~(c2_1_ X16))))))) /\ (((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c2_1_ X17 \/ c3_1_ X17)))) \/ ((forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (~(c1_1_ X18) \/ ~(c3_1_ X18))))) \/ hskp8_)) /\ (((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (c2_1_ X19 \/ ~(c1_1_ X19))))) \/ ((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (c3_1_ X20 \/ ~(c1_1_ X20))))) \/ (forall X21 : Universe, (ndr1_0_ -> (~(c0_1_ X21) \/ (~(c2_1_ X21) \/ ~(c3_1_ X21))))))) /\ (((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (c2_1_ X22 \/ ~(c1_1_ X22))))) \/ ((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (~(c1_1_ X23) \/ ~(c2_1_ X23))))) \/ (forall X24 : Universe, (ndr1_0_ -> (c1_1_ X24 \/ (c3_1_ X24 \/ ~(c2_1_ X24))))))) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c2_1_ X25 \/ ~(c1_1_ X25))))) \/ (hskp28_ \/ hskp9_)) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c2_1_ X26 \/ ~(c3_1_ X26))))) \/ ((forall X27 : Universe, (ndr1_0_ -> (c2_1_ X27 \/ (c3_1_ X27 \/ ~(c0_1_ X27))))) \/ hskp4_)) /\ (((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (c3_1_ X28 \/ ~(c1_1_ X28))))) \/ ((forall X29 : Universe, (ndr1_0_ -> (c1_1_ X29 \/ (~(c2_1_ X29) \/ ~(c3_1_ X29))))) \/ hskp5_)) /\ (((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (c3_1_ X30 \/ ~(c1_1_ X30))))) \/ ((forall X31 : Universe, (ndr1_0_ -> (c2_1_ X31 \/ (~(c0_1_ X31) \/ ~(c1_1_ X31))))) \/ hskp29_)) /\ (((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (c3_1_ X32 \/ ~(c2_1_ X32))))) \/ ((forall X33 : Universe, (ndr1_0_ -> (c1_1_ X33 \/ (c2_1_ X33 \/ ~(c0_1_ X33))))) \/ hskp3_)) /\ (((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (c3_1_ X34 \/ ~(c2_1_ X34))))) \/ ((forall X35 : Universe, (ndr1_0_ -> (c1_1_ X35 \/ (c3_1_ X35 \/ ~(c0_1_ X35))))) \/ (forall X36 : Universe, (ndr1_0_ -> (c1_1_ X36 \/ (~(c0_1_ X36) \/ ~(c2_1_ X36))))))) /\ (((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (c3_1_ X37 \/ ~(c2_1_ X37))))) \/ ((forall X38 : Universe, (ndr1_0_ -> (c2_1_ X38 \/ (~(c1_1_ X38) \/ ~(c3_1_ X38))))) \/ hskp10_)) /\ (((forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (c3_1_ X39 \/ ~(c2_1_ X39))))) \/ (hskp3_ \/ hskp11_)) /\ (((forall X40 : Universe, (ndr1_0_ -> (c0_1_ X40 \/ (~(c1_1_ X40) \/ ~(c2_1_ X40))))) \/ ((forall X41 : Universe, (ndr1_0_ -> (c2_1_ X41 \/ (~(c0_1_ X41) \/ ~(c3_1_ X41))))) \/ hskp12_)) /\ (((forall X42 : Universe, (ndr1_0_ -> (c0_1_ X42 \/ (~(c1_1_ X42) \/ ~(c3_1_ X42))))) \/ ((forall X43 : Universe, (ndr1_0_ -> (~(c0_1_ X43) \/ (~(c1_1_ X43) \/ ~(c2_1_ X43))))) \/ hskp13_)) /\ (((forall X44 : Universe, (ndr1_0_ -> (c0_1_ X44 \/ (~(c1_1_ X44) \/ ~(c3_1_ X44))))) \/ ((forall X45 : Universe, (ndr1_0_ -> (~(c0_1_ X45) \/ (~(c2_1_ X45) \/ ~(c3_1_ X45))))) \/ hskp30_)) /\ (((forall X46 : Universe, (ndr1_0_ -> (c0_1_ X46 \/ (~(c1_1_ X46) \/ ~(c3_1_ X46))))) \/ (hskp14_ \/ hskp15_)) /\ (((forall X47 : Universe, (ndr1_0_ -> (c0_1_ X47 \/ (~(c2_1_ X47) \/ ~(c3_1_ X47))))) \/ ((forall X48 : Universe, (ndr1_0_ -> (c3_1_ X48 \/ (~(c1_1_ X48) \/ ~(c2_1_ X48))))) \/ hskp16_)) /\ (((forall X49 : Universe, (ndr1_0_ -> (c0_1_ X49 \/ (~(c2_1_ X49) \/ ~(c3_1_ X49))))) \/ (hskp17_ \/ hskp11_)) /\ (((forall X50 : Universe, (ndr1_0_ -> (c1_1_ X50 \/ (c2_1_ X50 \/ c3_1_ X50)))) \/ (hskp8_ \/ hskp18_)) /\ (((forall X51 : Universe, (ndr1_0_ -> (c1_1_ X51 \/ (c2_1_ X51 \/ ~(c0_1_ X51))))) \/ ((forall X52 : Universe, (ndr1_0_ -> (c1_1_ X52 \/ (~(c0_1_ X52) \/ ~(c3_1_ X52))))) \/ hskp11_)) /\ (((forall X53 : Universe, (ndr1_0_ -> (c1_1_ X53 \/ (c2_1_ X53 \/ ~(c0_1_ X53))))) \/ ((forall X54 : Universe, (ndr1_0_ -> (c2_1_ X54 \/ (c3_1_ X54 \/ ~(c1_1_ X54))))) \/ hskp1_)) /\ (((forall X55 : Universe, (ndr1_0_ -> (c1_1_ X55 \/ (c2_1_ X55 \/ ~(c3_1_ X55))))) \/ ((forall X56 : Universe, (ndr1_0_ -> (c1_1_ X56 \/ (~(c0_1_ X56) \/ ~(c2_1_ X56))))) \/ hskp19_)) /\ (((forall X57 : Universe, (ndr1_0_ -> (c1_1_ X57 \/ (c2_1_ X57 \/ ~(c3_1_ X57))))) \/ ((forall X58 : Universe, (ndr1_0_ -> (c2_1_ X58 \/ (~(c0_1_ X58) \/ ~(c1_1_ X58))))) \/ hskp1_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c1_1_ X59 \/ (c3_1_ X59 \/ ~(c0_1_ X59))))) \/ ((forall X60 : Universe, (ndr1_0_ -> (c2_1_ X60 \/ (~(c0_1_ X60) \/ ~(c1_1_ X60))))) \/ hskp20_)) /\ (((forall X61 : Universe, (ndr1_0_ -> (c1_1_ X61 \/ (c3_1_ X61 \/ ~(c0_1_ X61))))) \/ (hskp6_ \/ hskp21_)) /\ (((forall X62 : Universe, (ndr1_0_ -> (c1_1_ X62 \/ (c3_1_ X62 \/ ~(c2_1_ X62))))) \/ ((forall X63 : Universe, (ndr1_0_ -> (c3_1_ X63 \/ (~(c0_1_ X63) \/ ~(c2_1_ X63))))) \/ hskp14_)) /\ (((forall X64 : Universe, (ndr1_0_ -> (c1_1_ X64 \/ (c3_1_ X64 \/ ~(c2_1_ X64))))) \/ ((forall X65 : Universe, (ndr1_0_ -> (~(c0_1_ X65) \/ (~(c2_1_ X65) \/ ~(c3_1_ X65))))) \/ hskp15_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (c3_1_ X66 \/ ~(c2_1_ X66))))) \/ (hskp30_ \/ hskp19_)) /\ (((forall X67 : Universe, (ndr1_0_ -> (c1_1_ X67 \/ (~(c0_1_ X67) \/ ~(c2_1_ X67))))) \/ ((forall X68 : Universe, (ndr1_0_ -> (c3_1_ X68 \/ (~(c1_1_ X68) \/ ~(c2_1_ X68))))) \/ (forall X69 : Universe, (ndr1_0_ -> (~(c1_1_ X69) \/ (~(c2_1_ X69) \/ ~(c3_1_ X69))))))) /\ (((forall X70 : Universe, (ndr1_0_ -> (c1_1_ X70 \/ (~(c0_1_ X70) \/ ~(c3_1_ X70))))) \/ ((forall X71 : Universe, (ndr1_0_ -> (c2_1_ X71 \/ (~(c0_1_ X71) \/ ~(c1_1_ X71))))) \/ hskp5_)) /\ (((forall X72 : Universe, (ndr1_0_ -> (c1_1_ X72 \/ (~(c2_1_ X72) \/ ~(c3_1_ X72))))) \/ ((forall X73 : Universe, (ndr1_0_ -> (c3_1_ X73 \/ (~(c0_1_ X73) \/ ~(c2_1_ X73))))) \/ hskp5_)) /\ (((forall X74 : Universe, (ndr1_0_ -> (c2_1_ X74 \/ (c3_1_ X74 \/ ~(c1_1_ X74))))) \/ ((forall X75 : Universe, (ndr1_0_ -> (~(c0_1_ X75) \/ (~(c1_1_ X75) \/ ~(c3_1_ X75))))) \/ hskp22_)) /\ (((forall X76 : Universe, (ndr1_0_ -> (c2_1_ X76 \/ (~(c1_1_ X76) \/ ~(c3_1_ X76))))) \/ (hskp30_ \/ hskp23_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (c3_1_ X77 \/ (~(c0_1_ X77) \/ ~(c2_1_ X77))))) \/ (hskp1_ \/ hskp13_)) /\ (((forall X78 : Universe, (ndr1_0_ -> (c3_1_ X78 \/ (~(c0_1_ X78) \/ ~(c2_1_ X78))))) \/ hskp6_) /\ (((forall X79 : Universe, (ndr1_0_ -> (c3_1_ X79 \/ (~(c0_1_ X79) \/ ~(c2_1_ X79))))) \/ (hskp24_ \/ hskp25_)) /\ (((forall X80 : Universe, (ndr1_0_ -> (c3_1_ X80 \/ (~(c0_1_ X80) \/ ~(c2_1_ X80))))) \/ (hskp22_ \/ hskp26_)) /\ (((forall X81 : Universe, (ndr1_0_ -> (c3_1_ X81 \/ (~(c1_1_ X81) \/ ~(c2_1_ X81))))) \/ (hskp27_ \/ hskp10_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c3_1_ X82 \/ (~(c1_1_ X82) \/ ~(c2_1_ X82))))) \/ (hskp30_ \/ hskp4_)) /\ (((forall X83 : Universe, (ndr1_0_ -> (~(c0_1_ X83) \/ (~(c2_1_ X83) \/ ~(c3_1_ X83))))) \/ ((forall X84 : Universe, (ndr1_0_ -> (~(c1_1_ X84) \/ (~(c2_1_ X84) \/ ~(c3_1_ X84))))) \/ hskp23_)) /\ (((forall X85 : Universe, (ndr1_0_ -> (~(c0_1_ X85) \/ (~(c2_1_ X85) \/ ~(c3_1_ X85))))) \/ (hskp14_ \/ hskp21_)) /\ (((forall X86 : Universe, (ndr1_0_ -> (~(c1_1_ X86) \/ (~(c2_1_ X86) \/ ~(c3_1_ X86))))) \/ (hskp0_ \/ hskp7_)) /\ ((hskp29_ \/ (hskp10_ \/ hskp22_)) /\ ((hskp29_ \/ (hskp28_ \/ hskp23_)) /\ ((hskp5_ \/ (hskp3_ \/ hskp2_)) /\ ((hskp8_ \/ hskp17_) /\ ((hskp19_ \/ (hskp4_ \/ hskp26_)) /\ ((hskp28_ \/ (hskp0_ \/ hskp23_)) /\ ((hskp6_ \/ (hskp20_ \/ hskp23_)) /\ (hskp0_ \/ (hskp25_ \/ hskp4_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
