(*
% File     : SYN449+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=026
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-026.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.50 v2.6.0, 0.25 v2.5.0, 0.33 v2.2.1, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  598 (   0 equality)
%            Maximal formula depth :   95 (  95 average)
%            Number of connectives :  813 ( 216 ~  ; 324  |; 187  &)
%                                         (   0 <=>;  86 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   37 (  33 propositional; 0-1 arity)
%            Number of functors    :   32 (  32 constant; 0-0 arity)
%            Number of variables   :   86 (   0 singleton;  86 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp31_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a628_ : Universe.
Variable a609_ : Universe.
Variable a608_ : Universe.
Variable a607_ : Universe.
Variable a601_ : Universe.
Variable a599_ : Universe.
Variable a587_ : Universe.
Variable a584_ : Universe.
Variable a581_ : Universe.
Variable a577_ : Universe.
Variable a576_ : Universe.
Variable a572_ : Universe.
Variable a570_ : Universe.
Variable a566_ : Universe.
Variable a564_ : Universe.
Variable a563_ : Universe.
Variable a562_ : Universe.
Variable a561_ : Universe.
Variable a560_ : Universe.
Variable a559_ : Universe.
Variable a558_ : Universe.
Variable a557_ : Universe.
Variable a556_ : Universe.
Variable a555_ : Universe.
Variable a554_ : Universe.
Variable a552_ : Universe.
Variable a551_ : Universe.
Variable a550_ : Universe.
Variable a549_ : Universe.
Variable a548_ : Universe.
Variable a547_ : Universe.
Variable a546_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c2_1_ a547_ /\ (~(c0_1_ a547_) /\ ~(c1_1_ a547_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c3_1_ a548_ /\ (~(c0_1_ a548_) /\ ~(c2_1_ a548_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c3_1_ a549_ /\ (~(c1_1_ a549_) /\ ~(c2_1_ a549_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c3_1_ a550_ /\ (~(c0_1_ a550_) /\ ~(c1_1_ a550_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c0_1_ a551_ /\ (c1_1_ a551_ /\ ~(c3_1_ a551_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c0_1_ a552_ /\ (~(c1_1_ a552_) /\ ~(c2_1_ a552_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (~(c0_1_ a554_) /\ (~(c1_1_ a554_) /\ ~(c2_1_ a554_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (~(c0_1_ a555_) /\ (~(c2_1_ a555_) /\ ~(c3_1_ a555_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c0_1_ a556_ /\ (c2_1_ a556_ /\ ~(c3_1_ a556_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c2_1_ a557_ /\ (c3_1_ a557_ /\ ~(c1_1_ a557_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c1_1_ a558_ /\ (c3_1_ a558_ /\ ~(c0_1_ a558_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c2_1_ a559_ /\ (~(c0_1_ a559_) /\ ~(c3_1_ a559_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c0_1_ a560_ /\ (~(c1_1_ a560_) /\ ~(c3_1_ a560_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c0_1_ a561_ /\ (c1_1_ a561_ /\ ~(c2_1_ a561_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (~(c1_1_ a562_) /\ (~(c2_1_ a562_) /\ ~(c3_1_ a562_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c1_1_ a563_ /\ (c2_1_ a563_ /\ ~(c0_1_ a563_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c1_1_ a564_ /\ (c2_1_ a564_ /\ ~(c3_1_ a564_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c0_1_ a566_ /\ (c2_1_ a566_ /\ ~(c1_1_ a566_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c0_1_ a570_ /\ (c3_1_ a570_ /\ ~(c2_1_ a570_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c1_1_ a572_ /\ (~(c2_1_ a572_) /\ ~(c3_1_ a572_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c2_1_ a576_ /\ (~(c1_1_ a576_) /\ ~(c3_1_ a576_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c1_1_ a577_ /\ (~(c0_1_ a577_) /\ ~(c3_1_ a577_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c1_1_ a584_ /\ (~(c0_1_ a584_) /\ ~(c2_1_ a584_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c0_1_ a587_ /\ (~(c2_1_ a587_) /\ ~(c3_1_ a587_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c1_1_ a599_ /\ (c3_1_ a599_ /\ ~(c2_1_ a599_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (~(c0_1_ a601_) /\ (~(c1_1_ a601_) /\ ~(c3_1_ a601_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c2_1_ a607_ /\ (c3_1_ a607_ /\ ~(c0_1_ a607_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a628_ /\ (c3_1_ a628_ /\ ~(c1_1_ a628_))))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a546_ /\ (c2_1_ a546_ /\ c3_1_ a546_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a581_ /\ (c1_1_ a581_ /\ c3_1_ a581_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c0_1_ a608_ /\ (c1_1_ a608_ /\ c2_1_ a608_)))) /\ ((~(hskp31_) \/ (ndr1_0_ /\ (c1_1_ a609_ /\ (c2_1_ a609_ /\ c3_1_ a609_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ (hskp28_ \/ hskp0_)) /\ (((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c1_1_ V \/ c2_1_ V)))) \/ (hskp1_ \/ hskp2_)) /\ (((forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c1_1_ W \/ c3_1_ W)))) \/ ((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c2_1_ X \/ ~(c3_1_ X))))) \/ (forall Y : Universe, (ndr1_0_ -> (c3_1_ Y \/ (~(c0_1_ Y) \/ ~(c1_1_ Y))))))) /\ (((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c1_1_ Z \/ c3_1_ Z)))) \/ ((forall X1 : Universe, (ndr1_0_ -> (c1_1_ X1 \/ (~(c2_1_ X1) \/ ~(c3_1_ X1))))) \/ hskp3_)) /\ (((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ c3_1_ X2)))) \/ (hskp4_ \/ hskp5_)) /\ (((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (c1_1_ X3 \/ c3_1_ X3)))) \/ (hskp2_ \/ hskp6_)) /\ (((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c1_1_ X4 \/ ~(c2_1_ X4))))) \/ ((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (c2_1_ X5 \/ ~(c1_1_ X5))))) \/ hskp7_)) /\ (((forall X6 : Universe, (ndr1_0_ -> (c0_1_ X6 \/ (c1_1_ X6 \/ ~(c2_1_ X6))))) \/ (hskp8_ \/ hskp9_)) /\ (((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (c1_1_ X7 \/ ~(c2_1_ X7))))) \/ (hskp10_ \/ hskp11_)) /\ (((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (c1_1_ X8 \/ ~(c3_1_ X8))))) \/ ((forall X9 : Universe, (ndr1_0_ -> (c1_1_ X9 \/ (c2_1_ X9 \/ ~(c0_1_ X9))))) \/ (forall X10 : Universe, (ndr1_0_ -> (c1_1_ X10 \/ (~(c0_1_ X10) \/ ~(c2_1_ X10))))))) /\ (((forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (c1_1_ X11 \/ ~(c3_1_ X11))))) \/ ((forall X12 : Universe, (ndr1_0_ -> (c1_1_ X12 \/ (c3_1_ X12 \/ ~(c2_1_ X12))))) \/ hskp12_)) /\ (((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c1_1_ X13 \/ ~(c3_1_ X13))))) \/ (hskp13_ \/ hskp14_)) /\ (((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c2_1_ X14 \/ c3_1_ X14)))) \/ ((forall X15 : Universe, (ndr1_0_ -> (c2_1_ X15 \/ (c3_1_ X15 \/ ~(c0_1_ X15))))) \/ hskp15_)) /\ (((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (c2_1_ X16 \/ c3_1_ X16)))) \/ ((forall X17 : Universe, (ndr1_0_ -> (~(c0_1_ X17) \/ (~(c1_1_ X17) \/ ~(c2_1_ X17))))) \/ hskp16_)) /\ (((forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (c2_1_ X18 \/ ~(c1_1_ X18))))) \/ ((forall X19 : Universe, (ndr1_0_ -> (c1_1_ X19 \/ (c2_1_ X19 \/ ~(c3_1_ X19))))) \/ (forall X20 : Universe, (ndr1_0_ -> (c3_1_ X20 \/ (~(c0_1_ X20) \/ ~(c2_1_ X20))))))) /\ (((forall X21 : Universe, (ndr1_0_ -> (c0_1_ X21 \/ (c2_1_ X21 \/ ~(c1_1_ X21))))) \/ ((forall X22 : Universe, (ndr1_0_ -> (c1_1_ X22 \/ (~(c2_1_ X22) \/ ~(c3_1_ X22))))) \/ hskp11_)) /\ (((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c2_1_ X23 \/ ~(c1_1_ X23))))) \/ ((forall X24 : Universe, (ndr1_0_ -> (c3_1_ X24 \/ (~(c1_1_ X24) \/ ~(c2_1_ X24))))) \/ (forall X25 : Universe, (ndr1_0_ -> (~(c1_1_ X25) \/ (~(c2_1_ X25) \/ ~(c3_1_ X25))))))) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c3_1_ X26 \/ ~(c2_1_ X26))))) \/ ((forall X27 : Universe, (ndr1_0_ -> (c1_1_ X27 \/ (~(c2_1_ X27) \/ ~(c3_1_ X27))))) \/ hskp17_)) /\ (((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (~(c1_1_ X28) \/ ~(c2_1_ X28))))) \/ ((forall X29 : Universe, (ndr1_0_ -> (c2_1_ X29 \/ (c3_1_ X29 \/ ~(c0_1_ X29))))) \/ (forall X30 : Universe, (ndr1_0_ -> (c2_1_ X30 \/ (~(c0_1_ X30) \/ ~(c3_1_ X30))))))) /\ (((forall X31 : Universe, (ndr1_0_ -> (c0_1_ X31 \/ (~(c1_1_ X31) \/ ~(c2_1_ X31))))) \/ ((forall X32 : Universe, (ndr1_0_ -> (c2_1_ X32 \/ (~(c0_1_ X32) \/ ~(c3_1_ X32))))) \/ hskp15_)) /\ (((forall X33 : Universe, (ndr1_0_ -> (c0_1_ X33 \/ (~(c1_1_ X33) \/ ~(c2_1_ X33))))) \/ ((forall X34 : Universe, (ndr1_0_ -> (~(c0_1_ X34) \/ (~(c1_1_ X34) \/ ~(c3_1_ X34))))) \/ (forall X35 : Universe, (ndr1_0_ -> (~(c1_1_ X35) \/ (~(c2_1_ X35) \/ ~(c3_1_ X35))))))) /\ (((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (~(c1_1_ X36) \/ ~(c2_1_ X36))))) \/ (hskp28_ \/ hskp7_)) /\ (((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (~(c1_1_ X37) \/ ~(c2_1_ X37))))) \/ (hskp18_ \/ hskp15_)) /\ (((forall X38 : Universe, (ndr1_0_ -> (c0_1_ X38 \/ (~(c1_1_ X38) \/ ~(c3_1_ X38))))) \/ ((forall X39 : Universe, (ndr1_0_ -> (c3_1_ X39 \/ (~(c1_1_ X39) \/ ~(c2_1_ X39))))) \/ hskp19_)) /\ (((forall X40 : Universe, (ndr1_0_ -> (c0_1_ X40 \/ (~(c1_1_ X40) \/ ~(c3_1_ X40))))) \/ (hskp13_ \/ hskp6_)) /\ (((forall X41 : Universe, (ndr1_0_ -> (c0_1_ X41 \/ (~(c2_1_ X41) \/ ~(c3_1_ X41))))) \/ (hskp13_ \/ hskp20_)) /\ (((forall X42 : Universe, (ndr1_0_ -> (c1_1_ X42 \/ (c2_1_ X42 \/ c3_1_ X42)))) \/ ((forall X43 : Universe, (ndr1_0_ -> (c2_1_ X43 \/ (c3_1_ X43 \/ ~(c1_1_ X43))))) \/ (forall X44 : Universe, (ndr1_0_ -> (c2_1_ X44 \/ (~(c0_1_ X44) \/ ~(c3_1_ X44))))))) /\ (((forall X45 : Universe, (ndr1_0_ -> (c1_1_ X45 \/ (c2_1_ X45 \/ ~(c0_1_ X45))))) \/ ((forall X46 : Universe, (ndr1_0_ -> (c3_1_ X46 \/ (~(c1_1_ X46) \/ ~(c2_1_ X46))))) \/ hskp21_)) /\ (((forall X47 : Universe, (ndr1_0_ -> (c1_1_ X47 \/ (c2_1_ X47 \/ ~(c0_1_ X47))))) \/ (hskp16_ \/ hskp0_)) /\ (((forall X48 : Universe, (ndr1_0_ -> (c1_1_ X48 \/ (c2_1_ X48 \/ ~(c3_1_ X48))))) \/ ((forall X49 : Universe, (ndr1_0_ -> (c3_1_ X49 \/ (~(c1_1_ X49) \/ ~(c2_1_ X49))))) \/ hskp19_)) /\ (((forall X50 : Universe, (ndr1_0_ -> (c1_1_ X50 \/ (c2_1_ X50 \/ ~(c3_1_ X50))))) \/ ((forall X51 : Universe, (ndr1_0_ -> (~(c0_1_ X51) \/ (~(c2_1_ X51) \/ ~(c3_1_ X51))))) \/ hskp29_)) /\ (((forall X52 : Universe, (ndr1_0_ -> (c1_1_ X52 \/ (c2_1_ X52 \/ ~(c3_1_ X52))))) \/ (hskp11_ \/ hskp6_)) /\ (((forall X53 : Universe, (ndr1_0_ -> (c1_1_ X53 \/ (c3_1_ X53 \/ ~(c0_1_ X53))))) \/ ((forall X54 : Universe, (ndr1_0_ -> (c3_1_ X54 \/ (~(c1_1_ X54) \/ ~(c2_1_ X54))))) \/ hskp22_)) /\ (((forall X55 : Universe, (ndr1_0_ -> (c1_1_ X55 \/ (~(c0_1_ X55) \/ ~(c2_1_ X55))))) \/ ((forall X56 : Universe, (ndr1_0_ -> (c3_1_ X56 \/ (~(c0_1_ X56) \/ ~(c1_1_ X56))))) \/ hskp0_)) /\ (((forall X57 : Universe, (ndr1_0_ -> (c1_1_ X57 \/ (~(c0_1_ X57) \/ ~(c2_1_ X57))))) \/ (hskp8_ \/ hskp23_)) /\ (((forall X58 : Universe, (ndr1_0_ -> (c1_1_ X58 \/ (~(c0_1_ X58) \/ ~(c2_1_ X58))))) \/ (hskp10_ \/ hskp9_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c1_1_ X59 \/ (~(c0_1_ X59) \/ ~(c3_1_ X59))))) \/ ((forall X60 : Universe, (ndr1_0_ -> (c2_1_ X60 \/ (c3_1_ X60 \/ ~(c0_1_ X60))))) \/ hskp19_)) /\ (((forall X61 : Universe, (ndr1_0_ -> (c1_1_ X61 \/ (~(c2_1_ X61) \/ ~(c3_1_ X61))))) \/ (hskp4_ \/ hskp19_)) /\ (((forall X62 : Universe, (ndr1_0_ -> (c2_1_ X62 \/ (c3_1_ X62 \/ ~(c0_1_ X62))))) \/ ((forall X63 : Universe, (ndr1_0_ -> (c3_1_ X63 \/ (~(c0_1_ X63) \/ ~(c1_1_ X63))))) \/ hskp9_)) /\ (((forall X64 : Universe, (ndr1_0_ -> (c2_1_ X64 \/ (c3_1_ X64 \/ ~(c0_1_ X64))))) \/ (hskp29_ \/ hskp5_)) /\ (((forall X65 : Universe, (ndr1_0_ -> (c2_1_ X65 \/ (c3_1_ X65 \/ ~(c0_1_ X65))))) \/ (hskp13_ \/ hskp10_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c2_1_ X66 \/ (c3_1_ X66 \/ ~(c0_1_ X66))))) \/ (hskp13_ \/ hskp24_)) /\ (((forall X67 : Universe, (ndr1_0_ -> (c2_1_ X67 \/ (c3_1_ X67 \/ ~(c0_1_ X67))))) \/ (hskp16_ \/ hskp25_)) /\ (((forall X68 : Universe, (ndr1_0_ -> (c2_1_ X68 \/ (~(c0_1_ X68) \/ ~(c3_1_ X68))))) \/ (hskp28_ \/ hskp24_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (c2_1_ X69 \/ (~(c0_1_ X69) \/ ~(c3_1_ X69))))) \/ (hskp23_ \/ hskp11_)) /\ (((forall X70 : Universe, (ndr1_0_ -> (c2_1_ X70 \/ (~(c0_1_ X70) \/ ~(c3_1_ X70))))) \/ (hskp16_ \/ hskp26_)) /\ (((forall X71 : Universe, (ndr1_0_ -> (c3_1_ X71 \/ (~(c0_1_ X71) \/ ~(c1_1_ X71))))) \/ (hskp30_ \/ hskp31_)) /\ (((forall X72 : Universe, (ndr1_0_ -> (c3_1_ X72 \/ (~(c0_1_ X72) \/ ~(c2_1_ X72))))) \/ (hskp16_ \/ hskp24_)) /\ (((forall X73 : Universe, (ndr1_0_ -> (c3_1_ X73 \/ (~(c1_1_ X73) \/ ~(c2_1_ X73))))) \/ ((forall X74 : Universe, (ndr1_0_ -> (~(c0_1_ X74) \/ (~(c2_1_ X74) \/ ~(c3_1_ X74))))) \/ hskp24_)) /\ (((forall X75 : Universe, (ndr1_0_ -> (c3_1_ X75 \/ (~(c1_1_ X75) \/ ~(c2_1_ X75))))) \/ ((forall X76 : Universe, (ndr1_0_ -> (~(c1_1_ X76) \/ (~(c2_1_ X76) \/ ~(c3_1_ X76))))) \/ hskp16_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (~(c0_1_ X77) \/ (~(c1_1_ X77) \/ ~(c3_1_ X77))))) \/ (hskp31_ \/ hskp21_)) /\ (((forall X78 : Universe, (ndr1_0_ -> (~(c0_1_ X78) \/ (~(c1_1_ X78) \/ ~(c3_1_ X78))))) \/ (hskp31_ \/ hskp6_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (~(c0_1_ X79) \/ (~(c1_1_ X79) \/ ~(c3_1_ X79))))) \/ (hskp3_ \/ hskp25_)) /\ (((forall X80 : Universe, (ndr1_0_ -> (~(c0_1_ X80) \/ (~(c2_1_ X80) \/ ~(c3_1_ X80))))) \/ (hskp24_ \/ hskp19_)) /\ ((hskp29_ \/ (hskp2_ \/ hskp25_)) /\ ((hskp8_ \/ (hskp3_ \/ hskp7_)) /\ ((hskp27_ \/ (hskp18_ \/ hskp20_)) /\ ((hskp27_ \/ (hskp0_ \/ hskp3_)) /\ ((hskp18_ \/ (hskp15_ \/ hskp2_)) /\ (hskp23_ \/ (hskp26_ \/ hskp25_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
