(*
% File     : SYN452+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=034
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-034.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  603 (   0 equality)
%            Maximal formula depth :   93 (  93 average)
%            Number of connectives :  805 ( 203 ~  ; 331  |; 179  &)
%                                         (   0 <=>;  92 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   35 (  31 propositional; 0-1 arity)
%            Number of functors    :   30 (  30 constant; 0-0 arity)
%            Number of variables   :   92 (   0 singleton;  92 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a892_ : Universe.
Variable a878_ : Universe.
Variable a865_ : Universe.
Variable a862_ : Universe.
Variable a860_ : Universe.
Variable a857_ : Universe.
Variable a856_ : Universe.
Variable a855_ : Universe.
Variable a854_ : Universe.
Variable a852_ : Universe.
Variable a848_ : Universe.
Variable a844_ : Universe.
Variable a842_ : Universe.
Variable a839_ : Universe.
Variable a838_ : Universe.
Variable a835_ : Universe.
Variable a834_ : Universe.
Variable a833_ : Universe.
Variable a831_ : Universe.
Variable a830_ : Universe.
Variable a828_ : Universe.
Variable a827_ : Universe.
Variable a826_ : Universe.
Variable a825_ : Universe.
Variable a821_ : Universe.
Variable a820_ : Universe.
Variable a818_ : Universe.
Variable a817_ : Universe.
Variable a816_ : Universe.
Variable a815_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c0_1_ a815_ /\ (c1_1_ a815_ /\ ~(c3_1_ a815_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c0_1_ a816_ /\ (c3_1_ a816_ /\ ~(c2_1_ a816_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c2_1_ a817_ /\ (~(c0_1_ a817_) /\ ~(c3_1_ a817_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c0_1_ a820_ /\ (~(c1_1_ a820_) /\ ~(c3_1_ a820_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c2_1_ a821_ /\ (~(c0_1_ a821_) /\ ~(c1_1_ a821_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c1_1_ a825_ /\ (c3_1_ a825_ /\ ~(c0_1_ a825_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c1_1_ a827_ /\ (c2_1_ a827_ /\ ~(c0_1_ a827_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c0_1_ a828_ /\ (~(c1_1_ a828_) /\ ~(c2_1_ a828_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (~(c0_1_ a830_) /\ (~(c2_1_ a830_) /\ ~(c3_1_ a830_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c3_1_ a831_ /\ (~(c0_1_ a831_) /\ ~(c1_1_ a831_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c0_1_ a834_ /\ (c2_1_ a834_ /\ ~(c1_1_ a834_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c2_1_ a835_ /\ (c3_1_ a835_ /\ ~(c0_1_ a835_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c0_1_ a838_ /\ (c2_1_ a838_ /\ ~(c3_1_ a838_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c1_1_ a839_ /\ (c3_1_ a839_ /\ ~(c2_1_ a839_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c0_1_ a842_ /\ (c1_1_ a842_ /\ ~(c2_1_ a842_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c2_1_ a844_ /\ (~(c1_1_ a844_) /\ ~(c3_1_ a844_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c2_1_ a848_ /\ (c3_1_ a848_ /\ ~(c1_1_ a848_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c1_1_ a852_ /\ (~(c2_1_ a852_) /\ ~(c3_1_ a852_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c1_1_ a854_ /\ (~(c0_1_ a854_) /\ ~(c2_1_ a854_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (~(c0_1_ a855_) /\ (~(c1_1_ a855_) /\ ~(c3_1_ a855_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c3_1_ a856_ /\ (~(c1_1_ a856_) /\ ~(c2_1_ a856_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c0_1_ a857_ /\ (~(c2_1_ a857_) /\ ~(c3_1_ a857_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (~(c0_1_ a860_) /\ (~(c1_1_ a860_) /\ ~(c2_1_ a860_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c0_1_ a862_ /\ (c3_1_ a862_ /\ ~(c1_1_ a862_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c1_1_ a878_ /\ (~(c0_1_ a878_) /\ ~(c3_1_ a878_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c1_1_ a892_ /\ (c2_1_ a892_ /\ ~(c3_1_ a892_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c0_1_ a818_ /\ (c1_1_ a818_ /\ c2_1_ a818_)))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a826_ /\ (c2_1_ a826_ /\ c3_1_ a826_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a833_ /\ (c1_1_ a833_ /\ c3_1_ a833_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c1_1_ a865_ /\ (c2_1_ a865_ /\ c3_1_ a865_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c1_1_ V \/ (c2_1_ V \/ c3_1_ V)))) \/ hskp0_)) /\ (((forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c1_1_ W \/ c2_1_ W)))) \/ ((forall X : Universe, (ndr1_0_ -> (c1_1_ X \/ (c2_1_ X \/ ~(c0_1_ X))))) \/ hskp1_)) /\ (((forall Y : Universe, (ndr1_0_ -> (c0_1_ Y \/ (c1_1_ Y \/ c2_1_ Y)))) \/ ((forall Z : Universe, (ndr1_0_ -> (c3_1_ Z \/ (~(c0_1_ Z) \/ ~(c2_1_ Z))))) \/ hskp2_)) /\ (((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c1_1_ X1 \/ c3_1_ X1)))) \/ (forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ ~(c3_1_ X2)))))) /\ (((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (c1_1_ X3 \/ c3_1_ X3)))) \/ (hskp26_ \/ hskp0_)) /\ (((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c1_1_ X4 \/ ~(c2_1_ X4))))) \/ ((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (~(c1_1_ X5) \/ ~(c3_1_ X5))))) \/ (forall X6 : Universe, (ndr1_0_ -> (c3_1_ X6 \/ (~(c0_1_ X6) \/ ~(c1_1_ X6))))))) /\ (((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (c1_1_ X7 \/ ~(c2_1_ X7))))) \/ (hskp3_ \/ hskp4_)) /\ (((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (c1_1_ X8 \/ ~(c3_1_ X8))))) \/ ((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (~(c1_1_ X9) \/ ~(c2_1_ X9))))) \/ hskp3_)) /\ (((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c1_1_ X10 \/ ~(c3_1_ X10))))) \/ ((forall X11 : Universe, (ndr1_0_ -> (c1_1_ X11 \/ (c2_1_ X11 \/ ~(c3_1_ X11))))) \/ hskp2_)) /\ (((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (c2_1_ X12 \/ c3_1_ X12)))) \/ ((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c2_1_ X13 \/ ~(c3_1_ X13))))) \/ hskp4_)) /\ (((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c2_1_ X14 \/ c3_1_ X14)))) \/ ((forall X15 : Universe, (ndr1_0_ -> (c2_1_ X15 \/ (c3_1_ X15 \/ ~(c0_1_ X15))))) \/ hskp5_)) /\ (((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (c2_1_ X16 \/ c3_1_ X16)))) \/ (hskp27_ \/ hskp6_)) /\ (((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c2_1_ X17 \/ c3_1_ X17)))) \/ (hskp7_ \/ hskp4_)) /\ (((forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (c2_1_ X18 \/ ~(c1_1_ X18))))) \/ ((forall X19 : Universe, (ndr1_0_ -> (c2_1_ X19 \/ (c3_1_ X19 \/ ~(c0_1_ X19))))) \/ hskp8_)) /\ (((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (c2_1_ X20 \/ ~(c1_1_ X20))))) \/ ((forall X21 : Universe, (ndr1_0_ -> (c2_1_ X21 \/ (~(c0_1_ X21) \/ ~(c3_1_ X21))))) \/ (forall X22 : Universe, (ndr1_0_ -> (c2_1_ X22 \/ (~(c1_1_ X22) \/ ~(c3_1_ X22))))))) /\ (((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c2_1_ X23 \/ ~(c1_1_ X23))))) \/ ((forall X24 : Universe, (ndr1_0_ -> (c2_1_ X24 \/ (~(c0_1_ X24) \/ ~(c3_1_ X24))))) \/ hskp9_)) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c2_1_ X25 \/ ~(c3_1_ X25))))) \/ ((forall X26 : Universe, (ndr1_0_ -> (c1_1_ X26 \/ (~(c0_1_ X26) \/ ~(c3_1_ X26))))) \/ (forall X27 : Universe, (ndr1_0_ -> (c2_1_ X27 \/ (~(c1_1_ X27) \/ ~(c3_1_ X27))))))) /\ (((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (c2_1_ X28 \/ ~(c3_1_ X28))))) \/ (hskp26_ \/ hskp28_)) /\ (((forall X29 : Universe, (ndr1_0_ -> (c0_1_ X29 \/ (c2_1_ X29 \/ ~(c3_1_ X29))))) \/ (hskp10_ \/ hskp11_)) /\ (((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (c3_1_ X30 \/ ~(c1_1_ X30))))) \/ ((forall X31 : Universe, (ndr1_0_ -> (c2_1_ X31 \/ (~(c0_1_ X31) \/ ~(c1_1_ X31))))) \/ hskp26_)) /\ (((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (c3_1_ X32 \/ ~(c1_1_ X32))))) \/ ((forall X33 : Universe, (ndr1_0_ -> (c3_1_ X33 \/ (~(c0_1_ X33) \/ ~(c2_1_ X33))))) \/ hskp6_)) /\ (((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (c3_1_ X34 \/ ~(c1_1_ X34))))) \/ (hskp12_ \/ hskp13_)) /\ (((forall X35 : Universe, (ndr1_0_ -> (c0_1_ X35 \/ (c3_1_ X35 \/ ~(c2_1_ X35))))) \/ ((forall X36 : Universe, (ndr1_0_ -> (c1_1_ X36 \/ (c2_1_ X36 \/ c3_1_ X36)))) \/ (forall X37 : Universe, (ndr1_0_ -> (c3_1_ X37 \/ (~(c1_1_ X37) \/ ~(c2_1_ X37))))))) /\ (((forall X38 : Universe, (ndr1_0_ -> (c0_1_ X38 \/ (c3_1_ X38 \/ ~(c2_1_ X38))))) \/ ((forall X39 : Universe, (ndr1_0_ -> (c1_1_ X39 \/ (c3_1_ X39 \/ ~(c2_1_ X39))))) \/ hskp2_)) /\ (((forall X40 : Universe, (ndr1_0_ -> (c0_1_ X40 \/ (~(c1_1_ X40) \/ ~(c2_1_ X40))))) \/ ((forall X41 : Universe, (ndr1_0_ -> (c1_1_ X41 \/ (c2_1_ X41 \/ ~(c3_1_ X41))))) \/ (forall X42 : Universe, (ndr1_0_ -> (c2_1_ X42 \/ (~(c0_1_ X42) \/ ~(c1_1_ X42))))))) /\ (((forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (~(c1_1_ X43) \/ ~(c3_1_ X43))))) \/ ((forall X44 : Universe, (ndr1_0_ -> (c3_1_ X44 \/ (~(c0_1_ X44) \/ ~(c1_1_ X44))))) \/ hskp9_)) /\ (((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (~(c1_1_ X45) \/ ~(c3_1_ X45))))) \/ (hskp14_ \/ hskp13_)) /\ (((forall X46 : Universe, (ndr1_0_ -> (c0_1_ X46 \/ (~(c1_1_ X46) \/ ~(c3_1_ X46))))) \/ (hskp15_ \/ hskp8_)) /\ (((forall X47 : Universe, (ndr1_0_ -> (c0_1_ X47 \/ (~(c2_1_ X47) \/ ~(c3_1_ X47))))) \/ ((forall X48 : Universe, (ndr1_0_ -> (c1_1_ X48 \/ (~(c0_1_ X48) \/ ~(c2_1_ X48))))) \/ (forall X49 : Universe, (ndr1_0_ -> (c2_1_ X49 \/ (c3_1_ X49 \/ ~(c1_1_ X49))))))) /\ (((forall X50 : Universe, (ndr1_0_ -> (c1_1_ X50 \/ (c2_1_ X50 \/ c3_1_ X50)))) \/ ((forall X51 : Universe, (ndr1_0_ -> (c1_1_ X51 \/ (c2_1_ X51 \/ ~(c0_1_ X51))))) \/ (forall X52 : Universe, (ndr1_0_ -> (~(c1_1_ X52) \/ (~(c2_1_ X52) \/ ~(c3_1_ X52))))))) /\ (((forall X53 : Universe, (ndr1_0_ -> (c1_1_ X53 \/ (c2_1_ X53 \/ c3_1_ X53)))) \/ ((forall X54 : Universe, (ndr1_0_ -> (c1_1_ X54 \/ (~(c2_1_ X54) \/ ~(c3_1_ X54))))) \/ hskp6_)) /\ (((forall X55 : Universe, (ndr1_0_ -> (c1_1_ X55 \/ (c2_1_ X55 \/ c3_1_ X55)))) \/ hskp27_) /\ (((forall X56 : Universe, (ndr1_0_ -> (c1_1_ X56 \/ (c2_1_ X56 \/ ~(c0_1_ X56))))) \/ ((forall X57 : Universe, (ndr1_0_ -> (c1_1_ X57 \/ (c2_1_ X57 \/ ~(c3_1_ X57))))) \/ (forall X58 : Universe, (ndr1_0_ -> (~(c0_1_ X58) \/ (~(c1_1_ X58) \/ ~(c3_1_ X58))))))) /\ (((forall X59 : Universe, (ndr1_0_ -> (c1_1_ X59 \/ (c2_1_ X59 \/ ~(c0_1_ X59))))) \/ ((forall X60 : Universe, (ndr1_0_ -> (c1_1_ X60 \/ (~(c2_1_ X60) \/ ~(c3_1_ X60))))) \/ hskp16_)) /\ (((forall X61 : Universe, (ndr1_0_ -> (c1_1_ X61 \/ (c2_1_ X61 \/ ~(c0_1_ X61))))) \/ ((forall X62 : Universe, (ndr1_0_ -> (c2_1_ X62 \/ (~(c0_1_ X62) \/ ~(c3_1_ X62))))) \/ hskp9_)) /\ (((forall X63 : Universe, (ndr1_0_ -> (c1_1_ X63 \/ (c2_1_ X63 \/ ~(c3_1_ X63))))) \/ ((forall X64 : Universe, (ndr1_0_ -> (~(c0_1_ X64) \/ (~(c1_1_ X64) \/ ~(c3_1_ X64))))) \/ hskp3_)) /\ (((forall X65 : Universe, (ndr1_0_ -> (c1_1_ X65 \/ (c3_1_ X65 \/ ~(c0_1_ X65))))) \/ (hskp12_ \/ hskp17_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (c3_1_ X66 \/ ~(c0_1_ X66))))) \/ (hskp3_ \/ hskp18_)) /\ (((forall X67 : Universe, (ndr1_0_ -> (c1_1_ X67 \/ (~(c0_1_ X67) \/ ~(c2_1_ X67))))) \/ ((forall X68 : Universe, (ndr1_0_ -> (c2_1_ X68 \/ (~(c0_1_ X68) \/ ~(c1_1_ X68))))) \/ hskp19_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (c1_1_ X69 \/ (~(c0_1_ X69) \/ ~(c3_1_ X69))))) \/ ((forall X70 : Universe, (ndr1_0_ -> (c1_1_ X70 \/ (~(c2_1_ X70) \/ ~(c3_1_ X70))))) \/ hskp20_)) /\ (((forall X71 : Universe, (ndr1_0_ -> (c1_1_ X71 \/ (~(c0_1_ X71) \/ ~(c3_1_ X71))))) \/ (hskp21_ \/ hskp13_)) /\ (((forall X72 : Universe, (ndr1_0_ -> (c1_1_ X72 \/ (~(c2_1_ X72) \/ ~(c3_1_ X72))))) \/ (hskp14_ \/ hskp22_)) /\ (((forall X73 : Universe, (ndr1_0_ -> (c2_1_ X73 \/ (c3_1_ X73 \/ ~(c0_1_ X73))))) \/ ((forall X74 : Universe, (ndr1_0_ -> (~(c0_1_ X74) \/ (~(c1_1_ X74) \/ ~(c3_1_ X74))))) \/ hskp15_)) /\ (((forall X75 : Universe, (ndr1_0_ -> (c2_1_ X75 \/ (c3_1_ X75 \/ ~(c1_1_ X75))))) \/ ((forall X76 : Universe, (ndr1_0_ -> (c2_1_ X76 \/ (~(c0_1_ X76) \/ ~(c3_1_ X76))))) \/ hskp23_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (c2_1_ X77 \/ (c3_1_ X77 \/ ~(c1_1_ X77))))) \/ (hskp1_ \/ hskp22_)) /\ (((forall X78 : Universe, (ndr1_0_ -> (c2_1_ X78 \/ (~(c0_1_ X78) \/ ~(c1_1_ X78))))) \/ (hskp29_ \/ hskp19_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (c2_1_ X79 \/ (~(c0_1_ X79) \/ ~(c3_1_ X79))))) \/ ((forall X80 : Universe, (ndr1_0_ -> (~(c0_1_ X80) \/ (~(c1_1_ X80) \/ ~(c3_1_ X80))))) \/ hskp29_)) /\ (((forall X81 : Universe, (ndr1_0_ -> (c3_1_ X81 \/ (~(c1_1_ X81) \/ ~(c2_1_ X81))))) \/ (hskp14_ \/ hskp7_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c3_1_ X82 \/ (~(c1_1_ X82) \/ ~(c2_1_ X82))))) \/ (hskp14_ \/ hskp15_)) /\ (((forall X83 : Universe, (ndr1_0_ -> (c3_1_ X83 \/ (~(c1_1_ X83) \/ ~(c2_1_ X83))))) \/ (hskp1_ \/ hskp2_)) /\ (((forall X84 : Universe, (ndr1_0_ -> (~(c0_1_ X84) \/ (~(c1_1_ X84) \/ ~(c3_1_ X84))))) \/ ((forall X85 : Universe, (ndr1_0_ -> (~(c1_1_ X85) \/ (~(c2_1_ X85) \/ ~(c3_1_ X85))))) \/ hskp8_)) /\ (((forall X86 : Universe, (ndr1_0_ -> (~(c0_1_ X86) \/ (~(c2_1_ X86) \/ ~(c3_1_ X86))))) \/ (hskp23_ \/ hskp3_)) /\ ((hskp28_ \/ (hskp24_ \/ hskp20_)) /\ ((hskp14_ \/ (hskp12_ \/ hskp11_)) /\ ((hskp14_ \/ hskp24_) /\ ((hskp27_ \/ (hskp18_ \/ hskp9_)) /\ ((hskp27_ \/ (hskp17_ \/ hskp15_)) /\ ((hskp23_ \/ (hskp25_ \/ hskp5_)) /\ ((hskp7_ \/ (hskp5_ \/ hskp13_)) /\ (hskp13_ \/ (hskp16_ \/ hskp19_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
