(*
% File     : SYN453+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=044
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-044.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.50 v2.7.0, 0.67 v2.6.0, 0.50 v2.5.0, 0.67 v2.4.0, 0.33 v2.2.1, 1.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  796 (   0 equality)
%            Maximal formula depth :  139 ( 139 average)
%            Number of connectives : 1108 ( 313 ~  ; 365  |; 343  &)
%                                         (   0 <=>;  87 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   76 (  72 propositional; 0-1 arity)
%            Number of functors    :   71 (  71 constant; 0-0 arity)
%            Number of variables   :   87 (   0 singleton;  87 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp70_ : Prop.
Variable hskp7_ : Prop.
Variable hskp69_ : Prop.
Variable hskp68_ : Prop.
Variable hskp67_ : Prop.
Variable hskp66_ : Prop.
Variable hskp65_ : Prop.
Variable hskp64_ : Prop.
Variable hskp63_ : Prop.
Variable hskp62_ : Prop.
Variable hskp61_ : Prop.
Variable hskp60_ : Prop.
Variable hskp6_ : Prop.
Variable hskp59_ : Prop.
Variable hskp58_ : Prop.
Variable hskp57_ : Prop.
Variable hskp56_ : Prop.
Variable hskp55_ : Prop.
Variable hskp54_ : Prop.
Variable hskp53_ : Prop.
Variable hskp52_ : Prop.
Variable hskp51_ : Prop.
Variable hskp50_ : Prop.
Variable hskp5_ : Prop.
Variable hskp49_ : Prop.
Variable hskp48_ : Prop.
Variable hskp47_ : Prop.
Variable hskp46_ : Prop.
Variable hskp45_ : Prop.
Variable hskp44_ : Prop.
Variable hskp43_ : Prop.
Variable hskp42_ : Prop.
Variable hskp41_ : Prop.
Variable hskp40_ : Prop.
Variable hskp4_ : Prop.
Variable hskp39_ : Prop.
Variable hskp38_ : Prop.
Variable hskp37_ : Prop.
Variable hskp36_ : Prop.
Variable hskp35_ : Prop.
Variable hskp34_ : Prop.
Variable hskp33_ : Prop.
Variable hskp32_ : Prop.
Variable hskp31_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a2083_ : Universe.
Variable a2081_ : Universe.
Variable a2080_ : Universe.
Variable a2079_ : Universe.
Variable a2078_ : Universe.
Variable a2074_ : Universe.
Variable a2073_ : Universe.
Variable a2070_ : Universe.
Variable a2069_ : Universe.
Variable a2068_ : Universe.
Variable a2067_ : Universe.
Variable a2065_ : Universe.
Variable a2063_ : Universe.
Variable a2062_ : Universe.
Variable a2061_ : Universe.
Variable a2059_ : Universe.
Variable a2058_ : Universe.
Variable a2057_ : Universe.
Variable a2054_ : Universe.
Variable a2053_ : Universe.
Variable a2052_ : Universe.
Variable a2051_ : Universe.
Variable a2050_ : Universe.
Variable a2048_ : Universe.
Variable a2047_ : Universe.
Variable a2046_ : Universe.
Variable a2045_ : Universe.
Variable a2044_ : Universe.
Variable a2041_ : Universe.
Variable a2038_ : Universe.
Variable a2037_ : Universe.
Variable a2036_ : Universe.
Variable a2035_ : Universe.
Variable a2034_ : Universe.
Variable a2033_ : Universe.
Variable a2032_ : Universe.
Variable a2031_ : Universe.
Variable a2030_ : Universe.
Variable a2029_ : Universe.
Variable a2028_ : Universe.
Variable a2027_ : Universe.
Variable a2026_ : Universe.
Variable a2025_ : Universe.
Variable a2023_ : Universe.
Variable a2022_ : Universe.
Variable a2020_ : Universe.
Variable a2019_ : Universe.
Variable a2018_ : Universe.
Variable a2017_ : Universe.
Variable a2016_ : Universe.
Variable a2015_ : Universe.
Variable a2014_ : Universe.
Variable a2013_ : Universe.
Variable a2011_ : Universe.
Variable a2010_ : Universe.
Variable a2009_ : Universe.
Variable a2007_ : Universe.
Variable a2006_ : Universe.
Variable a2005_ : Universe.
Variable a2004_ : Universe.
Variable a2003_ : Universe.
Variable a2002_ : Universe.
Variable a2001_ : Universe.
Variable a2000_ : Universe.
Variable a1999_ : Universe.
Variable a1998_ : Universe.
Variable a1997_ : Universe.
Variable a1996_ : Universe.
Variable a1995_ : Universe.
Variable a1994_ : Universe.
Variable a1993_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (~(c1_1_ a1994_) /\ (c0_1_ a1994_ /\ ~(c3_1_ a1994_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c0_1_ a1998_ /\ (c3_1_ a1998_ /\ ~(c1_1_ a1998_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (~(c2_1_ a1999_) /\ (c1_1_ a1999_ /\ ~(c3_1_ a1999_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (~(c3_1_ a2000_) /\ (c1_1_ a2000_ /\ ~(c0_1_ a2000_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (~(c3_1_ a2001_) /\ (~(c2_1_ a2001_) /\ ~(c1_1_ a2001_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (~(c1_1_ a2006_) /\ (c2_1_ a2006_ /\ ~(c0_1_ a2006_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c3_1_ a2009_ /\ (~(c0_1_ a2009_) /\ ~(c1_1_ a2009_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (~(c3_1_ a2011_) /\ (c0_1_ a2011_ /\ ~(c2_1_ a2011_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (~(c3_1_ a2013_) /\ (~(c0_1_ a2013_) /\ ~(c1_1_ a2013_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (~(c3_1_ a2014_) /\ (~(c2_1_ a2014_) /\ ~(c0_1_ a2014_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c3_1_ a2015_ /\ (c1_1_ a2015_ /\ ~(c0_1_ a2015_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c0_1_ a2016_ /\ (c2_1_ a2016_ /\ ~(c1_1_ a2016_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (~(c1_1_ a2019_) /\ (~(c2_1_ a2019_) /\ ~(c0_1_ a2019_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c1_1_ a2020_ /\ (~(c3_1_ a2020_) /\ ~(c2_1_ a2020_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c2_1_ a2023_ /\ (c0_1_ a2023_ /\ ~(c3_1_ a2023_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (~(c2_1_ a2031_) /\ (~(c3_1_ a2031_) /\ ~(c0_1_ a2031_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (~(c1_1_ a2032_) /\ (c0_1_ a2032_ /\ ~(c2_1_ a2032_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (~(c2_1_ a2034_) /\ (~(c1_1_ a2034_) /\ ~(c0_1_ a2034_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c3_1_ a2036_ /\ (c0_1_ a2036_ /\ ~(c1_1_ a2036_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c1_1_ a2038_ /\ (c0_1_ a2038_ /\ ~(c3_1_ a2038_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c1_1_ a2041_ /\ (c3_1_ a2041_ /\ ~(c0_1_ a2041_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c3_1_ a2044_ /\ (~(c1_1_ a2044_) /\ ~(c0_1_ a2044_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c2_1_ a2045_ /\ (~(c0_1_ a2045_) /\ ~(c3_1_ a2045_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (~(c2_1_ a2050_) /\ (~(c0_1_ a2050_) /\ ~(c3_1_ a2050_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c2_1_ a2057_ /\ (~(c3_1_ a2057_) /\ ~(c0_1_ a2057_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (~(c3_1_ a2062_) /\ (~(c1_1_ a2062_) /\ ~(c2_1_ a2062_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c3_1_ a2065_ /\ (c2_1_ a2065_ /\ ~(c0_1_ a2065_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a2068_ /\ (c1_1_ a2068_ /\ ~(c2_1_ a2068_))))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c1_1_ a2069_ /\ (c2_1_ a2069_ /\ ~(c0_1_ a2069_))))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c3_1_ a2079_ /\ (c2_1_ a2079_ /\ ~(c1_1_ a2079_))))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (~(c1_1_ a2080_) /\ (~(c0_1_ a2080_) /\ ~(c2_1_ a2080_))))) /\ ((~(hskp31_) \/ (ndr1_0_ /\ (~(c1_1_ a2081_) /\ (~(c3_1_ a2081_) /\ ~(c2_1_ a2081_))))) /\ ((~(hskp32_) \/ (ndr1_0_ /\ (~(c2_1_ a2083_) /\ (~(c3_1_ a2083_) /\ ~(c1_1_ a2083_))))) /\ ((~(hskp33_) \/ (ndr1_0_ /\ (c2_1_ a1993_ /\ (c1_1_ a1993_ /\ c0_1_ a1993_)))) /\ ((~(hskp34_) \/ (ndr1_0_ /\ (c0_1_ a1995_ /\ (~(c3_1_ a1995_) /\ c1_1_ a1995_)))) /\ ((~(hskp35_) \/ (ndr1_0_ /\ (c2_1_ a1996_ /\ (c3_1_ a1996_ /\ c0_1_ a1996_)))) /\ ((~(hskp36_) \/ (ndr1_0_ /\ (~(c2_1_ a1997_) /\ (~(c3_1_ a1997_) /\ c1_1_ a1997_)))) /\ ((~(hskp37_) \/ (ndr1_0_ /\ (c3_1_ a2002_ /\ (~(c0_1_ a2002_) /\ c1_1_ a2002_)))) /\ ((~(hskp38_) \/ (ndr1_0_ /\ (~(c1_1_ a2003_) /\ (~(c2_1_ a2003_) /\ c3_1_ a2003_)))) /\ ((~(hskp39_) \/ (ndr1_0_ /\ (c0_1_ a2004_ /\ (c2_1_ a2004_ /\ c1_1_ a2004_)))) /\ ((~(hskp40_) \/ (ndr1_0_ /\ (~(c1_1_ a2005_) /\ (~(c3_1_ a2005_) /\ c0_1_ a2005_)))) /\ ((~(hskp41_) \/ (ndr1_0_ /\ (c3_1_ a2007_ /\ (c1_1_ a2007_ /\ c0_1_ a2007_)))) /\ ((~(hskp42_) \/ (ndr1_0_ /\ (c3_1_ a2010_ /\ (~(c0_1_ a2010_) /\ c2_1_ a2010_)))) /\ ((~(hskp43_) \/ (ndr1_0_ /\ (~(c1_1_ a2017_) /\ (~(c0_1_ a2017_) /\ c2_1_ a2017_)))) /\ ((~(hskp44_) \/ (ndr1_0_ /\ (c2_1_ a2018_ /\ (~(c1_1_ a2018_) /\ c0_1_ a2018_)))) /\ ((~(hskp45_) \/ (ndr1_0_ /\ (c2_1_ a2022_ /\ (~(c0_1_ a2022_) /\ c3_1_ a2022_)))) /\ ((~(hskp46_) \/ (ndr1_0_ /\ (c3_1_ a2025_ /\ (~(c2_1_ a2025_) /\ c0_1_ a2025_)))) /\ ((~(hskp47_) \/ (ndr1_0_ /\ (c2_1_ a2026_ /\ (~(c3_1_ a2026_) /\ c0_1_ a2026_)))) /\ ((~(hskp48_) \/ (ndr1_0_ /\ (c1_1_ a2027_ /\ (c3_1_ a2027_ /\ c0_1_ a2027_)))) /\ ((~(hskp49_) \/ (ndr1_0_ /\ (c0_1_ a2028_ /\ (~(c1_1_ a2028_) /\ c3_1_ a2028_)))) /\ ((~(hskp50_) \/ (ndr1_0_ /\ (c1_1_ a2029_ /\ (~(c3_1_ a2029_) /\ c2_1_ a2029_)))) /\ ((~(hskp51_) \/ (ndr1_0_ /\ (~(c0_1_ a2030_) /\ (c2_1_ a2030_ /\ c1_1_ a2030_)))) /\ ((~(hskp52_) \/ (ndr1_0_ /\ (~(c3_1_ a2033_) /\ (~(c1_1_ a2033_) /\ c2_1_ a2033_)))) /\ ((~(hskp53_) \/ (ndr1_0_ /\ (c2_1_ a2035_ /\ (~(c0_1_ a2035_) /\ c1_1_ a2035_)))) /\ ((~(hskp54_) \/ (ndr1_0_ /\ (~(c0_1_ a2037_) /\ (c2_1_ a2037_ /\ c3_1_ a2037_)))) /\ ((~(hskp55_) \/ (ndr1_0_ /\ (c0_1_ a2046_ /\ (c1_1_ a2046_ /\ c2_1_ a2046_)))) /\ ((~(hskp56_) \/ (ndr1_0_ /\ (~(c2_1_ a2047_) /\ (c3_1_ a2047_ /\ c0_1_ a2047_)))) /\ ((~(hskp57_) \/ (ndr1_0_ /\ (~(c3_1_ a2048_) /\ (~(c1_1_ a2048_) /\ c0_1_ a2048_)))) /\ ((~(hskp58_) \/ (ndr1_0_ /\ (~(c2_1_ a2051_) /\ (~(c1_1_ a2051_) /\ c3_1_ a2051_)))) /\ ((~(hskp59_) \/ (ndr1_0_ /\ (~(c1_1_ a2052_) /\ (c0_1_ a2052_ /\ c2_1_ a2052_)))) /\ ((~(hskp60_) \/ (ndr1_0_ /\ (~(c2_1_ a2053_) /\ (c0_1_ a2053_ /\ c1_1_ a2053_)))) /\ ((~(hskp61_) \/ (ndr1_0_ /\ (c1_1_ a2054_ /\ (c2_1_ a2054_ /\ c3_1_ a2054_)))) /\ ((~(hskp62_) \/ (ndr1_0_ /\ (~(c2_1_ a2058_) /\ (c1_1_ a2058_ /\ c3_1_ a2058_)))) /\ ((~(hskp63_) \/ (ndr1_0_ /\ (~(c3_1_ a2059_) /\ (c2_1_ a2059_ /\ c1_1_ a2059_)))) /\ ((~(hskp64_) \/ (ndr1_0_ /\ (c3_1_ a2061_ /\ (~(c2_1_ a2061_) /\ c1_1_ a2061_)))) /\ ((~(hskp65_) \/ (ndr1_0_ /\ (~(c3_1_ a2063_) /\ (c0_1_ a2063_ /\ c1_1_ a2063_)))) /\ ((~(hskp66_) \/ (ndr1_0_ /\ (c0_1_ a2067_ /\ (c3_1_ a2067_ /\ c2_1_ a2067_)))) /\ ((~(hskp67_) \/ (ndr1_0_ /\ (~(c1_1_ a2070_) /\ (~(c0_1_ a2070_) /\ c3_1_ a2070_)))) /\ ((~(hskp68_) \/ (ndr1_0_ /\ (c1_1_ a2073_ /\ (~(c2_1_ a2073_) /\ c0_1_ a2073_)))) /\ ((~(hskp69_) \/ (ndr1_0_ /\ (~(c2_1_ a2074_) /\ (~(c3_1_ a2074_) /\ c0_1_ a2074_)))) /\ ((~(hskp70_) \/ (ndr1_0_ /\ (c2_1_ a2078_ /\ (c0_1_ a2078_ /\ c3_1_ a2078_)))) /\ (((forall U : Universe, (ndr1_0_ -> (~(c2_1_ U) \/ (c1_1_ U \/ c0_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c1_1_ V \/ (~(c2_1_ V) \/ ~(c3_1_ V))))) \/ hskp33_)) /\ (((forall W : Universe, (ndr1_0_ -> (~(c2_1_ W) \/ (~(c1_1_ W) \/ ~(c3_1_ W))))) \/ ((forall X : Universe, (ndr1_0_ -> (~(c0_1_ X) \/ (~(c2_1_ X) \/ ~(c1_1_ X))))) \/ hskp0_)) /\ ((hskp34_ \/ (hskp35_ \/ (forall Y : Universe, (ndr1_0_ -> (c3_1_ Y \/ (~(c1_1_ Y) \/ c2_1_ Y)))))) /\ ((hskp36_ \/ ((forall Z : Universe, (ndr1_0_ -> (~(c0_1_ Z) \/ (c3_1_ Z \/ ~(c2_1_ Z))))) \/ hskp1_)) /\ ((hskp2_ \/ ((forall X1 : Universe, (ndr1_0_ -> (~(c3_1_ X1) \/ (c1_1_ X1 \/ ~(c2_1_ X1))))) \/ (forall X2 : Universe, (ndr1_0_ -> (~(c1_1_ X2) \/ (c3_1_ X2 \/ c0_1_ X2)))))) /\ ((hskp3_ \/ ((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (~(c1_1_ X3) \/ ~(c3_1_ X3))))) \/ (forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c3_1_ X4 \/ c1_1_ X4)))))) /\ ((hskp4_ \/ ((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (c1_1_ X5 \/ ~(c2_1_ X5))))) \/ hskp37_)) /\ ((hskp38_ \/ ((forall X6 : Universe, (ndr1_0_ -> (c1_1_ X6 \/ (~(c0_1_ X6) \/ ~(c3_1_ X6))))) \/ (forall X7 : Universe, (ndr1_0_ -> (c2_1_ X7 \/ (~(c1_1_ X7) \/ c0_1_ X7)))))) /\ ((hskp39_ \/ ((forall X8 : Universe, (ndr1_0_ -> (c2_1_ X8 \/ (c0_1_ X8 \/ ~(c1_1_ X8))))) \/ (forall X9 : Universe, (ndr1_0_ -> (~(c0_1_ X9) \/ (c1_1_ X9 \/ ~(c2_1_ X9))))))) /\ (((forall X10 : Universe, (ndr1_0_ -> (c3_1_ X10 \/ (c0_1_ X10 \/ ~(c2_1_ X10))))) \/ (hskp40_ \/ hskp5_)) /\ ((hskp41_ \/ (hskp37_ \/ (forall X11 : Universe, (ndr1_0_ -> (c1_1_ X11 \/ (c3_1_ X11 \/ c2_1_ X11)))))) /\ ((hskp6_ \/ ((forall X12 : Universe, (ndr1_0_ -> (~(c3_1_ X12) \/ (~(c0_1_ X12) \/ c1_1_ X12)))) \/ (forall X13 : Universe, (ndr1_0_ -> (c1_1_ X13 \/ (c3_1_ X13 \/ ~(c0_1_ X13))))))) /\ (((forall X14 : Universe, (ndr1_0_ -> (~(c0_1_ X14) \/ (~(c3_1_ X14) \/ ~(c2_1_ X14))))) \/ ((forall X15 : Universe, (ndr1_0_ -> (c1_1_ X15 \/ (~(c2_1_ X15) \/ ~(c0_1_ X15))))) \/ hskp42_)) /\ (((forall X16 : Universe, (ndr1_0_ -> (c1_1_ X16 \/ (c0_1_ X16 \/ c2_1_ X16)))) \/ (hskp7_ \/ (forall X17 : Universe, (ndr1_0_ -> (c1_1_ X17 \/ (~(c2_1_ X17) \/ c0_1_ X17)))))) /\ (((forall X18 : Universe, (ndr1_0_ -> (~(c0_1_ X18) \/ (~(c3_1_ X18) \/ ~(c1_1_ X18))))) \/ (hskp2_ \/ hskp8_)) /\ (((forall X19 : Universe, (ndr1_0_ -> (c3_1_ X19 \/ (~(c2_1_ X19) \/ c0_1_ X19)))) \/ ((forall X20 : Universe, (ndr1_0_ -> (~(c0_1_ X20) \/ (c2_1_ X20 \/ ~(c1_1_ X20))))) \/ hskp9_)) /\ (((forall X21 : Universe, (ndr1_0_ -> (~(c0_1_ X21) \/ (c3_1_ X21 \/ ~(c1_1_ X21))))) \/ (hskp10_ \/ (forall X22 : Universe, (ndr1_0_ -> (c2_1_ X22 \/ (~(c0_1_ X22) \/ ~(c3_1_ X22))))))) /\ (((forall X23 : Universe, (ndr1_0_ -> (~(c1_1_ X23) \/ (~(c2_1_ X23) \/ c0_1_ X23)))) \/ ((forall X24 : Universe, (ndr1_0_ -> (~(c0_1_ X24) \/ (~(c3_1_ X24) \/ ~(c2_1_ X24))))) \/ (forall X25 : Universe, (ndr1_0_ -> (c2_1_ X25 \/ (c0_1_ X25 \/ ~(c1_1_ X25))))))) /\ (((forall X26 : Universe, (ndr1_0_ -> (c2_1_ X26 \/ (~(c3_1_ X26) \/ c0_1_ X26)))) \/ (hskp11_ \/ (forall X27 : Universe, (ndr1_0_ -> (c2_1_ X27 \/ (c3_1_ X27 \/ ~(c0_1_ X27))))))) /\ (((forall X28 : Universe, (ndr1_0_ -> (~(c1_1_ X28) \/ (c0_1_ X28 \/ c2_1_ X28)))) \/ (hskp43_ \/ (forall X29 : Universe, (ndr1_0_ -> (~(c1_1_ X29) \/ (c3_1_ X29 \/ c0_1_ X29)))))) /\ ((hskp44_ \/ ((forall X30 : Universe, (ndr1_0_ -> (~(c3_1_ X30) \/ (c2_1_ X30 \/ ~(c0_1_ X30))))) \/ hskp12_)) /\ ((hskp13_ \/ (hskp38_ \/ hskp45_)) /\ (((forall X31 : Universe, (ndr1_0_ -> (c0_1_ X31 \/ (c2_1_ X31 \/ c1_1_ X31)))) \/ ((forall X32 : Universe, (ndr1_0_ -> (c2_1_ X32 \/ (c3_1_ X32 \/ ~(c0_1_ X32))))) \/ hskp14_)) /\ ((hskp5_ \/ (hskp46_ \/ (forall X33 : Universe, (ndr1_0_ -> (c2_1_ X33 \/ (~(c1_1_ X33) \/ ~(c3_1_ X33))))))) /\ (((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (c3_1_ X34 \/ ~(c2_1_ X34))))) \/ (hskp47_ \/ (forall X35 : Universe, (ndr1_0_ -> (c3_1_ X35 \/ (c1_1_ X35 \/ ~(c0_1_ X35))))))) /\ ((hskp48_ \/ (hskp49_ \/ hskp50_)) /\ ((hskp51_ \/ ((forall X36 : Universe, (ndr1_0_ -> (~(c0_1_ X36) \/ (c1_1_ X36 \/ c3_1_ X36)))) \/ hskp15_)) /\ ((hskp16_ \/ ((forall X37 : Universe, (ndr1_0_ -> (~(c0_1_ X37) \/ (c2_1_ X37 \/ c1_1_ X37)))) \/ hskp52_)) /\ ((hskp17_ \/ (hskp53_ \/ hskp18_)) /\ ((hskp54_ \/ ((forall X38 : Universe, (ndr1_0_ -> (~(c3_1_ X38) \/ (~(c0_1_ X38) \/ c2_1_ X38)))) \/ (forall X39 : Universe, (ndr1_0_ -> (~(c2_1_ X39) \/ (c3_1_ X39 \/ c1_1_ X39)))))) /\ ((hskp19_ \/ (hskp47_ \/ hskp41_)) /\ ((hskp20_ \/ ((forall X40 : Universe, (ndr1_0_ -> (c0_1_ X40 \/ (c3_1_ X40 \/ c1_1_ X40)))) \/ (forall X41 : Universe, (ndr1_0_ -> (~(c1_1_ X41) \/ (c2_1_ X41 \/ c3_1_ X41)))))) /\ ((hskp43_ \/ ((forall X42 : Universe, (ndr1_0_ -> (~(c2_1_ X42) \/ (c0_1_ X42 \/ ~(c1_1_ X42))))) \/ hskp48_)) /\ ((hskp21_ \/ ((forall X43 : Universe, (ndr1_0_ -> (~(c2_1_ X43) \/ (~(c1_1_ X43) \/ c0_1_ X43)))) \/ hskp22_)) /\ ((hskp55_ \/ (hskp56_ \/ hskp57_)) /\ ((hskp56_ \/ ((forall X44 : Universe, (ndr1_0_ -> (c0_1_ X44 \/ (~(c1_1_ X44) \/ ~(c3_1_ X44))))) \/ (forall X45 : Universe, (ndr1_0_ -> (~(c3_1_ X45) \/ (~(c0_1_ X45) \/ ~(c2_1_ X45))))))) /\ ((hskp23_ \/ (hskp58_ \/ hskp59_)) /\ ((hskp60_ \/ (hskp61_ \/ (forall X46 : Universe, (ndr1_0_ -> (c3_1_ X46 \/ (~(c2_1_ X46) \/ c0_1_ X46)))))) /\ ((hskp33_ \/ (hskp59_ \/ (forall X47 : Universe, (ndr1_0_ -> (~(c2_1_ X47) \/ (~(c1_1_ X47) \/ c0_1_ X47)))))) /\ ((hskp24_ \/ ((forall X48 : Universe, (ndr1_0_ -> (~(c0_1_ X48) \/ (~(c1_1_ X48) \/ ~(c2_1_ X48))))) \/ (forall X49 : Universe, (ndr1_0_ -> (~(c1_1_ X49) \/ (~(c0_1_ X49) \/ c2_1_ X49)))))) /\ ((hskp62_ \/ ((forall X50 : Universe, (ndr1_0_ -> (~(c3_1_ X50) \/ (c1_1_ X50 \/ c0_1_ X50)))) \/ hskp63_)) /\ (((forall X51 : Universe, (ndr1_0_ -> (c3_1_ X51 \/ (c2_1_ X51 \/ c0_1_ X51)))) \/ (hskp2_ \/ hskp64_)) /\ ((hskp25_ \/ (hskp65_ \/ (forall X52 : Universe, (ndr1_0_ -> (~(c3_1_ X52) \/ (c2_1_ X52 \/ c0_1_ X52)))))) /\ (((forall X53 : Universe, (ndr1_0_ -> (c2_1_ X53 \/ (~(c3_1_ X53) \/ ~(c1_1_ X53))))) \/ ((forall X54 : Universe, (ndr1_0_ -> (~(c0_1_ X54) \/ (~(c1_1_ X54) \/ ~(c3_1_ X54))))) \/ (forall X55 : Universe, (ndr1_0_ -> (~(c3_1_ X55) \/ (~(c1_1_ X55) \/ c2_1_ X55)))))) /\ ((hskp49_ \/ (hskp26_ \/ hskp6_)) /\ (((forall X56 : Universe, (ndr1_0_ -> (c2_1_ X56 \/ (c0_1_ X56 \/ c1_1_ X56)))) \/ (hskp66_ \/ (forall X57 : Universe, (ndr1_0_ -> (~(c0_1_ X57) \/ (~(c1_1_ X57) \/ c3_1_ X57)))))) /\ (((forall X58 : Universe, (ndr1_0_ -> (~(c0_1_ X58) \/ (~(c3_1_ X58) \/ c1_1_ X58)))) \/ ((forall X59 : Universe, (ndr1_0_ -> (~(c0_1_ X59) \/ (~(c3_1_ X59) \/ ~(c1_1_ X59))))) \/ (forall X60 : Universe, (ndr1_0_ -> (~(c2_1_ X60) \/ (c1_1_ X60 \/ ~(c0_1_ X60))))))) /\ (((forall X61 : Universe, (ndr1_0_ -> (~(c2_1_ X61) \/ (~(c1_1_ X61) \/ ~(c0_1_ X61))))) \/ ((forall X62 : Universe, (ndr1_0_ -> (~(c1_1_ X62) \/ (c0_1_ X62 \/ c3_1_ X62)))) \/ (forall X63 : Universe, (ndr1_0_ -> (c2_1_ X63 \/ (~(c3_1_ X63) \/ ~(c0_1_ X63))))))) /\ ((hskp27_ \/ ((forall X64 : Universe, (ndr1_0_ -> (~(c1_1_ X64) \/ (c3_1_ X64 \/ c2_1_ X64)))) \/ (forall X65 : Universe, (ndr1_0_ -> (~(c3_1_ X65) \/ (~(c2_1_ X65) \/ c0_1_ X65)))))) /\ ((hskp28_ \/ ((forall X66 : Universe, (ndr1_0_ -> (c3_1_ X66 \/ (~(c0_1_ X66) \/ c1_1_ X66)))) \/ (forall X67 : Universe, (ndr1_0_ -> (c2_1_ X67 \/ (~(c0_1_ X67) \/ ~(c1_1_ X67))))))) /\ ((hskp67_ \/ (hskp10_ \/ (forall X68 : Universe, (ndr1_0_ -> (~(c1_1_ X68) \/ (c2_1_ X68 \/ ~(c0_1_ X68))))))) /\ ((hskp21_ \/ (hskp68_ \/ hskp69_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (~(c3_1_ X69) \/ (c1_1_ X69 \/ c2_1_ X69)))) \/ ((forall X70 : Universe, (ndr1_0_ -> (~(c1_1_ X70) \/ (~(c3_1_ X70) \/ ~(c0_1_ X70))))) \/ hskp42_)) /\ ((hskp48_ \/ (hskp54_ \/ (forall X71 : Universe, (ndr1_0_ -> (c2_1_ X71 \/ (~(c3_1_ X71) \/ ~(c0_1_ X71))))))) /\ ((hskp70_ \/ ((forall X72 : Universe, (ndr1_0_ -> (c1_1_ X72 \/ (~(c2_1_ X72) \/ c0_1_ X72)))) \/ hskp29_)) /\ (((forall X73 : Universe, (ndr1_0_ -> (~(c1_1_ X73) \/ (c3_1_ X73 \/ ~(c2_1_ X73))))) \/ ((forall X74 : Universe, (ndr1_0_ -> (~(c2_1_ X74) \/ (~(c0_1_ X74) \/ c1_1_ X74)))) \/ (forall X75 : Universe, (ndr1_0_ -> (c1_1_ X75 \/ (c3_1_ X75 \/ c2_1_ X75)))))) /\ (((forall X76 : Universe, (ndr1_0_ -> (~(c3_1_ X76) \/ (~(c0_1_ X76) \/ ~(c1_1_ X76))))) \/ (hskp30_ \/ (forall X77 : Universe, (ndr1_0_ -> (~(c1_1_ X77) \/ (c3_1_ X77 \/ ~(c0_1_ X77))))))) /\ ((hskp31_ \/ ((forall X78 : Universe, (ndr1_0_ -> (c1_1_ X78 \/ (c0_1_ X78 \/ c3_1_ X78)))) \/ hskp47_)) /\ ((hskp32_ \/ ((forall X79 : Universe, (ndr1_0_ -> (c3_1_ X79 \/ (~(c2_1_ X79) \/ ~(c0_1_ X79))))) \/ hskp10_)) /\ ((forall X80 : Universe, (ndr1_0_ -> (~(c2_1_ X80) \/ (c0_1_ X80 \/ ~(c1_1_ X80))))) \/ ((forall X81 : Universe, (ndr1_0_ -> (c1_1_ X81 \/ (~(c0_1_ X81) \/ c3_1_ X81)))) \/ hskp20_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
