(*
% File     : SYN456+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=057
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-057.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.50 v2.6.0, 0.25 v2.5.0, 0.33 v2.2.1, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  595 (   0 equality)
%            Maximal formula depth :   94 (  94 average)
%            Number of connectives :  805 ( 211 ~  ; 324  |; 183  &)
%                                         (   0 <=>;  87 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   36 (  32 propositional; 0-1 arity)
%            Number of functors    :   31 (  31 constant; 0-0 arity)
%            Number of variables   :   87 (   0 singleton;  87 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a997_ : Universe.
Variable a996_ : Universe.
Variable a995_ : Universe.
Variable a994_ : Universe.
Variable a992_ : Universe.
Variable a991_ : Universe.
Variable a990_ : Universe.
Variable a989_ : Universe.
Variable a988_ : Universe.
Variable a1059_ : Universe.
Variable a1058_ : Universe.
Variable a1051_ : Universe.
Variable a1045_ : Universe.
Variable a1040_ : Universe.
Variable a1037_ : Universe.
Variable a1032_ : Universe.
Variable a1028_ : Universe.
Variable a1025_ : Universe.
Variable a1021_ : Universe.
Variable a1019_ : Universe.
Variable a1017_ : Universe.
Variable a1016_ : Universe.
Variable a1015_ : Universe.
Variable a1012_ : Universe.
Variable a1009_ : Universe.
Variable a1008_ : Universe.
Variable a1007_ : Universe.
Variable a1004_ : Universe.
Variable a1003_ : Universe.
Variable a1002_ : Universe.
Variable a1000_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c2_1_ a988_ /\ (~(c0_1_ a988_) /\ ~(c1_1_ a988_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c3_1_ a989_ /\ (~(c1_1_ a989_) /\ ~(c2_1_ a989_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c0_1_ a990_ /\ (c1_1_ a990_ /\ ~(c3_1_ a990_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c1_1_ a991_ /\ (c2_1_ a991_ /\ ~(c3_1_ a991_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (~(c0_1_ a992_) /\ (~(c1_1_ a992_) /\ ~(c3_1_ a992_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c0_1_ a994_ /\ (c1_1_ a994_ /\ ~(c2_1_ a994_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c0_1_ a995_ /\ (c3_1_ a995_ /\ ~(c1_1_ a995_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (~(c0_1_ a996_) /\ (~(c1_1_ a996_) /\ ~(c2_1_ a996_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (~(c0_1_ a997_) /\ (~(c2_1_ a997_) /\ ~(c3_1_ a997_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c1_1_ a1000_ /\ (c3_1_ a1000_ /\ ~(c2_1_ a1000_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c3_1_ a1002_ /\ (~(c0_1_ a1002_) /\ ~(c2_1_ a1002_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c0_1_ a1003_ /\ (~(c1_1_ a1003_) /\ ~(c2_1_ a1003_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c2_1_ a1004_ /\ (c3_1_ a1004_ /\ ~(c0_1_ a1004_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c3_1_ a1007_ /\ (~(c0_1_ a1007_) /\ ~(c1_1_ a1007_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c2_1_ a1008_ /\ (~(c1_1_ a1008_) /\ ~(c3_1_ a1008_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c0_1_ a1012_ /\ (~(c1_1_ a1012_) /\ ~(c3_1_ a1012_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (~(c1_1_ a1015_) /\ (~(c2_1_ a1015_) /\ ~(c3_1_ a1015_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c0_1_ a1016_ /\ (~(c2_1_ a1016_) /\ ~(c3_1_ a1016_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c0_1_ a1017_ /\ (c2_1_ a1017_ /\ ~(c3_1_ a1017_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c1_1_ a1021_ /\ (~(c2_1_ a1021_) /\ ~(c3_1_ a1021_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c1_1_ a1025_ /\ (c2_1_ a1025_ /\ ~(c0_1_ a1025_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c1_1_ a1037_ /\ (~(c0_1_ a1037_) /\ ~(c2_1_ a1037_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c2_1_ a1040_ /\ (~(c0_1_ a1040_) /\ ~(c3_1_ a1040_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c0_1_ a1045_ /\ (c3_1_ a1045_ /\ ~(c2_1_ a1045_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c1_1_ a1051_ /\ (~(c0_1_ a1051_) /\ ~(c3_1_ a1051_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c2_1_ a1058_ /\ (c3_1_ a1058_ /\ ~(c1_1_ a1058_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c0_1_ a1059_ /\ (c2_1_ a1059_ /\ ~(c1_1_ a1059_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a1009_ /\ (c2_1_ a1009_ /\ c3_1_ a1009_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c1_1_ a1019_ /\ (c2_1_ a1019_ /\ c3_1_ a1019_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a1028_ /\ (c1_1_ a1028_ /\ c2_1_ a1028_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c0_1_ a1032_ /\ (c1_1_ a1032_ /\ c3_1_ a1032_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ (hskp0_ \/ hskp1_)) /\ (((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c1_1_ V \/ c3_1_ V)))) \/ ((forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c2_1_ W \/ ~(c1_1_ W))))) \/ (forall X : Universe, (ndr1_0_ -> (~(c0_1_ X) \/ (~(c2_1_ X) \/ ~(c3_1_ X))))))) /\ (((forall Y : Universe, (ndr1_0_ -> (c0_1_ Y \/ (c1_1_ Y \/ c3_1_ Y)))) \/ ((forall Z : Universe, (ndr1_0_ -> (c1_1_ Z \/ (~(c2_1_ Z) \/ ~(c3_1_ Z))))) \/ (forall X1 : Universe, (ndr1_0_ -> (c2_1_ X1 \/ (~(c0_1_ X1) \/ ~(c1_1_ X1))))))) /\ (((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ c3_1_ X2)))) \/ ((forall X3 : Universe, (ndr1_0_ -> (c3_1_ X3 \/ (~(c0_1_ X3) \/ ~(c1_1_ X3))))) \/ hskp2_)) /\ (((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c1_1_ X4 \/ c3_1_ X4)))) \/ (hskp3_ \/ hskp4_)) /\ (((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (c1_1_ X5 \/ ~(c2_1_ X5))))) \/ ((forall X6 : Universe, (ndr1_0_ -> (c0_1_ X6 \/ (c2_1_ X6 \/ ~(c3_1_ X6))))) \/ (forall X7 : Universe, (ndr1_0_ -> (c2_1_ X7 \/ (~(c0_1_ X7) \/ ~(c1_1_ X7))))))) /\ (((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (c1_1_ X8 \/ ~(c2_1_ X8))))) \/ ((forall X9 : Universe, (ndr1_0_ -> (c1_1_ X9 \/ (~(c0_1_ X9) \/ ~(c3_1_ X9))))) \/ (forall X10 : Universe, (ndr1_0_ -> (c3_1_ X10 \/ (~(c0_1_ X10) \/ ~(c1_1_ X10))))))) /\ (((forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (c1_1_ X11 \/ ~(c3_1_ X11))))) \/ ((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (c2_1_ X12 \/ ~(c1_1_ X12))))) \/ (forall X13 : Universe, (ndr1_0_ -> (c2_1_ X13 \/ (c3_1_ X13 \/ ~(c1_1_ X13))))))) /\ (((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c1_1_ X14 \/ ~(c3_1_ X14))))) \/ ((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c2_1_ X15 \/ ~(c3_1_ X15))))) \/ (forall X16 : Universe, (ndr1_0_ -> (c2_1_ X16 \/ (~(c0_1_ X16) \/ ~(c1_1_ X16))))))) /\ (((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c1_1_ X17 \/ ~(c3_1_ X17))))) \/ (forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (~(c1_1_ X18) \/ ~(c3_1_ X18)))))) /\ (((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (c1_1_ X19 \/ ~(c3_1_ X19))))) \/ ((forall X20 : Universe, (ndr1_0_ -> (c1_1_ X20 \/ (c3_1_ X20 \/ ~(c0_1_ X20))))) \/ hskp0_)) /\ (((forall X21 : Universe, (ndr1_0_ -> (c0_1_ X21 \/ (c1_1_ X21 \/ ~(c3_1_ X21))))) \/ (hskp5_ \/ hskp6_)) /\ (((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (c1_1_ X22 \/ ~(c3_1_ X22))))) \/ (hskp7_ \/ hskp8_)) /\ (((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c2_1_ X23 \/ c3_1_ X23)))) \/ ((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (~(c1_1_ X24) \/ ~(c3_1_ X24))))) \/ (forall X25 : Universe, (ndr1_0_ -> (c2_1_ X25 \/ (~(c1_1_ X25) \/ ~(c3_1_ X25))))))) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c2_1_ X26 \/ ~(c1_1_ X26))))) \/ ((forall X27 : Universe, (ndr1_0_ -> (c2_1_ X27 \/ (~(c0_1_ X27) \/ ~(c3_1_ X27))))) \/ hskp1_)) /\ (((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (c2_1_ X28 \/ ~(c1_1_ X28))))) \/ (hskp6_ \/ hskp9_)) /\ (((forall X29 : Universe, (ndr1_0_ -> (c0_1_ X29 \/ (c2_1_ X29 \/ ~(c3_1_ X29))))) \/ (hskp9_ \/ hskp10_)) /\ (((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (c3_1_ X30 \/ ~(c1_1_ X30))))) \/ ((forall X31 : Universe, (ndr1_0_ -> (c1_1_ X31 \/ (c2_1_ X31 \/ ~(c3_1_ X31))))) \/ hskp11_)) /\ (((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (c3_1_ X32 \/ ~(c2_1_ X32))))) \/ ((forall X33 : Universe, (ndr1_0_ -> (c1_1_ X33 \/ (c2_1_ X33 \/ c3_1_ X33)))) \/ (forall X34 : Universe, (ndr1_0_ -> (c1_1_ X34 \/ (~(c2_1_ X34) \/ ~(c3_1_ X34))))))) /\ (((forall X35 : Universe, (ndr1_0_ -> (c0_1_ X35 \/ (c3_1_ X35 \/ ~(c2_1_ X35))))) \/ ((forall X36 : Universe, (ndr1_0_ -> (c2_1_ X36 \/ (~(c0_1_ X36) \/ ~(c1_1_ X36))))) \/ hskp12_)) /\ (((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (c3_1_ X37 \/ ~(c2_1_ X37))))) \/ ((forall X38 : Universe, (ndr1_0_ -> (c3_1_ X38 \/ (~(c1_1_ X38) \/ ~(c2_1_ X38))))) \/ hskp1_)) /\ (((forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (~(c1_1_ X39) \/ ~(c2_1_ X39))))) \/ ((forall X40 : Universe, (ndr1_0_ -> (c1_1_ X40 \/ (c2_1_ X40 \/ ~(c0_1_ X40))))) \/ (forall X41 : Universe, (ndr1_0_ -> (~(c0_1_ X41) \/ (~(c1_1_ X41) \/ ~(c2_1_ X41))))))) /\ (((forall X42 : Universe, (ndr1_0_ -> (c0_1_ X42 \/ (~(c1_1_ X42) \/ ~(c2_1_ X42))))) \/ (hskp6_ \/ hskp13_)) /\ (((forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (~(c1_1_ X43) \/ ~(c3_1_ X43))))) \/ ((forall X44 : Universe, (ndr1_0_ -> (~(c0_1_ X44) \/ (~(c2_1_ X44) \/ ~(c3_1_ X44))))) \/ hskp14_)) /\ (((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (~(c1_1_ X45) \/ ~(c3_1_ X45))))) \/ (hskp27_ \/ hskp14_)) /\ (((forall X46 : Universe, (ndr1_0_ -> (c0_1_ X46 \/ (~(c2_1_ X46) \/ ~(c3_1_ X46))))) \/ ((forall X47 : Universe, (ndr1_0_ -> (c1_1_ X47 \/ (c2_1_ X47 \/ c3_1_ X47)))) \/ hskp9_)) /\ (((forall X48 : Universe, (ndr1_0_ -> (c0_1_ X48 \/ (~(c2_1_ X48) \/ ~(c3_1_ X48))))) \/ ((forall X49 : Universe, (ndr1_0_ -> (c2_1_ X49 \/ (~(c0_1_ X49) \/ ~(c3_1_ X49))))) \/ hskp15_)) /\ (((forall X50 : Universe, (ndr1_0_ -> (c0_1_ X50 \/ (~(c2_1_ X50) \/ ~(c3_1_ X50))))) \/ ((forall X51 : Universe, (ndr1_0_ -> (c3_1_ X51 \/ (~(c1_1_ X51) \/ ~(c2_1_ X51))))) \/ hskp7_)) /\ (((forall X52 : Universe, (ndr1_0_ -> (c0_1_ X52 \/ (~(c2_1_ X52) \/ ~(c3_1_ X52))))) \/ (hskp12_ \/ hskp16_)) /\ (((forall X53 : Universe, (ndr1_0_ -> (c1_1_ X53 \/ (c2_1_ X53 \/ c3_1_ X53)))) \/ ((forall X54 : Universe, (ndr1_0_ -> (c1_1_ X54 \/ (c2_1_ X54 \/ ~(c0_1_ X54))))) \/ hskp17_)) /\ (((forall X55 : Universe, (ndr1_0_ -> (c1_1_ X55 \/ (c2_1_ X55 \/ c3_1_ X55)))) \/ (hskp18_ \/ hskp3_)) /\ (((forall X56 : Universe, (ndr1_0_ -> (c1_1_ X56 \/ (c2_1_ X56 \/ ~(c0_1_ X56))))) \/ ((forall X57 : Universe, (ndr1_0_ -> (~(c0_1_ X57) \/ (~(c1_1_ X57) \/ ~(c3_1_ X57))))) \/ hskp28_)) /\ (((forall X58 : Universe, (ndr1_0_ -> (c1_1_ X58 \/ (c2_1_ X58 \/ ~(c0_1_ X58))))) \/ (hskp3_ \/ hskp19_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c1_1_ X59 \/ (c2_1_ X59 \/ ~(c3_1_ X59))))) \/ ((forall X60 : Universe, (ndr1_0_ -> (c2_1_ X60 \/ (~(c0_1_ X60) \/ ~(c1_1_ X60))))) \/ hskp5_)) /\ (((forall X61 : Universe, (ndr1_0_ -> (c1_1_ X61 \/ (c2_1_ X61 \/ ~(c3_1_ X61))))) \/ ((forall X62 : Universe, (ndr1_0_ -> (c3_1_ X62 \/ (~(c1_1_ X62) \/ ~(c2_1_ X62))))) \/ hskp15_)) /\ (((forall X63 : Universe, (ndr1_0_ -> (c1_1_ X63 \/ (c2_1_ X63 \/ ~(c3_1_ X63))))) \/ (hskp15_ \/ hskp20_)) /\ (((forall X64 : Universe, (ndr1_0_ -> (c1_1_ X64 \/ (c3_1_ X64 \/ ~(c0_1_ X64))))) \/ ((forall X65 : Universe, (ndr1_0_ -> (c1_1_ X65 \/ (~(c2_1_ X65) \/ ~(c3_1_ X65))))) \/ hskp8_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (~(c0_1_ X66) \/ ~(c2_1_ X66))))) \/ ((forall X67 : Universe, (ndr1_0_ -> (~(c0_1_ X67) \/ (~(c1_1_ X67) \/ ~(c3_1_ X67))))) \/ hskp4_)) /\ (((forall X68 : Universe, (ndr1_0_ -> (c1_1_ X68 \/ (~(c0_1_ X68) \/ ~(c2_1_ X68))))) \/ (hskp29_ \/ hskp6_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (c2_1_ X69 \/ (~(c0_1_ X69) \/ ~(c1_1_ X69))))) \/ (hskp17_ \/ hskp16_)) /\ (((forall X70 : Universe, (ndr1_0_ -> (c2_1_ X70 \/ (~(c0_1_ X70) \/ ~(c3_1_ X70))))) \/ (hskp30_ \/ hskp13_)) /\ (((forall X71 : Universe, (ndr1_0_ -> (c2_1_ X71 \/ (~(c1_1_ X71) \/ ~(c3_1_ X71))))) \/ (hskp5_ \/ hskp16_)) /\ (((forall X72 : Universe, (ndr1_0_ -> (c2_1_ X72 \/ (~(c1_1_ X72) \/ ~(c3_1_ X72))))) \/ (hskp2_ \/ hskp21_)) /\ (((forall X73 : Universe, (ndr1_0_ -> (c2_1_ X73 \/ (~(c1_1_ X73) \/ ~(c3_1_ X73))))) \/ (hskp3_ \/ hskp0_)) /\ (((forall X74 : Universe, (ndr1_0_ -> (c3_1_ X74 \/ (~(c0_1_ X74) \/ ~(c1_1_ X74))))) \/ ((forall X75 : Universe, (ndr1_0_ -> (c3_1_ X75 \/ (~(c1_1_ X75) \/ ~(c2_1_ X75))))) \/ (forall X76 : Universe, (ndr1_0_ -> (~(c1_1_ X76) \/ (~(c2_1_ X76) \/ ~(c3_1_ X76))))))) /\ (((forall X77 : Universe, (ndr1_0_ -> (c3_1_ X77 \/ (~(c0_1_ X77) \/ ~(c1_1_ X77))))) \/ ((forall X78 : Universe, (ndr1_0_ -> (~(c0_1_ X78) \/ (~(c2_1_ X78) \/ ~(c3_1_ X78))))) \/ hskp22_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (c3_1_ X79 \/ (~(c0_1_ X79) \/ ~(c1_1_ X79))))) \/ (hskp6_ \/ hskp16_)) /\ (((forall X80 : Universe, (ndr1_0_ -> (c3_1_ X80 \/ (~(c0_1_ X80) \/ ~(c2_1_ X80))))) \/ (hskp11_ \/ hskp12_)) /\ (((forall X81 : Universe, (ndr1_0_ -> (~(c0_1_ X81) \/ (~(c1_1_ X81) \/ ~(c2_1_ X81))))) \/ (hskp23_ \/ hskp11_)) /\ ((hskp29_ \/ (hskp27_ \/ hskp7_)) /\ ((hskp5_ \/ (hskp24_ \/ hskp4_)) /\ ((hskp27_ \/ (hskp21_ \/ hskp12_)) /\ ((hskp27_ \/ (hskp21_ \/ hskp25_)) /\ ((hskp26_ \/ (hskp18_ \/ hskp7_)) /\ ((hskp26_ \/ (hskp22_ \/ hskp4_)) /\ ((hskp6_ \/ (hskp19_ \/ hskp4_)) /\ ((hskp17_ \/ (hskp12_ \/ hskp1_)) /\ ((hskp28_ \/ (hskp1_ \/ hskp7_)) /\ ((hskp19_ \/ (hskp25_ \/ hskp0_)) /\ (hskp0_ \/ (hskp1_ \/ hskp4_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
