(*
% File     : SYN457+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=060
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-060.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.67 v2.7.0, 0.33 v2.5.0, 0.67 v2.4.0, 1.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  827 (   0 equality)
%            Maximal formula depth :  144 ( 144 average)
%            Number of connectives : 1167 ( 341 ~  ; 374  |; 363  &)
%                                         (   0 <=>;  89 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   81 (  77 propositional; 0-1 arity)
%            Number of functors    :   76 (  76 constant; 0-0 arity)
%            Number of variables   :   89 (   0 singleton;  89 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp75_ : Prop.
Variable hskp74_ : Prop.
Variable hskp73_ : Prop.
Variable hskp72_ : Prop.
Variable hskp71_ : Prop.
Variable hskp70_ : Prop.
Variable hskp7_ : Prop.
Variable hskp69_ : Prop.
Variable hskp68_ : Prop.
Variable hskp67_ : Prop.
Variable hskp66_ : Prop.
Variable hskp65_ : Prop.
Variable hskp64_ : Prop.
Variable hskp63_ : Prop.
Variable hskp62_ : Prop.
Variable hskp61_ : Prop.
Variable hskp60_ : Prop.
Variable hskp6_ : Prop.
Variable hskp59_ : Prop.
Variable hskp58_ : Prop.
Variable hskp57_ : Prop.
Variable hskp56_ : Prop.
Variable hskp55_ : Prop.
Variable hskp54_ : Prop.
Variable hskp53_ : Prop.
Variable hskp52_ : Prop.
Variable hskp51_ : Prop.
Variable hskp50_ : Prop.
Variable hskp5_ : Prop.
Variable hskp49_ : Prop.
Variable hskp48_ : Prop.
Variable hskp47_ : Prop.
Variable hskp46_ : Prop.
Variable hskp45_ : Prop.
Variable hskp44_ : Prop.
Variable hskp43_ : Prop.
Variable hskp42_ : Prop.
Variable hskp41_ : Prop.
Variable hskp40_ : Prop.
Variable hskp4_ : Prop.
Variable hskp39_ : Prop.
Variable hskp38_ : Prop.
Variable hskp37_ : Prop.
Variable hskp36_ : Prop.
Variable hskp35_ : Prop.
Variable hskp34_ : Prop.
Variable hskp33_ : Prop.
Variable hskp32_ : Prop.
Variable hskp31_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a1726_ : Universe.
Variable a1725_ : Universe.
Variable a1724_ : Universe.
Variable a1721_ : Universe.
Variable a1718_ : Universe.
Variable a1717_ : Universe.
Variable a1716_ : Universe.
Variable a1715_ : Universe.
Variable a1714_ : Universe.
Variable a1713_ : Universe.
Variable a1712_ : Universe.
Variable a1710_ : Universe.
Variable a1709_ : Universe.
Variable a1707_ : Universe.
Variable a1706_ : Universe.
Variable a1705_ : Universe.
Variable a1704_ : Universe.
Variable a1702_ : Universe.
Variable a1701_ : Universe.
Variable a1700_ : Universe.
Variable a1698_ : Universe.
Variable a1695_ : Universe.
Variable a1694_ : Universe.
Variable a1693_ : Universe.
Variable a1692_ : Universe.
Variable a1691_ : Universe.
Variable a1690_ : Universe.
Variable a1689_ : Universe.
Variable a1687_ : Universe.
Variable a1686_ : Universe.
Variable a1685_ : Universe.
Variable a1684_ : Universe.
Variable a1683_ : Universe.
Variable a1682_ : Universe.
Variable a1681_ : Universe.
Variable a1680_ : Universe.
Variable a1678_ : Universe.
Variable a1677_ : Universe.
Variable a1676_ : Universe.
Variable a1675_ : Universe.
Variable a1674_ : Universe.
Variable a1673_ : Universe.
Variable a1672_ : Universe.
Variable a1671_ : Universe.
Variable a1669_ : Universe.
Variable a1668_ : Universe.
Variable a1667_ : Universe.
Variable a1666_ : Universe.
Variable a1665_ : Universe.
Variable a1664_ : Universe.
Variable a1663_ : Universe.
Variable a1662_ : Universe.
Variable a1661_ : Universe.
Variable a1660_ : Universe.
Variable a1658_ : Universe.
Variable a1657_ : Universe.
Variable a1656_ : Universe.
Variable a1655_ : Universe.
Variable a1654_ : Universe.
Variable a1653_ : Universe.
Variable a1652_ : Universe.
Variable a1651_ : Universe.
Variable a1650_ : Universe.
Variable a1649_ : Universe.
Variable a1648_ : Universe.
Variable a1647_ : Universe.
Variable a1646_ : Universe.
Variable a1645_ : Universe.
Variable a1644_ : Universe.
Variable a1643_ : Universe.
Variable a1642_ : Universe.
Variable a1641_ : Universe.
Variable a1640_ : Universe.
Variable a1639_ : Universe.
Variable a1638_ : Universe.
Variable a1637_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c1_1_ a1637_ /\ (c0_1_ a1637_ /\ ~(c2_1_ a1637_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (~(c1_1_ a1643_) /\ (c3_1_ a1643_ /\ ~(c2_1_ a1643_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (~(c1_1_ a1645_) /\ (~(c0_1_ a1645_) /\ ~(c3_1_ a1645_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c0_1_ a1646_ /\ (~(c1_1_ a1646_) /\ ~(c2_1_ a1646_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c1_1_ a1647_ /\ (~(c0_1_ a1647_) /\ ~(c2_1_ a1647_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c3_1_ a1648_ /\ (~(c1_1_ a1648_) /\ ~(c0_1_ a1648_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (~(c1_1_ a1650_) /\ (~(c2_1_ a1650_) /\ ~(c3_1_ a1650_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c3_1_ a1655_ /\ (c0_1_ a1655_ /\ ~(c2_1_ a1655_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c2_1_ a1657_ /\ (~(c1_1_ a1657_) /\ ~(c0_1_ a1657_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (~(c3_1_ a1660_) /\ (~(c0_1_ a1660_) /\ ~(c1_1_ a1660_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (~(c2_1_ a1663_) /\ (~(c3_1_ a1663_) /\ ~(c0_1_ a1663_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (~(c3_1_ a1664_) /\ (~(c2_1_ a1664_) /\ ~(c1_1_ a1664_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c2_1_ a1666_ /\ (c3_1_ a1666_ /\ ~(c1_1_ a1666_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c0_1_ a1667_ /\ (c3_1_ a1667_ /\ ~(c1_1_ a1667_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c2_1_ a1671_ /\ (~(c1_1_ a1671_) /\ ~(c3_1_ a1671_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c3_1_ a1672_ /\ (c1_1_ a1672_ /\ ~(c0_1_ a1672_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (~(c0_1_ a1677_) /\ (~(c2_1_ a1677_) /\ ~(c1_1_ a1677_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (~(c0_1_ a1678_) /\ (~(c1_1_ a1678_) /\ ~(c2_1_ a1678_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (~(c3_1_ a1680_) /\ (~(c1_1_ a1680_) /\ ~(c0_1_ a1680_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (~(c1_1_ a1681_) /\ (~(c3_1_ a1681_) /\ ~(c2_1_ a1681_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (~(c2_1_ a1682_) /\ (~(c1_1_ a1682_) /\ ~(c3_1_ a1682_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c3_1_ a1683_ /\ (c2_1_ a1683_ /\ ~(c1_1_ a1683_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (~(c0_1_ a1684_) /\ (c2_1_ a1684_ /\ ~(c3_1_ a1684_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (~(c0_1_ a1685_) /\ (c2_1_ a1685_ /\ ~(c1_1_ a1685_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (~(c0_1_ a1689_) /\ (c3_1_ a1689_ /\ ~(c1_1_ a1689_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c2_1_ a1690_ /\ (~(c0_1_ a1690_) /\ ~(c1_1_ a1690_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (~(c3_1_ a1691_) /\ (~(c1_1_ a1691_) /\ ~(c2_1_ a1691_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (~(c0_1_ a1693_) /\ (~(c3_1_ a1693_) /\ ~(c2_1_ a1693_))))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (~(c1_1_ a1694_) /\ (c2_1_ a1694_ /\ ~(c3_1_ a1694_))))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c2_1_ a1695_ /\ (c0_1_ a1695_ /\ ~(c3_1_ a1695_))))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c1_1_ a1698_ /\ (c3_1_ a1698_ /\ ~(c0_1_ a1698_))))) /\ ((~(hskp31_) \/ (ndr1_0_ /\ (c2_1_ a1700_ /\ (~(c0_1_ a1700_) /\ ~(c3_1_ a1700_))))) /\ ((~(hskp32_) \/ (ndr1_0_ /\ (c1_1_ a1701_ /\ (c0_1_ a1701_ /\ ~(c3_1_ a1701_))))) /\ ((~(hskp33_) \/ (ndr1_0_ /\ (c3_1_ a1704_ /\ (~(c0_1_ a1704_) /\ ~(c2_1_ a1704_))))) /\ ((~(hskp34_) \/ (ndr1_0_ /\ (c2_1_ a1705_ /\ (~(c3_1_ a1705_) /\ ~(c1_1_ a1705_))))) /\ ((~(hskp35_) \/ (ndr1_0_ /\ (~(c0_1_ a1706_) /\ (~(c3_1_ a1706_) /\ ~(c1_1_ a1706_))))) /\ ((~(hskp36_) \/ (ndr1_0_ /\ (~(c2_1_ a1712_) /\ (~(c0_1_ a1712_) /\ ~(c1_1_ a1712_))))) /\ ((~(hskp37_) \/ (ndr1_0_ /\ (c2_1_ a1714_ /\ (c0_1_ a1714_ /\ ~(c1_1_ a1714_))))) /\ ((~(hskp38_) \/ (ndr1_0_ /\ (c3_1_ a1718_ /\ (~(c2_1_ a1718_) /\ ~(c0_1_ a1718_))))) /\ ((~(hskp39_) \/ (ndr1_0_ /\ (~(c1_1_ a1721_) /\ (c3_1_ a1721_ /\ ~(c0_1_ a1721_))))) /\ ((~(hskp40_) \/ (ndr1_0_ /\ (c1_1_ a1725_ /\ (c3_1_ a1725_ /\ ~(c2_1_ a1725_))))) /\ ((~(hskp41_) \/ (ndr1_0_ /\ (c0_1_ a1726_ /\ (c2_1_ a1726_ /\ ~(c1_1_ a1726_))))) /\ ((~(hskp42_) \/ (ndr1_0_ /\ (c1_1_ a1638_ /\ (~(c3_1_ a1638_) /\ c0_1_ a1638_)))) /\ ((~(hskp43_) \/ (ndr1_0_ /\ (~(c1_1_ a1639_) /\ (c2_1_ a1639_ /\ c0_1_ a1639_)))) /\ ((~(hskp44_) \/ (ndr1_0_ /\ (c3_1_ a1640_ /\ (c2_1_ a1640_ /\ c1_1_ a1640_)))) /\ ((~(hskp45_) \/ (ndr1_0_ /\ (~(c3_1_ a1641_) /\ (~(c1_1_ a1641_) /\ c2_1_ a1641_)))) /\ ((~(hskp46_) \/ (ndr1_0_ /\ (~(c2_1_ a1642_) /\ (~(c1_1_ a1642_) /\ c0_1_ a1642_)))) /\ ((~(hskp47_) \/ (ndr1_0_ /\ (~(c1_1_ a1644_) /\ (~(c0_1_ a1644_) /\ c3_1_ a1644_)))) /\ ((~(hskp48_) \/ (ndr1_0_ /\ (~(c3_1_ a1649_) /\ (~(c2_1_ a1649_) /\ c0_1_ a1649_)))) /\ ((~(hskp49_) \/ (ndr1_0_ /\ (c3_1_ a1651_ /\ (~(c2_1_ a1651_) /\ c1_1_ a1651_)))) /\ ((~(hskp50_) \/ (ndr1_0_ /\ (c3_1_ a1652_ /\ (c2_1_ a1652_ /\ c0_1_ a1652_)))) /\ ((~(hskp51_) \/ (ndr1_0_ /\ (c2_1_ a1653_ /\ (~(c0_1_ a1653_) /\ c1_1_ a1653_)))) /\ ((~(hskp52_) \/ (ndr1_0_ /\ (c0_1_ a1654_ /\ (c2_1_ a1654_ /\ c3_1_ a1654_)))) /\ ((~(hskp53_) \/ (ndr1_0_ /\ (~(c3_1_ a1656_) /\ (c2_1_ a1656_ /\ c0_1_ a1656_)))) /\ ((~(hskp54_) \/ (ndr1_0_ /\ (c3_1_ a1658_ /\ (~(c0_1_ a1658_) /\ c1_1_ a1658_)))) /\ ((~(hskp55_) \/ (ndr1_0_ /\ (~(c2_1_ a1661_) /\ (~(c3_1_ a1661_) /\ c1_1_ a1661_)))) /\ ((~(hskp56_) \/ (ndr1_0_ /\ (c0_1_ a1662_ /\ (~(c2_1_ a1662_) /\ c1_1_ a1662_)))) /\ ((~(hskp57_) \/ (ndr1_0_ /\ (c0_1_ a1665_ /\ (~(c1_1_ a1665_) /\ c3_1_ a1665_)))) /\ ((~(hskp58_) \/ (ndr1_0_ /\ (~(c0_1_ a1668_) /\ (~(c1_1_ a1668_) /\ c3_1_ a1668_)))) /\ ((~(hskp59_) \/ (ndr1_0_ /\ (c3_1_ a1669_ /\ (~(c2_1_ a1669_) /\ c0_1_ a1669_)))) /\ ((~(hskp60_) \/ (ndr1_0_ /\ (~(c1_1_ a1673_) /\ (c3_1_ a1673_ /\ c2_1_ a1673_)))) /\ ((~(hskp61_) \/ (ndr1_0_ /\ (~(c1_1_ a1674_) /\ (~(c2_1_ a1674_) /\ c3_1_ a1674_)))) /\ ((~(hskp62_) \/ (ndr1_0_ /\ (~(c3_1_ a1675_) /\ (c1_1_ a1675_ /\ c0_1_ a1675_)))) /\ ((~(hskp63_) \/ (ndr1_0_ /\ (~(c0_1_ a1676_) /\ (c2_1_ a1676_ /\ c3_1_ a1676_)))) /\ ((~(hskp64_) \/ (ndr1_0_ /\ (~(c3_1_ a1686_) /\ (~(c1_1_ a1686_) /\ c0_1_ a1686_)))) /\ ((~(hskp65_) \/ (ndr1_0_ /\ (~(c3_1_ a1687_) /\ (~(c0_1_ a1687_) /\ c2_1_ a1687_)))) /\ ((~(hskp66_) \/ (ndr1_0_ /\ (~(c1_1_ a1692_) /\ (~(c2_1_ a1692_) /\ c0_1_ a1692_)))) /\ ((~(hskp67_) \/ (ndr1_0_ /\ (c1_1_ a1702_ /\ (c2_1_ a1702_ /\ c3_1_ a1702_)))) /\ ((~(hskp68_) \/ (ndr1_0_ /\ (~(c1_1_ a1707_) /\ (c3_1_ a1707_ /\ c0_1_ a1707_)))) /\ ((~(hskp69_) \/ (ndr1_0_ /\ (~(c1_1_ a1709_) /\ (c0_1_ a1709_ /\ c3_1_ a1709_)))) /\ ((~(hskp70_) \/ (ndr1_0_ /\ (~(c0_1_ a1710_) /\ (~(c3_1_ a1710_) /\ c1_1_ a1710_)))) /\ ((~(hskp71_) \/ (ndr1_0_ /\ (~(c2_1_ a1713_) /\ (c3_1_ a1713_ /\ c0_1_ a1713_)))) /\ ((~(hskp72_) \/ (ndr1_0_ /\ (~(c2_1_ a1715_) /\ (c1_1_ a1715_ /\ c3_1_ a1715_)))) /\ ((~(hskp73_) \/ (ndr1_0_ /\ (c2_1_ a1716_ /\ (~(c3_1_ a1716_) /\ c0_1_ a1716_)))) /\ ((~(hskp74_) \/ (ndr1_0_ /\ (~(c3_1_ a1717_) /\ (c0_1_ a1717_ /\ c2_1_ a1717_)))) /\ ((~(hskp75_) \/ (ndr1_0_ /\ (c0_1_ a1724_ /\ (~(c2_1_ a1724_) /\ c3_1_ a1724_)))) /\ ((hskp0_ \/ ((forall U : Universe, (ndr1_0_ -> (~(c2_1_ U) \/ (~(c0_1_ U) \/ c3_1_ U)))) \/ hskp42_)) /\ ((hskp43_ \/ (hskp44_ \/ hskp45_)) /\ (((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (~(c1_1_ V) \/ c2_1_ V)))) \/ (hskp46_ \/ (forall W : Universe, (ndr1_0_ -> (~(c2_1_ W) \/ (c0_1_ W \/ ~(c3_1_ W))))))) /\ (((forall X : Universe, (ndr1_0_ -> (c2_1_ X \/ (c0_1_ X \/ c3_1_ X)))) \/ (hskp1_ \/ (forall Y : Universe, (ndr1_0_ -> (c1_1_ Y \/ (~(c0_1_ Y) \/ c2_1_ Y)))))) /\ ((hskp47_ \/ (hskp2_ \/ hskp3_)) /\ (((forall Z : Universe, (ndr1_0_ -> (c1_1_ Z \/ (c0_1_ Z \/ ~(c3_1_ Z))))) \/ (hskp4_ \/ hskp5_)) /\ (((forall X1 : Universe, (ndr1_0_ -> (~(c0_1_ X1) \/ (~(c3_1_ X1) \/ c2_1_ X1)))) \/ (hskp48_ \/ hskp6_)) /\ (((forall X2 : Universe, (ndr1_0_ -> (c2_1_ X2 \/ (c0_1_ X2 \/ ~(c1_1_ X2))))) \/ ((forall X3 : Universe, (ndr1_0_ -> (c1_1_ X3 \/ (c2_1_ X3 \/ c0_1_ X3)))) \/ hskp49_)) /\ ((hskp50_ \/ ((forall X4 : Universe, (ndr1_0_ -> (~(c1_1_ X4) \/ (~(c0_1_ X4) \/ ~(c2_1_ X4))))) \/ hskp51_)) /\ ((hskp52_ \/ ((forall X5 : Universe, (ndr1_0_ -> (~(c2_1_ X5) \/ (~(c0_1_ X5) \/ c3_1_ X5)))) \/ hskp7_)) /\ ((hskp53_ \/ (hskp8_ \/ hskp54_)) /\ (((forall X6 : Universe, (ndr1_0_ -> (c2_1_ X6 \/ (c3_1_ X6 \/ c0_1_ X6)))) \/ ((forall X7 : Universe, (ndr1_0_ -> (~(c0_1_ X7) \/ (c1_1_ X7 \/ ~(c2_1_ X7))))) \/ (forall X8 : Universe, (ndr1_0_ -> (~(c0_1_ X8) \/ (~(c3_1_ X8) \/ ~(c2_1_ X8))))))) /\ ((hskp2_ \/ ((forall X9 : Universe, (ndr1_0_ -> (c3_1_ X9 \/ (c1_1_ X9 \/ ~(c0_1_ X9))))) \/ (forall X10 : Universe, (ndr1_0_ -> (~(c1_1_ X10) \/ (c3_1_ X10 \/ ~(c0_1_ X10))))))) /\ ((hskp9_ \/ (hskp55_ \/ (forall X11 : Universe, (ndr1_0_ -> (~(c0_1_ X11) \/ (~(c2_1_ X11) \/ c3_1_ X11)))))) /\ (((forall X12 : Universe, (ndr1_0_ -> (~(c0_1_ X12) \/ (c1_1_ X12 \/ c3_1_ X12)))) \/ ((forall X13 : Universe, (ndr1_0_ -> (c2_1_ X13 \/ (c0_1_ X13 \/ ~(c3_1_ X13))))) \/ (forall X14 : Universe, (ndr1_0_ -> (c2_1_ X14 \/ (~(c3_1_ X14) \/ ~(c0_1_ X14))))))) /\ ((hskp56_ \/ ((forall X15 : Universe, (ndr1_0_ -> (c2_1_ X15 \/ (c3_1_ X15 \/ c0_1_ X15)))) \/ hskp10_)) /\ (((forall X16 : Universe, (ndr1_0_ -> (~(c0_1_ X16) \/ (c2_1_ X16 \/ ~(c3_1_ X16))))) \/ (hskp11_ \/ hskp57_)) /\ ((hskp12_ \/ (hskp13_ \/ (forall X17 : Universe, (ndr1_0_ -> (~(c2_1_ X17) \/ (~(c3_1_ X17) \/ ~(c1_1_ X17))))))) /\ ((hskp58_ \/ (hskp59_ \/ (forall X18 : Universe, (ndr1_0_ -> (c1_1_ X18 \/ (~(c0_1_ X18) \/ c2_1_ X18)))))) /\ ((hskp10_ \/ (hskp14_ \/ hskp15_)) /\ (((forall X19 : Universe, (ndr1_0_ -> (~(c2_1_ X19) \/ (c1_1_ X19 \/ ~(c3_1_ X19))))) \/ ((forall X20 : Universe, (ndr1_0_ -> (~(c3_1_ X20) \/ (c2_1_ X20 \/ c0_1_ X20)))) \/ (forall X21 : Universe, (ndr1_0_ -> (c2_1_ X21 \/ (~(c0_1_ X21) \/ ~(c3_1_ X21))))))) /\ ((hskp60_ \/ ((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (c1_1_ X22 \/ ~(c3_1_ X22))))) \/ (forall X23 : Universe, (ndr1_0_ -> (c3_1_ X23 \/ (~(c2_1_ X23) \/ c1_1_ X23)))))) /\ (((forall X24 : Universe, (ndr1_0_ -> (~(c1_1_ X24) \/ (~(c3_1_ X24) \/ c0_1_ X24)))) \/ (hskp61_ \/ hskp62_)) /\ (((forall X25 : Universe, (ndr1_0_ -> (~(c1_1_ X25) \/ (~(c2_1_ X25) \/ c3_1_ X25)))) \/ ((forall X26 : Universe, (ndr1_0_ -> (~(c0_1_ X26) \/ (~(c3_1_ X26) \/ c1_1_ X26)))) \/ (forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (~(c3_1_ X27) \/ c1_1_ X27)))))) /\ ((hskp63_ \/ ((forall X28 : Universe, (ndr1_0_ -> (c1_1_ X28 \/ (~(c0_1_ X28) \/ ~(c3_1_ X28))))) \/ (forall X29 : Universe, (ndr1_0_ -> (~(c2_1_ X29) \/ (~(c1_1_ X29) \/ ~(c3_1_ X29))))))) /\ (((forall X30 : Universe, (ndr1_0_ -> (~(c0_1_ X30) \/ (c1_1_ X30 \/ ~(c3_1_ X30))))) \/ (hskp16_ \/ hskp17_)) /\ ((hskp60_ \/ (hskp18_ \/ (forall X31 : Universe, (ndr1_0_ -> (c1_1_ X31 \/ (~(c2_1_ X31) \/ c3_1_ X31)))))) /\ ((hskp19_ \/ ((forall X32 : Universe, (ndr1_0_ -> (~(c0_1_ X32) \/ (~(c1_1_ X32) \/ c3_1_ X32)))) \/ hskp20_)) /\ (((forall X33 : Universe, (ndr1_0_ -> (~(c1_1_ X33) \/ (c0_1_ X33 \/ c2_1_ X33)))) \/ (hskp21_ \/ (forall X34 : Universe, (ndr1_0_ -> (~(c1_1_ X34) \/ (c2_1_ X34 \/ c3_1_ X34)))))) /\ (((forall X35 : Universe, (ndr1_0_ -> (~(c2_1_ X35) \/ (c0_1_ X35 \/ c3_1_ X35)))) \/ (hskp22_ \/ (forall X36 : Universe, (ndr1_0_ -> (c3_1_ X36 \/ (~(c0_1_ X36) \/ c2_1_ X36)))))) /\ ((hskp23_ \/ (hskp64_ \/ hskp65_)) /\ ((hskp61_ \/ (hskp24_ \/ (forall X37 : Universe, (ndr1_0_ -> (~(c3_1_ X37) \/ (c1_1_ X37 \/ c0_1_ X37)))))) /\ ((hskp25_ \/ ((forall X38 : Universe, (ndr1_0_ -> (c1_1_ X38 \/ (c0_1_ X38 \/ c3_1_ X38)))) \/ (forall X39 : Universe, (ndr1_0_ -> (~(c1_1_ X39) \/ (~(c3_1_ X39) \/ c0_1_ X39)))))) /\ (((forall X40 : Universe, (ndr1_0_ -> (~(c2_1_ X40) \/ (~(c3_1_ X40) \/ ~(c0_1_ X40))))) \/ (hskp26_ \/ (forall X41 : Universe, (ndr1_0_ -> (~(c2_1_ X41) \/ (~(c3_1_ X41) \/ c1_1_ X41)))))) /\ ((hskp66_ \/ (hskp27_ \/ hskp28_)) /\ ((hskp29_ \/ (hskp52_ \/ hskp53_)) /\ (((forall X42 : Universe, (ndr1_0_ -> (~(c0_1_ X42) \/ (~(c1_1_ X42) \/ c2_1_ X42)))) \/ ((forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (~(c3_1_ X43) \/ c1_1_ X43)))) \/ hskp30_)) /\ ((hskp63_ \/ (hskp31_ \/ hskp32_)) /\ (((forall X44 : Universe, (ndr1_0_ -> (c1_1_ X44 \/ (~(c3_1_ X44) \/ ~(c2_1_ X44))))) \/ ((forall X45 : Universe, (ndr1_0_ -> (~(c3_1_ X45) \/ (~(c0_1_ X45) \/ c1_1_ X45)))) \/ hskp67_)) /\ (((forall X46 : Universe, (ndr1_0_ -> (c2_1_ X46 \/ (~(c0_1_ X46) \/ ~(c3_1_ X46))))) \/ (hskp61_ \/ hskp33_)) /\ ((hskp34_ \/ ((forall X47 : Universe, (ndr1_0_ -> (~(c1_1_ X47) \/ (~(c3_1_ X47) \/ c2_1_ X47)))) \/ (forall X48 : Universe, (ndr1_0_ -> (c1_1_ X48 \/ (~(c0_1_ X48) \/ ~(c2_1_ X48))))))) /\ ((hskp35_ \/ (hskp68_ \/ (forall X49 : Universe, (ndr1_0_ -> (c0_1_ X49 \/ (~(c1_1_ X49) \/ c2_1_ X49)))))) /\ (((forall X50 : Universe, (ndr1_0_ -> (c2_1_ X50 \/ (~(c1_1_ X50) \/ ~(c3_1_ X50))))) \/ ((forall X51 : Universe, (ndr1_0_ -> (~(c1_1_ X51) \/ (~(c0_1_ X51) \/ ~(c3_1_ X51))))) \/ hskp13_)) /\ ((hskp69_ \/ ((forall X52 : Universe, (ndr1_0_ -> (~(c1_1_ X52) \/ (c2_1_ X52 \/ c3_1_ X52)))) \/ (forall X53 : Universe, (ndr1_0_ -> (~(c3_1_ X53) \/ (c0_1_ X53 \/ c1_1_ X53)))))) /\ ((hskp70_ \/ ((forall X54 : Universe, (ndr1_0_ -> (c1_1_ X54 \/ (c0_1_ X54 \/ ~(c2_1_ X54))))) \/ (forall X55 : Universe, (ndr1_0_ -> (c2_1_ X55 \/ (c0_1_ X55 \/ c3_1_ X55)))))) /\ (((forall X56 : Universe, (ndr1_0_ -> (~(c2_1_ X56) \/ (~(c1_1_ X56) \/ ~(c0_1_ X56))))) \/ ((forall X57 : Universe, (ndr1_0_ -> (c2_1_ X57 \/ (~(c1_1_ X57) \/ ~(c3_1_ X57))))) \/ hskp0_)) /\ (((forall X58 : Universe, (ndr1_0_ -> (c2_1_ X58 \/ (~(c1_1_ X58) \/ c0_1_ X58)))) \/ (hskp36_ \/ hskp71_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c2_1_ X59 \/ (c1_1_ X59 \/ c3_1_ X59)))) \/ ((forall X60 : Universe, (ndr1_0_ -> (c1_1_ X60 \/ (c2_1_ X60 \/ c0_1_ X60)))) \/ (forall X61 : Universe, (ndr1_0_ -> (c3_1_ X61 \/ (~(c0_1_ X61) \/ ~(c2_1_ X61))))))) /\ ((hskp37_ \/ ((forall X62 : Universe, (ndr1_0_ -> (c3_1_ X62 \/ (c0_1_ X62 \/ c2_1_ X62)))) \/ hskp72_)) /\ ((hskp73_ \/ ((forall X63 : Universe, (ndr1_0_ -> (~(c1_1_ X63) \/ (~(c3_1_ X63) \/ c0_1_ X63)))) \/ (forall X64 : Universe, (ndr1_0_ -> (~(c3_1_ X64) \/ (~(c2_1_ X64) \/ c1_1_ X64)))))) /\ ((hskp74_ \/ (hskp38_ \/ (forall X65 : Universe, (ndr1_0_ -> (~(c3_1_ X65) \/ (~(c2_1_ X65) \/ ~(c0_1_ X65))))))) /\ (((forall X66 : Universe, (ndr1_0_ -> (~(c1_1_ X66) \/ (~(c0_1_ X66) \/ ~(c3_1_ X66))))) \/ (hskp47_ \/ (forall X67 : Universe, (ndr1_0_ -> (~(c0_1_ X67) \/ (c3_1_ X67 \/ c2_1_ X67)))))) /\ (((forall X68 : Universe, (ndr1_0_ -> (c1_1_ X68 \/ (c2_1_ X68 \/ ~(c3_1_ X68))))) \/ ((forall X69 : Universe, (ndr1_0_ -> (~(c3_1_ X69) \/ (~(c0_1_ X69) \/ ~(c1_1_ X69))))) \/ (forall X70 : Universe, (ndr1_0_ -> (~(c0_1_ X70) \/ (c2_1_ X70 \/ c1_1_ X70)))))) /\ (((forall X71 : Universe, (ndr1_0_ -> (~(c2_1_ X71) \/ (c1_1_ X71 \/ c3_1_ X71)))) \/ (hskp57_ \/ (forall X72 : Universe, (ndr1_0_ -> (c2_1_ X72 \/ (c3_1_ X72 \/ ~(c0_1_ X72))))))) /\ ((hskp39_ \/ ((forall X73 : Universe, (ndr1_0_ -> (c0_1_ X73 \/ (~(c3_1_ X73) \/ ~(c2_1_ X73))))) \/ (forall X74 : Universe, (ndr1_0_ -> (c2_1_ X74 \/ (~(c0_1_ X74) \/ ~(c3_1_ X74))))))) /\ (((forall X75 : Universe, (ndr1_0_ -> (c0_1_ X75 \/ (c1_1_ X75 \/ ~(c3_1_ X75))))) \/ (hskp29_ \/ (forall X76 : Universe, (ndr1_0_ -> (~(c0_1_ X76) \/ (c1_1_ X76 \/ ~(c3_1_ X76))))))) /\ ((hskp61_ \/ ((forall X77 : Universe, (ndr1_0_ -> (c2_1_ X77 \/ (~(c0_1_ X77) \/ ~(c1_1_ X77))))) \/ (forall X78 : Universe, (ndr1_0_ -> (~(c0_1_ X78) \/ (c2_1_ X78 \/ c3_1_ X78)))))) /\ (((forall X79 : Universe, (ndr1_0_ -> (~(c2_1_ X79) \/ (c3_1_ X79 \/ ~(c1_1_ X79))))) \/ (hskp75_ \/ (forall X80 : Universe, (ndr1_0_ -> (~(c3_1_ X80) \/ (c1_1_ X80 \/ c2_1_ X80)))))) /\ (((forall X81 : Universe, (ndr1_0_ -> (c1_1_ X81 \/ (~(c2_1_ X81) \/ c3_1_ X81)))) \/ (hskp40_ \/ (forall X82 : Universe, (ndr1_0_ -> (~(c0_1_ X82) \/ (~(c1_1_ X82) \/ ~(c3_1_ X82))))))) /\ ((forall X83 : Universe, (ndr1_0_ -> (c2_1_ X83 \/ (~(c1_1_ X83) \/ c0_1_ X83)))) \/ (hskp41_ \/ hskp30_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
