(*
% File     : SYN460+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=077
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-077.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.44 v3.1.0, 0.67 v2.7.0, 0.33 v2.5.0, 0.67 v2.4.0, 0.33 v2.2.1, 1.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  786 (   0 equality)
%            Maximal formula depth :  127 ( 127 average)
%            Number of connectives : 1074 ( 289 ~  ; 386  |; 295  &)
%                                         (   0 <=>; 104 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   64 (  60 propositional; 0-1 arity)
%            Number of functors    :   59 (  59 constant; 0-0 arity)
%            Number of variables   :  104 (   0 singleton; 104 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp58_ : Prop.
Variable hskp57_ : Prop.
Variable hskp56_ : Prop.
Variable hskp55_ : Prop.
Variable hskp54_ : Prop.
Variable hskp53_ : Prop.
Variable hskp52_ : Prop.
Variable hskp51_ : Prop.
Variable hskp50_ : Prop.
Variable hskp5_ : Prop.
Variable hskp49_ : Prop.
Variable hskp48_ : Prop.
Variable hskp47_ : Prop.
Variable hskp46_ : Prop.
Variable hskp45_ : Prop.
Variable hskp44_ : Prop.
Variable hskp43_ : Prop.
Variable hskp42_ : Prop.
Variable hskp41_ : Prop.
Variable hskp40_ : Prop.
Variable hskp4_ : Prop.
Variable hskp39_ : Prop.
Variable hskp38_ : Prop.
Variable hskp37_ : Prop.
Variable hskp36_ : Prop.
Variable hskp35_ : Prop.
Variable hskp34_ : Prop.
Variable hskp33_ : Prop.
Variable hskp32_ : Prop.
Variable hskp31_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a2252_ : Universe.
Variable a2249_ : Universe.
Variable a2246_ : Universe.
Variable a2245_ : Universe.
Variable a2244_ : Universe.
Variable a2243_ : Universe.
Variable a2242_ : Universe.
Variable a2241_ : Universe.
Variable a2240_ : Universe.
Variable a2239_ : Universe.
Variable a2237_ : Universe.
Variable a2235_ : Universe.
Variable a2234_ : Universe.
Variable a2233_ : Universe.
Variable a2232_ : Universe.
Variable a2231_ : Universe.
Variable a2229_ : Universe.
Variable a2228_ : Universe.
Variable a2226_ : Universe.
Variable a2222_ : Universe.
Variable a2221_ : Universe.
Variable a2220_ : Universe.
Variable a2218_ : Universe.
Variable a2217_ : Universe.
Variable a2216_ : Universe.
Variable a2215_ : Universe.
Variable a2213_ : Universe.
Variable a2212_ : Universe.
Variable a2211_ : Universe.
Variable a2209_ : Universe.
Variable a2208_ : Universe.
Variable a2207_ : Universe.
Variable a2206_ : Universe.
Variable a2205_ : Universe.
Variable a2204_ : Universe.
Variable a2203_ : Universe.
Variable a2202_ : Universe.
Variable a2201_ : Universe.
Variable a2200_ : Universe.
Variable a2198_ : Universe.
Variable a2197_ : Universe.
Variable a2196_ : Universe.
Variable a2194_ : Universe.
Variable a2193_ : Universe.
Variable a2192_ : Universe.
Variable a2191_ : Universe.
Variable a2190_ : Universe.
Variable a2189_ : Universe.
Variable a2188_ : Universe.
Variable a2187_ : Universe.
Variable a2186_ : Universe.
Variable a2185_ : Universe.
Variable a2184_ : Universe.
Variable a2183_ : Universe.
Variable a2182_ : Universe.
Variable a2181_ : Universe.
Variable a2180_ : Universe.
Variable a2179_ : Universe.
Variable a2178_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (~(c0_1_ a2181_) /\ (~(c1_1_ a2181_) /\ ~(c2_1_ a2181_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c3_1_ a2182_ /\ (~(c0_1_ a2182_) /\ ~(c2_1_ a2182_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c3_1_ a2187_ /\ (c1_1_ a2187_ /\ ~(c2_1_ a2187_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c2_1_ a2190_ /\ (~(c1_1_ a2190_) /\ ~(c0_1_ a2190_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c3_1_ a2191_ /\ (~(c2_1_ a2191_) /\ ~(c1_1_ a2191_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (~(c0_1_ a2192_) /\ (c1_1_ a2192_ /\ ~(c3_1_ a2192_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (~(c0_1_ a2197_) /\ (~(c3_1_ a2197_) /\ ~(c1_1_ a2197_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c2_1_ a2198_ /\ (c0_1_ a2198_ /\ ~(c3_1_ a2198_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (~(c2_1_ a2202_) /\ (~(c1_1_ a2202_) /\ ~(c0_1_ a2202_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (~(c1_1_ a2203_) /\ (c0_1_ a2203_ /\ ~(c3_1_ a2203_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (~(c2_1_ a2206_) /\ (~(c0_1_ a2206_) /\ ~(c3_1_ a2206_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c0_1_ a2209_ /\ (~(c1_1_ a2209_) /\ ~(c2_1_ a2209_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c2_1_ a2211_ /\ (~(c1_1_ a2211_) /\ ~(c3_1_ a2211_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c0_1_ a2212_ /\ (c2_1_ a2212_ /\ ~(c3_1_ a2212_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (~(c1_1_ a2213_) /\ (c2_1_ a2213_ /\ ~(c0_1_ a2213_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (~(c3_1_ a2217_) /\ (c1_1_ a2217_ /\ ~(c0_1_ a2217_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (~(c2_1_ a2220_) /\ (~(c1_1_ a2220_) /\ ~(c3_1_ a2220_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (~(c0_1_ a2221_) /\ (c2_1_ a2221_ /\ ~(c3_1_ a2221_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c0_1_ a2222_ /\ (c3_1_ a2222_ /\ ~(c2_1_ a2222_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (~(c0_1_ a2233_) /\ (~(c1_1_ a2233_) /\ ~(c3_1_ a2233_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c1_1_ a2237_ /\ (c0_1_ a2237_ /\ ~(c3_1_ a2237_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c2_1_ a2239_ /\ (~(c0_1_ a2239_) /\ ~(c3_1_ a2239_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c0_1_ a2244_ /\ (~(c2_1_ a2244_) /\ ~(c1_1_ a2244_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c3_1_ a2245_ /\ (c0_1_ a2245_ /\ ~(c1_1_ a2245_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c1_1_ a2246_ /\ (~(c0_1_ a2246_) /\ ~(c3_1_ a2246_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c3_1_ a2249_ /\ (c2_1_ a2249_ /\ ~(c0_1_ a2249_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (~(c3_1_ a2178_) /\ (c0_1_ a2178_ /\ c2_1_ a2178_)))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (~(c1_1_ a2179_) /\ (~(c2_1_ a2179_) /\ c0_1_ a2179_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c3_1_ a2180_ /\ (c1_1_ a2180_ /\ c2_1_ a2180_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (~(c0_1_ a2183_) /\ (c2_1_ a2183_ /\ c3_1_ a2183_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (~(c3_1_ a2184_) /\ (~(c1_1_ a2184_) /\ c0_1_ a2184_)))) /\ ((~(hskp31_) \/ (ndr1_0_ /\ (c1_1_ a2185_ /\ (~(c2_1_ a2185_) /\ c3_1_ a2185_)))) /\ ((~(hskp32_) \/ (ndr1_0_ /\ (~(c3_1_ a2186_) /\ (~(c2_1_ a2186_) /\ c0_1_ a2186_)))) /\ ((~(hskp33_) \/ (ndr1_0_ /\ (~(c3_1_ a2188_) /\ (~(c2_1_ a2188_) /\ c1_1_ a2188_)))) /\ ((~(hskp34_) \/ (ndr1_0_ /\ (~(c0_1_ a2189_) /\ (c1_1_ a2189_ /\ c3_1_ a2189_)))) /\ ((~(hskp35_) \/ (ndr1_0_ /\ (c2_1_ a2193_ /\ (~(c0_1_ a2193_) /\ c3_1_ a2193_)))) /\ ((~(hskp36_) \/ (ndr1_0_ /\ (c3_1_ a2194_ /\ (~(c2_1_ a2194_) /\ c1_1_ a2194_)))) /\ ((~(hskp37_) \/ (ndr1_0_ /\ (c1_1_ a2196_ /\ (~(c0_1_ a2196_) /\ c2_1_ a2196_)))) /\ ((~(hskp38_) \/ (ndr1_0_ /\ (~(c0_1_ a2200_) /\ (~(c2_1_ a2200_) /\ c1_1_ a2200_)))) /\ ((~(hskp39_) \/ (ndr1_0_ /\ (~(c1_1_ a2201_) /\ (~(c0_1_ a2201_) /\ c3_1_ a2201_)))) /\ ((~(hskp40_) \/ (ndr1_0_ /\ (c2_1_ a2204_ /\ (~(c1_1_ a2204_) /\ c3_1_ a2204_)))) /\ ((~(hskp41_) \/ (ndr1_0_ /\ (c2_1_ a2205_ /\ (~(c0_1_ a2205_) /\ c1_1_ a2205_)))) /\ ((~(hskp42_) \/ (ndr1_0_ /\ (c1_1_ a2207_ /\ (~(c3_1_ a2207_) /\ c0_1_ a2207_)))) /\ ((~(hskp43_) \/ (ndr1_0_ /\ (~(c2_1_ a2208_) /\ (c3_1_ a2208_ /\ c0_1_ a2208_)))) /\ ((~(hskp44_) \/ (ndr1_0_ /\ (~(c0_1_ a2215_) /\ (c2_1_ a2215_ /\ c1_1_ a2215_)))) /\ ((~(hskp45_) \/ (ndr1_0_ /\ (c2_1_ a2216_ /\ (c3_1_ a2216_ /\ c0_1_ a2216_)))) /\ ((~(hskp46_) \/ (ndr1_0_ /\ (c0_1_ a2218_ /\ (~(c3_1_ a2218_) /\ c2_1_ a2218_)))) /\ ((~(hskp47_) \/ (ndr1_0_ /\ (c2_1_ a2226_ /\ (~(c1_1_ a2226_) /\ c0_1_ a2226_)))) /\ ((~(hskp48_) \/ (ndr1_0_ /\ (~(c0_1_ a2228_) /\ (c3_1_ a2228_ /\ c2_1_ a2228_)))) /\ ((~(hskp49_) \/ (ndr1_0_ /\ (c0_1_ a2229_ /\ (~(c1_1_ a2229_) /\ c3_1_ a2229_)))) /\ ((~(hskp50_) \/ (ndr1_0_ /\ (~(c3_1_ a2231_) /\ (c2_1_ a2231_ /\ c1_1_ a2231_)))) /\ ((~(hskp51_) \/ (ndr1_0_ /\ (c0_1_ a2232_ /\ (c3_1_ a2232_ /\ c2_1_ a2232_)))) /\ ((~(hskp52_) \/ (ndr1_0_ /\ (c1_1_ a2234_ /\ (c3_1_ a2234_ /\ c2_1_ a2234_)))) /\ ((~(hskp53_) \/ (ndr1_0_ /\ (c0_1_ a2235_ /\ (c2_1_ a2235_ /\ c3_1_ a2235_)))) /\ ((~(hskp54_) \/ (ndr1_0_ /\ (c1_1_ a2240_ /\ (c3_1_ a2240_ /\ c0_1_ a2240_)))) /\ ((~(hskp55_) \/ (ndr1_0_ /\ (c1_1_ a2241_ /\ (c0_1_ a2241_ /\ c2_1_ a2241_)))) /\ ((~(hskp56_) \/ (ndr1_0_ /\ (~(c1_1_ a2242_) /\ (~(c3_1_ a2242_) /\ c2_1_ a2242_)))) /\ ((~(hskp57_) \/ (ndr1_0_ /\ (c1_1_ a2243_ /\ (c0_1_ a2243_ /\ c3_1_ a2243_)))) /\ ((~(hskp58_) \/ (ndr1_0_ /\ (~(c2_1_ a2252_) /\ (~(c1_1_ a2252_) /\ c0_1_ a2252_)))) /\ ((hskp26_ \/ ((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ ~(c2_1_ U))))) \/ (forall V : Universe, (ndr1_0_ -> (~(c1_1_ V) \/ (~(c3_1_ V) \/ c0_1_ V)))))) /\ (((forall W : Universe, (ndr1_0_ -> (c3_1_ W \/ (c1_1_ W \/ c2_1_ W)))) \/ (hskp27_ \/ hskp28_)) /\ (((forall X : Universe, (ndr1_0_ -> (~(c2_1_ X) \/ (~(c0_1_ X) \/ ~(c1_1_ X))))) \/ (hskp0_ \/ (forall Y : Universe, (ndr1_0_ -> (~(c0_1_ Y) \/ (~(c2_1_ Y) \/ ~(c1_1_ Y))))))) /\ ((hskp1_ \/ ((forall Z : Universe, (ndr1_0_ -> (~(c1_1_ Z) \/ (c0_1_ Z \/ c3_1_ Z)))) \/ (forall X1 : Universe, (ndr1_0_ -> (c3_1_ X1 \/ (c1_1_ X1 \/ c0_1_ X1)))))) /\ ((hskp29_ \/ (hskp30_ \/ hskp31_)) /\ ((hskp32_ \/ (hskp2_ \/ (forall X2 : Universe, (ndr1_0_ -> (c3_1_ X2 \/ (c1_1_ X2 \/ c0_1_ X2)))))) /\ ((hskp33_ \/ ((forall X3 : Universe, (ndr1_0_ -> (~(c0_1_ X3) \/ (c1_1_ X3 \/ ~(c2_1_ X3))))) \/ hskp34_)) /\ (((forall X4 : Universe, (ndr1_0_ -> (~(c1_1_ X4) \/ (~(c0_1_ X4) \/ ~(c2_1_ X4))))) \/ ((forall X5 : Universe, (ndr1_0_ -> (c1_1_ X5 \/ (~(c3_1_ X5) \/ c2_1_ X5)))) \/ (forall X6 : Universe, (ndr1_0_ -> (~(c0_1_ X6) \/ (c2_1_ X6 \/ c3_1_ X6)))))) /\ (((forall X7 : Universe, (ndr1_0_ -> (~(c3_1_ X7) \/ (~(c2_1_ X7) \/ c1_1_ X7)))) \/ ((forall X8 : Universe, (ndr1_0_ -> (c3_1_ X8 \/ (c1_1_ X8 \/ ~(c2_1_ X8))))) \/ hskp3_)) /\ (((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (~(c1_1_ X9) \/ ~(c2_1_ X9))))) \/ ((forall X10 : Universe, (ndr1_0_ -> (c2_1_ X10 \/ (~(c1_1_ X10) \/ c3_1_ X10)))) \/ hskp4_)) /\ ((hskp5_ \/ (hskp35_ \/ hskp36_)) /\ (((forall X11 : Universe, (ndr1_0_ -> (c1_1_ X11 \/ (c0_1_ X11 \/ c2_1_ X11)))) \/ ((forall X12 : Universe, (ndr1_0_ -> (~(c1_1_ X12) \/ (~(c2_1_ X12) \/ ~(c0_1_ X12))))) \/ (forall X13 : Universe, (ndr1_0_ -> (~(c1_1_ X13) \/ (c3_1_ X13 \/ c2_1_ X13)))))) /\ ((hskp34_ \/ (hskp37_ \/ hskp6_)) /\ (((forall X14 : Universe, (ndr1_0_ -> (c2_1_ X14 \/ (c3_1_ X14 \/ ~(c0_1_ X14))))) \/ (hskp7_ \/ hskp37_)) /\ ((hskp38_ \/ ((forall X15 : Universe, (ndr1_0_ -> (c3_1_ X15 \/ (~(c1_1_ X15) \/ ~(c0_1_ X15))))) \/ (forall X16 : Universe, (ndr1_0_ -> (c2_1_ X16 \/ (c1_1_ X16 \/ c0_1_ X16)))))) /\ (((forall X17 : Universe, (ndr1_0_ -> (~(c0_1_ X17) \/ (c2_1_ X17 \/ ~(c1_1_ X17))))) \/ (hskp39_ \/ (forall X18 : Universe, (ndr1_0_ -> (~(c1_1_ X18) \/ (~(c0_1_ X18) \/ ~(c2_1_ X18))))))) /\ ((hskp8_ \/ (hskp9_ \/ (forall X19 : Universe, (ndr1_0_ -> (c2_1_ X19 \/ (c1_1_ X19 \/ ~(c0_1_ X19))))))) /\ (((forall X20 : Universe, (ndr1_0_ -> (c3_1_ X20 \/ (~(c0_1_ X20) \/ c1_1_ X20)))) \/ ((forall X21 : Universe, (ndr1_0_ -> (~(c0_1_ X21) \/ (c3_1_ X21 \/ ~(c2_1_ X21))))) \/ (forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (~(c2_1_ X22) \/ c1_1_ X22)))))) /\ (((forall X23 : Universe, (ndr1_0_ -> (c1_1_ X23 \/ (c3_1_ X23 \/ ~(c0_1_ X23))))) \/ ((forall X24 : Universe, (ndr1_0_ -> (~(c3_1_ X24) \/ (c1_1_ X24 \/ c2_1_ X24)))) \/ hskp40_)) /\ (((forall X25 : Universe, (ndr1_0_ -> (~(c2_1_ X25) \/ (c3_1_ X25 \/ c0_1_ X25)))) \/ (hskp41_ \/ hskp10_)) /\ (((forall X26 : Universe, (ndr1_0_ -> (c2_1_ X26 \/ (~(c1_1_ X26) \/ c0_1_ X26)))) \/ ((forall X27 : Universe, (ndr1_0_ -> (~(c0_1_ X27) \/ (~(c1_1_ X27) \/ c2_1_ X27)))) \/ (forall X28 : Universe, (ndr1_0_ -> (c2_1_ X28 \/ (~(c3_1_ X28) \/ ~(c1_1_ X28))))))) /\ (((forall X29 : Universe, (ndr1_0_ -> (c1_1_ X29 \/ (c3_1_ X29 \/ c0_1_ X29)))) \/ (hskp42_ \/ hskp43_)) /\ ((hskp11_ \/ (hskp3_ \/ hskp12_)) /\ ((hskp13_ \/ ((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (c1_1_ X30 \/ ~(c3_1_ X30))))) \/ (forall X31 : Universe, (ndr1_0_ -> (~(c0_1_ X31) \/ (c3_1_ X31 \/ c1_1_ X31)))))) /\ (((forall X32 : Universe, (ndr1_0_ -> (c3_1_ X32 \/ (~(c2_1_ X32) \/ c0_1_ X32)))) \/ ((forall X33 : Universe, (ndr1_0_ -> (~(c0_1_ X33) \/ (~(c3_1_ X33) \/ ~(c2_1_ X33))))) \/ (forall X34 : Universe, (ndr1_0_ -> (~(c3_1_ X34) \/ (c0_1_ X34 \/ ~(c1_1_ X34))))))) /\ ((hskp14_ \/ ((forall X35 : Universe, (ndr1_0_ -> (~(c0_1_ X35) \/ (c3_1_ X35 \/ c2_1_ X35)))) \/ hskp4_)) /\ (((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (c3_1_ X36 \/ ~(c2_1_ X36))))) \/ ((forall X37 : Universe, (ndr1_0_ -> (c1_1_ X37 \/ (c0_1_ X37 \/ ~(c2_1_ X37))))) \/ (forall X38 : Universe, (ndr1_0_ -> (~(c2_1_ X38) \/ (c1_1_ X38 \/ ~(c3_1_ X38))))))) /\ ((hskp44_ \/ ((forall X39 : Universe, (ndr1_0_ -> (~(c3_1_ X39) \/ (c2_1_ X39 \/ ~(c0_1_ X39))))) \/ (forall X40 : Universe, (ndr1_0_ -> (c1_1_ X40 \/ (~(c3_1_ X40) \/ ~(c0_1_ X40))))))) /\ ((hskp45_ \/ (hskp15_ \/ (forall X41 : Universe, (ndr1_0_ -> (~(c3_1_ X41) \/ (~(c2_1_ X41) \/ c1_1_ X41)))))) /\ (((forall X42 : Universe, (ndr1_0_ -> (~(c0_1_ X42) \/ (c1_1_ X42 \/ ~(c3_1_ X42))))) \/ (hskp46_ \/ hskp34_)) /\ (((forall X43 : Universe, (ndr1_0_ -> (~(c3_1_ X43) \/ (c2_1_ X43 \/ ~(c0_1_ X43))))) \/ ((forall X44 : Universe, (ndr1_0_ -> (c3_1_ X44 \/ (c2_1_ X44 \/ c0_1_ X44)))) \/ (forall X45 : Universe, (ndr1_0_ -> (c1_1_ X45 \/ (c2_1_ X45 \/ c3_1_ X45)))))) /\ ((hskp16_ \/ (hskp17_ \/ (forall X46 : Universe, (ndr1_0_ -> (c0_1_ X46 \/ (~(c2_1_ X46) \/ c1_1_ X46)))))) /\ ((hskp18_ \/ ((forall X47 : Universe, (ndr1_0_ -> (~(c1_1_ X47) \/ (~(c2_1_ X47) \/ c3_1_ X47)))) \/ hskp31_)) /\ (((forall X48 : Universe, (ndr1_0_ -> (~(c1_1_ X48) \/ (~(c3_1_ X48) \/ ~(c2_1_ X48))))) \/ (hskp33_ \/ (forall X49 : Universe, (ndr1_0_ -> (~(c2_1_ X49) \/ (~(c1_1_ X49) \/ c0_1_ X49)))))) /\ (((forall X50 : Universe, (ndr1_0_ -> (c1_1_ X50 \/ (~(c0_1_ X50) \/ c3_1_ X50)))) \/ (hskp33_ \/ (forall X51 : Universe, (ndr1_0_ -> (c2_1_ X51 \/ (~(c1_1_ X51) \/ c0_1_ X51)))))) /\ ((hskp47_ \/ ((forall X52 : Universe, (ndr1_0_ -> (~(c3_1_ X52) \/ (c0_1_ X52 \/ c2_1_ X52)))) \/ (forall X53 : Universe, (ndr1_0_ -> (c1_1_ X53 \/ (c2_1_ X53 \/ c3_1_ X53)))))) /\ ((hskp18_ \/ ((forall X54 : Universe, (ndr1_0_ -> (~(c1_1_ X54) \/ (c3_1_ X54 \/ c2_1_ X54)))) \/ (forall X55 : Universe, (ndr1_0_ -> (c3_1_ X55 \/ (~(c1_1_ X55) \/ c2_1_ X55)))))) /\ (((forall X56 : Universe, (ndr1_0_ -> (~(c1_1_ X56) \/ (~(c3_1_ X56) \/ c0_1_ X56)))) \/ ((forall X57 : Universe, (ndr1_0_ -> (~(c2_1_ X57) \/ (c0_1_ X57 \/ ~(c1_1_ X57))))) \/ hskp48_)) /\ (((forall X58 : Universe, (ndr1_0_ -> (c0_1_ X58 \/ (c1_1_ X58 \/ ~(c3_1_ X58))))) \/ (hskp49_ \/ hskp31_)) /\ ((hskp50_ \/ (hskp51_ \/ (forall X59 : Universe, (ndr1_0_ -> (~(c1_1_ X59) \/ (c0_1_ X59 \/ ~(c2_1_ X59))))))) /\ (((forall X60 : Universe, (ndr1_0_ -> (~(c3_1_ X60) \/ (~(c1_1_ X60) \/ c0_1_ X60)))) \/ ((forall X61 : Universe, (ndr1_0_ -> (c3_1_ X61 \/ (c0_1_ X61 \/ ~(c2_1_ X61))))) \/ (forall X62 : Universe, (ndr1_0_ -> (~(c1_1_ X62) \/ (c3_1_ X62 \/ ~(c0_1_ X62))))))) /\ (((forall X63 : Universe, (ndr1_0_ -> (c3_1_ X63 \/ (~(c2_1_ X63) \/ c0_1_ X63)))) \/ (hskp19_ \/ hskp52_)) /\ (((forall X64 : Universe, (ndr1_0_ -> (~(c0_1_ X64) \/ (c3_1_ X64 \/ c1_1_ X64)))) \/ (hskp53_ \/ (forall X65 : Universe, (ndr1_0_ -> (c3_1_ X65 \/ (c2_1_ X65 \/ c1_1_ X65)))))) /\ (((forall X66 : Universe, (ndr1_0_ -> (~(c2_1_ X66) \/ (~(c0_1_ X66) \/ c3_1_ X66)))) \/ (hskp10_ \/ (forall X67 : Universe, (ndr1_0_ -> (c2_1_ X67 \/ (~(c3_1_ X67) \/ c1_1_ X67)))))) /\ ((hskp20_ \/ ((forall X68 : Universe, (ndr1_0_ -> (~(c1_1_ X68) \/ (~(c3_1_ X68) \/ ~(c2_1_ X68))))) \/ (forall X69 : Universe, (ndr1_0_ -> (c3_1_ X69 \/ (c1_1_ X69 \/ ~(c0_1_ X69))))))) /\ (((forall X70 : Universe, (ndr1_0_ -> (~(c3_1_ X70) \/ (c2_1_ X70 \/ ~(c1_1_ X70))))) \/ ((forall X71 : Universe, (ndr1_0_ -> (~(c3_1_ X71) \/ (c2_1_ X71 \/ ~(c0_1_ X71))))) \/ hskp10_)) /\ ((hskp21_ \/ (hskp54_ \/ hskp55_)) /\ (((forall X72 : Universe, (ndr1_0_ -> (c1_1_ X72 \/ (~(c0_1_ X72) \/ c2_1_ X72)))) \/ (hskp56_ \/ (forall X73 : Universe, (ndr1_0_ -> (c1_1_ X73 \/ (~(c0_1_ X73) \/ ~(c2_1_ X73))))))) /\ ((hskp57_ \/ ((forall X74 : Universe, (ndr1_0_ -> (~(c1_1_ X74) \/ (c0_1_ X74 \/ c3_1_ X74)))) \/ hskp22_)) /\ ((hskp23_ \/ (hskp24_ \/ (forall X75 : Universe, (ndr1_0_ -> (~(c0_1_ X75) \/ (~(c3_1_ X75) \/ c1_1_ X75)))))) /\ ((hskp17_ \/ (forall X76 : Universe, (ndr1_0_ -> (~(c2_1_ X76) \/ (c3_1_ X76 \/ ~(c1_1_ X76)))))) /\ (((forall X77 : Universe, (ndr1_0_ -> (c2_1_ X77 \/ (c0_1_ X77 \/ ~(c3_1_ X77))))) \/ ((forall X78 : Universe, (ndr1_0_ -> (c0_1_ X78 \/ (c2_1_ X78 \/ ~(c1_1_ X78))))) \/ (forall X79 : Universe, (ndr1_0_ -> (~(c2_1_ X79) \/ (~(c0_1_ X79) \/ ~(c3_1_ X79))))))) /\ (((forall X80 : Universe, (ndr1_0_ -> (c1_1_ X80 \/ (c2_1_ X80 \/ c3_1_ X80)))) \/ ((forall X81 : Universe, (ndr1_0_ -> (c0_1_ X81 \/ (c1_1_ X81 \/ c3_1_ X81)))) \/ (forall X82 : Universe, (ndr1_0_ -> (c2_1_ X82 \/ (~(c0_1_ X82) \/ ~(c3_1_ X82))))))) /\ (((forall X83 : Universe, (ndr1_0_ -> (c0_1_ X83 \/ (~(c2_1_ X83) \/ c1_1_ X83)))) \/ ((forall X84 : Universe, (ndr1_0_ -> (c1_1_ X84 \/ (~(c3_1_ X84) \/ ~(c2_1_ X84))))) \/ (forall X85 : Universe, (ndr1_0_ -> (c2_1_ X85 \/ (~(c0_1_ X85) \/ c1_1_ X85)))))) /\ ((hskp32_ \/ ((forall X86 : Universe, (ndr1_0_ -> (~(c0_1_ X86) \/ (c1_1_ X86 \/ c2_1_ X86)))) \/ (forall X87 : Universe, (ndr1_0_ -> (c2_1_ X87 \/ (c1_1_ X87 \/ ~(c3_1_ X87))))))) /\ (((forall X88 : Universe, (ndr1_0_ -> (c0_1_ X88 \/ (~(c3_1_ X88) \/ ~(c2_1_ X88))))) \/ ((forall X89 : Universe, (ndr1_0_ -> (c3_1_ X89 \/ (c0_1_ X89 \/ c2_1_ X89)))) \/ hskp25_)) /\ (((forall X90 : Universe, (ndr1_0_ -> (c3_1_ X90 \/ (c0_1_ X90 \/ ~(c2_1_ X90))))) \/ (hskp56_ \/ (forall X91 : Universe, (ndr1_0_ -> (c3_1_ X91 \/ (~(c2_1_ X91) \/ ~(c0_1_ X91))))))) /\ (((forall X92 : Universe, (ndr1_0_ -> (c3_1_ X92 \/ (c2_1_ X92 \/ ~(c0_1_ X92))))) \/ ((forall X93 : Universe, (ndr1_0_ -> (~(c2_1_ X93) \/ (c0_1_ X93 \/ c1_1_ X93)))) \/ (forall X94 : Universe, (ndr1_0_ -> (c3_1_ X94 \/ (~(c0_1_ X94) \/ ~(c2_1_ X94))))))) /\ (((forall X95 : Universe, (ndr1_0_ -> (c2_1_ X95 \/ (~(c3_1_ X95) \/ ~(c0_1_ X95))))) \/ ((forall X96 : Universe, (ndr1_0_ -> (~(c3_1_ X96) \/ (~(c2_1_ X96) \/ c0_1_ X96)))) \/ hskp40_)) /\ (hskp58_ \/ ((forall X97 : Universe, (ndr1_0_ -> (~(c3_1_ X97) \/ (c2_1_ X97 \/ c1_1_ X97)))) \/ (forall X98 : Universe, (ndr1_0_ -> (~(c3_1_ X98) \/ (c1_1_ X98 \/ c2_1_ X98))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
