(*
% File     : SYN463+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=092
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-092.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.50 v2.6.0, 0.25 v2.5.0, 0.33 v2.2.1, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  596 (   0 equality)
%            Maximal formula depth :   93 (  93 average)
%            Number of connectives :  791 ( 196 ~  ; 327  |; 179  &)
%                                         (   0 <=>;  89 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   35 (  31 propositional; 0-1 arity)
%            Number of functors    :   30 (  30 constant; 0-0 arity)
%            Number of variables   :   89 (   0 singleton;  89 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a1303_ : Universe.
Variable a1301_ : Universe.
Variable a1300_ : Universe.
Variable a1291_ : Universe.
Variable a1288_ : Universe.
Variable a1287_ : Universe.
Variable a1283_ : Universe.
Variable a1280_ : Universe.
Variable a1279_ : Universe.
Variable a1277_ : Universe.
Variable a1274_ : Universe.
Variable a1272_ : Universe.
Variable a1270_ : Universe.
Variable a1268_ : Universe.
Variable a1266_ : Universe.
Variable a1265_ : Universe.
Variable a1264_ : Universe.
Variable a1263_ : Universe.
Variable a1262_ : Universe.
Variable a1261_ : Universe.
Variable a1260_ : Universe.
Variable a1259_ : Universe.
Variable a1258_ : Universe.
Variable a1257_ : Universe.
Variable a1256_ : Universe.
Variable a1255_ : Universe.
Variable a1254_ : Universe.
Variable a1253_ : Universe.
Variable a1252_ : Universe.
Variable a1250_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c0_1_ a1252_ /\ (c2_1_ a1252_ /\ ~(c3_1_ a1252_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c1_1_ a1254_ /\ (~(c2_1_ a1254_) /\ ~(c3_1_ a1254_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c0_1_ a1255_ /\ (c2_1_ a1255_ /\ ~(c1_1_ a1255_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c3_1_ a1256_ /\ (~(c0_1_ a1256_) /\ ~(c1_1_ a1256_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c2_1_ a1257_ /\ (c3_1_ a1257_ /\ ~(c1_1_ a1257_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c3_1_ a1258_ /\ (~(c1_1_ a1258_) /\ ~(c2_1_ a1258_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c1_1_ a1260_ /\ (c2_1_ a1260_ /\ ~(c3_1_ a1260_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c3_1_ a1261_ /\ (~(c0_1_ a1261_) /\ ~(c2_1_ a1261_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c0_1_ a1262_ /\ (~(c2_1_ a1262_) /\ ~(c3_1_ a1262_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c0_1_ a1263_ /\ (c3_1_ a1263_ /\ ~(c1_1_ a1263_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c1_1_ a1264_ /\ (c2_1_ a1264_ /\ ~(c0_1_ a1264_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c0_1_ a1265_ /\ (c1_1_ a1265_ /\ ~(c3_1_ a1265_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c2_1_ a1266_ /\ (~(c0_1_ a1266_) /\ ~(c1_1_ a1266_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c1_1_ a1268_ /\ (~(c0_1_ a1268_) /\ ~(c2_1_ a1268_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c2_1_ a1270_ /\ (c3_1_ a1270_ /\ ~(c0_1_ a1270_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (~(c0_1_ a1272_) /\ (~(c2_1_ a1272_) /\ ~(c3_1_ a1272_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c0_1_ a1274_ /\ (~(c1_1_ a1274_) /\ ~(c3_1_ a1274_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c1_1_ a1277_ /\ (c3_1_ a1277_ /\ ~(c2_1_ a1277_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (~(c0_1_ a1279_) /\ (~(c1_1_ a1279_) /\ ~(c2_1_ a1279_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c2_1_ a1283_ /\ (~(c1_1_ a1283_) /\ ~(c3_1_ a1283_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c0_1_ a1287_ /\ (~(c1_1_ a1287_) /\ ~(c2_1_ a1287_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c1_1_ a1288_ /\ (c3_1_ a1288_ /\ ~(c0_1_ a1288_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c0_1_ a1291_ /\ (c1_1_ a1291_ /\ ~(c2_1_ a1291_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c1_1_ a1300_ /\ (~(c0_1_ a1300_) /\ ~(c3_1_ a1300_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c2_1_ a1301_ /\ (~(c0_1_ a1301_) /\ ~(c3_1_ a1301_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (~(c0_1_ a1303_) /\ (~(c1_1_ a1303_) /\ ~(c3_1_ a1303_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c0_1_ a1250_ /\ (c1_1_ a1250_ /\ c2_1_ a1250_)))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a1253_ /\ (c1_1_ a1253_ /\ c3_1_ a1253_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c1_1_ a1259_ /\ (c2_1_ a1259_ /\ c3_1_ a1259_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a1280_ /\ (c2_1_ a1280_ /\ c3_1_ a1280_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c2_1_ V \/ (c3_1_ V \/ ~(c0_1_ V))))) \/ hskp26_)) /\ (((forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c1_1_ W \/ c2_1_ W)))) \/ (hskp26_ \/ hskp0_)) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ c2_1_ X)))) \/ (hskp27_ \/ hskp1_)) /\ (((forall Y : Universe, (ndr1_0_ -> (c0_1_ Y \/ (c1_1_ Y \/ c2_1_ Y)))) \/ (hskp2_ \/ hskp3_)) /\ (((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c1_1_ Z \/ c2_1_ Z)))) \/ (hskp4_ \/ hskp5_)) /\ (((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c1_1_ X1 \/ c3_1_ X1)))) \/ (hskp28_ \/ hskp6_)) /\ (((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ ~(c2_1_ X2))))) \/ ((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (~(c1_1_ X3) \/ ~(c2_1_ X3))))) \/ hskp7_)) /\ (((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c1_1_ X4 \/ ~(c2_1_ X4))))) \/ ((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (~(c1_1_ X5) \/ ~(c3_1_ X5))))) \/ (forall X6 : Universe, (ndr1_0_ -> (c2_1_ X6 \/ (c3_1_ X6 \/ ~(c0_1_ X6))))))) /\ (((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (c1_1_ X7 \/ ~(c3_1_ X7))))) \/ ((forall X8 : Universe, (ndr1_0_ -> (c1_1_ X8 \/ (c3_1_ X8 \/ ~(c0_1_ X8))))) \/ hskp8_)) /\ (((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c1_1_ X9 \/ ~(c3_1_ X9))))) \/ ((forall X10 : Universe, (ndr1_0_ -> (c1_1_ X10 \/ (~(c2_1_ X10) \/ ~(c3_1_ X10))))) \/ hskp9_)) /\ (((forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (c1_1_ X11 \/ ~(c3_1_ X11))))) \/ ((forall X12 : Universe, (ndr1_0_ -> (c2_1_ X12 \/ (~(c0_1_ X12) \/ ~(c3_1_ X12))))) \/ hskp10_)) /\ (((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c1_1_ X13 \/ ~(c3_1_ X13))))) \/ (hskp11_ \/ hskp12_)) /\ (((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c2_1_ X14 \/ c3_1_ X14)))) \/ ((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c2_1_ X15 \/ ~(c3_1_ X15))))) \/ hskp3_)) /\ (((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (c2_1_ X16 \/ c3_1_ X16)))) \/ ((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c3_1_ X17 \/ ~(c2_1_ X17))))) \/ hskp13_)) /\ (((forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (c2_1_ X18 \/ c3_1_ X18)))) \/ ((forall X19 : Universe, (ndr1_0_ -> (c2_1_ X19 \/ (c3_1_ X19 \/ ~(c1_1_ X19))))) \/ hskp26_)) /\ (((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (c2_1_ X20 \/ ~(c1_1_ X20))))) \/ ((forall X21 : Universe, (ndr1_0_ -> (c0_1_ X21 \/ (c2_1_ X21 \/ ~(c3_1_ X21))))) \/ hskp14_)) /\ (((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (c2_1_ X22 \/ ~(c1_1_ X22))))) \/ ((forall X23 : Universe, (ndr1_0_ -> (c1_1_ X23 \/ (c2_1_ X23 \/ ~(c0_1_ X23))))) \/ (forall X24 : Universe, (ndr1_0_ -> (c1_1_ X24 \/ (~(c0_1_ X24) \/ ~(c2_1_ X24))))))) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c2_1_ X25 \/ ~(c1_1_ X25))))) \/ (hskp10_ \/ hskp15_)) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c2_1_ X26 \/ ~(c3_1_ X26))))) \/ ((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (~(c2_1_ X27) \/ ~(c3_1_ X27))))) \/ hskp10_)) /\ (((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (c3_1_ X28 \/ ~(c1_1_ X28))))) \/ ((forall X29 : Universe, (ndr1_0_ -> (c1_1_ X29 \/ (c3_1_ X29 \/ ~(c2_1_ X29))))) \/ (forall X30 : Universe, (ndr1_0_ -> (c3_1_ X30 \/ (~(c1_1_ X30) \/ ~(c2_1_ X30))))))) /\ (((forall X31 : Universe, (ndr1_0_ -> (c0_1_ X31 \/ (c3_1_ X31 \/ ~(c1_1_ X31))))) \/ ((forall X32 : Universe, (ndr1_0_ -> (c2_1_ X32 \/ (c3_1_ X32 \/ ~(c1_1_ X32))))) \/ hskp16_)) /\ (((forall X33 : Universe, (ndr1_0_ -> (c0_1_ X33 \/ (c3_1_ X33 \/ ~(c1_1_ X33))))) \/ ((forall X34 : Universe, (ndr1_0_ -> (c3_1_ X34 \/ (~(c0_1_ X34) \/ ~(c2_1_ X34))))) \/ hskp4_)) /\ (((forall X35 : Universe, (ndr1_0_ -> (c0_1_ X35 \/ (c3_1_ X35 \/ ~(c1_1_ X35))))) \/ (hskp27_ \/ hskp17_)) /\ (((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (c3_1_ X36 \/ ~(c1_1_ X36))))) \/ (hskp17_ \/ hskp18_)) /\ (((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (c3_1_ X37 \/ ~(c2_1_ X37))))) \/ (hskp29_ \/ hskp6_)) /\ (((forall X38 : Universe, (ndr1_0_ -> (c0_1_ X38 \/ (~(c1_1_ X38) \/ ~(c2_1_ X38))))) \/ ((forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (~(c2_1_ X39) \/ ~(c3_1_ X39))))) \/ (forall X40 : Universe, (ndr1_0_ -> (c1_1_ X40 \/ (c2_1_ X40 \/ ~(c3_1_ X40))))))) /\ (((forall X41 : Universe, (ndr1_0_ -> (c0_1_ X41 \/ (~(c1_1_ X41) \/ ~(c2_1_ X41))))) \/ ((forall X42 : Universe, (ndr1_0_ -> (c1_1_ X42 \/ (c3_1_ X42 \/ ~(c0_1_ X42))))) \/ (forall X43 : Universe, (ndr1_0_ -> (c1_1_ X43 \/ (~(c0_1_ X43) \/ ~(c3_1_ X43))))))) /\ (((forall X44 : Universe, (ndr1_0_ -> (c0_1_ X44 \/ (~(c1_1_ X44) \/ ~(c2_1_ X44))))) \/ ((forall X45 : Universe, (ndr1_0_ -> (c1_1_ X45 \/ (c3_1_ X45 \/ ~(c2_1_ X45))))) \/ hskp4_)) /\ (((forall X46 : Universe, (ndr1_0_ -> (c0_1_ X46 \/ (~(c1_1_ X46) \/ ~(c2_1_ X46))))) \/ ((forall X47 : Universe, (ndr1_0_ -> (c1_1_ X47 \/ (~(c0_1_ X47) \/ ~(c2_1_ X47))))) \/ hskp19_)) /\ (((forall X48 : Universe, (ndr1_0_ -> (c0_1_ X48 \/ (~(c1_1_ X48) \/ ~(c2_1_ X48))))) \/ (hskp26_ \/ hskp7_)) /\ (((forall X49 : Universe, (ndr1_0_ -> (c0_1_ X49 \/ (~(c1_1_ X49) \/ ~(c3_1_ X49))))) \/ ((forall X50 : Universe, (ndr1_0_ -> (c1_1_ X50 \/ (c3_1_ X50 \/ ~(c0_1_ X50))))) \/ hskp19_)) /\ (((forall X51 : Universe, (ndr1_0_ -> (c0_1_ X51 \/ (~(c1_1_ X51) \/ ~(c3_1_ X51))))) \/ ((forall X52 : Universe, (ndr1_0_ -> (c3_1_ X52 \/ (~(c1_1_ X52) \/ ~(c2_1_ X52))))) \/ hskp20_)) /\ (((forall X53 : Universe, (ndr1_0_ -> (c0_1_ X53 \/ (~(c2_1_ X53) \/ ~(c3_1_ X53))))) \/ (hskp21_ \/ hskp19_)) /\ (((forall X54 : Universe, (ndr1_0_ -> (c1_1_ X54 \/ (c2_1_ X54 \/ c3_1_ X54)))) \/ ((forall X55 : Universe, (ndr1_0_ -> (c1_1_ X55 \/ (c3_1_ X55 \/ ~(c0_1_ X55))))) \/ hskp1_)) /\ (((forall X56 : Universe, (ndr1_0_ -> (c1_1_ X56 \/ (c2_1_ X56 \/ c3_1_ X56)))) \/ (hskp22_ \/ hskp17_)) /\ (((forall X57 : Universe, (ndr1_0_ -> (c1_1_ X57 \/ (c2_1_ X57 \/ c3_1_ X57)))) \/ (hskp6_ \/ hskp15_)) /\ (((forall X58 : Universe, (ndr1_0_ -> (c1_1_ X58 \/ (c2_1_ X58 \/ ~(c0_1_ X58))))) \/ ((forall X59 : Universe, (ndr1_0_ -> (c2_1_ X59 \/ (~(c0_1_ X59) \/ ~(c3_1_ X59))))) \/ (forall X60 : Universe, (ndr1_0_ -> (c3_1_ X60 \/ (~(c1_1_ X60) \/ ~(c2_1_ X60))))))) /\ (((forall X61 : Universe, (ndr1_0_ -> (c1_1_ X61 \/ (c2_1_ X61 \/ ~(c0_1_ X61))))) \/ (hskp13_ \/ hskp12_)) /\ (((forall X62 : Universe, (ndr1_0_ -> (c1_1_ X62 \/ (c2_1_ X62 \/ ~(c3_1_ X62))))) \/ (hskp28_ \/ hskp13_)) /\ (((forall X63 : Universe, (ndr1_0_ -> (c1_1_ X63 \/ (c3_1_ X63 \/ ~(c0_1_ X63))))) \/ ((forall X64 : Universe, (ndr1_0_ -> (~(c1_1_ X64) \/ (~(c2_1_ X64) \/ ~(c3_1_ X64))))) \/ hskp7_)) /\ (((forall X65 : Universe, (ndr1_0_ -> (c1_1_ X65 \/ (c3_1_ X65 \/ ~(c0_1_ X65))))) \/ (hskp23_ \/ hskp24_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (c3_1_ X66 \/ ~(c2_1_ X66))))) \/ (hskp10_ \/ hskp25_)) /\ (((forall X67 : Universe, (ndr1_0_ -> (c1_1_ X67 \/ (c3_1_ X67 \/ ~(c2_1_ X67))))) \/ (hskp12_ \/ hskp7_)) /\ (((forall X68 : Universe, (ndr1_0_ -> (c1_1_ X68 \/ (~(c0_1_ X68) \/ ~(c2_1_ X68))))) \/ ((forall X69 : Universe, (ndr1_0_ -> (c2_1_ X69 \/ (~(c1_1_ X69) \/ ~(c3_1_ X69))))) \/ hskp19_)) /\ (((forall X70 : Universe, (ndr1_0_ -> (c1_1_ X70 \/ (~(c0_1_ X70) \/ ~(c3_1_ X70))))) \/ (hskp2_ \/ hskp4_)) /\ (((forall X71 : Universe, (ndr1_0_ -> (c1_1_ X71 \/ (~(c2_1_ X71) \/ ~(c3_1_ X71))))) \/ ((forall X72 : Universe, (ndr1_0_ -> (c2_1_ X72 \/ (c3_1_ X72 \/ ~(c1_1_ X72))))) \/ hskp4_)) /\ (((forall X73 : Universe, (ndr1_0_ -> (c1_1_ X73 \/ (~(c2_1_ X73) \/ ~(c3_1_ X73))))) \/ (hskp19_ \/ hskp7_)) /\ (((forall X74 : Universe, (ndr1_0_ -> (c2_1_ X74 \/ (c3_1_ X74 \/ ~(c0_1_ X74))))) \/ (hskp11_ \/ hskp0_)) /\ (((forall X75 : Universe, (ndr1_0_ -> (c2_1_ X75 \/ (~(c0_1_ X75) \/ ~(c3_1_ X75))))) \/ ((forall X76 : Universe, (ndr1_0_ -> (~(c0_1_ X76) \/ (~(c1_1_ X76) \/ ~(c2_1_ X76))))) \/ hskp12_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (c3_1_ X77 \/ (~(c0_1_ X77) \/ ~(c1_1_ X77))))) \/ hskp10_) /\ (((forall X78 : Universe, (ndr1_0_ -> (c3_1_ X78 \/ (~(c0_1_ X78) \/ ~(c2_1_ X78))))) \/ (hskp9_ \/ hskp6_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (~(c0_1_ X79) \/ (~(c1_1_ X79) \/ ~(c3_1_ X79))))) \/ ((forall X80 : Universe, (ndr1_0_ -> (~(c1_1_ X80) \/ (~(c2_1_ X80) \/ ~(c3_1_ X80))))) \/ hskp21_)) /\ (((forall X81 : Universe, (ndr1_0_ -> (~(c0_1_ X81) \/ (~(c1_1_ X81) \/ ~(c3_1_ X81))))) \/ (hskp29_ \/ hskp17_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (~(c0_1_ X82) \/ (~(c1_1_ X82) \/ ~(c3_1_ X82))))) \/ (hskp2_ \/ hskp20_)) /\ (((forall X83 : Universe, (ndr1_0_ -> (~(c1_1_ X83) \/ (~(c2_1_ X83) \/ ~(c3_1_ X83))))) \/ (hskp19_ \/ hskp5_)) /\ ((hskp26_ \/ (hskp19_ \/ hskp18_)) /\ ((hskp27_ \/ (hskp24_ \/ hskp18_)) /\ ((hskp20_ \/ (hskp16_ \/ hskp28_)) /\ ((hskp16_ \/ (hskp6_ \/ hskp17_)) /\ (hskp10_ \/ (hskp21_ \/ hskp5_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
