(*
% File     : SYN464+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=093
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-093.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.50 v2.5.0, 0.67 v2.2.1, 1.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  803 (   0 equality)
%            Maximal formula depth :  138 ( 138 average)
%            Number of connectives : 1134 ( 332 ~  ; 372  |; 339  &)
%                                         (   0 <=>;  91 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   75 (  71 propositional; 0-1 arity)
%            Number of functors    :   70 (  70 constant; 0-0 arity)
%            Number of variables   :   91 (   0 singleton;  91 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp69_ : Prop.
Variable hskp68_ : Prop.
Variable hskp67_ : Prop.
Variable hskp66_ : Prop.
Variable hskp65_ : Prop.
Variable hskp64_ : Prop.
Variable hskp63_ : Prop.
Variable hskp62_ : Prop.
Variable hskp61_ : Prop.
Variable hskp60_ : Prop.
Variable hskp6_ : Prop.
Variable hskp59_ : Prop.
Variable hskp58_ : Prop.
Variable hskp57_ : Prop.
Variable hskp56_ : Prop.
Variable hskp55_ : Prop.
Variable hskp54_ : Prop.
Variable hskp53_ : Prop.
Variable hskp52_ : Prop.
Variable hskp51_ : Prop.
Variable hskp50_ : Prop.
Variable hskp5_ : Prop.
Variable hskp49_ : Prop.
Variable hskp48_ : Prop.
Variable hskp47_ : Prop.
Variable hskp46_ : Prop.
Variable hskp45_ : Prop.
Variable hskp44_ : Prop.
Variable hskp43_ : Prop.
Variable hskp42_ : Prop.
Variable hskp41_ : Prop.
Variable hskp40_ : Prop.
Variable hskp4_ : Prop.
Variable hskp39_ : Prop.
Variable hskp38_ : Prop.
Variable hskp37_ : Prop.
Variable hskp36_ : Prop.
Variable hskp35_ : Prop.
Variable hskp34_ : Prop.
Variable hskp33_ : Prop.
Variable hskp32_ : Prop.
Variable hskp31_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a2515_ : Universe.
Variable a2514_ : Universe.
Variable a2513_ : Universe.
Variable a2511_ : Universe.
Variable a2510_ : Universe.
Variable a2509_ : Universe.
Variable a2506_ : Universe.
Variable a2505_ : Universe.
Variable a2503_ : Universe.
Variable a2502_ : Universe.
Variable a2501_ : Universe.
Variable a2499_ : Universe.
Variable a2498_ : Universe.
Variable a2497_ : Universe.
Variable a2495_ : Universe.
Variable a2494_ : Universe.
Variable a2493_ : Universe.
Variable a2492_ : Universe.
Variable a2491_ : Universe.
Variable a2489_ : Universe.
Variable a2487_ : Universe.
Variable a2486_ : Universe.
Variable a2485_ : Universe.
Variable a2483_ : Universe.
Variable a2482_ : Universe.
Variable a2479_ : Universe.
Variable a2478_ : Universe.
Variable a2476_ : Universe.
Variable a2475_ : Universe.
Variable a2473_ : Universe.
Variable a2472_ : Universe.
Variable a2471_ : Universe.
Variable a2469_ : Universe.
Variable a2468_ : Universe.
Variable a2466_ : Universe.
Variable a2464_ : Universe.
Variable a2463_ : Universe.
Variable a2462_ : Universe.
Variable a2461_ : Universe.
Variable a2460_ : Universe.
Variable a2459_ : Universe.
Variable a2458_ : Universe.
Variable a2457_ : Universe.
Variable a2456_ : Universe.
Variable a2455_ : Universe.
Variable a2454_ : Universe.
Variable a2453_ : Universe.
Variable a2452_ : Universe.
Variable a2451_ : Universe.
Variable a2448_ : Universe.
Variable a2447_ : Universe.
Variable a2446_ : Universe.
Variable a2445_ : Universe.
Variable a2444_ : Universe.
Variable a2443_ : Universe.
Variable a2442_ : Universe.
Variable a2441_ : Universe.
Variable a2440_ : Universe.
Variable a2439_ : Universe.
Variable a2438_ : Universe.
Variable a2437_ : Universe.
Variable a2436_ : Universe.
Variable a2435_ : Universe.
Variable a2434_ : Universe.
Variable a2433_ : Universe.
Variable a2432_ : Universe.
Variable a2431_ : Universe.
Variable a2430_ : Universe.
Variable a2429_ : Universe.
Variable a2428_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c2_1_ a2428_ /\ (~(c1_1_ a2428_) /\ ~(c0_1_ a2428_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (~(c1_1_ a2430_) /\ (c2_1_ a2430_ /\ ~(c3_1_ a2430_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c2_1_ a2435_ /\ (c3_1_ a2435_ /\ ~(c1_1_ a2435_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c1_1_ a2438_ /\ (~(c3_1_ a2438_) /\ ~(c0_1_ a2438_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c0_1_ a2440_ /\ (~(c3_1_ a2440_) /\ ~(c2_1_ a2440_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (~(c2_1_ a2441_) /\ (c0_1_ a2441_ /\ ~(c3_1_ a2441_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c0_1_ a2442_ /\ (~(c1_1_ a2442_) /\ ~(c2_1_ a2442_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (~(c2_1_ a2443_) /\ (~(c0_1_ a2443_) /\ ~(c3_1_ a2443_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c3_1_ a2445_ /\ (~(c0_1_ a2445_) /\ ~(c1_1_ a2445_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (~(c0_1_ a2446_) /\ (~(c3_1_ a2446_) /\ ~(c1_1_ a2446_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c3_1_ a2448_ /\ (c1_1_ a2448_ /\ ~(c2_1_ a2448_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (~(c2_1_ a2453_) /\ (~(c1_1_ a2453_) /\ ~(c0_1_ a2453_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (~(c0_1_ a2454_) /\ (~(c1_1_ a2454_) /\ ~(c3_1_ a2454_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c3_1_ a2458_ /\ (c1_1_ a2458_ /\ ~(c0_1_ a2458_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c2_1_ a2462_ /\ (c3_1_ a2462_ /\ ~(c0_1_ a2462_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c1_1_ a2464_ /\ (~(c0_1_ a2464_) /\ ~(c2_1_ a2464_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (~(c0_1_ a2466_) /\ (~(c2_1_ a2466_) /\ ~(c3_1_ a2466_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (~(c1_1_ a2469_) /\ (~(c0_1_ a2469_) /\ ~(c2_1_ a2469_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c3_1_ a2472_ /\ (c2_1_ a2472_ /\ ~(c0_1_ a2472_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (~(c3_1_ a2473_) /\ (c2_1_ a2473_ /\ ~(c1_1_ a2473_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (~(c3_1_ a2478_) /\ (~(c0_1_ a2478_) /\ ~(c2_1_ a2478_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (~(c0_1_ a2482_) /\ (~(c2_1_ a2482_) /\ ~(c1_1_ a2482_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (~(c2_1_ a2483_) /\ (c3_1_ a2483_ /\ ~(c1_1_ a2483_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (~(c0_1_ a2485_) /\ (c2_1_ a2485_ /\ ~(c1_1_ a2485_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c2_1_ a2486_ /\ (~(c0_1_ a2486_) /\ ~(c1_1_ a2486_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (~(c3_1_ a2489_) /\ (c0_1_ a2489_ /\ ~(c2_1_ a2489_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (~(c0_1_ a2492_) /\ (c2_1_ a2492_ /\ ~(c3_1_ a2492_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (~(c3_1_ a2495_) /\ (~(c2_1_ a2495_) /\ ~(c0_1_ a2495_))))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (~(c1_1_ a2497_) /\ (c3_1_ a2497_ /\ ~(c2_1_ a2497_))))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a2501_ /\ (c2_1_ a2501_ /\ ~(c1_1_ a2501_))))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (~(c0_1_ a2506_) /\ (~(c3_1_ a2506_) /\ ~(c2_1_ a2506_))))) /\ ((~(hskp31_) \/ (ndr1_0_ /\ (c1_1_ a2510_ /\ (~(c3_1_ a2510_) /\ ~(c2_1_ a2510_))))) /\ ((~(hskp32_) \/ (ndr1_0_ /\ (~(c3_1_ a2511_) /\ (c1_1_ a2511_ /\ ~(c0_1_ a2511_))))) /\ ((~(hskp33_) \/ (ndr1_0_ /\ (c3_1_ a2513_ /\ (c0_1_ a2513_ /\ ~(c2_1_ a2513_))))) /\ ((~(hskp34_) \/ (ndr1_0_ /\ (~(c1_1_ a2514_) /\ (~(c3_1_ a2514_) /\ ~(c2_1_ a2514_))))) /\ ((~(hskp35_) \/ (ndr1_0_ /\ (c0_1_ a2515_ /\ (~(c2_1_ a2515_) /\ ~(c1_1_ a2515_))))) /\ ((~(hskp36_) \/ (ndr1_0_ /\ (~(c3_1_ a2429_) /\ (~(c0_1_ a2429_) /\ c1_1_ a2429_)))) /\ ((~(hskp37_) \/ (ndr1_0_ /\ (~(c0_1_ a2431_) /\ (~(c1_1_ a2431_) /\ c2_1_ a2431_)))) /\ ((~(hskp38_) \/ (ndr1_0_ /\ (c3_1_ a2432_ /\ (~(c1_1_ a2432_) /\ c2_1_ a2432_)))) /\ ((~(hskp39_) \/ (ndr1_0_ /\ (c2_1_ a2433_ /\ (~(c1_1_ a2433_) /\ c0_1_ a2433_)))) /\ ((~(hskp40_) \/ (ndr1_0_ /\ (c0_1_ a2434_ /\ (c2_1_ a2434_ /\ c1_1_ a2434_)))) /\ ((~(hskp41_) \/ (ndr1_0_ /\ (c2_1_ a2436_ /\ (c0_1_ a2436_ /\ c1_1_ a2436_)))) /\ ((~(hskp42_) \/ (ndr1_0_ /\ (~(c2_1_ a2437_) /\ (c0_1_ a2437_ /\ c1_1_ a2437_)))) /\ ((~(hskp43_) \/ (ndr1_0_ /\ (c2_1_ a2439_ /\ (c3_1_ a2439_ /\ c1_1_ a2439_)))) /\ ((~(hskp44_) \/ (ndr1_0_ /\ (~(c2_1_ a2444_) /\ (c1_1_ a2444_ /\ c0_1_ a2444_)))) /\ ((~(hskp45_) \/ (ndr1_0_ /\ (~(c0_1_ a2447_) /\ (~(c2_1_ a2447_) /\ c1_1_ a2447_)))) /\ ((~(hskp46_) \/ (ndr1_0_ /\ (c3_1_ a2451_ /\ (c0_1_ a2451_ /\ c1_1_ a2451_)))) /\ ((~(hskp47_) \/ (ndr1_0_ /\ (~(c2_1_ a2452_) /\ (~(c1_1_ a2452_) /\ c0_1_ a2452_)))) /\ ((~(hskp48_) \/ (ndr1_0_ /\ (c3_1_ a2455_ /\ (c2_1_ a2455_ /\ c0_1_ a2455_)))) /\ ((~(hskp49_) \/ (ndr1_0_ /\ (~(c1_1_ a2456_) /\ (~(c2_1_ a2456_) /\ c3_1_ a2456_)))) /\ ((~(hskp50_) \/ (ndr1_0_ /\ (~(c1_1_ a2457_) /\ (c3_1_ a2457_ /\ c2_1_ a2457_)))) /\ ((~(hskp51_) \/ (ndr1_0_ /\ (~(c0_1_ a2459_) /\ (c3_1_ a2459_ /\ c1_1_ a2459_)))) /\ ((~(hskp52_) \/ (ndr1_0_ /\ (c0_1_ a2460_ /\ (~(c3_1_ a2460_) /\ c2_1_ a2460_)))) /\ ((~(hskp53_) \/ (ndr1_0_ /\ (c1_1_ a2461_ /\ (~(c0_1_ a2461_) /\ c3_1_ a2461_)))) /\ ((~(hskp54_) \/ (ndr1_0_ /\ (~(c3_1_ a2463_) /\ (~(c2_1_ a2463_) /\ c1_1_ a2463_)))) /\ ((~(hskp55_) \/ (ndr1_0_ /\ (~(c1_1_ a2468_) /\ (c0_1_ a2468_ /\ c3_1_ a2468_)))) /\ ((~(hskp56_) \/ (ndr1_0_ /\ (~(c3_1_ a2471_) /\ (c0_1_ a2471_ /\ c2_1_ a2471_)))) /\ ((~(hskp57_) \/ (ndr1_0_ /\ (c3_1_ a2475_ /\ (c2_1_ a2475_ /\ c1_1_ a2475_)))) /\ ((~(hskp58_) \/ (ndr1_0_ /\ (~(c0_1_ a2476_) /\ (~(c2_1_ a2476_) /\ c3_1_ a2476_)))) /\ ((~(hskp59_) \/ (ndr1_0_ /\ (c0_1_ a2479_ /\ (~(c1_1_ a2479_) /\ c2_1_ a2479_)))) /\ ((~(hskp60_) \/ (ndr1_0_ /\ (~(c1_1_ a2487_) /\ (~(c3_1_ a2487_) /\ c0_1_ a2487_)))) /\ ((~(hskp61_) \/ (ndr1_0_ /\ (~(c2_1_ a2491_) /\ (~(c3_1_ a2491_) /\ c1_1_ a2491_)))) /\ ((~(hskp62_) \/ (ndr1_0_ /\ (c3_1_ a2493_ /\ (c0_1_ a2493_ /\ c2_1_ a2493_)))) /\ ((~(hskp63_) \/ (ndr1_0_ /\ (~(c0_1_ a2494_) /\ (c2_1_ a2494_ /\ c1_1_ a2494_)))) /\ ((~(hskp64_) \/ (ndr1_0_ /\ (c1_1_ a2498_ /\ (~(c3_1_ a2498_) /\ c2_1_ a2498_)))) /\ ((~(hskp65_) \/ (ndr1_0_ /\ (~(c1_1_ a2499_) /\ (~(c2_1_ a2499_) /\ c0_1_ a2499_)))) /\ ((~(hskp66_) \/ (ndr1_0_ /\ (~(c2_1_ a2502_) /\ (~(c0_1_ a2502_) /\ c3_1_ a2502_)))) /\ ((~(hskp67_) \/ (ndr1_0_ /\ (c0_1_ a2503_ /\ (c2_1_ a2503_ /\ c3_1_ a2503_)))) /\ ((~(hskp68_) \/ (ndr1_0_ /\ (c0_1_ a2505_ /\ (~(c3_1_ a2505_) /\ c1_1_ a2505_)))) /\ ((~(hskp69_) \/ (ndr1_0_ /\ (~(c3_1_ a2509_) /\ (~(c1_1_ a2509_) /\ c2_1_ a2509_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c3_1_ U \/ (~(c2_1_ U) \/ c1_1_ U)))) \/ (hskp0_ \/ hskp36_)) /\ ((hskp1_ \/ ((forall V : Universe, (ndr1_0_ -> (~(c2_1_ V) \/ (~(c0_1_ V) \/ c3_1_ V)))) \/ (forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (~(c3_1_ W) \/ ~(c1_1_ W))))))) /\ (((forall X : Universe, (ndr1_0_ -> (~(c2_1_ X) \/ (c3_1_ X \/ c1_1_ X)))) \/ (hskp37_ \/ hskp38_)) /\ ((hskp39_ \/ ((forall Y : Universe, (ndr1_0_ -> (c0_1_ Y \/ (~(c2_1_ Y) \/ ~(c1_1_ Y))))) \/ (forall Z : Universe, (ndr1_0_ -> (~(c2_1_ Z) \/ (c3_1_ Z \/ ~(c1_1_ Z))))))) /\ ((hskp40_ \/ (hskp2_ \/ (forall X1 : Universe, (ndr1_0_ -> (~(c3_1_ X1) \/ (~(c0_1_ X1) \/ ~(c1_1_ X1))))))) /\ (((forall X2 : Universe, (ndr1_0_ -> (~(c0_1_ X2) \/ (~(c2_1_ X2) \/ ~(c3_1_ X2))))) \/ (hskp41_ \/ (forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (~(c1_1_ X3) \/ ~(c3_1_ X3))))))) /\ ((hskp42_ \/ (hskp3_ \/ (forall X4 : Universe, (ndr1_0_ -> (~(c3_1_ X4) \/ (~(c0_1_ X4) \/ ~(c1_1_ X4))))))) /\ (((forall X5 : Universe, (ndr1_0_ -> (c3_1_ X5 \/ (~(c1_1_ X5) \/ c0_1_ X5)))) \/ (hskp43_ \/ hskp4_)) /\ (((forall X6 : Universe, (ndr1_0_ -> (~(c2_1_ X6) \/ (~(c0_1_ X6) \/ ~(c3_1_ X6))))) \/ ((forall X7 : Universe, (ndr1_0_ -> (~(c3_1_ X7) \/ (~(c1_1_ X7) \/ ~(c2_1_ X7))))) \/ hskp5_)) /\ ((hskp6_ \/ ((forall X8 : Universe, (ndr1_0_ -> (c2_1_ X8 \/ (c1_1_ X8 \/ c3_1_ X8)))) \/ (forall X9 : Universe, (ndr1_0_ -> (~(c2_1_ X9) \/ (~(c0_1_ X9) \/ ~(c1_1_ X9))))))) /\ ((hskp7_ \/ (hskp44_ \/ hskp8_)) /\ (((forall X10 : Universe, (ndr1_0_ -> (c3_1_ X10 \/ (c0_1_ X10 \/ c2_1_ X10)))) \/ (hskp9_ \/ hskp45_)) /\ ((hskp10_ \/ (hskp0_ \/ hskp41_)) /\ (((forall X11 : Universe, (ndr1_0_ -> (~(c1_1_ X11) \/ (~(c0_1_ X11) \/ ~(c3_1_ X11))))) \/ (hskp46_ \/ (forall X12 : Universe, (ndr1_0_ -> (c1_1_ X12 \/ (c0_1_ X12 \/ c2_1_ X12)))))) /\ ((hskp47_ \/ ((forall X13 : Universe, (ndr1_0_ -> (c3_1_ X13 \/ (~(c0_1_ X13) \/ c2_1_ X13)))) \/ (forall X14 : Universe, (ndr1_0_ -> (~(c1_1_ X14) \/ (~(c3_1_ X14) \/ ~(c2_1_ X14))))))) /\ ((hskp11_ \/ ((forall X15 : Universe, (ndr1_0_ -> (~(c0_1_ X15) \/ (c3_1_ X15 \/ ~(c1_1_ X15))))) \/ hskp12_)) /\ (((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (~(c2_1_ X16) \/ ~(c1_1_ X16))))) \/ ((forall X17 : Universe, (ndr1_0_ -> (~(c3_1_ X17) \/ (~(c0_1_ X17) \/ c2_1_ X17)))) \/ (forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (~(c3_1_ X18) \/ c1_1_ X18)))))) /\ ((hskp48_ \/ (hskp49_ \/ hskp50_)) /\ (((forall X19 : Universe, (ndr1_0_ -> (~(c0_1_ X19) \/ (~(c3_1_ X19) \/ c1_1_ X19)))) \/ (hskp13_ \/ (forall X20 : Universe, (ndr1_0_ -> (~(c2_1_ X20) \/ (~(c0_1_ X20) \/ ~(c3_1_ X20))))))) /\ (((forall X21 : Universe, (ndr1_0_ -> (~(c1_1_ X21) \/ (c0_1_ X21 \/ c3_1_ X21)))) \/ ((forall X22 : Universe, (ndr1_0_ -> (c3_1_ X22 \/ (c1_1_ X22 \/ c0_1_ X22)))) \/ (forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c3_1_ X23 \/ c2_1_ X23)))))) /\ ((hskp51_ \/ ((forall X24 : Universe, (ndr1_0_ -> (~(c1_1_ X24) \/ (c0_1_ X24 \/ c3_1_ X24)))) \/ hskp52_)) /\ ((hskp53_ \/ (hskp14_ \/ hskp54_)) /\ (((forall X25 : Universe, (ndr1_0_ -> (c3_1_ X25 \/ (c1_1_ X25 \/ ~(c0_1_ X25))))) \/ ((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c2_1_ X26 \/ c3_1_ X26)))) \/ (forall X27 : Universe, (ndr1_0_ -> (c2_1_ X27 \/ (c0_1_ X27 \/ ~(c1_1_ X27))))))) /\ ((hskp15_ \/ ((forall X28 : Universe, (ndr1_0_ -> (~(c1_1_ X28) \/ (~(c2_1_ X28) \/ c3_1_ X28)))) \/ (forall X29 : Universe, (ndr1_0_ -> (c1_1_ X29 \/ (~(c3_1_ X29) \/ ~(c0_1_ X29))))))) /\ (((forall X30 : Universe, (ndr1_0_ -> (~(c1_1_ X30) \/ (c3_1_ X30 \/ ~(c2_1_ X30))))) \/ ((forall X31 : Universe, (ndr1_0_ -> (~(c1_1_ X31) \/ (~(c0_1_ X31) \/ c3_1_ X31)))) \/ hskp36_)) /\ (((forall X32 : Universe, (ndr1_0_ -> (c1_1_ X32 \/ (c2_1_ X32 \/ ~(c0_1_ X32))))) \/ (hskp16_ \/ (forall X33 : Universe, (ndr1_0_ -> (c0_1_ X33 \/ (c2_1_ X33 \/ ~(c3_1_ X33))))))) /\ (((forall X34 : Universe, (ndr1_0_ -> (c1_1_ X34 \/ (~(c2_1_ X34) \/ ~(c3_1_ X34))))) \/ (hskp8_ \/ hskp55_)) /\ ((hskp17_ \/ (hskp38_ \/ hskp56_)) /\ ((hskp18_ \/ ((forall X35 : Universe, (ndr1_0_ -> (c2_1_ X35 \/ (c1_1_ X35 \/ ~(c3_1_ X35))))) \/ hskp19_)) /\ (((forall X36 : Universe, (ndr1_0_ -> (~(c2_1_ X36) \/ (~(c3_1_ X36) \/ ~(c0_1_ X36))))) \/ (hskp12_ \/ hskp57_)) /\ (((forall X37 : Universe, (ndr1_0_ -> (c2_1_ X37 \/ (c1_1_ X37 \/ ~(c0_1_ X37))))) \/ ((forall X38 : Universe, (ndr1_0_ -> (c3_1_ X38 \/ (c2_1_ X38 \/ c1_1_ X38)))) \/ (forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (~(c3_1_ X39) \/ c1_1_ X39)))))) /\ (((forall X40 : Universe, (ndr1_0_ -> (~(c1_1_ X40) \/ (~(c0_1_ X40) \/ c2_1_ X40)))) \/ ((forall X41 : Universe, (ndr1_0_ -> (~(c3_1_ X41) \/ (c1_1_ X41 \/ ~(c0_1_ X41))))) \/ (forall X42 : Universe, (ndr1_0_ -> (~(c2_1_ X42) \/ (~(c1_1_ X42) \/ c3_1_ X42)))))) /\ ((hskp58_ \/ ((forall X43 : Universe, (ndr1_0_ -> (~(c1_1_ X43) \/ (c2_1_ X43 \/ ~(c3_1_ X43))))) \/ hskp7_)) /\ (((forall X44 : Universe, (ndr1_0_ -> (c2_1_ X44 \/ (c1_1_ X44 \/ ~(c0_1_ X44))))) \/ ((forall X45 : Universe, (ndr1_0_ -> (c3_1_ X45 \/ (c0_1_ X45 \/ ~(c2_1_ X45))))) \/ (forall X46 : Universe, (ndr1_0_ -> (c3_1_ X46 \/ (~(c2_1_ X46) \/ c1_1_ X46)))))) /\ ((hskp20_ \/ ((forall X47 : Universe, (ndr1_0_ -> (c2_1_ X47 \/ (c1_1_ X47 \/ ~(c3_1_ X47))))) \/ (forall X48 : Universe, (ndr1_0_ -> (~(c2_1_ X48) \/ (~(c1_1_ X48) \/ c3_1_ X48)))))) /\ ((hskp59_ \/ ((forall X49 : Universe, (ndr1_0_ -> (~(c1_1_ X49) \/ (~(c0_1_ X49) \/ ~(c2_1_ X49))))) \/ hskp38_)) /\ ((hskp13_ \/ ((forall X50 : Universe, (ndr1_0_ -> (c3_1_ X50 \/ (c2_1_ X50 \/ c1_1_ X50)))) \/ (forall X51 : Universe, (ndr1_0_ -> (~(c0_1_ X51) \/ (~(c1_1_ X51) \/ c2_1_ X51)))))) /\ (((forall X52 : Universe, (ndr1_0_ -> (~(c0_1_ X52) \/ (c1_1_ X52 \/ ~(c2_1_ X52))))) \/ (hskp21_ \/ (forall X53 : Universe, (ndr1_0_ -> (c2_1_ X53 \/ (c1_1_ X53 \/ ~(c0_1_ X53))))))) /\ (((forall X54 : Universe, (ndr1_0_ -> (~(c1_1_ X54) \/ (~(c0_1_ X54) \/ ~(c3_1_ X54))))) \/ ((forall X55 : Universe, (ndr1_0_ -> (c0_1_ X55 \/ (c3_1_ X55 \/ ~(c2_1_ X55))))) \/ (forall X56 : Universe, (ndr1_0_ -> (~(c2_1_ X56) \/ (~(c1_1_ X56) \/ ~(c0_1_ X56))))))) /\ (((forall X57 : Universe, (ndr1_0_ -> (~(c1_1_ X57) \/ (~(c0_1_ X57) \/ c3_1_ X57)))) \/ ((forall X58 : Universe, (ndr1_0_ -> (c1_1_ X58 \/ (c0_1_ X58 \/ ~(c3_1_ X58))))) \/ hskp22_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c0_1_ X59 \/ (c1_1_ X59 \/ c2_1_ X59)))) \/ (hskp57_ \/ hskp23_)) /\ ((hskp24_ \/ ((forall X60 : Universe, (ndr1_0_ -> (~(c0_1_ X60) \/ (c2_1_ X60 \/ c3_1_ X60)))) \/ hskp60_)) /\ ((hskp54_ \/ (hskp25_ \/ (forall X61 : Universe, (ndr1_0_ -> (~(c3_1_ X61) \/ (~(c0_1_ X61) \/ ~(c2_1_ X61))))))) /\ (((forall X62 : Universe, (ndr1_0_ -> (~(c0_1_ X62) \/ (~(c1_1_ X62) \/ ~(c2_1_ X62))))) \/ ((forall X63 : Universe, (ndr1_0_ -> (~(c2_1_ X63) \/ (c1_1_ X63 \/ ~(c0_1_ X63))))) \/ hskp54_)) /\ (((forall X64 : Universe, (ndr1_0_ -> (~(c0_1_ X64) \/ (c3_1_ X64 \/ ~(c1_1_ X64))))) \/ ((forall X65 : Universe, (ndr1_0_ -> (~(c2_1_ X65) \/ (c0_1_ X65 \/ ~(c3_1_ X65))))) \/ hskp61_)) /\ ((hskp26_ \/ ((forall X66 : Universe, (ndr1_0_ -> (c2_1_ X66 \/ (c1_1_ X66 \/ ~(c3_1_ X66))))) \/ hskp62_)) /\ ((hskp63_ \/ (hskp27_ \/ (forall X67 : Universe, (ndr1_0_ -> (c3_1_ X67 \/ (c1_1_ X67 \/ ~(c2_1_ X67))))))) /\ ((hskp39_ \/ (hskp28_ \/ hskp64_)) /\ ((hskp65_ \/ (hskp52_ \/ hskp29_)) /\ ((hskp66_ \/ ((forall X68 : Universe, (ndr1_0_ -> (c2_1_ X68 \/ (~(c1_1_ X68) \/ ~(c0_1_ X68))))) \/ (forall X69 : Universe, (ndr1_0_ -> (~(c2_1_ X69) \/ (~(c1_1_ X69) \/ c3_1_ X69)))))) /\ (((forall X70 : Universe, (ndr1_0_ -> (c1_1_ X70 \/ (~(c3_1_ X70) \/ c2_1_ X70)))) \/ ((forall X71 : Universe, (ndr1_0_ -> (~(c1_1_ X71) \/ (c3_1_ X71 \/ c2_1_ X71)))) \/ hskp67_)) /\ (((forall X72 : Universe, (ndr1_0_ -> (c0_1_ X72 \/ (c3_1_ X72 \/ c1_1_ X72)))) \/ ((forall X73 : Universe, (ndr1_0_ -> (~(c0_1_ X73) \/ (~(c3_1_ X73) \/ c1_1_ X73)))) \/ hskp21_)) /\ ((hskp68_ \/ (hskp30_ \/ (forall X74 : Universe, (ndr1_0_ -> (c0_1_ X74 \/ (c3_1_ X74 \/ ~(c2_1_ X74))))))) /\ (((forall X75 : Universe, (ndr1_0_ -> (c3_1_ X75 \/ (c1_1_ X75 \/ c0_1_ X75)))) \/ ((forall X76 : Universe, (ndr1_0_ -> (~(c2_1_ X76) \/ (c3_1_ X76 \/ ~(c0_1_ X76))))) \/ hskp52_)) /\ ((hskp27_ \/ (hskp69_ \/ (forall X77 : Universe, (ndr1_0_ -> (~(c1_1_ X77) \/ (c2_1_ X77 \/ c0_1_ X77)))))) /\ (((forall X78 : Universe, (ndr1_0_ -> (~(c1_1_ X78) \/ (~(c2_1_ X78) \/ ~(c0_1_ X78))))) \/ (hskp31_ \/ hskp32_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (c1_1_ X79 \/ (c3_1_ X79 \/ ~(c2_1_ X79))))) \/ (hskp59_ \/ hskp33_)) /\ ((hskp34_ \/ ((forall X80 : Universe, (ndr1_0_ -> (~(c3_1_ X80) \/ (~(c1_1_ X80) \/ c0_1_ X80)))) \/ hskp35_)) /\ (((forall X81 : Universe, (ndr1_0_ -> (~(c1_1_ X81) \/ (c3_1_ X81 \/ c0_1_ X81)))) \/ ((forall X82 : Universe, (ndr1_0_ -> (~(c2_1_ X82) \/ (c1_1_ X82 \/ ~(c3_1_ X82))))) \/ hskp46_)) /\ ((forall X83 : Universe, (ndr1_0_ -> (~(c1_1_ X83) \/ (~(c0_1_ X83) \/ c2_1_ X83)))) \/ ((forall X84 : Universe, (ndr1_0_ -> (~(c3_1_ X84) \/ (~(c2_1_ X84) \/ ~(c1_1_ X84))))) \/ (forall X85 : Universe, (ndr1_0_ -> (~(c2_1_ X85) \/ (~(c3_1_ X85) \/ c1_1_ X85)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
