(*
% File     : SYN466+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=68, K=3, D=1, P=0, Index=017
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-68-3-1-017.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.5.0, 0.67 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  673 (   0 equality)
%            Maximal formula depth :  103 ( 103 average)
%            Number of connectives :  915 ( 243 ~  ; 373  |; 195  &)
%                                         (   0 <=>; 104 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   37 (  33 propositional; 0-1 arity)
%            Number of functors    :   32 (  32 constant; 0-0 arity)
%            Number of variables   :  104 (   0 singleton; 104 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp31_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a196_ : Universe.
Variable a187_ : Universe.
Variable a167_ : Universe.
Variable a163_ : Universe.
Variable a153_ : Universe.
Variable a145_ : Universe.
Variable a143_ : Universe.
Variable a141_ : Universe.
Variable a139_ : Universe.
Variable a135_ : Universe.
Variable a134_ : Universe.
Variable a132_ : Universe.
Variable a131_ : Universe.
Variable a128_ : Universe.
Variable a126_ : Universe.
Variable a118_ : Universe.
Variable a117_ : Universe.
Variable a116_ : Universe.
Variable a114_ : Universe.
Variable a113_ : Universe.
Variable a112_ : Universe.
Variable a111_ : Universe.
Variable a110_ : Universe.
Variable a109_ : Universe.
Variable a108_ : Universe.
Variable a107_ : Universe.
Variable a106_ : Universe.
Variable a105_ : Universe.
Variable a104_ : Universe.
Variable a103_ : Universe.
Variable a102_ : Universe.
Variable a101_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c2_1_ a101_ /\ (c3_1_ a101_ /\ ~(c0_1_ a101_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c2_1_ a102_ /\ (~(c0_1_ a102_) /\ ~(c1_1_ a102_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c0_1_ a103_ /\ (c1_1_ a103_ /\ ~(c3_1_ a103_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c0_1_ a104_ /\ (c2_1_ a104_ /\ ~(c1_1_ a104_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c2_1_ a105_ /\ (c3_1_ a105_ /\ ~(c1_1_ a105_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c0_1_ a106_ /\ (c1_1_ a106_ /\ ~(c2_1_ a106_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c1_1_ a107_ /\ (c2_1_ a107_ /\ ~(c0_1_ a107_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c1_1_ a108_ /\ (c3_1_ a108_ /\ ~(c0_1_ a108_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c1_1_ a109_ /\ (~(c0_1_ a109_) /\ ~(c3_1_ a109_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c2_1_ a110_ /\ (~(c1_1_ a110_) /\ ~(c3_1_ a110_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (~(c0_1_ a111_) /\ (~(c2_1_ a111_) /\ ~(c3_1_ a111_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c1_1_ a112_ /\ (~(c2_1_ a112_) /\ ~(c3_1_ a112_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c3_1_ a113_ /\ (~(c0_1_ a113_) /\ ~(c2_1_ a113_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c1_1_ a114_ /\ (c2_1_ a114_ /\ ~(c3_1_ a114_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c0_1_ a116_ /\ (c2_1_ a116_ /\ ~(c3_1_ a116_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c0_1_ a117_ /\ (c3_1_ a117_ /\ ~(c1_1_ a117_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c1_1_ a126_ /\ (c3_1_ a126_ /\ ~(c2_1_ a126_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c3_1_ a132_ /\ (~(c0_1_ a132_) /\ ~(c1_1_ a132_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c0_1_ a134_ /\ (c3_1_ a134_ /\ ~(c2_1_ a134_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c0_1_ a135_ /\ (~(c2_1_ a135_) /\ ~(c3_1_ a135_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c0_1_ a139_ /\ (~(c1_1_ a139_) /\ ~(c3_1_ a139_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c3_1_ a143_ /\ (~(c1_1_ a143_) /\ ~(c2_1_ a143_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (~(c0_1_ a145_) /\ (~(c1_1_ a145_) /\ ~(c2_1_ a145_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (~(c0_1_ a153_) /\ (~(c1_1_ a153_) /\ ~(c3_1_ a153_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (~(c1_1_ a163_) /\ (~(c2_1_ a163_) /\ ~(c3_1_ a163_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c1_1_ a167_ /\ (~(c0_1_ a167_) /\ ~(c2_1_ a167_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c0_1_ a187_ /\ (~(c1_1_ a187_) /\ ~(c2_1_ a187_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c2_1_ a196_ /\ (~(c0_1_ a196_) /\ ~(c3_1_ a196_))))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c1_1_ a118_ /\ (c2_1_ a118_ /\ c3_1_ a118_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a128_ /\ (c1_1_ a128_ /\ c2_1_ a128_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c0_1_ a131_ /\ (c2_1_ a131_ /\ c3_1_ a131_)))) /\ ((~(hskp31_) \/ (ndr1_0_ /\ (c0_1_ a141_ /\ (c1_1_ a141_ /\ c3_1_ a141_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c1_1_ V \/ ~(c2_1_ V))))) \/ (forall W : Universe, (ndr1_0_ -> (~(c1_1_ W) \/ (~(c2_1_ W) \/ ~(c3_1_ W))))))) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ c2_1_ X)))) \/ ((forall Y : Universe, (ndr1_0_ -> (c0_1_ Y \/ (c1_1_ Y \/ ~(c3_1_ Y))))) \/ hskp0_)) /\ (((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c1_1_ Z \/ c2_1_ Z)))) \/ ((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (~(c2_1_ X1) \/ ~(c3_1_ X1))))) \/ hskp1_)) /\ (((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ c2_1_ X2)))) \/ ((forall X3 : Universe, (ndr1_0_ -> (c2_1_ X3 \/ (~(c1_1_ X3) \/ ~(c3_1_ X3))))) \/ hskp2_)) /\ (((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c1_1_ X4 \/ c2_1_ X4)))) \/ (hskp3_ \/ hskp4_)) /\ (((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (c1_1_ X5 \/ c3_1_ X5)))) \/ ((forall X6 : Universe, (ndr1_0_ -> (c0_1_ X6 \/ (c3_1_ X6 \/ ~(c2_1_ X6))))) \/ (forall X7 : Universe, (ndr1_0_ -> (c3_1_ X7 \/ (~(c0_1_ X7) \/ ~(c2_1_ X7))))))) /\ (((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (c1_1_ X8 \/ c3_1_ X8)))) \/ hskp5_) /\ (((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c1_1_ X9 \/ c3_1_ X9)))) \/ (hskp6_ \/ hskp7_)) /\ (((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c1_1_ X10 \/ c3_1_ X10)))) \/ (hskp8_ \/ hskp9_)) /\ (((forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (c1_1_ X11 \/ ~(c2_1_ X11))))) \/ ((forall X12 : Universe, (ndr1_0_ -> (~(c0_1_ X12) \/ (~(c1_1_ X12) \/ ~(c3_1_ X12))))) \/ hskp10_)) /\ (((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c1_1_ X13 \/ ~(c3_1_ X13))))) \/ ((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c2_1_ X14 \/ ~(c3_1_ X14))))) \/ (forall X15 : Universe, (ndr1_0_ -> (~(c0_1_ X15) \/ (~(c1_1_ X15) \/ ~(c3_1_ X15))))))) /\ (((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (c1_1_ X16 \/ ~(c3_1_ X16))))) \/ ((forall X17 : Universe, (ndr1_0_ -> (c1_1_ X17 \/ (c2_1_ X17 \/ ~(c0_1_ X17))))) \/ (forall X18 : Universe, (ndr1_0_ -> (c2_1_ X18 \/ (~(c0_1_ X18) \/ ~(c1_1_ X18))))))) /\ (((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (c1_1_ X19 \/ ~(c3_1_ X19))))) \/ ((forall X20 : Universe, (ndr1_0_ -> (c2_1_ X20 \/ (c3_1_ X20 \/ ~(c1_1_ X20))))) \/ hskp11_)) /\ (((forall X21 : Universe, (ndr1_0_ -> (c0_1_ X21 \/ (c1_1_ X21 \/ ~(c3_1_ X21))))) \/ ((forall X22 : Universe, (ndr1_0_ -> (c3_1_ X22 \/ (~(c0_1_ X22) \/ ~(c2_1_ X22))))) \/ hskp12_)) /\ (((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c1_1_ X23 \/ ~(c3_1_ X23))))) \/ ((forall X24 : Universe, (ndr1_0_ -> (~(c0_1_ X24) \/ (~(c2_1_ X24) \/ ~(c3_1_ X24))))) \/ (forall X25 : Universe, (ndr1_0_ -> (~(c1_1_ X25) \/ (~(c2_1_ X25) \/ ~(c3_1_ X25))))))) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c2_1_ X26 \/ c3_1_ X26)))) \/ ((forall X27 : Universe, (ndr1_0_ -> (~(c0_1_ X27) \/ (~(c1_1_ X27) \/ ~(c3_1_ X27))))) \/ hskp13_)) /\ (((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (c2_1_ X28 \/ ~(c1_1_ X28))))) \/ ((forall X29 : Universe, (ndr1_0_ -> (c1_1_ X29 \/ (c2_1_ X29 \/ ~(c3_1_ X29))))) \/ hskp6_)) /\ (((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (c2_1_ X30 \/ ~(c3_1_ X30))))) \/ ((forall X31 : Universe, (ndr1_0_ -> (c1_1_ X31 \/ (~(c0_1_ X31) \/ ~(c2_1_ X31))))) \/ hskp14_)) /\ (((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (c2_1_ X32 \/ ~(c3_1_ X32))))) \/ (hskp15_ \/ hskp28_)) /\ (((forall X33 : Universe, (ndr1_0_ -> (c0_1_ X33 \/ (c3_1_ X33 \/ ~(c1_1_ X33))))) \/ ((forall X34 : Universe, (ndr1_0_ -> (c1_1_ X34 \/ (c2_1_ X34 \/ ~(c3_1_ X34))))) \/ (forall X35 : Universe, (ndr1_0_ -> (c1_1_ X35 \/ (~(c0_1_ X35) \/ ~(c3_1_ X35))))))) /\ (((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (c3_1_ X36 \/ ~(c1_1_ X36))))) \/ ((forall X37 : Universe, (ndr1_0_ -> (c2_1_ X37 \/ (c3_1_ X37 \/ ~(c0_1_ X37))))) \/ (forall X38 : Universe, (ndr1_0_ -> (c3_1_ X38 \/ (~(c1_1_ X38) \/ ~(c2_1_ X38))))))) /\ (((forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (c3_1_ X39 \/ ~(c1_1_ X39))))) \/ ((forall X40 : Universe, (ndr1_0_ -> (~(c0_1_ X40) \/ (~(c1_1_ X40) \/ ~(c3_1_ X40))))) \/ hskp8_)) /\ (((forall X41 : Universe, (ndr1_0_ -> (c0_1_ X41 \/ (c3_1_ X41 \/ ~(c1_1_ X41))))) \/ (hskp15_ \/ hskp10_)) /\ (((forall X42 : Universe, (ndr1_0_ -> (c0_1_ X42 \/ (c3_1_ X42 \/ ~(c2_1_ X42))))) \/ (hskp15_ \/ hskp0_)) /\ (((forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (~(c1_1_ X43) \/ ~(c2_1_ X43))))) \/ (hskp2_ \/ hskp7_)) /\ (((forall X44 : Universe, (ndr1_0_ -> (c0_1_ X44 \/ (~(c2_1_ X44) \/ ~(c3_1_ X44))))) \/ ((forall X45 : Universe, (ndr1_0_ -> (c1_1_ X45 \/ (c2_1_ X45 \/ c3_1_ X45)))) \/ hskp16_)) /\ (((forall X46 : Universe, (ndr1_0_ -> (c0_1_ X46 \/ (~(c2_1_ X46) \/ ~(c3_1_ X46))))) \/ ((forall X47 : Universe, (ndr1_0_ -> (c3_1_ X47 \/ (~(c0_1_ X47) \/ ~(c2_1_ X47))))) \/ hskp10_)) /\ (((forall X48 : Universe, (ndr1_0_ -> (c0_1_ X48 \/ (~(c2_1_ X48) \/ ~(c3_1_ X48))))) \/ (hskp29_ \/ hskp11_)) /\ (((forall X49 : Universe, (ndr1_0_ -> (c1_1_ X49 \/ (c2_1_ X49 \/ c3_1_ X49)))) \/ ((forall X50 : Universe, (ndr1_0_ -> (c2_1_ X50 \/ (c3_1_ X50 \/ ~(c0_1_ X50))))) \/ (forall X51 : Universe, (ndr1_0_ -> (~(c1_1_ X51) \/ (~(c2_1_ X51) \/ ~(c3_1_ X51))))))) /\ (((forall X52 : Universe, (ndr1_0_ -> (c1_1_ X52 \/ (c2_1_ X52 \/ ~(c0_1_ X52))))) \/ ((forall X53 : Universe, (ndr1_0_ -> (c1_1_ X53 \/ (c2_1_ X53 \/ ~(c3_1_ X53))))) \/ hskp16_)) /\ (((forall X54 : Universe, (ndr1_0_ -> (c1_1_ X54 \/ (c2_1_ X54 \/ ~(c0_1_ X54))))) \/ ((forall X55 : Universe, (ndr1_0_ -> (c1_1_ X55 \/ (c3_1_ X55 \/ ~(c2_1_ X55))))) \/ hskp30_)) /\ (((forall X56 : Universe, (ndr1_0_ -> (c1_1_ X56 \/ (c2_1_ X56 \/ ~(c0_1_ X56))))) \/ ((forall X57 : Universe, (ndr1_0_ -> (c2_1_ X57 \/ (~(c0_1_ X57) \/ ~(c1_1_ X57))))) \/ hskp17_)) /\ (((forall X58 : Universe, (ndr1_0_ -> (c1_1_ X58 \/ (c2_1_ X58 \/ ~(c0_1_ X58))))) \/ ((forall X59 : Universe, (ndr1_0_ -> (~(c0_1_ X59) \/ (~(c1_1_ X59) \/ ~(c2_1_ X59))))) \/ hskp7_)) /\ (((forall X60 : Universe, (ndr1_0_ -> (c1_1_ X60 \/ (c3_1_ X60 \/ ~(c0_1_ X60))))) \/ ((forall X61 : Universe, (ndr1_0_ -> (c2_1_ X61 \/ (~(c1_1_ X61) \/ ~(c3_1_ X61))))) \/ (forall X62 : Universe, (ndr1_0_ -> (~(c0_1_ X62) \/ (~(c2_1_ X62) \/ ~(c3_1_ X62))))))) /\ (((forall X63 : Universe, (ndr1_0_ -> (c1_1_ X63 \/ (c3_1_ X63 \/ ~(c0_1_ X63))))) \/ ((forall X64 : Universe, (ndr1_0_ -> (c3_1_ X64 \/ (~(c1_1_ X64) \/ ~(c2_1_ X64))))) \/ hskp18_)) /\ (((forall X65 : Universe, (ndr1_0_ -> (c1_1_ X65 \/ (c3_1_ X65 \/ ~(c2_1_ X65))))) \/ (hskp19_ \/ hskp17_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (c3_1_ X66 \/ ~(c2_1_ X66))))) \/ (hskp28_ \/ hskp17_)) /\ (((forall X67 : Universe, (ndr1_0_ -> (c1_1_ X67 \/ (~(c0_1_ X67) \/ ~(c2_1_ X67))))) \/ ((forall X68 : Universe, (ndr1_0_ -> (c1_1_ X68 \/ (~(c0_1_ X68) \/ ~(c3_1_ X68))))) \/ hskp20_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (c1_1_ X69 \/ (~(c0_1_ X69) \/ ~(c2_1_ X69))))) \/ ((forall X70 : Universe, (ndr1_0_ -> (c2_1_ X70 \/ (~(c0_1_ X70) \/ ~(c1_1_ X70))))) \/ (forall X71 : Universe, (ndr1_0_ -> (c2_1_ X71 \/ (~(c0_1_ X71) \/ ~(c3_1_ X71))))))) /\ (((forall X72 : Universe, (ndr1_0_ -> (c1_1_ X72 \/ (~(c0_1_ X72) \/ ~(c2_1_ X72))))) \/ ((forall X73 : Universe, (ndr1_0_ -> (c3_1_ X73 \/ (~(c0_1_ X73) \/ ~(c2_1_ X73))))) \/ hskp17_)) /\ (((forall X74 : Universe, (ndr1_0_ -> (c1_1_ X74 \/ (~(c0_1_ X74) \/ ~(c2_1_ X74))))) \/ ((forall X75 : Universe, (ndr1_0_ -> (~(c0_1_ X75) \/ (~(c1_1_ X75) \/ ~(c2_1_ X75))))) \/ hskp31_)) /\ (((forall X76 : Universe, (ndr1_0_ -> (c1_1_ X76 \/ (~(c0_1_ X76) \/ ~(c2_1_ X76))))) \/ (hskp29_ \/ hskp21_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (c1_1_ X77 \/ (~(c0_1_ X77) \/ ~(c3_1_ X77))))) \/ ((forall X78 : Universe, (ndr1_0_ -> (c1_1_ X78 \/ (~(c2_1_ X78) \/ ~(c3_1_ X78))))) \/ hskp17_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (c1_1_ X79 \/ (~(c0_1_ X79) \/ ~(c3_1_ X79))))) \/ ((forall X80 : Universe, (ndr1_0_ -> (c3_1_ X80 \/ (~(c0_1_ X80) \/ ~(c1_1_ X80))))) \/ hskp22_)) /\ (((forall X81 : Universe, (ndr1_0_ -> (c1_1_ X81 \/ (~(c0_1_ X81) \/ ~(c3_1_ X81))))) \/ (hskp31_ \/ hskp28_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c1_1_ X82 \/ (~(c0_1_ X82) \/ ~(c3_1_ X82))))) \/ (hskp15_ \/ hskp28_)) /\ (((forall X83 : Universe, (ndr1_0_ -> (c1_1_ X83 \/ (~(c0_1_ X83) \/ ~(c3_1_ X83))))) \/ (hskp28_ \/ hskp11_)) /\ (((forall X84 : Universe, (ndr1_0_ -> (c1_1_ X84 \/ (~(c0_1_ X84) \/ ~(c3_1_ X84))))) \/ (hskp4_ \/ hskp23_)) /\ (((forall X85 : Universe, (ndr1_0_ -> (c1_1_ X85 \/ (~(c0_1_ X85) \/ ~(c3_1_ X85))))) \/ (hskp4_ \/ hskp10_)) /\ (((forall X86 : Universe, (ndr1_0_ -> (c2_1_ X86 \/ (c3_1_ X86 \/ ~(c0_1_ X86))))) \/ (hskp19_ \/ hskp8_)) /\ (((forall X87 : Universe, (ndr1_0_ -> (c2_1_ X87 \/ (c3_1_ X87 \/ ~(c1_1_ X87))))) \/ hskp19_) /\ (((forall X88 : Universe, (ndr1_0_ -> (c2_1_ X88 \/ (~(c0_1_ X88) \/ ~(c1_1_ X88))))) \/ ((forall X89 : Universe, (ndr1_0_ -> (c3_1_ X89 \/ (~(c1_1_ X89) \/ ~(c2_1_ X89))))) \/ hskp12_)) /\ (((forall X90 : Universe, (ndr1_0_ -> (c2_1_ X90 \/ (~(c0_1_ X90) \/ ~(c1_1_ X90))))) \/ (hskp29_ \/ hskp4_)) /\ (((forall X91 : Universe, (ndr1_0_ -> (c2_1_ X91 \/ (~(c0_1_ X91) \/ ~(c1_1_ X91))))) \/ (hskp1_ \/ hskp24_)) /\ (((forall X92 : Universe, (ndr1_0_ -> (c2_1_ X92 \/ (~(c0_1_ X92) \/ ~(c3_1_ X92))))) \/ (hskp6_ \/ hskp16_)) /\ (((forall X93 : Universe, (ndr1_0_ -> (c2_1_ X93 \/ (~(c1_1_ X93) \/ ~(c3_1_ X93))))) \/ ((forall X94 : Universe, (ndr1_0_ -> (~(c0_1_ X94) \/ (~(c2_1_ X94) \/ ~(c3_1_ X94))))) \/ hskp1_)) /\ (((forall X95 : Universe, (ndr1_0_ -> (c3_1_ X95 \/ (~(c0_1_ X95) \/ ~(c1_1_ X95))))) \/ (hskp25_ \/ hskp0_)) /\ (((forall X96 : Universe, (ndr1_0_ -> (c3_1_ X96 \/ (~(c1_1_ X96) \/ ~(c2_1_ X96))))) \/ (hskp13_ \/ hskp4_)) /\ (((forall X97 : Universe, (ndr1_0_ -> (~(c0_1_ X97) \/ (~(c2_1_ X97) \/ ~(c3_1_ X97))))) \/ (hskp19_ \/ hskp11_)) /\ (((forall X98 : Universe, (ndr1_0_ -> (~(c1_1_ X98) \/ (~(c2_1_ X98) \/ ~(c3_1_ X98))))) \/ (hskp25_ \/ hskp0_)) /\ ((hskp31_ \/ (hskp30_ \/ hskp24_)) /\ ((hskp5_ \/ (hskp15_ \/ hskp13_)) /\ ((hskp5_ \/ (hskp16_ \/ hskp25_)) /\ ((hskp5_ \/ (hskp4_ \/ hskp9_)) /\ ((hskp26_ \/ (hskp7_ \/ hskp0_)) /\ ((hskp26_ \/ (hskp11_ \/ hskp4_)) /\ ((hskp25_ \/ hskp8_) /\ (hskp25_ \/ (hskp27_ \/ hskp24_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
