(*
% File     : SYN467+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=68, K=3, D=1, P=0, Index=023
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-68-3-1-023.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  680 (   0 equality)
%            Maximal formula depth :  102 ( 102 average)
%            Number of connectives :  918 ( 239 ~  ; 380  |; 191  &)
%                                         (   0 <=>; 108 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   36 (  32 propositional; 0-1 arity)
%            Number of functors    :   31 (  31 constant; 0-0 arity)
%            Number of variables   :  108 (   0 singleton; 108 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a281_ : Universe.
Variable a256_ : Universe.
Variable a249_ : Universe.
Variable a248_ : Universe.
Variable a244_ : Universe.
Variable a241_ : Universe.
Variable a239_ : Universe.
Variable a238_ : Universe.
Variable a233_ : Universe.
Variable a232_ : Universe.
Variable a231_ : Universe.
Variable a230_ : Universe.
Variable a228_ : Universe.
Variable a227_ : Universe.
Variable a219_ : Universe.
Variable a218_ : Universe.
Variable a217_ : Universe.
Variable a216_ : Universe.
Variable a214_ : Universe.
Variable a213_ : Universe.
Variable a212_ : Universe.
Variable a209_ : Universe.
Variable a208_ : Universe.
Variable a205_ : Universe.
Variable a204_ : Universe.
Variable a203_ : Universe.
Variable a202_ : Universe.
Variable a201_ : Universe.
Variable a200_ : Universe.
Variable a199_ : Universe.
Variable a198_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c3_1_ a199_ /\ (~(c0_1_ a199_) /\ ~(c1_1_ a199_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c0_1_ a200_ /\ (~(c1_1_ a200_) /\ ~(c2_1_ a200_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c2_1_ a201_ /\ (~(c0_1_ a201_) /\ ~(c1_1_ a201_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c1_1_ a203_ /\ (~(c0_1_ a203_) /\ ~(c3_1_ a203_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c1_1_ a204_ /\ (~(c0_1_ a204_) /\ ~(c2_1_ a204_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c2_1_ a205_ /\ (c3_1_ a205_ /\ ~(c1_1_ a205_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c0_1_ a208_ /\ (c1_1_ a208_ /\ ~(c2_1_ a208_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c0_1_ a209_ /\ (c1_1_ a209_ /\ ~(c3_1_ a209_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c0_1_ a212_ /\ (c3_1_ a212_ /\ ~(c1_1_ a212_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (~(c0_1_ a213_) /\ (~(c1_1_ a213_) /\ ~(c2_1_ a213_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c1_1_ a214_ /\ (~(c2_1_ a214_) /\ ~(c3_1_ a214_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (~(c0_1_ a216_) /\ (~(c1_1_ a216_) /\ ~(c3_1_ a216_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c0_1_ a217_ /\ (~(c2_1_ a217_) /\ ~(c3_1_ a217_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c1_1_ a218_ /\ (c3_1_ a218_ /\ ~(c0_1_ a218_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c2_1_ a219_ /\ (c3_1_ a219_ /\ ~(c0_1_ a219_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c0_1_ a228_ /\ (c2_1_ a228_ /\ ~(c1_1_ a228_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c2_1_ a231_ /\ (~(c1_1_ a231_) /\ ~(c3_1_ a231_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c3_1_ a232_ /\ (~(c1_1_ a232_) /\ ~(c2_1_ a232_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (~(c1_1_ a233_) /\ (~(c2_1_ a233_) /\ ~(c3_1_ a233_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c1_1_ a238_ /\ (c3_1_ a238_ /\ ~(c2_1_ a238_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c2_1_ a239_ /\ (~(c0_1_ a239_) /\ ~(c3_1_ a239_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c0_1_ a241_ /\ (~(c1_1_ a241_) /\ ~(c3_1_ a241_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c3_1_ a244_ /\ (~(c0_1_ a244_) /\ ~(c2_1_ a244_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (~(c0_1_ a248_) /\ (~(c2_1_ a248_) /\ ~(c3_1_ a248_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c0_1_ a249_ /\ (c3_1_ a249_ /\ ~(c2_1_ a249_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c1_1_ a256_ /\ (c2_1_ a256_ /\ ~(c0_1_ a256_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c1_1_ a281_ /\ (c2_1_ a281_ /\ ~(c3_1_ a281_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a198_ /\ (c1_1_ a198_ /\ c2_1_ a198_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c1_1_ a202_ /\ (c2_1_ a202_ /\ c3_1_ a202_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a227_ /\ (c1_1_ a227_ /\ c3_1_ a227_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c0_1_ a230_ /\ (c2_1_ a230_ /\ c3_1_ a230_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c1_1_ V \/ ~(c2_1_ V))))) \/ (forall W : Universe, (ndr1_0_ -> (c3_1_ W \/ (~(c0_1_ W) \/ ~(c1_1_ W))))))) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ c2_1_ X)))) \/ ((forall Y : Universe, (ndr1_0_ -> (c0_1_ Y \/ (c2_1_ Y \/ ~(c1_1_ Y))))) \/ (forall Z : Universe, (ndr1_0_ -> (~(c0_1_ Z) \/ (~(c1_1_ Z) \/ ~(c3_1_ Z))))))) /\ (((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c1_1_ X1 \/ c2_1_ X1)))) \/ (hskp27_ \/ hskp0_)) /\ (((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ c2_1_ X2)))) \/ (hskp1_ \/ hskp2_)) /\ (((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (c1_1_ X3 \/ c3_1_ X3)))) \/ ((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c2_1_ X4 \/ c3_1_ X4)))) \/ hskp28_)) /\ (((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (c1_1_ X5 \/ c3_1_ X5)))) \/ ((forall X6 : Universe, (ndr1_0_ -> (c1_1_ X6 \/ (c2_1_ X6 \/ ~(c0_1_ X6))))) \/ hskp3_)) /\ (((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (c1_1_ X7 \/ c3_1_ X7)))) \/ (hskp4_ \/ hskp5_)) /\ (((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (c1_1_ X8 \/ ~(c2_1_ X8))))) \/ ((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c3_1_ X9 \/ ~(c1_1_ X9))))) \/ (forall X10 : Universe, (ndr1_0_ -> (c2_1_ X10 \/ (~(c0_1_ X10) \/ ~(c3_1_ X10))))))) /\ (((forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (c1_1_ X11 \/ ~(c2_1_ X11))))) \/ ((forall X12 : Universe, (ndr1_0_ -> (c2_1_ X12 \/ (~(c0_1_ X12) \/ ~(c1_1_ X12))))) \/ hskp3_)) /\ (((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c1_1_ X13 \/ ~(c2_1_ X13))))) \/ ((forall X14 : Universe, (ndr1_0_ -> (c2_1_ X14 \/ (~(c1_1_ X14) \/ ~(c3_1_ X14))))) \/ hskp0_)) /\ (((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c1_1_ X15 \/ ~(c2_1_ X15))))) \/ (hskp6_ \/ hskp7_)) /\ (((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (c1_1_ X16 \/ ~(c3_1_ X16))))) \/ ((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c2_1_ X17 \/ ~(c1_1_ X17))))) \/ (forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (~(c2_1_ X18) \/ ~(c3_1_ X18))))))) /\ (((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (c1_1_ X19 \/ ~(c3_1_ X19))))) \/ ((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (c3_1_ X20 \/ ~(c1_1_ X20))))) \/ hskp4_)) /\ (((forall X21 : Universe, (ndr1_0_ -> (c0_1_ X21 \/ (c1_1_ X21 \/ ~(c3_1_ X21))))) \/ ((forall X22 : Universe, (ndr1_0_ -> (c2_1_ X22 \/ (~(c0_1_ X22) \/ ~(c1_1_ X22))))) \/ (forall X23 : Universe, (ndr1_0_ -> (c2_1_ X23 \/ (~(c1_1_ X23) \/ ~(c3_1_ X23))))))) /\ (((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (c2_1_ X24 \/ c3_1_ X24)))) \/ ((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c3_1_ X25 \/ ~(c2_1_ X25))))) \/ (forall X26 : Universe, (ndr1_0_ -> (c3_1_ X26 \/ (~(c0_1_ X26) \/ ~(c1_1_ X26))))))) /\ (((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (c2_1_ X27 \/ c3_1_ X27)))) \/ ((forall X28 : Universe, (ndr1_0_ -> (c3_1_ X28 \/ (~(c1_1_ X28) \/ ~(c2_1_ X28))))) \/ hskp0_)) /\ (((forall X29 : Universe, (ndr1_0_ -> (c0_1_ X29 \/ (c2_1_ X29 \/ c3_1_ X29)))) \/ (hskp8_ \/ hskp9_)) /\ (((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (c2_1_ X30 \/ ~(c1_1_ X30))))) \/ ((forall X31 : Universe, (ndr1_0_ -> (c2_1_ X31 \/ (c3_1_ X31 \/ ~(c0_1_ X31))))) \/ (forall X32 : Universe, (ndr1_0_ -> (~(c0_1_ X32) \/ (~(c1_1_ X32) \/ ~(c2_1_ X32))))))) /\ (((forall X33 : Universe, (ndr1_0_ -> (c0_1_ X33 \/ (c2_1_ X33 \/ ~(c3_1_ X33))))) \/ ((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (~(c1_1_ X34) \/ ~(c2_1_ X34))))) \/ (forall X35 : Universe, (ndr1_0_ -> (c1_1_ X35 \/ (c3_1_ X35 \/ ~(c2_1_ X35))))))) /\ (((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (c2_1_ X36 \/ ~(c3_1_ X36))))) \/ ((forall X37 : Universe, (ndr1_0_ -> (c1_1_ X37 \/ (c2_1_ X37 \/ ~(c3_1_ X37))))) \/ (forall X38 : Universe, (ndr1_0_ -> (c1_1_ X38 \/ (~(c0_1_ X38) \/ ~(c2_1_ X38))))))) /\ (((forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (c2_1_ X39 \/ ~(c3_1_ X39))))) \/ ((forall X40 : Universe, (ndr1_0_ -> (c2_1_ X40 \/ (c3_1_ X40 \/ ~(c1_1_ X40))))) \/ hskp10_)) /\ (((forall X41 : Universe, (ndr1_0_ -> (c0_1_ X41 \/ (c3_1_ X41 \/ ~(c1_1_ X41))))) \/ ((forall X42 : Universe, (ndr1_0_ -> (c0_1_ X42 \/ (~(c1_1_ X42) \/ ~(c2_1_ X42))))) \/ (forall X43 : Universe, (ndr1_0_ -> (~(c0_1_ X43) \/ (~(c2_1_ X43) \/ ~(c3_1_ X43))))))) /\ (((forall X44 : Universe, (ndr1_0_ -> (c0_1_ X44 \/ (c3_1_ X44 \/ ~(c1_1_ X44))))) \/ ((forall X45 : Universe, (ndr1_0_ -> (~(c0_1_ X45) \/ (~(c1_1_ X45) \/ ~(c2_1_ X45))))) \/ hskp10_)) /\ (((forall X46 : Universe, (ndr1_0_ -> (c0_1_ X46 \/ (c3_1_ X46 \/ ~(c1_1_ X46))))) \/ ((forall X47 : Universe, (ndr1_0_ -> (~(c0_1_ X47) \/ (~(c2_1_ X47) \/ ~(c3_1_ X47))))) \/ hskp11_)) /\ (((forall X48 : Universe, (ndr1_0_ -> (c0_1_ X48 \/ (c3_1_ X48 \/ ~(c1_1_ X48))))) \/ ((forall X49 : Universe, (ndr1_0_ -> (~(c1_1_ X49) \/ (~(c2_1_ X49) \/ ~(c3_1_ X49))))) \/ hskp12_)) /\ (((forall X50 : Universe, (ndr1_0_ -> (c0_1_ X50 \/ (c3_1_ X50 \/ ~(c2_1_ X50))))) \/ ((forall X51 : Universe, (ndr1_0_ -> (c2_1_ X51 \/ (~(c0_1_ X51) \/ ~(c1_1_ X51))))) \/ (forall X52 : Universe, (ndr1_0_ -> (~(c0_1_ X52) \/ (~(c1_1_ X52) \/ ~(c2_1_ X52))))))) /\ (((forall X53 : Universe, (ndr1_0_ -> (c0_1_ X53 \/ (~(c1_1_ X53) \/ ~(c2_1_ X53))))) \/ ((forall X54 : Universe, (ndr1_0_ -> (c1_1_ X54 \/ (~(c2_1_ X54) \/ ~(c3_1_ X54))))) \/ hskp13_)) /\ (((forall X55 : Universe, (ndr1_0_ -> (c0_1_ X55 \/ (~(c1_1_ X55) \/ ~(c2_1_ X55))))) \/ ((forall X56 : Universe, (ndr1_0_ -> (c2_1_ X56 \/ (~(c0_1_ X56) \/ ~(c3_1_ X56))))) \/ hskp14_)) /\ (((forall X57 : Universe, (ndr1_0_ -> (c0_1_ X57 \/ (~(c1_1_ X57) \/ ~(c2_1_ X57))))) \/ (hskp6_ \/ hskp1_)) /\ (((forall X58 : Universe, (ndr1_0_ -> (c0_1_ X58 \/ (~(c1_1_ X58) \/ ~(c2_1_ X58))))) \/ (hskp8_ \/ hskp14_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c0_1_ X59 \/ (~(c1_1_ X59) \/ ~(c3_1_ X59))))) \/ ((forall X60 : Universe, (ndr1_0_ -> (c1_1_ X60 \/ (c3_1_ X60 \/ ~(c0_1_ X60))))) \/ hskp5_)) /\ (((forall X61 : Universe, (ndr1_0_ -> (c0_1_ X61 \/ (~(c1_1_ X61) \/ ~(c3_1_ X61))))) \/ ((forall X62 : Universe, (ndr1_0_ -> (c2_1_ X62 \/ (~(c1_1_ X62) \/ ~(c3_1_ X62))))) \/ (forall X63 : Universe, (ndr1_0_ -> (~(c0_1_ X63) \/ (~(c1_1_ X63) \/ ~(c2_1_ X63))))))) /\ (((forall X64 : Universe, (ndr1_0_ -> (c0_1_ X64 \/ (~(c1_1_ X64) \/ ~(c3_1_ X64))))) \/ (hskp6_ \/ hskp14_)) /\ (((forall X65 : Universe, (ndr1_0_ -> (c0_1_ X65 \/ (~(c2_1_ X65) \/ ~(c3_1_ X65))))) \/ (hskp29_ \/ hskp15_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (c2_1_ X66 \/ c3_1_ X66)))) \/ hskp27_) /\ (((forall X67 : Universe, (ndr1_0_ -> (c1_1_ X67 \/ (c2_1_ X67 \/ c3_1_ X67)))) \/ (hskp30_ \/ hskp16_)) /\ (((forall X68 : Universe, (ndr1_0_ -> (c1_1_ X68 \/ (c2_1_ X68 \/ c3_1_ X68)))) \/ (hskp17_ \/ hskp18_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (c1_1_ X69 \/ (c2_1_ X69 \/ ~(c0_1_ X69))))) \/ (hskp27_ \/ hskp12_)) /\ (((forall X70 : Universe, (ndr1_0_ -> (c1_1_ X70 \/ (c2_1_ X70 \/ ~(c0_1_ X70))))) \/ (hskp15_ \/ hskp1_)) /\ (((forall X71 : Universe, (ndr1_0_ -> (c1_1_ X71 \/ (c2_1_ X71 \/ ~(c0_1_ X71))))) \/ (hskp19_ \/ hskp20_)) /\ (((forall X72 : Universe, (ndr1_0_ -> (c1_1_ X72 \/ (c2_1_ X72 \/ ~(c3_1_ X72))))) \/ ((forall X73 : Universe, (ndr1_0_ -> (c1_1_ X73 \/ (c3_1_ X73 \/ ~(c2_1_ X73))))) \/ hskp17_)) /\ (((forall X74 : Universe, (ndr1_0_ -> (c1_1_ X74 \/ (c2_1_ X74 \/ ~(c3_1_ X74))))) \/ ((forall X75 : Universe, (ndr1_0_ -> (c1_1_ X75 \/ (~(c2_1_ X75) \/ ~(c3_1_ X75))))) \/ (forall X76 : Universe, (ndr1_0_ -> (c3_1_ X76 \/ (~(c0_1_ X76) \/ ~(c1_1_ X76))))))) /\ (((forall X77 : Universe, (ndr1_0_ -> (c1_1_ X77 \/ (c2_1_ X77 \/ ~(c3_1_ X77))))) \/ ((forall X78 : Universe, (ndr1_0_ -> (c3_1_ X78 \/ (~(c1_1_ X78) \/ ~(c2_1_ X78))))) \/ hskp21_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (c1_1_ X79 \/ (c3_1_ X79 \/ ~(c0_1_ X79))))) \/ ((forall X80 : Universe, (ndr1_0_ -> (c2_1_ X80 \/ (~(c1_1_ X80) \/ ~(c3_1_ X80))))) \/ (forall X81 : Universe, (ndr1_0_ -> (c3_1_ X81 \/ (~(c1_1_ X81) \/ ~(c2_1_ X81))))))) /\ (((forall X82 : Universe, (ndr1_0_ -> (c1_1_ X82 \/ (c3_1_ X82 \/ ~(c2_1_ X82))))) \/ ((forall X83 : Universe, (ndr1_0_ -> (c2_1_ X83 \/ (~(c0_1_ X83) \/ ~(c3_1_ X83))))) \/ hskp17_)) /\ (((forall X84 : Universe, (ndr1_0_ -> (c1_1_ X84 \/ (c3_1_ X84 \/ ~(c2_1_ X84))))) \/ (hskp3_ \/ hskp22_)) /\ (((forall X85 : Universe, (ndr1_0_ -> (c1_1_ X85 \/ (~(c0_1_ X85) \/ ~(c2_1_ X85))))) \/ (hskp1_ \/ hskp14_)) /\ (((forall X86 : Universe, (ndr1_0_ -> (c1_1_ X86 \/ (~(c0_1_ X86) \/ ~(c3_1_ X86))))) \/ (hskp30_ \/ hskp23_)) /\ (((forall X87 : Universe, (ndr1_0_ -> (c1_1_ X87 \/ (~(c0_1_ X87) \/ ~(c3_1_ X87))))) \/ (hskp24_ \/ hskp22_)) /\ (((forall X88 : Universe, (ndr1_0_ -> (c2_1_ X88 \/ (c3_1_ X88 \/ ~(c0_1_ X88))))) \/ (hskp0_ \/ hskp18_)) /\ (((forall X89 : Universe, (ndr1_0_ -> (c2_1_ X89 \/ (c3_1_ X89 \/ ~(c1_1_ X89))))) \/ ((forall X90 : Universe, (ndr1_0_ -> (c2_1_ X90 \/ (~(c1_1_ X90) \/ ~(c3_1_ X90))))) \/ (forall X91 : Universe, (ndr1_0_ -> (c3_1_ X91 \/ (~(c1_1_ X91) \/ ~(c2_1_ X91))))))) /\ (((forall X92 : Universe, (ndr1_0_ -> (c2_1_ X92 \/ (~(c0_1_ X92) \/ ~(c1_1_ X92))))) \/ ((forall X93 : Universe, (ndr1_0_ -> (~(c0_1_ X93) \/ (~(c2_1_ X93) \/ ~(c3_1_ X93))))) \/ hskp3_)) /\ (((forall X94 : Universe, (ndr1_0_ -> (c2_1_ X94 \/ (~(c0_1_ X94) \/ ~(c3_1_ X94))))) \/ (hskp29_ \/ hskp18_)) /\ (((forall X95 : Universe, (ndr1_0_ -> (c2_1_ X95 \/ (~(c0_1_ X95) \/ ~(c3_1_ X95))))) \/ (hskp25_ \/ hskp19_)) /\ (((forall X96 : Universe, (ndr1_0_ -> (c2_1_ X96 \/ (~(c1_1_ X96) \/ ~(c3_1_ X96))))) \/ (hskp6_ \/ hskp15_)) /\ (((forall X97 : Universe, (ndr1_0_ -> (c2_1_ X97 \/ (~(c1_1_ X97) \/ ~(c3_1_ X97))))) \/ hskp21_) /\ (((forall X98 : Universe, (ndr1_0_ -> (c3_1_ X98 \/ (~(c1_1_ X98) \/ ~(c2_1_ X98))))) \/ (hskp27_ \/ hskp19_)) /\ (((forall X99 : Universe, (ndr1_0_ -> (c3_1_ X99 \/ (~(c1_1_ X99) \/ ~(c2_1_ X99))))) \/ (hskp14_ \/ hskp17_)) /\ (((forall X100 : Universe, (ndr1_0_ -> (~(c0_1_ X100) \/ (~(c1_1_ X100) \/ ~(c3_1_ X100))))) \/ (hskp7_ \/ hskp24_)) /\ (((forall X101 : Universe, (ndr1_0_ -> (~(c0_1_ X101) \/ (~(c1_1_ X101) \/ ~(c3_1_ X101))))) \/ (hskp8_ \/ hskp11_)) /\ (((forall X102 : Universe, (ndr1_0_ -> (~(c0_1_ X102) \/ (~(c1_1_ X102) \/ ~(c3_1_ X102))))) \/ (hskp10_ \/ hskp9_)) /\ ((hskp27_ \/ (hskp24_ \/ hskp4_)) /\ ((hskp6_ \/ (hskp10_ \/ hskp20_)) /\ ((hskp6_ \/ hskp9_) /\ ((hskp15_ \/ (hskp8_ \/ hskp26_)) /\ ((hskp8_ \/ (hskp13_ \/ hskp18_)) /\ ((hskp8_ \/ (hskp14_ \/ hskp22_)) /\ (hskp24_ \/ (hskp4_ \/ hskp18_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
