(*
% File     : SYN468+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=68, K=3, D=1, P=0, Index=031
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-68-3-1-031.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  637 (   0 equality)
%            Maximal formula depth :  103 ( 103 average)
%            Number of connectives :  861 ( 225 ~  ; 349  |; 195  &)
%                                         (   0 <=>;  92 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   37 (  33 propositional; 0-1 arity)
%            Number of functors    :   32 (  32 constant; 0-0 arity)
%            Number of variables   :   92 (   0 singleton;  92 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp31_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a368_ : Universe.
Variable a367_ : Universe.
Variable a359_ : Universe.
Variable a353_ : Universe.
Variable a341_ : Universe.
Variable a337_ : Universe.
Variable a332_ : Universe.
Variable a331_ : Universe.
Variable a330_ : Universe.
Variable a329_ : Universe.
Variable a326_ : Universe.
Variable a325_ : Universe.
Variable a323_ : Universe.
Variable a315_ : Universe.
Variable a311_ : Universe.
Variable a309_ : Universe.
Variable a308_ : Universe.
Variable a307_ : Universe.
Variable a306_ : Universe.
Variable a305_ : Universe.
Variable a304_ : Universe.
Variable a301_ : Universe.
Variable a300_ : Universe.
Variable a299_ : Universe.
Variable a298_ : Universe.
Variable a297_ : Universe.
Variable a296_ : Universe.
Variable a295_ : Universe.
Variable a294_ : Universe.
Variable a293_ : Universe.
Variable a292_ : Universe.
Variable a291_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c1_1_ a291_ /\ (~(c2_1_ a291_) /\ ~(c3_1_ a291_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c2_1_ a292_ /\ (c3_1_ a292_ /\ ~(c1_1_ a292_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c3_1_ a293_ /\ (~(c1_1_ a293_) /\ ~(c2_1_ a293_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c0_1_ a294_ /\ (c2_1_ a294_ /\ ~(c1_1_ a294_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c0_1_ a295_ /\ (~(c2_1_ a295_) /\ ~(c3_1_ a295_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c1_1_ a297_ /\ (c2_1_ a297_ /\ ~(c0_1_ a297_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c2_1_ a298_ /\ (~(c0_1_ a298_) /\ ~(c1_1_ a298_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c0_1_ a299_ /\ (c3_1_ a299_ /\ ~(c2_1_ a299_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c0_1_ a300_ /\ (c3_1_ a300_ /\ ~(c1_1_ a300_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c0_1_ a304_ /\ (c1_1_ a304_ /\ ~(c2_1_ a304_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c1_1_ a305_ /\ (c2_1_ a305_ /\ ~(c3_1_ a305_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c1_1_ a306_ /\ (c3_1_ a306_ /\ ~(c0_1_ a306_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c2_1_ a307_ /\ (~(c1_1_ a307_) /\ ~(c3_1_ a307_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c0_1_ a308_ /\ (~(c1_1_ a308_) /\ ~(c2_1_ a308_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c0_1_ a309_ /\ (c2_1_ a309_ /\ ~(c3_1_ a309_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c0_1_ a311_ /\ (c1_1_ a311_ /\ ~(c3_1_ a311_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c2_1_ a315_ /\ (~(c0_1_ a315_) /\ ~(c3_1_ a315_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (~(c0_1_ a323_) /\ (~(c2_1_ a323_) /\ ~(c3_1_ a323_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c0_1_ a325_ /\ (~(c1_1_ a325_) /\ ~(c3_1_ a325_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c2_1_ a326_ /\ (c3_1_ a326_ /\ ~(c0_1_ a326_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (~(c0_1_ a329_) /\ (~(c1_1_ a329_) /\ ~(c2_1_ a329_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c3_1_ a330_ /\ (~(c0_1_ a330_) /\ ~(c2_1_ a330_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (~(c1_1_ a331_) /\ (~(c2_1_ a331_) /\ ~(c3_1_ a331_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c1_1_ a337_ /\ (c3_1_ a337_ /\ ~(c2_1_ a337_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c1_1_ a341_ /\ (~(c0_1_ a341_) /\ ~(c3_1_ a341_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c3_1_ a353_ /\ (~(c0_1_ a353_) /\ ~(c1_1_ a353_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (~(c0_1_ a359_) /\ (~(c1_1_ a359_) /\ ~(c3_1_ a359_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c1_1_ a368_ /\ (~(c0_1_ a368_) /\ ~(c2_1_ a368_))))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c1_1_ a296_ /\ (c2_1_ a296_ /\ c3_1_ a296_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a301_ /\ (c2_1_ a301_ /\ c3_1_ a301_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c0_1_ a332_ /\ (c1_1_ a332_ /\ c3_1_ a332_)))) /\ ((~(hskp31_) \/ (ndr1_0_ /\ (c0_1_ a367_ /\ (c1_1_ a367_ /\ c2_1_ a367_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c1_1_ V \/ (c3_1_ V \/ ~(c0_1_ V))))) \/ hskp0_)) /\ (((forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c1_1_ W \/ c2_1_ W)))) \/ (hskp1_ \/ hskp2_)) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ c3_1_ X)))) \/ hskp3_) /\ (((forall Y : Universe, (ndr1_0_ -> (c0_1_ Y \/ (c1_1_ Y \/ c3_1_ Y)))) \/ (hskp4_ \/ hskp28_)) /\ (((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c1_1_ Z \/ ~(c2_1_ Z))))) \/ (hskp5_ \/ hskp6_)) /\ (((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c1_1_ X1 \/ ~(c3_1_ X1))))) \/ ((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c3_1_ X2 \/ ~(c1_1_ X2))))) \/ hskp7_)) /\ (((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (c2_1_ X3 \/ c3_1_ X3)))) \/ ((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (~(c2_1_ X4) \/ ~(c3_1_ X4))))) \/ (forall X5 : Universe, (ndr1_0_ -> (c2_1_ X5 \/ (c3_1_ X5 \/ ~(c1_1_ X5))))))) /\ (((forall X6 : Universe, (ndr1_0_ -> (c0_1_ X6 \/ (c2_1_ X6 \/ c3_1_ X6)))) \/ ((forall X7 : Universe, (ndr1_0_ -> (c2_1_ X7 \/ (~(c1_1_ X7) \/ ~(c3_1_ X7))))) \/ hskp8_)) /\ (((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (c2_1_ X8 \/ ~(c1_1_ X8))))) \/ ((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (~(c1_1_ X9) \/ ~(c2_1_ X9))))) \/ hskp29_)) /\ (((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c2_1_ X10 \/ ~(c1_1_ X10))))) \/ ((forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (~(c2_1_ X11) \/ ~(c3_1_ X11))))) \/ (forall X12 : Universe, (ndr1_0_ -> (c1_1_ X12 \/ (~(c2_1_ X12) \/ ~(c3_1_ X12))))))) /\ (((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c2_1_ X13 \/ ~(c1_1_ X13))))) \/ (hskp4_ \/ hskp6_)) /\ (((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c2_1_ X14 \/ ~(c3_1_ X14))))) \/ ((forall X15 : Universe, (ndr1_0_ -> (c1_1_ X15 \/ (c3_1_ X15 \/ ~(c2_1_ X15))))) \/ (forall X16 : Universe, (ndr1_0_ -> (c1_1_ X16 \/ (~(c2_1_ X16) \/ ~(c3_1_ X16))))))) /\ (((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c2_1_ X17 \/ ~(c3_1_ X17))))) \/ (hskp9_ \/ hskp10_)) /\ (((forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (c3_1_ X18 \/ ~(c1_1_ X18))))) \/ ((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (c3_1_ X19 \/ ~(c2_1_ X19))))) \/ (forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (~(c2_1_ X20) \/ ~(c3_1_ X20))))))) /\ (((forall X21 : Universe, (ndr1_0_ -> (c0_1_ X21 \/ (c3_1_ X21 \/ ~(c1_1_ X21))))) \/ ((forall X22 : Universe, (ndr1_0_ -> (c1_1_ X22 \/ (~(c0_1_ X22) \/ ~(c3_1_ X22))))) \/ (forall X23 : Universe, (ndr1_0_ -> (c1_1_ X23 \/ (~(c2_1_ X23) \/ ~(c3_1_ X23))))))) /\ (((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (c3_1_ X24 \/ ~(c1_1_ X24))))) \/ (hskp11_ \/ hskp12_)) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c3_1_ X25 \/ ~(c2_1_ X25))))) \/ ((forall X26 : Universe, (ndr1_0_ -> (c1_1_ X26 \/ (c3_1_ X26 \/ ~(c0_1_ X26))))) \/ hskp13_)) /\ (((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (c3_1_ X27 \/ ~(c2_1_ X27))))) \/ ((forall X28 : Universe, (ndr1_0_ -> (c2_1_ X28 \/ (c3_1_ X28 \/ ~(c0_1_ X28))))) \/ (forall X29 : Universe, (ndr1_0_ -> (c2_1_ X29 \/ (~(c0_1_ X29) \/ ~(c3_1_ X29))))))) /\ (((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (c3_1_ X30 \/ ~(c2_1_ X30))))) \/ ((forall X31 : Universe, (ndr1_0_ -> (c3_1_ X31 \/ (~(c0_1_ X31) \/ ~(c2_1_ X31))))) \/ hskp14_)) /\ (((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (c3_1_ X32 \/ ~(c2_1_ X32))))) \/ ((forall X33 : Universe, (ndr1_0_ -> (~(c0_1_ X33) \/ (~(c2_1_ X33) \/ ~(c3_1_ X33))))) \/ hskp5_)) /\ (((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (c3_1_ X34 \/ ~(c2_1_ X34))))) \/ (hskp15_ \/ hskp8_)) /\ (((forall X35 : Universe, (ndr1_0_ -> (c0_1_ X35 \/ (~(c1_1_ X35) \/ ~(c2_1_ X35))))) \/ ((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (~(c1_1_ X36) \/ ~(c3_1_ X36))))) \/ hskp7_)) /\ (((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (~(c1_1_ X37) \/ ~(c2_1_ X37))))) \/ (hskp13_ \/ hskp16_)) /\ (((forall X38 : Universe, (ndr1_0_ -> (c0_1_ X38 \/ (~(c1_1_ X38) \/ ~(c2_1_ X38))))) \/ (hskp4_ \/ hskp11_)) /\ (((forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (~(c1_1_ X39) \/ ~(c3_1_ X39))))) \/ ((forall X40 : Universe, (ndr1_0_ -> (c1_1_ X40 \/ (c2_1_ X40 \/ c3_1_ X40)))) \/ hskp4_)) /\ (((forall X41 : Universe, (ndr1_0_ -> (c0_1_ X41 \/ (~(c1_1_ X41) \/ ~(c3_1_ X41))))) \/ ((forall X42 : Universe, (ndr1_0_ -> (c2_1_ X42 \/ (~(c0_1_ X42) \/ ~(c1_1_ X42))))) \/ hskp15_)) /\ (((forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (~(c1_1_ X43) \/ ~(c3_1_ X43))))) \/ (hskp3_ \/ hskp2_)) /\ (((forall X44 : Universe, (ndr1_0_ -> (c0_1_ X44 \/ (~(c1_1_ X44) \/ ~(c3_1_ X44))))) \/ (hskp11_ \/ hskp17_)) /\ (((forall X45 : Universe, (ndr1_0_ -> (c1_1_ X45 \/ (c2_1_ X45 \/ c3_1_ X45)))) \/ ((forall X46 : Universe, (ndr1_0_ -> (c1_1_ X46 \/ (c3_1_ X46 \/ ~(c0_1_ X46))))) \/ hskp3_)) /\ (((forall X47 : Universe, (ndr1_0_ -> (c1_1_ X47 \/ (c2_1_ X47 \/ c3_1_ X47)))) \/ (hskp18_ \/ hskp19_)) /\ (((forall X48 : Universe, (ndr1_0_ -> (c1_1_ X48 \/ (c2_1_ X48 \/ ~(c0_1_ X48))))) \/ (hskp0_ \/ hskp17_)) /\ (((forall X49 : Universe, (ndr1_0_ -> (c1_1_ X49 \/ (c2_1_ X49 \/ ~(c3_1_ X49))))) \/ ((forall X50 : Universe, (ndr1_0_ -> (c2_1_ X50 \/ (c3_1_ X50 \/ ~(c0_1_ X50))))) \/ hskp20_)) /\ (((forall X51 : Universe, (ndr1_0_ -> (c1_1_ X51 \/ (c2_1_ X51 \/ ~(c3_1_ X51))))) \/ ((forall X52 : Universe, (ndr1_0_ -> (c3_1_ X52 \/ (~(c0_1_ X52) \/ ~(c2_1_ X52))))) \/ hskp21_)) /\ (((forall X53 : Universe, (ndr1_0_ -> (c1_1_ X53 \/ (c2_1_ X53 \/ ~(c3_1_ X53))))) \/ ((forall X54 : Universe, (ndr1_0_ -> (c3_1_ X54 \/ (~(c0_1_ X54) \/ ~(c2_1_ X54))))) \/ hskp22_)) /\ (((forall X55 : Universe, (ndr1_0_ -> (c1_1_ X55 \/ (c2_1_ X55 \/ ~(c3_1_ X55))))) \/ ((forall X56 : Universe, (ndr1_0_ -> (c3_1_ X56 \/ (~(c1_1_ X56) \/ ~(c2_1_ X56))))) \/ (forall X57 : Universe, (ndr1_0_ -> (~(c1_1_ X57) \/ (~(c2_1_ X57) \/ ~(c3_1_ X57))))))) /\ (((forall X58 : Universe, (ndr1_0_ -> (c1_1_ X58 \/ (c2_1_ X58 \/ ~(c3_1_ X58))))) \/ (hskp30_ \/ hskp2_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c1_1_ X59 \/ (c3_1_ X59 \/ ~(c0_1_ X59))))) \/ (hskp15_ \/ hskp28_)) /\ (((forall X60 : Universe, (ndr1_0_ -> (c1_1_ X60 \/ (c3_1_ X60 \/ ~(c2_1_ X60))))) \/ (hskp8_ \/ hskp23_)) /\ (((forall X61 : Universe, (ndr1_0_ -> (c1_1_ X61 \/ (~(c0_1_ X61) \/ ~(c2_1_ X61))))) \/ ((forall X62 : Universe, (ndr1_0_ -> (c1_1_ X62 \/ (~(c0_1_ X62) \/ ~(c3_1_ X62))))) \/ hskp16_)) /\ (((forall X63 : Universe, (ndr1_0_ -> (c1_1_ X63 \/ (~(c0_1_ X63) \/ ~(c2_1_ X63))))) \/ ((forall X64 : Universe, (ndr1_0_ -> (c3_1_ X64 \/ (~(c0_1_ X64) \/ ~(c1_1_ X64))))) \/ hskp7_)) /\ (((forall X65 : Universe, (ndr1_0_ -> (c1_1_ X65 \/ (~(c0_1_ X65) \/ ~(c2_1_ X65))))) \/ ((forall X66 : Universe, (ndr1_0_ -> (c3_1_ X66 \/ (~(c1_1_ X66) \/ ~(c2_1_ X66))))) \/ hskp9_)) /\ (((forall X67 : Universe, (ndr1_0_ -> (c1_1_ X67 \/ (~(c0_1_ X67) \/ ~(c2_1_ X67))))) \/ (hskp24_ \/ hskp16_)) /\ (((forall X68 : Universe, (ndr1_0_ -> (c1_1_ X68 \/ (~(c0_1_ X68) \/ ~(c2_1_ X68))))) \/ (hskp16_ \/ hskp21_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (c1_1_ X69 \/ (~(c0_1_ X69) \/ ~(c3_1_ X69))))) \/ (hskp9_ \/ hskp12_)) /\ (((forall X70 : Universe, (ndr1_0_ -> (c1_1_ X70 \/ (~(c0_1_ X70) \/ ~(c3_1_ X70))))) \/ (hskp15_ \/ hskp29_)) /\ (((forall X71 : Universe, (ndr1_0_ -> (c1_1_ X71 \/ (~(c2_1_ X71) \/ ~(c3_1_ X71))))) \/ ((forall X72 : Universe, (ndr1_0_ -> (c3_1_ X72 \/ (~(c0_1_ X72) \/ ~(c1_1_ X72))))) \/ hskp1_)) /\ (((forall X73 : Universe, (ndr1_0_ -> (c2_1_ X73 \/ (~(c0_1_ X73) \/ ~(c1_1_ X73))))) \/ ((forall X74 : Universe, (ndr1_0_ -> (~(c0_1_ X74) \/ (~(c2_1_ X74) \/ ~(c3_1_ X74))))) \/ hskp4_)) /\ (((forall X75 : Universe, (ndr1_0_ -> (c2_1_ X75 \/ (~(c0_1_ X75) \/ ~(c3_1_ X75))))) \/ ((forall X76 : Universe, (ndr1_0_ -> (~(c0_1_ X76) \/ (~(c2_1_ X76) \/ ~(c3_1_ X76))))) \/ hskp21_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (c2_1_ X77 \/ (~(c0_1_ X77) \/ ~(c3_1_ X77))))) \/ (hskp7_ \/ hskp25_)) /\ (((forall X78 : Universe, (ndr1_0_ -> (c3_1_ X78 \/ (~(c0_1_ X78) \/ ~(c1_1_ X78))))) \/ ((forall X79 : Universe, (ndr1_0_ -> (~(c0_1_ X79) \/ (~(c2_1_ X79) \/ ~(c3_1_ X79))))) \/ hskp13_)) /\ (((forall X80 : Universe, (ndr1_0_ -> (c3_1_ X80 \/ (~(c0_1_ X80) \/ ~(c2_1_ X80))))) \/ (hskp25_ \/ hskp21_)) /\ (((forall X81 : Universe, (ndr1_0_ -> (c3_1_ X81 \/ (~(c0_1_ X81) \/ ~(c2_1_ X81))))) \/ hskp20_) /\ (((forall X82 : Universe, (ndr1_0_ -> (~(c0_1_ X82) \/ (~(c1_1_ X82) \/ ~(c2_1_ X82))))) \/ (hskp3_ \/ hskp26_)) /\ (((forall X83 : Universe, (ndr1_0_ -> (~(c0_1_ X83) \/ (~(c1_1_ X83) \/ ~(c2_1_ X83))))) \/ hskp23_) /\ (((forall X84 : Universe, (ndr1_0_ -> (~(c0_1_ X84) \/ (~(c1_1_ X84) \/ ~(c3_1_ X84))))) \/ (hskp8_ \/ hskp28_)) /\ (((forall X85 : Universe, (ndr1_0_ -> (~(c0_1_ X85) \/ (~(c1_1_ X85) \/ ~(c3_1_ X85))))) \/ (hskp18_ \/ hskp28_)) /\ (((forall X86 : Universe, (ndr1_0_ -> (~(c0_1_ X86) \/ (~(c2_1_ X86) \/ ~(c3_1_ X86))))) \/ (hskp11_ \/ hskp25_)) /\ ((hskp31_ \/ (hskp27_ \/ hskp24_)) /\ ((hskp9_ \/ (hskp16_ \/ hskp22_)) /\ ((hskp3_ \/ (hskp23_ \/ hskp0_)) /\ ((hskp8_ \/ (hskp13_ \/ hskp18_)) /\ ((hskp7_ \/ (hskp19_ \/ hskp12_)) /\ ((hskp7_ \/ (hskp1_ \/ hskp16_)) /\ ((hskp13_ \/ (hskp2_ \/ hskp20_)) /\ ((hskp5_ \/ (hskp16_ \/ hskp22_)) /\ ((hskp23_ \/ (hskp12_ \/ hskp2_)) /\ ((hskp24_ \/ (hskp19_ \/ hskp20_)) /\ (hskp21_ \/ (hskp26_ \/ hskp17_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
