(*
% File     : SYN469+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=68, K=3, D=1, P=0, Index=088
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-68-3-1-088.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  667 (   0 equality)
%            Maximal formula depth :  101 ( 101 average)
%            Number of connectives :  895 ( 229 ~  ; 376  |; 183  &)
%                                         (   0 <=>; 107 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   34 (  30 propositional; 0-1 arity)
%            Number of functors    :   29 (  29 constant; 0-0 arity)
%            Number of variables   :  107 (   0 singleton; 107 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp3_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a477_ : Universe.
Variable a460_ : Universe.
Variable a451_ : Universe.
Variable a450_ : Universe.
Variable a449_ : Universe.
Variable a445_ : Universe.
Variable a440_ : Universe.
Variable a439_ : Universe.
Variable a434_ : Universe.
Variable a430_ : Universe.
Variable a428_ : Universe.
Variable a427_ : Universe.
Variable a426_ : Universe.
Variable a420_ : Universe.
Variable a418_ : Universe.
Variable a416_ : Universe.
Variable a415_ : Universe.
Variable a414_ : Universe.
Variable a412_ : Universe.
Variable a410_ : Universe.
Variable a409_ : Universe.
Variable a408_ : Universe.
Variable a407_ : Universe.
Variable a405_ : Universe.
Variable a404_ : Universe.
Variable a403_ : Universe.
Variable a402_ : Universe.
Variable a401_ : Universe.
Variable a400_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c1_1_ a400_ /\ (c2_1_ a400_ /\ ~(c3_1_ a400_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c0_1_ a401_ /\ (c1_1_ a401_ /\ ~(c3_1_ a401_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c0_1_ a402_ /\ (~(c1_1_ a402_) /\ ~(c2_1_ a402_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (~(c0_1_ a403_) /\ (~(c2_1_ a403_) /\ ~(c3_1_ a403_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c0_1_ a404_ /\ (c3_1_ a404_ /\ ~(c2_1_ a404_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c2_1_ a408_ /\ (c3_1_ a408_ /\ ~(c0_1_ a408_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c2_1_ a409_ /\ (~(c0_1_ a409_) /\ ~(c3_1_ a409_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c0_1_ a410_ /\ (~(c1_1_ a410_) /\ ~(c3_1_ a410_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c2_1_ a415_ /\ (c3_1_ a415_ /\ ~(c1_1_ a415_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c3_1_ a416_ /\ (~(c0_1_ a416_) /\ ~(c1_1_ a416_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c1_1_ a418_ /\ (~(c0_1_ a418_) /\ ~(c2_1_ a418_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (~(c0_1_ a420_) /\ (~(c1_1_ a420_) /\ ~(c2_1_ a420_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c0_1_ a426_ /\ (c1_1_ a426_ /\ ~(c2_1_ a426_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c1_1_ a427_ /\ (c2_1_ a427_ /\ ~(c0_1_ a427_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c2_1_ a428_ /\ (~(c0_1_ a428_) /\ ~(c1_1_ a428_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c0_1_ a430_ /\ (c2_1_ a430_ /\ ~(c3_1_ a430_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c1_1_ a434_ /\ (~(c0_1_ a434_) /\ ~(c3_1_ a434_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (~(c1_1_ a439_) /\ (~(c2_1_ a439_) /\ ~(c3_1_ a439_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c0_1_ a440_ /\ (~(c2_1_ a440_) /\ ~(c3_1_ a440_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c1_1_ a445_ /\ (c3_1_ a445_ /\ ~(c0_1_ a445_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c1_1_ a449_ /\ (c3_1_ a449_ /\ ~(c2_1_ a449_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (~(c0_1_ a450_) /\ (~(c1_1_ a450_) /\ ~(c3_1_ a450_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c0_1_ a451_ /\ (c2_1_ a451_ /\ ~(c1_1_ a451_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c1_1_ a460_ /\ (~(c2_1_ a460_) /\ ~(c3_1_ a460_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c3_1_ a477_ /\ (~(c0_1_ a477_) /\ ~(c2_1_ a477_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c0_1_ a405_ /\ (c1_1_ a405_ /\ c3_1_ a405_)))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c1_1_ a407_ /\ (c2_1_ a407_ /\ c3_1_ a407_)))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a412_ /\ (c1_1_ a412_ /\ c2_1_ a412_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a414_ /\ (c2_1_ a414_ /\ c3_1_ a414_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (~(c2_1_ V) \/ ~(c3_1_ V))))) \/ hskp0_)) /\ (((forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c1_1_ W \/ c2_1_ W)))) \/ ((forall X : Universe, (ndr1_0_ -> (c3_1_ X \/ (~(c0_1_ X) \/ ~(c1_1_ X))))) \/ (forall Y : Universe, (ndr1_0_ -> (~(c0_1_ Y) \/ (~(c2_1_ Y) \/ ~(c3_1_ Y))))))) /\ (((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c1_1_ Z \/ c2_1_ Z)))) \/ (hskp1_ \/ hskp2_)) /\ (((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c1_1_ X1 \/ c3_1_ X1)))) \/ ((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ ~(c3_1_ X2))))) \/ (forall X3 : Universe, (ndr1_0_ -> (c1_1_ X3 \/ (c3_1_ X3 \/ ~(c2_1_ X3))))))) /\ (((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c1_1_ X4 \/ c3_1_ X4)))) \/ ((forall X5 : Universe, (ndr1_0_ -> (c3_1_ X5 \/ (~(c1_1_ X5) \/ ~(c2_1_ X5))))) \/ hskp3_)) /\ (((forall X6 : Universe, (ndr1_0_ -> (c0_1_ X6 \/ (c1_1_ X6 \/ ~(c2_1_ X6))))) \/ ((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (c2_1_ X7 \/ c3_1_ X7)))) \/ (forall X8 : Universe, (ndr1_0_ -> (c2_1_ X8 \/ (c3_1_ X8 \/ ~(c1_1_ X8))))))) /\ (((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c1_1_ X9 \/ ~(c2_1_ X9))))) \/ ((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c2_1_ X10 \/ ~(c3_1_ X10))))) \/ hskp4_)) /\ (((forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (c1_1_ X11 \/ ~(c2_1_ X11))))) \/ ((forall X12 : Universe, (ndr1_0_ -> (c1_1_ X12 \/ (c2_1_ X12 \/ ~(c0_1_ X12))))) \/ (forall X13 : Universe, (ndr1_0_ -> (c1_1_ X13 \/ (~(c0_1_ X13) \/ ~(c3_1_ X13))))))) /\ (((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c1_1_ X14 \/ ~(c2_1_ X14))))) \/ (hskp25_ \/ hskp3_)) /\ (((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c1_1_ X15 \/ ~(c2_1_ X15))))) \/ (hskp26_ \/ hskp5_)) /\ (((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (c1_1_ X16 \/ ~(c3_1_ X16))))) \/ ((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c3_1_ X17 \/ ~(c2_1_ X17))))) \/ (forall X18 : Universe, (ndr1_0_ -> (c1_1_ X18 \/ (c2_1_ X18 \/ ~(c3_1_ X18))))))) /\ (((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (c1_1_ X19 \/ ~(c3_1_ X19))))) \/ ((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (c3_1_ X20 \/ ~(c2_1_ X20))))) \/ hskp6_)) /\ (((forall X21 : Universe, (ndr1_0_ -> (c0_1_ X21 \/ (c1_1_ X21 \/ ~(c3_1_ X21))))) \/ ((forall X22 : Universe, (ndr1_0_ -> (c2_1_ X22 \/ (c3_1_ X22 \/ ~(c1_1_ X22))))) \/ hskp7_)) /\ (((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c1_1_ X23 \/ ~(c3_1_ X23))))) \/ ((forall X24 : Universe, (ndr1_0_ -> (c3_1_ X24 \/ (~(c0_1_ X24) \/ ~(c1_1_ X24))))) \/ hskp4_)) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c2_1_ X25 \/ c3_1_ X25)))) \/ (hskp27_ \/ hskp0_)) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c2_1_ X26 \/ ~(c1_1_ X26))))) \/ ((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (~(c2_1_ X27) \/ ~(c3_1_ X27))))) \/ (forall X28 : Universe, (ndr1_0_ -> (c1_1_ X28 \/ (c2_1_ X28 \/ ~(c3_1_ X28))))))) /\ (((forall X29 : Universe, (ndr1_0_ -> (c0_1_ X29 \/ (c2_1_ X29 \/ ~(c1_1_ X29))))) \/ ((forall X30 : Universe, (ndr1_0_ -> (c1_1_ X30 \/ (c2_1_ X30 \/ ~(c3_1_ X30))))) \/ hskp28_)) /\ (((forall X31 : Universe, (ndr1_0_ -> (c0_1_ X31 \/ (c2_1_ X31 \/ ~(c1_1_ X31))))) \/ (hskp8_ \/ hskp9_)) /\ (((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (c2_1_ X32 \/ ~(c3_1_ X32))))) \/ ((forall X33 : Universe, (ndr1_0_ -> (c1_1_ X33 \/ (~(c0_1_ X33) \/ ~(c2_1_ X33))))) \/ hskp4_)) /\ (((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (c2_1_ X34 \/ ~(c3_1_ X34))))) \/ ((forall X35 : Universe, (ndr1_0_ -> (c2_1_ X35 \/ (~(c1_1_ X35) \/ ~(c3_1_ X35))))) \/ hskp10_)) /\ (((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (c2_1_ X36 \/ ~(c3_1_ X36))))) \/ (hskp0_ \/ hskp11_)) /\ (((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (c2_1_ X37 \/ ~(c3_1_ X37))))) \/ (hskp5_ \/ hskp3_)) /\ (((forall X38 : Universe, (ndr1_0_ -> (c0_1_ X38 \/ (c3_1_ X38 \/ ~(c1_1_ X38))))) \/ ((forall X39 : Universe, (ndr1_0_ -> (c1_1_ X39 \/ (c3_1_ X39 \/ ~(c0_1_ X39))))) \/ hskp9_)) /\ (((forall X40 : Universe, (ndr1_0_ -> (c0_1_ X40 \/ (c3_1_ X40 \/ ~(c2_1_ X40))))) \/ ((forall X41 : Universe, (ndr1_0_ -> (c0_1_ X41 \/ (~(c2_1_ X41) \/ ~(c3_1_ X41))))) \/ hskp1_)) /\ (((forall X42 : Universe, (ndr1_0_ -> (c0_1_ X42 \/ (c3_1_ X42 \/ ~(c2_1_ X42))))) \/ ((forall X43 : Universe, (ndr1_0_ -> (c1_1_ X43 \/ (c2_1_ X43 \/ ~(c0_1_ X43))))) \/ hskp9_)) /\ (((forall X44 : Universe, (ndr1_0_ -> (c0_1_ X44 \/ (c3_1_ X44 \/ ~(c2_1_ X44))))) \/ ((forall X45 : Universe, (ndr1_0_ -> (c1_1_ X45 \/ (c3_1_ X45 \/ ~(c2_1_ X45))))) \/ hskp12_)) /\ (((forall X46 : Universe, (ndr1_0_ -> (c0_1_ X46 \/ (c3_1_ X46 \/ ~(c2_1_ X46))))) \/ ((forall X47 : Universe, (ndr1_0_ -> (c2_1_ X47 \/ (c3_1_ X47 \/ ~(c1_1_ X47))))) \/ hskp13_)) /\ (((forall X48 : Universe, (ndr1_0_ -> (c0_1_ X48 \/ (c3_1_ X48 \/ ~(c2_1_ X48))))) \/ ((forall X49 : Universe, (ndr1_0_ -> (c2_1_ X49 \/ (~(c1_1_ X49) \/ ~(c3_1_ X49))))) \/ hskp14_)) /\ (((forall X50 : Universe, (ndr1_0_ -> (c0_1_ X50 \/ (~(c1_1_ X50) \/ ~(c2_1_ X50))))) \/ ((forall X51 : Universe, (ndr1_0_ -> (c1_1_ X51 \/ (c3_1_ X51 \/ ~(c0_1_ X51))))) \/ hskp1_)) /\ (((forall X52 : Universe, (ndr1_0_ -> (c0_1_ X52 \/ (~(c1_1_ X52) \/ ~(c2_1_ X52))))) \/ ((forall X53 : Universe, (ndr1_0_ -> (c1_1_ X53 \/ (~(c2_1_ X53) \/ ~(c3_1_ X53))))) \/ (forall X54 : Universe, (ndr1_0_ -> (c3_1_ X54 \/ (~(c0_1_ X54) \/ ~(c2_1_ X54))))))) /\ (((forall X55 : Universe, (ndr1_0_ -> (c0_1_ X55 \/ (~(c1_1_ X55) \/ ~(c2_1_ X55))))) \/ (hskp15_ \/ hskp6_)) /\ (((forall X56 : Universe, (ndr1_0_ -> (c0_1_ X56 \/ (~(c1_1_ X56) \/ ~(c3_1_ X56))))) \/ (forall X57 : Universe, (ndr1_0_ -> (c1_1_ X57 \/ (~(c0_1_ X57) \/ ~(c3_1_ X57)))))) /\ (((forall X58 : Universe, (ndr1_0_ -> (c0_1_ X58 \/ (~(c1_1_ X58) \/ ~(c3_1_ X58))))) \/ (hskp27_ \/ hskp9_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c0_1_ X59 \/ (~(c1_1_ X59) \/ ~(c3_1_ X59))))) \/ (hskp16_ \/ hskp3_)) /\ (((forall X60 : Universe, (ndr1_0_ -> (c0_1_ X60 \/ (~(c2_1_ X60) \/ ~(c3_1_ X60))))) \/ ((forall X61 : Universe, (ndr1_0_ -> (c3_1_ X61 \/ (~(c0_1_ X61) \/ ~(c1_1_ X61))))) \/ hskp11_)) /\ (((forall X62 : Universe, (ndr1_0_ -> (c1_1_ X62 \/ (c2_1_ X62 \/ ~(c0_1_ X62))))) \/ ((forall X63 : Universe, (ndr1_0_ -> (c2_1_ X63 \/ (~(c0_1_ X63) \/ ~(c1_1_ X63))))) \/ (forall X64 : Universe, (ndr1_0_ -> (~(c0_1_ X64) \/ (~(c1_1_ X64) \/ ~(c2_1_ X64))))))) /\ (((forall X65 : Universe, (ndr1_0_ -> (c1_1_ X65 \/ (c2_1_ X65 \/ ~(c3_1_ X65))))) \/ ((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (~(c0_1_ X66) \/ ~(c2_1_ X66))))) \/ hskp4_)) /\ (((forall X67 : Universe, (ndr1_0_ -> (c1_1_ X67 \/ (c2_1_ X67 \/ ~(c3_1_ X67))))) \/ ((forall X68 : Universe, (ndr1_0_ -> (c1_1_ X68 \/ (~(c2_1_ X68) \/ ~(c3_1_ X68))))) \/ (forall X69 : Universe, (ndr1_0_ -> (c2_1_ X69 \/ (c3_1_ X69 \/ ~(c0_1_ X69))))))) /\ (((forall X70 : Universe, (ndr1_0_ -> (c1_1_ X70 \/ (c2_1_ X70 \/ ~(c3_1_ X70))))) \/ (hskp2_ \/ hskp17_)) /\ (((forall X71 : Universe, (ndr1_0_ -> (c1_1_ X71 \/ (c2_1_ X71 \/ ~(c3_1_ X71))))) \/ (hskp18_ \/ hskp3_)) /\ (((forall X72 : Universe, (ndr1_0_ -> (c1_1_ X72 \/ (c3_1_ X72 \/ ~(c0_1_ X72))))) \/ ((forall X73 : Universe, (ndr1_0_ -> (~(c1_1_ X73) \/ (~(c2_1_ X73) \/ ~(c3_1_ X73))))) \/ hskp9_)) /\ (((forall X74 : Universe, (ndr1_0_ -> (c1_1_ X74 \/ (c3_1_ X74 \/ ~(c0_1_ X74))))) \/ (hskp12_ \/ hskp1_)) /\ (((forall X75 : Universe, (ndr1_0_ -> (c1_1_ X75 \/ (c3_1_ X75 \/ ~(c2_1_ X75))))) \/ (forall X76 : Universe, (ndr1_0_ -> (c3_1_ X76 \/ (~(c0_1_ X76) \/ ~(c1_1_ X76)))))) /\ (((forall X77 : Universe, (ndr1_0_ -> (c1_1_ X77 \/ (c3_1_ X77 \/ ~(c2_1_ X77))))) \/ ((forall X78 : Universe, (ndr1_0_ -> (~(c0_1_ X78) \/ (~(c2_1_ X78) \/ ~(c3_1_ X78))))) \/ hskp19_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (c1_1_ X79 \/ (~(c0_1_ X79) \/ ~(c2_1_ X79))))) \/ ((forall X80 : Universe, (ndr1_0_ -> (~(c0_1_ X80) \/ (~(c2_1_ X80) \/ ~(c3_1_ X80))))) \/ hskp3_)) /\ (((forall X81 : Universe, (ndr1_0_ -> (c1_1_ X81 \/ (~(c0_1_ X81) \/ ~(c3_1_ X81))))) \/ (hskp4_ \/ hskp3_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c1_1_ X82 \/ (~(c0_1_ X82) \/ ~(c3_1_ X82))))) \/ (hskp20_ \/ hskp21_)) /\ (((forall X83 : Universe, (ndr1_0_ -> (c2_1_ X83 \/ (c3_1_ X83 \/ ~(c0_1_ X83))))) \/ ((forall X84 : Universe, (ndr1_0_ -> (c2_1_ X84 \/ (~(c1_1_ X84) \/ ~(c3_1_ X84))))) \/ hskp22_)) /\ (((forall X85 : Universe, (ndr1_0_ -> (c2_1_ X85 \/ (c3_1_ X85 \/ ~(c0_1_ X85))))) \/ (hskp2_ \/ hskp11_)) /\ (((forall X86 : Universe, (ndr1_0_ -> (c2_1_ X86 \/ (c3_1_ X86 \/ ~(c1_1_ X86))))) \/ ((forall X87 : Universe, (ndr1_0_ -> (~(c0_1_ X87) \/ (~(c2_1_ X87) \/ ~(c3_1_ X87))))) \/ hskp20_)) /\ (((forall X88 : Universe, (ndr1_0_ -> (c2_1_ X88 \/ (c3_1_ X88 \/ ~(c1_1_ X88))))) \/ (hskp28_ \/ hskp4_)) /\ (((forall X89 : Universe, (ndr1_0_ -> (c2_1_ X89 \/ (c3_1_ X89 \/ ~(c1_1_ X89))))) \/ (hskp2_ \/ hskp7_)) /\ (((forall X90 : Universe, (ndr1_0_ -> (c2_1_ X90 \/ (~(c0_1_ X90) \/ ~(c1_1_ X90))))) \/ (hskp27_ \/ hskp23_)) /\ (((forall X91 : Universe, (ndr1_0_ -> (c2_1_ X91 \/ (~(c0_1_ X91) \/ ~(c3_1_ X91))))) \/ (hskp12_ \/ hskp9_)) /\ (((forall X92 : Universe, (ndr1_0_ -> (c2_1_ X92 \/ (~(c0_1_ X92) \/ ~(c3_1_ X92))))) \/ (hskp7_ \/ hskp16_)) /\ (((forall X93 : Universe, (ndr1_0_ -> (c2_1_ X93 \/ (~(c1_1_ X93) \/ ~(c3_1_ X93))))) \/ (hskp25_ \/ hskp28_)) /\ (((forall X94 : Universe, (ndr1_0_ -> (c2_1_ X94 \/ (~(c1_1_ X94) \/ ~(c3_1_ X94))))) \/ (hskp2_ \/ hskp13_)) /\ (((forall X95 : Universe, (ndr1_0_ -> (c3_1_ X95 \/ (~(c0_1_ X95) \/ ~(c1_1_ X95))))) \/ (hskp4_ \/ hskp5_)) /\ (((forall X96 : Universe, (ndr1_0_ -> (c3_1_ X96 \/ (~(c0_1_ X96) \/ ~(c1_1_ X96))))) \/ hskp20_) /\ (((forall X97 : Universe, (ndr1_0_ -> (c3_1_ X97 \/ (~(c0_1_ X97) \/ ~(c1_1_ X97))))) \/ (hskp20_ \/ hskp5_)) /\ (((forall X98 : Universe, (ndr1_0_ -> (c3_1_ X98 \/ (~(c1_1_ X98) \/ ~(c2_1_ X98))))) \/ (hskp12_ \/ hskp10_)) /\ (((forall X99 : Universe, (ndr1_0_ -> (~(c0_1_ X99) \/ (~(c1_1_ X99) \/ ~(c2_1_ X99))))) \/ (hskp19_ \/ hskp24_)) /\ (((forall X100 : Universe, (ndr1_0_ -> (~(c0_1_ X100) \/ (~(c2_1_ X100) \/ ~(c3_1_ X100))))) \/ (hskp22_ \/ hskp11_)) /\ (((forall X101 : Universe, (ndr1_0_ -> (~(c0_1_ X101) \/ (~(c2_1_ X101) \/ ~(c3_1_ X101))))) \/ (hskp4_ \/ hskp9_)) /\ ((hskp25_ \/ (hskp24_ \/ hskp21_)) /\ ((hskp15_ \/ (hskp7_ \/ hskp3_)) /\ ((hskp18_ \/ (hskp20_ \/ hskp23_)) /\ (hskp8_ \/ (hskp3_ \/ hskp17_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
