(*
% File     : SYN475+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=72, K=3, D=1, P=0, Index=058
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-72-3-1-058.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  712 (   0 equality)
%            Maximal formula depth :  105 ( 105 average)
%            Number of connectives :  956 ( 245 ~  ; 404  |; 191  &)
%                                         (   0 <=>; 116 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   35 (  31 propositional; 0-1 arity)
%            Number of functors    :   30 (  30 constant; 0-0 arity)
%            Number of variables   :  116 (   0 singleton; 116 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a1052_ : Universe.
Variable a1048_ : Universe.
Variable a1045_ : Universe.
Variable a1044_ : Universe.
Variable a1043_ : Universe.
Variable a1041_ : Universe.
Variable a1040_ : Universe.
Variable a1038_ : Universe.
Variable a1037_ : Universe.
Variable a1036_ : Universe.
Variable a1033_ : Universe.
Variable a1032_ : Universe.
Variable a1030_ : Universe.
Variable a1029_ : Universe.
Variable a1026_ : Universe.
Variable a1025_ : Universe.
Variable a1023_ : Universe.
Variable a1019_ : Universe.
Variable a1015_ : Universe.
Variable a1012_ : Universe.
Variable a1011_ : Universe.
Variable a1010_ : Universe.
Variable a1008_ : Universe.
Variable a1006_ : Universe.
Variable a1005_ : Universe.
Variable a1004_ : Universe.
Variable a1003_ : Universe.
Variable a1002_ : Universe.
Variable a1001_ : Universe.
Variable a1000_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c0_1_ a1000_ /\ (c2_1_ a1000_ /\ ~(c3_1_ a1000_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c2_1_ a1001_ /\ (c3_1_ a1001_ /\ ~(c1_1_ a1001_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c0_1_ a1002_ /\ (c2_1_ a1002_ /\ ~(c1_1_ a1002_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c1_1_ a1003_ /\ (~(c0_1_ a1003_) /\ ~(c2_1_ a1003_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c1_1_ a1004_ /\ (c2_1_ a1004_ /\ ~(c3_1_ a1004_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (~(c1_1_ a1005_) /\ (~(c2_1_ a1005_) /\ ~(c3_1_ a1005_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c0_1_ a1006_ /\ (c3_1_ a1006_ /\ ~(c2_1_ a1006_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c2_1_ a1008_ /\ (~(c1_1_ a1008_) /\ ~(c3_1_ a1008_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c0_1_ a1010_ /\ (c3_1_ a1010_ /\ ~(c1_1_ a1010_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c0_1_ a1011_ /\ (c1_1_ a1011_ /\ ~(c2_1_ a1011_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c0_1_ a1012_ /\ (~(c1_1_ a1012_) /\ ~(c3_1_ a1012_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c3_1_ a1015_ /\ (~(c0_1_ a1015_) /\ ~(c1_1_ a1015_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c1_1_ a1019_ /\ (c2_1_ a1019_ /\ ~(c0_1_ a1019_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c3_1_ a1023_ /\ (~(c1_1_ a1023_) /\ ~(c2_1_ a1023_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c0_1_ a1025_ /\ (~(c2_1_ a1025_) /\ ~(c3_1_ a1025_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c2_1_ a1026_ /\ (~(c0_1_ a1026_) /\ ~(c1_1_ a1026_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c1_1_ a1030_ /\ (~(c2_1_ a1030_) /\ ~(c3_1_ a1030_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c2_1_ a1032_ /\ (c3_1_ a1032_ /\ ~(c0_1_ a1032_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c1_1_ a1036_ /\ (c3_1_ a1036_ /\ ~(c2_1_ a1036_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (~(c0_1_ a1037_) /\ (~(c1_1_ a1037_) /\ ~(c3_1_ a1037_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (~(c0_1_ a1038_) /\ (~(c1_1_ a1038_) /\ ~(c2_1_ a1038_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c2_1_ a1041_ /\ (~(c0_1_ a1041_) /\ ~(c3_1_ a1041_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c0_1_ a1043_ /\ (~(c1_1_ a1043_) /\ ~(c2_1_ a1043_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c0_1_ a1044_ /\ (c1_1_ a1044_ /\ ~(c3_1_ a1044_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c1_1_ a1045_ /\ (c3_1_ a1045_ /\ ~(c0_1_ a1045_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c1_1_ a1048_ /\ (~(c0_1_ a1048_) /\ ~(c3_1_ a1048_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c3_1_ a1052_ /\ (~(c0_1_ a1052_) /\ ~(c2_1_ a1052_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a1029_ /\ (c2_1_ a1029_ /\ c3_1_ a1029_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a1033_ /\ (c1_1_ a1033_ /\ c2_1_ a1033_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a1040_ /\ (c1_1_ a1040_ /\ c3_1_ a1040_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c1_1_ V \/ ~(c2_1_ V))))) \/ (forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c2_1_ W \/ ~(c3_1_ W))))))) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ c2_1_ X)))) \/ (hskp0_ \/ hskp1_)) /\ (((forall Y : Universe, (ndr1_0_ -> (c0_1_ Y \/ (c1_1_ Y \/ c3_1_ Y)))) \/ ((forall Z : Universe, (ndr1_0_ -> (c1_1_ Z \/ (c2_1_ Z \/ c3_1_ Z)))) \/ hskp2_)) /\ (((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c1_1_ X1 \/ ~(c2_1_ X1))))) \/ ((forall X2 : Universe, (ndr1_0_ -> (c1_1_ X2 \/ (~(c0_1_ X2) \/ ~(c2_1_ X2))))) \/ (forall X3 : Universe, (ndr1_0_ -> (c2_1_ X3 \/ (~(c0_1_ X3) \/ ~(c1_1_ X3))))))) /\ (((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c1_1_ X4 \/ ~(c2_1_ X4))))) \/ ((forall X5 : Universe, (ndr1_0_ -> (c2_1_ X5 \/ (c3_1_ X5 \/ ~(c1_1_ X5))))) \/ hskp3_)) /\ (((forall X6 : Universe, (ndr1_0_ -> (c0_1_ X6 \/ (c1_1_ X6 \/ ~(c2_1_ X6))))) \/ ((forall X7 : Universe, (ndr1_0_ -> (c2_1_ X7 \/ (~(c0_1_ X7) \/ ~(c3_1_ X7))))) \/ hskp4_)) /\ (((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (c1_1_ X8 \/ ~(c3_1_ X8))))) \/ ((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c2_1_ X9 \/ ~(c3_1_ X9))))) \/ (forall X10 : Universe, (ndr1_0_ -> (c1_1_ X10 \/ (c3_1_ X10 \/ ~(c2_1_ X10))))))) /\ (((forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (c1_1_ X11 \/ ~(c3_1_ X11))))) \/ ((forall X12 : Universe, (ndr1_0_ -> (~(c0_1_ X12) \/ (~(c1_1_ X12) \/ ~(c2_1_ X12))))) \/ hskp5_)) /\ (((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c2_1_ X13 \/ c3_1_ X13)))) \/ ((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c3_1_ X14 \/ ~(c1_1_ X14))))) \/ (forall X15 : Universe, (ndr1_0_ -> (c1_1_ X15 \/ (c2_1_ X15 \/ c3_1_ X15)))))) /\ (((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (c2_1_ X16 \/ c3_1_ X16)))) \/ ((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (~(c2_1_ X17) \/ ~(c3_1_ X17))))) \/ hskp6_)) /\ (((forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (c2_1_ X18 \/ c3_1_ X18)))) \/ ((forall X19 : Universe, (ndr1_0_ -> (c1_1_ X19 \/ (c3_1_ X19 \/ ~(c2_1_ X19))))) \/ (forall X20 : Universe, (ndr1_0_ -> (c2_1_ X20 \/ (c3_1_ X20 \/ ~(c0_1_ X20))))))) /\ (((forall X21 : Universe, (ndr1_0_ -> (c0_1_ X21 \/ (c2_1_ X21 \/ ~(c1_1_ X21))))) \/ ((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (~(c1_1_ X22) \/ ~(c2_1_ X22))))) \/ hskp0_)) /\ (((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c2_1_ X23 \/ ~(c1_1_ X23))))) \/ ((forall X24 : Universe, (ndr1_0_ -> (c1_1_ X24 \/ (c2_1_ X24 \/ ~(c3_1_ X24))))) \/ hskp7_)) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c2_1_ X25 \/ ~(c1_1_ X25))))) \/ ((forall X26 : Universe, (ndr1_0_ -> (c1_1_ X26 \/ (c3_1_ X26 \/ ~(c0_1_ X26))))) \/ hskp4_)) /\ (((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (c2_1_ X27 \/ ~(c1_1_ X27))))) \/ ((forall X28 : Universe, (ndr1_0_ -> (c1_1_ X28 \/ (c3_1_ X28 \/ ~(c2_1_ X28))))) \/ hskp8_)) /\ (((forall X29 : Universe, (ndr1_0_ -> (c0_1_ X29 \/ (c2_1_ X29 \/ ~(c1_1_ X29))))) \/ (hskp9_ \/ hskp10_)) /\ (((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (c2_1_ X30 \/ ~(c1_1_ X30))))) \/ (hskp8_ \/ hskp7_)) /\ (((forall X31 : Universe, (ndr1_0_ -> (c0_1_ X31 \/ (c3_1_ X31 \/ ~(c1_1_ X31))))) \/ ((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (~(c1_1_ X32) \/ ~(c3_1_ X32))))) \/ hskp11_)) /\ (((forall X33 : Universe, (ndr1_0_ -> (c0_1_ X33 \/ (c3_1_ X33 \/ ~(c1_1_ X33))))) \/ ((forall X34 : Universe, (ndr1_0_ -> (c1_1_ X34 \/ (c2_1_ X34 \/ ~(c3_1_ X34))))) \/ (forall X35 : Universe, (ndr1_0_ -> (~(c1_1_ X35) \/ (~(c2_1_ X35) \/ ~(c3_1_ X35))))))) /\ (((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (c3_1_ X36 \/ ~(c1_1_ X36))))) \/ ((forall X37 : Universe, (ndr1_0_ -> (c1_1_ X37 \/ (c3_1_ X37 \/ ~(c2_1_ X37))))) \/ hskp7_)) /\ (((forall X38 : Universe, (ndr1_0_ -> (c0_1_ X38 \/ (c3_1_ X38 \/ ~(c1_1_ X38))))) \/ ((forall X39 : Universe, (ndr1_0_ -> (c1_1_ X39 \/ (~(c0_1_ X39) \/ ~(c3_1_ X39))))) \/ (forall X40 : Universe, (ndr1_0_ -> (c3_1_ X40 \/ (~(c0_1_ X40) \/ ~(c2_1_ X40))))))) /\ (((forall X41 : Universe, (ndr1_0_ -> (c0_1_ X41 \/ (c3_1_ X41 \/ ~(c1_1_ X41))))) \/ ((forall X42 : Universe, (ndr1_0_ -> (~(c0_1_ X42) \/ (~(c2_1_ X42) \/ ~(c3_1_ X42))))) \/ hskp6_)) /\ (((forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (c3_1_ X43 \/ ~(c1_1_ X43))))) \/ (hskp6_ \/ hskp12_)) /\ (((forall X44 : Universe, (ndr1_0_ -> (c0_1_ X44 \/ (c3_1_ X44 \/ ~(c2_1_ X44))))) \/ ((forall X45 : Universe, (ndr1_0_ -> (c1_1_ X45 \/ (~(c0_1_ X45) \/ ~(c2_1_ X45))))) \/ (forall X46 : Universe, (ndr1_0_ -> (c2_1_ X46 \/ (c3_1_ X46 \/ ~(c0_1_ X46))))))) /\ (((forall X47 : Universe, (ndr1_0_ -> (c0_1_ X47 \/ (c3_1_ X47 \/ ~(c2_1_ X47))))) \/ ((forall X48 : Universe, (ndr1_0_ -> (c1_1_ X48 \/ (~(c0_1_ X48) \/ ~(c3_1_ X48))))) \/ hskp11_)) /\ (((forall X49 : Universe, (ndr1_0_ -> (c0_1_ X49 \/ (c3_1_ X49 \/ ~(c2_1_ X49))))) \/ (hskp2_ \/ hskp1_)) /\ (((forall X50 : Universe, (ndr1_0_ -> (c0_1_ X50 \/ (~(c1_1_ X50) \/ ~(c2_1_ X50))))) \/ ((forall X51 : Universe, (ndr1_0_ -> (c1_1_ X51 \/ (c2_1_ X51 \/ ~(c3_1_ X51))))) \/ hskp13_)) /\ (((forall X52 : Universe, (ndr1_0_ -> (c0_1_ X52 \/ (~(c1_1_ X52) \/ ~(c2_1_ X52))))) \/ ((forall X53 : Universe, (ndr1_0_ -> (c1_1_ X53 \/ (~(c2_1_ X53) \/ ~(c3_1_ X53))))) \/ hskp8_)) /\ (((forall X54 : Universe, (ndr1_0_ -> (c0_1_ X54 \/ (~(c1_1_ X54) \/ ~(c2_1_ X54))))) \/ ((forall X55 : Universe, (ndr1_0_ -> (c2_1_ X55 \/ (~(c0_1_ X55) \/ ~(c3_1_ X55))))) \/ hskp14_)) /\ (((forall X56 : Universe, (ndr1_0_ -> (c0_1_ X56 \/ (~(c1_1_ X56) \/ ~(c3_1_ X56))))) \/ ((forall X57 : Universe, (ndr1_0_ -> (c0_1_ X57 \/ (~(c2_1_ X57) \/ ~(c3_1_ X57))))) \/ (forall X58 : Universe, (ndr1_0_ -> (~(c1_1_ X58) \/ (~(c2_1_ X58) \/ ~(c3_1_ X58))))))) /\ (((forall X59 : Universe, (ndr1_0_ -> (c0_1_ X59 \/ (~(c1_1_ X59) \/ ~(c3_1_ X59))))) \/ ((forall X60 : Universe, (ndr1_0_ -> (c1_1_ X60 \/ (~(c0_1_ X60) \/ ~(c3_1_ X60))))) \/ hskp15_)) /\ (((forall X61 : Universe, (ndr1_0_ -> (c0_1_ X61 \/ (~(c2_1_ X61) \/ ~(c3_1_ X61))))) \/ ((forall X62 : Universe, (ndr1_0_ -> (c2_1_ X62 \/ (c3_1_ X62 \/ ~(c1_1_ X62))))) \/ hskp9_)) /\ (((forall X63 : Universe, (ndr1_0_ -> (c1_1_ X63 \/ (c2_1_ X63 \/ c3_1_ X63)))) \/ ((forall X64 : Universe, (ndr1_0_ -> (c1_1_ X64 \/ (c3_1_ X64 \/ ~(c0_1_ X64))))) \/ hskp13_)) /\ (((forall X65 : Universe, (ndr1_0_ -> (c1_1_ X65 \/ (c2_1_ X65 \/ c3_1_ X65)))) \/ ((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (~(c0_1_ X66) \/ ~(c2_1_ X66))))) \/ hskp27_)) /\ (((forall X67 : Universe, (ndr1_0_ -> (c1_1_ X67 \/ (c2_1_ X67 \/ c3_1_ X67)))) \/ ((forall X68 : Universe, (ndr1_0_ -> (c2_1_ X68 \/ (c3_1_ X68 \/ ~(c1_1_ X68))))) \/ hskp16_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (c1_1_ X69 \/ (c2_1_ X69 \/ c3_1_ X69)))) \/ ((forall X70 : Universe, (ndr1_0_ -> (c2_1_ X70 \/ (~(c0_1_ X70) \/ ~(c3_1_ X70))))) \/ hskp12_)) /\ (((forall X71 : Universe, (ndr1_0_ -> (c1_1_ X71 \/ (c2_1_ X71 \/ c3_1_ X71)))) \/ ((forall X72 : Universe, (ndr1_0_ -> (c3_1_ X72 \/ (~(c0_1_ X72) \/ ~(c1_1_ X72))))) \/ hskp17_)) /\ (((forall X73 : Universe, (ndr1_0_ -> (c1_1_ X73 \/ (c2_1_ X73 \/ ~(c3_1_ X73))))) \/ (hskp28_ \/ hskp8_)) /\ (((forall X74 : Universe, (ndr1_0_ -> (c1_1_ X74 \/ (c2_1_ X74 \/ ~(c3_1_ X74))))) \/ (hskp10_ \/ hskp18_)) /\ (((forall X75 : Universe, (ndr1_0_ -> (c1_1_ X75 \/ (c3_1_ X75 \/ ~(c0_1_ X75))))) \/ ((forall X76 : Universe, (ndr1_0_ -> (c1_1_ X76 \/ (~(c0_1_ X76) \/ ~(c2_1_ X76))))) \/ hskp19_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (c1_1_ X77 \/ (c3_1_ X77 \/ ~(c0_1_ X77))))) \/ ((forall X78 : Universe, (ndr1_0_ -> (c2_1_ X78 \/ (c3_1_ X78 \/ ~(c0_1_ X78))))) \/ hskp20_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (c1_1_ X79 \/ (c3_1_ X79 \/ ~(c0_1_ X79))))) \/ ((forall X80 : Universe, (ndr1_0_ -> (c3_1_ X80 \/ (~(c1_1_ X80) \/ ~(c2_1_ X80))))) \/ hskp10_)) /\ (((forall X81 : Universe, (ndr1_0_ -> (c1_1_ X81 \/ (c3_1_ X81 \/ ~(c0_1_ X81))))) \/ (hskp29_ \/ hskp21_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c1_1_ X82 \/ (~(c0_1_ X82) \/ ~(c2_1_ X82))))) \/ ((forall X83 : Universe, (ndr1_0_ -> (c1_1_ X83 \/ (~(c2_1_ X83) \/ ~(c3_1_ X83))))) \/ hskp6_)) /\ (((forall X84 : Universe, (ndr1_0_ -> (c1_1_ X84 \/ (~(c0_1_ X84) \/ ~(c3_1_ X84))))) \/ ((forall X85 : Universe, (ndr1_0_ -> (c2_1_ X85 \/ (c3_1_ X85 \/ ~(c1_1_ X85))))) \/ hskp22_)) /\ (((forall X86 : Universe, (ndr1_0_ -> (c1_1_ X86 \/ (~(c0_1_ X86) \/ ~(c3_1_ X86))))) \/ ((forall X87 : Universe, (ndr1_0_ -> (c2_1_ X87 \/ (~(c0_1_ X87) \/ ~(c1_1_ X87))))) \/ (forall X88 : Universe, (ndr1_0_ -> (~(c1_1_ X88) \/ (~(c2_1_ X88) \/ ~(c3_1_ X88))))))) /\ (((forall X89 : Universe, (ndr1_0_ -> (c1_1_ X89 \/ (~(c0_1_ X89) \/ ~(c3_1_ X89))))) \/ hskp23_) /\ (((forall X90 : Universe, (ndr1_0_ -> (c1_1_ X90 \/ (~(c0_1_ X90) \/ ~(c3_1_ X90))))) \/ (hskp24_ \/ hskp15_)) /\ (((forall X91 : Universe, (ndr1_0_ -> (c1_1_ X91 \/ (~(c2_1_ X91) \/ ~(c3_1_ X91))))) \/ ((forall X92 : Universe, (ndr1_0_ -> (c2_1_ X92 \/ (~(c0_1_ X92) \/ ~(c3_1_ X92))))) \/ (forall X93 : Universe, (ndr1_0_ -> (c3_1_ X93 \/ (~(c1_1_ X93) \/ ~(c2_1_ X93))))))) /\ (((forall X94 : Universe, (ndr1_0_ -> (c2_1_ X94 \/ (c3_1_ X94 \/ ~(c0_1_ X94))))) \/ (hskp3_ \/ hskp25_)) /\ (((forall X95 : Universe, (ndr1_0_ -> (c2_1_ X95 \/ (c3_1_ X95 \/ ~(c1_1_ X95))))) \/ ((forall X96 : Universe, (ndr1_0_ -> (c3_1_ X96 \/ (~(c0_1_ X96) \/ ~(c2_1_ X96))))) \/ hskp15_)) /\ (((forall X97 : Universe, (ndr1_0_ -> (c2_1_ X97 \/ (~(c0_1_ X97) \/ ~(c1_1_ X97))))) \/ ((forall X98 : Universe, (ndr1_0_ -> (~(c0_1_ X98) \/ (~(c2_1_ X98) \/ ~(c3_1_ X98))))) \/ hskp6_)) /\ (((forall X99 : Universe, (ndr1_0_ -> (c2_1_ X99 \/ (~(c0_1_ X99) \/ ~(c1_1_ X99))))) \/ (hskp8_ \/ hskp26_)) /\ (((forall X100 : Universe, (ndr1_0_ -> (c2_1_ X100 \/ (~(c0_1_ X100) \/ ~(c1_1_ X100))))) \/ (hskp6_ \/ hskp13_)) /\ (((forall X101 : Universe, (ndr1_0_ -> (c2_1_ X101 \/ (~(c0_1_ X101) \/ ~(c3_1_ X101))))) \/ (hskp23_ \/ hskp3_)) /\ (((forall X102 : Universe, (ndr1_0_ -> (c2_1_ X102 \/ (~(c1_1_ X102) \/ ~(c3_1_ X102))))) \/ (hskp6_ \/ hskp22_)) /\ (((forall X103 : Universe, (ndr1_0_ -> (c3_1_ X103 \/ (~(c0_1_ X103) \/ ~(c1_1_ X103))))) \/ (hskp4_ \/ hskp19_)) /\ (((forall X104 : Universe, (ndr1_0_ -> (c3_1_ X104 \/ (~(c0_1_ X104) \/ ~(c2_1_ X104))))) \/ ((forall X105 : Universe, (ndr1_0_ -> (~(c0_1_ X105) \/ (~(c1_1_ X105) \/ ~(c2_1_ X105))))) \/ hskp17_)) /\ (((forall X106 : Universe, (ndr1_0_ -> (c3_1_ X106 \/ (~(c1_1_ X106) \/ ~(c2_1_ X106))))) \/ (hskp23_ \/ hskp4_)) /\ (((forall X107 : Universe, (ndr1_0_ -> (~(c0_1_ X107) \/ (~(c1_1_ X107) \/ ~(c2_1_ X107))))) \/ (hskp9_ \/ hskp12_)) /\ (((forall X108 : Universe, (ndr1_0_ -> (~(c0_1_ X108) \/ (~(c1_1_ X108) \/ ~(c2_1_ X108))))) \/ hskp7_) /\ (((forall X109 : Universe, (ndr1_0_ -> (~(c0_1_ X109) \/ (~(c2_1_ X109) \/ ~(c3_1_ X109))))) \/ (hskp24_ \/ hskp3_)) /\ (((forall X110 : Universe, (ndr1_0_ -> (~(c0_1_ X110) \/ (~(c2_1_ X110) \/ ~(c3_1_ X110))))) \/ (hskp26_ \/ hskp19_)) /\ ((hskp29_ \/ (hskp23_ \/ hskp13_)) /\ ((hskp29_ \/ (hskp12_ \/ hskp5_)) /\ ((hskp29_ \/ (hskp3_ \/ hskp26_)) /\ ((hskp23_ \/ (hskp18_ \/ hskp20_)) /\ ((hskp27_ \/ (hskp6_ \/ hskp14_)) /\ ((hskp27_ \/ (hskp7_ \/ hskp26_)) /\ ((hskp22_ \/ (hskp14_ \/ hskp12_)) /\ ((hskp4_ \/ (hskp21_ \/ hskp7_)) /\ (hskp24_ \/ (hskp25_ \/ hskp19_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
