(*
% File     : SYN476+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=72, K=3, D=1, P=0, Index=068
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-72-3-1-068.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.44 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  702 (   0 equality)
%            Maximal formula depth :  107 ( 107 average)
%            Number of connectives :  957 ( 256 ~  ; 393  |; 199  &)
%                                         (   0 <=>; 109 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   37 (  33 propositional; 0-1 arity)
%            Number of functors    :   32 (  32 constant; 0-0 arity)
%            Number of variables   :  109 (   0 singleton; 109 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp31_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a1200_ : Universe.
Variable a1180_ : Universe.
Variable a1172_ : Universe.
Variable a1149_ : Universe.
Variable a1148_ : Universe.
Variable a1147_ : Universe.
Variable a1145_ : Universe.
Variable a1136_ : Universe.
Variable a1131_ : Universe.
Variable a1130_ : Universe.
Variable a1127_ : Universe.
Variable a1125_ : Universe.
Variable a1124_ : Universe.
Variable a1121_ : Universe.
Variable a1119_ : Universe.
Variable a1118_ : Universe.
Variable a1116_ : Universe.
Variable a1115_ : Universe.
Variable a1114_ : Universe.
Variable a1113_ : Universe.
Variable a1111_ : Universe.
Variable a1110_ : Universe.
Variable a1108_ : Universe.
Variable a1107_ : Universe.
Variable a1105_ : Universe.
Variable a1104_ : Universe.
Variable a1103_ : Universe.
Variable a1102_ : Universe.
Variable a1101_ : Universe.
Variable a1100_ : Universe.
Variable a1099_ : Universe.
Variable a1098_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (~(c1_1_ a1098_) /\ (~(c2_1_ a1098_) /\ ~(c3_1_ a1098_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c1_1_ a1099_ /\ (c2_1_ a1099_ /\ ~(c0_1_ a1099_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c0_1_ a1100_ /\ (c2_1_ a1100_ /\ ~(c3_1_ a1100_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c1_1_ a1101_ /\ (c2_1_ a1101_ /\ ~(c3_1_ a1101_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c0_1_ a1102_ /\ (c1_1_ a1102_ /\ ~(c3_1_ a1102_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c3_1_ a1103_ /\ (~(c0_1_ a1103_) /\ ~(c2_1_ a1103_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c0_1_ a1104_ /\ (c1_1_ a1104_ /\ ~(c2_1_ a1104_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c0_1_ a1105_ /\ (c3_1_ a1105_ /\ ~(c1_1_ a1105_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c3_1_ a1107_ /\ (~(c0_1_ a1107_) /\ ~(c1_1_ a1107_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c0_1_ a1108_ /\ (~(c1_1_ a1108_) /\ ~(c3_1_ a1108_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c3_1_ a1110_ /\ (~(c1_1_ a1110_) /\ ~(c2_1_ a1110_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c0_1_ a1113_ /\ (c3_1_ a1113_ /\ ~(c2_1_ a1113_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c2_1_ a1114_ /\ (~(c0_1_ a1114_) /\ ~(c3_1_ a1114_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c2_1_ a1115_ /\ (~(c1_1_ a1115_) /\ ~(c3_1_ a1115_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c1_1_ a1118_ /\ (~(c2_1_ a1118_) /\ ~(c3_1_ a1118_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c1_1_ a1119_ /\ (~(c0_1_ a1119_) /\ ~(c2_1_ a1119_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c1_1_ a1121_ /\ (c3_1_ a1121_ /\ ~(c0_1_ a1121_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c0_1_ a1124_ /\ (~(c1_1_ a1124_) /\ ~(c2_1_ a1124_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c0_1_ a1125_ /\ (c2_1_ a1125_ /\ ~(c1_1_ a1125_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c1_1_ a1127_ /\ (c3_1_ a1127_ /\ ~(c2_1_ a1127_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (~(c0_1_ a1130_) /\ (~(c2_1_ a1130_) /\ ~(c3_1_ a1130_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c1_1_ a1131_ /\ (~(c0_1_ a1131_) /\ ~(c3_1_ a1131_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c2_1_ a1145_ /\ (c3_1_ a1145_ /\ ~(c1_1_ a1145_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c0_1_ a1147_ /\ (~(c2_1_ a1147_) /\ ~(c3_1_ a1147_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c2_1_ a1149_ /\ (c3_1_ a1149_ /\ ~(c0_1_ a1149_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c2_1_ a1172_ /\ (~(c0_1_ a1172_) /\ ~(c1_1_ a1172_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (~(c0_1_ a1180_) /\ (~(c1_1_ a1180_) /\ ~(c2_1_ a1180_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (~(c0_1_ a1200_) /\ (~(c1_1_ a1200_) /\ ~(c3_1_ a1200_))))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a1111_ /\ (c1_1_ a1111_ /\ c2_1_ a1111_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a1116_ /\ (c2_1_ a1116_ /\ c3_1_ a1116_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c1_1_ a1136_ /\ (c2_1_ a1136_ /\ c3_1_ a1136_)))) /\ ((~(hskp31_) \/ (ndr1_0_ /\ (c0_1_ a1148_ /\ (c1_1_ a1148_ /\ c3_1_ a1148_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c2_1_ V \/ ~(c3_1_ V))))) \/ hskp0_)) /\ (((forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c1_1_ W \/ c3_1_ W)))) \/ ((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c3_1_ X \/ ~(c1_1_ X))))) \/ hskp1_)) /\ (((forall Y : Universe, (ndr1_0_ -> (c0_1_ Y \/ (c1_1_ Y \/ c3_1_ Y)))) \/ ((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (~(c1_1_ Z) \/ ~(c3_1_ Z))))) \/ (forall X1 : Universe, (ndr1_0_ -> (c3_1_ X1 \/ (~(c0_1_ X1) \/ ~(c1_1_ X1))))))) /\ (((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ c3_1_ X2)))) \/ ((forall X3 : Universe, (ndr1_0_ -> (c1_1_ X3 \/ (~(c2_1_ X3) \/ ~(c3_1_ X3))))) \/ hskp2_)) /\ (((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c1_1_ X4 \/ c3_1_ X4)))) \/ ((forall X5 : Universe, (ndr1_0_ -> (c3_1_ X5 \/ (~(c0_1_ X5) \/ ~(c2_1_ X5))))) \/ hskp3_)) /\ (((forall X6 : Universe, (ndr1_0_ -> (c0_1_ X6 \/ (c1_1_ X6 \/ ~(c2_1_ X6))))) \/ ((forall X7 : Universe, (ndr1_0_ -> (c1_1_ X7 \/ (c2_1_ X7 \/ ~(c0_1_ X7))))) \/ (forall X8 : Universe, (ndr1_0_ -> (~(c1_1_ X8) \/ (~(c2_1_ X8) \/ ~(c3_1_ X8))))))) /\ (((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c1_1_ X9 \/ ~(c2_1_ X9))))) \/ ((forall X10 : Universe, (ndr1_0_ -> (c1_1_ X10 \/ (~(c0_1_ X10) \/ ~(c3_1_ X10))))) \/ (forall X11 : Universe, (ndr1_0_ -> (~(c0_1_ X11) \/ (~(c2_1_ X11) \/ ~(c3_1_ X11))))))) /\ (((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (c2_1_ X12 \/ c3_1_ X12)))) \/ ((forall X13 : Universe, (ndr1_0_ -> (c3_1_ X13 \/ (~(c0_1_ X13) \/ ~(c1_1_ X13))))) \/ hskp4_)) /\ (((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c2_1_ X14 \/ c3_1_ X14)))) \/ ((forall X15 : Universe, (ndr1_0_ -> (c3_1_ X15 \/ (~(c1_1_ X15) \/ ~(c2_1_ X15))))) \/ hskp5_)) /\ (((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (c2_1_ X16 \/ c3_1_ X16)))) \/ (hskp6_ \/ hskp7_)) /\ (((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c2_1_ X17 \/ c3_1_ X17)))) \/ (hskp6_ \/ hskp8_)) /\ (((forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (c2_1_ X18 \/ ~(c1_1_ X18))))) \/ ((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (~(c1_1_ X19) \/ ~(c2_1_ X19))))) \/ hskp9_)) /\ (((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (c2_1_ X20 \/ ~(c1_1_ X20))))) \/ ((forall X21 : Universe, (ndr1_0_ -> (c0_1_ X21 \/ (~(c2_1_ X21) \/ ~(c3_1_ X21))))) \/ hskp3_)) /\ (((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (c2_1_ X22 \/ ~(c1_1_ X22))))) \/ ((forall X23 : Universe, (ndr1_0_ -> (~(c1_1_ X23) \/ (~(c2_1_ X23) \/ ~(c3_1_ X23))))) \/ hskp10_)) /\ (((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (c2_1_ X24 \/ ~(c1_1_ X24))))) \/ (hskp28_ \/ hskp2_)) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c2_1_ X25 \/ ~(c1_1_ X25))))) \/ (hskp11_ \/ hskp12_)) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c2_1_ X26 \/ ~(c3_1_ X26))))) \/ ((forall X27 : Universe, (ndr1_0_ -> (c1_1_ X27 \/ (c2_1_ X27 \/ ~(c3_1_ X27))))) \/ hskp13_)) /\ (((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (c2_1_ X28 \/ ~(c3_1_ X28))))) \/ ((forall X29 : Universe, (ndr1_0_ -> (c2_1_ X29 \/ (c3_1_ X29 \/ ~(c1_1_ X29))))) \/ hskp29_)) /\ (((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (c2_1_ X30 \/ ~(c3_1_ X30))))) \/ (hskp7_ \/ hskp14_)) /\ (((forall X31 : Universe, (ndr1_0_ -> (c0_1_ X31 \/ (c3_1_ X31 \/ ~(c1_1_ X31))))) \/ ((forall X32 : Universe, (ndr1_0_ -> (c1_1_ X32 \/ (c2_1_ X32 \/ c3_1_ X32)))) \/ hskp15_)) /\ (((forall X33 : Universe, (ndr1_0_ -> (c0_1_ X33 \/ (c3_1_ X33 \/ ~(c1_1_ X33))))) \/ ((forall X34 : Universe, (ndr1_0_ -> (c2_1_ X34 \/ (c3_1_ X34 \/ ~(c0_1_ X34))))) \/ (forall X35 : Universe, (ndr1_0_ -> (~(c0_1_ X35) \/ (~(c2_1_ X35) \/ ~(c3_1_ X35))))))) /\ (((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (c3_1_ X36 \/ ~(c2_1_ X36))))) \/ (hskp2_ \/ hskp16_)) /\ (((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (~(c1_1_ X37) \/ ~(c2_1_ X37))))) \/ ((forall X38 : Universe, (ndr1_0_ -> (c1_1_ X38 \/ (c3_1_ X38 \/ ~(c0_1_ X38))))) \/ (forall X39 : Universe, (ndr1_0_ -> (c2_1_ X39 \/ (~(c0_1_ X39) \/ ~(c1_1_ X39))))))) /\ (((forall X40 : Universe, (ndr1_0_ -> (c0_1_ X40 \/ (~(c1_1_ X40) \/ ~(c2_1_ X40))))) \/ ((forall X41 : Universe, (ndr1_0_ -> (c1_1_ X41 \/ (c3_1_ X41 \/ ~(c0_1_ X41))))) \/ (forall X42 : Universe, (ndr1_0_ -> (~(c0_1_ X42) \/ (~(c1_1_ X42) \/ ~(c2_1_ X42))))))) /\ (((forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (~(c1_1_ X43) \/ ~(c2_1_ X43))))) \/ ((forall X44 : Universe, (ndr1_0_ -> (c1_1_ X44 \/ (c3_1_ X44 \/ ~(c0_1_ X44))))) \/ hskp29_)) /\ (((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (~(c1_1_ X45) \/ ~(c2_1_ X45))))) \/ (hskp28_ \/ hskp17_)) /\ (((forall X46 : Universe, (ndr1_0_ -> (c0_1_ X46 \/ (~(c1_1_ X46) \/ ~(c2_1_ X46))))) \/ (hskp18_ \/ hskp13_)) /\ (((forall X47 : Universe, (ndr1_0_ -> (c0_1_ X47 \/ (~(c1_1_ X47) \/ ~(c3_1_ X47))))) \/ ((forall X48 : Universe, (ndr1_0_ -> (c1_1_ X48 \/ (~(c2_1_ X48) \/ ~(c3_1_ X48))))) \/ hskp19_)) /\ (((forall X49 : Universe, (ndr1_0_ -> (c0_1_ X49 \/ (~(c1_1_ X49) \/ ~(c3_1_ X49))))) \/ ((forall X50 : Universe, (ndr1_0_ -> (c2_1_ X50 \/ (~(c0_1_ X50) \/ ~(c3_1_ X50))))) \/ hskp16_)) /\ (((forall X51 : Universe, (ndr1_0_ -> (c0_1_ X51 \/ (~(c1_1_ X51) \/ ~(c3_1_ X51))))) \/ ((forall X52 : Universe, (ndr1_0_ -> (c3_1_ X52 \/ (~(c0_1_ X52) \/ ~(c1_1_ X52))))) \/ (forall X53 : Universe, (ndr1_0_ -> (~(c1_1_ X53) \/ (~(c2_1_ X53) \/ ~(c3_1_ X53))))))) /\ (((forall X54 : Universe, (ndr1_0_ -> (c0_1_ X54 \/ (~(c1_1_ X54) \/ ~(c3_1_ X54))))) \/ ((forall X55 : Universe, (ndr1_0_ -> (c3_1_ X55 \/ (~(c0_1_ X55) \/ ~(c2_1_ X55))))) \/ hskp15_)) /\ (((forall X56 : Universe, (ndr1_0_ -> (c0_1_ X56 \/ (~(c1_1_ X56) \/ ~(c3_1_ X56))))) \/ ((forall X57 : Universe, (ndr1_0_ -> (c3_1_ X57 \/ (~(c0_1_ X57) \/ ~(c2_1_ X57))))) \/ hskp20_)) /\ (((forall X58 : Universe, (ndr1_0_ -> (c0_1_ X58 \/ (~(c1_1_ X58) \/ ~(c3_1_ X58))))) \/ (hskp21_ \/ hskp0_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c0_1_ X59 \/ (~(c2_1_ X59) \/ ~(c3_1_ X59))))) \/ ((forall X60 : Universe, (ndr1_0_ -> (c1_1_ X60 \/ (c2_1_ X60 \/ ~(c0_1_ X60))))) \/ hskp4_)) /\ (((forall X61 : Universe, (ndr1_0_ -> (c0_1_ X61 \/ (~(c2_1_ X61) \/ ~(c3_1_ X61))))) \/ ((forall X62 : Universe, (ndr1_0_ -> (c2_1_ X62 \/ (~(c1_1_ X62) \/ ~(c3_1_ X62))))) \/ hskp21_)) /\ (((forall X63 : Universe, (ndr1_0_ -> (c0_1_ X63 \/ (~(c2_1_ X63) \/ ~(c3_1_ X63))))) \/ ((forall X64 : Universe, (ndr1_0_ -> (~(c0_1_ X64) \/ (~(c2_1_ X64) \/ ~(c3_1_ X64))))) \/ hskp7_)) /\ (((forall X65 : Universe, (ndr1_0_ -> (c1_1_ X65 \/ (c2_1_ X65 \/ c3_1_ X65)))) \/ ((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (~(c0_1_ X66) \/ ~(c3_1_ X66))))) \/ hskp30_)) /\ (((forall X67 : Universe, (ndr1_0_ -> (c1_1_ X67 \/ (c2_1_ X67 \/ c3_1_ X67)))) \/ (hskp7_ \/ hskp5_)) /\ (((forall X68 : Universe, (ndr1_0_ -> (c1_1_ X68 \/ (c2_1_ X68 \/ c3_1_ X68)))) \/ (hskp19_ \/ hskp8_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (c1_1_ X69 \/ (c2_1_ X69 \/ ~(c0_1_ X69))))) \/ (hskp17_ \/ hskp19_)) /\ (((forall X70 : Universe, (ndr1_0_ -> (c1_1_ X70 \/ (c2_1_ X70 \/ ~(c3_1_ X70))))) \/ ((forall X71 : Universe, (ndr1_0_ -> (c1_1_ X71 \/ (~(c0_1_ X71) \/ ~(c2_1_ X71))))) \/ hskp9_)) /\ (((forall X72 : Universe, (ndr1_0_ -> (c1_1_ X72 \/ (c2_1_ X72 \/ ~(c3_1_ X72))))) \/ ((forall X73 : Universe, (ndr1_0_ -> (c2_1_ X73 \/ (c3_1_ X73 \/ ~(c1_1_ X73))))) \/ hskp11_)) /\ (((forall X74 : Universe, (ndr1_0_ -> (c1_1_ X74 \/ (c2_1_ X74 \/ ~(c3_1_ X74))))) \/ ((forall X75 : Universe, (ndr1_0_ -> (c2_1_ X75 \/ (~(c0_1_ X75) \/ ~(c1_1_ X75))))) \/ (forall X76 : Universe, (ndr1_0_ -> (~(c0_1_ X76) \/ (~(c2_1_ X76) \/ ~(c3_1_ X76))))))) /\ (((forall X77 : Universe, (ndr1_0_ -> (c1_1_ X77 \/ (c2_1_ X77 \/ ~(c3_1_ X77))))) \/ (hskp22_ \/ hskp0_)) /\ (((forall X78 : Universe, (ndr1_0_ -> (c1_1_ X78 \/ (c3_1_ X78 \/ ~(c0_1_ X78))))) \/ ((forall X79 : Universe, (ndr1_0_ -> (~(c0_1_ X79) \/ (~(c1_1_ X79) \/ ~(c2_1_ X79))))) \/ hskp23_)) /\ (((forall X80 : Universe, (ndr1_0_ -> (c1_1_ X80 \/ (c3_1_ X80 \/ ~(c0_1_ X80))))) \/ (hskp31_ \/ hskp24_)) /\ (((forall X81 : Universe, (ndr1_0_ -> (c1_1_ X81 \/ (~(c0_1_ X81) \/ ~(c2_1_ X81))))) \/ ((forall X82 : Universe, (ndr1_0_ -> (c2_1_ X82 \/ (~(c0_1_ X82) \/ ~(c3_1_ X82))))) \/ hskp7_)) /\ (((forall X83 : Universe, (ndr1_0_ -> (c1_1_ X83 \/ (~(c0_1_ X83) \/ ~(c2_1_ X83))))) \/ ((forall X84 : Universe, (ndr1_0_ -> (c2_1_ X84 \/ (~(c0_1_ X84) \/ ~(c3_1_ X84))))) \/ hskp20_)) /\ (((forall X85 : Universe, (ndr1_0_ -> (c1_1_ X85 \/ (~(c0_1_ X85) \/ ~(c2_1_ X85))))) \/ ((forall X86 : Universe, (ndr1_0_ -> (c3_1_ X86 \/ (~(c1_1_ X86) \/ ~(c2_1_ X86))))) \/ hskp24_)) /\ (((forall X87 : Universe, (ndr1_0_ -> (c1_1_ X87 \/ (~(c0_1_ X87) \/ ~(c2_1_ X87))))) \/ (hskp7_ \/ hskp23_)) /\ (((forall X88 : Universe, (ndr1_0_ -> (c1_1_ X88 \/ (~(c0_1_ X88) \/ ~(c3_1_ X88))))) \/ (hskp18_ \/ hskp30_)) /\ (((forall X89 : Universe, (ndr1_0_ -> (c1_1_ X89 \/ (~(c2_1_ X89) \/ ~(c3_1_ X89))))) \/ ((forall X90 : Universe, (ndr1_0_ -> (~(c0_1_ X90) \/ (~(c2_1_ X90) \/ ~(c3_1_ X90))))) \/ hskp2_)) /\ (((forall X91 : Universe, (ndr1_0_ -> (c1_1_ X91 \/ (~(c2_1_ X91) \/ ~(c3_1_ X91))))) \/ (hskp19_ \/ hskp14_)) /\ (((forall X92 : Universe, (ndr1_0_ -> (c1_1_ X92 \/ (~(c2_1_ X92) \/ ~(c3_1_ X92))))) \/ (hskp19_ \/ hskp8_)) /\ (((forall X93 : Universe, (ndr1_0_ -> (c2_1_ X93 \/ (~(c1_1_ X93) \/ ~(c3_1_ X93))))) \/ ((forall X94 : Universe, (ndr1_0_ -> (~(c0_1_ X94) \/ (~(c1_1_ X94) \/ ~(c3_1_ X94))))) \/ hskp28_)) /\ (((forall X95 : Universe, (ndr1_0_ -> (c2_1_ X95 \/ (~(c1_1_ X95) \/ ~(c3_1_ X95))))) \/ ((forall X96 : Universe, (ndr1_0_ -> (~(c0_1_ X96) \/ (~(c2_1_ X96) \/ ~(c3_1_ X96))))) \/ hskp2_)) /\ (((forall X97 : Universe, (ndr1_0_ -> (c3_1_ X97 \/ (~(c0_1_ X97) \/ ~(c1_1_ X97))))) \/ ((forall X98 : Universe, (ndr1_0_ -> (c3_1_ X98 \/ (~(c1_1_ X98) \/ ~(c2_1_ X98))))) \/ hskp5_)) /\ (((forall X99 : Universe, (ndr1_0_ -> (c3_1_ X99 \/ (~(c0_1_ X99) \/ ~(c1_1_ X99))))) \/ (hskp18_ \/ hskp15_)) /\ (((forall X100 : Universe, (ndr1_0_ -> (c3_1_ X100 \/ (~(c0_1_ X100) \/ ~(c2_1_ X100))))) \/ (hskp9_ \/ hskp13_)) /\ (((forall X101 : Universe, (ndr1_0_ -> (c3_1_ X101 \/ (~(c1_1_ X101) \/ ~(c2_1_ X101))))) \/ (hskp30_ \/ hskp21_)) /\ (((forall X102 : Universe, (ndr1_0_ -> (~(c0_1_ X102) \/ (~(c2_1_ X102) \/ ~(c3_1_ X102))))) \/ (hskp18_ \/ hskp25_)) /\ (((forall X103 : Universe, (ndr1_0_ -> (~(c1_1_ X103) \/ (~(c2_1_ X103) \/ ~(c3_1_ X103))))) \/ (hskp9_ \/ hskp19_)) /\ ((hskp6_ \/ (hskp21_ \/ hskp24_)) /\ ((hskp4_ \/ (hskp3_ \/ hskp26_)) /\ ((hskp18_ \/ (hskp16_ \/ hskp26_)) /\ ((hskp18_ \/ (hskp19_ \/ hskp25_)) /\ ((hskp7_ \/ (hskp23_ \/ hskp13_)) /\ ((hskp11_ \/ (hskp17_ \/ hskp25_)) /\ ((hskp23_ \/ (hskp30_ \/ hskp0_)) /\ ((hskp23_ \/ hskp14_) /\ ((hskp16_ \/ (hskp13_ \/ hskp27_)) /\ (hskp19_ \/ (hskp12_ \/ hskp26_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
