(*
% File     : SYN478+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=76, K=3, D=1, P=0, Index=006
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-76-3-1-006.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  688 (   0 equality)
%            Maximal formula depth :  110 ( 110 average)
%            Number of connectives :  916 ( 229 ~  ; 385  |; 199  &)
%                                         (   0 <=>; 103 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   36 (  32 propositional; 0-1 arity)
%            Number of functors    :   31 (  31 constant; 0-0 arity)
%            Number of variables   :  103 (   0 singleton; 103 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a1411_ : Universe.
Variable a1394_ : Universe.
Variable a1372_ : Universe.
Variable a1370_ : Universe.
Variable a1359_ : Universe.
Variable a1356_ : Universe.
Variable a1352_ : Universe.
Variable a1348_ : Universe.
Variable a1344_ : Universe.
Variable a1339_ : Universe.
Variable a1338_ : Universe.
Variable a1334_ : Universe.
Variable a1333_ : Universe.
Variable a1331_ : Universe.
Variable a1330_ : Universe.
Variable a1328_ : Universe.
Variable a1326_ : Universe.
Variable a1325_ : Universe.
Variable a1324_ : Universe.
Variable a1321_ : Universe.
Variable a1320_ : Universe.
Variable a1319_ : Universe.
Variable a1316_ : Universe.
Variable a1315_ : Universe.
Variable a1314_ : Universe.
Variable a1312_ : Universe.
Variable a1311_ : Universe.
Variable a1309_ : Universe.
Variable a1308_ : Universe.
Variable a1307_ : Universe.
Variable a1306_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (~(c0_1_ a1306_) /\ (~(c1_1_ a1306_) /\ ~(c2_1_ a1306_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c3_1_ a1308_ /\ (~(c1_1_ a1308_) /\ ~(c2_1_ a1308_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c1_1_ a1309_ /\ (c3_1_ a1309_ /\ ~(c2_1_ a1309_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c0_1_ a1311_ /\ (c2_1_ a1311_ /\ ~(c1_1_ a1311_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c0_1_ a1312_ /\ (~(c1_1_ a1312_) /\ ~(c3_1_ a1312_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c1_1_ a1314_ /\ (~(c0_1_ a1314_) /\ ~(c3_1_ a1314_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c3_1_ a1315_ /\ (~(c0_1_ a1315_) /\ ~(c1_1_ a1315_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (~(c0_1_ a1316_) /\ (~(c2_1_ a1316_) /\ ~(c3_1_ a1316_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c2_1_ a1319_ /\ (~(c0_1_ a1319_) /\ ~(c3_1_ a1319_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c2_1_ a1320_ /\ (~(c0_1_ a1320_) /\ ~(c1_1_ a1320_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c0_1_ a1321_ /\ (c3_1_ a1321_ /\ ~(c2_1_ a1321_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c0_1_ a1324_ /\ (c3_1_ a1324_ /\ ~(c1_1_ a1324_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c1_1_ a1325_ /\ (c3_1_ a1325_ /\ ~(c0_1_ a1325_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (~(c1_1_ a1326_) /\ (~(c2_1_ a1326_) /\ ~(c3_1_ a1326_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c0_1_ a1330_ /\ (~(c1_1_ a1330_) /\ ~(c2_1_ a1330_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c1_1_ a1331_ /\ (c2_1_ a1331_ /\ ~(c3_1_ a1331_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c1_1_ a1333_ /\ (~(c2_1_ a1333_) /\ ~(c3_1_ a1333_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c2_1_ a1334_ /\ (c3_1_ a1334_ /\ ~(c0_1_ a1334_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c1_1_ a1339_ /\ (~(c0_1_ a1339_) /\ ~(c2_1_ a1339_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c0_1_ a1344_ /\ (c1_1_ a1344_ /\ ~(c2_1_ a1344_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c1_1_ a1348_ /\ (c2_1_ a1348_ /\ ~(c0_1_ a1348_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c3_1_ a1352_ /\ (~(c0_1_ a1352_) /\ ~(c2_1_ a1352_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c0_1_ a1356_ /\ (c1_1_ a1356_ /\ ~(c3_1_ a1356_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (~(c0_1_ a1359_) /\ (~(c1_1_ a1359_) /\ ~(c3_1_ a1359_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c2_1_ a1370_ /\ (~(c1_1_ a1370_) /\ ~(c3_1_ a1370_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c0_1_ a1394_ /\ (c2_1_ a1394_ /\ ~(c3_1_ a1394_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c0_1_ a1411_ /\ (~(c2_1_ a1411_) /\ ~(c3_1_ a1411_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a1307_ /\ (c1_1_ a1307_ /\ c2_1_ a1307_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a1328_ /\ (c2_1_ a1328_ /\ c3_1_ a1328_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c1_1_ a1338_ /\ (c2_1_ a1338_ /\ c3_1_ a1338_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c0_1_ a1372_ /\ (c1_1_ a1372_ /\ c3_1_ a1372_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c1_1_ V \/ (c3_1_ V \/ ~(c2_1_ V))))) \/ hskp0_)) /\ (((forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c1_1_ W \/ c2_1_ W)))) \/ ((forall X : Universe, (ndr1_0_ -> (c2_1_ X \/ (~(c1_1_ X) \/ ~(c3_1_ X))))) \/ (forall Y : Universe, (ndr1_0_ -> (c3_1_ Y \/ (~(c0_1_ Y) \/ ~(c1_1_ Y))))))) /\ (((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c1_1_ Z \/ c2_1_ Z)))) \/ (hskp27_ \/ hskp1_)) /\ (((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c1_1_ X1 \/ c2_1_ X1)))) \/ (hskp2_ \/ hskp1_)) /\ (((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ c3_1_ X2)))) \/ ((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (c1_1_ X3 \/ ~(c2_1_ X3))))) \/ (forall X4 : Universe, (ndr1_0_ -> (c1_1_ X4 \/ (c3_1_ X4 \/ ~(c2_1_ X4))))))) /\ (((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (c1_1_ X5 \/ c3_1_ X5)))) \/ ((forall X6 : Universe, (ndr1_0_ -> (c2_1_ X6 \/ (~(c0_1_ X6) \/ ~(c3_1_ X6))))) \/ hskp3_)) /\ (((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (c1_1_ X7 \/ ~(c2_1_ X7))))) \/ (hskp4_ \/ hskp2_)) /\ (((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (c1_1_ X8 \/ ~(c2_1_ X8))))) \/ (hskp5_ \/ hskp6_)) /\ (((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c1_1_ X9 \/ ~(c3_1_ X9))))) \/ ((forall X10 : Universe, (ndr1_0_ -> (c2_1_ X10 \/ (~(c1_1_ X10) \/ ~(c3_1_ X10))))) \/ hskp7_)) /\ (((forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (c2_1_ X11 \/ c3_1_ X11)))) \/ ((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (c3_1_ X12 \/ ~(c2_1_ X12))))) \/ hskp6_)) /\ (((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c2_1_ X13 \/ c3_1_ X13)))) \/ ((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (~(c1_1_ X14) \/ ~(c2_1_ X14))))) \/ hskp6_)) /\ (((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c2_1_ X15 \/ c3_1_ X15)))) \/ ((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (~(c2_1_ X16) \/ ~(c3_1_ X16))))) \/ hskp8_)) /\ (((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c2_1_ X17 \/ c3_1_ X17)))) \/ ((forall X18 : Universe, (ndr1_0_ -> (c2_1_ X18 \/ (c3_1_ X18 \/ ~(c0_1_ X18))))) \/ hskp9_)) /\ (((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (c2_1_ X19 \/ c3_1_ X19)))) \/ (hskp10_ \/ hskp6_)) /\ (((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (c2_1_ X20 \/ ~(c1_1_ X20))))) \/ ((forall X21 : Universe, (ndr1_0_ -> (c0_1_ X21 \/ (c2_1_ X21 \/ ~(c3_1_ X21))))) \/ (forall X22 : Universe, (ndr1_0_ -> (c2_1_ X22 \/ (c3_1_ X22 \/ ~(c1_1_ X22))))))) /\ (((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c2_1_ X23 \/ ~(c1_1_ X23))))) \/ ((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (c3_1_ X24 \/ ~(c1_1_ X24))))) \/ hskp9_)) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c2_1_ X25 \/ ~(c1_1_ X25))))) \/ ((forall X26 : Universe, (ndr1_0_ -> (c1_1_ X26 \/ (c2_1_ X26 \/ c3_1_ X26)))) \/ hskp11_)) /\ (((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (c2_1_ X27 \/ ~(c1_1_ X27))))) \/ ((forall X28 : Universe, (ndr1_0_ -> (~(c1_1_ X28) \/ (~(c2_1_ X28) \/ ~(c3_1_ X28))))) \/ hskp12_)) /\ (((forall X29 : Universe, (ndr1_0_ -> (c0_1_ X29 \/ (c2_1_ X29 \/ ~(c3_1_ X29))))) \/ ((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (~(c1_1_ X30) \/ ~(c3_1_ X30))))) \/ (forall X31 : Universe, (ndr1_0_ -> (c1_1_ X31 \/ (~(c0_1_ X31) \/ ~(c3_1_ X31))))))) /\ (((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (c2_1_ X32 \/ ~(c3_1_ X32))))) \/ ((forall X33 : Universe, (ndr1_0_ -> (c1_1_ X33 \/ (c3_1_ X33 \/ ~(c0_1_ X33))))) \/ hskp13_)) /\ (((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (c3_1_ X34 \/ ~(c1_1_ X34))))) \/ ((forall X35 : Universe, (ndr1_0_ -> (c1_1_ X35 \/ (c2_1_ X35 \/ c3_1_ X35)))) \/ (forall X36 : Universe, (ndr1_0_ -> (c3_1_ X36 \/ (~(c0_1_ X36) \/ ~(c1_1_ X36))))))) /\ (((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (c3_1_ X37 \/ ~(c1_1_ X37))))) \/ ((forall X38 : Universe, (ndr1_0_ -> (~(c0_1_ X38) \/ (~(c1_1_ X38) \/ ~(c2_1_ X38))))) \/ hskp12_)) /\ (((forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (c3_1_ X39 \/ ~(c1_1_ X39))))) \/ hskp28_) /\ (((forall X40 : Universe, (ndr1_0_ -> (c0_1_ X40 \/ (c3_1_ X40 \/ ~(c2_1_ X40))))) \/ ((forall X41 : Universe, (ndr1_0_ -> (c0_1_ X41 \/ (~(c1_1_ X41) \/ ~(c3_1_ X41))))) \/ hskp4_)) /\ (((forall X42 : Universe, (ndr1_0_ -> (c0_1_ X42 \/ (c3_1_ X42 \/ ~(c2_1_ X42))))) \/ ((forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (~(c2_1_ X43) \/ ~(c3_1_ X43))))) \/ (forall X44 : Universe, (ndr1_0_ -> (c1_1_ X44 \/ (~(c0_1_ X44) \/ ~(c2_1_ X44))))))) /\ (((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (c3_1_ X45 \/ ~(c2_1_ X45))))) \/ ((forall X46 : Universe, (ndr1_0_ -> (c0_1_ X46 \/ (~(c2_1_ X46) \/ ~(c3_1_ X46))))) \/ (forall X47 : Universe, (ndr1_0_ -> (~(c0_1_ X47) \/ (~(c1_1_ X47) \/ ~(c3_1_ X47))))))) /\ (((forall X48 : Universe, (ndr1_0_ -> (c0_1_ X48 \/ (c3_1_ X48 \/ ~(c2_1_ X48))))) \/ (hskp14_ \/ hskp15_)) /\ (((forall X49 : Universe, (ndr1_0_ -> (c0_1_ X49 \/ (~(c1_1_ X49) \/ ~(c2_1_ X49))))) \/ ((forall X50 : Universe, (ndr1_0_ -> (c2_1_ X50 \/ (~(c0_1_ X50) \/ ~(c3_1_ X50))))) \/ hskp28_)) /\ (((forall X51 : Universe, (ndr1_0_ -> (c0_1_ X51 \/ (~(c1_1_ X51) \/ ~(c2_1_ X51))))) \/ (hskp16_ \/ hskp17_)) /\ (((forall X52 : Universe, (ndr1_0_ -> (c0_1_ X52 \/ (~(c2_1_ X52) \/ ~(c3_1_ X52))))) \/ ((forall X53 : Universe, (ndr1_0_ -> (c2_1_ X53 \/ (~(c0_1_ X53) \/ ~(c1_1_ X53))))) \/ hskp0_)) /\ (((forall X54 : Universe, (ndr1_0_ -> (c1_1_ X54 \/ (c2_1_ X54 \/ ~(c0_1_ X54))))) \/ ((forall X55 : Universe, (ndr1_0_ -> (c1_1_ X55 \/ (c3_1_ X55 \/ ~(c0_1_ X55))))) \/ hskp15_)) /\ (((forall X56 : Universe, (ndr1_0_ -> (c1_1_ X56 \/ (c2_1_ X56 \/ ~(c0_1_ X56))))) \/ ((forall X57 : Universe, (ndr1_0_ -> (c3_1_ X57 \/ (~(c0_1_ X57) \/ ~(c2_1_ X57))))) \/ hskp14_)) /\ (((forall X58 : Universe, (ndr1_0_ -> (c1_1_ X58 \/ (c2_1_ X58 \/ ~(c0_1_ X58))))) \/ (hskp29_ \/ hskp18_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c1_1_ X59 \/ (c2_1_ X59 \/ ~(c0_1_ X59))))) \/ (hskp8_ \/ hskp7_)) /\ (((forall X60 : Universe, (ndr1_0_ -> (c1_1_ X60 \/ (c2_1_ X60 \/ ~(c3_1_ X60))))) \/ ((forall X61 : Universe, (ndr1_0_ -> (c1_1_ X61 \/ (~(c0_1_ X61) \/ ~(c2_1_ X61))))) \/ (forall X62 : Universe, (ndr1_0_ -> (c2_1_ X62 \/ (c3_1_ X62 \/ ~(c0_1_ X62))))))) /\ (((forall X63 : Universe, (ndr1_0_ -> (c1_1_ X63 \/ (c2_1_ X63 \/ ~(c3_1_ X63))))) \/ ((forall X64 : Universe, (ndr1_0_ -> (c3_1_ X64 \/ (~(c0_1_ X64) \/ ~(c1_1_ X64))))) \/ (forall X65 : Universe, (ndr1_0_ -> (c3_1_ X65 \/ (~(c1_1_ X65) \/ ~(c2_1_ X65))))))) /\ (((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (c2_1_ X66 \/ ~(c3_1_ X66))))) \/ (hskp2_ \/ hskp1_)) /\ (((forall X67 : Universe, (ndr1_0_ -> (c1_1_ X67 \/ (c3_1_ X67 \/ ~(c0_1_ X67))))) \/ (hskp19_ \/ hskp15_)) /\ (((forall X68 : Universe, (ndr1_0_ -> (c1_1_ X68 \/ (c3_1_ X68 \/ ~(c2_1_ X68))))) \/ (hskp10_ \/ hskp1_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (c1_1_ X69 \/ (~(c0_1_ X69) \/ ~(c2_1_ X69))))) \/ (hskp20_ \/ hskp2_)) /\ (((forall X70 : Universe, (ndr1_0_ -> (c1_1_ X70 \/ (~(c0_1_ X70) \/ ~(c2_1_ X70))))) \/ (hskp12_ \/ hskp0_)) /\ (((forall X71 : Universe, (ndr1_0_ -> (c1_1_ X71 \/ (~(c0_1_ X71) \/ ~(c2_1_ X71))))) \/ (hskp21_ \/ hskp0_)) /\ (((forall X72 : Universe, (ndr1_0_ -> (c1_1_ X72 \/ (~(c0_1_ X72) \/ ~(c3_1_ X72))))) \/ ((forall X73 : Universe, (ndr1_0_ -> (c2_1_ X73 \/ (c3_1_ X73 \/ ~(c1_1_ X73))))) \/ hskp20_)) /\ (((forall X74 : Universe, (ndr1_0_ -> (c1_1_ X74 \/ (~(c2_1_ X74) \/ ~(c3_1_ X74))))) \/ ((forall X75 : Universe, (ndr1_0_ -> (c2_1_ X75 \/ (~(c0_1_ X75) \/ ~(c3_1_ X75))))) \/ hskp27_)) /\ (((forall X76 : Universe, (ndr1_0_ -> (c1_1_ X76 \/ (~(c2_1_ X76) \/ ~(c3_1_ X76))))) \/ (hskp22_ \/ hskp2_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (c1_1_ X77 \/ (~(c2_1_ X77) \/ ~(c3_1_ X77))))) \/ (hskp22_ \/ hskp23_)) /\ (((forall X78 : Universe, (ndr1_0_ -> (c2_1_ X78 \/ (c3_1_ X78 \/ ~(c0_1_ X78))))) \/ ((forall X79 : Universe, (ndr1_0_ -> (c3_1_ X79 \/ (~(c0_1_ X79) \/ ~(c1_1_ X79))))) \/ hskp27_)) /\ (((forall X80 : Universe, (ndr1_0_ -> (c2_1_ X80 \/ (c3_1_ X80 \/ ~(c0_1_ X80))))) \/ (hskp4_ \/ hskp17_)) /\ (((forall X81 : Universe, (ndr1_0_ -> (c2_1_ X81 \/ (c3_1_ X81 \/ ~(c1_1_ X81))))) \/ (hskp14_ \/ hskp16_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c2_1_ X82 \/ (c3_1_ X82 \/ ~(c1_1_ X82))))) \/ (hskp14_ \/ hskp13_)) /\ (((forall X83 : Universe, (ndr1_0_ -> (c3_1_ X83 \/ (~(c0_1_ X83) \/ ~(c1_1_ X83))))) \/ (hskp14_ \/ hskp8_)) /\ (((forall X84 : Universe, (ndr1_0_ -> (c3_1_ X84 \/ (~(c0_1_ X84) \/ ~(c1_1_ X84))))) \/ (hskp20_ \/ hskp24_)) /\ (((forall X85 : Universe, (ndr1_0_ -> (c3_1_ X85 \/ (~(c0_1_ X85) \/ ~(c2_1_ X85))))) \/ ((forall X86 : Universe, (ndr1_0_ -> (~(c0_1_ X86) \/ (~(c1_1_ X86) \/ ~(c3_1_ X86))))) \/ hskp11_)) /\ (((forall X87 : Universe, (ndr1_0_ -> (c3_1_ X87 \/ (~(c0_1_ X87) \/ ~(c2_1_ X87))))) \/ (hskp30_ \/ hskp18_)) /\ (((forall X88 : Universe, (ndr1_0_ -> (c3_1_ X88 \/ (~(c0_1_ X88) \/ ~(c2_1_ X88))))) \/ (hskp14_ \/ hskp12_)) /\ (((forall X89 : Universe, (ndr1_0_ -> (c3_1_ X89 \/ (~(c0_1_ X89) \/ ~(c2_1_ X89))))) \/ (hskp9_ \/ hskp6_)) /\ (((forall X90 : Universe, (ndr1_0_ -> (c3_1_ X90 \/ (~(c1_1_ X90) \/ ~(c2_1_ X90))))) \/ ((forall X91 : Universe, (ndr1_0_ -> (~(c0_1_ X91) \/ (~(c1_1_ X91) \/ ~(c3_1_ X91))))) \/ hskp5_)) /\ (((forall X92 : Universe, (ndr1_0_ -> (~(c0_1_ X92) \/ (~(c1_1_ X92) \/ ~(c2_1_ X92))))) \/ ((forall X93 : Universe, (ndr1_0_ -> (~(c1_1_ X93) \/ (~(c2_1_ X93) \/ ~(c3_1_ X93))))) \/ hskp17_)) /\ (((forall X94 : Universe, (ndr1_0_ -> (~(c0_1_ X94) \/ (~(c1_1_ X94) \/ ~(c2_1_ X94))))) \/ hskp13_) /\ (((forall X95 : Universe, (ndr1_0_ -> (~(c0_1_ X95) \/ (~(c1_1_ X95) \/ ~(c3_1_ X95))))) \/ ((forall X96 : Universe, (ndr1_0_ -> (~(c1_1_ X96) \/ (~(c2_1_ X96) \/ ~(c3_1_ X96))))) \/ hskp29_)) /\ (((forall X97 : Universe, (ndr1_0_ -> (~(c1_1_ X97) \/ (~(c2_1_ X97) \/ ~(c3_1_ X97))))) \/ (hskp22_ \/ hskp11_)) /\ ((hskp27_ \/ (hskp14_ \/ hskp18_)) /\ ((hskp30_ \/ (hskp2_ \/ hskp9_)) /\ ((hskp19_ \/ (hskp14_ \/ hskp9_)) /\ ((hskp28_ \/ (hskp25_ \/ hskp14_)) /\ ((hskp28_ \/ (hskp1_ \/ hskp7_)) /\ ((hskp3_ \/ (hskp4_ \/ hskp7_)) /\ ((hskp3_ \/ (hskp21_ \/ hskp7_)) /\ ((hskp25_ \/ (hskp20_ \/ hskp6_)) /\ ((hskp14_ \/ (hskp4_ \/ hskp1_)) /\ ((hskp26_ \/ (hskp29_ \/ hskp20_)) /\ ((hskp26_ \/ hskp12_) /\ ((hskp20_ \/ hskp18_) /\ ((hskp2_ \/ (hskp1_ \/ hskp23_)) /\ ((hskp18_ \/ (hskp5_ \/ hskp16_)) /\ (hskp6_ \/ (hskp0_ \/ hskp23_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
