(*
% File     : SYN479+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=76, K=3, D=1, P=0, Index=012
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-76-3-1-012.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  745 (   0 equality)
%            Maximal formula depth :  110 ( 110 average)
%            Number of connectives : 1004 ( 260 ~  ; 424  |; 199  &)
%                                         (   0 <=>; 121 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   36 (  32 propositional; 0-1 arity)
%            Number of functors    :   31 (  31 constant; 0-0 arity)
%            Number of variables   :  121 (   0 singleton; 121 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a1517_ : Universe.
Variable a1507_ : Universe.
Variable a1504_ : Universe.
Variable a1487_ : Universe.
Variable a1483_ : Universe.
Variable a1477_ : Universe.
Variable a1468_ : Universe.
Variable a1466_ : Universe.
Variable a1465_ : Universe.
Variable a1460_ : Universe.
Variable a1458_ : Universe.
Variable a1457_ : Universe.
Variable a1456_ : Universe.
Variable a1454_ : Universe.
Variable a1452_ : Universe.
Variable a1451_ : Universe.
Variable a1449_ : Universe.
Variable a1448_ : Universe.
Variable a1447_ : Universe.
Variable a1445_ : Universe.
Variable a1444_ : Universe.
Variable a1441_ : Universe.
Variable a1438_ : Universe.
Variable a1437_ : Universe.
Variable a1435_ : Universe.
Variable a1434_ : Universe.
Variable a1431_ : Universe.
Variable a1430_ : Universe.
Variable a1429_ : Universe.
Variable a1428_ : Universe.
Variable a1427_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c0_1_ a1427_ /\ (c2_1_ a1427_ /\ ~(c3_1_ a1427_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c2_1_ a1429_ /\ (c3_1_ a1429_ /\ ~(c0_1_ a1429_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c3_1_ a1430_ /\ (~(c0_1_ a1430_) /\ ~(c2_1_ a1430_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c1_1_ a1431_ /\ (~(c0_1_ a1431_) /\ ~(c2_1_ a1431_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c1_1_ a1434_ /\ (c3_1_ a1434_ /\ ~(c2_1_ a1434_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c0_1_ a1435_ /\ (~(c2_1_ a1435_) /\ ~(c3_1_ a1435_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c0_1_ a1437_ /\ (~(c1_1_ a1437_) /\ ~(c2_1_ a1437_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c3_1_ a1438_ /\ (~(c0_1_ a1438_) /\ ~(c1_1_ a1438_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c0_1_ a1441_ /\ (c3_1_ a1441_ /\ ~(c1_1_ a1441_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (~(c1_1_ a1444_) /\ (~(c2_1_ a1444_) /\ ~(c3_1_ a1444_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c0_1_ a1445_ /\ (~(c1_1_ a1445_) /\ ~(c3_1_ a1445_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (~(c0_1_ a1447_) /\ (~(c2_1_ a1447_) /\ ~(c3_1_ a1447_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c0_1_ a1448_ /\ (c3_1_ a1448_ /\ ~(c2_1_ a1448_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c1_1_ a1449_ /\ (c2_1_ a1449_ /\ ~(c3_1_ a1449_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c2_1_ a1451_ /\ (~(c1_1_ a1451_) /\ ~(c3_1_ a1451_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c0_1_ a1452_ /\ (c1_1_ a1452_ /\ ~(c3_1_ a1452_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c1_1_ a1454_ /\ (~(c0_1_ a1454_) /\ ~(c3_1_ a1454_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (~(c0_1_ a1457_) /\ (~(c1_1_ a1457_) /\ ~(c2_1_ a1457_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c0_1_ a1458_ /\ (c1_1_ a1458_ /\ ~(c2_1_ a1458_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (~(c0_1_ a1460_) /\ (~(c1_1_ a1460_) /\ ~(c3_1_ a1460_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c2_1_ a1465_ /\ (c3_1_ a1465_ /\ ~(c1_1_ a1465_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c0_1_ a1466_ /\ (c2_1_ a1466_ /\ ~(c1_1_ a1466_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c1_1_ a1468_ /\ (c3_1_ a1468_ /\ ~(c0_1_ a1468_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c2_1_ a1477_ /\ (~(c0_1_ a1477_) /\ ~(c1_1_ a1477_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c3_1_ a1487_ /\ (~(c1_1_ a1487_) /\ ~(c2_1_ a1487_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c1_1_ a1504_ /\ (c2_1_ a1504_ /\ ~(c0_1_ a1504_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c2_1_ a1517_ /\ (~(c0_1_ a1517_) /\ ~(c3_1_ a1517_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a1428_ /\ (c2_1_ a1428_ /\ c3_1_ a1428_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a1456_ /\ (c1_1_ a1456_ /\ c3_1_ a1456_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c1_1_ a1483_ /\ (c2_1_ a1483_ /\ c3_1_ a1483_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c0_1_ a1507_ /\ (c1_1_ a1507_ /\ c2_1_ a1507_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c1_1_ V \/ (c3_1_ V \/ ~(c0_1_ V))))) \/ (forall W : Universe, (ndr1_0_ -> (c1_1_ W \/ (~(c0_1_ W) \/ ~(c2_1_ W))))))) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ c2_1_ X)))) \/ ((forall Y : Universe, (ndr1_0_ -> (c2_1_ Y \/ (c3_1_ Y \/ ~(c0_1_ Y))))) \/ hskp0_)) /\ (((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c1_1_ Z \/ c2_1_ Z)))) \/ ((forall X1 : Universe, (ndr1_0_ -> (~(c1_1_ X1) \/ (~(c2_1_ X1) \/ ~(c3_1_ X1))))) \/ hskp27_)) /\ (((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ c2_1_ X2)))) \/ (hskp1_ \/ hskp2_)) /\ (((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (c1_1_ X3 \/ c3_1_ X3)))) \/ ((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (~(c1_1_ X4) \/ ~(c3_1_ X4))))) \/ hskp3_)) /\ (((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (c1_1_ X5 \/ c3_1_ X5)))) \/ ((forall X6 : Universe, (ndr1_0_ -> (c1_1_ X6 \/ (c2_1_ X6 \/ c3_1_ X6)))) \/ (forall X7 : Universe, (ndr1_0_ -> (c2_1_ X7 \/ (c3_1_ X7 \/ ~(c1_1_ X7))))))) /\ (((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (c1_1_ X8 \/ ~(c2_1_ X8))))) \/ ((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (~(c1_1_ X9) \/ ~(c3_1_ X9))))) \/ (forall X10 : Universe, (ndr1_0_ -> (c2_1_ X10 \/ (~(c0_1_ X10) \/ ~(c3_1_ X10))))))) /\ (((forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (c1_1_ X11 \/ ~(c2_1_ X11))))) \/ ((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (~(c1_1_ X12) \/ ~(c3_1_ X12))))) \/ hskp0_)) /\ (((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c1_1_ X13 \/ ~(c2_1_ X13))))) \/ ((forall X14 : Universe, (ndr1_0_ -> (c1_1_ X14 \/ (~(c2_1_ X14) \/ ~(c3_1_ X14))))) \/ (forall X15 : Universe, (ndr1_0_ -> (~(c0_1_ X15) \/ (~(c2_1_ X15) \/ ~(c3_1_ X15))))))) /\ (((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (c1_1_ X16 \/ ~(c2_1_ X16))))) \/ (hskp0_ \/ hskp4_)) /\ (((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c1_1_ X17 \/ ~(c3_1_ X17))))) \/ ((forall X18 : Universe, (ndr1_0_ -> (c1_1_ X18 \/ (c2_1_ X18 \/ c3_1_ X18)))) \/ (forall X19 : Universe, (ndr1_0_ -> (c1_1_ X19 \/ (c3_1_ X19 \/ ~(c2_1_ X19))))))) /\ (((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (c1_1_ X20 \/ ~(c3_1_ X20))))) \/ ((forall X21 : Universe, (ndr1_0_ -> (c1_1_ X21 \/ (c3_1_ X21 \/ ~(c2_1_ X21))))) \/ hskp5_)) /\ (((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (c1_1_ X22 \/ ~(c3_1_ X22))))) \/ ((forall X23 : Universe, (ndr1_0_ -> (c2_1_ X23 \/ (~(c0_1_ X23) \/ ~(c3_1_ X23))))) \/ hskp5_)) /\ (((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (c1_1_ X24 \/ ~(c3_1_ X24))))) \/ (hskp6_ \/ hskp7_)) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c2_1_ X25 \/ c3_1_ X25)))) \/ ((forall X26 : Universe, (ndr1_0_ -> (c1_1_ X26 \/ (c2_1_ X26 \/ c3_1_ X26)))) \/ hskp2_)) /\ (((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (c2_1_ X27 \/ c3_1_ X27)))) \/ ((forall X28 : Universe, (ndr1_0_ -> (c2_1_ X28 \/ (~(c1_1_ X28) \/ ~(c3_1_ X28))))) \/ hskp0_)) /\ (((forall X29 : Universe, (ndr1_0_ -> (c0_1_ X29 \/ (c2_1_ X29 \/ c3_1_ X29)))) \/ (hskp8_ \/ hskp7_)) /\ (((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (c2_1_ X30 \/ ~(c1_1_ X30))))) \/ ((forall X31 : Universe, (ndr1_0_ -> (~(c0_1_ X31) \/ (~(c1_1_ X31) \/ ~(c3_1_ X31))))) \/ hskp0_)) /\ (((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (c2_1_ X32 \/ ~(c3_1_ X32))))) \/ ((forall X33 : Universe, (ndr1_0_ -> (c0_1_ X33 \/ (c3_1_ X33 \/ ~(c2_1_ X33))))) \/ hskp9_)) /\ (((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (c2_1_ X34 \/ ~(c3_1_ X34))))) \/ ((forall X35 : Universe, (ndr1_0_ -> (c1_1_ X35 \/ (c2_1_ X35 \/ ~(c0_1_ X35))))) \/ (forall X36 : Universe, (ndr1_0_ -> (c1_1_ X36 \/ (c3_1_ X36 \/ ~(c2_1_ X36))))))) /\ (((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (c2_1_ X37 \/ ~(c3_1_ X37))))) \/ ((forall X38 : Universe, (ndr1_0_ -> (c2_1_ X38 \/ (~(c0_1_ X38) \/ ~(c1_1_ X38))))) \/ hskp10_)) /\ (((forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (c2_1_ X39 \/ ~(c3_1_ X39))))) \/ (hskp5_ \/ hskp11_)) /\ (((forall X40 : Universe, (ndr1_0_ -> (c0_1_ X40 \/ (c3_1_ X40 \/ ~(c1_1_ X40))))) \/ ((forall X41 : Universe, (ndr1_0_ -> (c2_1_ X41 \/ (c3_1_ X41 \/ ~(c1_1_ X41))))) \/ hskp12_)) /\ (((forall X42 : Universe, (ndr1_0_ -> (c0_1_ X42 \/ (c3_1_ X42 \/ ~(c1_1_ X42))))) \/ (hskp13_ \/ hskp1_)) /\ (((forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (c3_1_ X43 \/ ~(c2_1_ X43))))) \/ ((forall X44 : Universe, (ndr1_0_ -> (c0_1_ X44 \/ (~(c1_1_ X44) \/ ~(c2_1_ X44))))) \/ hskp14_)) /\ (((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (~(c1_1_ X45) \/ ~(c2_1_ X45))))) \/ ((forall X46 : Universe, (ndr1_0_ -> (c0_1_ X46 \/ (~(c2_1_ X46) \/ ~(c3_1_ X46))))) \/ hskp15_)) /\ (((forall X47 : Universe, (ndr1_0_ -> (c0_1_ X47 \/ (~(c1_1_ X47) \/ ~(c2_1_ X47))))) \/ ((forall X48 : Universe, (ndr1_0_ -> (c1_1_ X48 \/ (c3_1_ X48 \/ ~(c0_1_ X48))))) \/ hskp7_)) /\ (((forall X49 : Universe, (ndr1_0_ -> (c0_1_ X49 \/ (~(c1_1_ X49) \/ ~(c2_1_ X49))))) \/ ((forall X50 : Universe, (ndr1_0_ -> (c1_1_ X50 \/ (c3_1_ X50 \/ ~(c2_1_ X50))))) \/ (forall X51 : Universe, (ndr1_0_ -> (c2_1_ X51 \/ (c3_1_ X51 \/ ~(c0_1_ X51))))))) /\ (((forall X52 : Universe, (ndr1_0_ -> (c0_1_ X52 \/ (~(c1_1_ X52) \/ ~(c2_1_ X52))))) \/ (hskp16_ \/ hskp7_)) /\ (((forall X53 : Universe, (ndr1_0_ -> (c0_1_ X53 \/ (~(c1_1_ X53) \/ ~(c3_1_ X53))))) \/ ((forall X54 : Universe, (ndr1_0_ -> (c2_1_ X54 \/ (~(c0_1_ X54) \/ ~(c1_1_ X54))))) \/ hskp28_)) /\ (((forall X55 : Universe, (ndr1_0_ -> (c0_1_ X55 \/ (~(c1_1_ X55) \/ ~(c3_1_ X55))))) \/ ((forall X56 : Universe, (ndr1_0_ -> (c2_1_ X56 \/ (~(c0_1_ X56) \/ ~(c3_1_ X56))))) \/ hskp17_)) /\ (((forall X57 : Universe, (ndr1_0_ -> (c0_1_ X57 \/ (~(c1_1_ X57) \/ ~(c3_1_ X57))))) \/ ((forall X58 : Universe, (ndr1_0_ -> (~(c0_1_ X58) \/ (~(c2_1_ X58) \/ ~(c3_1_ X58))))) \/ hskp18_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c0_1_ X59 \/ (~(c1_1_ X59) \/ ~(c3_1_ X59))))) \/ (hskp3_ \/ hskp19_)) /\ (((forall X60 : Universe, (ndr1_0_ -> (c0_1_ X60 \/ (~(c2_1_ X60) \/ ~(c3_1_ X60))))) \/ ((forall X61 : Universe, (ndr1_0_ -> (c1_1_ X61 \/ (c3_1_ X61 \/ ~(c0_1_ X61))))) \/ hskp12_)) /\ (((forall X62 : Universe, (ndr1_0_ -> (c0_1_ X62 \/ (~(c2_1_ X62) \/ ~(c3_1_ X62))))) \/ ((forall X63 : Universe, (ndr1_0_ -> (c2_1_ X63 \/ (~(c1_1_ X63) \/ ~(c3_1_ X63))))) \/ hskp12_)) /\ (((forall X64 : Universe, (ndr1_0_ -> (c1_1_ X64 \/ (c2_1_ X64 \/ c3_1_ X64)))) \/ ((forall X65 : Universe, (ndr1_0_ -> (c1_1_ X65 \/ (~(c0_1_ X65) \/ ~(c2_1_ X65))))) \/ hskp17_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (c2_1_ X66 \/ c3_1_ X66)))) \/ ((forall X67 : Universe, (ndr1_0_ -> (~(c1_1_ X67) \/ (~(c2_1_ X67) \/ ~(c3_1_ X67))))) \/ hskp7_)) /\ (((forall X68 : Universe, (ndr1_0_ -> (c1_1_ X68 \/ (c2_1_ X68 \/ ~(c0_1_ X68))))) \/ ((forall X69 : Universe, (ndr1_0_ -> (c3_1_ X69 \/ (~(c0_1_ X69) \/ ~(c1_1_ X69))))) \/ hskp20_)) /\ (((forall X70 : Universe, (ndr1_0_ -> (c1_1_ X70 \/ (c2_1_ X70 \/ ~(c0_1_ X70))))) \/ ((forall X71 : Universe, (ndr1_0_ -> (c3_1_ X71 \/ (~(c0_1_ X71) \/ ~(c2_1_ X71))))) \/ hskp21_)) /\ (((forall X72 : Universe, (ndr1_0_ -> (c1_1_ X72 \/ (c2_1_ X72 \/ ~(c0_1_ X72))))) \/ ((forall X73 : Universe, (ndr1_0_ -> (c3_1_ X73 \/ (~(c0_1_ X73) \/ ~(c2_1_ X73))))) \/ hskp19_)) /\ (((forall X74 : Universe, (ndr1_0_ -> (c1_1_ X74 \/ (c2_1_ X74 \/ ~(c3_1_ X74))))) \/ ((forall X75 : Universe, (ndr1_0_ -> (c1_1_ X75 \/ (~(c2_1_ X75) \/ ~(c3_1_ X75))))) \/ (forall X76 : Universe, (ndr1_0_ -> (~(c0_1_ X76) \/ (~(c1_1_ X76) \/ ~(c2_1_ X76))))))) /\ (((forall X77 : Universe, (ndr1_0_ -> (c1_1_ X77 \/ (c2_1_ X77 \/ ~(c3_1_ X77))))) \/ ((forall X78 : Universe, (ndr1_0_ -> (c2_1_ X78 \/ (~(c0_1_ X78) \/ ~(c3_1_ X78))))) \/ hskp22_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (c1_1_ X79 \/ (c2_1_ X79 \/ ~(c3_1_ X79))))) \/ ((forall X80 : Universe, (ndr1_0_ -> (c3_1_ X80 \/ (~(c0_1_ X80) \/ ~(c1_1_ X80))))) \/ (forall X81 : Universe, (ndr1_0_ -> (~(c0_1_ X81) \/ (~(c2_1_ X81) \/ ~(c3_1_ X81))))))) /\ (((forall X82 : Universe, (ndr1_0_ -> (c1_1_ X82 \/ (c2_1_ X82 \/ ~(c3_1_ X82))))) \/ ((forall X83 : Universe, (ndr1_0_ -> (~(c0_1_ X83) \/ (~(c1_1_ X83) \/ ~(c3_1_ X83))))) \/ hskp6_)) /\ (((forall X84 : Universe, (ndr1_0_ -> (c1_1_ X84 \/ (c2_1_ X84 \/ ~(c3_1_ X84))))) \/ (hskp22_ \/ hskp9_)) /\ (((forall X85 : Universe, (ndr1_0_ -> (c1_1_ X85 \/ (c3_1_ X85 \/ ~(c2_1_ X85))))) \/ ((forall X86 : Universe, (ndr1_0_ -> (~(c0_1_ X86) \/ (~(c1_1_ X86) \/ ~(c3_1_ X86))))) \/ hskp13_)) /\ (((forall X87 : Universe, (ndr1_0_ -> (c1_1_ X87 \/ (~(c0_1_ X87) \/ ~(c2_1_ X87))))) \/ (hskp0_ \/ hskp11_)) /\ (((forall X88 : Universe, (ndr1_0_ -> (c1_1_ X88 \/ (~(c0_1_ X88) \/ ~(c3_1_ X88))))) \/ ((forall X89 : Universe, (ndr1_0_ -> (~(c1_1_ X89) \/ (~(c2_1_ X89) \/ ~(c3_1_ X89))))) \/ hskp28_)) /\ (((forall X90 : Universe, (ndr1_0_ -> (c1_1_ X90 \/ (~(c2_1_ X90) \/ ~(c3_1_ X90))))) \/ ((forall X91 : Universe, (ndr1_0_ -> (c3_1_ X91 \/ (~(c0_1_ X91) \/ ~(c1_1_ X91))))) \/ hskp8_)) /\ (((forall X92 : Universe, (ndr1_0_ -> (c1_1_ X92 \/ (~(c2_1_ X92) \/ ~(c3_1_ X92))))) \/ ((forall X93 : Universe, (ndr1_0_ -> (c3_1_ X93 \/ (~(c0_1_ X93) \/ ~(c2_1_ X93))))) \/ hskp23_)) /\ (((forall X94 : Universe, (ndr1_0_ -> (c1_1_ X94 \/ (~(c2_1_ X94) \/ ~(c3_1_ X94))))) \/ (hskp20_ \/ hskp11_)) /\ (((forall X95 : Universe, (ndr1_0_ -> (c2_1_ X95 \/ (c3_1_ X95 \/ ~(c0_1_ X95))))) \/ ((forall X96 : Universe, (ndr1_0_ -> (c2_1_ X96 \/ (c3_1_ X96 \/ ~(c1_1_ X96))))) \/ hskp18_)) /\ (((forall X97 : Universe, (ndr1_0_ -> (c2_1_ X97 \/ (c3_1_ X97 \/ ~(c0_1_ X97))))) \/ ((forall X98 : Universe, (ndr1_0_ -> (~(c0_1_ X98) \/ (~(c2_1_ X98) \/ ~(c3_1_ X98))))) \/ hskp11_)) /\ (((forall X99 : Universe, (ndr1_0_ -> (c2_1_ X99 \/ (c3_1_ X99 \/ ~(c0_1_ X99))))) \/ (hskp5_ \/ hskp29_)) /\ (((forall X100 : Universe, (ndr1_0_ -> (c2_1_ X100 \/ (c3_1_ X100 \/ ~(c0_1_ X100))))) \/ (hskp4_ \/ hskp7_)) /\ (((forall X101 : Universe, (ndr1_0_ -> (c2_1_ X101 \/ (c3_1_ X101 \/ ~(c0_1_ X101))))) \/ (hskp4_ \/ hskp24_)) /\ (((forall X102 : Universe, (ndr1_0_ -> (c2_1_ X102 \/ (c3_1_ X102 \/ ~(c1_1_ X102))))) \/ ((forall X103 : Universe, (ndr1_0_ -> (c2_1_ X103 \/ (~(c1_1_ X103) \/ ~(c3_1_ X103))))) \/ hskp7_)) /\ (((forall X104 : Universe, (ndr1_0_ -> (c2_1_ X104 \/ (c3_1_ X104 \/ ~(c1_1_ X104))))) \/ ((forall X105 : Universe, (ndr1_0_ -> (c3_1_ X105 \/ (~(c1_1_ X105) \/ ~(c2_1_ X105))))) \/ hskp12_)) /\ (((forall X106 : Universe, (ndr1_0_ -> (c2_1_ X106 \/ (c3_1_ X106 \/ ~(c1_1_ X106))))) \/ (hskp0_ \/ hskp3_)) /\ (((forall X107 : Universe, (ndr1_0_ -> (c2_1_ X107 \/ (~(c0_1_ X107) \/ ~(c3_1_ X107))))) \/ (hskp5_ \/ hskp17_)) /\ (((forall X108 : Universe, (ndr1_0_ -> (c3_1_ X108 \/ (~(c0_1_ X108) \/ ~(c1_1_ X108))))) \/ (hskp22_ \/ hskp3_)) /\ (((forall X109 : Universe, (ndr1_0_ -> (c3_1_ X109 \/ (~(c0_1_ X109) \/ ~(c1_1_ X109))))) \/ (hskp16_ \/ hskp14_)) /\ (((forall X110 : Universe, (ndr1_0_ -> (c3_1_ X110 \/ (~(c0_1_ X110) \/ ~(c2_1_ X110))))) \/ (hskp12_ \/ hskp11_)) /\ (((forall X111 : Universe, (ndr1_0_ -> (c3_1_ X111 \/ (~(c1_1_ X111) \/ ~(c2_1_ X111))))) \/ ((forall X112 : Universe, (ndr1_0_ -> (~(c0_1_ X112) \/ (~(c1_1_ X112) \/ ~(c2_1_ X112))))) \/ hskp23_)) /\ (((forall X113 : Universe, (ndr1_0_ -> (~(c0_1_ X113) \/ (~(c1_1_ X113) \/ ~(c2_1_ X113))))) \/ (hskp21_ \/ hskp9_)) /\ (((forall X114 : Universe, (ndr1_0_ -> (~(c0_1_ X114) \/ (~(c1_1_ X114) \/ ~(c3_1_ X114))))) \/ (hskp0_ \/ hskp25_)) /\ (((forall X115 : Universe, (ndr1_0_ -> (~(c1_1_ X115) \/ (~(c2_1_ X115) \/ ~(c3_1_ X115))))) \/ (hskp25_ \/ hskp13_)) /\ ((hskp30_ \/ (hskp8_ \/ hskp3_)) /\ ((hskp30_ \/ hskp24_) /\ ((hskp15_ \/ (hskp27_ \/ hskp13_)) /\ ((hskp0_ \/ (hskp29_ \/ hskp26_)) /\ ((hskp8_ \/ (hskp12_ \/ hskp14_)) /\ ((hskp8_ \/ (hskp14_ \/ hskp19_)) /\ ((hskp12_ \/ (hskp10_ \/ hskp1_)) /\ ((hskp25_ \/ (hskp2_ \/ hskp17_)) /\ (hskp22_ \/ (hskp3_ \/ hskp17_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
