(*
% File     : SYN484+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=76, K=3, D=1, P=0, Index=036
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-76-3-1-036.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  742 (   0 equality)
%            Maximal formula depth :  109 ( 109 average)
%            Number of connectives : 1006 ( 265 ~  ; 421  |; 198  &)
%                                         (   0 <=>; 122 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   36 (  32 propositional; 0-1 arity)
%            Number of functors    :   31 (  31 constant; 0-0 arity)
%            Number of variables   :  122 (   0 singleton; 122 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a2049_ : Universe.
Variable a2041_ : Universe.
Variable a2031_ : Universe.
Variable a2014_ : Universe.
Variable a2012_ : Universe.
Variable a2009_ : Universe.
Variable a2005_ : Universe.
Variable a2003_ : Universe.
Variable a2001_ : Universe.
Variable a2000_ : Universe.
Variable a1998_ : Universe.
Variable a1996_ : Universe.
Variable a1993_ : Universe.
Variable a1992_ : Universe.
Variable a1991_ : Universe.
Variable a1990_ : Universe.
Variable a1989_ : Universe.
Variable a1987_ : Universe.
Variable a1985_ : Universe.
Variable a1983_ : Universe.
Variable a1981_ : Universe.
Variable a1979_ : Universe.
Variable a1978_ : Universe.
Variable a1977_ : Universe.
Variable a1975_ : Universe.
Variable a1974_ : Universe.
Variable a1973_ : Universe.
Variable a1972_ : Universe.
Variable a1971_ : Universe.
Variable a1970_ : Universe.
Variable a1969_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (~(c1_1_ a1969_) /\ (~(c2_1_ a1969_) /\ ~(c3_1_ a1969_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c0_1_ a1971_ /\ (c2_1_ a1971_ /\ ~(c1_1_ a1971_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c1_1_ a1973_ /\ (c3_1_ a1973_ /\ ~(c2_1_ a1973_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c1_1_ a1974_ /\ (c2_1_ a1974_ /\ ~(c0_1_ a1974_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c0_1_ a1975_ /\ (~(c1_1_ a1975_) /\ ~(c2_1_ a1975_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c1_1_ a1977_ /\ (~(c2_1_ a1977_) /\ ~(c3_1_ a1977_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c3_1_ a1979_ /\ (~(c0_1_ a1979_) /\ ~(c2_1_ a1979_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c0_1_ a1981_ /\ (c1_1_ a1981_ /\ ~(c3_1_ a1981_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c3_1_ a1983_ /\ (~(c0_1_ a1983_) /\ ~(c1_1_ a1983_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c1_1_ a1985_ /\ (~(c0_1_ a1985_) /\ ~(c3_1_ a1985_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c2_1_ a1987_ /\ (c3_1_ a1987_ /\ ~(c1_1_ a1987_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c2_1_ a1989_ /\ (~(c0_1_ a1989_) /\ ~(c3_1_ a1989_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c3_1_ a1990_ /\ (~(c1_1_ a1990_) /\ ~(c2_1_ a1990_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c0_1_ a1991_ /\ (c2_1_ a1991_ /\ ~(c3_1_ a1991_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c1_1_ a1992_ /\ (~(c0_1_ a1992_) /\ ~(c2_1_ a1992_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c2_1_ a1993_ /\ (~(c0_1_ a1993_) /\ ~(c1_1_ a1993_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c0_1_ a1996_ /\ (c3_1_ a1996_ /\ ~(c2_1_ a1996_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c1_1_ a1998_ /\ (c3_1_ a1998_ /\ ~(c0_1_ a1998_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (~(c0_1_ a2000_) /\ (~(c1_1_ a2000_) /\ ~(c3_1_ a2000_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c2_1_ a2001_ /\ (c3_1_ a2001_ /\ ~(c0_1_ a2001_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c1_1_ a2003_ /\ (c2_1_ a2003_ /\ ~(c3_1_ a2003_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c2_1_ a2009_ /\ (~(c1_1_ a2009_) /\ ~(c3_1_ a2009_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c0_1_ a2012_ /\ (~(c2_1_ a2012_) /\ ~(c3_1_ a2012_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c0_1_ a2014_ /\ (c1_1_ a2014_ /\ ~(c2_1_ a2014_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (~(c0_1_ a2031_) /\ (~(c1_1_ a2031_) /\ ~(c2_1_ a2031_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (~(c0_1_ a2041_) /\ (~(c2_1_ a2041_) /\ ~(c3_1_ a2041_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c0_1_ a2049_ /\ (c3_1_ a2049_ /\ ~(c1_1_ a2049_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c1_1_ a1970_ /\ (c2_1_ a1970_ /\ c3_1_ a1970_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a1972_ /\ (c1_1_ a1972_ /\ c3_1_ a1972_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a1978_ /\ (c1_1_ a1978_ /\ c2_1_ a1978_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c0_1_ a2005_ /\ (c2_1_ a2005_ /\ c3_1_ a2005_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c1_1_ V \/ (c2_1_ V \/ ~(c0_1_ V))))) \/ hskp0_)) /\ (((forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c1_1_ W \/ c3_1_ W)))) \/ ((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c2_1_ X \/ c3_1_ X)))) \/ hskp27_)) /\ (((forall Y : Universe, (ndr1_0_ -> (c0_1_ Y \/ (c1_1_ Y \/ c3_1_ Y)))) \/ ((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c2_1_ Z \/ ~(c3_1_ Z))))) \/ (forall X1 : Universe, (ndr1_0_ -> (~(c0_1_ X1) \/ (~(c1_1_ X1) \/ ~(c2_1_ X1))))))) /\ (((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ c3_1_ X2)))) \/ ((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (c3_1_ X3 \/ ~(c2_1_ X3))))) \/ (forall X4 : Universe, (ndr1_0_ -> (c3_1_ X4 \/ (~(c1_1_ X4) \/ ~(c2_1_ X4))))))) /\ (((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (c1_1_ X5 \/ c3_1_ X5)))) \/ ((forall X6 : Universe, (ndr1_0_ -> (c1_1_ X6 \/ (c2_1_ X6 \/ ~(c3_1_ X6))))) \/ (forall X7 : Universe, (ndr1_0_ -> (c1_1_ X7 \/ (~(c0_1_ X7) \/ ~(c2_1_ X7))))))) /\ (((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (c1_1_ X8 \/ c3_1_ X8)))) \/ ((forall X9 : Universe, (ndr1_0_ -> (c2_1_ X9 \/ (~(c0_1_ X9) \/ ~(c1_1_ X9))))) \/ hskp1_)) /\ (((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c1_1_ X10 \/ c3_1_ X10)))) \/ ((forall X11 : Universe, (ndr1_0_ -> (~(c1_1_ X11) \/ (~(c2_1_ X11) \/ ~(c3_1_ X11))))) \/ hskp28_)) /\ (((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (c1_1_ X12 \/ ~(c2_1_ X12))))) \/ ((forall X13 : Universe, (ndr1_0_ -> (c1_1_ X13 \/ (c2_1_ X13 \/ c3_1_ X13)))) \/ hskp2_)) /\ (((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c1_1_ X14 \/ ~(c2_1_ X14))))) \/ ((forall X15 : Universe, (ndr1_0_ -> (c2_1_ X15 \/ (~(c0_1_ X15) \/ ~(c1_1_ X15))))) \/ hskp3_)) /\ (((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (c1_1_ X16 \/ ~(c2_1_ X16))))) \/ (hskp4_ \/ hskp27_)) /\ (((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c1_1_ X17 \/ ~(c3_1_ X17))))) \/ ((forall X18 : Universe, (ndr1_0_ -> (c3_1_ X18 \/ (~(c0_1_ X18) \/ ~(c2_1_ X18))))) \/ hskp5_)) /\ (((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (c1_1_ X19 \/ ~(c3_1_ X19))))) \/ (hskp29_ \/ hskp6_)) /\ (((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (c2_1_ X20 \/ c3_1_ X20)))) \/ ((forall X21 : Universe, (ndr1_0_ -> (c2_1_ X21 \/ (~(c0_1_ X21) \/ ~(c3_1_ X21))))) \/ hskp1_)) /\ (((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (c2_1_ X22 \/ c3_1_ X22)))) \/ (forall X23 : Universe, (ndr1_0_ -> (~(c1_1_ X23) \/ (~(c2_1_ X23) \/ ~(c3_1_ X23)))))) /\ (((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (c2_1_ X24 \/ ~(c1_1_ X24))))) \/ ((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (~(c1_1_ X25) \/ ~(c2_1_ X25))))) \/ hskp7_)) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c2_1_ X26 \/ ~(c1_1_ X26))))) \/ (hskp28_ \/ hskp8_)) /\ (((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (c2_1_ X27 \/ ~(c3_1_ X27))))) \/ ((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (c3_1_ X28 \/ ~(c1_1_ X28))))) \/ (forall X29 : Universe, (ndr1_0_ -> (c2_1_ X29 \/ (~(c1_1_ X29) \/ ~(c3_1_ X29))))))) /\ (((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (c2_1_ X30 \/ ~(c3_1_ X30))))) \/ ((forall X31 : Universe, (ndr1_0_ -> (c0_1_ X31 \/ (~(c1_1_ X31) \/ ~(c3_1_ X31))))) \/ hskp29_)) /\ (((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (c2_1_ X32 \/ ~(c3_1_ X32))))) \/ ((forall X33 : Universe, (ndr1_0_ -> (c0_1_ X33 \/ (~(c2_1_ X33) \/ ~(c3_1_ X33))))) \/ hskp9_)) /\ (((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (c2_1_ X34 \/ ~(c3_1_ X34))))) \/ ((forall X35 : Universe, (ndr1_0_ -> (c1_1_ X35 \/ (c2_1_ X35 \/ ~(c0_1_ X35))))) \/ (forall X36 : Universe, (ndr1_0_ -> (c2_1_ X36 \/ (~(c0_1_ X36) \/ ~(c1_1_ X36))))))) /\ (((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (c2_1_ X37 \/ ~(c3_1_ X37))))) \/ ((forall X38 : Universe, (ndr1_0_ -> (c1_1_ X38 \/ (c2_1_ X38 \/ ~(c3_1_ X38))))) \/ (forall X39 : Universe, (ndr1_0_ -> (c2_1_ X39 \/ (c3_1_ X39 \/ ~(c1_1_ X39))))))) /\ (((forall X40 : Universe, (ndr1_0_ -> (c0_1_ X40 \/ (c2_1_ X40 \/ ~(c3_1_ X40))))) \/ ((forall X41 : Universe, (ndr1_0_ -> (c1_1_ X41 \/ (c3_1_ X41 \/ ~(c2_1_ X41))))) \/ (forall X42 : Universe, (ndr1_0_ -> (c2_1_ X42 \/ (~(c0_1_ X42) \/ ~(c1_1_ X42))))))) /\ (((forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (c2_1_ X43 \/ ~(c3_1_ X43))))) \/ ((forall X44 : Universe, (ndr1_0_ -> (c1_1_ X44 \/ (~(c0_1_ X44) \/ ~(c2_1_ X44))))) \/ hskp8_)) /\ (((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (c2_1_ X45 \/ ~(c3_1_ X45))))) \/ ((forall X46 : Universe, (ndr1_0_ -> (c2_1_ X46 \/ (~(c0_1_ X46) \/ ~(c1_1_ X46))))) \/ hskp10_)) /\ (((forall X47 : Universe, (ndr1_0_ -> (c0_1_ X47 \/ (c2_1_ X47 \/ ~(c3_1_ X47))))) \/ (hskp9_ \/ hskp11_)) /\ (((forall X48 : Universe, (ndr1_0_ -> (c0_1_ X48 \/ (c3_1_ X48 \/ ~(c1_1_ X48))))) \/ ((forall X49 : Universe, (ndr1_0_ -> (c0_1_ X49 \/ (~(c1_1_ X49) \/ ~(c3_1_ X49))))) \/ hskp12_)) /\ (((forall X50 : Universe, (ndr1_0_ -> (c0_1_ X50 \/ (c3_1_ X50 \/ ~(c1_1_ X50))))) \/ ((forall X51 : Universe, (ndr1_0_ -> (c2_1_ X51 \/ (~(c0_1_ X51) \/ ~(c1_1_ X51))))) \/ (forall X52 : Universe, (ndr1_0_ -> (~(c0_1_ X52) \/ (~(c1_1_ X52) \/ ~(c2_1_ X52))))))) /\ (((forall X53 : Universe, (ndr1_0_ -> (c0_1_ X53 \/ (c3_1_ X53 \/ ~(c2_1_ X53))))) \/ ((forall X54 : Universe, (ndr1_0_ -> (c0_1_ X54 \/ (~(c1_1_ X54) \/ ~(c3_1_ X54))))) \/ hskp13_)) /\ (((forall X55 : Universe, (ndr1_0_ -> (c0_1_ X55 \/ (c3_1_ X55 \/ ~(c2_1_ X55))))) \/ ((forall X56 : Universe, (ndr1_0_ -> (c1_1_ X56 \/ (~(c0_1_ X56) \/ ~(c3_1_ X56))))) \/ hskp14_)) /\ (((forall X57 : Universe, (ndr1_0_ -> (c0_1_ X57 \/ (c3_1_ X57 \/ ~(c2_1_ X57))))) \/ ((forall X58 : Universe, (ndr1_0_ -> (c2_1_ X58 \/ (c3_1_ X58 \/ ~(c1_1_ X58))))) \/ hskp15_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c0_1_ X59 \/ (~(c1_1_ X59) \/ ~(c2_1_ X59))))) \/ ((forall X60 : Universe, (ndr1_0_ -> (c0_1_ X60 \/ (~(c1_1_ X60) \/ ~(c3_1_ X60))))) \/ hskp3_)) /\ (((forall X61 : Universe, (ndr1_0_ -> (c0_1_ X61 \/ (~(c1_1_ X61) \/ ~(c2_1_ X61))))) \/ ((forall X62 : Universe, (ndr1_0_ -> (c3_1_ X62 \/ (~(c0_1_ X62) \/ ~(c1_1_ X62))))) \/ hskp10_)) /\ (((forall X63 : Universe, (ndr1_0_ -> (c0_1_ X63 \/ (~(c1_1_ X63) \/ ~(c3_1_ X63))))) \/ ((forall X64 : Universe, (ndr1_0_ -> (~(c0_1_ X64) \/ (~(c1_1_ X64) \/ ~(c3_1_ X64))))) \/ hskp16_)) /\ (((forall X65 : Universe, (ndr1_0_ -> (c0_1_ X65 \/ (~(c1_1_ X65) \/ ~(c3_1_ X65))))) \/ (hskp13_ \/ hskp17_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c0_1_ X66 \/ (~(c1_1_ X66) \/ ~(c3_1_ X66))))) \/ (hskp4_ \/ hskp18_)) /\ (((forall X67 : Universe, (ndr1_0_ -> (c0_1_ X67 \/ (~(c2_1_ X67) \/ ~(c3_1_ X67))))) \/ ((forall X68 : Universe, (ndr1_0_ -> (c1_1_ X68 \/ (~(c0_1_ X68) \/ ~(c3_1_ X68))))) \/ hskp19_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (c0_1_ X69 \/ (~(c2_1_ X69) \/ ~(c3_1_ X69))))) \/ (forall X70 : Universe, (ndr1_0_ -> (c2_1_ X70 \/ (~(c0_1_ X70) \/ ~(c1_1_ X70)))))) /\ (((forall X71 : Universe, (ndr1_0_ -> (c0_1_ X71 \/ (~(c2_1_ X71) \/ ~(c3_1_ X71))))) \/ (hskp13_ \/ hskp20_)) /\ (((forall X72 : Universe, (ndr1_0_ -> (c1_1_ X72 \/ (c2_1_ X72 \/ c3_1_ X72)))) \/ ((forall X73 : Universe, (ndr1_0_ -> (c1_1_ X73 \/ (c3_1_ X73 \/ ~(c2_1_ X73))))) \/ (forall X74 : Universe, (ndr1_0_ -> (c2_1_ X74 \/ (~(c0_1_ X74) \/ ~(c1_1_ X74))))))) /\ (((forall X75 : Universe, (ndr1_0_ -> (c1_1_ X75 \/ (c2_1_ X75 \/ c3_1_ X75)))) \/ ((forall X76 : Universe, (ndr1_0_ -> (c2_1_ X76 \/ (~(c0_1_ X76) \/ ~(c1_1_ X76))))) \/ hskp12_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (c1_1_ X77 \/ (c2_1_ X77 \/ ~(c0_1_ X77))))) \/ ((forall X78 : Universe, (ndr1_0_ -> (c1_1_ X78 \/ (~(c0_1_ X78) \/ ~(c2_1_ X78))))) \/ (forall X79 : Universe, (ndr1_0_ -> (c1_1_ X79 \/ (~(c2_1_ X79) \/ ~(c3_1_ X79))))))) /\ (((forall X80 : Universe, (ndr1_0_ -> (c1_1_ X80 \/ (c2_1_ X80 \/ ~(c0_1_ X80))))) \/ ((forall X81 : Universe, (ndr1_0_ -> (c1_1_ X81 \/ (~(c2_1_ X81) \/ ~(c3_1_ X81))))) \/ (forall X82 : Universe, (ndr1_0_ -> (c2_1_ X82 \/ (~(c1_1_ X82) \/ ~(c3_1_ X82))))))) /\ (((forall X83 : Universe, (ndr1_0_ -> (c1_1_ X83 \/ (c2_1_ X83 \/ ~(c0_1_ X83))))) \/ (hskp30_ \/ hskp5_)) /\ (((forall X84 : Universe, (ndr1_0_ -> (c1_1_ X84 \/ (c2_1_ X84 \/ ~(c0_1_ X84))))) \/ (hskp4_ \/ hskp10_)) /\ (((forall X85 : Universe, (ndr1_0_ -> (c1_1_ X85 \/ (c2_1_ X85 \/ ~(c3_1_ X85))))) \/ ((forall X86 : Universe, (ndr1_0_ -> (c2_1_ X86 \/ (c3_1_ X86 \/ ~(c1_1_ X86))))) \/ hskp21_)) /\ (((forall X87 : Universe, (ndr1_0_ -> (c1_1_ X87 \/ (c2_1_ X87 \/ ~(c3_1_ X87))))) \/ (hskp1_ \/ hskp10_)) /\ (((forall X88 : Universe, (ndr1_0_ -> (c1_1_ X88 \/ (c2_1_ X88 \/ ~(c3_1_ X88))))) \/ (hskp22_ \/ hskp2_)) /\ (((forall X89 : Universe, (ndr1_0_ -> (c1_1_ X89 \/ (c3_1_ X89 \/ ~(c2_1_ X89))))) \/ (hskp23_ \/ hskp6_)) /\ (((forall X90 : Universe, (ndr1_0_ -> (c1_1_ X90 \/ (c3_1_ X90 \/ ~(c2_1_ X90))))) \/ (hskp3_ \/ hskp17_)) /\ (((forall X91 : Universe, (ndr1_0_ -> (c1_1_ X91 \/ (~(c0_1_ X91) \/ ~(c2_1_ X91))))) \/ (hskp10_ \/ hskp11_)) /\ (((forall X92 : Universe, (ndr1_0_ -> (c1_1_ X92 \/ (~(c0_1_ X92) \/ ~(c3_1_ X92))))) \/ (hskp30_ \/ hskp15_)) /\ (((forall X93 : Universe, (ndr1_0_ -> (c1_1_ X93 \/ (~(c0_1_ X93) \/ ~(c3_1_ X93))))) \/ (hskp6_ \/ hskp18_)) /\ (((forall X94 : Universe, (ndr1_0_ -> (c1_1_ X94 \/ (~(c2_1_ X94) \/ ~(c3_1_ X94))))) \/ ((forall X95 : Universe, (ndr1_0_ -> (~(c1_1_ X95) \/ (~(c2_1_ X95) \/ ~(c3_1_ X95))))) \/ hskp27_)) /\ (((forall X96 : Universe, (ndr1_0_ -> (c1_1_ X96 \/ (~(c2_1_ X96) \/ ~(c3_1_ X96))))) \/ hskp10_) /\ (((forall X97 : Universe, (ndr1_0_ -> (c2_1_ X97 \/ (c3_1_ X97 \/ ~(c0_1_ X97))))) \/ (hskp16_ \/ hskp15_)) /\ (((forall X98 : Universe, (ndr1_0_ -> (c2_1_ X98 \/ (c3_1_ X98 \/ ~(c1_1_ X98))))) \/ ((forall X99 : Universe, (ndr1_0_ -> (c2_1_ X99 \/ (~(c1_1_ X99) \/ ~(c3_1_ X99))))) \/ (forall X100 : Universe, (ndr1_0_ -> (c3_1_ X100 \/ (~(c0_1_ X100) \/ ~(c1_1_ X100))))))) /\ (((forall X101 : Universe, (ndr1_0_ -> (c2_1_ X101 \/ (~(c0_1_ X101) \/ ~(c1_1_ X101))))) \/ (hskp1_ \/ hskp22_)) /\ (((forall X102 : Universe, (ndr1_0_ -> (c2_1_ X102 \/ (~(c0_1_ X102) \/ ~(c1_1_ X102))))) \/ (hskp16_ \/ hskp24_)) /\ (((forall X103 : Universe, (ndr1_0_ -> (c2_1_ X103 \/ (~(c1_1_ X103) \/ ~(c3_1_ X103))))) \/ ((forall X104 : Universe, (ndr1_0_ -> (~(c0_1_ X104) \/ (~(c1_1_ X104) \/ ~(c3_1_ X104))))) \/ hskp20_)) /\ (((forall X105 : Universe, (ndr1_0_ -> (c2_1_ X105 \/ (~(c1_1_ X105) \/ ~(c3_1_ X105))))) \/ (hskp11_ \/ hskp12_)) /\ (((forall X106 : Universe, (ndr1_0_ -> (c3_1_ X106 \/ (~(c0_1_ X106) \/ ~(c2_1_ X106))))) \/ ((forall X107 : Universe, (ndr1_0_ -> (~(c0_1_ X107) \/ (~(c1_1_ X107) \/ ~(c3_1_ X107))))) \/ hskp10_)) /\ (((forall X108 : Universe, (ndr1_0_ -> (c3_1_ X108 \/ (~(c0_1_ X108) \/ ~(c2_1_ X108))))) \/ (hskp4_ \/ hskp17_)) /\ (((forall X109 : Universe, (ndr1_0_ -> (c3_1_ X109 \/ (~(c0_1_ X109) \/ ~(c2_1_ X109))))) \/ (hskp12_ \/ hskp0_)) /\ (((forall X110 : Universe, (ndr1_0_ -> (c3_1_ X110 \/ (~(c0_1_ X110) \/ ~(c2_1_ X110))))) \/ (hskp24_ \/ hskp25_)) /\ (((forall X111 : Universe, (ndr1_0_ -> (c3_1_ X111 \/ (~(c1_1_ X111) \/ ~(c2_1_ X111))))) \/ (hskp14_ \/ hskp10_)) /\ (((forall X112 : Universe, (ndr1_0_ -> (~(c0_1_ X112) \/ (~(c1_1_ X112) \/ ~(c2_1_ X112))))) \/ (hskp1_ \/ hskp4_)) /\ (((forall X113 : Universe, (ndr1_0_ -> (~(c0_1_ X113) \/ (~(c1_1_ X113) \/ ~(c2_1_ X113))))) \/ (hskp3_ \/ hskp8_)) /\ (((forall X114 : Universe, (ndr1_0_ -> (~(c0_1_ X114) \/ (~(c1_1_ X114) \/ ~(c2_1_ X114))))) \/ hskp17_) /\ (((forall X115 : Universe, (ndr1_0_ -> (~(c0_1_ X115) \/ (~(c1_1_ X115) \/ ~(c3_1_ X115))))) \/ (hskp26_ \/ hskp25_)) /\ (((forall X116 : Universe, (ndr1_0_ -> (~(c1_1_ X116) \/ (~(c2_1_ X116) \/ ~(c3_1_ X116))))) \/ (hskp4_ \/ hskp11_)) /\ ((hskp28_ \/ (hskp1_ \/ hskp21_)) /\ ((hskp23_ \/ (hskp5_ \/ hskp8_)) /\ ((hskp30_ \/ (hskp27_ \/ hskp6_)) /\ ((hskp16_ \/ (hskp19_ \/ hskp15_)) /\ (hskp16_ \/ (hskp21_ \/ hskp18_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
