(*
% File     : SYN485+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=76, K=3, D=1, P=0, Index=050
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-76-3-1-050.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  732 (   0 equality)
%            Maximal formula depth :  109 ( 109 average)
%            Number of connectives :  988 ( 257 ~  ; 417  |; 195  &)
%                                         (   0 <=>; 119 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   35 (  31 propositional; 0-1 arity)
%            Number of functors    :   30 (  30 constant; 0-0 arity)
%            Number of variables   :  119 (   0 singleton; 119 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a2172_ : Universe.
Variable a2160_ : Universe.
Variable a2149_ : Universe.
Variable a2140_ : Universe.
Variable a2136_ : Universe.
Variable a2130_ : Universe.
Variable a2122_ : Universe.
Variable a2116_ : Universe.
Variable a2110_ : Universe.
Variable a2104_ : Universe.
Variable a2099_ : Universe.
Variable a2097_ : Universe.
Variable a2096_ : Universe.
Variable a2095_ : Universe.
Variable a2093_ : Universe.
Variable a2087_ : Universe.
Variable a2084_ : Universe.
Variable a2082_ : Universe.
Variable a2079_ : Universe.
Variable a2078_ : Universe.
Variable a2077_ : Universe.
Variable a2076_ : Universe.
Variable a2075_ : Universe.
Variable a2074_ : Universe.
Variable a2073_ : Universe.
Variable a2072_ : Universe.
Variable a2071_ : Universe.
Variable a2070_ : Universe.
Variable a2069_ : Universe.
Variable a2068_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c3_1_ a2068_ /\ (~(c0_1_ a2068_) /\ ~(c2_1_ a2068_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c0_1_ a2070_ /\ (c3_1_ a2070_ /\ ~(c2_1_ a2070_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c0_1_ a2071_ /\ (c2_1_ a2071_ /\ ~(c3_1_ a2071_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (~(c0_1_ a2072_) /\ (~(c1_1_ a2072_) /\ ~(c3_1_ a2072_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c1_1_ a2074_ /\ (c3_1_ a2074_ /\ ~(c2_1_ a2074_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c1_1_ a2076_ /\ (c3_1_ a2076_ /\ ~(c0_1_ a2076_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c0_1_ a2078_ /\ (~(c1_1_ a2078_) /\ ~(c2_1_ a2078_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c0_1_ a2079_ /\ (c1_1_ a2079_ /\ ~(c3_1_ a2079_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c1_1_ a2082_ /\ (c2_1_ a2082_ /\ ~(c0_1_ a2082_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c2_1_ a2084_ /\ (c3_1_ a2084_ /\ ~(c1_1_ a2084_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c2_1_ a2087_ /\ (~(c1_1_ a2087_) /\ ~(c3_1_ a2087_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c0_1_ a2093_ /\ (~(c1_1_ a2093_) /\ ~(c3_1_ a2093_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c1_1_ a2095_ /\ (~(c0_1_ a2095_) /\ ~(c2_1_ a2095_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c2_1_ a2096_ /\ (~(c0_1_ a2096_) /\ ~(c1_1_ a2096_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (~(c0_1_ a2097_) /\ (~(c1_1_ a2097_) /\ ~(c2_1_ a2097_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c0_1_ a2099_ /\ (~(c2_1_ a2099_) /\ ~(c3_1_ a2099_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c3_1_ a2104_ /\ (~(c0_1_ a2104_) /\ ~(c1_1_ a2104_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c0_1_ a2110_ /\ (c2_1_ a2110_ /\ ~(c1_1_ a2110_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c1_1_ a2116_ /\ (~(c2_1_ a2116_) /\ ~(c3_1_ a2116_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c2_1_ a2122_ /\ (~(c0_1_ a2122_) /\ ~(c3_1_ a2122_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (~(c1_1_ a2130_) /\ (~(c2_1_ a2130_) /\ ~(c3_1_ a2130_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c0_1_ a2136_ /\ (c1_1_ a2136_ /\ ~(c2_1_ a2136_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c2_1_ a2140_ /\ (c3_1_ a2140_ /\ ~(c0_1_ a2140_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c0_1_ a2149_ /\ (c3_1_ a2149_ /\ ~(c1_1_ a2149_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c1_1_ a2160_ /\ (c2_1_ a2160_ /\ ~(c3_1_ a2160_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c1_1_ a2172_ /\ (~(c0_1_ a2172_) /\ ~(c3_1_ a2172_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c0_1_ a2069_ /\ (c2_1_ a2069_ /\ c3_1_ a2069_)))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a2073_ /\ (c1_1_ a2073_ /\ c3_1_ a2073_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a2075_ /\ (c1_1_ a2075_ /\ c2_1_ a2075_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c1_1_ a2077_ /\ (c2_1_ a2077_ /\ c3_1_ a2077_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c2_1_ V \/ ~(c1_1_ V))))) \/ (forall W : Universe, (ndr1_0_ -> (c1_1_ W \/ (c2_1_ W \/ c3_1_ W)))))) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ c2_1_ X)))) \/ ((forall Y : Universe, (ndr1_0_ -> (~(c0_1_ Y) \/ (~(c2_1_ Y) \/ ~(c3_1_ Y))))) \/ hskp0_)) /\ (((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c1_1_ Z \/ c2_1_ Z)))) \/ (hskp26_ \/ hskp1_)) /\ (((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c1_1_ X1 \/ c2_1_ X1)))) \/ (hskp2_ \/ hskp3_)) /\ (((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ c3_1_ X2)))) \/ ((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (c1_1_ X3 \/ ~(c2_1_ X3))))) \/ hskp27_)) /\ (((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c1_1_ X4 \/ c3_1_ X4)))) \/ ((forall X5 : Universe, (ndr1_0_ -> (c1_1_ X5 \/ (c3_1_ X5 \/ ~(c2_1_ X5))))) \/ hskp4_)) /\ (((forall X6 : Universe, (ndr1_0_ -> (c0_1_ X6 \/ (c1_1_ X6 \/ c3_1_ X6)))) \/ (hskp28_ \/ hskp5_)) /\ (((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (c1_1_ X7 \/ ~(c2_1_ X7))))) \/ ((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (~(c2_1_ X8) \/ ~(c3_1_ X8))))) \/ (forall X9 : Universe, (ndr1_0_ -> (c1_1_ X9 \/ (~(c0_1_ X9) \/ ~(c2_1_ X9))))))) /\ (((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c1_1_ X10 \/ ~(c2_1_ X10))))) \/ ((forall X11 : Universe, (ndr1_0_ -> (c2_1_ X11 \/ (~(c0_1_ X11) \/ ~(c1_1_ X11))))) \/ hskp29_)) /\ (((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (c1_1_ X12 \/ ~(c3_1_ X12))))) \/ ((forall X13 : Universe, (ndr1_0_ -> (c1_1_ X13 \/ (~(c0_1_ X13) \/ ~(c3_1_ X13))))) \/ hskp6_)) /\ (((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c1_1_ X14 \/ ~(c3_1_ X14))))) \/ ((forall X15 : Universe, (ndr1_0_ -> (c1_1_ X15 \/ (~(c2_1_ X15) \/ ~(c3_1_ X15))))) \/ (forall X16 : Universe, (ndr1_0_ -> (c2_1_ X16 \/ (c3_1_ X16 \/ ~(c1_1_ X16))))))) /\ (((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c1_1_ X17 \/ ~(c3_1_ X17))))) \/ ((forall X18 : Universe, (ndr1_0_ -> (~(c0_1_ X18) \/ (~(c1_1_ X18) \/ ~(c3_1_ X18))))) \/ hskp7_)) /\ (((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (c2_1_ X19 \/ c3_1_ X19)))) \/ ((forall X20 : Universe, (ndr1_0_ -> (c1_1_ X20 \/ (c3_1_ X20 \/ ~(c2_1_ X20))))) \/ (forall X21 : Universe, (ndr1_0_ -> (c2_1_ X21 \/ (~(c1_1_ X21) \/ ~(c3_1_ X21))))))) /\ (((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (c2_1_ X22 \/ c3_1_ X22)))) \/ (hskp5_ \/ hskp4_)) /\ (((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c2_1_ X23 \/ ~(c1_1_ X23))))) \/ ((forall X24 : Universe, (ndr1_0_ -> (c1_1_ X24 \/ (c3_1_ X24 \/ ~(c2_1_ X24))))) \/ hskp8_)) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c2_1_ X25 \/ ~(c1_1_ X25))))) \/ ((forall X26 : Universe, (ndr1_0_ -> (c1_1_ X26 \/ (~(c0_1_ X26) \/ ~(c3_1_ X26))))) \/ hskp2_)) /\ (((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (c2_1_ X27 \/ ~(c1_1_ X27))))) \/ ((forall X28 : Universe, (ndr1_0_ -> (c2_1_ X28 \/ (~(c0_1_ X28) \/ ~(c1_1_ X28))))) \/ hskp9_)) /\ (((forall X29 : Universe, (ndr1_0_ -> (c0_1_ X29 \/ (c2_1_ X29 \/ ~(c1_1_ X29))))) \/ ((forall X30 : Universe, (ndr1_0_ -> (c2_1_ X30 \/ (~(c0_1_ X30) \/ ~(c3_1_ X30))))) \/ hskp9_)) /\ (((forall X31 : Universe, (ndr1_0_ -> (c0_1_ X31 \/ (c2_1_ X31 \/ ~(c3_1_ X31))))) \/ ((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (c3_1_ X32 \/ ~(c1_1_ X32))))) \/ (forall X33 : Universe, (ndr1_0_ -> (c2_1_ X33 \/ (c3_1_ X33 \/ ~(c1_1_ X33))))))) /\ (((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (c2_1_ X34 \/ ~(c3_1_ X34))))) \/ ((forall X35 : Universe, (ndr1_0_ -> (c1_1_ X35 \/ (c2_1_ X35 \/ ~(c3_1_ X35))))) \/ hskp4_)) /\ (((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (c2_1_ X36 \/ ~(c3_1_ X36))))) \/ ((forall X37 : Universe, (ndr1_0_ -> (~(c0_1_ X37) \/ (~(c2_1_ X37) \/ ~(c3_1_ X37))))) \/ hskp10_)) /\ (((forall X38 : Universe, (ndr1_0_ -> (c0_1_ X38 \/ (c2_1_ X38 \/ ~(c3_1_ X38))))) \/ (hskp27_ \/ hskp7_)) /\ (((forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (c3_1_ X39 \/ ~(c1_1_ X39))))) \/ ((forall X40 : Universe, (ndr1_0_ -> (~(c0_1_ X40) \/ (~(c2_1_ X40) \/ ~(c3_1_ X40))))) \/ hskp4_)) /\ (((forall X41 : Universe, (ndr1_0_ -> (c0_1_ X41 \/ (c3_1_ X41 \/ ~(c1_1_ X41))))) \/ ((forall X42 : Universe, (ndr1_0_ -> (~(c1_1_ X42) \/ (~(c2_1_ X42) \/ ~(c3_1_ X42))))) \/ hskp8_)) /\ (((forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (c3_1_ X43 \/ ~(c2_1_ X43))))) \/ ((forall X44 : Universe, (ndr1_0_ -> (c0_1_ X44 \/ (~(c1_1_ X44) \/ ~(c2_1_ X44))))) \/ hskp1_)) /\ (((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (c3_1_ X45 \/ ~(c2_1_ X45))))) \/ ((forall X46 : Universe, (ndr1_0_ -> (c1_1_ X46 \/ (c2_1_ X46 \/ ~(c0_1_ X46))))) \/ hskp11_)) /\ (((forall X47 : Universe, (ndr1_0_ -> (c0_1_ X47 \/ (c3_1_ X47 \/ ~(c2_1_ X47))))) \/ ((forall X48 : Universe, (ndr1_0_ -> (c1_1_ X48 \/ (~(c2_1_ X48) \/ ~(c3_1_ X48))))) \/ hskp10_)) /\ (((forall X49 : Universe, (ndr1_0_ -> (c0_1_ X49 \/ (c3_1_ X49 \/ ~(c2_1_ X49))))) \/ ((forall X50 : Universe, (ndr1_0_ -> (c2_1_ X50 \/ (~(c0_1_ X50) \/ ~(c3_1_ X50))))) \/ (forall X51 : Universe, (ndr1_0_ -> (c2_1_ X51 \/ (~(c1_1_ X51) \/ ~(c3_1_ X51))))))) /\ (((forall X52 : Universe, (ndr1_0_ -> (c0_1_ X52 \/ (c3_1_ X52 \/ ~(c2_1_ X52))))) \/ (hskp12_ \/ hskp13_)) /\ (((forall X53 : Universe, (ndr1_0_ -> (c0_1_ X53 \/ (~(c1_1_ X53) \/ ~(c2_1_ X53))))) \/ ((forall X54 : Universe, (ndr1_0_ -> (c1_1_ X54 \/ (c2_1_ X54 \/ c3_1_ X54)))) \/ hskp14_)) /\ (((forall X55 : Universe, (ndr1_0_ -> (c0_1_ X55 \/ (~(c1_1_ X55) \/ ~(c2_1_ X55))))) \/ ((forall X56 : Universe, (ndr1_0_ -> (c1_1_ X56 \/ (c3_1_ X56 \/ ~(c2_1_ X56))))) \/ hskp11_)) /\ (((forall X57 : Universe, (ndr1_0_ -> (c0_1_ X57 \/ (~(c1_1_ X57) \/ ~(c3_1_ X57))))) \/ ((forall X58 : Universe, (ndr1_0_ -> (c1_1_ X58 \/ (c2_1_ X58 \/ ~(c3_1_ X58))))) \/ hskp15_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c0_1_ X59 \/ (~(c1_1_ X59) \/ ~(c3_1_ X59))))) \/ ((forall X60 : Universe, (ndr1_0_ -> (c1_1_ X60 \/ (~(c0_1_ X60) \/ ~(c3_1_ X60))))) \/ (forall X61 : Universe, (ndr1_0_ -> (c2_1_ X61 \/ (~(c0_1_ X61) \/ ~(c1_1_ X61))))))) /\ (((forall X62 : Universe, (ndr1_0_ -> (c0_1_ X62 \/ (~(c1_1_ X62) \/ ~(c3_1_ X62))))) \/ (hskp28_ \/ hskp4_)) /\ (((forall X63 : Universe, (ndr1_0_ -> (c0_1_ X63 \/ (~(c1_1_ X63) \/ ~(c3_1_ X63))))) \/ hskp0_) /\ (((forall X64 : Universe, (ndr1_0_ -> (c0_1_ X64 \/ (~(c2_1_ X64) \/ ~(c3_1_ X64))))) \/ ((forall X65 : Universe, (ndr1_0_ -> (c1_1_ X65 \/ (~(c2_1_ X65) \/ ~(c3_1_ X65))))) \/ hskp27_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c0_1_ X66 \/ (~(c2_1_ X66) \/ ~(c3_1_ X66))))) \/ ((forall X67 : Universe, (ndr1_0_ -> (c2_1_ X67 \/ (c3_1_ X67 \/ ~(c0_1_ X67))))) \/ hskp16_)) /\ (((forall X68 : Universe, (ndr1_0_ -> (c0_1_ X68 \/ (~(c2_1_ X68) \/ ~(c3_1_ X68))))) \/ ((forall X69 : Universe, (ndr1_0_ -> (~(c0_1_ X69) \/ (~(c1_1_ X69) \/ ~(c2_1_ X69))))) \/ hskp26_)) /\ (((forall X70 : Universe, (ndr1_0_ -> (c0_1_ X70 \/ (~(c2_1_ X70) \/ ~(c3_1_ X70))))) \/ (hskp27_ \/ hskp29_)) /\ (((forall X71 : Universe, (ndr1_0_ -> (c0_1_ X71 \/ (~(c2_1_ X71) \/ ~(c3_1_ X71))))) \/ (hskp11_ \/ hskp0_)) /\ (((forall X72 : Universe, (ndr1_0_ -> (c1_1_ X72 \/ (c2_1_ X72 \/ c3_1_ X72)))) \/ (hskp17_ \/ hskp1_)) /\ (((forall X73 : Universe, (ndr1_0_ -> (c1_1_ X73 \/ (c2_1_ X73 \/ ~(c0_1_ X73))))) \/ ((forall X74 : Universe, (ndr1_0_ -> (~(c0_1_ X74) \/ (~(c2_1_ X74) \/ ~(c3_1_ X74))))) \/ hskp26_)) /\ (((forall X75 : Universe, (ndr1_0_ -> (c1_1_ X75 \/ (c2_1_ X75 \/ ~(c3_1_ X75))))) \/ ((forall X76 : Universe, (ndr1_0_ -> (c3_1_ X76 \/ (~(c0_1_ X76) \/ ~(c2_1_ X76))))) \/ hskp16_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (c1_1_ X77 \/ (c2_1_ X77 \/ ~(c3_1_ X77))))) \/ ((forall X78 : Universe, (ndr1_0_ -> (~(c1_1_ X78) \/ (~(c2_1_ X78) \/ ~(c3_1_ X78))))) \/ hskp8_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (c1_1_ X79 \/ (c2_1_ X79 \/ ~(c3_1_ X79))))) \/ (hskp26_ \/ hskp18_)) /\ (((forall X80 : Universe, (ndr1_0_ -> (c1_1_ X80 \/ (c3_1_ X80 \/ ~(c0_1_ X80))))) \/ ((forall X81 : Universe, (ndr1_0_ -> (c1_1_ X81 \/ (~(c2_1_ X81) \/ ~(c3_1_ X81))))) \/ hskp26_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c1_1_ X82 \/ (c3_1_ X82 \/ ~(c0_1_ X82))))) \/ ((forall X83 : Universe, (ndr1_0_ -> (c2_1_ X83 \/ (~(c1_1_ X83) \/ ~(c3_1_ X83))))) \/ hskp3_)) /\ (((forall X84 : Universe, (ndr1_0_ -> (c1_1_ X84 \/ (c3_1_ X84 \/ ~(c0_1_ X84))))) \/ ((forall X85 : Universe, (ndr1_0_ -> (~(c0_1_ X85) \/ (~(c1_1_ X85) \/ ~(c3_1_ X85))))) \/ (forall X86 : Universe, (ndr1_0_ -> (~(c0_1_ X86) \/ (~(c2_1_ X86) \/ ~(c3_1_ X86))))))) /\ (((forall X87 : Universe, (ndr1_0_ -> (c1_1_ X87 \/ (c3_1_ X87 \/ ~(c0_1_ X87))))) \/ (hskp1_ \/ hskp8_)) /\ (((forall X88 : Universe, (ndr1_0_ -> (c1_1_ X88 \/ (c3_1_ X88 \/ ~(c0_1_ X88))))) \/ (hskp11_ \/ hskp19_)) /\ (((forall X89 : Universe, (ndr1_0_ -> (c1_1_ X89 \/ (~(c0_1_ X89) \/ ~(c3_1_ X89))))) \/ ((forall X90 : Universe, (ndr1_0_ -> (c2_1_ X90 \/ (c3_1_ X90 \/ ~(c1_1_ X90))))) \/ hskp17_)) /\ (((forall X91 : Universe, (ndr1_0_ -> (c1_1_ X91 \/ (~(c0_1_ X91) \/ ~(c3_1_ X91))))) \/ ((forall X92 : Universe, (ndr1_0_ -> (c2_1_ X92 \/ (c3_1_ X92 \/ ~(c1_1_ X92))))) \/ hskp8_)) /\ (((forall X93 : Universe, (ndr1_0_ -> (c1_1_ X93 \/ (~(c0_1_ X93) \/ ~(c3_1_ X93))))) \/ (hskp26_ \/ hskp5_)) /\ (((forall X94 : Universe, (ndr1_0_ -> (c1_1_ X94 \/ (~(c0_1_ X94) \/ ~(c3_1_ X94))))) \/ (hskp11_ \/ hskp10_)) /\ (((forall X95 : Universe, (ndr1_0_ -> (c1_1_ X95 \/ (~(c2_1_ X95) \/ ~(c3_1_ X95))))) \/ ((forall X96 : Universe, (ndr1_0_ -> (c2_1_ X96 \/ (~(c0_1_ X96) \/ ~(c3_1_ X96))))) \/ hskp3_)) /\ (((forall X97 : Universe, (ndr1_0_ -> (c1_1_ X97 \/ (~(c2_1_ X97) \/ ~(c3_1_ X97))))) \/ ((forall X98 : Universe, (ndr1_0_ -> (~(c0_1_ X98) \/ (~(c1_1_ X98) \/ ~(c2_1_ X98))))) \/ hskp20_)) /\ (((forall X99 : Universe, (ndr1_0_ -> (c1_1_ X99 \/ (~(c2_1_ X99) \/ ~(c3_1_ X99))))) \/ (hskp7_ \/ hskp15_)) /\ (((forall X100 : Universe, (ndr1_0_ -> (c2_1_ X100 \/ (c3_1_ X100 \/ ~(c0_1_ X100))))) \/ ((forall X101 : Universe, (ndr1_0_ -> (~(c0_1_ X101) \/ (~(c1_1_ X101) \/ ~(c2_1_ X101))))) \/ hskp11_)) /\ (((forall X102 : Universe, (ndr1_0_ -> (c2_1_ X102 \/ (~(c0_1_ X102) \/ ~(c1_1_ X102))))) \/ ((forall X103 : Universe, (ndr1_0_ -> (c2_1_ X103 \/ (~(c1_1_ X103) \/ ~(c3_1_ X103))))) \/ hskp5_)) /\ (((forall X104 : Universe, (ndr1_0_ -> (c2_1_ X104 \/ (~(c0_1_ X104) \/ ~(c1_1_ X104))))) \/ ((forall X105 : Universe, (ndr1_0_ -> (c3_1_ X105 \/ (~(c1_1_ X105) \/ ~(c2_1_ X105))))) \/ hskp12_)) /\ (((forall X106 : Universe, (ndr1_0_ -> (c2_1_ X106 \/ (~(c0_1_ X106) \/ ~(c1_1_ X106))))) \/ (hskp21_ \/ hskp16_)) /\ (((forall X107 : Universe, (ndr1_0_ -> (c2_1_ X107 \/ (~(c0_1_ X107) \/ ~(c1_1_ X107))))) \/ (hskp17_ \/ hskp20_)) /\ (((forall X108 : Universe, (ndr1_0_ -> (c2_1_ X108 \/ (~(c0_1_ X108) \/ ~(c1_1_ X108))))) \/ hskp22_) /\ (((forall X109 : Universe, (ndr1_0_ -> (c2_1_ X109 \/ (~(c0_1_ X109) \/ ~(c3_1_ X109))))) \/ ((forall X110 : Universe, (ndr1_0_ -> (c3_1_ X110 \/ (~(c0_1_ X110) \/ ~(c2_1_ X110))))) \/ hskp4_)) /\ (((forall X111 : Universe, (ndr1_0_ -> (c2_1_ X111 \/ (~(c0_1_ X111) \/ ~(c3_1_ X111))))) \/ (hskp7_ \/ hskp16_)) /\ (((forall X112 : Universe, (ndr1_0_ -> (~(c0_1_ X112) \/ (~(c1_1_ X112) \/ ~(c2_1_ X112))))) \/ (hskp7_ \/ hskp4_)) /\ (((forall X113 : Universe, (ndr1_0_ -> (~(c0_1_ X113) \/ (~(c1_1_ X113) \/ ~(c3_1_ X113))))) \/ (hskp17_ \/ hskp22_)) /\ ((hskp27_ \/ (hskp23_ \/ hskp5_)) /\ ((hskp7_ \/ (hskp23_ \/ hskp15_)) /\ ((hskp17_ \/ hskp2_) /\ ((hskp17_ \/ (hskp23_ \/ hskp1_)) /\ ((hskp23_ \/ (hskp24_ \/ hskp5_)) /\ ((hskp6_ \/ (hskp5_ \/ hskp18_)) /\ ((hskp29_ \/ (hskp5_ \/ hskp3_)) /\ ((hskp24_ \/ (hskp12_ \/ hskp10_)) /\ (hskp12_ \/ (hskp25_ \/ hskp18_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
