(*
% File     : SYN486+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=76, K=3, D=1, P=0, Index=051
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-76-3-1-051.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  757 (   0 equality)
%            Maximal formula depth :  110 ( 110 average)
%            Number of connectives : 1026 ( 270 ~  ; 432  |; 199  &)
%                                         (   0 <=>; 125 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   36 (  32 propositional; 0-1 arity)
%            Number of functors    :   31 (  31 constant; 0-0 arity)
%            Number of variables   :  125 (   0 singleton; 125 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a2268_ : Universe.
Variable a2265_ : Universe.
Variable a2262_ : Universe.
Variable a2248_ : Universe.
Variable a2219_ : Universe.
Variable a2216_ : Universe.
Variable a2213_ : Universe.
Variable a2211_ : Universe.
Variable a2208_ : Universe.
Variable a2198_ : Universe.
Variable a2197_ : Universe.
Variable a2196_ : Universe.
Variable a2195_ : Universe.
Variable a2194_ : Universe.
Variable a2193_ : Universe.
Variable a2191_ : Universe.
Variable a2189_ : Universe.
Variable a2188_ : Universe.
Variable a2187_ : Universe.
Variable a2186_ : Universe.
Variable a2185_ : Universe.
Variable a2184_ : Universe.
Variable a2182_ : Universe.
Variable a2181_ : Universe.
Variable a2180_ : Universe.
Variable a2179_ : Universe.
Variable a2178_ : Universe.
Variable a2177_ : Universe.
Variable a2176_ : Universe.
Variable a2175_ : Universe.
Variable a2174_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c1_1_ a2174_ /\ (c2_1_ a2174_ /\ ~(c0_1_ a2174_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c2_1_ a2175_ /\ (~(c0_1_ a2175_) /\ ~(c3_1_ a2175_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c1_1_ a2176_ /\ (~(c0_1_ a2176_) /\ ~(c3_1_ a2176_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (~(c0_1_ a2177_) /\ (~(c1_1_ a2177_) /\ ~(c3_1_ a2177_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c0_1_ a2179_ /\ (c2_1_ a2179_ /\ ~(c3_1_ a2179_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c0_1_ a2180_ /\ (c3_1_ a2180_ /\ ~(c1_1_ a2180_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c1_1_ a2181_ /\ (c2_1_ a2181_ /\ ~(c3_1_ a2181_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c2_1_ a2182_ /\ (c3_1_ a2182_ /\ ~(c0_1_ a2182_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c0_1_ a2184_ /\ (c1_1_ a2184_ /\ ~(c3_1_ a2184_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c2_1_ a2185_ /\ (~(c0_1_ a2185_) /\ ~(c1_1_ a2185_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c3_1_ a2186_ /\ (~(c0_1_ a2186_) /\ ~(c1_1_ a2186_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c0_1_ a2187_ /\ (c2_1_ a2187_ /\ ~(c1_1_ a2187_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c1_1_ a2189_ /\ (~(c2_1_ a2189_) /\ ~(c3_1_ a2189_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c0_1_ a2191_ /\ (~(c1_1_ a2191_) /\ ~(c3_1_ a2191_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c3_1_ a2193_ /\ (~(c1_1_ a2193_) /\ ~(c2_1_ a2193_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c0_1_ a2194_ /\ (c3_1_ a2194_ /\ ~(c2_1_ a2194_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (~(c1_1_ a2195_) /\ (~(c2_1_ a2195_) /\ ~(c3_1_ a2195_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c2_1_ a2197_ /\ (c3_1_ a2197_ /\ ~(c1_1_ a2197_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c0_1_ a2198_ /\ (~(c1_1_ a2198_) /\ ~(c2_1_ a2198_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (~(c0_1_ a2211_) /\ (~(c2_1_ a2211_) /\ ~(c3_1_ a2211_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c0_1_ a2213_ /\ (c1_1_ a2213_ /\ ~(c2_1_ a2213_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c0_1_ a2216_ /\ (~(c2_1_ a2216_) /\ ~(c3_1_ a2216_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c2_1_ a2219_ /\ (~(c1_1_ a2219_) /\ ~(c3_1_ a2219_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (~(c0_1_ a2248_) /\ (~(c1_1_ a2248_) /\ ~(c2_1_ a2248_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c1_1_ a2262_ /\ (c3_1_ a2262_ /\ ~(c0_1_ a2262_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c1_1_ a2265_ /\ (c3_1_ a2265_ /\ ~(c2_1_ a2265_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c1_1_ a2268_ /\ (~(c0_1_ a2268_) /\ ~(c2_1_ a2268_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a2178_ /\ (c2_1_ a2178_ /\ c3_1_ a2178_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a2188_ /\ (c1_1_ a2188_ /\ c2_1_ a2188_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c1_1_ a2196_ /\ (c2_1_ a2196_ /\ c3_1_ a2196_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c0_1_ a2208_ /\ (c1_1_ a2208_ /\ c3_1_ a2208_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c3_1_ V \/ ~(c2_1_ V))))) \/ (forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (~(c2_1_ W) \/ ~(c3_1_ W))))))) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ c2_1_ X)))) \/ ((forall Y : Universe, (ndr1_0_ -> (c1_1_ Y \/ (~(c0_1_ Y) \/ ~(c3_1_ Y))))) \/ (forall Z : Universe, (ndr1_0_ -> (c2_1_ Z \/ (c3_1_ Z \/ ~(c1_1_ Z))))))) /\ (((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c1_1_ X1 \/ c2_1_ X1)))) \/ ((forall X2 : Universe, (ndr1_0_ -> (c1_1_ X2 \/ (~(c2_1_ X2) \/ ~(c3_1_ X2))))) \/ hskp0_)) /\ (((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (c1_1_ X3 \/ c3_1_ X3)))) \/ ((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c3_1_ X4 \/ ~(c2_1_ X4))))) \/ (forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (~(c1_1_ X5) \/ ~(c3_1_ X5))))))) /\ (((forall X6 : Universe, (ndr1_0_ -> (c0_1_ X6 \/ (c1_1_ X6 \/ c3_1_ X6)))) \/ ((forall X7 : Universe, (ndr1_0_ -> (c1_1_ X7 \/ (c2_1_ X7 \/ c3_1_ X7)))) \/ (forall X8 : Universe, (ndr1_0_ -> (c1_1_ X8 \/ (~(c0_1_ X8) \/ ~(c2_1_ X8))))))) /\ (((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c1_1_ X9 \/ c3_1_ X9)))) \/ ((forall X10 : Universe, (ndr1_0_ -> (c1_1_ X10 \/ (~(c2_1_ X10) \/ ~(c3_1_ X10))))) \/ hskp1_)) /\ (((forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (c1_1_ X11 \/ c3_1_ X11)))) \/ ((forall X12 : Universe, (ndr1_0_ -> (~(c0_1_ X12) \/ (~(c2_1_ X12) \/ ~(c3_1_ X12))))) \/ hskp2_)) /\ (((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c1_1_ X13 \/ ~(c2_1_ X13))))) \/ ((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c2_1_ X14 \/ ~(c1_1_ X14))))) \/ hskp3_)) /\ (((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c1_1_ X15 \/ ~(c2_1_ X15))))) \/ ((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (~(c1_1_ X16) \/ ~(c2_1_ X16))))) \/ (forall X17 : Universe, (ndr1_0_ -> (~(c0_1_ X17) \/ (~(c1_1_ X17) \/ ~(c3_1_ X17))))))) /\ (((forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (c1_1_ X18 \/ ~(c2_1_ X18))))) \/ ((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (~(c1_1_ X19) \/ ~(c2_1_ X19))))) \/ hskp27_)) /\ (((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (c1_1_ X20 \/ ~(c2_1_ X20))))) \/ ((forall X21 : Universe, (ndr1_0_ -> (~(c1_1_ X21) \/ (~(c2_1_ X21) \/ ~(c3_1_ X21))))) \/ hskp4_)) /\ (((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (c1_1_ X22 \/ ~(c2_1_ X22))))) \/ (hskp5_ \/ hskp6_)) /\ (((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c1_1_ X23 \/ ~(c3_1_ X23))))) \/ ((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (c3_1_ X24 \/ ~(c1_1_ X24))))) \/ (forall X25 : Universe, (ndr1_0_ -> (c2_1_ X25 \/ (c3_1_ X25 \/ ~(c1_1_ X25))))))) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c1_1_ X26 \/ ~(c3_1_ X26))))) \/ ((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (c3_1_ X27 \/ ~(c2_1_ X27))))) \/ hskp7_)) /\ (((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (c1_1_ X28 \/ ~(c3_1_ X28))))) \/ ((forall X29 : Universe, (ndr1_0_ -> (c0_1_ X29 \/ (~(c1_1_ X29) \/ ~(c2_1_ X29))))) \/ (forall X30 : Universe, (ndr1_0_ -> (c1_1_ X30 \/ (c2_1_ X30 \/ c3_1_ X30)))))) /\ (((forall X31 : Universe, (ndr1_0_ -> (c0_1_ X31 \/ (c1_1_ X31 \/ ~(c3_1_ X31))))) \/ ((forall X32 : Universe, (ndr1_0_ -> (c2_1_ X32 \/ (~(c1_1_ X32) \/ ~(c3_1_ X32))))) \/ hskp0_)) /\ (((forall X33 : Universe, (ndr1_0_ -> (c0_1_ X33 \/ (c1_1_ X33 \/ ~(c3_1_ X33))))) \/ ((forall X34 : Universe, (ndr1_0_ -> (c3_1_ X34 \/ (~(c0_1_ X34) \/ ~(c1_1_ X34))))) \/ hskp8_)) /\ (((forall X35 : Universe, (ndr1_0_ -> (c0_1_ X35 \/ (c1_1_ X35 \/ ~(c3_1_ X35))))) \/ (hskp9_ \/ hskp10_)) /\ (((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (c2_1_ X36 \/ c3_1_ X36)))) \/ ((forall X37 : Universe, (ndr1_0_ -> (c1_1_ X37 \/ (~(c0_1_ X37) \/ ~(c3_1_ X37))))) \/ hskp11_)) /\ (((forall X38 : Universe, (ndr1_0_ -> (c0_1_ X38 \/ (c2_1_ X38 \/ c3_1_ X38)))) \/ ((forall X39 : Universe, (ndr1_0_ -> (~(c0_1_ X39) \/ (~(c2_1_ X39) \/ ~(c3_1_ X39))))) \/ hskp28_)) /\ (((forall X40 : Universe, (ndr1_0_ -> (c0_1_ X40 \/ (c2_1_ X40 \/ ~(c1_1_ X40))))) \/ ((forall X41 : Universe, (ndr1_0_ -> (c1_1_ X41 \/ (~(c2_1_ X41) \/ ~(c3_1_ X41))))) \/ hskp12_)) /\ (((forall X42 : Universe, (ndr1_0_ -> (c0_1_ X42 \/ (c2_1_ X42 \/ ~(c3_1_ X42))))) \/ ((forall X43 : Universe, (ndr1_0_ -> (c1_1_ X43 \/ (c3_1_ X43 \/ ~(c2_1_ X43))))) \/ hskp10_)) /\ (((forall X44 : Universe, (ndr1_0_ -> (c0_1_ X44 \/ (c2_1_ X44 \/ ~(c3_1_ X44))))) \/ ((forall X45 : Universe, (ndr1_0_ -> (c2_1_ X45 \/ (c3_1_ X45 \/ ~(c0_1_ X45))))) \/ hskp13_)) /\ (((forall X46 : Universe, (ndr1_0_ -> (c0_1_ X46 \/ (c2_1_ X46 \/ ~(c3_1_ X46))))) \/ ((forall X47 : Universe, (ndr1_0_ -> (c2_1_ X47 \/ (~(c0_1_ X47) \/ ~(c1_1_ X47))))) \/ hskp11_)) /\ (((forall X48 : Universe, (ndr1_0_ -> (c0_1_ X48 \/ (c2_1_ X48 \/ ~(c3_1_ X48))))) \/ ((forall X49 : Universe, (ndr1_0_ -> (c2_1_ X49 \/ (~(c0_1_ X49) \/ ~(c3_1_ X49))))) \/ (forall X50 : Universe, (ndr1_0_ -> (~(c1_1_ X50) \/ (~(c2_1_ X50) \/ ~(c3_1_ X50))))))) /\ (((forall X51 : Universe, (ndr1_0_ -> (c0_1_ X51 \/ (c3_1_ X51 \/ ~(c1_1_ X51))))) \/ ((forall X52 : Universe, (ndr1_0_ -> (c0_1_ X52 \/ (~(c1_1_ X52) \/ ~(c2_1_ X52))))) \/ (forall X53 : Universe, (ndr1_0_ -> (c1_1_ X53 \/ (~(c0_1_ X53) \/ ~(c3_1_ X53))))))) /\ (((forall X54 : Universe, (ndr1_0_ -> (c0_1_ X54 \/ (c3_1_ X54 \/ ~(c1_1_ X54))))) \/ ((forall X55 : Universe, (ndr1_0_ -> (c2_1_ X55 \/ (c3_1_ X55 \/ ~(c1_1_ X55))))) \/ hskp14_)) /\ (((forall X56 : Universe, (ndr1_0_ -> (c0_1_ X56 \/ (c3_1_ X56 \/ ~(c1_1_ X56))))) \/ (hskp15_ \/ hskp16_)) /\ (((forall X57 : Universe, (ndr1_0_ -> (c0_1_ X57 \/ (c3_1_ X57 \/ ~(c1_1_ X57))))) \/ (hskp29_ \/ hskp17_)) /\ (((forall X58 : Universe, (ndr1_0_ -> (c0_1_ X58 \/ (c3_1_ X58 \/ ~(c2_1_ X58))))) \/ ((forall X59 : Universe, (ndr1_0_ -> (c1_1_ X59 \/ (~(c0_1_ X59) \/ ~(c2_1_ X59))))) \/ (forall X60 : Universe, (ndr1_0_ -> (c2_1_ X60 \/ (~(c0_1_ X60) \/ ~(c3_1_ X60))))))) /\ (((forall X61 : Universe, (ndr1_0_ -> (c0_1_ X61 \/ (~(c1_1_ X61) \/ ~(c2_1_ X61))))) \/ ((forall X62 : Universe, (ndr1_0_ -> (c1_1_ X62 \/ (c3_1_ X62 \/ ~(c0_1_ X62))))) \/ hskp18_)) /\ (((forall X63 : Universe, (ndr1_0_ -> (c0_1_ X63 \/ (~(c1_1_ X63) \/ ~(c2_1_ X63))))) \/ ((forall X64 : Universe, (ndr1_0_ -> (c2_1_ X64 \/ (c3_1_ X64 \/ ~(c1_1_ X64))))) \/ hskp2_)) /\ (((forall X65 : Universe, (ndr1_0_ -> (c0_1_ X65 \/ (~(c1_1_ X65) \/ ~(c2_1_ X65))))) \/ ((forall X66 : Universe, (ndr1_0_ -> (c2_1_ X66 \/ (~(c1_1_ X66) \/ ~(c3_1_ X66))))) \/ hskp27_)) /\ (((forall X67 : Universe, (ndr1_0_ -> (c0_1_ X67 \/ (~(c1_1_ X67) \/ ~(c2_1_ X67))))) \/ (hskp15_ \/ hskp3_)) /\ (((forall X68 : Universe, (ndr1_0_ -> (c0_1_ X68 \/ (~(c2_1_ X68) \/ ~(c3_1_ X68))))) \/ ((forall X69 : Universe, (ndr1_0_ -> (c1_1_ X69 \/ (c2_1_ X69 \/ ~(c0_1_ X69))))) \/ (forall X70 : Universe, (ndr1_0_ -> (c3_1_ X70 \/ (~(c0_1_ X70) \/ ~(c2_1_ X70))))))) /\ (((forall X71 : Universe, (ndr1_0_ -> (c0_1_ X71 \/ (~(c2_1_ X71) \/ ~(c3_1_ X71))))) \/ ((forall X72 : Universe, (ndr1_0_ -> (c1_1_ X72 \/ (c2_1_ X72 \/ ~(c0_1_ X72))))) \/ hskp29_)) /\ (((forall X73 : Universe, (ndr1_0_ -> (c0_1_ X73 \/ (~(c2_1_ X73) \/ ~(c3_1_ X73))))) \/ ((forall X74 : Universe, (ndr1_0_ -> (c1_1_ X74 \/ (~(c2_1_ X74) \/ ~(c3_1_ X74))))) \/ (forall X75 : Universe, (ndr1_0_ -> (c2_1_ X75 \/ (c3_1_ X75 \/ ~(c0_1_ X75))))))) /\ (((forall X76 : Universe, (ndr1_0_ -> (c0_1_ X76 \/ (~(c2_1_ X76) \/ ~(c3_1_ X76))))) \/ ((forall X77 : Universe, (ndr1_0_ -> (c3_1_ X77 \/ (~(c0_1_ X77) \/ ~(c1_1_ X77))))) \/ hskp16_)) /\ (((forall X78 : Universe, (ndr1_0_ -> (c0_1_ X78 \/ (~(c2_1_ X78) \/ ~(c3_1_ X78))))) \/ ((forall X79 : Universe, (ndr1_0_ -> (~(c1_1_ X79) \/ (~(c2_1_ X79) \/ ~(c3_1_ X79))))) \/ hskp2_)) /\ (((forall X80 : Universe, (ndr1_0_ -> (c1_1_ X80 \/ (c2_1_ X80 \/ c3_1_ X80)))) \/ ((forall X81 : Universe, (ndr1_0_ -> (c1_1_ X81 \/ (c3_1_ X81 \/ ~(c0_1_ X81))))) \/ hskp28_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c1_1_ X82 \/ (c2_1_ X82 \/ c3_1_ X82)))) \/ ((forall X83 : Universe, (ndr1_0_ -> (c1_1_ X83 \/ (~(c0_1_ X83) \/ ~(c3_1_ X83))))) \/ (forall X84 : Universe, (ndr1_0_ -> (~(c0_1_ X84) \/ (~(c2_1_ X84) \/ ~(c3_1_ X84))))))) /\ (((forall X85 : Universe, (ndr1_0_ -> (c1_1_ X85 \/ (c2_1_ X85 \/ ~(c0_1_ X85))))) \/ ((forall X86 : Universe, (ndr1_0_ -> (c1_1_ X86 \/ (c3_1_ X86 \/ ~(c2_1_ X86))))) \/ hskp2_)) /\ (((forall X87 : Universe, (ndr1_0_ -> (c1_1_ X87 \/ (c2_1_ X87 \/ ~(c0_1_ X87))))) \/ (hskp30_ \/ hskp1_)) /\ (((forall X88 : Universe, (ndr1_0_ -> (c1_1_ X88 \/ (c2_1_ X88 \/ ~(c0_1_ X88))))) \/ hskp16_) /\ (((forall X89 : Universe, (ndr1_0_ -> (c1_1_ X89 \/ (c3_1_ X89 \/ ~(c0_1_ X89))))) \/ ((forall X90 : Universe, (ndr1_0_ -> (c1_1_ X90 \/ (~(c0_1_ X90) \/ ~(c2_1_ X90))))) \/ hskp19_)) /\ (((forall X91 : Universe, (ndr1_0_ -> (c1_1_ X91 \/ (c3_1_ X91 \/ ~(c0_1_ X91))))) \/ (hskp28_ \/ hskp20_)) /\ (((forall X92 : Universe, (ndr1_0_ -> (c1_1_ X92 \/ (c3_1_ X92 \/ ~(c0_1_ X92))))) \/ (hskp15_ \/ hskp0_)) /\ (((forall X93 : Universe, (ndr1_0_ -> (c1_1_ X93 \/ (c3_1_ X93 \/ ~(c2_1_ X93))))) \/ ((forall X94 : Universe, (ndr1_0_ -> (c3_1_ X94 \/ (~(c0_1_ X94) \/ ~(c1_1_ X94))))) \/ (forall X95 : Universe, (ndr1_0_ -> (~(c0_1_ X95) \/ (~(c1_1_ X95) \/ ~(c3_1_ X95))))))) /\ (((forall X96 : Universe, (ndr1_0_ -> (c1_1_ X96 \/ (~(c0_1_ X96) \/ ~(c2_1_ X96))))) \/ ((forall X97 : Universe, (ndr1_0_ -> (c1_1_ X97 \/ (~(c2_1_ X97) \/ ~(c3_1_ X97))))) \/ hskp21_)) /\ (((forall X98 : Universe, (ndr1_0_ -> (c1_1_ X98 \/ (~(c0_1_ X98) \/ ~(c2_1_ X98))))) \/ ((forall X99 : Universe, (ndr1_0_ -> (c1_1_ X99 \/ (~(c2_1_ X99) \/ ~(c3_1_ X99))))) \/ hskp10_)) /\ (((forall X100 : Universe, (ndr1_0_ -> (c1_1_ X100 \/ (~(c0_1_ X100) \/ ~(c2_1_ X100))))) \/ (hskp28_ \/ hskp22_)) /\ (((forall X101 : Universe, (ndr1_0_ -> (c1_1_ X101 \/ (~(c0_1_ X101) \/ ~(c3_1_ X101))))) \/ (hskp13_ \/ hskp16_)) /\ (((forall X102 : Universe, (ndr1_0_ -> (c1_1_ X102 \/ (~(c2_1_ X102) \/ ~(c3_1_ X102))))) \/ ((forall X103 : Universe, (ndr1_0_ -> (~(c0_1_ X103) \/ (~(c2_1_ X103) \/ ~(c3_1_ X103))))) \/ hskp27_)) /\ (((forall X104 : Universe, (ndr1_0_ -> (c2_1_ X104 \/ (c3_1_ X104 \/ ~(c1_1_ X104))))) \/ (hskp20_ \/ hskp16_)) /\ (((forall X105 : Universe, (ndr1_0_ -> (c2_1_ X105 \/ (c3_1_ X105 \/ ~(c1_1_ X105))))) \/ (hskp13_ \/ hskp16_)) /\ (((forall X106 : Universe, (ndr1_0_ -> (c2_1_ X106 \/ (~(c0_1_ X106) \/ ~(c1_1_ X106))))) \/ ((forall X107 : Universe, (ndr1_0_ -> (c3_1_ X107 \/ (~(c0_1_ X107) \/ ~(c1_1_ X107))))) \/ hskp18_)) /\ (((forall X108 : Universe, (ndr1_0_ -> (c2_1_ X108 \/ (~(c0_1_ X108) \/ ~(c1_1_ X108))))) \/ ((forall X109 : Universe, (ndr1_0_ -> (~(c0_1_ X109) \/ (~(c1_1_ X109) \/ ~(c2_1_ X109))))) \/ hskp12_)) /\ (((forall X110 : Universe, (ndr1_0_ -> (c2_1_ X110 \/ (~(c0_1_ X110) \/ ~(c1_1_ X110))))) \/ (hskp17_ \/ hskp10_)) /\ (((forall X111 : Universe, (ndr1_0_ -> (c3_1_ X111 \/ (~(c0_1_ X111) \/ ~(c1_1_ X111))))) \/ (hskp29_ \/ hskp9_)) /\ (((forall X112 : Universe, (ndr1_0_ -> (c3_1_ X112 \/ (~(c0_1_ X112) \/ ~(c2_1_ X112))))) \/ (hskp11_ \/ hskp10_)) /\ (((forall X113 : Universe, (ndr1_0_ -> (c3_1_ X113 \/ (~(c1_1_ X113) \/ ~(c2_1_ X113))))) \/ ((forall X114 : Universe, (ndr1_0_ -> (~(c0_1_ X114) \/ (~(c2_1_ X114) \/ ~(c3_1_ X114))))) \/ hskp7_)) /\ (((forall X115 : Universe, (ndr1_0_ -> (c3_1_ X115 \/ (~(c1_1_ X115) \/ ~(c2_1_ X115))))) \/ (hskp0_ \/ hskp22_)) /\ (((forall X116 : Universe, (ndr1_0_ -> (~(c0_1_ X116) \/ (~(c1_1_ X116) \/ ~(c3_1_ X116))))) \/ (hskp27_ \/ hskp22_)) /\ (((forall X117 : Universe, (ndr1_0_ -> (~(c0_1_ X117) \/ (~(c2_1_ X117) \/ ~(c3_1_ X117))))) \/ (hskp11_ \/ hskp1_)) /\ (((forall X118 : Universe, (ndr1_0_ -> (~(c1_1_ X118) \/ (~(c2_1_ X118) \/ ~(c3_1_ X118))))) \/ (hskp27_ \/ hskp16_)) /\ (((forall X119 : Universe, (ndr1_0_ -> (~(c1_1_ X119) \/ (~(c2_1_ X119) \/ ~(c3_1_ X119))))) \/ (hskp13_ \/ hskp19_)) /\ ((hskp8_ \/ (hskp4_ \/ hskp23_)) /\ ((hskp5_ \/ (hskp2_ \/ hskp19_)) /\ ((hskp5_ \/ (hskp19_ \/ hskp16_)) /\ ((hskp15_ \/ (hskp3_ \/ hskp16_)) /\ ((hskp13_ \/ (hskp0_ \/ hskp10_)) /\ ((hskp13_ \/ (hskp24_ \/ hskp14_)) /\ ((hskp21_ \/ (hskp25_ \/ hskp22_)) /\ ((hskp24_ \/ (hskp26_ \/ hskp17_)) /\ ((hskp24_ \/ (hskp2_ \/ hskp9_)) /\ (hskp17_ \/ (hskp3_ \/ hskp16_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
