(*
% File     : SYN488+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=76, K=3, D=1, P=0, Index=086
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-76-3-1-086.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  722 (   0 equality)
%            Maximal formula depth :  111 ( 111 average)
%            Number of connectives :  975 ( 254 ~  ; 406  |; 203  &)
%                                         (   0 <=>; 112 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   37 (  33 propositional; 0-1 arity)
%            Number of functors    :   32 (  32 constant; 0-0 arity)
%            Number of variables   :  112 (   0 singleton; 112 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp31_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a2500_ : Universe.
Variable a2498_ : Universe.
Variable a2484_ : Universe.
Variable a2478_ : Universe.
Variable a2468_ : Universe.
Variable a2455_ : Universe.
Variable a2453_ : Universe.
Variable a2450_ : Universe.
Variable a2437_ : Universe.
Variable a2435_ : Universe.
Variable a2432_ : Universe.
Variable a2428_ : Universe.
Variable a2427_ : Universe.
Variable a2425_ : Universe.
Variable a2422_ : Universe.
Variable a2420_ : Universe.
Variable a2418_ : Universe.
Variable a2417_ : Universe.
Variable a2416_ : Universe.
Variable a2414_ : Universe.
Variable a2413_ : Universe.
Variable a2412_ : Universe.
Variable a2411_ : Universe.
Variable a2410_ : Universe.
Variable a2409_ : Universe.
Variable a2408_ : Universe.
Variable a2407_ : Universe.
Variable a2406_ : Universe.
Variable a2405_ : Universe.
Variable a2404_ : Universe.
Variable a2403_ : Universe.
Variable a2402_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c0_1_ a2402_ /\ (c3_1_ a2402_ /\ ~(c1_1_ a2402_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c1_1_ a2403_ /\ (~(c2_1_ a2403_) /\ ~(c3_1_ a2403_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (~(c1_1_ a2404_) /\ (~(c2_1_ a2404_) /\ ~(c3_1_ a2404_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c0_1_ a2405_ /\ (c2_1_ a2405_ /\ ~(c3_1_ a2405_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c0_1_ a2407_ /\ (~(c1_1_ a2407_) /\ ~(c2_1_ a2407_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c0_1_ a2408_ /\ (c3_1_ a2408_ /\ ~(c2_1_ a2408_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c0_1_ a2410_ /\ (c1_1_ a2410_ /\ ~(c2_1_ a2410_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c2_1_ a2411_ /\ (~(c1_1_ a2411_) /\ ~(c3_1_ a2411_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c1_1_ a2412_ /\ (~(c0_1_ a2412_) /\ ~(c2_1_ a2412_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c2_1_ a2413_ /\ (~(c0_1_ a2413_) /\ ~(c1_1_ a2413_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c0_1_ a2414_ /\ (~(c1_1_ a2414_) /\ ~(c3_1_ a2414_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c3_1_ a2416_ /\ (~(c1_1_ a2416_) /\ ~(c2_1_ a2416_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c3_1_ a2417_ /\ (~(c0_1_ a2417_) /\ ~(c1_1_ a2417_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c1_1_ a2418_ /\ (c2_1_ a2418_ /\ ~(c0_1_ a2418_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c1_1_ a2420_ /\ (c2_1_ a2420_ /\ ~(c3_1_ a2420_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c1_1_ a2422_ /\ (c3_1_ a2422_ /\ ~(c2_1_ a2422_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c0_1_ a2425_ /\ (~(c2_1_ a2425_) /\ ~(c3_1_ a2425_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c2_1_ a2427_ /\ (c3_1_ a2427_ /\ ~(c1_1_ a2427_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (~(c0_1_ a2428_) /\ (~(c2_1_ a2428_) /\ ~(c3_1_ a2428_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c1_1_ a2432_ /\ (c3_1_ a2432_ /\ ~(c0_1_ a2432_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c3_1_ a2435_ /\ (~(c0_1_ a2435_) /\ ~(c2_1_ a2435_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c0_1_ a2437_ /\ (c2_1_ a2437_ /\ ~(c1_1_ a2437_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (~(c0_1_ a2453_) /\ (~(c1_1_ a2453_) /\ ~(c2_1_ a2453_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c2_1_ a2455_ /\ (c3_1_ a2455_ /\ ~(c0_1_ a2455_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c1_1_ a2468_ /\ (~(c0_1_ a2468_) /\ ~(c3_1_ a2468_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c2_1_ a2478_ /\ (~(c0_1_ a2478_) /\ ~(c3_1_ a2478_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c0_1_ a2484_ /\ (c1_1_ a2484_ /\ ~(c3_1_ a2484_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (~(c0_1_ a2500_) /\ (~(c1_1_ a2500_) /\ ~(c3_1_ a2500_))))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c1_1_ a2406_ /\ (c2_1_ a2406_ /\ c3_1_ a2406_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a2409_ /\ (c2_1_ a2409_ /\ c3_1_ a2409_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c0_1_ a2450_ /\ (c1_1_ a2450_ /\ c3_1_ a2450_)))) /\ ((~(hskp31_) \/ (ndr1_0_ /\ (c0_1_ a2498_ /\ (c1_1_ a2498_ /\ c2_1_ a2498_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c1_1_ V \/ ~(c2_1_ V))))) \/ (forall W : Universe, (ndr1_0_ -> (c1_1_ W \/ (~(c0_1_ W) \/ ~(c2_1_ W))))))) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ c2_1_ X)))) \/ ((forall Y : Universe, (ndr1_0_ -> (c0_1_ Y \/ (c1_1_ Y \/ ~(c3_1_ Y))))) \/ hskp0_)) /\ (((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c1_1_ Z \/ c2_1_ Z)))) \/ ((forall X1 : Universe, (ndr1_0_ -> (c1_1_ X1 \/ (~(c2_1_ X1) \/ ~(c3_1_ X1))))) \/ hskp1_)) /\ (((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ c2_1_ X2)))) \/ ((forall X3 : Universe, (ndr1_0_ -> (c2_1_ X3 \/ (c3_1_ X3 \/ ~(c0_1_ X3))))) \/ (forall X4 : Universe, (ndr1_0_ -> (c2_1_ X4 \/ (~(c1_1_ X4) \/ ~(c3_1_ X4))))))) /\ (((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (c1_1_ X5 \/ c2_1_ X5)))) \/ ((forall X6 : Universe, (ndr1_0_ -> (c2_1_ X6 \/ (c3_1_ X6 \/ ~(c1_1_ X6))))) \/ (forall X7 : Universe, (ndr1_0_ -> (c2_1_ X7 \/ (~(c1_1_ X7) \/ ~(c3_1_ X7))))))) /\ (((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (c1_1_ X8 \/ c3_1_ X8)))) \/ ((forall X9 : Universe, (ndr1_0_ -> (~(c0_1_ X9) \/ (~(c1_1_ X9) \/ ~(c2_1_ X9))))) \/ hskp2_)) /\ (((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c1_1_ X10 \/ c3_1_ X10)))) \/ (hskp3_ \/ hskp28_)) /\ (((forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (c1_1_ X11 \/ ~(c2_1_ X11))))) \/ ((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (~(c1_1_ X12) \/ ~(c3_1_ X12))))) \/ hskp4_)) /\ (((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c1_1_ X13 \/ ~(c2_1_ X13))))) \/ ((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (~(c2_1_ X14) \/ ~(c3_1_ X14))))) \/ hskp5_)) /\ (((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c1_1_ X15 \/ ~(c2_1_ X15))))) \/ ((forall X16 : Universe, (ndr1_0_ -> (c1_1_ X16 \/ (~(c0_1_ X16) \/ ~(c3_1_ X16))))) \/ hskp29_)) /\ (((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c1_1_ X17 \/ ~(c2_1_ X17))))) \/ (hskp6_ \/ hskp7_)) /\ (((forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (c1_1_ X18 \/ ~(c2_1_ X18))))) \/ (hskp8_ \/ hskp9_)) /\ (((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (c1_1_ X19 \/ ~(c3_1_ X19))))) \/ ((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (c2_1_ X20 \/ c3_1_ X20)))) \/ (forall X21 : Universe, (ndr1_0_ -> (~(c1_1_ X21) \/ (~(c2_1_ X21) \/ ~(c3_1_ X21))))))) /\ (((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (c1_1_ X22 \/ ~(c3_1_ X22))))) \/ ((forall X23 : Universe, (ndr1_0_ -> (c1_1_ X23 \/ (~(c2_1_ X23) \/ ~(c3_1_ X23))))) \/ hskp10_)) /\ (((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (c1_1_ X24 \/ ~(c3_1_ X24))))) \/ (hskp6_ \/ hskp11_)) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c1_1_ X25 \/ ~(c3_1_ X25))))) \/ hskp12_) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c2_1_ X26 \/ c3_1_ X26)))) \/ ((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (~(c1_1_ X27) \/ ~(c2_1_ X27))))) \/ (forall X28 : Universe, (ndr1_0_ -> (c2_1_ X28 \/ (~(c1_1_ X28) \/ ~(c3_1_ X28))))))) /\ (((forall X29 : Universe, (ndr1_0_ -> (c0_1_ X29 \/ (c2_1_ X29 \/ c3_1_ X29)))) \/ (hskp13_ \/ hskp1_)) /\ (((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (c2_1_ X30 \/ c3_1_ X30)))) \/ (hskp14_ \/ hskp1_)) /\ (((forall X31 : Universe, (ndr1_0_ -> (c0_1_ X31 \/ (c2_1_ X31 \/ ~(c1_1_ X31))))) \/ ((forall X32 : Universe, (ndr1_0_ -> (c1_1_ X32 \/ (c2_1_ X32 \/ ~(c0_1_ X32))))) \/ (forall X33 : Universe, (ndr1_0_ -> (c2_1_ X33 \/ (~(c0_1_ X33) \/ ~(c1_1_ X33))))))) /\ (((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (c2_1_ X34 \/ ~(c1_1_ X34))))) \/ ((forall X35 : Universe, (ndr1_0_ -> (~(c0_1_ X35) \/ (~(c1_1_ X35) \/ ~(c2_1_ X35))))) \/ hskp15_)) /\ (((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (c2_1_ X36 \/ ~(c1_1_ X36))))) \/ (hskp29_ \/ hskp0_)) /\ (((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (c2_1_ X37 \/ ~(c1_1_ X37))))) \/ (hskp16_ \/ hskp13_)) /\ (((forall X38 : Universe, (ndr1_0_ -> (c0_1_ X38 \/ (c2_1_ X38 \/ ~(c1_1_ X38))))) \/ (hskp17_ \/ hskp18_)) /\ (((forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (c2_1_ X39 \/ ~(c3_1_ X39))))) \/ ((forall X40 : Universe, (ndr1_0_ -> (c3_1_ X40 \/ (~(c0_1_ X40) \/ ~(c2_1_ X40))))) \/ hskp2_)) /\ (((forall X41 : Universe, (ndr1_0_ -> (c0_1_ X41 \/ (c2_1_ X41 \/ ~(c3_1_ X41))))) \/ ((forall X42 : Universe, (ndr1_0_ -> (~(c0_1_ X42) \/ (~(c1_1_ X42) \/ ~(c3_1_ X42))))) \/ hskp12_)) /\ (((forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (c3_1_ X43 \/ ~(c1_1_ X43))))) \/ ((forall X44 : Universe, (ndr1_0_ -> (c1_1_ X44 \/ (c2_1_ X44 \/ ~(c3_1_ X44))))) \/ hskp4_)) /\ (((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (~(c1_1_ X45) \/ ~(c2_1_ X45))))) \/ ((forall X46 : Universe, (ndr1_0_ -> (c1_1_ X46 \/ (c3_1_ X46 \/ ~(c0_1_ X46))))) \/ hskp19_)) /\ (((forall X47 : Universe, (ndr1_0_ -> (c0_1_ X47 \/ (~(c1_1_ X47) \/ ~(c2_1_ X47))))) \/ (hskp12_ \/ hskp11_)) /\ (((forall X48 : Universe, (ndr1_0_ -> (c0_1_ X48 \/ (~(c1_1_ X48) \/ ~(c3_1_ X48))))) \/ ((forall X49 : Universe, (ndr1_0_ -> (c2_1_ X49 \/ (~(c1_1_ X49) \/ ~(c3_1_ X49))))) \/ hskp20_)) /\ (((forall X50 : Universe, (ndr1_0_ -> (c0_1_ X50 \/ (~(c1_1_ X50) \/ ~(c3_1_ X50))))) \/ ((forall X51 : Universe, (ndr1_0_ -> (c3_1_ X51 \/ (~(c0_1_ X51) \/ ~(c2_1_ X51))))) \/ hskp7_)) /\ (((forall X52 : Universe, (ndr1_0_ -> (c0_1_ X52 \/ (~(c1_1_ X52) \/ ~(c3_1_ X52))))) \/ (hskp21_ \/ hskp17_)) /\ (((forall X53 : Universe, (ndr1_0_ -> (c0_1_ X53 \/ (~(c1_1_ X53) \/ ~(c3_1_ X53))))) \/ (hskp1_ \/ hskp9_)) /\ (((forall X54 : Universe, (ndr1_0_ -> (c0_1_ X54 \/ (~(c1_1_ X54) \/ ~(c3_1_ X54))))) \/ (hskp7_ \/ hskp20_)) /\ (((forall X55 : Universe, (ndr1_0_ -> (c0_1_ X55 \/ (~(c2_1_ X55) \/ ~(c3_1_ X55))))) \/ ((forall X56 : Universe, (ndr1_0_ -> (c1_1_ X56 \/ (~(c2_1_ X56) \/ ~(c3_1_ X56))))) \/ hskp2_)) /\ (((forall X57 : Universe, (ndr1_0_ -> (c0_1_ X57 \/ (~(c2_1_ X57) \/ ~(c3_1_ X57))))) \/ (hskp6_ \/ hskp21_)) /\ (((forall X58 : Universe, (ndr1_0_ -> (c0_1_ X58 \/ (~(c2_1_ X58) \/ ~(c3_1_ X58))))) \/ (hskp28_ \/ hskp9_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c0_1_ X59 \/ (~(c2_1_ X59) \/ ~(c3_1_ X59))))) \/ hskp15_) /\ (((forall X60 : Universe, (ndr1_0_ -> (c1_1_ X60 \/ (c2_1_ X60 \/ ~(c0_1_ X60))))) \/ ((forall X61 : Universe, (ndr1_0_ -> (c1_1_ X61 \/ (c3_1_ X61 \/ ~(c0_1_ X61))))) \/ hskp10_)) /\ (((forall X62 : Universe, (ndr1_0_ -> (c1_1_ X62 \/ (c2_1_ X62 \/ ~(c0_1_ X62))))) \/ (hskp30_ \/ hskp21_)) /\ (((forall X63 : Universe, (ndr1_0_ -> (c1_1_ X63 \/ (c2_1_ X63 \/ ~(c0_1_ X63))))) \/ (hskp5_ \/ hskp22_)) /\ (((forall X64 : Universe, (ndr1_0_ -> (c1_1_ X64 \/ (c2_1_ X64 \/ ~(c3_1_ X64))))) \/ ((forall X65 : Universe, (ndr1_0_ -> (c1_1_ X65 \/ (~(c2_1_ X65) \/ ~(c3_1_ X65))))) \/ hskp1_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (c2_1_ X66 \/ ~(c3_1_ X66))))) \/ ((forall X67 : Universe, (ndr1_0_ -> (c2_1_ X67 \/ (c3_1_ X67 \/ ~(c1_1_ X67))))) \/ hskp23_)) /\ (((forall X68 : Universe, (ndr1_0_ -> (c1_1_ X68 \/ (c2_1_ X68 \/ ~(c3_1_ X68))))) \/ (hskp10_ \/ hskp16_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (c1_1_ X69 \/ (c3_1_ X69 \/ ~(c0_1_ X69))))) \/ ((forall X70 : Universe, (ndr1_0_ -> (c3_1_ X70 \/ (~(c0_1_ X70) \/ ~(c1_1_ X70))))) \/ (forall X71 : Universe, (ndr1_0_ -> (~(c1_1_ X71) \/ (~(c2_1_ X71) \/ ~(c3_1_ X71))))))) /\ (((forall X72 : Universe, (ndr1_0_ -> (c1_1_ X72 \/ (c3_1_ X72 \/ ~(c2_1_ X72))))) \/ ((forall X73 : Universe, (ndr1_0_ -> (c1_1_ X73 \/ (~(c0_1_ X73) \/ ~(c2_1_ X73))))) \/ hskp3_)) /\ (((forall X74 : Universe, (ndr1_0_ -> (c1_1_ X74 \/ (c3_1_ X74 \/ ~(c2_1_ X74))))) \/ ((forall X75 : Universe, (ndr1_0_ -> (c2_1_ X75 \/ (~(c0_1_ X75) \/ ~(c1_1_ X75))))) \/ hskp2_)) /\ (((forall X76 : Universe, (ndr1_0_ -> (c1_1_ X76 \/ (c3_1_ X76 \/ ~(c2_1_ X76))))) \/ ((forall X77 : Universe, (ndr1_0_ -> (c3_1_ X77 \/ (~(c0_1_ X77) \/ ~(c1_1_ X77))))) \/ hskp14_)) /\ (((forall X78 : Universe, (ndr1_0_ -> (c1_1_ X78 \/ (c3_1_ X78 \/ ~(c2_1_ X78))))) \/ (hskp0_ \/ hskp9_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (c1_1_ X79 \/ (c3_1_ X79 \/ ~(c2_1_ X79))))) \/ (hskp16_ \/ hskp12_)) /\ (((forall X80 : Universe, (ndr1_0_ -> (c1_1_ X80 \/ (~(c0_1_ X80) \/ ~(c2_1_ X80))))) \/ ((forall X81 : Universe, (ndr1_0_ -> (c2_1_ X81 \/ (c3_1_ X81 \/ ~(c1_1_ X81))))) \/ (forall X82 : Universe, (ndr1_0_ -> (~(c0_1_ X82) \/ (~(c2_1_ X82) \/ ~(c3_1_ X82))))))) /\ (((forall X83 : Universe, (ndr1_0_ -> (c1_1_ X83 \/ (~(c2_1_ X83) \/ ~(c3_1_ X83))))) \/ ((forall X84 : Universe, (ndr1_0_ -> (c2_1_ X84 \/ (c3_1_ X84 \/ ~(c0_1_ X84))))) \/ (forall X85 : Universe, (ndr1_0_ -> (~(c0_1_ X85) \/ (~(c1_1_ X85) \/ ~(c3_1_ X85))))))) /\ (((forall X86 : Universe, (ndr1_0_ -> (c1_1_ X86 \/ (~(c2_1_ X86) \/ ~(c3_1_ X86))))) \/ (hskp21_ \/ hskp11_)) /\ (((forall X87 : Universe, (ndr1_0_ -> (c1_1_ X87 \/ (~(c2_1_ X87) \/ ~(c3_1_ X87))))) \/ (hskp15_ \/ hskp24_)) /\ (((forall X88 : Universe, (ndr1_0_ -> (c2_1_ X88 \/ (c3_1_ X88 \/ ~(c0_1_ X88))))) \/ (hskp5_ \/ hskp19_)) /\ (((forall X89 : Universe, (ndr1_0_ -> (c2_1_ X89 \/ (c3_1_ X89 \/ ~(c1_1_ X89))))) \/ (hskp30_ \/ hskp2_)) /\ (((forall X90 : Universe, (ndr1_0_ -> (c2_1_ X90 \/ (c3_1_ X90 \/ ~(c1_1_ X90))))) \/ (hskp6_ \/ hskp1_)) /\ (((forall X91 : Universe, (ndr1_0_ -> (c2_1_ X91 \/ (~(c0_1_ X91) \/ ~(c1_1_ X91))))) \/ (hskp5_ \/ hskp1_)) /\ (((forall X92 : Universe, (ndr1_0_ -> (c2_1_ X92 \/ (~(c0_1_ X92) \/ ~(c1_1_ X92))))) \/ (hskp19_ \/ hskp25_)) /\ (((forall X93 : Universe, (ndr1_0_ -> (c2_1_ X93 \/ (~(c0_1_ X93) \/ ~(c1_1_ X93))))) \/ (hskp25_ \/ hskp7_)) /\ (((forall X94 : Universe, (ndr1_0_ -> (c2_1_ X94 \/ (~(c1_1_ X94) \/ ~(c3_1_ X94))))) \/ ((forall X95 : Universe, (ndr1_0_ -> (c3_1_ X95 \/ (~(c0_1_ X95) \/ ~(c1_1_ X95))))) \/ hskp30_)) /\ (((forall X96 : Universe, (ndr1_0_ -> (c3_1_ X96 \/ (~(c0_1_ X96) \/ ~(c1_1_ X96))))) \/ ((forall X97 : Universe, (ndr1_0_ -> (~(c1_1_ X97) \/ (~(c2_1_ X97) \/ ~(c3_1_ X97))))) \/ hskp10_)) /\ (((forall X98 : Universe, (ndr1_0_ -> (c3_1_ X98 \/ (~(c0_1_ X98) \/ ~(c1_1_ X98))))) \/ (hskp6_ \/ hskp26_)) /\ (((forall X99 : Universe, (ndr1_0_ -> (c3_1_ X99 \/ (~(c0_1_ X99) \/ ~(c2_1_ X99))))) \/ ((forall X100 : Universe, (ndr1_0_ -> (~(c0_1_ X100) \/ (~(c1_1_ X100) \/ ~(c2_1_ X100))))) \/ hskp20_)) /\ (((forall X101 : Universe, (ndr1_0_ -> (c3_1_ X101 \/ (~(c1_1_ X101) \/ ~(c2_1_ X101))))) \/ (hskp6_ \/ hskp23_)) /\ (((forall X102 : Universe, (ndr1_0_ -> (~(c0_1_ X102) \/ (~(c1_1_ X102) \/ ~(c2_1_ X102))))) \/ (hskp3_ \/ hskp24_)) /\ (((forall X103 : Universe, (ndr1_0_ -> (~(c0_1_ X103) \/ (~(c1_1_ X103) \/ ~(c3_1_ X103))))) \/ (hskp14_ \/ hskp23_)) /\ (((forall X104 : Universe, (ndr1_0_ -> (~(c0_1_ X104) \/ (~(c2_1_ X104) \/ ~(c3_1_ X104))))) \/ (hskp20_ \/ hskp18_)) /\ (((forall X105 : Universe, (ndr1_0_ -> (~(c1_1_ X105) \/ (~(c2_1_ X105) \/ ~(c3_1_ X105))))) \/ (hskp21_ \/ hskp0_)) /\ (((forall X106 : Universe, (ndr1_0_ -> (~(c1_1_ X106) \/ (~(c2_1_ X106) \/ ~(c3_1_ X106))))) \/ (hskp15_ \/ hskp11_)) /\ ((hskp31_ \/ (hskp25_ \/ hskp27_)) /\ ((hskp30_ \/ (hskp26_ \/ hskp19_)) /\ ((hskp26_ \/ (hskp8_ \/ hskp11_)) /\ ((hskp3_ \/ (hskp5_ \/ hskp18_)) /\ ((hskp5_ \/ (hskp19_ \/ hskp25_)) /\ (hskp8_ \/ (hskp9_ \/ hskp7_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
