(*
% File     : SYN489+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=76, K=3, D=1, P=0, Index=091
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-76-3-1-091.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  749 (   0 equality)
%            Maximal formula depth :  111 ( 111 average)
%            Number of connectives : 1019 ( 271 ~  ; 424  |; 203  &)
%                                         (   0 <=>; 121 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   37 (  33 propositional; 0-1 arity)
%            Number of functors    :   32 (  32 constant; 0-0 arity)
%            Number of variables   :  121 (   0 singleton; 121 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp31_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a2614_ : Universe.
Variable a2601_ : Universe.
Variable a2597_ : Universe.
Variable a2564_ : Universe.
Variable a2558_ : Universe.
Variable a2556_ : Universe.
Variable a2555_ : Universe.
Variable a2553_ : Universe.
Variable a2552_ : Universe.
Variable a2551_ : Universe.
Variable a2549_ : Universe.
Variable a2548_ : Universe.
Variable a2545_ : Universe.
Variable a2541_ : Universe.
Variable a2540_ : Universe.
Variable a2539_ : Universe.
Variable a2536_ : Universe.
Variable a2534_ : Universe.
Variable a2533_ : Universe.
Variable a2531_ : Universe.
Variable a2529_ : Universe.
Variable a2528_ : Universe.
Variable a2526_ : Universe.
Variable a2525_ : Universe.
Variable a2524_ : Universe.
Variable a2523_ : Universe.
Variable a2522_ : Universe.
Variable a2521_ : Universe.
Variable a2519_ : Universe.
Variable a2518_ : Universe.
Variable a2517_ : Universe.
Variable a2516_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (~(c0_1_ a2516_) /\ (~(c1_1_ a2516_) /\ ~(c2_1_ a2516_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c2_1_ a2517_ /\ (~(c0_1_ a2517_) /\ ~(c3_1_ a2517_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c1_1_ a2518_ /\ (~(c0_1_ a2518_) /\ ~(c3_1_ a2518_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (~(c0_1_ a2519_) /\ (~(c2_1_ a2519_) /\ ~(c3_1_ a2519_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c2_1_ a2521_ /\ (c3_1_ a2521_ /\ ~(c1_1_ a2521_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c2_1_ a2522_ /\ (c3_1_ a2522_ /\ ~(c0_1_ a2522_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c0_1_ a2523_ /\ (c1_1_ a2523_ /\ ~(c3_1_ a2523_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c1_1_ a2524_ /\ (c3_1_ a2524_ /\ ~(c2_1_ a2524_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c0_1_ a2525_ /\ (c2_1_ a2525_ /\ ~(c3_1_ a2525_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c1_1_ a2526_ /\ (c3_1_ a2526_ /\ ~(c0_1_ a2526_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c3_1_ a2528_ /\ (~(c0_1_ a2528_) /\ ~(c1_1_ a2528_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c1_1_ a2531_ /\ (c2_1_ a2531_ /\ ~(c3_1_ a2531_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (~(c1_1_ a2533_) /\ (~(c2_1_ a2533_) /\ ~(c3_1_ a2533_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c1_1_ a2534_ /\ (~(c0_1_ a2534_) /\ ~(c2_1_ a2534_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (~(c0_1_ a2536_) /\ (~(c1_1_ a2536_) /\ ~(c3_1_ a2536_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c3_1_ a2539_ /\ (~(c0_1_ a2539_) /\ ~(c2_1_ a2539_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c0_1_ a2540_ /\ (~(c2_1_ a2540_) /\ ~(c3_1_ a2540_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c3_1_ a2541_ /\ (~(c1_1_ a2541_) /\ ~(c2_1_ a2541_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c1_1_ a2545_ /\ (c2_1_ a2545_ /\ ~(c0_1_ a2545_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c0_1_ a2548_ /\ (c3_1_ a2548_ /\ ~(c1_1_ a2548_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c2_1_ a2549_ /\ (~(c0_1_ a2549_) /\ ~(c1_1_ a2549_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c0_1_ a2551_ /\ (c1_1_ a2551_ /\ ~(c2_1_ a2551_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c2_1_ a2552_ /\ (~(c1_1_ a2552_) /\ ~(c3_1_ a2552_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c0_1_ a2553_ /\ (~(c1_1_ a2553_) /\ ~(c3_1_ a2553_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c0_1_ a2555_ /\ (c2_1_ a2555_ /\ ~(c1_1_ a2555_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c0_1_ a2564_ /\ (~(c1_1_ a2564_) /\ ~(c2_1_ a2564_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c0_1_ a2601_ /\ (c3_1_ a2601_ /\ ~(c2_1_ a2601_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c1_1_ a2614_ /\ (~(c2_1_ a2614_) /\ ~(c3_1_ a2614_))))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a2529_ /\ (c2_1_ a2529_ /\ c3_1_ a2529_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c1_1_ a2556_ /\ (c2_1_ a2556_ /\ c3_1_ a2556_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c0_1_ a2558_ /\ (c1_1_ a2558_ /\ c2_1_ a2558_)))) /\ ((~(hskp31_) \/ (ndr1_0_ /\ (c0_1_ a2597_ /\ (c1_1_ a2597_ /\ c3_1_ a2597_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c1_1_ V \/ (~(c2_1_ V) \/ ~(c3_1_ V))))) \/ hskp0_)) /\ (((forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c1_1_ W \/ c3_1_ W)))) \/ ((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ ~(c2_1_ X))))) \/ hskp1_)) /\ (((forall Y : Universe, (ndr1_0_ -> (c0_1_ Y \/ (c1_1_ Y \/ c3_1_ Y)))) \/ ((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c3_1_ Z \/ ~(c1_1_ Z))))) \/ (forall X1 : Universe, (ndr1_0_ -> (~(c0_1_ X1) \/ (~(c1_1_ X1) \/ ~(c2_1_ X1))))))) /\ (((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ c3_1_ X2)))) \/ ((forall X3 : Universe, (ndr1_0_ -> (c1_1_ X3 \/ (~(c0_1_ X3) \/ ~(c2_1_ X3))))) \/ hskp2_)) /\ (((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c1_1_ X4 \/ ~(c2_1_ X4))))) \/ ((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (~(c1_1_ X5) \/ ~(c2_1_ X5))))) \/ (forall X6 : Universe, (ndr1_0_ -> (c1_1_ X6 \/ (~(c0_1_ X6) \/ ~(c2_1_ X6))))))) /\ (((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (c1_1_ X7 \/ ~(c2_1_ X7))))) \/ ((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (~(c1_1_ X8) \/ ~(c2_1_ X8))))) \/ hskp3_)) /\ (((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c1_1_ X9 \/ ~(c2_1_ X9))))) \/ ((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (~(c2_1_ X10) \/ ~(c3_1_ X10))))) \/ (forall X11 : Universe, (ndr1_0_ -> (c3_1_ X11 \/ (~(c0_1_ X11) \/ ~(c2_1_ X11))))))) /\ (((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (c1_1_ X12 \/ ~(c2_1_ X12))))) \/ ((forall X13 : Universe, (ndr1_0_ -> (c1_1_ X13 \/ (~(c0_1_ X13) \/ ~(c3_1_ X13))))) \/ (forall X14 : Universe, (ndr1_0_ -> (c3_1_ X14 \/ (~(c0_1_ X14) \/ ~(c2_1_ X14))))))) /\ (((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c1_1_ X15 \/ ~(c2_1_ X15))))) \/ ((forall X16 : Universe, (ndr1_0_ -> (c2_1_ X16 \/ (~(c0_1_ X16) \/ ~(c1_1_ X16))))) \/ hskp0_)) /\ (((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c1_1_ X17 \/ ~(c3_1_ X17))))) \/ ((forall X18 : Universe, (ndr1_0_ -> (c1_1_ X18 \/ (c3_1_ X18 \/ ~(c0_1_ X18))))) \/ hskp4_)) /\ (((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (c1_1_ X19 \/ ~(c3_1_ X19))))) \/ ((forall X20 : Universe, (ndr1_0_ -> (~(c0_1_ X20) \/ (~(c1_1_ X20) \/ ~(c2_1_ X20))))) \/ hskp5_)) /\ (((forall X21 : Universe, (ndr1_0_ -> (c0_1_ X21 \/ (c1_1_ X21 \/ ~(c3_1_ X21))))) \/ (hskp6_ \/ hskp7_)) /\ (((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (c2_1_ X22 \/ c3_1_ X22)))) \/ ((forall X23 : Universe, (ndr1_0_ -> (c1_1_ X23 \/ (c2_1_ X23 \/ ~(c0_1_ X23))))) \/ hskp8_)) /\ (((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (c2_1_ X24 \/ c3_1_ X24)))) \/ ((forall X25 : Universe, (ndr1_0_ -> (c2_1_ X25 \/ (c3_1_ X25 \/ ~(c1_1_ X25))))) \/ hskp9_)) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c2_1_ X26 \/ c3_1_ X26)))) \/ ((forall X27 : Universe, (ndr1_0_ -> (c2_1_ X27 \/ (c3_1_ X27 \/ ~(c1_1_ X27))))) \/ hskp1_)) /\ (((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (c2_1_ X28 \/ ~(c1_1_ X28))))) \/ ((forall X29 : Universe, (ndr1_0_ -> (c2_1_ X29 \/ (c3_1_ X29 \/ ~(c1_1_ X29))))) \/ hskp10_)) /\ (((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (c2_1_ X30 \/ ~(c1_1_ X30))))) \/ (hskp28_ \/ hskp3_)) /\ (((forall X31 : Universe, (ndr1_0_ -> (c0_1_ X31 \/ (c2_1_ X31 \/ ~(c3_1_ X31))))) \/ ((forall X32 : Universe, (ndr1_0_ -> (c1_1_ X32 \/ (c2_1_ X32 \/ ~(c3_1_ X32))))) \/ hskp11_)) /\ (((forall X33 : Universe, (ndr1_0_ -> (c0_1_ X33 \/ (c2_1_ X33 \/ ~(c3_1_ X33))))) \/ ((forall X34 : Universe, (ndr1_0_ -> (c1_1_ X34 \/ (~(c0_1_ X34) \/ ~(c2_1_ X34))))) \/ (forall X35 : Universe, (ndr1_0_ -> (~(c0_1_ X35) \/ (~(c1_1_ X35) \/ ~(c3_1_ X35))))))) /\ (((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (c2_1_ X36 \/ ~(c3_1_ X36))))) \/ ((forall X37 : Universe, (ndr1_0_ -> (c2_1_ X37 \/ (~(c0_1_ X37) \/ ~(c3_1_ X37))))) \/ hskp0_)) /\ (((forall X38 : Universe, (ndr1_0_ -> (c0_1_ X38 \/ (c3_1_ X38 \/ ~(c1_1_ X38))))) \/ ((forall X39 : Universe, (ndr1_0_ -> (c3_1_ X39 \/ (~(c0_1_ X39) \/ ~(c2_1_ X39))))) \/ hskp12_)) /\ (((forall X40 : Universe, (ndr1_0_ -> (c0_1_ X40 \/ (c3_1_ X40 \/ ~(c1_1_ X40))))) \/ (hskp13_ \/ hskp4_)) /\ (((forall X41 : Universe, (ndr1_0_ -> (c0_1_ X41 \/ (c3_1_ X41 \/ ~(c2_1_ X41))))) \/ ((forall X42 : Universe, (ndr1_0_ -> (c1_1_ X42 \/ (c3_1_ X42 \/ ~(c2_1_ X42))))) \/ (forall X43 : Universe, (ndr1_0_ -> (c1_1_ X43 \/ (~(c0_1_ X43) \/ ~(c3_1_ X43))))))) /\ (((forall X44 : Universe, (ndr1_0_ -> (c0_1_ X44 \/ (c3_1_ X44 \/ ~(c2_1_ X44))))) \/ ((forall X45 : Universe, (ndr1_0_ -> (c2_1_ X45 \/ (~(c0_1_ X45) \/ ~(c1_1_ X45))))) \/ hskp14_)) /\ (((forall X46 : Universe, (ndr1_0_ -> (c0_1_ X46 \/ (~(c1_1_ X46) \/ ~(c2_1_ X46))))) \/ ((forall X47 : Universe, (ndr1_0_ -> (c1_1_ X47 \/ (c2_1_ X47 \/ ~(c0_1_ X47))))) \/ hskp13_)) /\ (((forall X48 : Universe, (ndr1_0_ -> (c0_1_ X48 \/ (~(c1_1_ X48) \/ ~(c2_1_ X48))))) \/ ((forall X49 : Universe, (ndr1_0_ -> (c1_1_ X49 \/ (c2_1_ X49 \/ ~(c3_1_ X49))))) \/ (forall X50 : Universe, (ndr1_0_ -> (c1_1_ X50 \/ (c3_1_ X50 \/ ~(c0_1_ X50))))))) /\ (((forall X51 : Universe, (ndr1_0_ -> (c0_1_ X51 \/ (~(c1_1_ X51) \/ ~(c2_1_ X51))))) \/ (hskp4_ \/ hskp15_)) /\ (((forall X52 : Universe, (ndr1_0_ -> (c0_1_ X52 \/ (~(c1_1_ X52) \/ ~(c3_1_ X52))))) \/ ((forall X53 : Universe, (ndr1_0_ -> (c1_1_ X53 \/ (~(c0_1_ X53) \/ ~(c2_1_ X53))))) \/ hskp16_)) /\ (((forall X54 : Universe, (ndr1_0_ -> (c0_1_ X54 \/ (~(c1_1_ X54) \/ ~(c3_1_ X54))))) \/ ((forall X55 : Universe, (ndr1_0_ -> (c2_1_ X55 \/ (c3_1_ X55 \/ ~(c1_1_ X55))))) \/ hskp17_)) /\ (((forall X56 : Universe, (ndr1_0_ -> (c0_1_ X56 \/ (~(c1_1_ X56) \/ ~(c3_1_ X56))))) \/ (hskp15_ \/ hskp0_)) /\ (((forall X57 : Universe, (ndr1_0_ -> (c0_1_ X57 \/ (~(c2_1_ X57) \/ ~(c3_1_ X57))))) \/ ((forall X58 : Universe, (ndr1_0_ -> (~(c0_1_ X58) \/ (~(c1_1_ X58) \/ ~(c3_1_ X58))))) \/ (forall X59 : Universe, (ndr1_0_ -> (~(c0_1_ X59) \/ (~(c2_1_ X59) \/ ~(c3_1_ X59))))))) /\ (((forall X60 : Universe, (ndr1_0_ -> (c0_1_ X60 \/ (~(c2_1_ X60) \/ ~(c3_1_ X60))))) \/ ((forall X61 : Universe, (ndr1_0_ -> (~(c0_1_ X61) \/ (~(c1_1_ X61) \/ ~(c3_1_ X61))))) \/ hskp14_)) /\ (((forall X62 : Universe, (ndr1_0_ -> (c0_1_ X62 \/ (~(c2_1_ X62) \/ ~(c3_1_ X62))))) \/ (hskp18_ \/ hskp10_)) /\ (((forall X63 : Universe, (ndr1_0_ -> (c1_1_ X63 \/ (c2_1_ X63 \/ c3_1_ X63)))) \/ ((forall X64 : Universe, (ndr1_0_ -> (c2_1_ X64 \/ (~(c1_1_ X64) \/ ~(c3_1_ X64))))) \/ hskp14_)) /\ (((forall X65 : Universe, (ndr1_0_ -> (c1_1_ X65 \/ (c2_1_ X65 \/ c3_1_ X65)))) \/ (hskp19_ \/ hskp20_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (c2_1_ X66 \/ ~(c0_1_ X66))))) \/ ((forall X67 : Universe, (ndr1_0_ -> (c1_1_ X67 \/ (~(c2_1_ X67) \/ ~(c3_1_ X67))))) \/ (forall X68 : Universe, (ndr1_0_ -> (c2_1_ X68 \/ (~(c0_1_ X68) \/ ~(c3_1_ X68))))))) /\ (((forall X69 : Universe, (ndr1_0_ -> (c1_1_ X69 \/ (c2_1_ X69 \/ ~(c0_1_ X69))))) \/ ((forall X70 : Universe, (ndr1_0_ -> (c2_1_ X70 \/ (c3_1_ X70 \/ ~(c1_1_ X70))))) \/ hskp7_)) /\ (((forall X71 : Universe, (ndr1_0_ -> (c1_1_ X71 \/ (c2_1_ X71 \/ ~(c0_1_ X71))))) \/ (hskp21_ \/ hskp22_)) /\ (((forall X72 : Universe, (ndr1_0_ -> (c1_1_ X72 \/ (c2_1_ X72 \/ ~(c0_1_ X72))))) \/ (hskp23_ \/ hskp1_)) /\ (((forall X73 : Universe, (ndr1_0_ -> (c1_1_ X73 \/ (c2_1_ X73 \/ ~(c3_1_ X73))))) \/ ((forall X74 : Universe, (ndr1_0_ -> (c2_1_ X74 \/ (c3_1_ X74 \/ ~(c0_1_ X74))))) \/ hskp24_)) /\ (((forall X75 : Universe, (ndr1_0_ -> (c1_1_ X75 \/ (c2_1_ X75 \/ ~(c3_1_ X75))))) \/ ((forall X76 : Universe, (ndr1_0_ -> (c3_1_ X76 \/ (~(c0_1_ X76) \/ ~(c1_1_ X76))))) \/ (forall X77 : Universe, (ndr1_0_ -> (~(c1_1_ X77) \/ (~(c2_1_ X77) \/ ~(c3_1_ X77))))))) /\ (((forall X78 : Universe, (ndr1_0_ -> (c1_1_ X78 \/ (c2_1_ X78 \/ ~(c3_1_ X78))))) \/ ((forall X79 : Universe, (ndr1_0_ -> (c3_1_ X79 \/ (~(c1_1_ X79) \/ ~(c2_1_ X79))))) \/ hskp29_)) /\ (((forall X80 : Universe, (ndr1_0_ -> (c1_1_ X80 \/ (c3_1_ X80 \/ ~(c0_1_ X80))))) \/ ((forall X81 : Universe, (ndr1_0_ -> (c2_1_ X81 \/ (c3_1_ X81 \/ ~(c0_1_ X81))))) \/ hskp2_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c1_1_ X82 \/ (c3_1_ X82 \/ ~(c0_1_ X82))))) \/ (hskp30_ \/ hskp22_)) /\ (((forall X83 : Universe, (ndr1_0_ -> (c1_1_ X83 \/ (c3_1_ X83 \/ ~(c0_1_ X83))))) \/ (hskp29_ \/ hskp2_)) /\ (((forall X84 : Universe, (ndr1_0_ -> (c1_1_ X84 \/ (c3_1_ X84 \/ ~(c0_1_ X84))))) \/ (hskp20_ \/ hskp14_)) /\ (((forall X85 : Universe, (ndr1_0_ -> (c1_1_ X85 \/ (~(c0_1_ X85) \/ ~(c2_1_ X85))))) \/ (hskp25_ \/ hskp3_)) /\ (((forall X86 : Universe, (ndr1_0_ -> (c1_1_ X86 \/ (~(c0_1_ X86) \/ ~(c2_1_ X86))))) \/ (hskp18_ \/ hskp0_)) /\ (((forall X87 : Universe, (ndr1_0_ -> (c1_1_ X87 \/ (~(c0_1_ X87) \/ ~(c3_1_ X87))))) \/ ((forall X88 : Universe, (ndr1_0_ -> (c3_1_ X88 \/ (~(c0_1_ X88) \/ ~(c1_1_ X88))))) \/ hskp21_)) /\ (((forall X89 : Universe, (ndr1_0_ -> (c1_1_ X89 \/ (~(c0_1_ X89) \/ ~(c3_1_ X89))))) \/ ((forall X90 : Universe, (ndr1_0_ -> (c3_1_ X90 \/ (~(c1_1_ X90) \/ ~(c2_1_ X90))))) \/ hskp4_)) /\ (((forall X91 : Universe, (ndr1_0_ -> (c1_1_ X91 \/ (~(c0_1_ X91) \/ ~(c3_1_ X91))))) \/ ((forall X92 : Universe, (ndr1_0_ -> (~(c0_1_ X92) \/ (~(c1_1_ X92) \/ ~(c2_1_ X92))))) \/ hskp28_)) /\ (((forall X93 : Universe, (ndr1_0_ -> (c1_1_ X93 \/ (~(c0_1_ X93) \/ ~(c3_1_ X93))))) \/ (hskp5_ \/ hskp22_)) /\ (((forall X94 : Universe, (ndr1_0_ -> (c1_1_ X94 \/ (~(c2_1_ X94) \/ ~(c3_1_ X94))))) \/ ((forall X95 : Universe, (ndr1_0_ -> (c2_1_ X95 \/ (c3_1_ X95 \/ ~(c0_1_ X95))))) \/ hskp24_)) /\ (((forall X96 : Universe, (ndr1_0_ -> (c1_1_ X96 \/ (~(c2_1_ X96) \/ ~(c3_1_ X96))))) \/ (hskp8_ \/ hskp7_)) /\ (((forall X97 : Universe, (ndr1_0_ -> (c2_1_ X97 \/ (c3_1_ X97 \/ ~(c0_1_ X97))))) \/ ((forall X98 : Universe, (ndr1_0_ -> (c3_1_ X98 \/ (~(c0_1_ X98) \/ ~(c1_1_ X98))))) \/ hskp21_)) /\ (((forall X99 : Universe, (ndr1_0_ -> (c2_1_ X99 \/ (c3_1_ X99 \/ ~(c0_1_ X99))))) \/ ((forall X100 : Universe, (ndr1_0_ -> (~(c0_1_ X100) \/ (~(c1_1_ X100) \/ ~(c3_1_ X100))))) \/ hskp10_)) /\ (((forall X101 : Universe, (ndr1_0_ -> (c2_1_ X101 \/ (c3_1_ X101 \/ ~(c0_1_ X101))))) \/ (hskp19_ \/ hskp16_)) /\ (((forall X102 : Universe, (ndr1_0_ -> (c2_1_ X102 \/ (c3_1_ X102 \/ ~(c0_1_ X102))))) \/ (hskp9_ \/ hskp4_)) /\ (((forall X103 : Universe, (ndr1_0_ -> (c2_1_ X103 \/ (~(c0_1_ X103) \/ ~(c1_1_ X103))))) \/ (hskp30_ \/ hskp9_)) /\ (((forall X104 : Universe, (ndr1_0_ -> (c2_1_ X104 \/ (~(c0_1_ X104) \/ ~(c1_1_ X104))))) \/ (hskp24_ \/ hskp25_)) /\ (((forall X105 : Universe, (ndr1_0_ -> (c2_1_ X105 \/ (~(c1_1_ X105) \/ ~(c3_1_ X105))))) \/ ((forall X106 : Universe, (ndr1_0_ -> (~(c0_1_ X106) \/ (~(c2_1_ X106) \/ ~(c3_1_ X106))))) \/ hskp6_)) /\ (((forall X107 : Universe, (ndr1_0_ -> (c2_1_ X107 \/ (~(c1_1_ X107) \/ ~(c3_1_ X107))))) \/ ((forall X108 : Universe, (ndr1_0_ -> (~(c1_1_ X108) \/ (~(c2_1_ X108) \/ ~(c3_1_ X108))))) \/ hskp18_)) /\ (((forall X109 : Universe, (ndr1_0_ -> (c3_1_ X109 \/ (~(c0_1_ X109) \/ ~(c1_1_ X109))))) \/ (hskp29_ \/ hskp10_)) /\ (((forall X110 : Universe, (ndr1_0_ -> (c3_1_ X110 \/ (~(c0_1_ X110) \/ ~(c2_1_ X110))))) \/ (hskp25_ \/ hskp20_)) /\ (((forall X111 : Universe, (ndr1_0_ -> (c3_1_ X111 \/ (~(c1_1_ X111) \/ ~(c2_1_ X111))))) \/ (hskp28_ \/ hskp1_)) /\ (((forall X112 : Universe, (ndr1_0_ -> (~(c0_1_ X112) \/ (~(c1_1_ X112) \/ ~(c2_1_ X112))))) \/ ((forall X113 : Universe, (ndr1_0_ -> (~(c0_1_ X113) \/ (~(c2_1_ X113) \/ ~(c3_1_ X113))))) \/ hskp3_)) /\ (((forall X114 : Universe, (ndr1_0_ -> (~(c0_1_ X114) \/ (~(c2_1_ X114) \/ ~(c3_1_ X114))))) \/ (hskp6_ \/ hskp20_)) /\ (((forall X115 : Universe, (ndr1_0_ -> (~(c1_1_ X115) \/ (~(c2_1_ X115) \/ ~(c3_1_ X115))))) \/ (hskp31_ \/ hskp23_)) /\ ((hskp30_ \/ (hskp21_ \/ hskp26_)) /\ ((hskp21_ \/ (hskp18_ \/ hskp1_)) /\ ((hskp21_ \/ (hskp2_ \/ hskp20_)) /\ ((hskp6_ \/ (hskp19_ \/ hskp16_)) /\ ((hskp24_ \/ hskp0_) /\ ((hskp23_ \/ hskp27_) /\ ((hskp7_ \/ (hskp13_ \/ hskp12_)) /\ (hskp2_ \/ (hskp27_ \/ hskp3_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
