(*
% File     : SYN490+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=8, K=3, D=1, P=0, Index=003
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-8-3-1-003.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  121 (   0 equality)
%            Maximal formula depth :   29 (  29 average)
%            Number of connectives :  166 (  46 ~  ;  48  |;  63  &)
%                                         (   0 <=>;   9 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   19 (  15 propositional; 0-1 arity)
%            Number of functors    :   14 (  14 constant; 0-0 arity)
%            Number of variables   :    9 (   0 singleton;   9 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp3_ : Prop.
Variable hskp2_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a9_ : Universe.
Variable a8_ : Universe.
Variable a7_ : Universe.
Variable a6_ : Universe.
Variable a5_ : Universe.
Variable a4_ : Universe.
Variable a3_ : Universe.
Variable a2_ : Universe.
Variable a15_ : Universe.
Variable a14_ : Universe.
Variable a12_ : Universe.
Variable a11_ : Universe.
Variable a10_ : Universe.
Variable a1_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (~(c3_1_ a2_) /\ (c0_1_ a2_ /\ ~(c1_1_ a2_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (~(c3_1_ a4_) /\ (c1_1_ a4_ /\ ~(c2_1_ a4_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c1_1_ a5_ /\ (c0_1_ a5_ /\ ~(c2_1_ a5_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c1_1_ a8_ /\ (c3_1_ a8_ /\ ~(c0_1_ a8_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c1_1_ a11_ /\ (c2_1_ a11_ /\ ~(c0_1_ a11_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (~(c1_1_ a12_) /\ (~(c0_1_ a12_) /\ ~(c2_1_ a12_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (~(c0_1_ a14_) /\ (c1_1_ a14_ /\ ~(c2_1_ a14_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c3_1_ a1_ /\ (c0_1_ a1_ /\ c1_1_ a1_)))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (~(c3_1_ a3_) /\ (~(c1_1_ a3_) /\ c2_1_ a3_)))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c1_1_ a6_ /\ (c3_1_ a6_ /\ c2_1_ a6_)))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (~(c2_1_ a7_) /\ (~(c1_1_ a7_) /\ c3_1_ a7_)))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c1_1_ a9_ /\ (c2_1_ a9_ /\ c3_1_ a9_)))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (~(c1_1_ a10_) /\ (~(c2_1_ a10_) /\ c3_1_ a10_)))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c3_1_ a15_ /\ (c1_1_ a15_ /\ c2_1_ a15_)))) /\ ((hskp7_ \/ (hskp0_ \/ hskp8_)) /\ (((forall U : Universe, (ndr1_0_ -> (~(c1_1_ U) \/ (c0_1_ U \/ ~(c2_1_ U))))) \/ (hskp1_ \/ (forall V : Universe, (ndr1_0_ -> (~(c2_1_ V) \/ (c1_1_ V \/ c3_1_ V)))))) /\ (((forall W : Universe, (ndr1_0_ -> (~(c3_1_ W) \/ (~(c2_1_ W) \/ c1_1_ W)))) \/ (hskp2_ \/ hskp9_)) /\ ((hskp10_ \/ (hskp3_ \/ hskp11_)) /\ (((forall X : Universe, (ndr1_0_ -> (~(c3_1_ X) \/ (~(c1_1_ X) \/ ~(c2_1_ X))))) \/ (hskp12_ \/ (forall Y : Universe, (ndr1_0_ -> (c2_1_ Y \/ (~(c3_1_ Y) \/ c0_1_ Y)))))) /\ ((hskp4_ \/ ((forall Z : Universe, (ndr1_0_ -> (~(c0_1_ Z) \/ (~(c1_1_ Z) \/ c2_1_ Z)))) \/ (forall X1 : Universe, (ndr1_0_ -> (~(c0_1_ X1) \/ (c1_1_ X1 \/ ~(c3_1_ X1))))))) /\ ((hskp5_ \/ ((forall X2 : Universe, (ndr1_0_ -> (c2_1_ X2 \/ (c0_1_ X2 \/ c1_1_ X2)))) \/ hskp3_)) /\ ((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (c2_1_ X3 \/ c3_1_ X3)))) \/ (hskp6_ \/ hskp13_)))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
