(*
% File     : SYN491+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=8, K=3, D=1, P=0, Index=007
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-8-3-1-007.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  114 (   0 equality)
%            Maximal formula depth :   25 (  25 average)
%            Number of connectives :  148 (  35 ~  ;  55  |;  43  &)
%                                         (   0 <=>;  15 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   14 (  10 propositional; 0-1 arity)
%            Number of functors    :    9 (   9 constant; 0-0 arity)
%            Number of variables   :   15 (   0 singleton;  15 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp3_ : Prop.
Variable hskp2_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a24_ : Universe.
Variable a23_ : Universe.
Variable a22_ : Universe.
Variable a21_ : Universe.
Variable a20_ : Universe.
Variable a19_ : Universe.
Variable a18_ : Universe.
Variable a17_ : Universe.
Variable a16_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c2_1_ a21_ /\ (c0_1_ a21_ /\ ~(c1_1_ a21_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (~(c2_1_ a22_) /\ (c1_1_ a22_ /\ ~(c3_1_ a22_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (~(c1_1_ a23_) /\ (~(c2_1_ a23_) /\ ~(c0_1_ a23_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (~(c3_1_ a16_) /\ (~(c1_1_ a16_) /\ c0_1_ a16_)))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c2_1_ a17_ /\ (c0_1_ a17_ /\ c1_1_ a17_)))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c1_1_ a18_ /\ (~(c2_1_ a18_) /\ c0_1_ a18_)))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c1_1_ a19_ /\ (c2_1_ a19_ /\ c0_1_ a19_)))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (~(c0_1_ a20_) /\ (c2_1_ a20_ /\ c1_1_ a20_)))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c1_1_ a24_ /\ (c3_1_ a24_ /\ c0_1_ a24_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c1_1_ U \/ (~(c0_1_ U) \/ c3_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (~(c2_1_ V) \/ (c0_1_ V \/ ~(c3_1_ V))))) \/ (forall W : Universe, (ndr1_0_ -> (~(c3_1_ W) \/ (c0_1_ W \/ c1_1_ W)))))) /\ (((forall X : Universe, (ndr1_0_ -> (~(c1_1_ X) \/ (c2_1_ X \/ ~(c3_1_ X))))) \/ (hskp3_ \/ (forall Y : Universe, (ndr1_0_ -> (c0_1_ Y \/ (c2_1_ Y \/ c3_1_ Y)))))) /\ (((forall Z : Universe, (ndr1_0_ -> (c1_1_ Z \/ (c3_1_ Z \/ c0_1_ Z)))) \/ ((forall X1 : Universe, (ndr1_0_ -> (c2_1_ X1 \/ (c1_1_ X1 \/ c3_1_ X1)))) \/ hskp4_)) /\ ((hskp5_ \/ (hskp6_ \/ hskp7_)) /\ (((forall X2 : Universe, (ndr1_0_ -> (c1_1_ X2 \/ (c0_1_ X2 \/ c2_1_ X2)))) \/ ((forall X3 : Universe, (ndr1_0_ -> (~(c2_1_ X3) \/ (c1_1_ X3 \/ ~(c3_1_ X3))))) \/ (forall X4 : Universe, (ndr1_0_ -> (c2_1_ X4 \/ (c1_1_ X4 \/ c0_1_ X4)))))) /\ (((forall X5 : Universe, (ndr1_0_ -> (c1_1_ X5 \/ (c2_1_ X5 \/ c0_1_ X5)))) \/ ((forall X6 : Universe, (ndr1_0_ -> (c1_1_ X6 \/ (c0_1_ X6 \/ c2_1_ X6)))) \/ (forall X7 : Universe, (ndr1_0_ -> (~(c2_1_ X7) \/ (~(c3_1_ X7) \/ ~(c1_1_ X7))))))) /\ (((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (~(c1_1_ X8) \/ ~(c2_1_ X8))))) \/ ((forall X9 : Universe, (ndr1_0_ -> (c3_1_ X9 \/ (~(c2_1_ X9) \/ ~(c0_1_ X9))))) \/ hskp0_)) /\ (hskp1_ \/ (hskp2_ \/ hskp8_))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
