(*
% File     : SYN493+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=8, K=3, D=1, P=0, Index=021
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-8-3-1-021.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  118 (   0 equality)
%            Maximal formula depth :   27 (  27 average)
%            Number of connectives :  165 (  48 ~  ;  53  |;  51  &)
%                                         (   0 <=>;  13 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   16 (  12 propositional; 0-1 arity)
%            Number of functors    :   11 (  11 constant; 0-0 arity)
%            Number of variables   :   13 (   0 singleton;  13 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp3_ : Prop.
Variable hskp2_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a48_ : Universe.
Variable a47_ : Universe.
Variable a46_ : Universe.
Variable a45_ : Universe.
Variable a44_ : Universe.
Variable a43_ : Universe.
Variable a42_ : Universe.
Variable a41_ : Universe.
Variable a40_ : Universe.
Variable a39_ : Universe.
Variable a38_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (~(c0_1_ a39_) /\ (~(c1_1_ a39_) /\ ~(c2_1_ a39_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c3_1_ a41_ /\ (~(c2_1_ a41_) /\ ~(c0_1_ a41_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (~(c0_1_ a43_) /\ (c3_1_ a43_ /\ ~(c1_1_ a43_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c3_1_ a48_ /\ (c0_1_ a48_ /\ ~(c1_1_ a48_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (~(c0_1_ a38_) /\ (~(c1_1_ a38_) /\ c2_1_ a38_)))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (~(c0_1_ a40_) /\ (~(c2_1_ a40_) /\ c1_1_ a40_)))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c3_1_ a42_ /\ (~(c0_1_ a42_) /\ c2_1_ a42_)))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c1_1_ a44_ /\ (c0_1_ a44_ /\ c3_1_ a44_)))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c3_1_ a45_ /\ (c2_1_ a45_ /\ c1_1_ a45_)))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c0_1_ a46_ /\ (c1_1_ a46_ /\ c3_1_ a46_)))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c3_1_ a47_ /\ (~(c0_1_ a47_) /\ c1_1_ a47_)))) /\ ((hskp4_ \/ (hskp0_ \/ (forall U : Universe, (ndr1_0_ -> (c1_1_ U \/ (~(c2_1_ U) \/ c0_1_ U)))))) /\ ((hskp5_ \/ (hskp1_ \/ (forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c2_1_ V \/ c3_1_ V)))))) /\ ((hskp6_ \/ (hskp2_ \/ hskp7_)) /\ (((forall W : Universe, (ndr1_0_ -> (~(c0_1_ W) \/ (~(c1_1_ W) \/ ~(c3_1_ W))))) \/ ((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c2_1_ X \/ c1_1_ X)))) \/ hskp8_)) /\ (((forall Y : Universe, (ndr1_0_ -> (c1_1_ Y \/ (c2_1_ Y \/ ~(c3_1_ Y))))) \/ ((forall Z : Universe, (ndr1_0_ -> (~(c3_1_ Z) \/ (c0_1_ Z \/ c1_1_ Z)))) \/ (forall X1 : Universe, (ndr1_0_ -> (~(c2_1_ X1) \/ (~(c0_1_ X1) \/ ~(c1_1_ X1))))))) /\ (((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (~(c1_1_ X2) \/ c3_1_ X2)))) \/ (hskp9_ \/ (forall X3 : Universe, (ndr1_0_ -> (~(c2_1_ X3) \/ (~(c1_1_ X3) \/ ~(c0_1_ X3))))))) /\ ((hskp10_ \/ ((forall X4 : Universe, (ndr1_0_ -> (~(c2_1_ X4) \/ (~(c3_1_ X4) \/ c0_1_ X4)))) \/ (forall X5 : Universe, (ndr1_0_ -> (~(c3_1_ X5) \/ (~(c1_1_ X5) \/ c2_1_ X5)))))) /\ ((forall X6 : Universe, (ndr1_0_ -> (~(c2_1_ X6) \/ (~(c1_1_ X6) \/ c0_1_ X6)))) \/ (hskp3_ \/ (forall X7 : Universe, (ndr1_0_ -> (~(c2_1_ X7) \/ (~(c1_1_ X7) \/ ~(c0_1_ X7)))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
