(*
% File     : SYN494+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=8, K=3, D=1, P=0, Index=024
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-8-3-1-024.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.17 v2.6.0, 0.25 v2.5.0, 0.33 v2.4.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  120 (   0 equality)
%            Maximal formula depth :   27 (  27 average)
%            Number of connectives :  162 (  43 ~  ;  52  |;  55  &)
%                                         (   0 <=>;  12 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (  13 propositional; 0-1 arity)
%            Number of functors    :   12 (  12 constant; 0-0 arity)
%            Number of variables   :   12 (   0 singleton;  12 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp3_ : Prop.
Variable hskp2_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a60_ : Universe.
Variable a59_ : Universe.
Variable a58_ : Universe.
Variable a57_ : Universe.
Variable a56_ : Universe.
Variable a55_ : Universe.
Variable a54_ : Universe.
Variable a53_ : Universe.
Variable a52_ : Universe.
Variable a51_ : Universe.
Variable a50_ : Universe.
Variable a49_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c3_1_ a49_ /\ (c2_1_ a49_ /\ ~(c1_1_ a49_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (~(c3_1_ a53_) /\ (c1_1_ a53_ /\ ~(c0_1_ a53_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c1_1_ a58_ /\ (c3_1_ a58_ /\ ~(c0_1_ a58_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c1_1_ a50_ /\ (~(c2_1_ a50_) /\ c0_1_ a50_)))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c0_1_ a51_ /\ (~(c2_1_ a51_) /\ c1_1_ a51_)))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (~(c3_1_ a52_) /\ (c2_1_ a52_ /\ c1_1_ a52_)))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (~(c3_1_ a54_) /\ (~(c2_1_ a54_) /\ c1_1_ a54_)))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (~(c1_1_ a55_) /\ (c3_1_ a55_ /\ c2_1_ a55_)))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c3_1_ a56_ /\ (~(c0_1_ a56_) /\ c2_1_ a56_)))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (~(c2_1_ a57_) /\ (~(c1_1_ a57_) /\ c3_1_ a57_)))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c2_1_ a59_ /\ (~(c1_1_ a59_) /\ c3_1_ a59_)))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c2_1_ a60_ /\ (c0_1_ a60_ /\ c3_1_ a60_)))) /\ (((forall U : Universe, (ndr1_0_ -> (~(c2_1_ U) \/ (c3_1_ U \/ ~(c1_1_ U))))) \/ ((forall V : Universe, (ndr1_0_ -> (c3_1_ V \/ (c0_1_ V \/ ~(c1_1_ V))))) \/ hskp0_)) /\ ((hskp3_ \/ ((forall W : Universe, (ndr1_0_ -> (c3_1_ W \/ (~(c2_1_ W) \/ c1_1_ W)))) \/ (forall X : Universe, (ndr1_0_ -> (c2_1_ X \/ (~(c1_1_ X) \/ ~(c3_1_ X))))))) /\ (((forall Y : Universe, (ndr1_0_ -> (~(c3_1_ Y) \/ (c0_1_ Y \/ ~(c2_1_ Y))))) \/ ((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c1_1_ Z \/ c2_1_ Z)))) \/ hskp4_)) /\ ((hskp5_ \/ (hskp1_ \/ (forall X1 : Universe, (ndr1_0_ -> (c3_1_ X1 \/ (~(c2_1_ X1) \/ c0_1_ X1)))))) /\ (((forall X2 : Universe, (ndr1_0_ -> (c3_1_ X2 \/ (c2_1_ X2 \/ c0_1_ X2)))) \/ ((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (~(c1_1_ X3) \/ c2_1_ X3)))) \/ (forall X4 : Universe, (ndr1_0_ -> (~(c0_1_ X4) \/ (~(c3_1_ X4) \/ ~(c2_1_ X4))))))) /\ ((hskp6_ \/ (hskp7_ \/ (forall X5 : Universe, (ndr1_0_ -> (~(c3_1_ X5) \/ (c0_1_ X5 \/ ~(c1_1_ X5))))))) /\ ((hskp8_ \/ (hskp9_ \/ hskp2_)) /\ (hskp10_ \/ ((forall X6 : Universe, (ndr1_0_ -> (~(c1_1_ X6) \/ (c2_1_ X6 \/ c0_1_ X6)))) \/ hskp11_)))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
