(*
% File     : SYN495+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=8, K=3, D=1, P=0, Index=065
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-8-3-1-065.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.17 v2.6.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  127 (   0 equality)
%            Maximal formula depth :   33 (  33 average)
%            Number of connectives :  174 (  48 ~  ;  45  |;  75  &)
%                                         (   0 <=>;   6 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   22 (  18 propositional; 0-1 arity)
%            Number of functors    :   17 (  17 constant; 0-0 arity)
%            Number of variables   :    6 (   0 singleton;   6 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp3_ : Prop.
Variable hskp2_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a77_ : Universe.
Variable a76_ : Universe.
Variable a75_ : Universe.
Variable a74_ : Universe.
Variable a73_ : Universe.
Variable a72_ : Universe.
Variable a71_ : Universe.
Variable a70_ : Universe.
Variable a69_ : Universe.
Variable a68_ : Universe.
Variable a67_ : Universe.
Variable a66_ : Universe.
Variable a65_ : Universe.
Variable a64_ : Universe.
Variable a63_ : Universe.
Variable a62_ : Universe.
Variable a61_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c3_1_ a61_ /\ (c1_1_ a61_ /\ ~(c2_1_ a61_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c0_1_ a66_ /\ (c1_1_ a66_ /\ ~(c3_1_ a66_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (~(c0_1_ a69_) /\ (c3_1_ a69_ /\ ~(c2_1_ a69_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c0_1_ a71_ /\ (c3_1_ a71_ /\ ~(c1_1_ a71_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c1_1_ a73_ /\ (c0_1_ a73_ /\ ~(c2_1_ a73_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (~(c0_1_ a75_) /\ (c2_1_ a75_ /\ ~(c1_1_ a75_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c0_1_ a76_ /\ (c1_1_ a76_ /\ ~(c2_1_ a76_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (~(c2_1_ a77_) /\ (c3_1_ a77_ /\ ~(c0_1_ a77_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (~(c1_1_ a62_) /\ (c3_1_ a62_ /\ c0_1_ a62_)))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c2_1_ a63_ /\ (~(c1_1_ a63_) /\ c3_1_ a63_)))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (~(c3_1_ a64_) /\ (~(c2_1_ a64_) /\ c0_1_ a64_)))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (~(c1_1_ a65_) /\ (~(c0_1_ a65_) /\ c2_1_ a65_)))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (~(c3_1_ a67_) /\ (~(c2_1_ a67_) /\ c1_1_ a67_)))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (~(c1_1_ a68_) /\ (c2_1_ a68_ /\ c0_1_ a68_)))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (~(c0_1_ a70_) /\ (c3_1_ a70_ /\ c1_1_ a70_)))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c1_1_ a72_ /\ (c3_1_ a72_ /\ c0_1_ a72_)))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (~(c1_1_ a74_) /\ (c2_1_ a74_ /\ c3_1_ a74_)))) /\ ((hskp0_ \/ ((forall U : Universe, (ndr1_0_ -> (c2_1_ U \/ (c1_1_ U \/ c3_1_ U)))) \/ hskp8_)) /\ ((hskp9_ \/ ((forall V : Universe, (ndr1_0_ -> (c3_1_ V \/ (~(c0_1_ V) \/ ~(c1_1_ V))))) \/ hskp10_)) /\ ((hskp11_ \/ (hskp1_ \/ hskp12_)) /\ ((hskp13_ \/ (hskp2_ \/ hskp14_)) /\ ((hskp3_ \/ ((forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (~(c1_1_ W) \/ ~(c3_1_ W))))) \/ hskp15_)) /\ ((hskp4_ \/ ((forall X : Universe, (ndr1_0_ -> (c1_1_ X \/ (c0_1_ X \/ ~(c3_1_ X))))) \/ (forall Y : Universe, (ndr1_0_ -> (c1_1_ Y \/ (~(c0_1_ Y) \/ ~(c2_1_ Y))))))) /\ ((hskp16_ \/ (hskp5_ \/ hskp6_)) /\ (hskp7_ \/ ((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (~(c3_1_ Z) \/ c1_1_ Z)))) \/ hskp12_))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
