(*
% File     : SYN499+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=80, K=3, D=1, P=0, Index=001
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-80-3-1-001.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  775 (   0 equality)
%            Maximal formula depth :  114 ( 114 average)
%            Number of connectives : 1040 ( 266 ~  ; 444  |; 203  &)
%                                         (   0 <=>; 127 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   36 (  32 propositional; 0-1 arity)
%            Number of functors    :   31 (  31 constant; 0-0 arity)
%            Number of variables   :  127 (   0 singleton; 127 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a225_ : Universe.
Variable a189_ : Universe.
Variable a182_ : Universe.
Variable a179_ : Universe.
Variable a176_ : Universe.
Variable a170_ : Universe.
Variable a168_ : Universe.
Variable a167_ : Universe.
Variable a164_ : Universe.
Variable a160_ : Universe.
Variable a155_ : Universe.
Variable a154_ : Universe.
Variable a153_ : Universe.
Variable a147_ : Universe.
Variable a143_ : Universe.
Variable a142_ : Universe.
Variable a141_ : Universe.
Variable a140_ : Universe.
Variable a138_ : Universe.
Variable a136_ : Universe.
Variable a134_ : Universe.
Variable a133_ : Universe.
Variable a132_ : Universe.
Variable a131_ : Universe.
Variable a130_ : Universe.
Variable a128_ : Universe.
Variable a127_ : Universe.
Variable a125_ : Universe.
Variable a124_ : Universe.
Variable a123_ : Universe.
Variable a122_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c2_1_ a123_ /\ (~(c0_1_ a123_) /\ ~(c1_1_ a123_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c1_1_ a124_ /\ (c2_1_ a124_ /\ ~(c3_1_ a124_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c1_1_ a125_ /\ (c2_1_ a125_ /\ ~(c0_1_ a125_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c1_1_ a127_ /\ (~(c2_1_ a127_) /\ ~(c3_1_ a127_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c0_1_ a128_ /\ (c1_1_ a128_ /\ ~(c3_1_ a128_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (~(c0_1_ a130_) /\ (~(c1_1_ a130_) /\ ~(c3_1_ a130_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (~(c0_1_ a131_) /\ (~(c1_1_ a131_) /\ ~(c2_1_ a131_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c3_1_ a132_ /\ (~(c0_1_ a132_) /\ ~(c2_1_ a132_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c2_1_ a134_ /\ (~(c0_1_ a134_) /\ ~(c3_1_ a134_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c0_1_ a138_ /\ (c1_1_ a138_ /\ ~(c2_1_ a138_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c0_1_ a140_ /\ (~(c2_1_ a140_) /\ ~(c3_1_ a140_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (~(c1_1_ a141_) /\ (~(c2_1_ a141_) /\ ~(c3_1_ a141_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c0_1_ a142_ /\ (c3_1_ a142_ /\ ~(c1_1_ a142_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c2_1_ a143_ /\ (c3_1_ a143_ /\ ~(c1_1_ a143_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c0_1_ a147_ /\ (~(c1_1_ a147_) /\ ~(c3_1_ a147_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c2_1_ a153_ /\ (c3_1_ a153_ /\ ~(c0_1_ a153_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c1_1_ a154_ /\ (c3_1_ a154_ /\ ~(c0_1_ a154_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c1_1_ a155_ /\ (~(c0_1_ a155_) /\ ~(c2_1_ a155_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c3_1_ a160_ /\ (~(c1_1_ a160_) /\ ~(c2_1_ a160_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c1_1_ a164_ /\ (c3_1_ a164_ /\ ~(c2_1_ a164_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c1_1_ a168_ /\ (~(c0_1_ a168_) /\ ~(c3_1_ a168_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c0_1_ a170_ /\ (c2_1_ a170_ /\ ~(c1_1_ a170_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c0_1_ a176_ /\ (~(c1_1_ a176_) /\ ~(c2_1_ a176_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c2_1_ a179_ /\ (~(c1_1_ a179_) /\ ~(c3_1_ a179_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (~(c0_1_ a182_) /\ (~(c2_1_ a182_) /\ ~(c3_1_ a182_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c3_1_ a189_ /\ (~(c0_1_ a189_) /\ ~(c1_1_ a189_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c0_1_ a225_ /\ (c2_1_ a225_ /\ ~(c3_1_ a225_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a122_ /\ (c2_1_ a122_ /\ c3_1_ a122_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c1_1_ a133_ /\ (c2_1_ a133_ /\ c3_1_ a133_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a136_ /\ (c1_1_ a136_ /\ c2_1_ a136_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c0_1_ a167_ /\ (c1_1_ a167_ /\ c3_1_ a167_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c1_1_ V \/ c3_1_ V)))) \/ (forall W : Universe, (ndr1_0_ -> (c2_1_ W \/ (~(c1_1_ W) \/ ~(c3_1_ W))))))) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ c2_1_ X)))) \/ ((forall Y : Universe, (ndr1_0_ -> (c0_1_ Y \/ (c2_1_ Y \/ ~(c1_1_ Y))))) \/ (forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c2_1_ Z \/ ~(c3_1_ Z))))))) /\ (((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c1_1_ X1 \/ c2_1_ X1)))) \/ ((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c2_1_ X2 \/ ~(c1_1_ X2))))) \/ (forall X3 : Universe, (ndr1_0_ -> (c2_1_ X3 \/ (c3_1_ X3 \/ ~(c0_1_ X3))))))) /\ (((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c1_1_ X4 \/ c2_1_ X4)))) \/ ((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (c3_1_ X5 \/ ~(c2_1_ X5))))) \/ hskp27_)) /\ (((forall X6 : Universe, (ndr1_0_ -> (c0_1_ X6 \/ (c1_1_ X6 \/ c2_1_ X6)))) \/ ((forall X7 : Universe, (ndr1_0_ -> (c2_1_ X7 \/ (c3_1_ X7 \/ ~(c1_1_ X7))))) \/ hskp0_)) /\ (((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (c1_1_ X8 \/ c2_1_ X8)))) \/ ((forall X9 : Universe, (ndr1_0_ -> (c3_1_ X9 \/ (~(c0_1_ X9) \/ ~(c1_1_ X9))))) \/ hskp1_)) /\ (((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c1_1_ X10 \/ c2_1_ X10)))) \/ (hskp2_ \/ hskp1_)) /\ (((forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (c1_1_ X11 \/ c3_1_ X11)))) \/ ((forall X12 : Universe, (ndr1_0_ -> (c2_1_ X12 \/ (c3_1_ X12 \/ ~(c1_1_ X12))))) \/ hskp3_)) /\ (((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c1_1_ X13 \/ ~(c2_1_ X13))))) \/ ((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c2_1_ X14 \/ ~(c1_1_ X14))))) \/ hskp4_)) /\ (((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c1_1_ X15 \/ ~(c2_1_ X15))))) \/ ((forall X16 : Universe, (ndr1_0_ -> (c1_1_ X16 \/ (~(c0_1_ X16) \/ ~(c2_1_ X16))))) \/ (forall X17 : Universe, (ndr1_0_ -> (~(c1_1_ X17) \/ (~(c2_1_ X17) \/ ~(c3_1_ X17))))))) /\ (((forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (c1_1_ X18 \/ ~(c2_1_ X18))))) \/ ((forall X19 : Universe, (ndr1_0_ -> (c3_1_ X19 \/ (~(c0_1_ X19) \/ ~(c2_1_ X19))))) \/ hskp27_)) /\ (((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (c1_1_ X20 \/ ~(c2_1_ X20))))) \/ ((forall X21 : Universe, (ndr1_0_ -> (~(c0_1_ X21) \/ (~(c1_1_ X21) \/ ~(c2_1_ X21))))) \/ hskp5_)) /\ (((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (c1_1_ X22 \/ ~(c3_1_ X22))))) \/ ((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c2_1_ X23 \/ ~(c1_1_ X23))))) \/ (forall X24 : Universe, (ndr1_0_ -> (c3_1_ X24 \/ (~(c1_1_ X24) \/ ~(c2_1_ X24))))))) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c1_1_ X25 \/ ~(c3_1_ X25))))) \/ ((forall X26 : Universe, (ndr1_0_ -> (c1_1_ X26 \/ (c2_1_ X26 \/ ~(c3_1_ X26))))) \/ (forall X27 : Universe, (ndr1_0_ -> (c1_1_ X27 \/ (~(c2_1_ X27) \/ ~(c3_1_ X27))))))) /\ (((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (c1_1_ X28 \/ ~(c3_1_ X28))))) \/ ((forall X29 : Universe, (ndr1_0_ -> (c1_1_ X29 \/ (~(c0_1_ X29) \/ ~(c3_1_ X29))))) \/ hskp6_)) /\ (((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (c1_1_ X30 \/ ~(c3_1_ X30))))) \/ ((forall X31 : Universe, (ndr1_0_ -> (c2_1_ X31 \/ (~(c0_1_ X31) \/ ~(c1_1_ X31))))) \/ hskp7_)) /\ (((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (c1_1_ X32 \/ ~(c3_1_ X32))))) \/ (hskp28_ \/ hskp8_)) /\ (((forall X33 : Universe, (ndr1_0_ -> (c0_1_ X33 \/ (c2_1_ X33 \/ c3_1_ X33)))) \/ ((forall X34 : Universe, (ndr1_0_ -> (~(c0_1_ X34) \/ (~(c2_1_ X34) \/ ~(c3_1_ X34))))) \/ hskp8_)) /\ (((forall X35 : Universe, (ndr1_0_ -> (c0_1_ X35 \/ (c2_1_ X35 \/ c3_1_ X35)))) \/ (hskp29_ \/ hskp7_)) /\ (((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (c2_1_ X36 \/ c3_1_ X36)))) \/ (hskp9_ \/ hskp7_)) /\ (((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (c2_1_ X37 \/ c3_1_ X37)))) \/ (hskp10_ \/ hskp11_)) /\ (((forall X38 : Universe, (ndr1_0_ -> (c0_1_ X38 \/ (c2_1_ X38 \/ ~(c1_1_ X38))))) \/ ((forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (c2_1_ X39 \/ ~(c3_1_ X39))))) \/ (forall X40 : Universe, (ndr1_0_ -> (c2_1_ X40 \/ (~(c0_1_ X40) \/ ~(c3_1_ X40))))))) /\ (((forall X41 : Universe, (ndr1_0_ -> (c0_1_ X41 \/ (c2_1_ X41 \/ ~(c1_1_ X41))))) \/ ((forall X42 : Universe, (ndr1_0_ -> (c0_1_ X42 \/ (c2_1_ X42 \/ ~(c3_1_ X42))))) \/ hskp12_)) /\ (((forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (c2_1_ X43 \/ ~(c1_1_ X43))))) \/ ((forall X44 : Universe, (ndr1_0_ -> (c1_1_ X44 \/ (c2_1_ X44 \/ ~(c0_1_ X44))))) \/ hskp13_)) /\ (((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (c2_1_ X45 \/ ~(c1_1_ X45))))) \/ ((forall X46 : Universe, (ndr1_0_ -> (c3_1_ X46 \/ (~(c0_1_ X46) \/ ~(c1_1_ X46))))) \/ hskp28_)) /\ (((forall X47 : Universe, (ndr1_0_ -> (c0_1_ X47 \/ (c2_1_ X47 \/ ~(c1_1_ X47))))) \/ (hskp28_ \/ hskp3_)) /\ (((forall X48 : Universe, (ndr1_0_ -> (c0_1_ X48 \/ (c2_1_ X48 \/ ~(c3_1_ X48))))) \/ ((forall X49 : Universe, (ndr1_0_ -> (c0_1_ X49 \/ (c3_1_ X49 \/ ~(c2_1_ X49))))) \/ hskp14_)) /\ (((forall X50 : Universe, (ndr1_0_ -> (c0_1_ X50 \/ (c2_1_ X50 \/ ~(c3_1_ X50))))) \/ ((forall X51 : Universe, (ndr1_0_ -> (c0_1_ X51 \/ (~(c1_1_ X51) \/ ~(c2_1_ X51))))) \/ (forall X52 : Universe, (ndr1_0_ -> (c1_1_ X52 \/ (c2_1_ X52 \/ ~(c0_1_ X52))))))) /\ (((forall X53 : Universe, (ndr1_0_ -> (c0_1_ X53 \/ (c2_1_ X53 \/ ~(c3_1_ X53))))) \/ ((forall X54 : Universe, (ndr1_0_ -> (c2_1_ X54 \/ (c3_1_ X54 \/ ~(c1_1_ X54))))) \/ hskp29_)) /\ (((forall X55 : Universe, (ndr1_0_ -> (c0_1_ X55 \/ (c2_1_ X55 \/ ~(c3_1_ X55))))) \/ ((forall X56 : Universe, (ndr1_0_ -> (c3_1_ X56 \/ (~(c0_1_ X56) \/ ~(c2_1_ X56))))) \/ hskp12_)) /\ (((forall X57 : Universe, (ndr1_0_ -> (c0_1_ X57 \/ (c2_1_ X57 \/ ~(c3_1_ X57))))) \/ (hskp14_ \/ hskp7_)) /\ (((forall X58 : Universe, (ndr1_0_ -> (c0_1_ X58 \/ (c2_1_ X58 \/ ~(c3_1_ X58))))) \/ (hskp10_ \/ hskp15_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c0_1_ X59 \/ (c3_1_ X59 \/ ~(c1_1_ X59))))) \/ ((forall X60 : Universe, (ndr1_0_ -> (c3_1_ X60 \/ (~(c1_1_ X60) \/ ~(c2_1_ X60))))) \/ (forall X61 : Universe, (ndr1_0_ -> (~(c0_1_ X61) \/ (~(c2_1_ X61) \/ ~(c3_1_ X61))))))) /\ (((forall X62 : Universe, (ndr1_0_ -> (c0_1_ X62 \/ (c3_1_ X62 \/ ~(c1_1_ X62))))) \/ ((forall X63 : Universe, (ndr1_0_ -> (~(c1_1_ X63) \/ (~(c2_1_ X63) \/ ~(c3_1_ X63))))) \/ hskp16_)) /\ (((forall X64 : Universe, (ndr1_0_ -> (c0_1_ X64 \/ (c3_1_ X64 \/ ~(c2_1_ X64))))) \/ ((forall X65 : Universe, (ndr1_0_ -> (c1_1_ X65 \/ (c2_1_ X65 \/ ~(c3_1_ X65))))) \/ (forall X66 : Universe, (ndr1_0_ -> (~(c0_1_ X66) \/ (~(c1_1_ X66) \/ ~(c2_1_ X66))))))) /\ (((forall X67 : Universe, (ndr1_0_ -> (c0_1_ X67 \/ (c3_1_ X67 \/ ~(c2_1_ X67))))) \/ ((forall X68 : Universe, (ndr1_0_ -> (c2_1_ X68 \/ (c3_1_ X68 \/ ~(c1_1_ X68))))) \/ (forall X69 : Universe, (ndr1_0_ -> (c2_1_ X69 \/ (~(c1_1_ X69) \/ ~(c3_1_ X69))))))) /\ (((forall X70 : Universe, (ndr1_0_ -> (c0_1_ X70 \/ (~(c1_1_ X70) \/ ~(c2_1_ X70))))) \/ ((forall X71 : Universe, (ndr1_0_ -> (c1_1_ X71 \/ (c3_1_ X71 \/ ~(c2_1_ X71))))) \/ (forall X72 : Universe, (ndr1_0_ -> (c3_1_ X72 \/ (~(c1_1_ X72) \/ ~(c2_1_ X72))))))) /\ (((forall X73 : Universe, (ndr1_0_ -> (c0_1_ X73 \/ (~(c1_1_ X73) \/ ~(c3_1_ X73))))) \/ (hskp17_ \/ hskp0_)) /\ (((forall X74 : Universe, (ndr1_0_ -> (c0_1_ X74 \/ (~(c2_1_ X74) \/ ~(c3_1_ X74))))) \/ ((forall X75 : Universe, (ndr1_0_ -> (c1_1_ X75 \/ (c2_1_ X75 \/ ~(c0_1_ X75))))) \/ (forall X76 : Universe, (ndr1_0_ -> (~(c0_1_ X76) \/ (~(c1_1_ X76) \/ ~(c3_1_ X76))))))) /\ (((forall X77 : Universe, (ndr1_0_ -> (c0_1_ X77 \/ (~(c2_1_ X77) \/ ~(c3_1_ X77))))) \/ (hskp29_ \/ hskp7_)) /\ (((forall X78 : Universe, (ndr1_0_ -> (c0_1_ X78 \/ (~(c2_1_ X78) \/ ~(c3_1_ X78))))) \/ (hskp0_ \/ hskp18_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (c1_1_ X79 \/ (c2_1_ X79 \/ c3_1_ X79)))) \/ ((forall X80 : Universe, (ndr1_0_ -> (c3_1_ X80 \/ (~(c0_1_ X80) \/ ~(c1_1_ X80))))) \/ hskp12_)) /\ (((forall X81 : Universe, (ndr1_0_ -> (c1_1_ X81 \/ (c2_1_ X81 \/ c3_1_ X81)))) \/ (hskp2_ \/ hskp16_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c1_1_ X82 \/ (c2_1_ X82 \/ ~(c0_1_ X82))))) \/ (hskp19_ \/ hskp17_)) /\ (((forall X83 : Universe, (ndr1_0_ -> (c1_1_ X83 \/ (c2_1_ X83 \/ ~(c3_1_ X83))))) \/ ((forall X84 : Universe, (ndr1_0_ -> (c2_1_ X84 \/ (c3_1_ X84 \/ ~(c1_1_ X84))))) \/ (forall X85 : Universe, (ndr1_0_ -> (c2_1_ X85 \/ (~(c0_1_ X85) \/ ~(c3_1_ X85))))))) /\ (((forall X86 : Universe, (ndr1_0_ -> (c1_1_ X86 \/ (c2_1_ X86 \/ ~(c3_1_ X86))))) \/ ((forall X87 : Universe, (ndr1_0_ -> (~(c0_1_ X87) \/ (~(c2_1_ X87) \/ ~(c3_1_ X87))))) \/ hskp6_)) /\ (((forall X88 : Universe, (ndr1_0_ -> (c1_1_ X88 \/ (c3_1_ X88 \/ ~(c2_1_ X88))))) \/ (hskp30_ \/ hskp20_)) /\ (((forall X89 : Universe, (ndr1_0_ -> (c1_1_ X89 \/ (~(c0_1_ X89) \/ ~(c3_1_ X89))))) \/ ((forall X90 : Universe, (ndr1_0_ -> (c2_1_ X90 \/ (~(c0_1_ X90) \/ ~(c1_1_ X90))))) \/ hskp7_)) /\ (((forall X91 : Universe, (ndr1_0_ -> (c1_1_ X91 \/ (~(c0_1_ X91) \/ ~(c3_1_ X91))))) \/ (hskp21_ \/ hskp6_)) /\ (((forall X92 : Universe, (ndr1_0_ -> (c1_1_ X92 \/ (~(c0_1_ X92) \/ ~(c3_1_ X92))))) \/ (hskp3_ \/ hskp15_)) /\ (((forall X93 : Universe, (ndr1_0_ -> (c1_1_ X93 \/ (~(c0_1_ X93) \/ ~(c3_1_ X93))))) \/ (hskp0_ \/ hskp7_)) /\ (((forall X94 : Universe, (ndr1_0_ -> (c1_1_ X94 \/ (~(c2_1_ X94) \/ ~(c3_1_ X94))))) \/ ((forall X95 : Universe, (ndr1_0_ -> (c3_1_ X95 \/ (~(c1_1_ X95) \/ ~(c2_1_ X95))))) \/ (forall X96 : Universe, (ndr1_0_ -> (~(c0_1_ X96) \/ (~(c1_1_ X96) \/ ~(c3_1_ X96))))))) /\ (((forall X97 : Universe, (ndr1_0_ -> (c1_1_ X97 \/ (~(c2_1_ X97) \/ ~(c3_1_ X97))))) \/ (hskp22_ \/ hskp7_)) /\ (((forall X98 : Universe, (ndr1_0_ -> (c1_1_ X98 \/ (~(c2_1_ X98) \/ ~(c3_1_ X98))))) \/ (hskp8_ \/ hskp23_)) /\ (((forall X99 : Universe, (ndr1_0_ -> (c2_1_ X99 \/ (c3_1_ X99 \/ ~(c1_1_ X99))))) \/ ((forall X100 : Universe, (ndr1_0_ -> (c3_1_ X100 \/ (~(c0_1_ X100) \/ ~(c1_1_ X100))))) \/ hskp9_)) /\ (((forall X101 : Universe, (ndr1_0_ -> (c2_1_ X101 \/ (c3_1_ X101 \/ ~(c1_1_ X101))))) \/ ((forall X102 : Universe, (ndr1_0_ -> (c3_1_ X102 \/ (~(c1_1_ X102) \/ ~(c2_1_ X102))))) \/ (forall X103 : Universe, (ndr1_0_ -> (~(c1_1_ X103) \/ (~(c2_1_ X103) \/ ~(c3_1_ X103))))))) /\ (((forall X104 : Universe, (ndr1_0_ -> (c2_1_ X104 \/ (c3_1_ X104 \/ ~(c1_1_ X104))))) \/ (hskp15_ \/ hskp24_)) /\ (((forall X105 : Universe, (ndr1_0_ -> (c2_1_ X105 \/ (~(c0_1_ X105) \/ ~(c1_1_ X105))))) \/ (hskp9_ \/ hskp22_)) /\ (((forall X106 : Universe, (ndr1_0_ -> (c2_1_ X106 \/ (~(c0_1_ X106) \/ ~(c1_1_ X106))))) \/ (hskp10_ \/ hskp18_)) /\ (((forall X107 : Universe, (ndr1_0_ -> (c2_1_ X107 \/ (~(c0_1_ X107) \/ ~(c3_1_ X107))))) \/ (hskp1_ \/ hskp3_)) /\ (((forall X108 : Universe, (ndr1_0_ -> (c2_1_ X108 \/ (~(c0_1_ X108) \/ ~(c3_1_ X108))))) \/ (hskp25_ \/ hskp6_)) /\ (((forall X109 : Universe, (ndr1_0_ -> (c2_1_ X109 \/ (~(c1_1_ X109) \/ ~(c3_1_ X109))))) \/ (hskp17_ \/ hskp13_)) /\ (((forall X110 : Universe, (ndr1_0_ -> (c2_1_ X110 \/ (~(c1_1_ X110) \/ ~(c3_1_ X110))))) \/ (hskp17_ \/ hskp24_)) /\ (((forall X111 : Universe, (ndr1_0_ -> (c2_1_ X111 \/ (~(c1_1_ X111) \/ ~(c3_1_ X111))))) \/ (hskp15_ \/ hskp13_)) /\ (((forall X112 : Universe, (ndr1_0_ -> (c3_1_ X112 \/ (~(c0_1_ X112) \/ ~(c1_1_ X112))))) \/ (hskp12_ \/ hskp11_)) /\ (((forall X113 : Universe, (ndr1_0_ -> (c3_1_ X113 \/ (~(c0_1_ X113) \/ ~(c1_1_ X113))))) \/ (hskp7_ \/ hskp24_)) /\ (((forall X114 : Universe, (ndr1_0_ -> (c3_1_ X114 \/ (~(c1_1_ X114) \/ ~(c2_1_ X114))))) \/ (hskp27_ \/ hskp19_)) /\ (((forall X115 : Universe, (ndr1_0_ -> (c3_1_ X115 \/ (~(c1_1_ X115) \/ ~(c2_1_ X115))))) \/ hskp22_) /\ (((forall X116 : Universe, (ndr1_0_ -> (c3_1_ X116 \/ (~(c1_1_ X116) \/ ~(c2_1_ X116))))) \/ (hskp14_ \/ hskp23_)) /\ (((forall X117 : Universe, (ndr1_0_ -> (~(c0_1_ X117) \/ (~(c1_1_ X117) \/ ~(c2_1_ X117))))) \/ (hskp14_ \/ hskp25_)) /\ (((forall X118 : Universe, (ndr1_0_ -> (~(c0_1_ X118) \/ (~(c1_1_ X118) \/ ~(c3_1_ X118))))) \/ (hskp22_ \/ hskp10_)) /\ (((forall X119 : Universe, (ndr1_0_ -> (~(c0_1_ X119) \/ (~(c1_1_ X119) \/ ~(c3_1_ X119))))) \/ (hskp2_ \/ hskp19_)) /\ (((forall X120 : Universe, (ndr1_0_ -> (~(c1_1_ X120) \/ (~(c2_1_ X120) \/ ~(c3_1_ X120))))) \/ (hskp9_ \/ hskp8_)) /\ (((forall X121 : Universe, (ndr1_0_ -> (~(c1_1_ X121) \/ (~(c2_1_ X121) \/ ~(c3_1_ X121))))) \/ (hskp3_ \/ hskp13_)) /\ ((hskp30_ \/ (hskp9_ \/ hskp6_)) /\ ((hskp27_ \/ (hskp3_ \/ hskp15_)) /\ ((hskp21_ \/ (hskp20_ \/ hskp6_)) /\ ((hskp26_ \/ (hskp20_ \/ hskp15_)) /\ ((hskp12_ \/ (hskp19_ \/ hskp13_)) /\ (hskp2_ \/ (hskp19_ \/ hskp8_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
