(*
% File     : SYN500+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=80, K=3, D=1, P=0, Index=010
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-80-3-1-010.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  810 (   0 equality)
%            Maximal formula depth :  113 ( 113 average)
%            Number of connectives : 1094 ( 285 ~  ; 469  |; 199  &)
%                                         (   0 <=>; 141 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   35 (  31 propositional; 0-1 arity)
%            Number of functors    :   30 (  30 constant; 0-0 arity)
%            Number of variables   :  141 (   0 singleton; 141 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a8_ : Universe.
Variable a77_ : Universe.
Variable a73_ : Universe.
Variable a7_ : Universe.
Variable a64_ : Universe.
Variable a63_ : Universe.
Variable a5_ : Universe.
Variable a48_ : Universe.
Variable a47_ : Universe.
Variable a43_ : Universe.
Variable a40_ : Universe.
Variable a4_ : Universe.
Variable a39_ : Universe.
Variable a33_ : Universe.
Variable a32_ : Universe.
Variable a3_ : Universe.
Variable a28_ : Universe.
Variable a25_ : Universe.
Variable a23_ : Universe.
Variable a22_ : Universe.
Variable a20_ : Universe.
Variable a2_ : Universe.
Variable a19_ : Universe.
Variable a18_ : Universe.
Variable a15_ : Universe.
Variable a14_ : Universe.
Variable a13_ : Universe.
Variable a11_ : Universe.
Variable a10_ : Universe.
Variable a1_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c1_1_ a1_ /\ (c3_1_ a1_ /\ ~(c2_1_ a1_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c0_1_ a2_ /\ (~(c1_1_ a2_) /\ ~(c2_1_ a2_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c3_1_ a3_ /\ (~(c1_1_ a3_) /\ ~(c2_1_ a3_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c2_1_ a5_ /\ (~(c0_1_ a5_) /\ ~(c1_1_ a5_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (~(c0_1_ a7_) /\ (~(c1_1_ a7_) /\ ~(c3_1_ a7_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c1_1_ a8_ /\ (~(c2_1_ a8_) /\ ~(c3_1_ a8_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c0_1_ a10_ /\ (c3_1_ a10_ /\ ~(c2_1_ a10_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c1_1_ a11_ /\ (~(c0_1_ a11_) /\ ~(c2_1_ a11_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c3_1_ a14_ /\ (~(c0_1_ a14_) /\ ~(c2_1_ a14_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (~(c0_1_ a15_) /\ (~(c1_1_ a15_) /\ ~(c2_1_ a15_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (~(c1_1_ a18_) /\ (~(c2_1_ a18_) /\ ~(c3_1_ a18_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c1_1_ a19_ /\ (c2_1_ a19_ /\ ~(c0_1_ a19_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (~(c0_1_ a20_) /\ (~(c2_1_ a20_) /\ ~(c3_1_ a20_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c3_1_ a22_ /\ (~(c0_1_ a22_) /\ ~(c1_1_ a22_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c0_1_ a25_ /\ (c1_1_ a25_ /\ ~(c2_1_ a25_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c2_1_ a28_ /\ (c3_1_ a28_ /\ ~(c1_1_ a28_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c0_1_ a32_ /\ (c2_1_ a32_ /\ ~(c1_1_ a32_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c0_1_ a33_ /\ (~(c1_1_ a33_) /\ ~(c3_1_ a33_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c0_1_ a39_ /\ (c3_1_ a39_ /\ ~(c1_1_ a39_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c2_1_ a40_ /\ (~(c0_1_ a40_) /\ ~(c3_1_ a40_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c0_1_ a43_ /\ (c1_1_ a43_ /\ ~(c3_1_ a43_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c2_1_ a47_ /\ (c3_1_ a47_ /\ ~(c0_1_ a47_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c1_1_ a48_ /\ (~(c0_1_ a48_) /\ ~(c3_1_ a48_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c2_1_ a63_ /\ (~(c1_1_ a63_) /\ ~(c3_1_ a63_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c1_1_ a64_ /\ (c3_1_ a64_ /\ ~(c0_1_ a64_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c0_1_ a73_ /\ (c2_1_ a73_ /\ ~(c3_1_ a73_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c0_1_ a4_ /\ (c1_1_ a4_ /\ c3_1_ a4_)))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c1_1_ a13_ /\ (c2_1_ a13_ /\ c3_1_ a13_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a23_ /\ (c1_1_ a23_ /\ c2_1_ a23_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a77_ /\ (c2_1_ a77_ /\ c3_1_ a77_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (~(c1_1_ V) \/ ~(c3_1_ V))))) \/ (forall W : Universe, (ndr1_0_ -> (c1_1_ W \/ (~(c0_1_ W) \/ ~(c3_1_ W))))))) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ c2_1_ X)))) \/ ((forall Y : Universe, (ndr1_0_ -> (c1_1_ Y \/ (c2_1_ Y \/ c3_1_ Y)))) \/ (forall Z : Universe, (ndr1_0_ -> (c2_1_ Z \/ (c3_1_ Z \/ ~(c1_1_ Z))))))) /\ (((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c1_1_ X1 \/ c2_1_ X1)))) \/ ((forall X2 : Universe, (ndr1_0_ -> (c1_1_ X2 \/ (~(c0_1_ X2) \/ ~(c3_1_ X2))))) \/ (forall X3 : Universe, (ndr1_0_ -> (c2_1_ X3 \/ (~(c1_1_ X3) \/ ~(c3_1_ X3))))))) /\ (((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c1_1_ X4 \/ c2_1_ X4)))) \/ ((forall X5 : Universe, (ndr1_0_ -> (c1_1_ X5 \/ (~(c2_1_ X5) \/ ~(c3_1_ X5))))) \/ (forall X6 : Universe, (ndr1_0_ -> (~(c1_1_ X6) \/ (~(c2_1_ X6) \/ ~(c3_1_ X6))))))) /\ (((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (c1_1_ X7 \/ c2_1_ X7)))) \/ ((forall X8 : Universe, (ndr1_0_ -> (c2_1_ X8 \/ (c3_1_ X8 \/ ~(c1_1_ X8))))) \/ hskp0_)) /\ (((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c1_1_ X9 \/ c3_1_ X9)))) \/ ((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c1_1_ X10 \/ ~(c2_1_ X10))))) \/ (forall X11 : Universe, (ndr1_0_ -> (c2_1_ X11 \/ (c3_1_ X11 \/ ~(c0_1_ X11))))))) /\ (((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (c1_1_ X12 \/ c3_1_ X12)))) \/ ((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (~(c1_1_ X13) \/ ~(c2_1_ X13))))) \/ hskp1_)) /\ (((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (c1_1_ X14 \/ c3_1_ X14)))) \/ ((forall X15 : Universe, (ndr1_0_ -> (c2_1_ X15 \/ (~(c1_1_ X15) \/ ~(c3_1_ X15))))) \/ hskp2_)) /\ (((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (c1_1_ X16 \/ c3_1_ X16)))) \/ (hskp26_ \/ hskp3_)) /\ (((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c1_1_ X17 \/ ~(c2_1_ X17))))) \/ ((forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (~(c1_1_ X18) \/ ~(c3_1_ X18))))) \/ (forall X19 : Universe, (ndr1_0_ -> (c2_1_ X19 \/ (~(c0_1_ X19) \/ ~(c3_1_ X19))))))) /\ (((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (c1_1_ X20 \/ ~(c2_1_ X20))))) \/ (hskp0_ \/ hskp4_)) /\ (((forall X21 : Universe, (ndr1_0_ -> (c0_1_ X21 \/ (c1_1_ X21 \/ ~(c3_1_ X21))))) \/ ((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (c2_1_ X22 \/ ~(c1_1_ X22))))) \/ (forall X23 : Universe, (ndr1_0_ -> (c1_1_ X23 \/ (~(c2_1_ X23) \/ ~(c3_1_ X23))))))) /\ (((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (c1_1_ X24 \/ ~(c3_1_ X24))))) \/ ((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (~(c1_1_ X25) \/ ~(c2_1_ X25))))) \/ hskp5_)) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c1_1_ X26 \/ ~(c3_1_ X26))))) \/ ((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (~(c2_1_ X27) \/ ~(c3_1_ X27))))) \/ (forall X28 : Universe, (ndr1_0_ -> (c1_1_ X28 \/ (c3_1_ X28 \/ ~(c2_1_ X28))))))) /\ (((forall X29 : Universe, (ndr1_0_ -> (c0_1_ X29 \/ (c1_1_ X29 \/ ~(c3_1_ X29))))) \/ ((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (~(c2_1_ X30) \/ ~(c3_1_ X30))))) \/ (forall X31 : Universe, (ndr1_0_ -> (c2_1_ X31 \/ (~(c0_1_ X31) \/ ~(c1_1_ X31))))))) /\ (((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (c1_1_ X32 \/ ~(c3_1_ X32))))) \/ ((forall X33 : Universe, (ndr1_0_ -> (c1_1_ X33 \/ (c3_1_ X33 \/ ~(c2_1_ X33))))) \/ (forall X34 : Universe, (ndr1_0_ -> (c2_1_ X34 \/ (c3_1_ X34 \/ ~(c0_1_ X34))))))) /\ (((forall X35 : Universe, (ndr1_0_ -> (c0_1_ X35 \/ (c1_1_ X35 \/ ~(c3_1_ X35))))) \/ ((forall X36 : Universe, (ndr1_0_ -> (c1_1_ X36 \/ (~(c2_1_ X36) \/ ~(c3_1_ X36))))) \/ hskp2_)) /\ (((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (c1_1_ X37 \/ ~(c3_1_ X37))))) \/ (hskp6_ \/ hskp7_)) /\ (((forall X38 : Universe, (ndr1_0_ -> (c0_1_ X38 \/ (c2_1_ X38 \/ c3_1_ X38)))) \/ ((forall X39 : Universe, (ndr1_0_ -> (c1_1_ X39 \/ (c3_1_ X39 \/ ~(c2_1_ X39))))) \/ (forall X40 : Universe, (ndr1_0_ -> (c3_1_ X40 \/ (~(c1_1_ X40) \/ ~(c2_1_ X40))))))) /\ (((forall X41 : Universe, (ndr1_0_ -> (c0_1_ X41 \/ (c2_1_ X41 \/ c3_1_ X41)))) \/ (hskp1_ \/ hskp27_)) /\ (((forall X42 : Universe, (ndr1_0_ -> (c0_1_ X42 \/ (c2_1_ X42 \/ c3_1_ X42)))) \/ (hskp8_ \/ hskp9_)) /\ (((forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (c2_1_ X43 \/ ~(c1_1_ X43))))) \/ ((forall X44 : Universe, (ndr1_0_ -> (c0_1_ X44 \/ (c3_1_ X44 \/ ~(c1_1_ X44))))) \/ hskp4_)) /\ (((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (c2_1_ X45 \/ ~(c1_1_ X45))))) \/ (hskp1_ \/ hskp10_)) /\ (((forall X46 : Universe, (ndr1_0_ -> (c0_1_ X46 \/ (c2_1_ X46 \/ ~(c1_1_ X46))))) \/ (hskp11_ \/ hskp12_)) /\ (((forall X47 : Universe, (ndr1_0_ -> (c0_1_ X47 \/ (c2_1_ X47 \/ ~(c1_1_ X47))))) \/ (hskp0_ \/ hskp13_)) /\ (((forall X48 : Universe, (ndr1_0_ -> (c0_1_ X48 \/ (c2_1_ X48 \/ ~(c3_1_ X48))))) \/ ((forall X49 : Universe, (ndr1_0_ -> (c0_1_ X49 \/ (~(c2_1_ X49) \/ ~(c3_1_ X49))))) \/ hskp28_)) /\ (((forall X50 : Universe, (ndr1_0_ -> (c0_1_ X50 \/ (c2_1_ X50 \/ ~(c3_1_ X50))))) \/ ((forall X51 : Universe, (ndr1_0_ -> (c2_1_ X51 \/ (~(c0_1_ X51) \/ ~(c1_1_ X51))))) \/ hskp3_)) /\ (((forall X52 : Universe, (ndr1_0_ -> (c0_1_ X52 \/ (c3_1_ X52 \/ ~(c1_1_ X52))))) \/ ((forall X53 : Universe, (ndr1_0_ -> (c1_1_ X53 \/ (c3_1_ X53 \/ ~(c0_1_ X53))))) \/ (forall X54 : Universe, (ndr1_0_ -> (c2_1_ X54 \/ (c3_1_ X54 \/ ~(c1_1_ X54))))))) /\ (((forall X55 : Universe, (ndr1_0_ -> (c0_1_ X55 \/ (c3_1_ X55 \/ ~(c1_1_ X55))))) \/ ((forall X56 : Universe, (ndr1_0_ -> (c3_1_ X56 \/ (~(c0_1_ X56) \/ ~(c2_1_ X56))))) \/ hskp14_)) /\ (((forall X57 : Universe, (ndr1_0_ -> (c0_1_ X57 \/ (c3_1_ X57 \/ ~(c1_1_ X57))))) \/ ((forall X58 : Universe, (ndr1_0_ -> (~(c0_1_ X58) \/ (~(c1_1_ X58) \/ ~(c3_1_ X58))))) \/ hskp13_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c0_1_ X59 \/ (c3_1_ X59 \/ ~(c1_1_ X59))))) \/ ((forall X60 : Universe, (ndr1_0_ -> (~(c1_1_ X60) \/ (~(c2_1_ X60) \/ ~(c3_1_ X60))))) \/ hskp28_)) /\ (((forall X61 : Universe, (ndr1_0_ -> (c0_1_ X61 \/ (c3_1_ X61 \/ ~(c2_1_ X61))))) \/ ((forall X62 : Universe, (ndr1_0_ -> (c2_1_ X62 \/ (c3_1_ X62 \/ ~(c0_1_ X62))))) \/ (forall X63 : Universe, (ndr1_0_ -> (~(c0_1_ X63) \/ (~(c1_1_ X63) \/ ~(c2_1_ X63))))))) /\ (((forall X64 : Universe, (ndr1_0_ -> (c0_1_ X64 \/ (c3_1_ X64 \/ ~(c2_1_ X64))))) \/ (hskp15_ \/ hskp13_)) /\ (((forall X65 : Universe, (ndr1_0_ -> (c0_1_ X65 \/ (~(c1_1_ X65) \/ ~(c2_1_ X65))))) \/ ((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (c3_1_ X66 \/ ~(c0_1_ X66))))) \/ hskp3_)) /\ (((forall X67 : Universe, (ndr1_0_ -> (c0_1_ X67 \/ (~(c1_1_ X67) \/ ~(c2_1_ X67))))) \/ (hskp26_ \/ hskp16_)) /\ (((forall X68 : Universe, (ndr1_0_ -> (c0_1_ X68 \/ (~(c1_1_ X68) \/ ~(c2_1_ X68))))) \/ (hskp17_ \/ hskp5_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (c0_1_ X69 \/ (~(c1_1_ X69) \/ ~(c2_1_ X69))))) \/ (hskp13_ \/ hskp10_)) /\ (((forall X70 : Universe, (ndr1_0_ -> (c0_1_ X70 \/ (~(c1_1_ X70) \/ ~(c3_1_ X70))))) \/ ((forall X71 : Universe, (ndr1_0_ -> (c0_1_ X71 \/ (~(c2_1_ X71) \/ ~(c3_1_ X71))))) \/ hskp12_)) /\ (((forall X72 : Universe, (ndr1_0_ -> (c0_1_ X72 \/ (~(c1_1_ X72) \/ ~(c3_1_ X72))))) \/ ((forall X73 : Universe, (ndr1_0_ -> (c1_1_ X73 \/ (~(c2_1_ X73) \/ ~(c3_1_ X73))))) \/ (forall X74 : Universe, (ndr1_0_ -> (c3_1_ X74 \/ (~(c1_1_ X74) \/ ~(c2_1_ X74))))))) /\ (((forall X75 : Universe, (ndr1_0_ -> (c0_1_ X75 \/ (~(c1_1_ X75) \/ ~(c3_1_ X75))))) \/ ((forall X76 : Universe, (ndr1_0_ -> (c2_1_ X76 \/ (c3_1_ X76 \/ ~(c0_1_ X76))))) \/ hskp15_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (c0_1_ X77 \/ (~(c1_1_ X77) \/ ~(c3_1_ X77))))) \/ ((forall X78 : Universe, (ndr1_0_ -> (c3_1_ X78 \/ (~(c0_1_ X78) \/ ~(c1_1_ X78))))) \/ hskp18_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (c0_1_ X79 \/ (~(c2_1_ X79) \/ ~(c3_1_ X79))))) \/ ((forall X80 : Universe, (ndr1_0_ -> (~(c0_1_ X80) \/ (~(c2_1_ X80) \/ ~(c3_1_ X80))))) \/ hskp19_)) /\ (((forall X81 : Universe, (ndr1_0_ -> (c0_1_ X81 \/ (~(c2_1_ X81) \/ ~(c3_1_ X81))))) \/ (hskp3_ \/ hskp2_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c1_1_ X82 \/ (c2_1_ X82 \/ c3_1_ X82)))) \/ ((forall X83 : Universe, (ndr1_0_ -> (c1_1_ X83 \/ (~(c0_1_ X83) \/ ~(c2_1_ X83))))) \/ hskp20_)) /\ (((forall X84 : Universe, (ndr1_0_ -> (c1_1_ X84 \/ (c2_1_ X84 \/ c3_1_ X84)))) \/ (hskp11_ \/ hskp12_)) /\ (((forall X85 : Universe, (ndr1_0_ -> (c1_1_ X85 \/ (c2_1_ X85 \/ ~(c0_1_ X85))))) \/ ((forall X86 : Universe, (ndr1_0_ -> (c1_1_ X86 \/ (~(c0_1_ X86) \/ ~(c2_1_ X86))))) \/ (forall X87 : Universe, (ndr1_0_ -> (c2_1_ X87 \/ (~(c0_1_ X87) \/ ~(c3_1_ X87))))))) /\ (((forall X88 : Universe, (ndr1_0_ -> (c1_1_ X88 \/ (c2_1_ X88 \/ ~(c0_1_ X88))))) \/ ((forall X89 : Universe, (ndr1_0_ -> (c1_1_ X89 \/ (~(c0_1_ X89) \/ ~(c2_1_ X89))))) \/ (forall X90 : Universe, (ndr1_0_ -> (~(c0_1_ X90) \/ (~(c2_1_ X90) \/ ~(c3_1_ X90))))))) /\ (((forall X91 : Universe, (ndr1_0_ -> (c1_1_ X91 \/ (c2_1_ X91 \/ ~(c0_1_ X91))))) \/ ((forall X92 : Universe, (ndr1_0_ -> (c1_1_ X92 \/ (~(c2_1_ X92) \/ ~(c3_1_ X92))))) \/ hskp8_)) /\ (((forall X93 : Universe, (ndr1_0_ -> (c1_1_ X93 \/ (c2_1_ X93 \/ ~(c3_1_ X93))))) \/ ((forall X94 : Universe, (ndr1_0_ -> (c1_1_ X94 \/ (~(c2_1_ X94) \/ ~(c3_1_ X94))))) \/ (forall X95 : Universe, (ndr1_0_ -> (c3_1_ X95 \/ (~(c0_1_ X95) \/ ~(c1_1_ X95))))))) /\ (((forall X96 : Universe, (ndr1_0_ -> (c1_1_ X96 \/ (c2_1_ X96 \/ ~(c3_1_ X96))))) \/ ((forall X97 : Universe, (ndr1_0_ -> (~(c0_1_ X97) \/ (~(c1_1_ X97) \/ ~(c2_1_ X97))))) \/ hskp21_)) /\ (((forall X98 : Universe, (ndr1_0_ -> (c1_1_ X98 \/ (c3_1_ X98 \/ ~(c0_1_ X98))))) \/ ((forall X99 : Universe, (ndr1_0_ -> (c1_1_ X99 \/ (~(c2_1_ X99) \/ ~(c3_1_ X99))))) \/ hskp22_)) /\ (((forall X100 : Universe, (ndr1_0_ -> (c1_1_ X100 \/ (c3_1_ X100 \/ ~(c0_1_ X100))))) \/ (hskp1_ \/ hskp17_)) /\ (((forall X101 : Universe, (ndr1_0_ -> (c1_1_ X101 \/ (c3_1_ X101 \/ ~(c0_1_ X101))))) \/ (hskp11_ \/ hskp9_)) /\ (((forall X102 : Universe, (ndr1_0_ -> (c1_1_ X102 \/ (c3_1_ X102 \/ ~(c2_1_ X102))))) \/ ((forall X103 : Universe, (ndr1_0_ -> (c1_1_ X103 \/ (~(c0_1_ X103) \/ ~(c3_1_ X103))))) \/ (forall X104 : Universe, (ndr1_0_ -> (c2_1_ X104 \/ (~(c0_1_ X104) \/ ~(c1_1_ X104))))))) /\ (((forall X105 : Universe, (ndr1_0_ -> (c1_1_ X105 \/ (c3_1_ X105 \/ ~(c2_1_ X105))))) \/ ((forall X106 : Universe, (ndr1_0_ -> (c2_1_ X106 \/ (c3_1_ X106 \/ ~(c0_1_ X106))))) \/ (forall X107 : Universe, (ndr1_0_ -> (~(c0_1_ X107) \/ (~(c1_1_ X107) \/ ~(c2_1_ X107))))))) /\ (((forall X108 : Universe, (ndr1_0_ -> (c1_1_ X108 \/ (c3_1_ X108 \/ ~(c2_1_ X108))))) \/ ((forall X109 : Universe, (ndr1_0_ -> (c2_1_ X109 \/ (c3_1_ X109 \/ ~(c1_1_ X109))))) \/ hskp1_)) /\ (((forall X110 : Universe, (ndr1_0_ -> (c1_1_ X110 \/ (c3_1_ X110 \/ ~(c2_1_ X110))))) \/ ((forall X111 : Universe, (ndr1_0_ -> (c2_1_ X111 \/ (~(c0_1_ X111) \/ ~(c3_1_ X111))))) \/ (forall X112 : Universe, (ndr1_0_ -> (~(c0_1_ X112) \/ (~(c1_1_ X112) \/ ~(c3_1_ X112))))))) /\ (((forall X113 : Universe, (ndr1_0_ -> (c1_1_ X113 \/ (~(c0_1_ X113) \/ ~(c2_1_ X113))))) \/ ((forall X114 : Universe, (ndr1_0_ -> (c1_1_ X114 \/ (~(c2_1_ X114) \/ ~(c3_1_ X114))))) \/ (forall X115 : Universe, (ndr1_0_ -> (c2_1_ X115 \/ (~(c0_1_ X115) \/ ~(c1_1_ X115))))))) /\ (((forall X116 : Universe, (ndr1_0_ -> (c1_1_ X116 \/ (~(c0_1_ X116) \/ ~(c2_1_ X116))))) \/ ((forall X117 : Universe, (ndr1_0_ -> (c1_1_ X117 \/ (~(c2_1_ X117) \/ ~(c3_1_ X117))))) \/ (forall X118 : Universe, (ndr1_0_ -> (~(c0_1_ X118) \/ (~(c1_1_ X118) \/ ~(c2_1_ X118))))))) /\ (((forall X119 : Universe, (ndr1_0_ -> (c1_1_ X119 \/ (~(c0_1_ X119) \/ ~(c2_1_ X119))))) \/ ((forall X120 : Universe, (ndr1_0_ -> (c3_1_ X120 \/ (~(c0_1_ X120) \/ ~(c1_1_ X120))))) \/ hskp12_)) /\ (((forall X121 : Universe, (ndr1_0_ -> (c1_1_ X121 \/ (~(c0_1_ X121) \/ ~(c2_1_ X121))))) \/ (hskp18_ \/ hskp19_)) /\ (((forall X122 : Universe, (ndr1_0_ -> (c1_1_ X122 \/ (~(c0_1_ X122) \/ ~(c2_1_ X122))))) \/ (hskp11_ \/ hskp21_)) /\ (((forall X123 : Universe, (ndr1_0_ -> (c1_1_ X123 \/ (~(c2_1_ X123) \/ ~(c3_1_ X123))))) \/ ((forall X124 : Universe, (ndr1_0_ -> (c3_1_ X124 \/ (~(c0_1_ X124) \/ ~(c2_1_ X124))))) \/ hskp8_)) /\ (((forall X125 : Universe, (ndr1_0_ -> (c2_1_ X125 \/ (c3_1_ X125 \/ ~(c0_1_ X125))))) \/ ((forall X126 : Universe, (ndr1_0_ -> (c3_1_ X126 \/ (~(c1_1_ X126) \/ ~(c2_1_ X126))))) \/ hskp20_)) /\ (((forall X127 : Universe, (ndr1_0_ -> (c2_1_ X127 \/ (c3_1_ X127 \/ ~(c0_1_ X127))))) \/ ((forall X128 : Universe, (ndr1_0_ -> (~(c0_1_ X128) \/ (~(c1_1_ X128) \/ ~(c3_1_ X128))))) \/ hskp13_)) /\ (((forall X129 : Universe, (ndr1_0_ -> (c2_1_ X129 \/ (c3_1_ X129 \/ ~(c0_1_ X129))))) \/ (hskp26_ \/ hskp23_)) /\ (((forall X130 : Universe, (ndr1_0_ -> (c2_1_ X130 \/ (c3_1_ X130 \/ ~(c0_1_ X130))))) \/ (hskp24_ \/ hskp22_)) /\ (((forall X131 : Universe, (ndr1_0_ -> (c2_1_ X131 \/ (c3_1_ X131 \/ ~(c1_1_ X131))))) \/ hskp19_) /\ (((forall X132 : Universe, (ndr1_0_ -> (c2_1_ X132 \/ (~(c0_1_ X132) \/ ~(c1_1_ X132))))) \/ (hskp20_ \/ hskp6_)) /\ (((forall X133 : Universe, (ndr1_0_ -> (c3_1_ X133 \/ (~(c0_1_ X133) \/ ~(c2_1_ X133))))) \/ (hskp28_ \/ hskp18_)) /\ (((forall X134 : Universe, (ndr1_0_ -> (c3_1_ X134 \/ (~(c1_1_ X134) \/ ~(c2_1_ X134))))) \/ (hskp6_ \/ hskp2_)) /\ (((forall X135 : Universe, (ndr1_0_ -> (~(c0_1_ X135) \/ (~(c1_1_ X135) \/ ~(c3_1_ X135))))) \/ hskp25_) /\ ((hskp14_ \/ (hskp20_ \/ hskp12_)) /\ ((hskp29_ \/ (hskp24_ \/ hskp19_)) /\ ((hskp25_ \/ (hskp22_ \/ hskp9_)) /\ ((hskp1_ \/ (hskp27_ \/ hskp4_)) /\ ((hskp17_ \/ (hskp22_ \/ hskp19_)) /\ ((hskp27_ \/ hskp9_) /\ ((hskp11_ \/ (hskp0_ \/ hskp22_)) /\ (hskp11_ \/ (hskp21_ \/ hskp12_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
