(*
% File     : SYN503+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=80, K=3, D=1, P=0, Index=044
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-80-3-1-044.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.5.0, 0.67 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  771 (   0 equality)
%            Maximal formula depth :  113 ( 113 average)
%            Number of connectives : 1049 ( 279 ~  ; 443  |; 199  &)
%                                         (   0 <=>; 128 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   35 (  31 propositional; 0-1 arity)
%            Number of functors    :   30 (  30 constant; 0-0 arity)
%            Number of variables   :  128 (   0 singleton; 128 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a320_ : Universe.
Variable a296_ : Universe.
Variable a282_ : Universe.
Variable a280_ : Universe.
Variable a274_ : Universe.
Variable a271_ : Universe.
Variable a261_ : Universe.
Variable a259_ : Universe.
Variable a257_ : Universe.
Variable a255_ : Universe.
Variable a252_ : Universe.
Variable a248_ : Universe.
Variable a245_ : Universe.
Variable a242_ : Universe.
Variable a241_ : Universe.
Variable a239_ : Universe.
Variable a237_ : Universe.
Variable a236_ : Universe.
Variable a234_ : Universe.
Variable a231_ : Universe.
Variable a226_ : Universe.
Variable a225_ : Universe.
Variable a223_ : Universe.
Variable a220_ : Universe.
Variable a218_ : Universe.
Variable a217_ : Universe.
Variable a216_ : Universe.
Variable a215_ : Universe.
Variable a214_ : Universe.
Variable a213_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c2_1_ a213_ /\ (~(c1_1_ a213_) /\ ~(c3_1_ a213_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c2_1_ a214_ /\ (~(c0_1_ a214_) /\ ~(c3_1_ a214_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c2_1_ a215_ /\ (~(c0_1_ a215_) /\ ~(c1_1_ a215_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c0_1_ a216_ /\ (c1_1_ a216_ /\ ~(c2_1_ a216_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (~(c1_1_ a217_) /\ (~(c2_1_ a217_) /\ ~(c3_1_ a217_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c3_1_ a218_ /\ (~(c1_1_ a218_) /\ ~(c2_1_ a218_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c1_1_ a220_ /\ (c2_1_ a220_ /\ ~(c3_1_ a220_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c1_1_ a223_ /\ (c2_1_ a223_ /\ ~(c0_1_ a223_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c3_1_ a225_ /\ (~(c0_1_ a225_) /\ ~(c2_1_ a225_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c0_1_ a226_ /\ (~(c1_1_ a226_) /\ ~(c2_1_ a226_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c1_1_ a231_ /\ (c3_1_ a231_ /\ ~(c0_1_ a231_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c0_1_ a236_ /\ (~(c2_1_ a236_) /\ ~(c3_1_ a236_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c0_1_ a237_ /\ (c2_1_ a237_ /\ ~(c3_1_ a237_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c2_1_ a239_ /\ (c3_1_ a239_ /\ ~(c1_1_ a239_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c3_1_ a241_ /\ (~(c0_1_ a241_) /\ ~(c1_1_ a241_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c1_1_ a242_ /\ (~(c0_1_ a242_) /\ ~(c2_1_ a242_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c0_1_ a245_ /\ (~(c1_1_ a245_) /\ ~(c3_1_ a245_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c1_1_ a248_ /\ (c3_1_ a248_ /\ ~(c2_1_ a248_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c0_1_ a252_ /\ (c2_1_ a252_ /\ ~(c1_1_ a252_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (~(c0_1_ a255_) /\ (~(c1_1_ a255_) /\ ~(c3_1_ a255_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c0_1_ a257_ /\ (c1_1_ a257_ /\ ~(c3_1_ a257_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c0_1_ a259_ /\ (c3_1_ a259_ /\ ~(c2_1_ a259_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (~(c0_1_ a271_) /\ (~(c1_1_ a271_) /\ ~(c2_1_ a271_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c1_1_ a274_ /\ (~(c0_1_ a274_) /\ ~(c3_1_ a274_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c1_1_ a280_ /\ (~(c2_1_ a280_) /\ ~(c3_1_ a280_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c2_1_ a320_ /\ (c3_1_ a320_ /\ ~(c0_1_ a320_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c0_1_ a234_ /\ (c1_1_ a234_ /\ c3_1_ a234_)))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c1_1_ a261_ /\ (c2_1_ a261_ /\ c3_1_ a261_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a282_ /\ (c1_1_ a282_ /\ c2_1_ a282_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a296_ /\ (c2_1_ a296_ /\ c3_1_ a296_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ hskp0_) /\ (((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c1_1_ V \/ c3_1_ V)))) \/ ((forall W : Universe, (ndr1_0_ -> (c2_1_ W \/ (c3_1_ W \/ ~(c0_1_ W))))) \/ hskp1_)) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ c3_1_ X)))) \/ ((forall Y : Universe, (ndr1_0_ -> (~(c0_1_ Y) \/ (~(c2_1_ Y) \/ ~(c3_1_ Y))))) \/ hskp2_)) /\ (((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c1_1_ Z \/ c3_1_ Z)))) \/ (hskp3_ \/ hskp4_)) /\ (((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c1_1_ X1 \/ ~(c2_1_ X1))))) \/ ((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c2_1_ X2 \/ ~(c3_1_ X2))))) \/ (forall X3 : Universe, (ndr1_0_ -> (~(c1_1_ X3) \/ (~(c2_1_ X3) \/ ~(c3_1_ X3))))))) /\ (((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c1_1_ X4 \/ ~(c2_1_ X4))))) \/ ((forall X5 : Universe, (ndr1_0_ -> (c1_1_ X5 \/ (c2_1_ X5 \/ ~(c3_1_ X5))))) \/ (forall X6 : Universe, (ndr1_0_ -> (c3_1_ X6 \/ (~(c0_1_ X6) \/ ~(c1_1_ X6))))))) /\ (((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (c1_1_ X7 \/ ~(c2_1_ X7))))) \/ ((forall X8 : Universe, (ndr1_0_ -> (c2_1_ X8 \/ (~(c0_1_ X8) \/ ~(c3_1_ X8))))) \/ (forall X9 : Universe, (ndr1_0_ -> (~(c0_1_ X9) \/ (~(c2_1_ X9) \/ ~(c3_1_ X9))))))) /\ (((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c1_1_ X10 \/ ~(c2_1_ X10))))) \/ ((forall X11 : Universe, (ndr1_0_ -> (~(c0_1_ X11) \/ (~(c1_1_ X11) \/ ~(c3_1_ X11))))) \/ hskp5_)) /\ (((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (c1_1_ X12 \/ ~(c2_1_ X12))))) \/ ((forall X13 : Universe, (ndr1_0_ -> (~(c0_1_ X13) \/ (~(c2_1_ X13) \/ ~(c3_1_ X13))))) \/ (forall X14 : Universe, (ndr1_0_ -> (~(c1_1_ X14) \/ (~(c2_1_ X14) \/ ~(c3_1_ X14))))))) /\ (((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c1_1_ X15 \/ ~(c2_1_ X15))))) \/ (hskp3_ \/ hskp6_)) /\ (((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (c1_1_ X16 \/ ~(c2_1_ X16))))) \/ (hskp2_ \/ hskp0_)) /\ (((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c1_1_ X17 \/ ~(c3_1_ X17))))) \/ ((forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (c2_1_ X18 \/ c3_1_ X18)))) \/ (forall X19 : Universe, (ndr1_0_ -> (c1_1_ X19 \/ (c3_1_ X19 \/ ~(c0_1_ X19))))))) /\ (((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (c1_1_ X20 \/ ~(c3_1_ X20))))) \/ ((forall X21 : Universe, (ndr1_0_ -> (~(c0_1_ X21) \/ (~(c2_1_ X21) \/ ~(c3_1_ X21))))) \/ hskp7_)) /\ (((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (c1_1_ X22 \/ ~(c3_1_ X22))))) \/ (hskp1_ \/ hskp8_)) /\ (((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c2_1_ X23 \/ c3_1_ X23)))) \/ ((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (~(c2_1_ X24) \/ ~(c3_1_ X24))))) \/ hskp9_)) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c2_1_ X25 \/ c3_1_ X25)))) \/ (hskp6_ \/ hskp5_)) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c2_1_ X26 \/ c3_1_ X26)))) \/ (hskp0_ \/ hskp4_)) /\ (((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (c2_1_ X27 \/ ~(c1_1_ X27))))) \/ ((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (~(c1_1_ X28) \/ ~(c2_1_ X28))))) \/ hskp10_)) /\ (((forall X29 : Universe, (ndr1_0_ -> (c0_1_ X29 \/ (c2_1_ X29 \/ ~(c1_1_ X29))))) \/ ((forall X30 : Universe, (ndr1_0_ -> (c1_1_ X30 \/ (c3_1_ X30 \/ ~(c0_1_ X30))))) \/ hskp8_)) /\ (((forall X31 : Universe, (ndr1_0_ -> (c0_1_ X31 \/ (c2_1_ X31 \/ ~(c3_1_ X31))))) \/ ((forall X32 : Universe, (ndr1_0_ -> (c1_1_ X32 \/ (c2_1_ X32 \/ ~(c0_1_ X32))))) \/ hskp1_)) /\ (((forall X33 : Universe, (ndr1_0_ -> (c0_1_ X33 \/ (c2_1_ X33 \/ ~(c3_1_ X33))))) \/ ((forall X34 : Universe, (ndr1_0_ -> (c3_1_ X34 \/ (~(c1_1_ X34) \/ ~(c2_1_ X34))))) \/ hskp26_)) /\ (((forall X35 : Universe, (ndr1_0_ -> (c0_1_ X35 \/ (c2_1_ X35 \/ ~(c3_1_ X35))))) \/ ((forall X36 : Universe, (ndr1_0_ -> (c3_1_ X36 \/ (~(c1_1_ X36) \/ ~(c2_1_ X36))))) \/ hskp5_)) /\ (((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (c3_1_ X37 \/ ~(c1_1_ X37))))) \/ ((forall X38 : Universe, (ndr1_0_ -> (c1_1_ X38 \/ (c3_1_ X38 \/ ~(c0_1_ X38))))) \/ (forall X39 : Universe, (ndr1_0_ -> (~(c0_1_ X39) \/ (~(c2_1_ X39) \/ ~(c3_1_ X39))))))) /\ (((forall X40 : Universe, (ndr1_0_ -> (c0_1_ X40 \/ (c3_1_ X40 \/ ~(c1_1_ X40))))) \/ ((forall X41 : Universe, (ndr1_0_ -> (c1_1_ X41 \/ (~(c0_1_ X41) \/ ~(c2_1_ X41))))) \/ hskp11_)) /\ (((forall X42 : Universe, (ndr1_0_ -> (c0_1_ X42 \/ (c3_1_ X42 \/ ~(c1_1_ X42))))) \/ ((forall X43 : Universe, (ndr1_0_ -> (c3_1_ X43 \/ (~(c1_1_ X43) \/ ~(c2_1_ X43))))) \/ hskp12_)) /\ (((forall X44 : Universe, (ndr1_0_ -> (c0_1_ X44 \/ (c3_1_ X44 \/ ~(c1_1_ X44))))) \/ (hskp3_ \/ hskp13_)) /\ (((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (c3_1_ X45 \/ ~(c2_1_ X45))))) \/ ((forall X46 : Universe, (ndr1_0_ -> (c1_1_ X46 \/ (~(c0_1_ X46) \/ ~(c2_1_ X46))))) \/ hskp10_)) /\ (((forall X47 : Universe, (ndr1_0_ -> (c0_1_ X47 \/ (c3_1_ X47 \/ ~(c2_1_ X47))))) \/ ((forall X48 : Universe, (ndr1_0_ -> (c3_1_ X48 \/ (~(c0_1_ X48) \/ ~(c1_1_ X48))))) \/ hskp14_)) /\ (((forall X49 : Universe, (ndr1_0_ -> (c0_1_ X49 \/ (~(c1_1_ X49) \/ ~(c2_1_ X49))))) \/ ((forall X50 : Universe, (ndr1_0_ -> (c1_1_ X50 \/ (c2_1_ X50 \/ ~(c3_1_ X50))))) \/ hskp15_)) /\ (((forall X51 : Universe, (ndr1_0_ -> (c0_1_ X51 \/ (~(c1_1_ X51) \/ ~(c2_1_ X51))))) \/ ((forall X52 : Universe, (ndr1_0_ -> (c2_1_ X52 \/ (c3_1_ X52 \/ ~(c0_1_ X52))))) \/ hskp26_)) /\ (((forall X53 : Universe, (ndr1_0_ -> (c0_1_ X53 \/ (~(c1_1_ X53) \/ ~(c2_1_ X53))))) \/ ((forall X54 : Universe, (ndr1_0_ -> (c2_1_ X54 \/ (~(c0_1_ X54) \/ ~(c1_1_ X54))))) \/ hskp8_)) /\ (((forall X55 : Universe, (ndr1_0_ -> (c0_1_ X55 \/ (~(c1_1_ X55) \/ ~(c2_1_ X55))))) \/ (hskp16_ \/ hskp7_)) /\ (((forall X56 : Universe, (ndr1_0_ -> (c0_1_ X56 \/ (~(c1_1_ X56) \/ ~(c2_1_ X56))))) \/ (hskp10_ \/ hskp17_)) /\ (((forall X57 : Universe, (ndr1_0_ -> (c0_1_ X57 \/ (~(c1_1_ X57) \/ ~(c3_1_ X57))))) \/ ((forall X58 : Universe, (ndr1_0_ -> (c1_1_ X58 \/ (c2_1_ X58 \/ ~(c3_1_ X58))))) \/ hskp10_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c0_1_ X59 \/ (~(c1_1_ X59) \/ ~(c3_1_ X59))))) \/ ((forall X60 : Universe, (ndr1_0_ -> (c1_1_ X60 \/ (~(c2_1_ X60) \/ ~(c3_1_ X60))))) \/ hskp9_)) /\ (((forall X61 : Universe, (ndr1_0_ -> (c0_1_ X61 \/ (~(c1_1_ X61) \/ ~(c3_1_ X61))))) \/ ((forall X62 : Universe, (ndr1_0_ -> (c2_1_ X62 \/ (c3_1_ X62 \/ ~(c1_1_ X62))))) \/ hskp1_)) /\ (((forall X63 : Universe, (ndr1_0_ -> (c0_1_ X63 \/ (~(c1_1_ X63) \/ ~(c3_1_ X63))))) \/ ((forall X64 : Universe, (ndr1_0_ -> (c2_1_ X64 \/ (~(c1_1_ X64) \/ ~(c3_1_ X64))))) \/ hskp18_)) /\ (((forall X65 : Universe, (ndr1_0_ -> (c0_1_ X65 \/ (~(c1_1_ X65) \/ ~(c3_1_ X65))))) \/ (hskp3_ \/ hskp6_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c0_1_ X66 \/ (~(c2_1_ X66) \/ ~(c3_1_ X66))))) \/ ((forall X67 : Universe, (ndr1_0_ -> (c1_1_ X67 \/ (c3_1_ X67 \/ ~(c2_1_ X67))))) \/ (forall X68 : Universe, (ndr1_0_ -> (~(c0_1_ X68) \/ (~(c2_1_ X68) \/ ~(c3_1_ X68))))))) /\ (((forall X69 : Universe, (ndr1_0_ -> (c0_1_ X69 \/ (~(c2_1_ X69) \/ ~(c3_1_ X69))))) \/ ((forall X70 : Universe, (ndr1_0_ -> (c2_1_ X70 \/ (c3_1_ X70 \/ ~(c1_1_ X70))))) \/ hskp19_)) /\ (((forall X71 : Universe, (ndr1_0_ -> (c1_1_ X71 \/ (c2_1_ X71 \/ c3_1_ X71)))) \/ ((forall X72 : Universe, (ndr1_0_ -> (c2_1_ X72 \/ (c3_1_ X72 \/ ~(c1_1_ X72))))) \/ hskp8_)) /\ (((forall X73 : Universe, (ndr1_0_ -> (c1_1_ X73 \/ (c2_1_ X73 \/ c3_1_ X73)))) \/ (hskp20_ \/ hskp4_)) /\ (((forall X74 : Universe, (ndr1_0_ -> (c1_1_ X74 \/ (c2_1_ X74 \/ c3_1_ X74)))) \/ (hskp21_ \/ hskp19_)) /\ (((forall X75 : Universe, (ndr1_0_ -> (c1_1_ X75 \/ (c2_1_ X75 \/ c3_1_ X75)))) \/ (hskp27_ \/ hskp2_)) /\ (((forall X76 : Universe, (ndr1_0_ -> (c1_1_ X76 \/ (c2_1_ X76 \/ ~(c0_1_ X76))))) \/ ((forall X77 : Universe, (ndr1_0_ -> (c1_1_ X77 \/ (c3_1_ X77 \/ ~(c2_1_ X77))))) \/ (forall X78 : Universe, (ndr1_0_ -> (c2_1_ X78 \/ (~(c1_1_ X78) \/ ~(c3_1_ X78))))))) /\ (((forall X79 : Universe, (ndr1_0_ -> (c1_1_ X79 \/ (c2_1_ X79 \/ ~(c0_1_ X79))))) \/ (hskp18_ \/ hskp19_)) /\ (((forall X80 : Universe, (ndr1_0_ -> (c1_1_ X80 \/ (c2_1_ X80 \/ ~(c0_1_ X80))))) \/ (hskp12_ \/ hskp17_)) /\ (((forall X81 : Universe, (ndr1_0_ -> (c1_1_ X81 \/ (c2_1_ X81 \/ ~(c3_1_ X81))))) \/ ((forall X82 : Universe, (ndr1_0_ -> (c1_1_ X82 \/ (c3_1_ X82 \/ ~(c0_1_ X82))))) \/ hskp5_)) /\ (((forall X83 : Universe, (ndr1_0_ -> (c1_1_ X83 \/ (c3_1_ X83 \/ ~(c0_1_ X83))))) \/ ((forall X84 : Universe, (ndr1_0_ -> (c1_1_ X84 \/ (c3_1_ X84 \/ ~(c2_1_ X84))))) \/ (forall X85 : Universe, (ndr1_0_ -> (c2_1_ X85 \/ (~(c0_1_ X85) \/ ~(c3_1_ X85))))))) /\ (((forall X86 : Universe, (ndr1_0_ -> (c1_1_ X86 \/ (c3_1_ X86 \/ ~(c0_1_ X86))))) \/ ((forall X87 : Universe, (ndr1_0_ -> (c3_1_ X87 \/ (~(c1_1_ X87) \/ ~(c2_1_ X87))))) \/ (forall X88 : Universe, (ndr1_0_ -> (~(c1_1_ X88) \/ (~(c2_1_ X88) \/ ~(c3_1_ X88))))))) /\ (((forall X89 : Universe, (ndr1_0_ -> (c1_1_ X89 \/ (c3_1_ X89 \/ ~(c2_1_ X89))))) \/ ((forall X90 : Universe, (ndr1_0_ -> (c1_1_ X90 \/ (~(c2_1_ X90) \/ ~(c3_1_ X90))))) \/ hskp1_)) /\ (((forall X91 : Universe, (ndr1_0_ -> (c1_1_ X91 \/ (c3_1_ X91 \/ ~(c2_1_ X91))))) \/ (hskp12_ \/ hskp21_)) /\ (((forall X92 : Universe, (ndr1_0_ -> (c1_1_ X92 \/ (~(c0_1_ X92) \/ ~(c2_1_ X92))))) \/ ((forall X93 : Universe, (ndr1_0_ -> (c2_1_ X93 \/ (~(c0_1_ X93) \/ ~(c1_1_ X93))))) \/ hskp22_)) /\ (((forall X94 : Universe, (ndr1_0_ -> (c1_1_ X94 \/ (~(c0_1_ X94) \/ ~(c3_1_ X94))))) \/ ((forall X95 : Universe, (ndr1_0_ -> (c3_1_ X95 \/ (~(c0_1_ X95) \/ ~(c2_1_ X95))))) \/ hskp18_)) /\ (((forall X96 : Universe, (ndr1_0_ -> (c1_1_ X96 \/ (~(c0_1_ X96) \/ ~(c3_1_ X96))))) \/ (hskp26_ \/ hskp23_)) /\ (((forall X97 : Universe, (ndr1_0_ -> (c1_1_ X97 \/ (~(c0_1_ X97) \/ ~(c3_1_ X97))))) \/ (hskp16_ \/ hskp4_)) /\ (((forall X98 : Universe, (ndr1_0_ -> (c1_1_ X98 \/ (~(c0_1_ X98) \/ ~(c3_1_ X98))))) \/ (hskp1_ \/ hskp19_)) /\ (((forall X99 : Universe, (ndr1_0_ -> (c1_1_ X99 \/ (~(c2_1_ X99) \/ ~(c3_1_ X99))))) \/ (hskp15_ \/ hskp24_)) /\ (((forall X100 : Universe, (ndr1_0_ -> (c2_1_ X100 \/ (c3_1_ X100 \/ ~(c0_1_ X100))))) \/ ((forall X101 : Universe, (ndr1_0_ -> (c2_1_ X101 \/ (~(c0_1_ X101) \/ ~(c1_1_ X101))))) \/ hskp5_)) /\ (((forall X102 : Universe, (ndr1_0_ -> (c2_1_ X102 \/ (c3_1_ X102 \/ ~(c1_1_ X102))))) \/ ((forall X103 : Universe, (ndr1_0_ -> (c3_1_ X103 \/ (~(c0_1_ X103) \/ ~(c1_1_ X103))))) \/ (forall X104 : Universe, (ndr1_0_ -> (~(c0_1_ X104) \/ (~(c2_1_ X104) \/ ~(c3_1_ X104))))))) /\ (((forall X105 : Universe, (ndr1_0_ -> (c2_1_ X105 \/ (c3_1_ X105 \/ ~(c1_1_ X105))))) \/ ((forall X106 : Universe, (ndr1_0_ -> (~(c0_1_ X106) \/ (~(c1_1_ X106) \/ ~(c3_1_ X106))))) \/ hskp28_)) /\ (((forall X107 : Universe, (ndr1_0_ -> (c2_1_ X107 \/ (c3_1_ X107 \/ ~(c1_1_ X107))))) \/ (hskp26_ \/ hskp9_)) /\ (((forall X108 : Universe, (ndr1_0_ -> (c2_1_ X108 \/ (~(c0_1_ X108) \/ ~(c1_1_ X108))))) \/ ((forall X109 : Universe, (ndr1_0_ -> (c3_1_ X109 \/ (~(c0_1_ X109) \/ ~(c1_1_ X109))))) \/ (forall X110 : Universe, (ndr1_0_ -> (~(c1_1_ X110) \/ (~(c2_1_ X110) \/ ~(c3_1_ X110))))))) /\ (((forall X111 : Universe, (ndr1_0_ -> (c2_1_ X111 \/ (~(c0_1_ X111) \/ ~(c3_1_ X111))))) \/ (hskp3_ \/ hskp27_)) /\ (((forall X112 : Universe, (ndr1_0_ -> (c3_1_ X112 \/ (~(c0_1_ X112) \/ ~(c1_1_ X112))))) \/ ((forall X113 : Universe, (ndr1_0_ -> (~(c1_1_ X113) \/ (~(c2_1_ X113) \/ ~(c3_1_ X113))))) \/ hskp28_)) /\ (((forall X114 : Universe, (ndr1_0_ -> (c3_1_ X114 \/ (~(c0_1_ X114) \/ ~(c2_1_ X114))))) \/ (hskp7_ \/ hskp6_)) /\ (((forall X115 : Universe, (ndr1_0_ -> (~(c0_1_ X115) \/ (~(c1_1_ X115) \/ ~(c2_1_ X115))))) \/ ((forall X116 : Universe, (ndr1_0_ -> (~(c0_1_ X116) \/ (~(c2_1_ X116) \/ ~(c3_1_ X116))))) \/ (forall X117 : Universe, (ndr1_0_ -> (~(c1_1_ X117) \/ (~(c2_1_ X117) \/ ~(c3_1_ X117))))))) /\ (((forall X118 : Universe, (ndr1_0_ -> (~(c0_1_ X118) \/ (~(c1_1_ X118) \/ ~(c2_1_ X118))))) \/ ((forall X119 : Universe, (ndr1_0_ -> (~(c0_1_ X119) \/ (~(c2_1_ X119) \/ ~(c3_1_ X119))))) \/ hskp22_)) /\ (((forall X120 : Universe, (ndr1_0_ -> (~(c0_1_ X120) \/ (~(c1_1_ X120) \/ ~(c3_1_ X120))))) \/ (hskp27_ \/ hskp2_)) /\ (((forall X121 : Universe, (ndr1_0_ -> (~(c0_1_ X121) \/ (~(c2_1_ X121) \/ ~(c3_1_ X121))))) \/ (hskp10_ \/ hskp8_)) /\ (((forall X122 : Universe, (ndr1_0_ -> (~(c1_1_ X122) \/ (~(c2_1_ X122) \/ ~(c3_1_ X122))))) \/ (hskp26_ \/ hskp29_)) /\ ((hskp3_ \/ hskp16_) /\ ((hskp20_ \/ (hskp11_ \/ hskp1_)) /\ ((hskp20_ \/ (hskp10_ \/ hskp2_)) /\ ((hskp20_ \/ (hskp23_ \/ hskp4_)) /\ ((hskp18_ \/ (hskp9_ \/ hskp22_)) /\ ((hskp18_ \/ (hskp27_ \/ hskp17_)) /\ ((hskp12_ \/ (hskp16_ \/ hskp13_)) /\ ((hskp12_ \/ (hskp1_ \/ hskp0_)) /\ (hskp25_ \/ hskp19_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
