(*
% File     : SYN504+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=80, K=3, D=1, P=0, Index=049
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-80-3-1-049.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  773 (   0 equality)
%            Maximal formula depth :  115 ( 115 average)
%            Number of connectives : 1044 ( 272 ~  ; 439  |; 207  &)
%                                         (   0 <=>; 126 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   37 (  33 propositional; 0-1 arity)
%            Number of functors    :   32 (  32 constant; 0-0 arity)
%            Number of variables   :  126 (   0 singleton; 126 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp31_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a446_ : Universe.
Variable a418_ : Universe.
Variable a417_ : Universe.
Variable a410_ : Universe.
Variable a399_ : Universe.
Variable a398_ : Universe.
Variable a397_ : Universe.
Variable a395_ : Universe.
Variable a388_ : Universe.
Variable a387_ : Universe.
Variable a382_ : Universe.
Variable a380_ : Universe.
Variable a379_ : Universe.
Variable a376_ : Universe.
Variable a375_ : Universe.
Variable a373_ : Universe.
Variable a372_ : Universe.
Variable a370_ : Universe.
Variable a369_ : Universe.
Variable a368_ : Universe.
Variable a366_ : Universe.
Variable a365_ : Universe.
Variable a364_ : Universe.
Variable a363_ : Universe.
Variable a361_ : Universe.
Variable a360_ : Universe.
Variable a359_ : Universe.
Variable a358_ : Universe.
Variable a357_ : Universe.
Variable a356_ : Universe.
Variable a355_ : Universe.
Variable a353_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c0_1_ a353_ /\ (c1_1_ a353_ /\ ~(c2_1_ a353_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c0_1_ a355_ /\ (c3_1_ a355_ /\ ~(c1_1_ a355_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c0_1_ a356_ /\ (c2_1_ a356_ /\ ~(c1_1_ a356_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c1_1_ a357_ /\ (c3_1_ a357_ /\ ~(c0_1_ a357_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c2_1_ a358_ /\ (~(c0_1_ a358_) /\ ~(c3_1_ a358_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (~(c0_1_ a359_) /\ (~(c1_1_ a359_) /\ ~(c3_1_ a359_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (~(c1_1_ a360_) /\ (~(c2_1_ a360_) /\ ~(c3_1_ a360_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c3_1_ a361_ /\ (~(c1_1_ a361_) /\ ~(c2_1_ a361_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c1_1_ a363_ /\ (c2_1_ a363_ /\ ~(c3_1_ a363_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c2_1_ a364_ /\ (~(c0_1_ a364_) /\ ~(c1_1_ a364_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (~(c0_1_ a366_) /\ (~(c2_1_ a366_) /\ ~(c3_1_ a366_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c2_1_ a368_ /\ (c3_1_ a368_ /\ ~(c1_1_ a368_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c0_1_ a369_ /\ (c3_1_ a369_ /\ ~(c2_1_ a369_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c0_1_ a370_ /\ (c2_1_ a370_ /\ ~(c3_1_ a370_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c3_1_ a375_ /\ (~(c0_1_ a375_) /\ ~(c1_1_ a375_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c0_1_ a376_ /\ (~(c1_1_ a376_) /\ ~(c2_1_ a376_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c2_1_ a379_ /\ (~(c1_1_ a379_) /\ ~(c3_1_ a379_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c0_1_ a380_ /\ (c1_1_ a380_ /\ ~(c3_1_ a380_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c3_1_ a382_ /\ (~(c0_1_ a382_) /\ ~(c2_1_ a382_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (~(c0_1_ a387_) /\ (~(c1_1_ a387_) /\ ~(c2_1_ a387_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c1_1_ a388_ /\ (~(c2_1_ a388_) /\ ~(c3_1_ a388_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c1_1_ a395_ /\ (~(c0_1_ a395_) /\ ~(c2_1_ a395_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c1_1_ a397_ /\ (c2_1_ a397_ /\ ~(c0_1_ a397_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c1_1_ a398_ /\ (c3_1_ a398_ /\ ~(c2_1_ a398_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c1_1_ a399_ /\ (~(c0_1_ a399_) /\ ~(c3_1_ a399_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c0_1_ a417_ /\ (~(c1_1_ a417_) /\ ~(c3_1_ a417_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c0_1_ a418_ /\ (~(c2_1_ a418_) /\ ~(c3_1_ a418_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c2_1_ a446_ /\ (c3_1_ a446_ /\ ~(c0_1_ a446_))))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c1_1_ a365_ /\ (c2_1_ a365_ /\ c3_1_ a365_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a372_ /\ (c1_1_ a372_ /\ c2_1_ a372_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c0_1_ a373_ /\ (c1_1_ a373_ /\ c3_1_ a373_)))) /\ ((~(hskp31_) \/ (ndr1_0_ /\ (c0_1_ a410_ /\ (c2_1_ a410_ /\ c3_1_ a410_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c0_1_ V \/ (c1_1_ V \/ c3_1_ V)))) \/ (forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c1_1_ W \/ ~(c2_1_ W))))))) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ c2_1_ X)))) \/ ((forall Y : Universe, (ndr1_0_ -> (c0_1_ Y \/ (c1_1_ Y \/ ~(c3_1_ Y))))) \/ hskp0_)) /\ (((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c1_1_ Z \/ c2_1_ Z)))) \/ ((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c2_1_ X1 \/ c3_1_ X1)))) \/ (forall X2 : Universe, (ndr1_0_ -> (c2_1_ X2 \/ (~(c0_1_ X2) \/ ~(c3_1_ X2))))))) /\ (((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (c1_1_ X3 \/ c2_1_ X3)))) \/ ((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (~(c1_1_ X4) \/ ~(c2_1_ X4))))) \/ hskp0_)) /\ (((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (c1_1_ X5 \/ c2_1_ X5)))) \/ ((forall X6 : Universe, (ndr1_0_ -> (c2_1_ X6 \/ (c3_1_ X6 \/ ~(c0_1_ X6))))) \/ hskp1_)) /\ (((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (c1_1_ X7 \/ c2_1_ X7)))) \/ ((forall X8 : Universe, (ndr1_0_ -> (~(c0_1_ X8) \/ (~(c1_1_ X8) \/ ~(c2_1_ X8))))) \/ hskp2_)) /\ (((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c1_1_ X9 \/ c2_1_ X9)))) \/ (hskp3_ \/ hskp4_)) /\ (((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c1_1_ X10 \/ c2_1_ X10)))) \/ (hskp5_ \/ hskp6_)) /\ (((forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (c1_1_ X11 \/ c3_1_ X11)))) \/ ((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (c2_1_ X12 \/ ~(c3_1_ X12))))) \/ hskp7_)) /\ (((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c1_1_ X13 \/ c3_1_ X13)))) \/ ((forall X14 : Universe, (ndr1_0_ -> (c1_1_ X14 \/ (c2_1_ X14 \/ c3_1_ X14)))) \/ (forall X15 : Universe, (ndr1_0_ -> (c2_1_ X15 \/ (~(c1_1_ X15) \/ ~(c3_1_ X15))))))) /\ (((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (c1_1_ X16 \/ c3_1_ X16)))) \/ ((forall X17 : Universe, (ndr1_0_ -> (c1_1_ X17 \/ (c2_1_ X17 \/ ~(c0_1_ X17))))) \/ (forall X18 : Universe, (ndr1_0_ -> (c2_1_ X18 \/ (c3_1_ X18 \/ ~(c1_1_ X18))))))) /\ (((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (c1_1_ X19 \/ ~(c2_1_ X19))))) \/ ((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (~(c2_1_ X20) \/ ~(c3_1_ X20))))) \/ hskp6_)) /\ (((forall X21 : Universe, (ndr1_0_ -> (c0_1_ X21 \/ (c1_1_ X21 \/ ~(c2_1_ X21))))) \/ ((forall X22 : Universe, (ndr1_0_ -> (c2_1_ X22 \/ (~(c1_1_ X22) \/ ~(c3_1_ X22))))) \/ hskp8_)) /\ (((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c1_1_ X23 \/ ~(c2_1_ X23))))) \/ ((forall X24 : Universe, (ndr1_0_ -> (~(c0_1_ X24) \/ (~(c1_1_ X24) \/ ~(c2_1_ X24))))) \/ hskp9_)) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c1_1_ X25 \/ ~(c2_1_ X25))))) \/ ((forall X26 : Universe, (ndr1_0_ -> (~(c1_1_ X26) \/ (~(c2_1_ X26) \/ ~(c3_1_ X26))))) \/ hskp28_)) /\ (((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (c1_1_ X27 \/ ~(c3_1_ X27))))) \/ ((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (c3_1_ X28 \/ ~(c2_1_ X28))))) \/ hskp10_)) /\ (((forall X29 : Universe, (ndr1_0_ -> (c0_1_ X29 \/ (c1_1_ X29 \/ ~(c3_1_ X29))))) \/ (hskp8_ \/ hskp11_)) /\ (((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (c2_1_ X30 \/ c3_1_ X30)))) \/ ((forall X31 : Universe, (ndr1_0_ -> (c2_1_ X31 \/ (c3_1_ X31 \/ ~(c1_1_ X31))))) \/ hskp12_)) /\ (((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (c2_1_ X32 \/ c3_1_ X32)))) \/ ((forall X33 : Universe, (ndr1_0_ -> (~(c1_1_ X33) \/ (~(c2_1_ X33) \/ ~(c3_1_ X33))))) \/ hskp13_)) /\ (((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (c2_1_ X34 \/ ~(c1_1_ X34))))) \/ ((forall X35 : Universe, (ndr1_0_ -> (c0_1_ X35 \/ (c3_1_ X35 \/ ~(c1_1_ X35))))) \/ hskp4_)) /\ (((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (c2_1_ X36 \/ ~(c1_1_ X36))))) \/ ((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (~(c1_1_ X37) \/ ~(c2_1_ X37))))) \/ (forall X38 : Universe, (ndr1_0_ -> (c2_1_ X38 \/ (~(c1_1_ X38) \/ ~(c3_1_ X38))))))) /\ (((forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (c2_1_ X39 \/ ~(c1_1_ X39))))) \/ (hskp29_ \/ hskp30_)) /\ (((forall X40 : Universe, (ndr1_0_ -> (c0_1_ X40 \/ (c2_1_ X40 \/ ~(c1_1_ X40))))) \/ (hskp1_ \/ hskp14_)) /\ (((forall X41 : Universe, (ndr1_0_ -> (c0_1_ X41 \/ (c2_1_ X41 \/ ~(c3_1_ X41))))) \/ ((forall X42 : Universe, (ndr1_0_ -> (c0_1_ X42 \/ (~(c1_1_ X42) \/ ~(c2_1_ X42))))) \/ hskp15_)) /\ (((forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (c2_1_ X43 \/ ~(c3_1_ X43))))) \/ ((forall X44 : Universe, (ndr1_0_ -> (c3_1_ X44 \/ (~(c1_1_ X44) \/ ~(c2_1_ X44))))) \/ hskp5_)) /\ (((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (c2_1_ X45 \/ ~(c3_1_ X45))))) \/ ((forall X46 : Universe, (ndr1_0_ -> (~(c0_1_ X46) \/ (~(c1_1_ X46) \/ ~(c2_1_ X46))))) \/ (forall X47 : Universe, (ndr1_0_ -> (~(c0_1_ X47) \/ (~(c1_1_ X47) \/ ~(c3_1_ X47))))))) /\ (((forall X48 : Universe, (ndr1_0_ -> (c0_1_ X48 \/ (c2_1_ X48 \/ ~(c3_1_ X48))))) \/ ((forall X49 : Universe, (ndr1_0_ -> (~(c0_1_ X49) \/ (~(c2_1_ X49) \/ ~(c3_1_ X49))))) \/ hskp4_)) /\ (((forall X50 : Universe, (ndr1_0_ -> (c0_1_ X50 \/ (c2_1_ X50 \/ ~(c3_1_ X50))))) \/ ((forall X51 : Universe, (ndr1_0_ -> (~(c1_1_ X51) \/ (~(c2_1_ X51) \/ ~(c3_1_ X51))))) \/ hskp16_)) /\ (((forall X52 : Universe, (ndr1_0_ -> (c0_1_ X52 \/ (c2_1_ X52 \/ ~(c3_1_ X52))))) \/ hskp17_) /\ (((forall X53 : Universe, (ndr1_0_ -> (c0_1_ X53 \/ (c2_1_ X53 \/ ~(c3_1_ X53))))) \/ (hskp2_ \/ hskp18_)) /\ (((forall X54 : Universe, (ndr1_0_ -> (c0_1_ X54 \/ (c3_1_ X54 \/ ~(c1_1_ X54))))) \/ ((forall X55 : Universe, (ndr1_0_ -> (c1_1_ X55 \/ (c2_1_ X55 \/ ~(c0_1_ X55))))) \/ hskp11_)) /\ (((forall X56 : Universe, (ndr1_0_ -> (c0_1_ X56 \/ (c3_1_ X56 \/ ~(c1_1_ X56))))) \/ ((forall X57 : Universe, (ndr1_0_ -> (c1_1_ X57 \/ (c3_1_ X57 \/ ~(c0_1_ X57))))) \/ hskp3_)) /\ (((forall X58 : Universe, (ndr1_0_ -> (c0_1_ X58 \/ (c3_1_ X58 \/ ~(c1_1_ X58))))) \/ ((forall X59 : Universe, (ndr1_0_ -> (c1_1_ X59 \/ (~(c0_1_ X59) \/ ~(c2_1_ X59))))) \/ hskp28_)) /\ (((forall X60 : Universe, (ndr1_0_ -> (c0_1_ X60 \/ (c3_1_ X60 \/ ~(c2_1_ X60))))) \/ ((forall X61 : Universe, (ndr1_0_ -> (c3_1_ X61 \/ (~(c0_1_ X61) \/ ~(c2_1_ X61))))) \/ (forall X62 : Universe, (ndr1_0_ -> (~(c1_1_ X62) \/ (~(c2_1_ X62) \/ ~(c3_1_ X62))))))) /\ (((forall X63 : Universe, (ndr1_0_ -> (c0_1_ X63 \/ (c3_1_ X63 \/ ~(c2_1_ X63))))) \/ (hskp28_ \/ hskp19_)) /\ (((forall X64 : Universe, (ndr1_0_ -> (c0_1_ X64 \/ (~(c1_1_ X64) \/ ~(c3_1_ X64))))) \/ ((forall X65 : Universe, (ndr1_0_ -> (c1_1_ X65 \/ (c2_1_ X65 \/ c3_1_ X65)))) \/ hskp20_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c0_1_ X66 \/ (~(c1_1_ X66) \/ ~(c3_1_ X66))))) \/ ((forall X67 : Universe, (ndr1_0_ -> (c1_1_ X67 \/ (c2_1_ X67 \/ ~(c3_1_ X67))))) \/ (forall X68 : Universe, (ndr1_0_ -> (c3_1_ X68 \/ (~(c0_1_ X68) \/ ~(c2_1_ X68))))))) /\ (((forall X69 : Universe, (ndr1_0_ -> (c0_1_ X69 \/ (~(c1_1_ X69) \/ ~(c3_1_ X69))))) \/ ((forall X70 : Universe, (ndr1_0_ -> (~(c1_1_ X70) \/ (~(c2_1_ X70) \/ ~(c3_1_ X70))))) \/ hskp17_)) /\ (((forall X71 : Universe, (ndr1_0_ -> (c0_1_ X71 \/ (~(c1_1_ X71) \/ ~(c3_1_ X71))))) \/ (hskp2_ \/ hskp15_)) /\ (((forall X72 : Universe, (ndr1_0_ -> (c0_1_ X72 \/ (~(c2_1_ X72) \/ ~(c3_1_ X72))))) \/ ((forall X73 : Universe, (ndr1_0_ -> (c2_1_ X73 \/ (c3_1_ X73 \/ ~(c1_1_ X73))))) \/ hskp10_)) /\ (((forall X74 : Universe, (ndr1_0_ -> (c0_1_ X74 \/ (~(c2_1_ X74) \/ ~(c3_1_ X74))))) \/ ((forall X75 : Universe, (ndr1_0_ -> (~(c1_1_ X75) \/ (~(c2_1_ X75) \/ ~(c3_1_ X75))))) \/ hskp16_)) /\ (((forall X76 : Universe, (ndr1_0_ -> (c0_1_ X76 \/ (~(c2_1_ X76) \/ ~(c3_1_ X76))))) \/ hskp0_) /\ (((forall X77 : Universe, (ndr1_0_ -> (c0_1_ X77 \/ (~(c2_1_ X77) \/ ~(c3_1_ X77))))) \/ (hskp21_ \/ hskp4_)) /\ (((forall X78 : Universe, (ndr1_0_ -> (c1_1_ X78 \/ (c2_1_ X78 \/ ~(c0_1_ X78))))) \/ ((forall X79 : Universe, (ndr1_0_ -> (~(c1_1_ X79) \/ (~(c2_1_ X79) \/ ~(c3_1_ X79))))) \/ hskp22_)) /\ (((forall X80 : Universe, (ndr1_0_ -> (c1_1_ X80 \/ (c2_1_ X80 \/ ~(c3_1_ X80))))) \/ ((forall X81 : Universe, (ndr1_0_ -> (c1_1_ X81 \/ (~(c0_1_ X81) \/ ~(c3_1_ X81))))) \/ hskp23_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c1_1_ X82 \/ (c2_1_ X82 \/ ~(c3_1_ X82))))) \/ (hskp24_ \/ hskp6_)) /\ (((forall X83 : Universe, (ndr1_0_ -> (c1_1_ X83 \/ (c2_1_ X83 \/ ~(c3_1_ X83))))) \/ (hskp9_ \/ hskp19_)) /\ (((forall X84 : Universe, (ndr1_0_ -> (c1_1_ X84 \/ (c3_1_ X84 \/ ~(c0_1_ X84))))) \/ ((forall X85 : Universe, (ndr1_0_ -> (c3_1_ X85 \/ (~(c1_1_ X85) \/ ~(c2_1_ X85))))) \/ hskp16_)) /\ (((forall X86 : Universe, (ndr1_0_ -> (c1_1_ X86 \/ (c3_1_ X86 \/ ~(c0_1_ X86))))) \/ (hskp29_ \/ hskp8_)) /\ (((forall X87 : Universe, (ndr1_0_ -> (c1_1_ X87 \/ (c3_1_ X87 \/ ~(c0_1_ X87))))) \/ (hskp3_ \/ hskp19_)) /\ (((forall X88 : Universe, (ndr1_0_ -> (c1_1_ X88 \/ (c3_1_ X88 \/ ~(c2_1_ X88))))) \/ ((forall X89 : Universe, (ndr1_0_ -> (c1_1_ X89 \/ (~(c2_1_ X89) \/ ~(c3_1_ X89))))) \/ (forall X90 : Universe, (ndr1_0_ -> (c3_1_ X90 \/ (~(c1_1_ X90) \/ ~(c2_1_ X90))))))) /\ (((forall X91 : Universe, (ndr1_0_ -> (c1_1_ X91 \/ (c3_1_ X91 \/ ~(c2_1_ X91))))) \/ ((forall X92 : Universe, (ndr1_0_ -> (~(c0_1_ X92) \/ (~(c1_1_ X92) \/ ~(c3_1_ X92))))) \/ (forall X93 : Universe, (ndr1_0_ -> (~(c0_1_ X93) \/ (~(c2_1_ X93) \/ ~(c3_1_ X93))))))) /\ (((forall X94 : Universe, (ndr1_0_ -> (c1_1_ X94 \/ (~(c0_1_ X94) \/ ~(c2_1_ X94))))) \/ (hskp12_ \/ hskp8_)) /\ (((forall X95 : Universe, (ndr1_0_ -> (c1_1_ X95 \/ (~(c0_1_ X95) \/ ~(c3_1_ X95))))) \/ ((forall X96 : Universe, (ndr1_0_ -> (c2_1_ X96 \/ (c3_1_ X96 \/ ~(c0_1_ X96))))) \/ hskp31_)) /\ (((forall X97 : Universe, (ndr1_0_ -> (c1_1_ X97 \/ (~(c2_1_ X97) \/ ~(c3_1_ X97))))) \/ (hskp30_ \/ hskp23_)) /\ (((forall X98 : Universe, (ndr1_0_ -> (c1_1_ X98 \/ (~(c2_1_ X98) \/ ~(c3_1_ X98))))) \/ (hskp24_ \/ hskp19_)) /\ (((forall X99 : Universe, (ndr1_0_ -> (c2_1_ X99 \/ (c3_1_ X99 \/ ~(c0_1_ X99))))) \/ ((forall X100 : Universe, (ndr1_0_ -> (c3_1_ X100 \/ (~(c0_1_ X100) \/ ~(c2_1_ X100))))) \/ hskp31_)) /\ (((forall X101 : Universe, (ndr1_0_ -> (c2_1_ X101 \/ (c3_1_ X101 \/ ~(c0_1_ X101))))) \/ (hskp2_ \/ hskp25_)) /\ (((forall X102 : Universe, (ndr1_0_ -> (c2_1_ X102 \/ (c3_1_ X102 \/ ~(c0_1_ X102))))) \/ hskp26_) /\ (((forall X103 : Universe, (ndr1_0_ -> (c2_1_ X103 \/ (c3_1_ X103 \/ ~(c1_1_ X103))))) \/ ((forall X104 : Universe, (ndr1_0_ -> (c2_1_ X104 \/ (~(c0_1_ X104) \/ ~(c1_1_ X104))))) \/ (forall X105 : Universe, (ndr1_0_ -> (c2_1_ X105 \/ (~(c1_1_ X105) \/ ~(c3_1_ X105))))))) /\ (((forall X106 : Universe, (ndr1_0_ -> (c2_1_ X106 \/ (c3_1_ X106 \/ ~(c1_1_ X106))))) \/ ((forall X107 : Universe, (ndr1_0_ -> (~(c0_1_ X107) \/ (~(c2_1_ X107) \/ ~(c3_1_ X107))))) \/ hskp28_)) /\ (((forall X108 : Universe, (ndr1_0_ -> (c2_1_ X108 \/ (~(c1_1_ X108) \/ ~(c3_1_ X108))))) \/ (hskp2_ \/ hskp19_)) /\ (((forall X109 : Universe, (ndr1_0_ -> (c3_1_ X109 \/ (~(c0_1_ X109) \/ ~(c1_1_ X109))))) \/ (hskp29_ \/ hskp12_)) /\ (((forall X110 : Universe, (ndr1_0_ -> (c3_1_ X110 \/ (~(c0_1_ X110) \/ ~(c1_1_ X110))))) \/ (hskp17_ \/ hskp16_)) /\ (((forall X111 : Universe, (ndr1_0_ -> (c3_1_ X111 \/ (~(c0_1_ X111) \/ ~(c2_1_ X111))))) \/ ((forall X112 : Universe, (ndr1_0_ -> (~(c0_1_ X112) \/ (~(c2_1_ X112) \/ ~(c3_1_ X112))))) \/ hskp16_)) /\ (((forall X113 : Universe, (ndr1_0_ -> (c3_1_ X113 \/ (~(c0_1_ X113) \/ ~(c2_1_ X113))))) \/ ((forall X114 : Universe, (ndr1_0_ -> (~(c1_1_ X114) \/ (~(c2_1_ X114) \/ ~(c3_1_ X114))))) \/ hskp6_)) /\ (((forall X115 : Universe, (ndr1_0_ -> (~(c0_1_ X115) \/ (~(c1_1_ X115) \/ ~(c2_1_ X115))))) \/ (hskp22_ \/ hskp20_)) /\ (((forall X116 : Universe, (ndr1_0_ -> (~(c0_1_ X116) \/ (~(c1_1_ X116) \/ ~(c3_1_ X116))))) \/ (hskp30_ \/ hskp22_)) /\ (((forall X117 : Universe, (ndr1_0_ -> (~(c0_1_ X117) \/ (~(c2_1_ X117) \/ ~(c3_1_ X117))))) \/ (hskp29_ \/ hskp10_)) /\ (((forall X118 : Universe, (ndr1_0_ -> (~(c0_1_ X118) \/ (~(c2_1_ X118) \/ ~(c3_1_ X118))))) \/ (hskp31_ \/ hskp18_)) /\ (((forall X119 : Universe, (ndr1_0_ -> (~(c1_1_ X119) \/ (~(c2_1_ X119) \/ ~(c3_1_ X119))))) \/ (hskp24_ \/ hskp10_)) /\ (((forall X120 : Universe, (ndr1_0_ -> (~(c1_1_ X120) \/ (~(c2_1_ X120) \/ ~(c3_1_ X120))))) \/ hskp11_) /\ ((hskp29_ \/ (hskp13_ \/ hskp15_)) /\ ((hskp17_ \/ (hskp1_ \/ hskp11_)) /\ ((hskp13_ \/ (hskp27_ \/ hskp4_)) /\ ((hskp15_ \/ (hskp11_ \/ hskp16_)) /\ ((hskp25_ \/ (hskp8_ \/ hskp11_)) /\ ((hskp21_ \/ (hskp18_ \/ hskp6_)) /\ ((hskp24_ \/ (hskp11_ \/ hskp4_)) /\ (hskp4_ \/ hskp6_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
