(*
% File     : SYN505+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=80, K=3, D=1, P=0, Index=056
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-80-3-1-056.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  749 (   0 equality)
%            Maximal formula depth :  115 ( 115 average)
%            Number of connectives : 1013 ( 265 ~  ; 424  |; 207  &)
%                                         (   0 <=>; 117 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   37 (  33 propositional; 0-1 arity)
%            Number of functors    :   32 (  32 constant; 0-0 arity)
%            Number of variables   :  117 (   0 singleton; 117 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp31_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a576_ : Universe.
Variable a559_ : Universe.
Variable a545_ : Universe.
Variable a529_ : Universe.
Variable a525_ : Universe.
Variable a521_ : Universe.
Variable a519_ : Universe.
Variable a507_ : Universe.
Variable a506_ : Universe.
Variable a500_ : Universe.
Variable a494_ : Universe.
Variable a493_ : Universe.
Variable a488_ : Universe.
Variable a487_ : Universe.
Variable a484_ : Universe.
Variable a483_ : Universe.
Variable a482_ : Universe.
Variable a481_ : Universe.
Variable a479_ : Universe.
Variable a478_ : Universe.
Variable a477_ : Universe.
Variable a474_ : Universe.
Variable a472_ : Universe.
Variable a471_ : Universe.
Variable a470_ : Universe.
Variable a469_ : Universe.
Variable a467_ : Universe.
Variable a466_ : Universe.
Variable a465_ : Universe.
Variable a464_ : Universe.
Variable a463_ : Universe.
Variable a462_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c0_1_ a462_ /\ (c2_1_ a462_ /\ ~(c1_1_ a462_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c2_1_ a463_ /\ (~(c1_1_ a463_) /\ ~(c3_1_ a463_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c3_1_ a464_ /\ (~(c0_1_ a464_) /\ ~(c2_1_ a464_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c3_1_ a465_ /\ (~(c0_1_ a465_) /\ ~(c1_1_ a465_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (~(c0_1_ a466_) /\ (~(c1_1_ a466_) /\ ~(c3_1_ a466_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c0_1_ a467_ /\ (~(c1_1_ a467_) /\ ~(c3_1_ a467_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (~(c0_1_ a470_) /\ (~(c1_1_ a470_) /\ ~(c2_1_ a470_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c0_1_ a471_ /\ (c3_1_ a471_ /\ ~(c2_1_ a471_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c1_1_ a472_ /\ (c3_1_ a472_ /\ ~(c2_1_ a472_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c2_1_ a477_ /\ (c3_1_ a477_ /\ ~(c1_1_ a477_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c2_1_ a478_ /\ (~(c0_1_ a478_) /\ ~(c3_1_ a478_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c0_1_ a479_ /\ (c3_1_ a479_ /\ ~(c1_1_ a479_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c1_1_ a481_ /\ (~(c0_1_ a481_) /\ ~(c3_1_ a481_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c3_1_ a482_ /\ (~(c1_1_ a482_) /\ ~(c2_1_ a482_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c1_1_ a483_ /\ (c2_1_ a483_ /\ ~(c0_1_ a483_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c0_1_ a484_ /\ (c2_1_ a484_ /\ ~(c3_1_ a484_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c0_1_ a487_ /\ (~(c1_1_ a487_) /\ ~(c2_1_ a487_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c2_1_ a493_ /\ (c3_1_ a493_ /\ ~(c0_1_ a493_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c0_1_ a494_ /\ (~(c2_1_ a494_) /\ ~(c3_1_ a494_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c1_1_ a500_ /\ (~(c2_1_ a500_) /\ ~(c3_1_ a500_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c1_1_ a506_ /\ (c2_1_ a506_ /\ ~(c3_1_ a506_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c2_1_ a507_ /\ (~(c0_1_ a507_) /\ ~(c1_1_ a507_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c1_1_ a519_ /\ (~(c0_1_ a519_) /\ ~(c2_1_ a519_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (~(c0_1_ a521_) /\ (~(c2_1_ a521_) /\ ~(c3_1_ a521_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c0_1_ a525_ /\ (c1_1_ a525_ /\ ~(c2_1_ a525_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c1_1_ a545_ /\ (c3_1_ a545_ /\ ~(c0_1_ a545_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c0_1_ a559_ /\ (c1_1_ a559_ /\ ~(c3_1_ a559_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (~(c1_1_ a576_) /\ (~(c2_1_ a576_) /\ ~(c3_1_ a576_))))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a469_ /\ (c2_1_ a469_ /\ c3_1_ a469_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c0_1_ a474_ /\ (c1_1_ a474_ /\ c2_1_ a474_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c1_1_ a488_ /\ (c2_1_ a488_ /\ c3_1_ a488_)))) /\ ((~(hskp31_) \/ (ndr1_0_ /\ (c0_1_ a529_ /\ (c1_1_ a529_ /\ c3_1_ a529_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c3_1_ V \/ (~(c0_1_ V) \/ ~(c2_1_ V))))) \/ hskp0_)) /\ (((forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c1_1_ W \/ c2_1_ W)))) \/ (hskp1_ \/ hskp2_)) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ c2_1_ X)))) \/ (hskp3_ \/ hskp4_)) /\ (((forall Y : Universe, (ndr1_0_ -> (c0_1_ Y \/ (c1_1_ Y \/ c3_1_ Y)))) \/ ((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c2_1_ Z \/ ~(c1_1_ Z))))) \/ (forall X1 : Universe, (ndr1_0_ -> (c2_1_ X1 \/ (c3_1_ X1 \/ ~(c1_1_ X1))))))) /\ (((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ c3_1_ X2)))) \/ ((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (c2_1_ X3 \/ ~(c1_1_ X3))))) \/ hskp5_)) /\ (((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c1_1_ X4 \/ c3_1_ X4)))) \/ ((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (~(c1_1_ X5) \/ ~(c3_1_ X5))))) \/ (forall X6 : Universe, (ndr1_0_ -> (c1_1_ X6 \/ (~(c0_1_ X6) \/ ~(c3_1_ X6))))))) /\ (((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (c1_1_ X7 \/ ~(c2_1_ X7))))) \/ ((forall X8 : Universe, (ndr1_0_ -> (c1_1_ X8 \/ (~(c2_1_ X8) \/ ~(c3_1_ X8))))) \/ (forall X9 : Universe, (ndr1_0_ -> (c2_1_ X9 \/ (c3_1_ X9 \/ ~(c0_1_ X9))))))) /\ (((forall X10 : Universe, (ndr1_0_ -> (c0_1_ X10 \/ (c1_1_ X10 \/ ~(c3_1_ X10))))) \/ ((forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (c2_1_ X11 \/ ~(c1_1_ X11))))) \/ (forall X12 : Universe, (ndr1_0_ -> (c2_1_ X12 \/ (c3_1_ X12 \/ ~(c0_1_ X12))))))) /\ (((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c1_1_ X13 \/ ~(c3_1_ X13))))) \/ ((forall X14 : Universe, (ndr1_0_ -> (c2_1_ X14 \/ (c3_1_ X14 \/ ~(c1_1_ X14))))) \/ hskp5_)) /\ (((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c1_1_ X15 \/ ~(c3_1_ X15))))) \/ ((forall X16 : Universe, (ndr1_0_ -> (~(c1_1_ X16) \/ (~(c2_1_ X16) \/ ~(c3_1_ X16))))) \/ hskp28_)) /\ (((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c2_1_ X17 \/ c3_1_ X17)))) \/ ((forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (c2_1_ X18 \/ ~(c1_1_ X18))))) \/ (forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (c3_1_ X19 \/ ~(c1_1_ X19))))))) /\ (((forall X20 : Universe, (ndr1_0_ -> (c0_1_ X20 \/ (c2_1_ X20 \/ c3_1_ X20)))) \/ ((forall X21 : Universe, (ndr1_0_ -> (~(c0_1_ X21) \/ (~(c1_1_ X21) \/ ~(c3_1_ X21))))) \/ hskp6_)) /\ (((forall X22 : Universe, (ndr1_0_ -> (c0_1_ X22 \/ (c2_1_ X22 \/ c3_1_ X22)))) \/ (hskp7_ \/ hskp8_)) /\ (((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c2_1_ X23 \/ ~(c1_1_ X23))))) \/ ((forall X24 : Universe, (ndr1_0_ -> (c2_1_ X24 \/ (c3_1_ X24 \/ ~(c1_1_ X24))))) \/ hskp6_)) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c2_1_ X25 \/ ~(c1_1_ X25))))) \/ (hskp29_ \/ hskp0_)) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c2_1_ X26 \/ ~(c3_1_ X26))))) \/ ((forall X27 : Universe, (ndr1_0_ -> (c1_1_ X27 \/ (c2_1_ X27 \/ ~(c0_1_ X27))))) \/ hskp29_)) /\ (((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (c2_1_ X28 \/ ~(c3_1_ X28))))) \/ ((forall X29 : Universe, (ndr1_0_ -> (c1_1_ X29 \/ (c2_1_ X29 \/ ~(c0_1_ X29))))) \/ hskp9_)) /\ (((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (c2_1_ X30 \/ ~(c3_1_ X30))))) \/ ((forall X31 : Universe, (ndr1_0_ -> (c2_1_ X31 \/ (~(c1_1_ X31) \/ ~(c3_1_ X31))))) \/ hskp10_)) /\ (((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (c2_1_ X32 \/ ~(c3_1_ X32))))) \/ ((forall X33 : Universe, (ndr1_0_ -> (~(c1_1_ X33) \/ (~(c2_1_ X33) \/ ~(c3_1_ X33))))) \/ hskp11_)) /\ (((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (c2_1_ X34 \/ ~(c3_1_ X34))))) \/ (hskp5_ \/ hskp12_)) /\ (((forall X35 : Universe, (ndr1_0_ -> (c0_1_ X35 \/ (c3_1_ X35 \/ ~(c1_1_ X35))))) \/ ((forall X36 : Universe, (ndr1_0_ -> (c1_1_ X36 \/ (c3_1_ X36 \/ ~(c2_1_ X36))))) \/ (forall X37 : Universe, (ndr1_0_ -> (c2_1_ X37 \/ (~(c0_1_ X37) \/ ~(c1_1_ X37))))))) /\ (((forall X38 : Universe, (ndr1_0_ -> (c0_1_ X38 \/ (c3_1_ X38 \/ ~(c1_1_ X38))))) \/ ((forall X39 : Universe, (ndr1_0_ -> (c1_1_ X39 \/ (~(c0_1_ X39) \/ ~(c2_1_ X39))))) \/ hskp13_)) /\ (((forall X40 : Universe, (ndr1_0_ -> (c0_1_ X40 \/ (c3_1_ X40 \/ ~(c2_1_ X40))))) \/ ((forall X41 : Universe, (ndr1_0_ -> (c0_1_ X41 \/ (~(c1_1_ X41) \/ ~(c3_1_ X41))))) \/ hskp14_)) /\ (((forall X42 : Universe, (ndr1_0_ -> (c0_1_ X42 \/ (c3_1_ X42 \/ ~(c2_1_ X42))))) \/ (hskp15_ \/ hskp1_)) /\ (((forall X43 : Universe, (ndr1_0_ -> (c0_1_ X43 \/ (c3_1_ X43 \/ ~(c2_1_ X43))))) \/ (hskp7_ \/ hskp16_)) /\ (((forall X44 : Universe, (ndr1_0_ -> (c0_1_ X44 \/ (~(c1_1_ X44) \/ ~(c2_1_ X44))))) \/ (forall X45 : Universe, (ndr1_0_ -> (c1_1_ X45 \/ (c2_1_ X45 \/ ~(c0_1_ X45)))))) /\ (((forall X46 : Universe, (ndr1_0_ -> (c0_1_ X46 \/ (~(c1_1_ X46) \/ ~(c2_1_ X46))))) \/ (hskp30_ \/ hskp1_)) /\ (((forall X47 : Universe, (ndr1_0_ -> (c0_1_ X47 \/ (~(c1_1_ X47) \/ ~(c3_1_ X47))))) \/ ((forall X48 : Universe, (ndr1_0_ -> (c1_1_ X48 \/ (c2_1_ X48 \/ ~(c0_1_ X48))))) \/ hskp5_)) /\ (((forall X49 : Universe, (ndr1_0_ -> (c0_1_ X49 \/ (~(c1_1_ X49) \/ ~(c3_1_ X49))))) \/ ((forall X50 : Universe, (ndr1_0_ -> (~(c1_1_ X50) \/ (~(c2_1_ X50) \/ ~(c3_1_ X50))))) \/ hskp16_)) /\ (((forall X51 : Universe, (ndr1_0_ -> (c0_1_ X51 \/ (~(c2_1_ X51) \/ ~(c3_1_ X51))))) \/ ((forall X52 : Universe, (ndr1_0_ -> (c1_1_ X52 \/ (c2_1_ X52 \/ c3_1_ X52)))) \/ (forall X53 : Universe, (ndr1_0_ -> (c3_1_ X53 \/ (~(c0_1_ X53) \/ ~(c1_1_ X53))))))) /\ (((forall X54 : Universe, (ndr1_0_ -> (c0_1_ X54 \/ (~(c2_1_ X54) \/ ~(c3_1_ X54))))) \/ ((forall X55 : Universe, (ndr1_0_ -> (~(c0_1_ X55) \/ (~(c1_1_ X55) \/ ~(c2_1_ X55))))) \/ (forall X56 : Universe, (ndr1_0_ -> (~(c0_1_ X56) \/ (~(c1_1_ X56) \/ ~(c3_1_ X56))))))) /\ (((forall X57 : Universe, (ndr1_0_ -> (c0_1_ X57 \/ (~(c2_1_ X57) \/ ~(c3_1_ X57))))) \/ (hskp7_ \/ hskp17_)) /\ (((forall X58 : Universe, (ndr1_0_ -> (c0_1_ X58 \/ (~(c2_1_ X58) \/ ~(c3_1_ X58))))) \/ (hskp18_ \/ hskp6_)) /\ (((forall X59 : Universe, (ndr1_0_ -> (c1_1_ X59 \/ (c2_1_ X59 \/ c3_1_ X59)))) \/ ((forall X60 : Universe, (ndr1_0_ -> (c1_1_ X60 \/ (c3_1_ X60 \/ ~(c0_1_ X60))))) \/ hskp16_)) /\ (((forall X61 : Universe, (ndr1_0_ -> (c1_1_ X61 \/ (c2_1_ X61 \/ c3_1_ X61)))) \/ ((forall X62 : Universe, (ndr1_0_ -> (c1_1_ X62 \/ (~(c2_1_ X62) \/ ~(c3_1_ X62))))) \/ hskp2_)) /\ (((forall X63 : Universe, (ndr1_0_ -> (c1_1_ X63 \/ (c2_1_ X63 \/ c3_1_ X63)))) \/ ((forall X64 : Universe, (ndr1_0_ -> (c2_1_ X64 \/ (c3_1_ X64 \/ ~(c1_1_ X64))))) \/ hskp14_)) /\ (((forall X65 : Universe, (ndr1_0_ -> (c1_1_ X65 \/ (c2_1_ X65 \/ ~(c0_1_ X65))))) \/ (hskp18_ \/ hskp19_)) /\ (((forall X66 : Universe, (ndr1_0_ -> (c1_1_ X66 \/ (c2_1_ X66 \/ ~(c0_1_ X66))))) \/ (hskp17_ \/ hskp9_)) /\ (((forall X67 : Universe, (ndr1_0_ -> (c1_1_ X67 \/ (c2_1_ X67 \/ ~(c3_1_ X67))))) \/ ((forall X68 : Universe, (ndr1_0_ -> (c1_1_ X68 \/ (~(c0_1_ X68) \/ ~(c3_1_ X68))))) \/ (forall X69 : Universe, (ndr1_0_ -> (c2_1_ X69 \/ (c3_1_ X69 \/ ~(c1_1_ X69))))))) /\ (((forall X70 : Universe, (ndr1_0_ -> (c1_1_ X70 \/ (c3_1_ X70 \/ ~(c0_1_ X70))))) \/ ((forall X71 : Universe, (ndr1_0_ -> (~(c0_1_ X71) \/ (~(c1_1_ X71) \/ ~(c3_1_ X71))))) \/ hskp2_)) /\ (((forall X72 : Universe, (ndr1_0_ -> (c1_1_ X72 \/ (c3_1_ X72 \/ ~(c0_1_ X72))))) \/ (hskp18_ \/ hskp1_)) /\ (((forall X73 : Universe, (ndr1_0_ -> (c1_1_ X73 \/ (c3_1_ X73 \/ ~(c0_1_ X73))))) \/ (hskp20_ \/ hskp21_)) /\ (((forall X74 : Universe, (ndr1_0_ -> (c1_1_ X74 \/ (c3_1_ X74 \/ ~(c2_1_ X74))))) \/ (hskp30_ \/ hskp21_)) /\ (((forall X75 : Universe, (ndr1_0_ -> (c1_1_ X75 \/ (~(c0_1_ X75) \/ ~(c2_1_ X75))))) \/ ((forall X76 : Universe, (ndr1_0_ -> (c2_1_ X76 \/ (~(c0_1_ X76) \/ ~(c3_1_ X76))))) \/ hskp12_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (c1_1_ X77 \/ (~(c0_1_ X77) \/ ~(c3_1_ X77))))) \/ ((forall X78 : Universe, (ndr1_0_ -> (~(c0_1_ X78) \/ (~(c1_1_ X78) \/ ~(c2_1_ X78))))) \/ hskp18_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (c1_1_ X79 \/ (~(c0_1_ X79) \/ ~(c3_1_ X79))))) \/ (hskp17_ \/ hskp21_)) /\ (((forall X80 : Universe, (ndr1_0_ -> (c2_1_ X80 \/ (c3_1_ X80 \/ ~(c0_1_ X80))))) \/ ((forall X81 : Universe, (ndr1_0_ -> (c2_1_ X81 \/ (c3_1_ X81 \/ ~(c1_1_ X81))))) \/ hskp0_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c2_1_ X82 \/ (c3_1_ X82 \/ ~(c0_1_ X82))))) \/ (forall X83 : Universe, (ndr1_0_ -> (~(c0_1_ X83) \/ (~(c1_1_ X83) \/ ~(c2_1_ X83)))))) /\ (((forall X84 : Universe, (ndr1_0_ -> (c2_1_ X84 \/ (c3_1_ X84 \/ ~(c0_1_ X84))))) \/ ((forall X85 : Universe, (ndr1_0_ -> (~(c0_1_ X85) \/ (~(c2_1_ X85) \/ ~(c3_1_ X85))))) \/ hskp6_)) /\ (((forall X86 : Universe, (ndr1_0_ -> (c2_1_ X86 \/ (c3_1_ X86 \/ ~(c1_1_ X86))))) \/ (hskp11_ \/ hskp9_)) /\ (((forall X87 : Universe, (ndr1_0_ -> (c2_1_ X87 \/ (c3_1_ X87 \/ ~(c1_1_ X87))))) \/ (hskp20_ \/ hskp22_)) /\ (((forall X88 : Universe, (ndr1_0_ -> (c2_1_ X88 \/ (c3_1_ X88 \/ ~(c1_1_ X88))))) \/ (hskp9_ \/ hskp23_)) /\ (((forall X89 : Universe, (ndr1_0_ -> (c2_1_ X89 \/ (~(c0_1_ X89) \/ ~(c1_1_ X89))))) \/ ((forall X90 : Universe, (ndr1_0_ -> (c3_1_ X90 \/ (~(c1_1_ X90) \/ ~(c2_1_ X90))))) \/ hskp29_)) /\ (((forall X91 : Universe, (ndr1_0_ -> (c2_1_ X91 \/ (~(c0_1_ X91) \/ ~(c3_1_ X91))))) \/ (hskp5_ \/ hskp17_)) /\ (((forall X92 : Universe, (ndr1_0_ -> (c3_1_ X92 \/ (~(c0_1_ X92) \/ ~(c1_1_ X92))))) \/ ((forall X93 : Universe, (ndr1_0_ -> (~(c0_1_ X93) \/ (~(c2_1_ X93) \/ ~(c3_1_ X93))))) \/ (forall X94 : Universe, (ndr1_0_ -> (~(c1_1_ X94) \/ (~(c2_1_ X94) \/ ~(c3_1_ X94))))))) /\ (((forall X95 : Universe, (ndr1_0_ -> (c3_1_ X95 \/ (~(c0_1_ X95) \/ ~(c1_1_ X95))))) \/ (hskp24_ \/ hskp8_)) /\ (((forall X96 : Universe, (ndr1_0_ -> (c3_1_ X96 \/ (~(c0_1_ X96) \/ ~(c1_1_ X96))))) \/ (hskp30_ \/ hskp12_)) /\ (((forall X97 : Universe, (ndr1_0_ -> (c3_1_ X97 \/ (~(c0_1_ X97) \/ ~(c2_1_ X97))))) \/ ((forall X98 : Universe, (ndr1_0_ -> (~(c0_1_ X98) \/ (~(c1_1_ X98) \/ ~(c3_1_ X98))))) \/ hskp31_)) /\ (((forall X99 : Universe, (ndr1_0_ -> (c3_1_ X99 \/ (~(c0_1_ X99) \/ ~(c2_1_ X99))))) \/ ((forall X100 : Universe, (ndr1_0_ -> (~(c1_1_ X100) \/ (~(c2_1_ X100) \/ ~(c3_1_ X100))))) \/ hskp7_)) /\ (((forall X101 : Universe, (ndr1_0_ -> (c3_1_ X101 \/ (~(c1_1_ X101) \/ ~(c2_1_ X101))))) \/ (hskp18_ \/ hskp17_)) /\ (((forall X102 : Universe, (ndr1_0_ -> (~(c0_1_ X102) \/ (~(c1_1_ X102) \/ ~(c2_1_ X102))))) \/ ((forall X103 : Universe, (ndr1_0_ -> (~(c0_1_ X103) \/ (~(c1_1_ X103) \/ ~(c3_1_ X103))))) \/ hskp31_)) /\ (((forall X104 : Universe, (ndr1_0_ -> (~(c0_1_ X104) \/ (~(c1_1_ X104) \/ ~(c2_1_ X104))))) \/ (hskp18_ \/ hskp4_)) /\ (((forall X105 : Universe, (ndr1_0_ -> (~(c0_1_ X105) \/ (~(c1_1_ X105) \/ ~(c2_1_ X105))))) \/ (hskp14_ \/ hskp10_)) /\ (((forall X106 : Universe, (ndr1_0_ -> (~(c0_1_ X106) \/ (~(c1_1_ X106) \/ ~(c2_1_ X106))))) \/ (hskp8_ \/ hskp13_)) /\ (((forall X107 : Universe, (ndr1_0_ -> (~(c0_1_ X107) \/ (~(c1_1_ X107) \/ ~(c2_1_ X107))))) \/ (hskp6_ \/ hskp4_)) /\ (((forall X108 : Universe, (ndr1_0_ -> (~(c0_1_ X108) \/ (~(c2_1_ X108) \/ ~(c3_1_ X108))))) \/ (hskp24_ \/ hskp10_)) /\ (((forall X109 : Universe, (ndr1_0_ -> (~(c0_1_ X109) \/ (~(c2_1_ X109) \/ ~(c3_1_ X109))))) \/ (hskp14_ \/ hskp25_)) /\ (((forall X110 : Universe, (ndr1_0_ -> (~(c0_1_ X110) \/ (~(c2_1_ X110) \/ ~(c3_1_ X110))))) \/ (hskp25_ \/ hskp3_)) /\ (((forall X111 : Universe, (ndr1_0_ -> (~(c1_1_ X111) \/ (~(c2_1_ X111) \/ ~(c3_1_ X111))))) \/ (hskp8_ \/ hskp17_)) /\ ((hskp29_ \/ (hskp15_ \/ hskp9_)) /\ ((hskp29_ \/ (hskp12_ \/ hskp3_)) /\ ((hskp31_ \/ (hskp19_ \/ hskp10_)) /\ ((hskp26_ \/ (hskp16_ \/ hskp13_)) /\ ((hskp26_ \/ (hskp2_ \/ hskp23_)) /\ ((hskp0_ \/ (hskp30_ \/ hskp10_)) /\ ((hskp0_ \/ (hskp14_ \/ hskp25_)) /\ ((hskp11_ \/ (hskp12_ \/ hskp9_)) /\ ((hskp7_ \/ (hskp8_ \/ hskp27_)) /\ ((hskp5_ \/ (hskp3_ \/ hskp23_)) /\ (hskp22_ \/ (hskp1_ \/ hskp13_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
