(*
% File     : SYN511+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=80, K=3, D=1, P=0, Index=092
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-80-3-1-092.dfg [Wei97]
% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  774 (   0 equality)
%            Maximal formula depth :  114 ( 114 average)
%            Number of connectives : 1057 ( 284 ~  ; 443  |; 203  &)
%                                         (   0 <=>; 127 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   36 (  32 propositional; 0-1 arity)
%            Number of functors    :   31 (  31 constant; 0-0 arity)
%            Number of variables   :  127 (   0 singleton; 127 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp6_ : Prop.
Variable hskp5_ : Prop.
Variable hskp4_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a762_ : Universe.
Variable a760_ : Universe.
Variable a753_ : Universe.
Variable a731_ : Universe.
Variable a730_ : Universe.
Variable a725_ : Universe.
Variable a716_ : Universe.
Variable a715_ : Universe.
Variable a711_ : Universe.
Variable a710_ : Universe.
Variable a708_ : Universe.
Variable a703_ : Universe.
Variable a702_ : Universe.
Variable a700_ : Universe.
Variable a696_ : Universe.
Variable a688_ : Universe.
Variable a684_ : Universe.
Variable a683_ : Universe.
Variable a681_ : Universe.
Variable a680_ : Universe.
Variable a679_ : Universe.
Variable a678_ : Universe.
Variable a676_ : Universe.
Variable a675_ : Universe.
Variable a674_ : Universe.
Variable a673_ : Universe.
Variable a672_ : Universe.
Variable a671_ : Universe.
Variable a670_ : Universe.
Variable a669_ : Universe.
Variable a668_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c1_1_ a668_ /\ (~(c2_1_ a668_) /\ ~(c3_1_ a668_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (c0_1_ a669_ /\ (~(c1_1_ a669_) /\ ~(c2_1_ a669_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c3_1_ a670_ /\ (~(c0_1_ a670_) /\ ~(c1_1_ a670_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c2_1_ a671_ /\ (~(c0_1_ a671_) /\ ~(c1_1_ a671_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (~(c0_1_ a672_) /\ (~(c1_1_ a672_) /\ ~(c2_1_ a672_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (~(c0_1_ a673_) /\ (~(c2_1_ a673_) /\ ~(c3_1_ a673_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c0_1_ a674_ /\ (c3_1_ a674_ /\ ~(c1_1_ a674_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c1_1_ a675_ /\ (c3_1_ a675_ /\ ~(c2_1_ a675_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c1_1_ a679_ /\ (c3_1_ a679_ /\ ~(c0_1_ a679_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (c2_1_ a680_ /\ (~(c1_1_ a680_) /\ ~(c3_1_ a680_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c2_1_ a681_ /\ (c3_1_ a681_ /\ ~(c0_1_ a681_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c0_1_ a683_ /\ (c3_1_ a683_ /\ ~(c2_1_ a683_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c3_1_ a684_ /\ (~(c0_1_ a684_) /\ ~(c2_1_ a684_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c0_1_ a688_ /\ (c1_1_ a688_ /\ ~(c3_1_ a688_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c0_1_ a696_ /\ (c2_1_ a696_ /\ ~(c3_1_ a696_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c2_1_ a700_ /\ (~(c0_1_ a700_) /\ ~(c3_1_ a700_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c2_1_ a702_ /\ (c3_1_ a702_ /\ ~(c1_1_ a702_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c1_1_ a703_ /\ (~(c0_1_ a703_) /\ ~(c2_1_ a703_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c3_1_ a708_ /\ (~(c1_1_ a708_) /\ ~(c2_1_ a708_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c1_1_ a710_ /\ (c2_1_ a710_ /\ ~(c0_1_ a710_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c0_1_ a711_ /\ (c1_1_ a711_ /\ ~(c2_1_ a711_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c0_1_ a715_ /\ (~(c2_1_ a715_) /\ ~(c3_1_ a715_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (c1_1_ a716_ /\ (c2_1_ a716_ /\ ~(c3_1_ a716_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c0_1_ a730_ /\ (c2_1_ a730_ /\ ~(c1_1_ a730_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c0_1_ a731_ /\ (~(c1_1_ a731_) /\ ~(c3_1_ a731_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (~(c0_1_ a760_) /\ (~(c1_1_ a760_) /\ ~(c3_1_ a760_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (c1_1_ a762_ /\ (~(c0_1_ a762_) /\ ~(c3_1_ a762_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c0_1_ a676_ /\ (c1_1_ a676_ /\ c2_1_ a676_)))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (c0_1_ a678_ /\ (c1_1_ a678_ /\ c3_1_ a678_)))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c1_1_ a725_ /\ (c2_1_ a725_ /\ c3_1_ a725_)))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c0_1_ a753_ /\ (c2_1_ a753_ /\ c3_1_ a753_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c2_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c2_1_ V \/ (~(c0_1_ V) \/ ~(c1_1_ V))))) \/ hskp0_)) /\ (((forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c1_1_ W \/ c2_1_ W)))) \/ (hskp1_ \/ hskp2_)) /\ (((forall X : Universe, (ndr1_0_ -> (c0_1_ X \/ (c1_1_ X \/ c2_1_ X)))) \/ (hskp3_ \/ hskp4_)) /\ (((forall Y : Universe, (ndr1_0_ -> (c0_1_ Y \/ (c1_1_ Y \/ c3_1_ Y)))) \/ ((forall Z : Universe, (ndr1_0_ -> (c1_1_ Z \/ (c3_1_ Z \/ ~(c2_1_ Z))))) \/ hskp5_)) /\ (((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c1_1_ X1 \/ c3_1_ X1)))) \/ (hskp6_ \/ hskp7_)) /\ (((forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (c1_1_ X2 \/ ~(c2_1_ X2))))) \/ ((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (c2_1_ X3 \/ ~(c1_1_ X3))))) \/ hskp27_)) /\ (((forall X4 : Universe, (ndr1_0_ -> (c0_1_ X4 \/ (c1_1_ X4 \/ ~(c2_1_ X4))))) \/ ((forall X5 : Universe, (ndr1_0_ -> (c1_1_ X5 \/ (c2_1_ X5 \/ ~(c3_1_ X5))))) \/ hskp5_)) /\ (((forall X6 : Universe, (ndr1_0_ -> (c0_1_ X6 \/ (c1_1_ X6 \/ ~(c2_1_ X6))))) \/ ((forall X7 : Universe, (ndr1_0_ -> (c1_1_ X7 \/ (c3_1_ X7 \/ ~(c0_1_ X7))))) \/ (forall X8 : Universe, (ndr1_0_ -> (c2_1_ X8 \/ (~(c1_1_ X8) \/ ~(c3_1_ X8))))))) /\ (((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c1_1_ X9 \/ ~(c2_1_ X9))))) \/ ((forall X10 : Universe, (ndr1_0_ -> (~(c0_1_ X10) \/ (~(c2_1_ X10) \/ ~(c3_1_ X10))))) \/ hskp28_)) /\ (((forall X11 : Universe, (ndr1_0_ -> (c0_1_ X11 \/ (c1_1_ X11 \/ ~(c2_1_ X11))))) \/ (hskp8_ \/ hskp9_)) /\ (((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (c1_1_ X12 \/ ~(c2_1_ X12))))) \/ (hskp10_ \/ hskp2_)) /\ (((forall X13 : Universe, (ndr1_0_ -> (c0_1_ X13 \/ (c1_1_ X13 \/ ~(c3_1_ X13))))) \/ ((forall X14 : Universe, (ndr1_0_ -> (c0_1_ X14 \/ (~(c1_1_ X14) \/ ~(c3_1_ X14))))) \/ (forall X15 : Universe, (ndr1_0_ -> (c2_1_ X15 \/ (~(c0_1_ X15) \/ ~(c3_1_ X15))))))) /\ (((forall X16 : Universe, (ndr1_0_ -> (c0_1_ X16 \/ (c1_1_ X16 \/ ~(c3_1_ X16))))) \/ ((forall X17 : Universe, (ndr1_0_ -> (c1_1_ X17 \/ (~(c2_1_ X17) \/ ~(c3_1_ X17))))) \/ hskp11_)) /\ (((forall X18 : Universe, (ndr1_0_ -> (c0_1_ X18 \/ (c1_1_ X18 \/ ~(c3_1_ X18))))) \/ ((forall X19 : Universe, (ndr1_0_ -> (c2_1_ X19 \/ (~(c0_1_ X19) \/ ~(c1_1_ X19))))) \/ (forall X20 : Universe, (ndr1_0_ -> (~(c0_1_ X20) \/ (~(c2_1_ X20) \/ ~(c3_1_ X20))))))) /\ (((forall X21 : Universe, (ndr1_0_ -> (c0_1_ X21 \/ (c1_1_ X21 \/ ~(c3_1_ X21))))) \/ ((forall X22 : Universe, (ndr1_0_ -> (~(c1_1_ X22) \/ (~(c2_1_ X22) \/ ~(c3_1_ X22))))) \/ hskp12_)) /\ (((forall X23 : Universe, (ndr1_0_ -> (c0_1_ X23 \/ (c2_1_ X23 \/ c3_1_ X23)))) \/ ((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (c2_1_ X24 \/ ~(c1_1_ X24))))) \/ hskp6_)) /\ (((forall X25 : Universe, (ndr1_0_ -> (c0_1_ X25 \/ (c2_1_ X25 \/ c3_1_ X25)))) \/ (hskp28_ \/ hskp7_)) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c2_1_ X26 \/ c3_1_ X26)))) \/ (hskp13_ \/ hskp9_)) /\ (((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (c2_1_ X27 \/ ~(c1_1_ X27))))) \/ ((forall X28 : Universe, (ndr1_0_ -> (c0_1_ X28 \/ (~(c1_1_ X28) \/ ~(c3_1_ X28))))) \/ (forall X29 : Universe, (ndr1_0_ -> (~(c1_1_ X29) \/ (~(c2_1_ X29) \/ ~(c3_1_ X29))))))) /\ (((forall X30 : Universe, (ndr1_0_ -> (c0_1_ X30 \/ (c2_1_ X30 \/ ~(c1_1_ X30))))) \/ ((forall X31 : Universe, (ndr1_0_ -> (c0_1_ X31 \/ (~(c2_1_ X31) \/ ~(c3_1_ X31))))) \/ (forall X32 : Universe, (ndr1_0_ -> (c1_1_ X32 \/ (~(c0_1_ X32) \/ ~(c2_1_ X32))))))) /\ (((forall X33 : Universe, (ndr1_0_ -> (c0_1_ X33 \/ (c2_1_ X33 \/ ~(c1_1_ X33))))) \/ ((forall X34 : Universe, (ndr1_0_ -> (c1_1_ X34 \/ (~(c2_1_ X34) \/ ~(c3_1_ X34))))) \/ (forall X35 : Universe, (ndr1_0_ -> (~(c0_1_ X35) \/ (~(c2_1_ X35) \/ ~(c3_1_ X35))))))) /\ (((forall X36 : Universe, (ndr1_0_ -> (c0_1_ X36 \/ (c2_1_ X36 \/ ~(c3_1_ X36))))) \/ ((forall X37 : Universe, (ndr1_0_ -> (c2_1_ X37 \/ (~(c0_1_ X37) \/ ~(c3_1_ X37))))) \/ hskp7_)) /\ (((forall X38 : Universe, (ndr1_0_ -> (c0_1_ X38 \/ (c3_1_ X38 \/ ~(c1_1_ X38))))) \/ ((forall X39 : Universe, (ndr1_0_ -> (c0_1_ X39 \/ (~(c1_1_ X39) \/ ~(c3_1_ X39))))) \/ hskp0_)) /\ (((forall X40 : Universe, (ndr1_0_ -> (c0_1_ X40 \/ (c3_1_ X40 \/ ~(c1_1_ X40))))) \/ ((forall X41 : Universe, (ndr1_0_ -> (c1_1_ X41 \/ (~(c0_1_ X41) \/ ~(c3_1_ X41))))) \/ hskp8_)) /\ (((forall X42 : Universe, (ndr1_0_ -> (c0_1_ X42 \/ (c3_1_ X42 \/ ~(c1_1_ X42))))) \/ ((forall X43 : Universe, (ndr1_0_ -> (c2_1_ X43 \/ (~(c0_1_ X43) \/ ~(c1_1_ X43))))) \/ (forall X44 : Universe, (ndr1_0_ -> (c2_1_ X44 \/ (~(c1_1_ X44) \/ ~(c3_1_ X44))))))) /\ (((forall X45 : Universe, (ndr1_0_ -> (c0_1_ X45 \/ (c3_1_ X45 \/ ~(c1_1_ X45))))) \/ ((forall X46 : Universe, (ndr1_0_ -> (c2_1_ X46 \/ (~(c0_1_ X46) \/ ~(c3_1_ X46))))) \/ hskp12_)) /\ (((forall X47 : Universe, (ndr1_0_ -> (c0_1_ X47 \/ (c3_1_ X47 \/ ~(c1_1_ X47))))) \/ ((forall X48 : Universe, (ndr1_0_ -> (c3_1_ X48 \/ (~(c1_1_ X48) \/ ~(c2_1_ X48))))) \/ hskp4_)) /\ (((forall X49 : Universe, (ndr1_0_ -> (c0_1_ X49 \/ (c3_1_ X49 \/ ~(c2_1_ X49))))) \/ ((forall X50 : Universe, (ndr1_0_ -> (c0_1_ X50 \/ (~(c1_1_ X50) \/ ~(c3_1_ X50))))) \/ (forall X51 : Universe, (ndr1_0_ -> (~(c0_1_ X51) \/ (~(c1_1_ X51) \/ ~(c3_1_ X51))))))) /\ (((forall X52 : Universe, (ndr1_0_ -> (c0_1_ X52 \/ (c3_1_ X52 \/ ~(c2_1_ X52))))) \/ ((forall X53 : Universe, (ndr1_0_ -> (c2_1_ X53 \/ (c3_1_ X53 \/ ~(c1_1_ X53))))) \/ hskp10_)) /\ (((forall X54 : Universe, (ndr1_0_ -> (c0_1_ X54 \/ (c3_1_ X54 \/ ~(c2_1_ X54))))) \/ (hskp14_ \/ hskp1_)) /\ (((forall X55 : Universe, (ndr1_0_ -> (c0_1_ X55 \/ (~(c1_1_ X55) \/ ~(c2_1_ X55))))) \/ ((forall X56 : Universe, (ndr1_0_ -> (c0_1_ X56 \/ (~(c2_1_ X56) \/ ~(c3_1_ X56))))) \/ (forall X57 : Universe, (ndr1_0_ -> (~(c1_1_ X57) \/ (~(c2_1_ X57) \/ ~(c3_1_ X57))))))) /\ (((forall X58 : Universe, (ndr1_0_ -> (c0_1_ X58 \/ (~(c1_1_ X58) \/ ~(c2_1_ X58))))) \/ ((forall X59 : Universe, (ndr1_0_ -> (c1_1_ X59 \/ (c2_1_ X59 \/ ~(c3_1_ X59))))) \/ hskp27_)) /\ (((forall X60 : Universe, (ndr1_0_ -> (c0_1_ X60 \/ (~(c1_1_ X60) \/ ~(c2_1_ X60))))) \/ (forall X61 : Universe, (ndr1_0_ -> (c1_1_ X61 \/ (~(c0_1_ X61) \/ ~(c3_1_ X61)))))) /\ (((forall X62 : Universe, (ndr1_0_ -> (c0_1_ X62 \/ (~(c1_1_ X62) \/ ~(c2_1_ X62))))) \/ ((forall X63 : Universe, (ndr1_0_ -> (c2_1_ X63 \/ (c3_1_ X63 \/ ~(c0_1_ X63))))) \/ (forall X64 : Universe, (ndr1_0_ -> (c2_1_ X64 \/ (~(c0_1_ X64) \/ ~(c1_1_ X64))))))) /\ (((forall X65 : Universe, (ndr1_0_ -> (c0_1_ X65 \/ (~(c1_1_ X65) \/ ~(c2_1_ X65))))) \/ ((forall X66 : Universe, (ndr1_0_ -> (c3_1_ X66 \/ (~(c0_1_ X66) \/ ~(c1_1_ X66))))) \/ hskp10_)) /\ (((forall X67 : Universe, (ndr1_0_ -> (c0_1_ X67 \/ (~(c1_1_ X67) \/ ~(c2_1_ X67))))) \/ ((forall X68 : Universe, (ndr1_0_ -> (~(c0_1_ X68) \/ (~(c1_1_ X68) \/ ~(c3_1_ X68))))) \/ hskp15_)) /\ (((forall X69 : Universe, (ndr1_0_ -> (c0_1_ X69 \/ (~(c1_1_ X69) \/ ~(c3_1_ X69))))) \/ ((forall X70 : Universe, (ndr1_0_ -> (c1_1_ X70 \/ (~(c0_1_ X70) \/ ~(c2_1_ X70))))) \/ hskp3_)) /\ (((forall X71 : Universe, (ndr1_0_ -> (c0_1_ X71 \/ (~(c1_1_ X71) \/ ~(c3_1_ X71))))) \/ ((forall X72 : Universe, (ndr1_0_ -> (c3_1_ X72 \/ (~(c0_1_ X72) \/ ~(c1_1_ X72))))) \/ hskp16_)) /\ (((forall X73 : Universe, (ndr1_0_ -> (c0_1_ X73 \/ (~(c1_1_ X73) \/ ~(c3_1_ X73))))) \/ ((forall X74 : Universe, (ndr1_0_ -> (c3_1_ X74 \/ (~(c0_1_ X74) \/ ~(c2_1_ X74))))) \/ hskp17_)) /\ (((forall X75 : Universe, (ndr1_0_ -> (c0_1_ X75 \/ (~(c1_1_ X75) \/ ~(c3_1_ X75))))) \/ (hskp6_ \/ hskp4_)) /\ (((forall X76 : Universe, (ndr1_0_ -> (c0_1_ X76 \/ (~(c2_1_ X76) \/ ~(c3_1_ X76))))) \/ (hskp11_ \/ hskp16_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (c1_1_ X77 \/ (c2_1_ X77 \/ c3_1_ X77)))) \/ ((forall X78 : Universe, (ndr1_0_ -> (~(c1_1_ X78) \/ (~(c2_1_ X78) \/ ~(c3_1_ X78))))) \/ hskp18_)) /\ (((forall X79 : Universe, (ndr1_0_ -> (c1_1_ X79 \/ (c2_1_ X79 \/ ~(c0_1_ X79))))) \/ ((forall X80 : Universe, (ndr1_0_ -> (c1_1_ X80 \/ (~(c0_1_ X80) \/ ~(c3_1_ X80))))) \/ hskp6_)) /\ (((forall X81 : Universe, (ndr1_0_ -> (c1_1_ X81 \/ (c2_1_ X81 \/ ~(c0_1_ X81))))) \/ ((forall X82 : Universe, (ndr1_0_ -> (~(c1_1_ X82) \/ (~(c2_1_ X82) \/ ~(c3_1_ X82))))) \/ hskp19_)) /\ (((forall X83 : Universe, (ndr1_0_ -> (c1_1_ X83 \/ (c2_1_ X83 \/ ~(c0_1_ X83))))) \/ (hskp20_ \/ hskp13_)) /\ (((forall X84 : Universe, (ndr1_0_ -> (c1_1_ X84 \/ (c2_1_ X84 \/ ~(c0_1_ X84))))) \/ (hskp1_ \/ hskp15_)) /\ (((forall X85 : Universe, (ndr1_0_ -> (c1_1_ X85 \/ (c2_1_ X85 \/ ~(c0_1_ X85))))) \/ (hskp21_ \/ hskp22_)) /\ (((forall X86 : Universe, (ndr1_0_ -> (c1_1_ X86 \/ (c2_1_ X86 \/ ~(c0_1_ X86))))) \/ (hskp9_ \/ hskp2_)) /\ (((forall X87 : Universe, (ndr1_0_ -> (c1_1_ X87 \/ (c2_1_ X87 \/ ~(c3_1_ X87))))) \/ ((forall X88 : Universe, (ndr1_0_ -> (c3_1_ X88 \/ (~(c1_1_ X88) \/ ~(c2_1_ X88))))) \/ hskp10_)) /\ (((forall X89 : Universe, (ndr1_0_ -> (c1_1_ X89 \/ (c2_1_ X89 \/ ~(c3_1_ X89))))) \/ ((forall X90 : Universe, (ndr1_0_ -> (~(c0_1_ X90) \/ (~(c1_1_ X90) \/ ~(c3_1_ X90))))) \/ hskp16_)) /\ (((forall X91 : Universe, (ndr1_0_ -> (c1_1_ X91 \/ (c2_1_ X91 \/ ~(c3_1_ X91))))) \/ (hskp20_ \/ hskp0_)) /\ (((forall X92 : Universe, (ndr1_0_ -> (c1_1_ X92 \/ (c3_1_ X92 \/ ~(c0_1_ X92))))) \/ ((forall X93 : Universe, (ndr1_0_ -> (c1_1_ X93 \/ (c3_1_ X93 \/ ~(c2_1_ X93))))) \/ (forall X94 : Universe, (ndr1_0_ -> (~(c1_1_ X94) \/ (~(c2_1_ X94) \/ ~(c3_1_ X94))))))) /\ (((forall X95 : Universe, (ndr1_0_ -> (c1_1_ X95 \/ (c3_1_ X95 \/ ~(c0_1_ X95))))) \/ ((forall X96 : Universe, (ndr1_0_ -> (c3_1_ X96 \/ (~(c0_1_ X96) \/ ~(c1_1_ X96))))) \/ (forall X97 : Universe, (ndr1_0_ -> (~(c1_1_ X97) \/ (~(c2_1_ X97) \/ ~(c3_1_ X97))))))) /\ (((forall X98 : Universe, (ndr1_0_ -> (c1_1_ X98 \/ (c3_1_ X98 \/ ~(c0_1_ X98))))) \/ (hskp20_ \/ hskp19_)) /\ (((forall X99 : Universe, (ndr1_0_ -> (c1_1_ X99 \/ (c3_1_ X99 \/ ~(c0_1_ X99))))) \/ (hskp29_ \/ hskp15_)) /\ (((forall X100 : Universe, (ndr1_0_ -> (c1_1_ X100 \/ (c3_1_ X100 \/ ~(c2_1_ X100))))) \/ ((forall X101 : Universe, (ndr1_0_ -> (c1_1_ X101 \/ (~(c2_1_ X101) \/ ~(c3_1_ X101))))) \/ hskp13_)) /\ (((forall X102 : Universe, (ndr1_0_ -> (c1_1_ X102 \/ (c3_1_ X102 \/ ~(c2_1_ X102))))) \/ ((forall X103 : Universe, (ndr1_0_ -> (c2_1_ X103 \/ (~(c0_1_ X103) \/ ~(c3_1_ X103))))) \/ (forall X104 : Universe, (ndr1_0_ -> (c3_1_ X104 \/ (~(c0_1_ X104) \/ ~(c2_1_ X104))))))) /\ (((forall X105 : Universe, (ndr1_0_ -> (c1_1_ X105 \/ (c3_1_ X105 \/ ~(c2_1_ X105))))) \/ (hskp27_ \/ hskp1_)) /\ (((forall X106 : Universe, (ndr1_0_ -> (c1_1_ X106 \/ (~(c0_1_ X106) \/ ~(c2_1_ X106))))) \/ ((forall X107 : Universe, (ndr1_0_ -> (c1_1_ X107 \/ (~(c2_1_ X107) \/ ~(c3_1_ X107))))) \/ hskp23_)) /\ (((forall X108 : Universe, (ndr1_0_ -> (c1_1_ X108 \/ (~(c0_1_ X108) \/ ~(c2_1_ X108))))) \/ (hskp24_ \/ hskp19_)) /\ (((forall X109 : Universe, (ndr1_0_ -> (c2_1_ X109 \/ (c3_1_ X109 \/ ~(c1_1_ X109))))) \/ ((forall X110 : Universe, (ndr1_0_ -> (~(c0_1_ X110) \/ (~(c2_1_ X110) \/ ~(c3_1_ X110))))) \/ hskp5_)) /\ (((forall X111 : Universe, (ndr1_0_ -> (c2_1_ X111 \/ (~(c0_1_ X111) \/ ~(c3_1_ X111))))) \/ (hskp15_ \/ hskp4_)) /\ (((forall X112 : Universe, (ndr1_0_ -> (c2_1_ X112 \/ (~(c1_1_ X112) \/ ~(c3_1_ X112))))) \/ (hskp28_ \/ hskp10_)) /\ (((forall X113 : Universe, (ndr1_0_ -> (c2_1_ X113 \/ (~(c1_1_ X113) \/ ~(c3_1_ X113))))) \/ (hskp14_ \/ hskp17_)) /\ (((forall X114 : Universe, (ndr1_0_ -> (c3_1_ X114 \/ (~(c0_1_ X114) \/ ~(c1_1_ X114))))) \/ (hskp14_ \/ hskp24_)) /\ (((forall X115 : Universe, (ndr1_0_ -> (c3_1_ X115 \/ (~(c1_1_ X115) \/ ~(c2_1_ X115))))) \/ ((forall X116 : Universe, (ndr1_0_ -> (~(c0_1_ X116) \/ (~(c2_1_ X116) \/ ~(c3_1_ X116))))) \/ hskp21_)) /\ (((forall X117 : Universe, (ndr1_0_ -> (c3_1_ X117 \/ (~(c1_1_ X117) \/ ~(c2_1_ X117))))) \/ (hskp1_ \/ hskp21_)) /\ (((forall X118 : Universe, (ndr1_0_ -> (~(c0_1_ X118) \/ (~(c1_1_ X118) \/ ~(c2_1_ X118))))) \/ (hskp9_ \/ hskp5_)) /\ (((forall X119 : Universe, (ndr1_0_ -> (~(c0_1_ X119) \/ (~(c2_1_ X119) \/ ~(c3_1_ X119))))) \/ (forall X120 : Universe, (ndr1_0_ -> (~(c1_1_ X120) \/ (~(c2_1_ X120) \/ ~(c3_1_ X120)))))) /\ (((forall X121 : Universe, (ndr1_0_ -> (~(c1_1_ X121) \/ (~(c2_1_ X121) \/ ~(c3_1_ X121))))) \/ (hskp23_ \/ hskp16_)) /\ ((hskp27_ \/ (hskp24_ \/ hskp18_)) /\ ((hskp28_ \/ (hskp30_ \/ hskp11_)) /\ ((hskp28_ \/ (hskp19_ \/ hskp9_)) /\ ((hskp13_ \/ (hskp12_ \/ hskp25_)) /\ ((hskp30_ \/ (hskp26_ \/ hskp12_)) /\ ((hskp11_ \/ (hskp21_ \/ hskp2_)) /\ ((hskp24_ \/ (hskp18_ \/ hskp4_)) /\ ((hskp29_ \/ (hskp0_ \/ hskp16_)) /\ ((hskp22_ \/ (hskp8_ \/ hskp0_)) /\ (hskp7_ \/ (hskp25_ \/ hskp5_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
