(*
% File     : SYN513+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=105, K=3, D=2, P=0, Index=093
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-105-3-2-093.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.67 v2.7.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.4.0, 0.67 v2.3.0, 0.33 v2.2.1, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  863 (   0 equality)
%            Maximal formula depth :   92 (  92 average)
%            Number of connectives : 1161 ( 299 ~  ; 338  |; 405  &)
%                                         (   0 <=>; 119 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :  122 ( 122 constant; 0-0 arity)
%            Number of variables   :  119 (   0 singleton; 119 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a896_ : Universe.
Variable a895_ : Universe.
Variable a894_ : Universe.
Variable a893_ : Universe.
Variable a892_ : Universe.
Variable a891_ : Universe.
Variable a890_ : Universe.
Variable a889_ : Universe.
Variable a888_ : Universe.
Variable a887_ : Universe.
Variable a886_ : Universe.
Variable a885_ : Universe.
Variable a884_ : Universe.
Variable a883_ : Universe.
Variable a882_ : Universe.
Variable a881_ : Universe.
Variable a880_ : Universe.
Variable a879_ : Universe.
Variable a878_ : Universe.
Variable a877_ : Universe.
Variable a876_ : Universe.
Variable a875_ : Universe.
Variable a874_ : Universe.
Variable a873_ : Universe.
Variable a872_ : Universe.
Variable a871_ : Universe.
Variable a870_ : Universe.
Variable a869_ : Universe.
Variable a868_ : Universe.
Variable a867_ : Universe.
Variable a866_ : Universe.
Variable a865_ : Universe.
Variable a864_ : Universe.
Variable a863_ : Universe.
Variable a862_ : Universe.
Variable a861_ : Universe.
Variable a860_ : Universe.
Variable a859_ : Universe.
Variable a858_ : Universe.
Variable a857_ : Universe.
Variable a856_ : Universe.
Variable a855_ : Universe.
Variable a854_ : Universe.
Variable a853_ : Universe.
Variable a852_ : Universe.
Variable a851_ : Universe.
Variable a850_ : Universe.
Variable a849_ : Universe.
Variable a848_ : Universe.
Variable a847_ : Universe.
Variable a846_ : Universe.
Variable a845_ : Universe.
Variable a844_ : Universe.
Variable a843_ : Universe.
Variable a842_ : Universe.
Variable a841_ : Universe.
Variable a840_ : Universe.
Variable a839_ : Universe.
Variable a838_ : Universe.
Variable a837_ : Universe.
Variable a836_ : Universe.
Variable a835_ : Universe.
Variable a834_ : Universe.
Variable a833_ : Universe.
Variable a832_ : Universe.
Variable a831_ : Universe.
Variable a830_ : Universe.
Variable a829_ : Universe.
Variable a828_ : Universe.
Variable a827_ : Universe.
Variable a826_ : Universe.
Variable a825_ : Universe.
Variable a824_ : Universe.
Variable a823_ : Universe.
Variable a822_ : Universe.
Variable a821_ : Universe.
Variable a820_ : Universe.
Variable a819_ : Universe.
Variable a818_ : Universe.
Variable a817_ : Universe.
Variable a816_ : Universe.
Variable a815_ : Universe.
Variable a814_ : Universe.
Variable a813_ : Universe.
Variable a812_ : Universe.
Variable a811_ : Universe.
Variable a810_ : Universe.
Variable a809_ : Universe.
Variable a808_ : Universe.
Variable a807_ : Universe.
Variable a806_ : Universe.
Variable a805_ : Universe.
Variable a804_ : Universe.
Variable a803_ : Universe.
Variable a802_ : Universe.
Variable a801_ : Universe.
Variable a800_ : Universe.
Variable a799_ : Universe.
Variable a798_ : Universe.
Variable a797_ : Universe.
Variable a796_ : Universe.
Variable a795_ : Universe.
Variable a794_ : Universe.
Variable a793_ : Universe.
Variable a792_ : Universe.
Variable a791_ : Universe.
Variable a790_ : Universe.
Variable a789_ : Universe.
Variable a788_ : Universe.
Variable a787_ : Universe.
Variable a786_ : Universe.
Variable a785_ : Universe.
Variable a784_ : Universe.
Variable a783_ : Universe.
Variable a782_ : Universe.
Variable a781_ : Universe.
Variable a780_ : Universe.
Variable a779_ : Universe.
Variable a778_ : Universe.
Variable a777_ : Universe.
Variable a776_ : Universe.
Variable a775_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~((((ndr1_0_ /\ (~(c5_1_ a775_) /\ (~(c3_1_ a775_) /\ c1_1_ a775_))) \/ ~(c4_0_)) /\ ((c5_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a776_ /\ (~(c3_2_ a776_ a777_) /\ (c2_2_ a776_ a777_ /\ (~(c1_2_ a776_ a777_) /\ (~(c2_1_ a776_) /\ (forall U : Universe, (ndr1_1_ a776_ -> (c5_2_ a776_ U \/ ~(c3_2_ a776_ U)))))))))) \/ (forall V : Universe, (ndr1_0_ -> (~(c2_1_ V) \/ ((ndr1_1_ V /\ (c3_2_ V a778_ /\ (c1_2_ V a778_ /\ c4_2_ V a778_))) \/ (forall W : Universe, (ndr1_1_ V -> (c1_2_ V W \/ (c3_2_ V W \/ c5_2_ V W)))))))))) /\ (((ndr1_0_ /\ (~(c3_1_ a779_) /\ (forall X : Universe, (ndr1_1_ a779_ -> (~(c1_2_ a779_ X) \/ (c2_2_ a779_ X \/ c3_2_ a779_ X)))))) \/ (c3_0_ \/ (ndr1_0_ /\ ((forall Y : Universe, (ndr1_1_ a780_ -> (c2_2_ a780_ Y \/ (c3_2_ a780_ Y \/ c1_2_ a780_ Y)))) /\ c3_1_ a780_)))) /\ ((~(c2_0_) \/ c4_0_) /\ (((ndr1_0_ /\ (~(c4_1_ a781_) /\ (forall Z : Universe, (ndr1_1_ a781_ -> (~(c2_2_ a781_ Z) \/ (c4_2_ a781_ Z \/ ~(c1_2_ a781_ Z))))))) \/ (~(c4_0_) \/ (forall X1 : Universe, (ndr1_0_ -> ((forall X2 : Universe, (ndr1_1_ X1 -> (c1_2_ X1 X2 \/ (~(c2_2_ X1 X2) \/ c4_2_ X1 X2)))) \/ ((forall X3 : Universe, (ndr1_1_ X1 -> (~(c4_2_ X1 X3) \/ ~(c2_2_ X1 X3)))) \/ c1_1_ X1)))))) /\ ((~(c1_0_) \/ (~(c4_0_) \/ (forall X4 : Universe, (ndr1_0_ -> (~(c3_1_ X4) \/ ((ndr1_1_ X4 /\ (~(c2_2_ X4 a782_) /\ (~(c5_2_ X4 a782_) /\ ~(c1_2_ X4 a782_)))) \/ ~(c1_1_ X4))))))) /\ ((c4_0_ \/ (~(c1_0_) \/ (forall X5 : Universe, (ndr1_0_ -> (~(c5_1_ X5) \/ (c1_1_ X5 \/ (ndr1_1_ X5 /\ (~(c4_2_ X5 a783_) /\ (~(c2_2_ X5 a783_) /\ ~(c3_2_ X5 a783_)))))))))) /\ (((forall X6 : Universe, (ndr1_0_ -> ((forall X7 : Universe, (ndr1_1_ X6 -> (~(c5_2_ X6 X7) \/ (c3_2_ X6 X7 \/ ~(c4_2_ X6 X7))))) \/ (~(c5_1_ X6) \/ (forall X8 : Universe, (ndr1_1_ X6 -> (~(c5_2_ X6 X8) \/ ~(c1_2_ X6 X8)))))))) \/ ((forall X9 : Universe, (ndr1_0_ -> ((ndr1_1_ X9 /\ (c3_2_ X9 a784_ /\ (c2_2_ X9 a784_ /\ ~(c1_2_ X9 a784_)))) \/ ~(c4_1_ X9)))) \/ (forall X10 : Universe, (ndr1_0_ -> ((ndr1_1_ X10 /\ (c5_2_ X10 a785_ /\ (~(c2_2_ X10 a785_) /\ ~(c1_2_ X10 a785_)))) \/ c2_1_ X10))))) /\ (((ndr1_0_ /\ ((forall X11 : Universe, (ndr1_1_ a786_ -> (c3_2_ a786_ X11 \/ (~(c1_2_ a786_ X11) \/ c5_2_ a786_ X11)))) /\ ((forall X12 : Universe, (ndr1_1_ a786_ -> (c5_2_ a786_ X12 \/ (c4_2_ a786_ X12 \/ ~(c2_2_ a786_ X12))))) /\ ~(c4_1_ a786_)))) \/ ((forall X13 : Universe, (ndr1_0_ -> ((ndr1_1_ X13 /\ (~(c4_2_ X13 a787_) /\ (~(c3_2_ X13 a787_) /\ c5_2_ X13 a787_))) \/ ((ndr1_1_ X13 /\ (~(c2_2_ X13 a788_) /\ (c3_2_ X13 a788_ /\ c1_2_ X13 a788_))) \/ c3_1_ X13)))) \/ (ndr1_0_ /\ (~(c5_1_ a789_) /\ (ndr1_1_ a789_ /\ (c5_2_ a789_ a790_ /\ (c1_2_ a789_ a790_ /\ (~(c4_2_ a789_ a790_) /\ c1_1_ a789_)))))))) /\ (((forall X14 : Universe, (ndr1_0_ -> ((forall X15 : Universe, (ndr1_1_ X14 -> (c1_2_ X14 X15 \/ (c5_2_ X14 X15 \/ c3_2_ X14 X15)))) \/ (~(c2_1_ X14) \/ c5_1_ X14)))) \/ (~(c3_0_) \/ c2_0_)) /\ (((forall X16 : Universe, (ndr1_0_ -> ((forall X17 : Universe, (ndr1_1_ X16 -> (c4_2_ X16 X17 \/ (~(c5_2_ X16 X17) \/ c2_2_ X16 X17)))) \/ ((ndr1_1_ X16 /\ (c4_2_ X16 a791_ /\ (c3_2_ X16 a791_ /\ c1_2_ X16 a791_))) \/ c5_1_ X16)))) \/ ((forall X18 : Universe, (ndr1_0_ -> (~(c2_1_ X18) \/ (c4_1_ X18 \/ c1_1_ X18)))) \/ c2_0_)) /\ ((c4_0_ \/ (~(c2_0_) \/ c1_0_)) /\ (((ndr1_0_ /\ (ndr1_1_ a792_ /\ (~(c5_2_ a792_ a793_) /\ (c1_2_ a792_ a793_ /\ (c4_1_ a792_ /\ (ndr1_1_ a792_ /\ (~(c4_2_ a792_ a794_) /\ (c3_2_ a792_ a794_ /\ ~(c1_2_ a792_ a794_))))))))) \/ ((ndr1_0_ /\ ((forall X19 : Universe, (ndr1_1_ a795_ -> (~(c2_2_ a795_ X19) \/ (c1_2_ a795_ X19 \/ ~(c5_2_ a795_ X19))))) /\ ((forall X20 : Universe, (ndr1_1_ a795_ -> (~(c1_2_ a795_ X20) \/ (c5_2_ a795_ X20 \/ c3_2_ a795_ X20)))) /\ ~(c1_1_ a795_)))) \/ ~(c3_0_))) /\ ((~(c2_0_) \/ (~(c4_0_) \/ c3_0_)) /\ (((forall X21 : Universe, (ndr1_0_ -> ((forall X22 : Universe, (ndr1_1_ X21 -> (c4_2_ X21 X22 \/ (~(c5_2_ X21 X22) \/ c3_2_ X21 X22)))) \/ ((forall X23 : Universe, (ndr1_1_ X21 -> (c3_2_ X21 X23 \/ c2_2_ X21 X23))) \/ ~(c3_1_ X21))))) \/ (ndr1_0_ /\ (ndr1_1_ a796_ /\ (~(c5_2_ a796_ a797_) /\ (c2_2_ a796_ a797_ /\ (c1_2_ a796_ a797_ /\ (ndr1_1_ a796_ /\ (~(c2_2_ a796_ a798_) /\ (~(c3_2_ a796_ a798_) /\ ~(c2_1_ a796_)))))))))) /\ ((c5_0_ \/ ((forall X24 : Universe, (ndr1_0_ -> ((ndr1_1_ X24 /\ (c3_2_ X24 a799_ /\ (c4_2_ X24 a799_ /\ ~(c1_2_ X24 a799_)))) \/ c4_1_ X24))) \/ c4_0_)) /\ ((c1_0_ \/ (ndr1_0_ /\ (c2_1_ a800_ /\ ((forall X25 : Universe, (ndr1_1_ a800_ -> (~(c4_2_ a800_ X25) \/ (~(c1_2_ a800_ X25) \/ ~(c5_2_ a800_ X25))))) /\ (forall X26 : Universe, (ndr1_1_ a800_ -> (c5_2_ a800_ X26 \/ c2_2_ a800_ X26))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a801_ /\ (c5_2_ a801_ a802_ /\ (c1_2_ a801_ a802_ /\ (c4_2_ a801_ a802_ /\ ((forall X27 : Universe, (ndr1_1_ a801_ -> (c5_2_ a801_ X27 \/ (~(c1_2_ a801_ X27) \/ ~(c3_2_ a801_ X27))))) /\ c2_1_ a801_)))))) \/ ((forall X28 : Universe, (ndr1_0_ -> (~(c4_1_ X28) \/ c2_1_ X28))) \/ (forall X29 : Universe, (ndr1_0_ -> ((ndr1_1_ X29 /\ (c2_2_ X29 a803_ /\ (~(c5_2_ X29 a803_) /\ c4_2_ X29 a803_))) \/ (~(c3_1_ X29) \/ (forall X30 : Universe, (ndr1_1_ X29 -> (~(c2_2_ X29 X30) \/ (~(c4_2_ X29 X30) \/ ~(c3_2_ X29 X30))))))))))) /\ ((~(c3_0_) \/ ((ndr1_0_ /\ ((forall X31 : Universe, (ndr1_1_ a804_ -> (c1_2_ a804_ X31 \/ (c3_2_ a804_ X31 \/ c4_2_ a804_ X31)))) /\ c5_1_ a804_)) \/ (forall X32 : Universe, (ndr1_0_ -> ((ndr1_1_ X32 /\ (c2_2_ X32 a805_ /\ (c4_2_ X32 a805_ /\ ~(c5_2_ X32 a805_)))) \/ ~(c4_1_ X32)))))) /\ (((forall X33 : Universe, (ndr1_0_ -> ((ndr1_1_ X33 /\ (c5_2_ X33 a806_ /\ (c2_2_ X33 a806_ /\ c4_2_ X33 a806_))) \/ ((ndr1_1_ X33 /\ (~(c3_2_ X33 a807_) /\ ~(c2_2_ X33 a807_))) \/ (ndr1_1_ X33 /\ (c5_2_ X33 a808_ /\ (~(c2_2_ X33 a808_) /\ c4_2_ X33 a808_))))))) \/ ((forall X34 : Universe, (ndr1_0_ -> (~(c2_1_ X34) \/ (~(c3_1_ X34) \/ (ndr1_1_ X34 /\ (c5_2_ X34 a809_ /\ (c3_2_ X34 a809_ /\ c1_2_ X34 a809_))))))) \/ c4_0_)) /\ (((forall X35 : Universe, (ndr1_0_ -> (~(c5_1_ X35) \/ (c3_1_ X35 \/ ~(c4_1_ X35))))) \/ ~(c5_0_)) /\ ((c4_0_ \/ ((ndr1_0_ /\ (c2_1_ a810_ /\ c4_1_ a810_)) \/ c5_0_)) /\ (((forall X36 : Universe, (ndr1_0_ -> (~(c3_1_ X36) \/ (c1_1_ X36 \/ (ndr1_1_ X36 /\ (~(c2_2_ X36 a811_) /\ c3_2_ X36 a811_)))))) \/ (ndr1_0_ /\ (~(c3_1_ a812_) /\ (ndr1_1_ a812_ /\ (c3_2_ a812_ a813_ /\ (c1_2_ a812_ a813_ /\ c2_2_ a812_ a813_)))))) /\ (((forall X37 : Universe, (ndr1_0_ -> (~(c5_1_ X37) \/ ~(c4_1_ X37)))) \/ c3_0_) /\ ((~(c1_0_) \/ ((ndr1_0_ /\ (c3_1_ a814_ /\ c2_1_ a814_)) \/ ~(c2_0_))) /\ (((ndr1_0_ /\ (ndr1_1_ a815_ /\ (c1_2_ a815_ a816_ /\ (c3_2_ a815_ a816_ /\ (~(c5_2_ a815_ a816_) /\ (c3_1_ a815_ /\ ~(c5_1_ a815_))))))) \/ (c2_0_ \/ c5_0_)) /\ (((ndr1_0_ /\ (c4_1_ a817_ /\ c2_1_ a817_)) \/ ((ndr1_0_ /\ (c3_1_ a818_ /\ (ndr1_1_ a818_ /\ (~(c3_2_ a818_ a819_) /\ (~(c2_2_ a818_ a819_) /\ (~(c5_2_ a818_ a819_) /\ (forall X38 : Universe, (ndr1_1_ a818_ -> (~(c1_2_ a818_ X38) \/ (c4_2_ a818_ X38 \/ c5_2_ a818_ X38)))))))))) \/ (ndr1_0_ /\ (ndr1_1_ a820_ /\ (~(c3_2_ a820_ a821_) /\ (c1_2_ a820_ a821_ /\ (~(c5_2_ a820_ a821_) /\ (ndr1_1_ a820_ /\ (~(c5_2_ a820_ a822_) /\ ~(c2_2_ a820_ a822_)))))))))) /\ (((ndr1_0_ /\ ((forall X39 : Universe, (ndr1_1_ a823_ -> (~(c3_2_ a823_ X39) \/ (~(c2_2_ a823_ X39) \/ c1_2_ a823_ X39)))) /\ c5_1_ a823_)) \/ (c5_0_ \/ ~(c2_0_))) /\ ((c3_0_ \/ ((forall X40 : Universe, (ndr1_0_ -> (~(c5_1_ X40) \/ c4_1_ X40))) \/ (ndr1_0_ /\ (~(c2_1_ a824_) /\ ((forall X41 : Universe, (ndr1_1_ a824_ -> (~(c4_2_ a824_ X41) \/ ~(c1_2_ a824_ X41)))) /\ ~(c4_1_ a824_)))))) /\ (((forall X42 : Universe, (ndr1_0_ -> ((ndr1_1_ X42 /\ (c3_2_ X42 a825_ /\ (~(c2_2_ X42 a825_) /\ c1_2_ X42 a825_))) \/ (c1_1_ X42 \/ ~(c2_1_ X42))))) \/ (~(c5_0_) \/ (forall X43 : Universe, (ndr1_0_ -> (c1_1_ X43 \/ ((ndr1_1_ X43 /\ (~(c1_2_ X43 a826_) /\ (~(c2_2_ X43 a826_) /\ c5_2_ X43 a826_))) \/ (forall X44 : Universe, (ndr1_1_ X43 -> (c5_2_ X43 X44 \/ (~(c2_2_ X43 X44) \/ c4_2_ X43 X44)))))))))) /\ ((~(c1_0_) \/ c3_0_) /\ (((ndr1_0_ /\ (~(c5_1_ a827_) /\ (forall X45 : Universe, (ndr1_1_ a827_ -> (c1_2_ a827_ X45 \/ (~(c2_2_ a827_ X45) \/ c5_2_ a827_ X45)))))) \/ ((forall X46 : Universe, (ndr1_0_ -> (c4_1_ X46 \/ ((forall X47 : Universe, (ndr1_1_ X46 -> (~(c3_2_ X46 X47) \/ (c5_2_ X46 X47 \/ c4_2_ X46 X47)))) \/ (forall X48 : Universe, (ndr1_1_ X46 -> (c4_2_ X46 X48 \/ (~(c2_2_ X46 X48) \/ c1_2_ X46 X48)))))))) \/ c2_0_)) /\ (((forall X49 : Universe, (ndr1_0_ -> ((forall X50 : Universe, (ndr1_1_ X49 -> (~(c4_2_ X49 X50) \/ (~(c1_2_ X49 X50) \/ c2_2_ X49 X50)))) \/ (c2_1_ X49 \/ ~(c4_1_ X49))))) \/ (c3_0_ \/ ~(c2_0_))) /\ ((~(c4_0_) \/ ~(c5_0_)) /\ (((forall X51 : Universe, (ndr1_0_ -> (c2_1_ X51 \/ (~(c1_1_ X51) \/ ~(c5_1_ X51))))) \/ (c3_0_ \/ (ndr1_0_ /\ ((forall X52 : Universe, (ndr1_1_ a828_ -> (c2_2_ a828_ X52 \/ c4_2_ a828_ X52))) /\ (ndr1_1_ a828_ /\ (~(c1_2_ a828_ a829_) /\ (~(c4_2_ a828_ a829_) /\ (forall X53 : Universe, (ndr1_1_ a828_ -> (c4_2_ a828_ X53 \/ (c3_2_ a828_ X53 \/ ~(c5_2_ a828_ X53)))))))))))) /\ ((c2_0_ \/ (ndr1_0_ /\ (c2_1_ a830_ /\ ((forall X54 : Universe, (ndr1_1_ a830_ -> (c2_2_ a830_ X54 \/ (~(c1_2_ a830_ X54) \/ ~(c3_2_ a830_ X54))))) /\ (forall X55 : Universe, (ndr1_1_ a830_ -> (c5_2_ a830_ X55 \/ c1_2_ a830_ X55))))))) /\ ((c4_0_ \/ (~(c1_0_) \/ (forall X56 : Universe, (ndr1_0_ -> ((forall X57 : Universe, (ndr1_1_ X56 -> (c3_2_ X56 X57 \/ c1_2_ X56 X57))) \/ (~(c1_1_ X56) \/ (forall X58 : Universe, (ndr1_1_ X56 -> (c4_2_ X56 X58 \/ (c5_2_ X56 X58 \/ c3_2_ X56 X58)))))))))) /\ (((ndr1_0_ /\ (c3_1_ a831_ /\ ~(c4_1_ a831_))) \/ ((forall X59 : Universe, (ndr1_0_ -> ((ndr1_1_ X59 /\ (~(c2_2_ X59 a832_) /\ (~(c1_2_ X59 a832_) /\ c3_2_ X59 a832_))) \/ ((forall X60 : Universe, (ndr1_1_ X59 -> (~(c4_2_ X59 X60) \/ c5_2_ X59 X60))) \/ (forall X61 : Universe, (ndr1_1_ X59 -> (~(c5_2_ X59 X61) \/ (~(c2_2_ X59 X61) \/ c3_2_ X59 X61)))))))) \/ c2_0_)) /\ (((forall X62 : Universe, (ndr1_0_ -> ((ndr1_1_ X62 /\ (c1_2_ X62 a833_ /\ (~(c5_2_ X62 a833_) /\ c3_2_ X62 a833_))) \/ ((ndr1_1_ X62 /\ (~(c2_2_ X62 a834_) /\ ~(c5_2_ X62 a834_))) \/ (forall X63 : Universe, (ndr1_1_ X62 -> (c1_2_ X62 X63 \/ (~(c3_2_ X62 X63) \/ ~(c2_2_ X62 X63))))))))) \/ c3_0_) /\ ((c5_0_ \/ (~(c4_0_) \/ (forall X64 : Universe, (ndr1_0_ -> (~(c3_1_ X64) \/ (ndr1_1_ X64 /\ (~(c5_2_ X64 a835_) /\ (c1_2_ X64 a835_ /\ ~(c4_2_ X64 a835_))))))))) /\ ((c5_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a836_ /\ (c4_2_ a836_ a837_ /\ (~(c1_2_ a836_ a837_) /\ (~(c2_2_ a836_ a837_) /\ (c5_1_ a836_ /\ c1_1_ a836_)))))) \/ (ndr1_0_ /\ ((forall X65 : Universe, (ndr1_1_ a838_ -> (c2_2_ a838_ X65 \/ (~(c4_2_ a838_ X65) \/ c3_2_ a838_ X65)))) /\ ~(c4_1_ a838_))))) /\ ((~(c5_0_) \/ (ndr1_0_ /\ (ndr1_1_ a839_ /\ (c4_2_ a839_ a840_ /\ (~(c5_2_ a839_ a840_) /\ (c2_2_ a839_ a840_ /\ (ndr1_1_ a839_ /\ (~(c2_2_ a839_ a841_) /\ (~(c4_2_ a839_ a841_) /\ (forall X66 : Universe, (ndr1_1_ a839_ -> (c4_2_ a839_ X66 \/ ~(c5_2_ a839_ X66))))))))))))) /\ ((~(c2_0_) \/ (c3_0_ \/ (forall X67 : Universe, (ndr1_0_ -> (~(c2_1_ X67) \/ (c3_1_ X67 \/ (ndr1_1_ X67 /\ (c4_2_ X67 a842_ /\ (c5_2_ X67 a842_ /\ ~(c2_2_ X67 a842_)))))))))) /\ ((c3_0_ \/ (forall X68 : Universe, (ndr1_0_ -> (c3_1_ X68 \/ c1_1_ X68)))) /\ ((~(c5_0_) \/ ~(c1_0_)) /\ ((~(c3_0_) \/ ((ndr1_0_ /\ (c5_1_ a843_ /\ ~(c1_1_ a843_))) \/ c4_0_)) /\ ((~(c4_0_) \/ (c5_0_ \/ ~(c2_0_))) /\ ((~(c1_0_) \/ (~(c5_0_) \/ c4_0_)) /\ ((~(c2_0_) \/ ((ndr1_0_ /\ ~(c3_1_ a844_)) \/ (ndr1_0_ /\ (~(c2_1_ a845_) /\ (~(c1_1_ a845_) /\ ~(c3_1_ a845_)))))) /\ ((c3_0_ \/ ((forall X69 : Universe, (ndr1_0_ -> (~(c3_1_ X69) \/ (~(c1_1_ X69) \/ (forall X70 : Universe, (ndr1_1_ X69 -> (c3_2_ X69 X70 \/ (c5_2_ X69 X70 \/ c4_2_ X69 X70)))))))) \/ (forall X71 : Universe, (ndr1_0_ -> ((ndr1_1_ X71 /\ (c4_2_ X71 a846_ /\ (c5_2_ X71 a846_ /\ c3_2_ X71 a846_))) \/ (c3_1_ X71 \/ ~(c1_1_ X71))))))) /\ (((forall X72 : Universe, (ndr1_0_ -> ((ndr1_1_ X72 /\ (c3_2_ X72 a847_ /\ ~(c4_2_ X72 a847_))) \/ ((ndr1_1_ X72 /\ (~(c5_2_ X72 a848_) /\ (c3_2_ X72 a848_ /\ ~(c4_2_ X72 a848_)))) \/ ~(c2_1_ X72))))) \/ ((forall X73 : Universe, (ndr1_0_ -> ((forall X74 : Universe, (ndr1_1_ X73 -> (~(c4_2_ X73 X74) \/ ~(c5_2_ X73 X74)))) \/ ~(c1_1_ X73)))) \/ ~(c2_0_))) /\ (((ndr1_0_ /\ (~(c5_1_ a849_) /\ (ndr1_1_ a849_ /\ (~(c3_2_ a849_ a850_) /\ (~(c4_2_ a849_ a850_) /\ (c1_2_ a849_ a850_ /\ (ndr1_1_ a849_ /\ (c1_2_ a849_ a851_ /\ ~(c5_2_ a849_ a851_))))))))) \/ ((ndr1_0_ /\ ((forall X75 : Universe, (ndr1_1_ a852_ -> (c1_2_ a852_ X75 \/ (~(c4_2_ a852_ X75) \/ ~(c5_2_ a852_ X75))))) /\ c1_1_ a852_)) \/ ~(c5_0_))) /\ (((ndr1_0_ /\ ((forall X76 : Universe, (ndr1_1_ a853_ -> (~(c1_2_ a853_ X76) \/ c2_2_ a853_ X76))) /\ (ndr1_1_ a853_ /\ (c3_2_ a853_ a854_ /\ (c2_2_ a853_ a854_ /\ (forall X77 : Universe, (ndr1_1_ a853_ -> (~(c1_2_ a853_ X77) \/ (c3_2_ a853_ X77 \/ c5_2_ a853_ X77))))))))) \/ ~(c5_0_)) /\ (((forall X78 : Universe, (ndr1_0_ -> (~(c2_1_ X78) \/ (c5_1_ X78 \/ ~(c3_1_ X78))))) \/ (c3_0_ \/ (ndr1_0_ /\ (ndr1_1_ a855_ /\ (c1_2_ a855_ a856_ /\ (c5_2_ a855_ a856_ /\ (c2_2_ a855_ a856_ /\ (~(c1_1_ a855_) /\ (forall X79 : Universe, (ndr1_1_ a855_ -> (c2_2_ a855_ X79 \/ (~(c5_2_ a855_ X79) \/ ~(c1_2_ a855_ X79))))))))))))) /\ ((c1_0_ \/ (~(c4_0_) \/ (forall X80 : Universe, (ndr1_0_ -> (~(c5_1_ X80) \/ ((ndr1_1_ X80 /\ (~(c4_2_ X80 a857_) /\ (c2_2_ X80 a857_ /\ ~(c5_2_ X80 a857_)))) \/ c2_1_ X80)))))) /\ (((ndr1_0_ /\ (c5_1_ a858_ /\ (ndr1_1_ a858_ /\ (~(c1_2_ a858_ a859_) /\ (c3_2_ a858_ a859_ /\ c2_2_ a858_ a859_))))) \/ c1_0_) /\ (((ndr1_0_ /\ (c2_1_ a860_ /\ (forall X81 : Universe, (ndr1_1_ a860_ -> (~(c4_2_ a860_ X81) \/ (~(c2_2_ a860_ X81) \/ ~(c1_2_ a860_ X81))))))) \/ ((ndr1_0_ /\ (~(c2_1_ a861_) /\ (~(c1_1_ a861_) /\ (ndr1_1_ a861_ /\ (c3_2_ a861_ a862_ /\ c1_2_ a861_ a862_))))) \/ ~(c4_0_))) /\ (((forall X82 : Universe, (ndr1_0_ -> (~(c5_1_ X82) \/ c3_1_ X82))) \/ ((ndr1_0_ /\ ((forall X83 : Universe, (ndr1_1_ a863_ -> (c3_2_ a863_ X83 \/ c4_2_ a863_ X83))) /\ (c5_1_ a863_ /\ ~(c1_1_ a863_)))) \/ (forall X84 : Universe, (ndr1_0_ -> (c3_1_ X84 \/ (~(c4_1_ X84) \/ c2_1_ X84)))))) /\ ((~(c1_0_) \/ (ndr1_0_ /\ (~(c4_1_ a864_) /\ (ndr1_1_ a864_ /\ (c1_2_ a864_ a865_ /\ (c2_2_ a864_ a865_ /\ c4_2_ a864_ a865_)))))) /\ ((~(c5_0_) \/ (forall X85 : Universe, (ndr1_0_ -> (~(c5_1_ X85) \/ ((ndr1_1_ X85 /\ (c3_2_ X85 a866_ /\ ~(c2_2_ X85 a866_))) \/ (forall X86 : Universe, (ndr1_1_ X85 -> (~(c3_2_ X85 X86) \/ (c2_2_ X85 X86 \/ c1_2_ X85 X86))))))))) /\ ((c4_0_ \/ c5_0_) /\ ((~(c5_0_) \/ (~(c3_0_) \/ (ndr1_0_ /\ (ndr1_1_ a867_ /\ (~(c3_2_ a867_ a868_) /\ (c5_2_ a867_ a868_ /\ ((forall X87 : Universe, (ndr1_1_ a867_ -> (c5_2_ a867_ X87 \/ (c3_2_ a867_ X87 \/ ~(c4_2_ a867_ X87))))) /\ (ndr1_1_ a867_ /\ (c2_2_ a867_ a869_ /\ (~(c4_2_ a867_ a869_) /\ c3_2_ a867_ a869_)))))))))) /\ (((forall X88 : Universe, (ndr1_0_ -> (~(c1_1_ X88) \/ ((ndr1_1_ X88 /\ (c1_2_ X88 a870_ /\ (~(c4_2_ X88 a870_) /\ ~(c3_2_ X88 a870_)))) \/ ~(c2_1_ X88))))) \/ ~(c1_0_)) /\ (((forall X89 : Universe, (ndr1_0_ -> ((ndr1_1_ X89 /\ (c3_2_ X89 a871_ /\ c5_2_ X89 a871_)) \/ (ndr1_1_ X89 /\ (~(c5_2_ X89 a872_) /\ (~(c4_2_ X89 a872_) /\ c3_2_ X89 a872_)))))) \/ (c4_0_ \/ ~(c5_0_))) /\ ((~(c1_0_) \/ (ndr1_0_ /\ (c3_1_ a873_ /\ (ndr1_1_ a873_ /\ (~(c3_2_ a873_ a874_) /\ (c5_2_ a873_ a874_ /\ ~(c1_2_ a873_ a874_))))))) /\ ((c3_0_ \/ (ndr1_0_ /\ (~(c4_1_ a875_) /\ (c2_1_ a875_ /\ (forall X90 : Universe, (ndr1_1_ a875_ -> (~(c1_2_ a875_ X90) \/ ~(c4_2_ a875_ X90)))))))) /\ ((c2_0_ \/ ~(c4_0_)) /\ ((~(c2_0_) \/ ((forall X91 : Universe, (ndr1_0_ -> ((ndr1_1_ X91 /\ (~(c2_2_ X91 a876_) /\ (c5_2_ X91 a876_ /\ c3_2_ X91 a876_))) \/ ((ndr1_1_ X91 /\ (c2_2_ X91 a877_ /\ (c4_2_ X91 a877_ /\ c1_2_ X91 a877_))) \/ c3_1_ X91)))) \/ (forall X92 : Universe, (ndr1_0_ -> (~(c5_1_ X92) \/ (~(c4_1_ X92) \/ (ndr1_1_ X92 /\ (~(c3_2_ X92 a878_) /\ (c5_2_ X92 a878_ /\ c2_2_ X92 a878_))))))))) /\ ((c3_0_ \/ (~(c5_0_) \/ ~(c1_0_))) /\ ((~(c2_0_) \/ ~(c1_0_)) /\ ((c3_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a879_ /\ (~(c3_2_ a879_ a880_) /\ (~(c4_2_ a879_ a880_) /\ (c2_1_ a879_ /\ (forall X93 : Universe, (ndr1_1_ a879_ -> (c2_2_ a879_ X93 \/ (~(c1_2_ a879_ X93) \/ ~(c4_2_ a879_ X93)))))))))) \/ ~(c4_0_))) /\ ((c1_0_ \/ (forall X94 : Universe, (ndr1_0_ -> (~(c4_1_ X94) \/ (c2_1_ X94 \/ ~(c3_1_ X94)))))) /\ ((c1_0_ \/ (c5_0_ \/ (forall X95 : Universe, (ndr1_0_ -> ((ndr1_1_ X95 /\ (c2_2_ X95 a881_ /\ ~(c5_2_ X95 a881_))) \/ ((ndr1_1_ X95 /\ (~(c3_2_ X95 a882_) /\ (~(c2_2_ X95 a882_) /\ c5_2_ X95 a882_))) \/ c1_1_ X95)))))) /\ (((forall X96 : Universe, (ndr1_0_ -> ((forall X97 : Universe, (ndr1_1_ X96 -> (~(c3_2_ X96 X97) \/ (c5_2_ X96 X97 \/ c2_2_ X96 X97)))) \/ (c5_1_ X96 \/ (forall X98 : Universe, (ndr1_1_ X96 -> (c5_2_ X96 X98 \/ (c3_2_ X96 X98 \/ c1_2_ X96 X98)))))))) \/ (c4_0_ \/ c3_0_)) /\ (((forall X99 : Universe, (ndr1_0_ -> (c5_1_ X99 \/ ((ndr1_1_ X99 /\ (~(c2_2_ X99 a883_) /\ (c1_2_ X99 a883_ /\ c3_2_ X99 a883_))) \/ (ndr1_1_ X99 /\ (c4_2_ X99 a884_ /\ (~(c2_2_ X99 a884_) /\ ~(c3_2_ X99 a884_)))))))) \/ ((forall X100 : Universe, (ndr1_0_ -> (~(c4_1_ X100) \/ ((forall X101 : Universe, (ndr1_1_ X100 -> (~(c5_2_ X100 X101) \/ (c1_2_ X100 X101 \/ c4_2_ X100 X101)))) \/ c3_1_ X100)))) \/ c1_0_)) /\ ((~(c1_0_) \/ (c3_0_ \/ (ndr1_0_ /\ ((forall X102 : Universe, (ndr1_1_ a885_ -> (~(c1_2_ a885_ X102) \/ ~(c3_2_ a885_ X102)))) /\ ~(c5_1_ a885_))))) /\ (((forall X103 : Universe, (ndr1_0_ -> ((forall X104 : Universe, (ndr1_1_ X103 -> (~(c2_2_ X103 X104) \/ c5_2_ X103 X104))) \/ (ndr1_1_ X103 /\ (c4_2_ X103 a886_ /\ c5_2_ X103 a886_))))) \/ ~(c5_0_)) /\ (((ndr1_0_ /\ (ndr1_1_ a887_ /\ (~(c4_2_ a887_ a888_) /\ (c1_2_ a887_ a888_ /\ (c3_2_ a887_ a888_ /\ c5_1_ a887_))))) \/ ((forall X105 : Universe, (ndr1_0_ -> (~(c1_1_ X105) \/ ((ndr1_1_ X105 /\ (c2_2_ X105 a889_ /\ (~(c4_2_ X105 a889_) /\ c3_2_ X105 a889_))) \/ (ndr1_1_ X105 /\ (c4_2_ X105 a890_ /\ (c2_2_ X105 a890_ /\ c3_2_ X105 a890_))))))) \/ (ndr1_0_ /\ ((forall X106 : Universe, (ndr1_1_ a891_ -> (~(c1_2_ a891_ X106) \/ (~(c5_2_ a891_ X106) \/ ~(c4_2_ a891_ X106))))) /\ (~(c3_1_ a891_) /\ (forall X107 : Universe, (ndr1_1_ a891_ -> (~(c5_2_ a891_ X107) \/ c3_2_ a891_ X107)))))))) /\ ((c5_0_ \/ (forall X108 : Universe, (ndr1_0_ -> (~(c3_1_ X108) \/ c1_1_ X108)))) /\ (((ndr1_0_ /\ ((forall X109 : Universe, (ndr1_1_ a892_ -> (c1_2_ a892_ X109 \/ (c3_2_ a892_ X109 \/ ~(c2_2_ a892_ X109))))) /\ (c5_1_ a892_ /\ ~(c4_1_ a892_)))) \/ ((ndr1_0_ /\ ((forall X110 : Universe, (ndr1_1_ a893_ -> (c1_2_ a893_ X110 \/ c4_2_ a893_ X110))) /\ (~(c5_1_ a893_) /\ (forall X111 : Universe, (ndr1_1_ a893_ -> (c4_2_ a893_ X111 \/ ~(c5_2_ a893_ X111))))))) \/ (ndr1_0_ /\ (~(c2_1_ a894_) /\ (c4_1_ a894_ /\ (ndr1_1_ a894_ /\ (~(c5_2_ a894_ a895_) /\ (c3_2_ a894_ a895_ /\ ~(c1_2_ a894_ a895_))))))))) /\ (c5_0_ \/ (forall X112 : Universe, (ndr1_0_ -> ((ndr1_1_ X112 /\ (~(c5_2_ X112 a896_) /\ (c3_2_ X112 a896_ /\ ~(c2_2_ X112 a896_)))) \/ ((forall X113 : Universe, (ndr1_1_ X112 -> (c3_2_ X112 X113 \/ (~(c4_2_ X112 X113) \/ c1_2_ X112 X113)))) \/ c5_1_ X112)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
