(*
% File     : SYN514+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=110, K=3, D=2, P=0, Index=042
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-110-3-2-042.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.50 v3.1.0, 0.83 v2.7.0, 1.00 v2.6.0, 0.75 v2.5.0, 0.67 v2.4.0, 0.33 v2.3.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  739 (   0 equality)
%            Maximal formula depth :   77 (  77 average)
%            Number of connectives :  992 ( 254 ~  ; 319  |; 297  &)
%                                         (   0 <=>; 122 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :   90 (  90 constant; 0-0 arity)
%            Number of variables   :  122 (   0 singleton; 122 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a264_ : Universe.
Variable a263_ : Universe.
Variable a262_ : Universe.
Variable a261_ : Universe.
Variable a260_ : Universe.
Variable a259_ : Universe.
Variable a258_ : Universe.
Variable a257_ : Universe.
Variable a256_ : Universe.
Variable a255_ : Universe.
Variable a254_ : Universe.
Variable a253_ : Universe.
Variable a252_ : Universe.
Variable a251_ : Universe.
Variable a250_ : Universe.
Variable a249_ : Universe.
Variable a248_ : Universe.
Variable a247_ : Universe.
Variable a246_ : Universe.
Variable a245_ : Universe.
Variable a244_ : Universe.
Variable a243_ : Universe.
Variable a242_ : Universe.
Variable a241_ : Universe.
Variable a240_ : Universe.
Variable a239_ : Universe.
Variable a238_ : Universe.
Variable a237_ : Universe.
Variable a236_ : Universe.
Variable a235_ : Universe.
Variable a234_ : Universe.
Variable a233_ : Universe.
Variable a232_ : Universe.
Variable a231_ : Universe.
Variable a230_ : Universe.
Variable a229_ : Universe.
Variable a228_ : Universe.
Variable a227_ : Universe.
Variable a226_ : Universe.
Variable a225_ : Universe.
Variable a224_ : Universe.
Variable a223_ : Universe.
Variable a222_ : Universe.
Variable a221_ : Universe.
Variable a220_ : Universe.
Variable a219_ : Universe.
Variable a218_ : Universe.
Variable a217_ : Universe.
Variable a216_ : Universe.
Variable a215_ : Universe.
Variable a214_ : Universe.
Variable a213_ : Universe.
Variable a212_ : Universe.
Variable a211_ : Universe.
Variable a210_ : Universe.
Variable a209_ : Universe.
Variable a208_ : Universe.
Variable a207_ : Universe.
Variable a206_ : Universe.
Variable a205_ : Universe.
Variable a204_ : Universe.
Variable a203_ : Universe.
Variable a202_ : Universe.
Variable a201_ : Universe.
Variable a200_ : Universe.
Variable a199_ : Universe.
Variable a198_ : Universe.
Variable a197_ : Universe.
Variable a196_ : Universe.
Variable a195_ : Universe.
Variable a194_ : Universe.
Variable a193_ : Universe.
Variable a192_ : Universe.
Variable a191_ : Universe.
Variable a190_ : Universe.
Variable a189_ : Universe.
Variable a188_ : Universe.
Variable a187_ : Universe.
Variable a186_ : Universe.
Variable a185_ : Universe.
Variable a184_ : Universe.
Variable a183_ : Universe.
Variable a182_ : Universe.
Variable a181_ : Universe.
Variable a180_ : Universe.
Variable a179_ : Universe.
Variable a178_ : Universe.
Variable a177_ : Universe.
Variable a176_ : Universe.
Variable a175_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~((~(c4_0_) /\ ((c1_0_ \/ (c3_0_ \/ (forall U : Universe, (ndr1_0_ -> (~(c2_1_ U) \/ ((forall V : Universe, (ndr1_1_ U -> (c5_2_ U V \/ (~(c3_2_ U V) \/ ~(c4_2_ U V))))) \/ (forall W : Universe, (ndr1_1_ U -> (~(c1_2_ U W) \/ (~(c3_2_ U W) \/ ~(c5_2_ U W))))))))))) /\ ((c1_0_ \/ (c5_0_ \/ ~(c2_0_))) /\ ((c1_0_ \/ (~(c2_0_) \/ ~(c5_0_))) /\ ((c1_0_ \/ (~(c2_0_) \/ (forall X : Universe, (ndr1_0_ -> ((ndr1_1_ X /\ (c3_2_ X a175_ /\ (c5_2_ X a175_ /\ ~(c4_2_ X a175_)))) \/ (ndr1_1_ X /\ (c3_2_ X a176_ /\ (~(c2_2_ X a176_) /\ ~(c5_2_ X a176_))))))))) /\ ((c1_0_ \/ (~(c3_0_) \/ (ndr1_0_ /\ (c3_1_ a177_ /\ ((forall Y : Universe, (ndr1_1_ a177_ -> (c2_2_ a177_ Y \/ ~(c5_2_ a177_ Y)))) /\ (forall Z : Universe, (ndr1_1_ a177_ -> (c4_2_ a177_ Z \/ (c5_2_ a177_ Z \/ ~(c1_2_ a177_ Z)))))))))) /\ ((c1_0_ \/ (~(c5_0_) \/ (forall X1 : Universe, (ndr1_0_ -> (~(c1_1_ X1) \/ ((forall X2 : Universe, (ndr1_1_ X1 -> (c3_2_ X1 X2 \/ ~(c5_2_ X1 X2)))) \/ (forall X3 : Universe, (ndr1_1_ X1 -> (~(c2_2_ X1 X3) \/ ~(c3_2_ X1 X3)))))))))) /\ ((c1_0_ \/ (forall X4 : Universe, (ndr1_0_ -> (~(c5_1_ X4) \/ (ndr1_1_ X4 /\ (c3_2_ X4 a178_ /\ (c4_2_ X4 a178_ /\ c5_2_ X4 a178_))))))) /\ ((c1_0_ \/ (ndr1_0_ /\ (~(c3_1_ a179_) /\ (ndr1_1_ a179_ /\ (c5_2_ a179_ a180_ /\ (~(c1_2_ a179_ a180_) /\ ~(c3_2_ a179_ a180_))))))) /\ ((c2_0_ \/ (c3_0_ \/ (forall X5 : Universe, (ndr1_0_ -> (c5_1_ X5 \/ (~(c1_1_ X5) \/ (forall X6 : Universe, (ndr1_1_ X5 -> (c3_2_ X5 X6 \/ (c5_2_ X5 X6 \/ ~(c4_2_ X5 X6))))))))))) /\ ((c2_0_ \/ (c5_0_ \/ (forall X7 : Universe, (ndr1_0_ -> (c5_1_ X7 \/ ((forall X8 : Universe, (ndr1_1_ X7 -> (c1_2_ X7 X8 \/ ~(c4_2_ X7 X8)))) \/ (ndr1_1_ X7 /\ (c1_2_ X7 a181_ /\ (c5_2_ X7 a181_ /\ ~(c3_2_ X7 a181_)))))))))) /\ ((c2_0_ \/ (~(c3_0_) \/ (ndr1_0_ /\ (~(c2_1_ a182_) /\ (forall X9 : Universe, (ndr1_1_ a182_ -> (c1_2_ a182_ X9 \/ (c5_2_ a182_ X9 \/ ~(c4_2_ a182_ X9))))))))) /\ ((c2_0_ \/ ~(c5_0_)) /\ ((c2_0_ \/ (~(c5_0_) \/ (forall X10 : Universe, (ndr1_0_ -> (~(c4_1_ X10) \/ ((forall X11 : Universe, (ndr1_1_ X10 -> (c3_2_ X10 X11 \/ ~(c4_2_ X10 X11)))) \/ (ndr1_1_ X10 /\ (c2_2_ X10 a183_ /\ (c4_2_ X10 a183_ /\ ~(c3_2_ X10 a183_)))))))))) /\ ((c2_0_ \/ (forall X12 : Universe, (ndr1_0_ -> (c2_1_ X12 \/ (~(c3_1_ X12) \/ ~(c4_1_ X12)))))) /\ ((c2_0_ \/ (forall X13 : Universe, (ndr1_0_ -> (~(c5_1_ X13) \/ ((forall X14 : Universe, (ndr1_1_ X13 -> (c3_2_ X13 X14 \/ (c4_2_ X13 X14 \/ c5_2_ X13 X14)))) \/ (ndr1_1_ X13 /\ (c1_2_ X13 a184_ /\ (c3_2_ X13 a184_ /\ ~(c4_2_ X13 a184_))))))))) /\ ((c2_0_ \/ ((ndr1_0_ /\ (c2_1_ a185_ /\ (forall X15 : Universe, (ndr1_1_ a185_ -> (c4_2_ a185_ X15 \/ ~(c2_2_ a185_ X15)))))) \/ (ndr1_0_ /\ (~(c1_1_ a186_) /\ ((forall X16 : Universe, (ndr1_1_ a186_ -> (~(c1_2_ a186_ X16) \/ (~(c2_2_ a186_ X16) \/ ~(c3_2_ a186_ X16))))) /\ (ndr1_1_ a186_ /\ (c1_2_ a186_ a187_ /\ (~(c2_2_ a186_ a187_) /\ ~(c3_2_ a186_ a187_))))))))) /\ ((c2_0_ \/ (ndr1_0_ /\ (c5_1_ a188_ /\ ((forall X17 : Universe, (ndr1_1_ a188_ -> (c2_2_ a188_ X17 \/ (~(c3_2_ a188_ X17) \/ ~(c4_2_ a188_ X17))))) /\ (forall X18 : Universe, (ndr1_1_ a188_ -> (c2_2_ a188_ X18 \/ ~(c4_2_ a188_ X18)))))))) /\ ((c3_0_ \/ (ndr1_0_ /\ (~(c3_1_ a189_) /\ (forall X19 : Universe, (ndr1_1_ a189_ -> (c1_2_ a189_ X19 \/ (~(c4_2_ a189_ X19) \/ ~(c5_2_ a189_ X19)))))))) /\ ((c3_0_ \/ (c5_0_ \/ (forall X20 : Universe, (ndr1_0_ -> (~(c5_1_ X20) \/ ((forall X21 : Universe, (ndr1_1_ X20 -> (c3_2_ X20 X21 \/ (c4_2_ X20 X21 \/ ~(c1_2_ X20 X21))))) \/ (ndr1_1_ X20 /\ (c1_2_ X20 a190_ /\ (c2_2_ X20 a190_ /\ ~(c5_2_ X20 a190_)))))))))) /\ ((c3_0_ \/ (c5_0_ \/ (ndr1_0_ /\ (c2_1_ a191_ /\ ~(c1_1_ a191_))))) /\ ((c3_0_ \/ (c5_0_ \/ (ndr1_0_ /\ (c2_1_ a192_ /\ (~(c4_1_ a192_) /\ (forall X22 : Universe, (ndr1_1_ a192_ -> (c2_2_ a192_ X22 \/ (c3_2_ a192_ X22 \/ ~(c5_2_ a192_ X22)))))))))) /\ ((c3_0_ \/ (c5_0_ \/ (ndr1_0_ /\ (c5_1_ a193_ /\ ((forall X23 : Universe, (ndr1_1_ a193_ -> (c1_2_ a193_ X23 \/ (c3_2_ a193_ X23 \/ c4_2_ a193_ X23)))) /\ (forall X24 : Universe, (ndr1_1_ a193_ -> (c3_2_ a193_ X24 \/ (~(c4_2_ a193_ X24) \/ ~(c5_2_ a193_ X24)))))))))) /\ ((c3_0_ \/ (~(c5_0_) \/ (ndr1_0_ /\ (c1_1_ a194_ /\ (~(c3_1_ a194_) /\ (forall X25 : Universe, (ndr1_1_ a194_ -> (c5_2_ a194_ X25 \/ (~(c1_2_ a194_ X25) \/ ~(c4_2_ a194_ X25)))))))))) /\ ((c3_0_ \/ ((forall X26 : Universe, (ndr1_0_ -> (c1_1_ X26 \/ (c2_1_ X26 \/ (ndr1_1_ X26 /\ (c1_2_ X26 a195_ /\ (c3_2_ X26 a195_ /\ c5_2_ X26 a195_))))))) \/ (forall X27 : Universe, (ndr1_0_ -> ((forall X28 : Universe, (ndr1_1_ X27 -> (~(c1_2_ X27 X28) \/ ~(c2_2_ X27 X28)))) \/ ((forall X29 : Universe, (ndr1_1_ X27 -> (~(c3_2_ X27 X29) \/ (~(c4_2_ X27 X29) \/ ~(c5_2_ X27 X29))))) \/ (ndr1_1_ X27 /\ (c4_2_ X27 a196_ /\ (~(c3_2_ X27 a196_) /\ ~(c5_2_ X27 a196_)))))))))) /\ ((c3_0_ \/ ((forall X30 : Universe, (ndr1_0_ -> (c2_1_ X30 \/ (c4_1_ X30 \/ (forall X31 : Universe, (ndr1_1_ X30 -> (c4_2_ X30 X31 \/ (~(c1_2_ X30 X31) \/ ~(c2_2_ X30 X31))))))))) \/ (forall X32 : Universe, (ndr1_0_ -> (c5_1_ X32 \/ (~(c2_1_ X32) \/ (ndr1_1_ X32 /\ (~(c1_2_ X32 a197_) /\ (~(c2_2_ X32 a197_) /\ ~(c5_2_ X32 a197_)))))))))) /\ ((c3_0_ \/ ((forall X33 : Universe, (ndr1_0_ -> (~(c4_1_ X33) \/ (~(c5_1_ X33) \/ (ndr1_1_ X33 /\ (c5_2_ X33 a198_ /\ ~(c1_2_ X33 a198_))))))) \/ (ndr1_0_ /\ (~(c1_1_ a199_) /\ (~(c4_1_ a199_) /\ (forall X34 : Universe, (ndr1_1_ a199_ -> (c3_2_ a199_ X34 \/ (~(c1_2_ a199_ X34) \/ ~(c4_2_ a199_ X34)))))))))) /\ ((c3_0_ \/ ((ndr1_0_ /\ c2_1_ a200_) \/ (ndr1_0_ /\ (c2_1_ a201_ /\ ~(c1_1_ a201_))))) /\ ((c5_0_ \/ ~(c2_0_)) /\ ((c5_0_ \/ (ndr1_0_ /\ (c3_1_ a202_ /\ (forall X35 : Universe, (ndr1_1_ a202_ -> (c2_2_ a202_ X35 \/ (c5_2_ a202_ X35 \/ ~(c1_2_ a202_ X35)))))))) /\ ((~(c5_0_) \/ (forall X36 : Universe, (ndr1_0_ -> (c2_1_ X36 \/ ((ndr1_1_ X36 /\ (c4_2_ X36 a203_ /\ ~(c1_2_ X36 a203_))) \/ (ndr1_1_ X36 /\ (c4_2_ X36 a204_ /\ ~(c2_2_ X36 a204_)))))))) /\ (((forall X37 : Universe, (ndr1_0_ -> (c2_1_ X37 \/ (c5_1_ X37 \/ (forall X38 : Universe, (ndr1_1_ X37 -> (c3_2_ X37 X38 \/ (~(c2_2_ X37 X38) \/ ~(c4_2_ X37 X38))))))))) \/ (forall X39 : Universe, (ndr1_0_ -> (c4_1_ X39 \/ ((forall X40 : Universe, (ndr1_1_ X39 -> (c2_2_ X39 X40 \/ (~(c1_2_ X39 X40) \/ ~(c3_2_ X39 X40))))) \/ (ndr1_1_ X39 /\ (c3_2_ X39 a205_ /\ (c4_2_ X39 a205_ /\ c5_2_ X39 a205_)))))))) /\ (((forall X41 : Universe, (ndr1_0_ -> (c4_1_ X41 \/ ((forall X42 : Universe, (ndr1_1_ X41 -> (c2_2_ X41 X42 \/ ~(c1_2_ X41 X42)))) \/ (ndr1_1_ X41 /\ (c3_2_ X41 a206_ /\ c5_2_ X41 a206_)))))) \/ (ndr1_0_ /\ (c4_1_ a207_ /\ (~(c2_1_ a207_) /\ (ndr1_1_ a207_ /\ (c4_2_ a207_ a208_ /\ (c5_2_ a207_ a208_ /\ ~(c3_2_ a207_ a208_)))))))) /\ ((c5_0_ \/ (~(c1_0_) \/ (ndr1_0_ /\ (c3_1_ a209_ /\ (~(c4_1_ a209_) /\ (ndr1_1_ a209_ /\ (c2_2_ a209_ a210_ /\ ~(c3_2_ a209_ a210_)))))))) /\ ((c5_0_ \/ ~(c2_0_)) /\ ((c5_0_ \/ (~(c3_0_) \/ (ndr1_0_ /\ (c3_1_ a211_ /\ ((forall X43 : Universe, (ndr1_1_ a211_ -> (c2_2_ a211_ X43 \/ (c5_2_ a211_ X43 \/ ~(c1_2_ a211_ X43))))) /\ (ndr1_1_ a211_ /\ (c2_2_ a211_ a212_ /\ (c5_2_ a211_ a212_ /\ ~(c1_2_ a211_ a212_))))))))) /\ ((c5_0_ \/ ((forall X44 : Universe, (ndr1_0_ -> (c2_1_ X44 \/ (ndr1_1_ X44 /\ (c4_2_ X44 a213_ /\ ~(c2_2_ X44 a213_)))))) \/ (ndr1_0_ /\ (~(c3_1_ a214_) /\ ((forall X45 : Universe, (ndr1_1_ a214_ -> (c3_2_ a214_ X45 \/ (~(c2_2_ a214_ X45) \/ ~(c4_2_ a214_ X45))))) /\ (ndr1_1_ a214_ /\ (~(c1_2_ a214_ a215_) /\ (~(c3_2_ a214_ a215_) /\ ~(c5_2_ a214_ a215_))))))))) /\ ((c5_0_ \/ (forall X46 : Universe, (ndr1_0_ -> (c3_1_ X46 \/ ((ndr1_1_ X46 /\ (c2_2_ X46 a216_ /\ ~(c3_2_ X46 a216_))) \/ (ndr1_1_ X46 /\ (c3_2_ X46 a217_ /\ ~(c2_2_ X46 a217_)))))))) /\ ((c5_0_ \/ ((forall X47 : Universe, (ndr1_0_ -> (~(c1_1_ X47) \/ ((forall X48 : Universe, (ndr1_1_ X47 -> (c1_2_ X47 X48 \/ (c4_2_ X47 X48 \/ c5_2_ X47 X48)))) \/ (ndr1_1_ X47 /\ (c1_2_ X47 a218_ /\ (c2_2_ X47 a218_ /\ ~(c5_2_ X47 a218_)))))))) \/ (ndr1_0_ /\ (~(c3_1_ a219_) /\ (ndr1_1_ a219_ /\ (c2_2_ a219_ a220_ /\ ~(c3_2_ a219_ a220_))))))) /\ ((c5_0_ \/ (forall X49 : Universe, (ndr1_0_ -> ((forall X50 : Universe, (ndr1_1_ X49 -> (c1_2_ X49 X50 \/ (c5_2_ X49 X50 \/ ~(c4_2_ X49 X50))))) \/ ((forall X51 : Universe, (ndr1_1_ X49 -> (c2_2_ X49 X51 \/ (~(c1_2_ X49 X51) \/ ~(c5_2_ X49 X51))))) \/ (ndr1_1_ X49 /\ (c2_2_ X49 a221_ /\ (c4_2_ X49 a221_ /\ c5_2_ X49 a221_)))))))) /\ ((c5_0_ \/ (forall X52 : Universe, (ndr1_0_ -> ((forall X53 : Universe, (ndr1_1_ X52 -> (c1_2_ X52 X53 \/ ~(c5_2_ X52 X53)))) \/ ((ndr1_1_ X52 /\ (c1_2_ X52 a222_ /\ ~(c2_2_ X52 a222_))) \/ (ndr1_1_ X52 /\ (c2_2_ X52 a223_ /\ (c3_2_ X52 a223_ /\ ~(c5_2_ X52 a223_))))))))) /\ ((c5_0_ \/ (forall X54 : Universe, (ndr1_0_ -> ((forall X55 : Universe, (ndr1_1_ X54 -> (c2_2_ X54 X55 \/ (~(c3_2_ X54 X55) \/ ~(c5_2_ X54 X55))))) \/ ((forall X56 : Universe, (ndr1_1_ X54 -> (c3_2_ X54 X56 \/ (c5_2_ X54 X56 \/ ~(c4_2_ X54 X56))))) \/ (ndr1_1_ X54 /\ (c1_2_ X54 a224_ /\ (c4_2_ X54 a224_ /\ ~(c5_2_ X54 a224_))))))))) /\ ((c5_0_ \/ ((ndr1_0_ /\ (c3_1_ a225_ /\ (c4_1_ a225_ /\ (forall X57 : Universe, (ndr1_1_ a225_ -> (c1_2_ a225_ X57 \/ ~(c2_2_ a225_ X57))))))) \/ (ndr1_0_ /\ ((forall X58 : Universe, (ndr1_1_ a226_ -> (c1_2_ a226_ X58 \/ (~(c2_2_ a226_ X58) \/ ~(c4_2_ a226_ X58))))) /\ (forall X59 : Universe, (ndr1_1_ a226_ -> (~(c2_2_ a226_ X59) \/ (~(c3_2_ a226_ X59) \/ ~(c4_2_ a226_ X59))))))))) /\ ((~(c1_0_) \/ ~(c2_0_)) /\ ((~(c1_0_) \/ (~(c2_0_) \/ ~(c3_0_))) /\ ((~(c1_0_) \/ (~(c3_0_) \/ ~(c5_0_))) /\ ((~(c1_0_) \/ (~(c3_0_) \/ (ndr1_0_ /\ (c3_1_ a227_ /\ ((forall X60 : Universe, (ndr1_1_ a227_ -> (c2_2_ a227_ X60 \/ (~(c3_2_ a227_ X60) \/ ~(c4_2_ a227_ X60))))) /\ (ndr1_1_ a227_ /\ (c4_2_ a227_ a228_ /\ (~(c2_2_ a227_ a228_) /\ ~(c5_2_ a227_ a228_))))))))) /\ ((~(c1_0_) \/ (~(c5_0_) \/ (ndr1_0_ /\ (~(c3_1_ a229_) /\ (~(c4_1_ a229_) /\ (ndr1_1_ a229_ /\ (c3_2_ a229_ a230_ /\ c4_2_ a229_ a230_))))))) /\ ((~(c1_0_) \/ ((forall X61 : Universe, (ndr1_0_ -> (c4_1_ X61 \/ (~(c1_1_ X61) \/ (forall X62 : Universe, (ndr1_1_ X61 -> (c1_2_ X61 X62 \/ ~(c4_2_ X61 X62)))))))) \/ (ndr1_0_ /\ (~(c2_1_ a231_) /\ (ndr1_1_ a231_ /\ (c1_2_ a231_ a232_ /\ (c2_2_ a231_ a232_ /\ c5_2_ a231_ a232_))))))) /\ ((~(c1_0_) \/ ((forall X63 : Universe, (ndr1_0_ -> (c4_1_ X63 \/ ((forall X64 : Universe, (ndr1_1_ X63 -> (c3_2_ X63 X64 \/ (~(c4_2_ X63 X64) \/ ~(c5_2_ X63 X64))))) \/ (ndr1_1_ X63 /\ (c3_2_ X63 a233_ /\ ~(c5_2_ X63 a233_))))))) \/ (forall X65 : Universe, (ndr1_0_ -> (c5_1_ X65 \/ (~(c4_1_ X65) \/ (forall X66 : Universe, (ndr1_1_ X65 -> (c2_2_ X65 X66 \/ ~(c3_2_ X65 X66)))))))))) /\ ((~(c1_0_) \/ ((forall X67 : Universe, (ndr1_0_ -> (~(c5_1_ X67) \/ ((forall X68 : Universe, (ndr1_1_ X67 -> (c1_2_ X67 X68 \/ ~(c3_2_ X67 X68)))) \/ (ndr1_1_ X67 /\ (c5_2_ X67 a234_ /\ ~(c4_2_ X67 a234_))))))) \/ (ndr1_0_ /\ (~(c1_1_ a235_) /\ ((forall X69 : Universe, (ndr1_1_ a235_ -> (c3_2_ a235_ X69 \/ (c4_2_ a235_ X69 \/ ~(c5_2_ a235_ X69))))) /\ (ndr1_1_ a235_ /\ (~(c2_2_ a235_ a236_) /\ (~(c4_2_ a235_ a236_) /\ ~(c5_2_ a235_ a236_))))))))) /\ ((~(c2_0_) \/ (ndr1_0_ /\ (c3_1_ a237_ /\ (~(c4_1_ a237_) /\ (forall X70 : Universe, (ndr1_1_ a237_ -> (c5_2_ a237_ X70 \/ ~(c3_2_ a237_ X70)))))))) /\ ((~(c3_0_) \/ ~(c5_0_)) /\ ((~(c3_0_) \/ (forall X71 : Universe, (ndr1_0_ -> (c1_1_ X71 \/ (forall X72 : Universe, (ndr1_1_ X71 -> (~(c1_2_ X71 X72) \/ ~(c3_2_ X71 X72)))))))) /\ ((~(c3_0_) \/ ((forall X73 : Universe, (ndr1_0_ -> (c3_1_ X73 \/ (c5_1_ X73 \/ (ndr1_1_ X73 /\ (c4_2_ X73 a238_ /\ ~(c1_2_ X73 a238_))))))) \/ (forall X74 : Universe, (ndr1_0_ -> (c5_1_ X74 \/ ((forall X75 : Universe, (ndr1_1_ X74 -> (c4_2_ X74 X75 \/ (~(c1_2_ X74 X75) \/ ~(c3_2_ X74 X75))))) \/ (forall X76 : Universe, (ndr1_1_ X74 -> (~(c1_2_ X74 X76) \/ (~(c3_2_ X74 X76) \/ ~(c4_2_ X74 X76))))))))))) /\ ((~(c3_0_) \/ ((forall X77 : Universe, (ndr1_0_ -> (c4_1_ X77 \/ (c5_1_ X77 \/ ~(c1_1_ X77))))) \/ (forall X78 : Universe, (ndr1_0_ -> (c5_1_ X78 \/ (forall X79 : Universe, (ndr1_1_ X78 -> (c2_2_ X78 X79 \/ (c5_2_ X78 X79 \/ ~(c1_2_ X78 X79)))))))))) /\ ((~(c3_0_) \/ ((forall X80 : Universe, (ndr1_0_ -> (c4_1_ X80 \/ ~(c5_1_ X80)))) \/ (forall X81 : Universe, (ndr1_0_ -> (~(c3_1_ X81) \/ (~(c5_1_ X81) \/ (ndr1_1_ X81 /\ (c1_2_ X81 a239_ /\ (c3_2_ X81 a239_ /\ c4_2_ X81 a239_))))))))) /\ ((~(c3_0_) \/ ((forall X82 : Universe, (ndr1_0_ -> (c5_1_ X82 \/ ((forall X83 : Universe, (ndr1_1_ X82 -> (c4_2_ X82 X83 \/ (~(c1_2_ X82 X83) \/ ~(c2_2_ X82 X83))))) \/ (forall X84 : Universe, (ndr1_1_ X82 -> (~(c1_2_ X82 X84) \/ ~(c5_2_ X82 X84)))))))) \/ (ndr1_0_ /\ (c2_1_ a240_ /\ ~(c3_1_ a240_))))) /\ (((forall X85 : Universe, (ndr1_0_ -> (c1_1_ X85 \/ (~(c2_1_ X85) \/ (forall X86 : Universe, (ndr1_1_ X85 -> (c1_2_ X85 X86 \/ (c3_2_ X85 X86 \/ ~(c4_2_ X85 X86))))))))) \/ ((forall X87 : Universe, (ndr1_0_ -> (c1_1_ X87 \/ (~(c2_1_ X87) \/ (forall X88 : Universe, (ndr1_1_ X87 -> (c1_2_ X87 X88 \/ c4_2_ X87 X88))))))) \/ (ndr1_0_ /\ (c4_1_ a241_ /\ ((forall X89 : Universe, (ndr1_1_ a241_ -> ~(c4_2_ a241_ X89))) /\ (ndr1_1_ a241_ /\ (c3_2_ a241_ a242_ /\ (~(c2_2_ a241_ a242_) /\ ~(c4_2_ a241_ a242_))))))))) /\ (((forall X90 : Universe, (ndr1_0_ -> (c2_1_ X90 \/ (c3_1_ X90 \/ (forall X91 : Universe, (ndr1_1_ X90 -> (c3_2_ X90 X91 \/ (~(c2_2_ X90 X91) \/ ~(c4_2_ X90 X91))))))))) \/ ((forall X92 : Universe, (ndr1_0_ -> (~(c4_1_ X92) \/ (forall X93 : Universe, (ndr1_1_ X92 -> (~(c1_2_ X92 X93) \/ (~(c2_2_ X92 X93) \/ ~(c5_2_ X92 X93)))))))) \/ (ndr1_0_ /\ (~(c2_1_ a243_) /\ ((forall X94 : Universe, (ndr1_1_ a243_ -> (c1_2_ a243_ X94 \/ (c4_2_ a243_ X94 \/ ~(c3_2_ a243_ X94))))) /\ (ndr1_1_ a243_ /\ (c2_2_ a243_ a244_ /\ ~(c3_2_ a243_ a244_)))))))) /\ (((forall X95 : Universe, (ndr1_0_ -> (c2_1_ X95 \/ ((forall X96 : Universe, (ndr1_1_ X95 -> (c1_2_ X95 X96 \/ (c5_2_ X95 X96 \/ ~(c4_2_ X95 X96))))) \/ (forall X97 : Universe, (ndr1_1_ X95 -> (c2_2_ X95 X97 \/ ~(c5_2_ X95 X97)))))))) \/ ((forall X98 : Universe, (ndr1_0_ -> (c3_1_ X98 \/ (forall X99 : Universe, (ndr1_1_ X98 -> (c1_2_ X98 X99 \/ c2_2_ X98 X99)))))) \/ (forall X100 : Universe, (ndr1_0_ -> (c4_1_ X100 \/ (~(c5_1_ X100) \/ (forall X101 : Universe, (ndr1_1_ X100 -> (c2_2_ X100 X101 \/ (c4_2_ X100 X101 \/ ~(c5_2_ X100 X101))))))))))) /\ (((forall X102 : Universe, (ndr1_0_ -> (c3_1_ X102 \/ ((ndr1_1_ X102 /\ (c1_2_ X102 a245_ /\ (c4_2_ X102 a245_ /\ c5_2_ X102 a245_))) \/ (ndr1_1_ X102 /\ (~(c1_2_ X102 a246_) /\ (~(c4_2_ X102 a246_) /\ ~(c5_2_ X102 a246_)))))))) \/ ((forall X103 : Universe, (ndr1_0_ -> (c4_1_ X103 \/ (~(c3_1_ X103) \/ (ndr1_1_ X103 /\ (c3_2_ X103 a247_ /\ ~(c4_2_ X103 a247_))))))) \/ (ndr1_0_ /\ (c4_1_ a248_ /\ ~(c5_1_ a248_))))) /\ (((forall X104 : Universe, (ndr1_0_ -> (c4_1_ X104 \/ ~(c1_1_ X104)))) \/ ((forall X105 : Universe, (ndr1_0_ -> (~(c3_1_ X105) \/ (~(c5_1_ X105) \/ (forall X106 : Universe, (ndr1_1_ X105 -> (c2_2_ X105 X106 \/ (c3_2_ X105 X106 \/ ~(c5_2_ X105 X106))))))))) \/ (ndr1_0_ /\ ((forall X107 : Universe, (ndr1_1_ a249_ -> (c1_2_ a249_ X107 \/ (c2_2_ a249_ X107 \/ c4_2_ a249_ X107)))) /\ ((forall X108 : Universe, (ndr1_1_ a249_ -> (c1_2_ a249_ X108 \/ ~(c5_2_ a249_ X108)))) /\ (forall X109 : Universe, (ndr1_1_ a249_ -> (c4_2_ a249_ X109 \/ (~(c1_2_ a249_ X109) \/ ~(c2_2_ a249_ X109)))))))))) /\ (((forall X110 : Universe, (ndr1_0_ -> (c4_1_ X110 \/ (~(c5_1_ X110) \/ (ndr1_1_ X110 /\ (c1_2_ X110 a250_ /\ ~(c4_2_ X110 a250_))))))) \/ (forall X111 : Universe, (ndr1_0_ -> (~(c1_1_ X111) \/ (~(c2_1_ X111) \/ (forall X112 : Universe, (ndr1_1_ X111 -> (c5_2_ X111 X112 \/ ~(c2_2_ X111 X112))))))))) /\ (((forall X113 : Universe, (ndr1_0_ -> (c5_1_ X113 \/ ((ndr1_1_ X113 /\ (c1_2_ X113 a251_ /\ ~(c5_2_ X113 a251_))) \/ (ndr1_1_ X113 /\ (c2_2_ X113 a252_ /\ (c5_2_ X113 a252_ /\ ~(c1_2_ X113 a252_)))))))) \/ ((ndr1_0_ /\ (c1_1_ a253_ /\ (~(c4_1_ a253_) /\ (ndr1_1_ a253_ /\ (c2_2_ a253_ a254_ /\ (c3_2_ a253_ a254_ /\ c5_2_ a253_ a254_)))))) \/ (ndr1_0_ /\ ~(c3_1_ a255_)))) /\ (((forall X114 : Universe, (ndr1_0_ -> (~(c2_1_ X114) \/ (ndr1_1_ X114 /\ (c1_2_ X114 a256_ /\ c3_2_ X114 a256_))))) \/ ((ndr1_0_ /\ (c4_1_ a257_ /\ (~(c1_1_ a257_) /\ (ndr1_1_ a257_ /\ (c5_2_ a257_ a258_ /\ ~(c4_2_ a257_ a258_)))))) \/ (ndr1_0_ /\ (~(c1_1_ a259_) /\ (forall X115 : Universe, (ndr1_1_ a259_ -> (~(c1_2_ a259_ X115) \/ ~(c5_2_ a259_ X115)))))))) /\ ((ndr1_0_ /\ (c1_1_ a260_ /\ (~(c4_1_ a260_) /\ (ndr1_1_ a260_ /\ (c1_2_ a260_ a261_ /\ (c2_2_ a260_ a261_ /\ c4_2_ a260_ a261_)))))) \/ ((ndr1_0_ /\ (c5_1_ a262_ /\ (forall X116 : Universe, (ndr1_1_ a262_ -> (c4_2_ a262_ X116 \/ (~(c3_2_ a262_ X116) \/ ~(c5_2_ a262_ X116))))))) \/ (ndr1_0_ /\ (~(c1_1_ a263_) /\ (ndr1_1_ a263_ /\ (c1_2_ a263_ a264_ /\ (c3_2_ a263_ a264_ /\ ~(c4_2_ a263_ a264_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
