(*
% File     : SYN516+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=15, K=3, D=2, P=0, Index=047
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-15-3-2-047.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  119 (   0 equality)
%            Maximal formula depth :   22 (  22 average)
%            Number of connectives :  161 (  43 ~  ;  38  |;  68  &)
%                                         (   0 <=>;  12 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :   23 (  23 constant; 0-0 arity)
%            Number of variables   :   12 (   0 singleton;  12 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a49_ : Universe.
Variable a48_ : Universe.
Variable a47_ : Universe.
Variable a46_ : Universe.
Variable a45_ : Universe.
Variable a44_ : Universe.
Variable a43_ : Universe.
Variable a42_ : Universe.
Variable a41_ : Universe.
Variable a40_ : Universe.
Variable a39_ : Universe.
Variable a38_ : Universe.
Variable a37_ : Universe.
Variable a36_ : Universe.
Variable a35_ : Universe.
Variable a34_ : Universe.
Variable a33_ : Universe.
Variable a32_ : Universe.
Variable a31_ : Universe.
Variable a30_ : Universe.
Variable a29_ : Universe.
Variable a28_ : Universe.
Variable a27_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((c4_0_ \/ (c5_0_ \/ (forall U : Universe, (ndr1_0_ -> ((forall V : Universe, (ndr1_1_ U -> (c3_2_ U V \/ (~(c4_2_ U V) \/ c5_2_ U V)))) \/ (ndr1_1_ U /\ (~(c1_2_ U a27_) /\ (~(c5_2_ U a27_) /\ c4_2_ U a27_)))))))) /\ ((c1_0_ \/ (forall W : Universe, (ndr1_0_ -> ((forall X : Universe, (ndr1_1_ W -> (c2_2_ W X \/ (~(c5_2_ W X) \/ c4_2_ W X)))) \/ ~(c4_1_ W))))) /\ (((forall Y : Universe, (ndr1_0_ -> (c2_1_ Y \/ (ndr1_1_ Y /\ (~(c5_2_ Y a28_) /\ ~(c3_2_ Y a28_)))))) \/ (forall Z : Universe, (ndr1_0_ -> (c3_1_ Z \/ ((ndr1_1_ Z /\ (~(c1_2_ Z a29_) /\ c2_2_ Z a29_)) \/ (forall X1 : Universe, (ndr1_1_ Z -> (~(c3_2_ Z X1) \/ (~(c5_2_ Z X1) \/ ~(c1_2_ Z X1)))))))))) /\ (((ndr1_0_ /\ (~(c1_1_ a30_) /\ c3_1_ a30_)) \/ ((ndr1_0_ /\ (ndr1_1_ a31_ /\ (c3_2_ a31_ a32_ /\ (~(c4_2_ a31_ a32_) /\ (c5_2_ a31_ a32_ /\ (ndr1_1_ a31_ /\ (~(c4_2_ a31_ a33_) /\ (~(c5_2_ a31_ a33_) /\ (c2_2_ a31_ a33_ /\ c1_1_ a31_))))))))) \/ c5_0_)) /\ (((ndr1_0_ /\ (ndr1_1_ a34_ /\ (c1_2_ a34_ a35_ /\ (~(c5_2_ a34_ a35_) /\ (~(c4_2_ a34_ a35_) /\ (~(c2_1_ a34_) /\ ~(c1_1_ a34_))))))) \/ (~(c4_0_) \/ ~(c1_0_))) /\ (((forall X2 : Universe, (ndr1_0_ -> ((ndr1_1_ X2 /\ (~(c5_2_ X2 a36_) /\ (~(c1_2_ X2 a36_) /\ c3_2_ X2 a36_))) \/ ((forall X3 : Universe, (ndr1_1_ X2 -> (c3_2_ X2 X3 \/ c2_2_ X2 X3))) \/ c5_1_ X2)))) \/ (forall X4 : Universe, (ndr1_0_ -> (c5_1_ X4 \/ ((ndr1_1_ X4 /\ (c4_2_ X4 a37_ /\ (c3_2_ X4 a37_ /\ ~(c2_2_ X4 a37_)))) \/ c4_1_ X4))))) /\ ((~(c4_0_) \/ (~(c2_0_) \/ c5_0_)) /\ ((~(c3_0_) \/ (forall X5 : Universe, (ndr1_0_ -> (~(c5_1_ X5) \/ ((ndr1_1_ X5 /\ (~(c5_2_ X5 a38_) /\ (c1_2_ X5 a38_ /\ c3_2_ X5 a38_))) \/ c4_1_ X5))))) /\ ((c3_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a39_ /\ (c1_2_ a39_ a40_ /\ (c2_2_ a39_ a40_ /\ (c2_1_ a39_ /\ (forall X6 : Universe, (ndr1_1_ a39_ -> (~(c5_2_ a39_ X6) \/ c1_2_ a39_ X6)))))))) \/ (ndr1_0_ /\ (ndr1_1_ a41_ /\ (c5_2_ a41_ a42_ /\ (~(c3_2_ a41_ a42_) /\ (c4_2_ a41_ a42_ /\ ~(c2_1_ a41_)))))))) /\ ((~(c5_0_) \/ ((ndr1_0_ /\ (~(c5_1_ a43_) /\ ~(c2_1_ a43_))) \/ (ndr1_0_ /\ (ndr1_1_ a44_ /\ (c1_2_ a44_ a45_ /\ (~(c4_2_ a44_ a45_) /\ (~(c2_2_ a44_ a45_) /\ (c3_1_ a44_ /\ c4_1_ a44_)))))))) /\ ((~(c2_0_) \/ (ndr1_0_ /\ ~(c3_1_ a46_))) /\ ((ndr1_0_ /\ ~(c3_1_ a47_)) \/ ((ndr1_0_ /\ (c4_1_ a48_ /\ (ndr1_1_ a48_ /\ (~(c1_2_ a48_ a49_) /\ ~(c5_2_ a48_ a49_))))) \/ c1_0_)))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
