(*
% File     : SYN517+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=15, K=3, D=2, P=0, Index=061
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-15-3-2-061.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  132 (   0 equality)
%            Maximal formula depth :   23 (  23 average)
%            Number of connectives :  173 (  42 ~  ;  49  |;  67  &)
%                                         (   0 <=>;  15 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :   20 (  20 constant; 0-0 arity)
%            Number of variables   :   15 (   0 singleton;  15 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a69_ : Universe.
Variable a68_ : Universe.
Variable a67_ : Universe.
Variable a66_ : Universe.
Variable a65_ : Universe.
Variable a64_ : Universe.
Variable a63_ : Universe.
Variable a62_ : Universe.
Variable a61_ : Universe.
Variable a60_ : Universe.
Variable a59_ : Universe.
Variable a58_ : Universe.
Variable a57_ : Universe.
Variable a56_ : Universe.
Variable a55_ : Universe.
Variable a54_ : Universe.
Variable a53_ : Universe.
Variable a52_ : Universe.
Variable a51_ : Universe.
Variable a50_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((c1_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a50_ /\ (~(c1_2_ a50_ a51_) /\ (~(c4_2_ a50_ a51_) /\ (c3_2_ a50_ a51_ /\ ((forall U : Universe, (ndr1_1_ a50_ -> (~(c2_2_ a50_ U) \/ (c4_2_ a50_ U \/ c3_2_ a50_ U)))) /\ c3_1_ a50_)))))) \/ (forall V : Universe, (ndr1_0_ -> (c5_1_ V \/ (c3_1_ V \/ (forall W : Universe, (ndr1_1_ V -> (~(c3_2_ V W) \/ c4_2_ V W))))))))) /\ (((forall X : Universe, (ndr1_0_ -> ((forall Y : Universe, (ndr1_1_ X -> (c3_2_ X Y \/ (~(c4_2_ X Y) \/ ~(c2_2_ X Y))))) \/ (c4_1_ X \/ (ndr1_1_ X /\ (~(c3_2_ X a52_) /\ (~(c2_2_ X a52_) /\ c1_2_ X a52_))))))) \/ (~(c5_0_) \/ ~(c1_0_))) /\ ((c4_0_ \/ c5_0_) /\ ((~(c2_0_) \/ (~(c3_0_) \/ c5_0_)) /\ ((c1_0_ \/ ((ndr1_0_ /\ (c5_1_ a53_ /\ (ndr1_1_ a53_ /\ (~(c1_2_ a53_ a54_) /\ (c3_2_ a53_ a54_ /\ (c2_2_ a53_ a54_ /\ c1_1_ a53_)))))) \/ c2_0_)) /\ ((~(c2_0_) \/ ((ndr1_0_ /\ (ndr1_1_ a55_ /\ (c4_2_ a55_ a56_ /\ (~(c3_2_ a55_ a56_) /\ (c1_2_ a55_ a56_ /\ (c5_1_ a55_ /\ (forall Z : Universe, (ndr1_1_ a55_ -> (c3_2_ a55_ Z \/ (c5_2_ a55_ Z \/ c1_2_ a55_ Z)))))))))) \/ ~(c4_0_))) /\ ((c3_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a57_ /\ (c4_2_ a57_ a58_ /\ (~(c1_2_ a57_ a58_) /\ (c2_2_ a57_ a58_ /\ ((forall X1 : Universe, (ndr1_1_ a57_ -> (~(c3_2_ a57_ X1) \/ (c5_2_ a57_ X1 \/ c2_2_ a57_ X1)))) /\ ~(c5_1_ a57_))))))) \/ (ndr1_0_ /\ (~(c4_1_ a59_) /\ (c2_1_ a59_ /\ c5_1_ a59_))))) /\ ((~(c5_0_) \/ (~(c3_0_) \/ (ndr1_0_ /\ (ndr1_1_ a60_ /\ (~(c4_2_ a60_ a61_) /\ (~(c1_2_ a60_ a61_) /\ (~(c5_2_ a60_ a61_) /\ (c5_1_ a60_ /\ (forall X2 : Universe, (ndr1_1_ a60_ -> (c5_2_ a60_ X2 \/ c4_2_ a60_ X2))))))))))) /\ (((ndr1_0_ /\ (c1_1_ a62_ /\ ((forall X3 : Universe, (ndr1_1_ a62_ -> (c2_2_ a62_ X3 \/ (~(c5_2_ a62_ X3) \/ c1_2_ a62_ X3)))) /\ (ndr1_1_ a62_ /\ (c3_2_ a62_ a63_ /\ (~(c5_2_ a62_ a63_) /\ ~(c2_2_ a62_ a63_))))))) \/ ((ndr1_0_ /\ (~(c5_1_ a64_) /\ c2_1_ a64_)) \/ ~(c5_0_))) /\ (((ndr1_0_ /\ ((forall X4 : Universe, (ndr1_1_ a65_ -> (~(c1_2_ a65_ X4) \/ ~(c3_2_ a65_ X4)))) /\ (ndr1_1_ a65_ /\ (~(c3_2_ a65_ a66_) /\ (c5_2_ a65_ a66_ /\ c4_2_ a65_ a66_))))) \/ c2_0_) /\ ((c3_0_ \/ ((ndr1_0_ /\ ((forall X5 : Universe, (ndr1_1_ a67_ -> (~(c2_2_ a67_ X5) \/ (c1_2_ a67_ X5 \/ ~(c3_2_ a67_ X5))))) /\ ~(c1_1_ a67_))) \/ (ndr1_0_ /\ ((forall X6 : Universe, (ndr1_1_ a68_ -> (~(c4_2_ a68_ X6) \/ (~(c5_2_ a68_ X6) \/ c3_2_ a68_ X6)))) /\ ~(c3_1_ a68_))))) /\ ((forall X7 : Universe, (ndr1_0_ -> ((ndr1_1_ X7 /\ (c5_2_ X7 a69_ /\ (~(c1_2_ X7 a69_) /\ c4_2_ X7 a69_))) \/ (c4_1_ X7 \/ c3_1_ X7)))) \/ ((forall X8 : Universe, (ndr1_0_ -> (~(c5_1_ X8) \/ (c3_1_ X8 \/ (forall X9 : Universe, (ndr1_1_ X8 -> (c2_2_ X8 X9 \/ (c4_2_ X8 X9 \/ c3_2_ X8 X9)))))))) \/ c4_0_)))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
