(*
% File     : SYN518+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=150, K=3, D=2, P=0, Index=008
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-150-3-2-008.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.50 v3.1.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.3.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1196 (   0 equality)
%            Maximal formula depth :  123 ( 123 average)
%            Number of connectives : 1619 ( 424 ~  ; 487  |; 539  &)
%                                         (   0 <=>; 169 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :  159 ( 159 constant; 0-0 arity)
%            Number of variables   :  169 (   0 singleton; 169 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a999_ : Universe.
Variable a1157_ : Universe.
Variable a1156_ : Universe.
Variable a1155_ : Universe.
Variable a1154_ : Universe.
Variable a1153_ : Universe.
Variable a1152_ : Universe.
Variable a1151_ : Universe.
Variable a1150_ : Universe.
Variable a1149_ : Universe.
Variable a1148_ : Universe.
Variable a1147_ : Universe.
Variable a1146_ : Universe.
Variable a1145_ : Universe.
Variable a1144_ : Universe.
Variable a1143_ : Universe.
Variable a1142_ : Universe.
Variable a1141_ : Universe.
Variable a1140_ : Universe.
Variable a1139_ : Universe.
Variable a1138_ : Universe.
Variable a1137_ : Universe.
Variable a1136_ : Universe.
Variable a1135_ : Universe.
Variable a1134_ : Universe.
Variable a1133_ : Universe.
Variable a1132_ : Universe.
Variable a1131_ : Universe.
Variable a1130_ : Universe.
Variable a1129_ : Universe.
Variable a1128_ : Universe.
Variable a1127_ : Universe.
Variable a1126_ : Universe.
Variable a1125_ : Universe.
Variable a1124_ : Universe.
Variable a1123_ : Universe.
Variable a1122_ : Universe.
Variable a1121_ : Universe.
Variable a1120_ : Universe.
Variable a1119_ : Universe.
Variable a1118_ : Universe.
Variable a1117_ : Universe.
Variable a1116_ : Universe.
Variable a1115_ : Universe.
Variable a1114_ : Universe.
Variable a1113_ : Universe.
Variable a1112_ : Universe.
Variable a1111_ : Universe.
Variable a1110_ : Universe.
Variable a1109_ : Universe.
Variable a1108_ : Universe.
Variable a1107_ : Universe.
Variable a1106_ : Universe.
Variable a1105_ : Universe.
Variable a1104_ : Universe.
Variable a1103_ : Universe.
Variable a1102_ : Universe.
Variable a1101_ : Universe.
Variable a1100_ : Universe.
Variable a1099_ : Universe.
Variable a1098_ : Universe.
Variable a1097_ : Universe.
Variable a1096_ : Universe.
Variable a1095_ : Universe.
Variable a1094_ : Universe.
Variable a1093_ : Universe.
Variable a1092_ : Universe.
Variable a1091_ : Universe.
Variable a1090_ : Universe.
Variable a1089_ : Universe.
Variable a1088_ : Universe.
Variable a1087_ : Universe.
Variable a1086_ : Universe.
Variable a1085_ : Universe.
Variable a1084_ : Universe.
Variable a1083_ : Universe.
Variable a1082_ : Universe.
Variable a1081_ : Universe.
Variable a1080_ : Universe.
Variable a1079_ : Universe.
Variable a1078_ : Universe.
Variable a1077_ : Universe.
Variable a1076_ : Universe.
Variable a1075_ : Universe.
Variable a1074_ : Universe.
Variable a1073_ : Universe.
Variable a1072_ : Universe.
Variable a1071_ : Universe.
Variable a1070_ : Universe.
Variable a1069_ : Universe.
Variable a1068_ : Universe.
Variable a1067_ : Universe.
Variable a1066_ : Universe.
Variable a1065_ : Universe.
Variable a1064_ : Universe.
Variable a1063_ : Universe.
Variable a1062_ : Universe.
Variable a1061_ : Universe.
Variable a1060_ : Universe.
Variable a1059_ : Universe.
Variable a1058_ : Universe.
Variable a1057_ : Universe.
Variable a1056_ : Universe.
Variable a1055_ : Universe.
Variable a1054_ : Universe.
Variable a1053_ : Universe.
Variable a1052_ : Universe.
Variable a1051_ : Universe.
Variable a1050_ : Universe.
Variable a1049_ : Universe.
Variable a1048_ : Universe.
Variable a1047_ : Universe.
Variable a1046_ : Universe.
Variable a1045_ : Universe.
Variable a1044_ : Universe.
Variable a1043_ : Universe.
Variable a1042_ : Universe.
Variable a1041_ : Universe.
Variable a1040_ : Universe.
Variable a1039_ : Universe.
Variable a1038_ : Universe.
Variable a1037_ : Universe.
Variable a1036_ : Universe.
Variable a1035_ : Universe.
Variable a1034_ : Universe.
Variable a1033_ : Universe.
Variable a1032_ : Universe.
Variable a1031_ : Universe.
Variable a1030_ : Universe.
Variable a1029_ : Universe.
Variable a1028_ : Universe.
Variable a1027_ : Universe.
Variable a1026_ : Universe.
Variable a1025_ : Universe.
Variable a1024_ : Universe.
Variable a1023_ : Universe.
Variable a1022_ : Universe.
Variable a1021_ : Universe.
Variable a1020_ : Universe.
Variable a1019_ : Universe.
Variable a1018_ : Universe.
Variable a1017_ : Universe.
Variable a1016_ : Universe.
Variable a1015_ : Universe.
Variable a1014_ : Universe.
Variable a1013_ : Universe.
Variable a1012_ : Universe.
Variable a1011_ : Universe.
Variable a1010_ : Universe.
Variable a1009_ : Universe.
Variable a1008_ : Universe.
Variable a1007_ : Universe.
Variable a1006_ : Universe.
Variable a1005_ : Universe.
Variable a1004_ : Universe.
Variable a1003_ : Universe.
Variable a1002_ : Universe.
Variable a1001_ : Universe.
Variable a1000_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~((((forall U : Universe, (ndr1_0_ -> ((ndr1_1_ U /\ (~(c2_2_ U a999_) /\ (c3_2_ U a999_ /\ c1_2_ U a999_))) \/ (~(c1_1_ U) \/ (forall V : Universe, (ndr1_1_ U -> (c3_2_ U V \/ (c2_2_ U V \/ c5_2_ U V)))))))) \/ (c3_0_ \/ (forall W : Universe, (ndr1_0_ -> ((forall X : Universe, (ndr1_1_ W -> (c1_2_ W X \/ ~(c4_2_ W X)))) \/ ((forall Y : Universe, (ndr1_1_ W -> (c1_2_ W Y \/ (c2_2_ W Y \/ c5_2_ W Y)))) \/ c3_1_ W)))))) /\ ((c2_0_ \/ (~(c4_0_) \/ c3_0_)) /\ ((c5_0_ \/ (ndr1_0_ /\ (~(c2_1_ a1000_) /\ ((forall Z : Universe, (ndr1_1_ a1000_ -> (c5_2_ a1000_ Z \/ (~(c1_2_ a1000_ Z) \/ c2_2_ a1000_ Z)))) /\ (ndr1_1_ a1000_ /\ (c3_2_ a1000_ a1001_ /\ (~(c4_2_ a1000_ a1001_) /\ ~(c5_2_ a1000_ a1001_)))))))) /\ ((~(c3_0_) \/ ((forall X1 : Universe, (ndr1_0_ -> (c3_1_ X1 \/ (c5_1_ X1 \/ (forall X2 : Universe, (ndr1_1_ X1 -> (~(c2_2_ X1 X2) \/ (c5_2_ X1 X2 \/ c3_2_ X1 X2)))))))) \/ (forall X3 : Universe, (ndr1_0_ -> ((forall X4 : Universe, (ndr1_1_ X3 -> (~(c3_2_ X3 X4) \/ (~(c5_2_ X3 X4) \/ c4_2_ X3 X4)))) \/ (ndr1_1_ X3 /\ (c4_2_ X3 a1002_ /\ (c2_2_ X3 a1002_ /\ ~(c1_2_ X3 a1002_))))))))) /\ ((c2_0_ \/ (~(c3_0_) \/ c5_0_)) /\ (((forall X5 : Universe, (ndr1_0_ -> (~(c2_1_ X5) \/ ((ndr1_1_ X5 /\ (c3_2_ X5 a1003_ /\ (~(c1_2_ X5 a1003_) /\ c5_2_ X5 a1003_))) \/ (ndr1_1_ X5 /\ (c4_2_ X5 a1004_ /\ (c3_2_ X5 a1004_ /\ ~(c5_2_ X5 a1004_)))))))) \/ ((ndr1_0_ /\ ((forall X6 : Universe, (ndr1_1_ a1005_ -> (c5_2_ a1005_ X6 \/ ~(c4_2_ a1005_ X6)))) /\ (~(c3_1_ a1005_) /\ c4_1_ a1005_))) \/ (forall X7 : Universe, (ndr1_0_ -> (c5_1_ X7 \/ (~(c1_1_ X7) \/ (ndr1_1_ X7 /\ (~(c3_2_ X7 a1006_) /\ ~(c4_2_ X7 a1006_))))))))) /\ ((~(c1_0_) \/ (~(c5_0_) \/ (ndr1_0_ /\ ((forall X8 : Universe, (ndr1_1_ a1007_ -> (c1_2_ a1007_ X8 \/ ~(c4_2_ a1007_ X8)))) /\ (~(c5_1_ a1007_) /\ (ndr1_1_ a1007_ /\ (c1_2_ a1007_ a1008_ /\ c2_2_ a1007_ a1008_))))))) /\ ((c2_0_ \/ ((ndr1_0_ /\ ((forall X9 : Universe, (ndr1_1_ a1009_ -> (~(c5_2_ a1009_ X9) \/ c2_2_ a1009_ X9))) /\ c2_1_ a1009_)) \/ (ndr1_0_ /\ (ndr1_1_ a1010_ /\ (~(c5_2_ a1010_ a1011_) /\ (c2_2_ a1010_ a1011_ /\ (~(c3_2_ a1010_ a1011_) /\ (ndr1_1_ a1010_ /\ (~(c5_2_ a1010_ a1012_) /\ (c2_2_ a1010_ a1012_ /\ (~(c1_2_ a1010_ a1012_) /\ (forall X10 : Universe, (ndr1_1_ a1010_ -> (c3_2_ a1010_ X10 \/ (~(c2_2_ a1010_ X10) \/ ~(c1_2_ a1010_ X10)))))))))))))))) /\ ((~(c2_0_) \/ (c1_0_ \/ (ndr1_0_ /\ (c3_1_ a1013_ /\ ((forall X11 : Universe, (ndr1_1_ a1013_ -> (c1_2_ a1013_ X11 \/ (~(c5_2_ a1013_ X11) \/ c4_2_ a1013_ X11)))) /\ ~(c2_1_ a1013_)))))) /\ ((~(c5_0_) \/ (ndr1_0_ /\ (ndr1_1_ a1014_ /\ (~(c3_2_ a1014_ a1015_) /\ (~(c2_2_ a1014_ a1015_) /\ (c1_2_ a1014_ a1015_ /\ ~(c2_1_ a1014_))))))) /\ (((forall X12 : Universe, (ndr1_0_ -> (~(c3_1_ X12) \/ (forall X13 : Universe, (ndr1_1_ X12 -> (~(c2_2_ X12 X13) \/ ~(c3_2_ X12 X13))))))) \/ (c2_0_ \/ c1_0_)) /\ ((~(c1_0_) \/ (~(c2_0_) \/ ~(c3_0_))) /\ ((c5_0_ \/ (~(c2_0_) \/ c4_0_)) /\ ((~(c3_0_) \/ (~(c4_0_) \/ (ndr1_0_ /\ (c1_1_ a1016_ /\ (~(c4_1_ a1016_) /\ (ndr1_1_ a1016_ /\ (c2_2_ a1016_ a1017_ /\ (c5_2_ a1016_ a1017_ /\ ~(c1_2_ a1016_ a1017_))))))))) /\ ((~(c2_0_) \/ ((ndr1_0_ /\ (~(c5_1_ a1018_) /\ (ndr1_1_ a1018_ /\ (c5_2_ a1018_ a1019_ /\ (~(c3_2_ a1018_ a1019_) /\ (~(c4_2_ a1018_ a1019_) /\ (forall X14 : Universe, (ndr1_1_ a1018_ -> (c1_2_ a1018_ X14 \/ (c5_2_ a1018_ X14 \/ ~(c4_2_ a1018_ X14))))))))))) \/ ~(c5_0_))) /\ (((forall X15 : Universe, (ndr1_0_ -> ((ndr1_1_ X15 /\ (c4_2_ X15 a1020_ /\ (~(c5_2_ X15 a1020_) /\ c1_2_ X15 a1020_))) \/ c4_1_ X15))) \/ ~(c5_0_)) /\ ((~(c4_0_) \/ ((ndr1_0_ /\ ((forall X16 : Universe, (ndr1_1_ a1021_ -> (c3_2_ a1021_ X16 \/ c2_2_ a1021_ X16))) /\ ((forall X17 : Universe, (ndr1_1_ a1021_ -> (~(c5_2_ a1021_ X17) \/ (c4_2_ a1021_ X17 \/ ~(c1_2_ a1021_ X17))))) /\ ~(c3_1_ a1021_)))) \/ ~(c1_0_))) /\ ((~(c2_0_) \/ ((forall X18 : Universe, (ndr1_0_ -> ((ndr1_1_ X18 /\ (c3_2_ X18 a1022_ /\ ~(c5_2_ X18 a1022_))) \/ (~(c3_1_ X18) \/ (forall X19 : Universe, (ndr1_1_ X18 -> (c5_2_ X18 X19 \/ c4_2_ X18 X19))))))) \/ (forall X20 : Universe, (ndr1_0_ -> (~(c2_1_ X20) \/ (~(c4_1_ X20) \/ (forall X21 : Universe, (ndr1_1_ X20 -> (~(c4_2_ X20 X21) \/ c2_2_ X20 X21))))))))) /\ ((c4_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a1023_ /\ (~(c2_2_ a1023_ a1024_) /\ (c1_2_ a1023_ a1024_ /\ (c3_2_ a1023_ a1024_ /\ (c1_1_ a1023_ /\ ~(c2_1_ a1023_))))))) \/ (ndr1_0_ /\ ((forall X22 : Universe, (ndr1_1_ a1025_ -> (~(c4_2_ a1025_ X22) \/ (c5_2_ a1025_ X22 \/ ~(c1_2_ a1025_ X22))))) /\ (forall X23 : Universe, (ndr1_1_ a1025_ -> (~(c3_2_ a1025_ X23) \/ (c5_2_ a1025_ X23 \/ ~(c1_2_ a1025_ X23))))))))) /\ (((ndr1_0_ /\ ((forall X24 : Universe, (ndr1_1_ a1026_ -> (~(c5_2_ a1026_ X24) \/ (c2_2_ a1026_ X24 \/ ~(c4_2_ a1026_ X24))))) /\ ~(c3_1_ a1026_))) \/ (~(c3_0_) \/ (ndr1_0_ /\ (c4_1_ a1027_ /\ (c5_1_ a1027_ /\ (forall X25 : Universe, (ndr1_1_ a1027_ -> (c1_2_ a1027_ X25 \/ ~(c4_2_ a1027_ X25))))))))) /\ ((~(c5_0_) \/ c4_0_) /\ (((ndr1_0_ /\ ((forall X26 : Universe, (ndr1_1_ a1028_ -> (c5_2_ a1028_ X26 \/ (~(c3_2_ a1028_ X26) \/ ~(c2_2_ a1028_ X26))))) /\ c3_1_ a1028_)) \/ (c1_0_ \/ (forall X27 : Universe, (ndr1_0_ -> ((forall X28 : Universe, (ndr1_1_ X27 -> (c2_2_ X27 X28 \/ (~(c3_2_ X27 X28) \/ c1_2_ X27 X28)))) \/ ((ndr1_1_ X27 /\ (~(c4_2_ X27 a1029_) /\ (c2_2_ X27 a1029_ /\ c3_2_ X27 a1029_))) \/ (ndr1_1_ X27 /\ (~(c5_2_ X27 a1030_) /\ ~(c4_2_ X27 a1030_))))))))) /\ (((ndr1_0_ /\ (c2_1_ a1031_ /\ (ndr1_1_ a1031_ /\ (~(c2_2_ a1031_ a1032_) /\ (c5_2_ a1031_ a1032_ /\ c4_1_ a1031_))))) \/ ((ndr1_0_ /\ ((forall X29 : Universe, (ndr1_1_ a1033_ -> (c5_2_ a1033_ X29 \/ (~(c3_2_ a1033_ X29) \/ c4_2_ a1033_ X29)))) /\ (~(c5_1_ a1033_) /\ c3_1_ a1033_))) \/ ~(c1_0_))) /\ (((forall X30 : Universe, (ndr1_0_ -> (c5_1_ X30 \/ (c3_1_ X30 \/ c2_1_ X30)))) \/ (~(c5_0_) \/ ~(c1_0_))) /\ (((forall X31 : Universe, (ndr1_0_ -> ((ndr1_1_ X31 /\ (~(c5_2_ X31 a1034_) /\ (c1_2_ X31 a1034_ /\ ~(c4_2_ X31 a1034_)))) \/ (forall X32 : Universe, (ndr1_1_ X31 -> (~(c4_2_ X31 X32) \/ (~(c3_2_ X31 X32) \/ c2_2_ X31 X32))))))) \/ c2_0_) /\ (((forall X33 : Universe, (ndr1_0_ -> ((ndr1_1_ X33 /\ (~(c2_2_ X33 a1035_) /\ (c4_2_ X33 a1035_ /\ c5_2_ X33 a1035_))) \/ (c3_1_ X33 \/ ~(c2_1_ X33))))) \/ ~(c2_0_)) /\ (((ndr1_0_ /\ ((forall X34 : Universe, (ndr1_1_ a1036_ -> (c1_2_ a1036_ X34 \/ (~(c3_2_ a1036_ X34) \/ c4_2_ a1036_ X34)))) /\ ~(c4_1_ a1036_))) \/ (c1_0_ \/ (forall X35 : Universe, (ndr1_0_ -> (c4_1_ X35 \/ c2_1_ X35))))) /\ ((c5_0_ \/ ((forall X36 : Universe, (ndr1_0_ -> (c5_1_ X36 \/ (forall X37 : Universe, (ndr1_1_ X36 -> (~(c3_2_ X36 X37) \/ (~(c2_2_ X36 X37) \/ c1_2_ X36 X37))))))) \/ c4_0_)) /\ (((forall X38 : Universe, (ndr1_0_ -> (~(c2_1_ X38) \/ ((ndr1_1_ X38 /\ (~(c1_2_ X38 a1037_) /\ (c3_2_ X38 a1037_ /\ c5_2_ X38 a1037_))) \/ c4_1_ X38)))) \/ (~(c1_0_) \/ (forall X39 : Universe, (ndr1_0_ -> (~(c1_1_ X39) \/ ((ndr1_1_ X39 /\ (~(c4_2_ X39 a1038_) /\ (~(c2_2_ X39 a1038_) /\ ~(c3_2_ X39 a1038_)))) \/ (forall X40 : Universe, (ndr1_1_ X39 -> (~(c3_2_ X39 X40) \/ (c2_2_ X39 X40 \/ ~(c5_2_ X39 X40))))))))))) /\ ((c4_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a1039_ /\ (~(c5_2_ a1039_ a1040_) /\ (c2_2_ a1039_ a1040_ /\ (~(c3_2_ a1039_ a1040_) /\ ((forall X41 : Universe, (ndr1_1_ a1039_ -> (c3_2_ a1039_ X41 \/ (c2_2_ a1039_ X41 \/ c4_2_ a1039_ X41)))) /\ (ndr1_1_ a1039_ /\ (c4_2_ a1039_ a1041_ /\ (c2_2_ a1039_ a1041_ /\ c3_2_ a1039_ a1041_))))))))) \/ (forall X42 : Universe, (ndr1_0_ -> ((forall X43 : Universe, (ndr1_1_ X42 -> (~(c1_2_ X42 X43) \/ ~(c2_2_ X42 X43)))) \/ (c5_1_ X42 \/ ~(c1_1_ X42))))))) /\ ((c4_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a1042_ /\ (~(c3_2_ a1042_ a1043_) /\ (c5_2_ a1042_ a1043_ /\ (~(c2_2_ a1042_ a1043_) /\ (ndr1_1_ a1042_ /\ (~(c2_2_ a1042_ a1044_) /\ (~(c5_2_ a1042_ a1044_) /\ (ndr1_1_ a1042_ /\ (c1_2_ a1042_ a1045_ /\ ~(c3_2_ a1042_ a1045_))))))))))) \/ (ndr1_0_ /\ (c2_1_ a1046_ /\ (~(c5_1_ a1046_) /\ ~(c4_1_ a1046_)))))) /\ (((forall X44 : Universe, (ndr1_0_ -> (~(c3_1_ X44) \/ ((forall X45 : Universe, (ndr1_1_ X44 -> (c2_2_ X44 X45 \/ (c1_2_ X44 X45 \/ ~(c4_2_ X44 X45))))) \/ ~(c1_1_ X44))))) \/ (~(c4_0_) \/ (ndr1_0_ /\ (ndr1_1_ a1047_ /\ (c5_2_ a1047_ a1048_ /\ (~(c3_2_ a1047_ a1048_) /\ (c4_2_ a1047_ a1048_ /\ ((forall X46 : Universe, (ndr1_1_ a1047_ -> (c2_2_ a1047_ X46 \/ (c5_2_ a1047_ X46 \/ ~(c4_2_ a1047_ X46))))) /\ (forall X47 : Universe, (ndr1_1_ a1047_ -> (c2_2_ a1047_ X47 \/ (~(c4_2_ a1047_ X47) \/ c3_2_ a1047_ X47)))))))))))) /\ ((~(c1_0_) \/ (ndr1_0_ /\ (c5_1_ a1049_ /\ ((forall X48 : Universe, (ndr1_1_ a1049_ -> (~(c2_2_ a1049_ X48) \/ (c1_2_ a1049_ X48 \/ ~(c3_2_ a1049_ X48))))) /\ ~(c3_1_ a1049_))))) /\ ((~(c1_0_) \/ ((ndr1_0_ /\ ((forall X49 : Universe, (ndr1_1_ a1050_ -> (c4_2_ a1050_ X49 \/ (~(c2_2_ a1050_ X49) \/ c3_2_ a1050_ X49)))) /\ ~(c2_1_ a1050_))) \/ c3_0_)) /\ ((~(c2_0_) \/ c4_0_) /\ (((forall X50 : Universe, (ndr1_0_ -> (c1_1_ X50 \/ ~(c3_1_ X50)))) \/ (c5_0_ \/ (ndr1_0_ /\ (~(c2_1_ a1051_) /\ ((forall X51 : Universe, (ndr1_1_ a1051_ -> (~(c2_2_ a1051_ X51) \/ (c4_2_ a1051_ X51 \/ ~(c5_2_ a1051_ X51))))) /\ (ndr1_1_ a1051_ /\ (~(c4_2_ a1051_ a1052_) /\ (c5_2_ a1051_ a1052_ /\ c1_2_ a1051_ a1052_)))))))) /\ ((c4_0_ \/ ((ndr1_0_ /\ (c1_1_ a1053_ /\ (c4_1_ a1053_ /\ (forall X52 : Universe, (ndr1_1_ a1053_ -> (c4_2_ a1053_ X52 \/ (c2_2_ a1053_ X52 \/ ~(c1_2_ a1053_ X52)))))))) \/ (ndr1_0_ /\ (ndr1_1_ a1054_ /\ (~(c4_2_ a1054_ a1055_) /\ (~(c2_2_ a1054_ a1055_) /\ (ndr1_1_ a1054_ /\ (c3_2_ a1054_ a1056_ /\ (c5_2_ a1054_ a1056_ /\ (c4_2_ a1054_ a1056_ /\ c2_1_ a1054_)))))))))) /\ ((~(c5_0_) \/ ~(c1_0_)) /\ ((~(c2_0_) \/ (c1_0_ \/ (forall X53 : Universe, (ndr1_0_ -> (~(c5_1_ X53) \/ (c2_1_ X53 \/ (forall X54 : Universe, (ndr1_1_ X53 -> (c5_2_ X53 X54 \/ c4_2_ X53 X54))))))))) /\ (((ndr1_0_ /\ (~(c2_1_ a1057_) /\ (~(c5_1_ a1057_) /\ (ndr1_1_ a1057_ /\ (~(c4_2_ a1057_ a1058_) /\ c3_2_ a1057_ a1058_))))) \/ ((ndr1_0_ /\ (ndr1_1_ a1059_ /\ (c5_2_ a1059_ a1060_ /\ (c2_2_ a1059_ a1060_ /\ (~(c1_2_ a1059_ a1060_) /\ ((forall X55 : Universe, (ndr1_1_ a1059_ -> (c3_2_ a1059_ X55 \/ (~(c5_2_ a1059_ X55) \/ c1_2_ a1059_ X55)))) /\ (ndr1_1_ a1059_ /\ (c3_2_ a1059_ a1061_ /\ c1_2_ a1059_ a1061_)))))))) \/ (ndr1_0_ /\ ((forall X56 : Universe, (ndr1_1_ a1062_ -> (~(c1_2_ a1062_ X56) \/ (c5_2_ a1062_ X56 \/ c2_2_ a1062_ X56)))) /\ (~(c5_1_ a1062_) /\ c4_1_ a1062_))))) /\ ((c5_0_ \/ (c2_0_ \/ (ndr1_0_ /\ ((forall X57 : Universe, (ndr1_1_ a1063_ -> (~(c5_2_ a1063_ X57) \/ ~(c3_2_ a1063_ X57)))) /\ ~(c1_1_ a1063_))))) /\ ((~(c1_0_) \/ ~(c4_0_)) /\ ((c2_0_ \/ ((forall X58 : Universe, (ndr1_0_ -> (~(c4_1_ X58) \/ ((forall X59 : Universe, (ndr1_1_ X58 -> (c2_2_ X58 X59 \/ (~(c5_2_ X58 X59) \/ ~(c4_2_ X58 X59))))) \/ ~(c5_1_ X58))))) \/ (forall X60 : Universe, (ndr1_0_ -> (c2_1_ X60 \/ c1_1_ X60))))) /\ ((~(c2_0_) \/ ((forall X61 : Universe, (ndr1_0_ -> (c3_1_ X61 \/ ((forall X62 : Universe, (ndr1_1_ X61 -> (~(c5_2_ X61 X62) \/ (~(c2_2_ X61 X62) \/ ~(c4_2_ X61 X62))))) \/ (forall X63 : Universe, (ndr1_1_ X61 -> (c4_2_ X61 X63 \/ c5_2_ X61 X63))))))) \/ (ndr1_0_ /\ (ndr1_1_ a1064_ /\ (~(c2_2_ a1064_ a1065_) /\ (c4_2_ a1064_ a1065_ /\ (~(c1_2_ a1064_ a1065_) /\ (c2_1_ a1064_ /\ (ndr1_1_ a1064_ /\ (~(c5_2_ a1064_ a1066_) /\ ~(c1_2_ a1064_ a1066_))))))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a1067_ /\ (~(c1_2_ a1067_ a1068_) /\ (c2_2_ a1067_ a1068_ /\ (c3_2_ a1067_ a1068_ /\ (~(c3_1_ a1067_) /\ ~(c4_1_ a1067_))))))) \/ (c5_0_ \/ c2_0_)) /\ (((ndr1_0_ /\ (~(c4_1_ a1069_) /\ (c1_1_ a1069_ /\ ~(c2_1_ a1069_)))) \/ (~(c2_0_) \/ (forall X64 : Universe, (ndr1_0_ -> (~(c4_1_ X64) \/ c2_1_ X64))))) /\ (((ndr1_0_ /\ (~(c4_1_ a1070_) /\ ((forall X65 : Universe, (ndr1_1_ a1070_ -> (~(c3_2_ a1070_ X65) \/ (c4_2_ a1070_ X65 \/ ~(c2_2_ a1070_ X65))))) /\ (forall X66 : Universe, (ndr1_1_ a1070_ -> (~(c4_2_ a1070_ X66) \/ (c3_2_ a1070_ X66 \/ ~(c2_2_ a1070_ X66)))))))) \/ (forall X67 : Universe, (ndr1_0_ -> ((forall X68 : Universe, (ndr1_1_ X67 -> (c4_2_ X67 X68 \/ ~(c5_2_ X67 X68)))) \/ (~(c5_1_ X67) \/ c4_1_ X67))))) /\ ((c3_0_ \/ (~(c1_0_) \/ ~(c4_0_))) /\ (((ndr1_0_ /\ (~(c1_1_ a1071_) /\ (~(c2_1_ a1071_) /\ (forall X69 : Universe, (ndr1_1_ a1071_ -> (c5_2_ a1071_ X69 \/ (c4_2_ a1071_ X69 \/ c1_2_ a1071_ X69))))))) \/ c1_0_) /\ ((~(c4_0_) \/ ((forall X70 : Universe, (ndr1_0_ -> (c5_1_ X70 \/ (c3_1_ X70 \/ ~(c4_1_ X70))))) \/ c1_0_)) /\ (((ndr1_0_ /\ (ndr1_1_ a1072_ /\ (c2_2_ a1072_ a1073_ /\ (~(c3_2_ a1072_ a1073_) /\ (c4_2_ a1072_ a1073_ /\ (c1_1_ a1072_ /\ (ndr1_1_ a1072_ /\ (~(c3_2_ a1072_ a1074_) /\ ~(c4_2_ a1072_ a1074_))))))))) \/ (c2_0_ \/ (ndr1_0_ /\ ((forall X71 : Universe, (ndr1_1_ a1075_ -> (c5_2_ a1075_ X71 \/ (c1_2_ a1075_ X71 \/ c4_2_ a1075_ X71)))) /\ (ndr1_1_ a1075_ /\ (~(c2_2_ a1075_ a1076_) /\ (~(c4_2_ a1075_ a1076_) /\ ~(c1_2_ a1075_ a1076_)))))))) /\ ((c4_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a1077_ /\ (~(c2_2_ a1077_ a1078_) /\ (c5_2_ a1077_ a1078_ /\ (~(c4_2_ a1077_ a1078_) /\ (c5_1_ a1077_ /\ c4_1_ a1077_)))))) \/ (ndr1_0_ /\ (~(c1_1_ a1079_) /\ ~(c2_1_ a1079_))))) /\ (((forall X72 : Universe, (ndr1_0_ -> (c3_1_ X72 \/ (c1_1_ X72 \/ ~(c2_1_ X72))))) \/ (~(c5_0_) \/ ~(c2_0_))) /\ ((~(c3_0_) \/ c1_0_) /\ (((ndr1_0_ /\ (c1_1_ a1080_ /\ (ndr1_1_ a1080_ /\ (~(c5_2_ a1080_ a1081_) /\ (~(c4_2_ a1080_ a1081_) /\ c4_1_ a1080_))))) \/ (c3_0_ \/ (forall X73 : Universe, (ndr1_0_ -> (~(c2_1_ X73) \/ ((forall X74 : Universe, (ndr1_1_ X73 -> (~(c1_2_ X73 X74) \/ (~(c4_2_ X73 X74) \/ ~(c5_2_ X73 X74))))) \/ c1_1_ X73)))))) /\ ((~(c1_0_) \/ (~(c5_0_) \/ c2_0_)) /\ ((c1_0_ \/ (~(c2_0_) \/ (ndr1_0_ /\ ((forall X75 : Universe, (ndr1_1_ a1082_ -> (~(c5_2_ a1082_ X75) \/ (c4_2_ a1082_ X75 \/ c2_2_ a1082_ X75)))) /\ (~(c1_1_ a1082_) /\ (forall X76 : Universe, (ndr1_1_ a1082_ -> (c3_2_ a1082_ X76 \/ (~(c2_2_ a1082_ X76) \/ c5_2_ a1082_ X76))))))))) /\ (((ndr1_0_ /\ ((forall X77 : Universe, (ndr1_1_ a1083_ -> (c1_2_ a1083_ X77 \/ c5_2_ a1083_ X77))) /\ (~(c1_1_ a1083_) /\ c2_1_ a1083_))) \/ ((ndr1_0_ /\ (ndr1_1_ a1084_ /\ (c1_2_ a1084_ a1085_ /\ (c2_2_ a1084_ a1085_ /\ (c3_2_ a1084_ a1085_ /\ (ndr1_1_ a1084_ /\ (c3_2_ a1084_ a1086_ /\ (~(c2_2_ a1084_ a1086_) /\ ~(c4_2_ a1084_ a1086_))))))))) \/ c4_0_)) /\ (((forall X78 : Universe, (ndr1_0_ -> ((ndr1_1_ X78 /\ (c1_2_ X78 a1087_ /\ (c5_2_ X78 a1087_ /\ c3_2_ X78 a1087_))) \/ ((ndr1_1_ X78 /\ ~(c5_2_ X78 a1088_)) \/ ~(c2_1_ X78))))) \/ (~(c4_0_) \/ (ndr1_0_ /\ ((forall X79 : Universe, (ndr1_1_ a1089_ -> (c2_2_ a1089_ X79 \/ (c3_2_ a1089_ X79 \/ c1_2_ a1089_ X79)))) /\ (~(c1_1_ a1089_) /\ (forall X80 : Universe, (ndr1_1_ a1089_ -> (~(c2_2_ a1089_ X80) \/ (~(c3_2_ a1089_ X80) \/ c1_2_ a1089_ X80))))))))) /\ (((forall X81 : Universe, (ndr1_0_ -> ((ndr1_1_ X81 /\ (c2_2_ X81 a1090_ /\ (~(c1_2_ X81 a1090_) /\ c5_2_ X81 a1090_))) \/ ((ndr1_1_ X81 /\ (~(c2_2_ X81 a1091_) /\ (c5_2_ X81 a1091_ /\ c4_2_ X81 a1091_))) \/ (forall X82 : Universe, (ndr1_1_ X81 -> (~(c5_2_ X81 X82) \/ ~(c4_2_ X81 X82)))))))) \/ ((forall X83 : Universe, (ndr1_0_ -> ((ndr1_1_ X83 /\ (~(c1_2_ X83 a1092_) /\ (c2_2_ X83 a1092_ /\ c4_2_ X83 a1092_))) \/ ((forall X84 : Universe, (ndr1_1_ X83 -> (~(c5_2_ X83 X84) \/ (c2_2_ X83 X84 \/ ~(c1_2_ X83 X84))))) \/ (ndr1_1_ X83 /\ (c1_2_ X83 a1093_ /\ (~(c4_2_ X83 a1093_) /\ c2_2_ X83 a1093_))))))) \/ (ndr1_0_ /\ ((forall X85 : Universe, (ndr1_1_ a1094_ -> (c2_2_ a1094_ X85 \/ (~(c4_2_ a1094_ X85) \/ ~(c5_2_ a1094_ X85))))) /\ (~(c2_1_ a1094_) /\ (ndr1_1_ a1094_ /\ (~(c4_2_ a1094_ a1095_) /\ c2_2_ a1094_ a1095_))))))) /\ (((forall X86 : Universe, (ndr1_0_ -> (c1_1_ X86 \/ ((ndr1_1_ X86 /\ (c4_2_ X86 a1096_ /\ ~(c2_2_ X86 a1096_))) \/ (forall X87 : Universe, (ndr1_1_ X86 -> (~(c2_2_ X86 X87) \/ (~(c3_2_ X86 X87) \/ ~(c1_2_ X86 X87))))))))) \/ (~(c2_0_) \/ c5_0_)) /\ ((~(c1_0_) \/ (ndr1_0_ /\ (~(c2_1_ a1097_) /\ (~(c5_1_ a1097_) /\ (ndr1_1_ a1097_ /\ (c1_2_ a1097_ a1098_ /\ (c5_2_ a1097_ a1098_ /\ c3_2_ a1097_ a1098_))))))) /\ (((forall X88 : Universe, (ndr1_0_ -> (~(c3_1_ X88) \/ c2_1_ X88))) \/ (~(c2_0_) \/ ~(c5_0_))) /\ (((ndr1_0_ /\ (c5_1_ a1099_ /\ (~(c2_1_ a1099_) /\ ~(c3_1_ a1099_)))) \/ (~(c3_0_) \/ ~(c2_0_))) /\ ((~(c3_0_) \/ (~(c1_0_) \/ ~(c4_0_))) /\ (((forall X89 : Universe, (ndr1_0_ -> (c2_1_ X89 \/ ((forall X90 : Universe, (ndr1_1_ X89 -> (c3_2_ X89 X90 \/ ~(c5_2_ X89 X90)))) \/ (ndr1_1_ X89 /\ (~(c3_2_ X89 a1100_) /\ c1_2_ X89 a1100_)))))) \/ (c4_0_ \/ ~(c3_0_))) /\ ((c2_0_ \/ ((forall X91 : Universe, (ndr1_0_ -> ((forall X92 : Universe, (ndr1_1_ X91 -> (~(c3_2_ X91 X92) \/ (c4_2_ X91 X92 \/ ~(c2_2_ X91 X92))))) \/ ((ndr1_1_ X91 /\ (~(c5_2_ X91 a1101_) /\ (~(c1_2_ X91 a1101_) /\ ~(c3_2_ X91 a1101_)))) \/ c3_1_ X91)))) \/ c3_0_)) /\ (((ndr1_0_ /\ ((forall X93 : Universe, (ndr1_1_ a1102_ -> (c2_2_ a1102_ X93 \/ (c3_2_ a1102_ X93 \/ c5_2_ a1102_ X93)))) /\ (forall X94 : Universe, (ndr1_1_ a1102_ -> (c3_2_ a1102_ X94 \/ (c1_2_ a1102_ X94 \/ c2_2_ a1102_ X94)))))) \/ (c1_0_ \/ ~(c4_0_))) /\ ((~(c2_0_) \/ ((forall X95 : Universe, (ndr1_0_ -> (c2_1_ X95 \/ ((forall X96 : Universe, (ndr1_1_ X95 -> (c2_2_ X95 X96 \/ (c1_2_ X95 X96 \/ c3_2_ X95 X96)))) \/ (forall X97 : Universe, (ndr1_1_ X95 -> (~(c1_2_ X95 X97) \/ (~(c3_2_ X95 X97) \/ ~(c5_2_ X95 X97))))))))) \/ (forall X98 : Universe, (ndr1_0_ -> (c5_1_ X98 \/ (~(c4_1_ X98) \/ (forall X99 : Universe, (ndr1_1_ X98 -> (c4_2_ X98 X99 \/ c5_2_ X98 X99))))))))) /\ ((c3_0_ \/ ((forall X100 : Universe, (ndr1_0_ -> (~(c1_1_ X100) \/ ((forall X101 : Universe, (ndr1_1_ X100 -> (c1_2_ X100 X101 \/ (~(c2_2_ X100 X101) \/ ~(c5_2_ X100 X101))))) \/ (forall X102 : Universe, (ndr1_1_ X100 -> (c5_2_ X100 X102 \/ (~(c3_2_ X100 X102) \/ c1_2_ X100 X102)))))))) \/ ~(c2_0_))) /\ ((c1_0_ \/ c3_0_) /\ (((ndr1_0_ /\ ((forall X103 : Universe, (ndr1_1_ a1103_ -> (c5_2_ a1103_ X103 \/ (c1_2_ a1103_ X103 \/ c3_2_ a1103_ X103)))) /\ ((forall X104 : Universe, (ndr1_1_ a1103_ -> (~(c3_2_ a1103_ X104) \/ (~(c1_2_ a1103_ X104) \/ c5_2_ a1103_ X104)))) /\ c5_1_ a1103_))) \/ ~(c1_0_)) /\ (((forall X105 : Universe, (ndr1_0_ -> (~(c3_1_ X105) \/ (c1_1_ X105 \/ (forall X106 : Universe, (ndr1_1_ X105 -> (c3_2_ X105 X106 \/ (~(c5_2_ X105 X106) \/ c1_2_ X105 X106)))))))) \/ (c2_0_ \/ c4_0_)) /\ ((c5_0_ \/ ((ndr1_0_ /\ (~(c2_1_ a1104_) /\ (ndr1_1_ a1104_ /\ (c3_2_ a1104_ a1105_ /\ ~(c5_2_ a1104_ a1105_))))) \/ ~(c1_0_))) /\ ((c5_0_ \/ ~(c4_0_)) /\ (((forall X107 : Universe, (ndr1_0_ -> ((forall X108 : Universe, (ndr1_1_ X107 -> (~(c1_2_ X107 X108) \/ (~(c2_2_ X107 X108) \/ c5_2_ X107 X108)))) \/ (c3_1_ X107 \/ (ndr1_1_ X107 /\ (c5_2_ X107 a1106_ /\ (~(c3_2_ X107 a1106_) /\ c4_2_ X107 a1106_))))))) \/ (c2_0_ \/ (forall X109 : Universe, (ndr1_0_ -> ((ndr1_1_ X109 /\ (~(c4_2_ X109 a1107_) /\ (c1_2_ X109 a1107_ /\ ~(c5_2_ X109 a1107_)))) \/ ((forall X110 : Universe, (ndr1_1_ X109 -> (~(c5_2_ X109 X110) \/ (~(c1_2_ X109 X110) \/ c2_2_ X109 X110)))) \/ (ndr1_1_ X109 /\ (~(c5_2_ X109 a1108_) /\ c4_2_ X109 a1108_)))))))) /\ ((~(c5_0_) \/ (c1_0_ \/ (forall X111 : Universe, (ndr1_0_ -> ((ndr1_1_ X111 /\ (c5_2_ X111 a1109_ /\ ~(c3_2_ X111 a1109_))) \/ c1_1_ X111))))) /\ ((c2_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a1110_ /\ (~(c4_2_ a1110_ a1111_) /\ (c1_2_ a1110_ a1111_ /\ (c5_2_ a1110_ a1111_ /\ (c4_1_ a1110_ /\ c2_1_ a1110_)))))) \/ (ndr1_0_ /\ ((forall X112 : Universe, (ndr1_1_ a1112_ -> (~(c5_2_ a1112_ X112) \/ (c1_2_ a1112_ X112 \/ ~(c2_2_ a1112_ X112))))) /\ ((forall X113 : Universe, (ndr1_1_ a1112_ -> (~(c4_2_ a1112_ X113) \/ (~(c3_2_ a1112_ X113) \/ ~(c2_2_ a1112_ X113))))) /\ c2_1_ a1112_))))) /\ ((c4_0_ \/ (ndr1_0_ /\ (c1_1_ a1113_ /\ (c2_1_ a1113_ /\ (forall X114 : Universe, (ndr1_1_ a1113_ -> (c2_2_ a1113_ X114 \/ ~(c4_2_ a1113_ X114)))))))) /\ ((c1_0_ \/ ((ndr1_0_ /\ ((forall X115 : Universe, (ndr1_1_ a1114_ -> (c3_2_ a1114_ X115 \/ (~(c2_2_ a1114_ X115) \/ ~(c4_2_ a1114_ X115))))) /\ (ndr1_1_ a1114_ /\ (~(c5_2_ a1114_ a1115_) /\ (~(c4_2_ a1114_ a1115_) /\ (c3_2_ a1114_ a1115_ /\ (forall X116 : Universe, (ndr1_1_ a1114_ -> (c3_2_ a1114_ X116 \/ ~(c5_2_ a1114_ X116)))))))))) \/ ~(c5_0_))) /\ (((ndr1_0_ /\ (~(c4_1_ a1116_) /\ (ndr1_1_ a1116_ /\ (~(c5_2_ a1116_ a1117_) /\ (~(c3_2_ a1116_ a1117_) /\ (c4_2_ a1116_ a1117_ /\ (forall X117 : Universe, (ndr1_1_ a1116_ -> (c4_2_ a1116_ X117 \/ (c2_2_ a1116_ X117 \/ c3_2_ a1116_ X117)))))))))) \/ (~(c2_0_) \/ (ndr1_0_ /\ ((forall X118 : Universe, (ndr1_1_ a1118_ -> (~(c1_2_ a1118_ X118) \/ (c4_2_ a1118_ X118 \/ ~(c3_2_ a1118_ X118))))) /\ (ndr1_1_ a1118_ /\ (c4_2_ a1118_ a1119_ /\ (c5_2_ a1118_ a1119_ /\ c2_2_ a1118_ a1119_))))))) /\ ((~(c1_0_) \/ (forall X119 : Universe, (ndr1_0_ -> ((ndr1_1_ X119 /\ (c5_2_ X119 a1120_ /\ (c4_2_ X119 a1120_ /\ ~(c3_2_ X119 a1120_)))) \/ (c3_1_ X119 \/ ~(c4_1_ X119)))))) /\ (((ndr1_0_ /\ (c3_1_ a1121_ /\ (~(c1_1_ a1121_) /\ ~(c4_1_ a1121_)))) \/ c4_0_) /\ ((~(c4_0_) \/ c5_0_) /\ ((~(c3_0_) \/ c5_0_) /\ (((ndr1_0_ /\ (ndr1_1_ a1122_ /\ (c2_2_ a1122_ a1123_ /\ (~(c1_2_ a1122_ a1123_) /\ (ndr1_1_ a1122_ /\ (c5_2_ a1122_ a1124_ /\ (c2_2_ a1122_ a1124_ /\ (~(c3_2_ a1122_ a1124_) /\ (forall X120 : Universe, (ndr1_1_ a1122_ -> (~(c4_2_ a1122_ X120) \/ (c1_2_ a1122_ X120 \/ c2_2_ a1122_ X120)))))))))))) \/ ((forall X121 : Universe, (ndr1_0_ -> (~(c4_1_ X121) \/ ((forall X122 : Universe, (ndr1_1_ X121 -> (~(c2_2_ X121 X122) \/ ~(c1_2_ X121 X122)))) \/ (forall X123 : Universe, (ndr1_1_ X121 -> (c1_2_ X121 X123 \/ ~(c2_2_ X121 X123)))))))) \/ ~(c1_0_))) /\ ((~(c3_0_) \/ (c2_0_ \/ c5_0_)) /\ ((c5_0_ \/ ~(c2_0_)) /\ ((~(c2_0_) \/ ((forall X124 : Universe, (ndr1_0_ -> (c4_1_ X124 \/ ((ndr1_1_ X124 /\ (c4_2_ X124 a1125_ /\ c1_2_ X124 a1125_)) \/ ~(c3_1_ X124))))) \/ (ndr1_0_ /\ ((forall X125 : Universe, (ndr1_1_ a1126_ -> (c3_2_ a1126_ X125 \/ (c1_2_ a1126_ X125 \/ c2_2_ a1126_ X125)))) /\ (forall X126 : Universe, (ndr1_1_ a1126_ -> (c1_2_ a1126_ X126 \/ ~(c4_2_ a1126_ X126)))))))) /\ (((forall X127 : Universe, (ndr1_0_ -> ((ndr1_1_ X127 /\ (~(c4_2_ X127 a1127_) /\ (c1_2_ X127 a1127_ /\ ~(c5_2_ X127 a1127_)))) \/ ((ndr1_1_ X127 /\ (~(c4_2_ X127 a1128_) /\ (~(c5_2_ X127 a1128_) /\ c2_2_ X127 a1128_))) \/ c3_1_ X127)))) \/ (c5_0_ \/ (ndr1_0_ /\ (~(c2_1_ a1129_) /\ (c4_1_ a1129_ /\ (forall X128 : Universe, (ndr1_1_ a1129_ -> (c3_2_ a1129_ X128 \/ (c4_2_ a1129_ X128 \/ ~(c5_2_ a1129_ X128)))))))))) /\ (((forall X129 : Universe, (ndr1_0_ -> ((forall X130 : Universe, (ndr1_1_ X129 -> (~(c1_2_ X129 X130) \/ c2_2_ X129 X130))) \/ ((forall X131 : Universe, (ndr1_1_ X129 -> (c1_2_ X129 X131 \/ (c2_2_ X129 X131 \/ ~(c4_2_ X129 X131))))) \/ (ndr1_1_ X129 /\ (~(c4_2_ X129 a1130_) /\ (c3_2_ X129 a1130_ /\ ~(c1_2_ X129 a1130_)))))))) \/ (c3_0_ \/ (forall X132 : Universe, (ndr1_0_ -> (~(c4_1_ X132) \/ (~(c1_1_ X132) \/ c5_1_ X132)))))) /\ ((~(c2_0_) \/ (c5_0_ \/ c1_0_)) /\ (((ndr1_0_ /\ (c1_1_ a1131_ /\ (ndr1_1_ a1131_ /\ (c3_2_ a1131_ a1132_ /\ (c2_2_ a1131_ a1132_ /\ (c1_2_ a1131_ a1132_ /\ ~(c4_1_ a1131_))))))) \/ (~(c2_0_) \/ c5_0_)) /\ ((c1_0_ \/ (forall X133 : Universe, (ndr1_0_ -> (~(c5_1_ X133) \/ (c3_1_ X133 \/ c4_1_ X133))))) /\ ((~(c3_0_) \/ (~(c1_0_) \/ (forall X134 : Universe, (ndr1_0_ -> (c1_1_ X134 \/ (forall X135 : Universe, (ndr1_1_ X134 -> (c2_2_ X134 X135 \/ (~(c3_2_ X134 X135) \/ c4_2_ X134 X135))))))))) /\ ((c1_0_ \/ ((forall X136 : Universe, (ndr1_0_ -> (c1_1_ X136 \/ ((forall X137 : Universe, (ndr1_1_ X136 -> (c1_2_ X136 X137 \/ (c2_2_ X136 X137 \/ ~(c3_2_ X136 X137))))) \/ (ndr1_1_ X136 /\ (c4_2_ X136 a1133_ /\ ~(c1_2_ X136 a1133_))))))) \/ c3_0_)) /\ ((c5_0_ \/ ((forall X138 : Universe, (ndr1_0_ -> (forall X139 : Universe, (ndr1_1_ X138 -> (c1_2_ X138 X139 \/ (~(c5_2_ X138 X139) \/ ~(c3_2_ X138 X139))))))) \/ (forall X140 : Universe, (ndr1_0_ -> ((ndr1_1_ X140 /\ (~(c5_2_ X140 a1134_) /\ c4_2_ X140 a1134_)) \/ (c1_1_ X140 \/ (forall X141 : Universe, (ndr1_1_ X140 -> (c5_2_ X140 X141 \/ c1_2_ X140 X141))))))))) /\ (((forall X142 : Universe, (ndr1_0_ -> (c2_1_ X142 \/ (~(c5_1_ X142) \/ ~(c1_1_ X142))))) \/ ((forall X143 : Universe, (ndr1_0_ -> (c5_1_ X143 \/ c4_1_ X143))) \/ ~(c2_0_))) /\ (((ndr1_0_ /\ (ndr1_1_ a1135_ /\ (c4_2_ a1135_ a1136_ /\ (c1_2_ a1135_ a1136_ /\ (c2_2_ a1135_ a1136_ /\ ((forall X144 : Universe, (ndr1_1_ a1135_ -> (~(c5_2_ a1135_ X144) \/ (~(c1_2_ a1135_ X144) \/ ~(c3_2_ a1135_ X144))))) /\ c4_1_ a1135_)))))) \/ ~(c4_0_)) /\ (((forall X145 : Universe, (ndr1_0_ -> ((forall X146 : Universe, (ndr1_1_ X145 -> (c4_2_ X145 X146 \/ (c1_2_ X145 X146 \/ ~(c5_2_ X145 X146))))) \/ ((forall X147 : Universe, (ndr1_1_ X145 -> (~(c5_2_ X145 X147) \/ c4_2_ X145 X147))) \/ (ndr1_1_ X145 /\ (c1_2_ X145 a1137_ /\ ~(c2_2_ X145 a1137_))))))) \/ ((forall X148 : Universe, (ndr1_0_ -> (~(c3_1_ X148) \/ ((ndr1_1_ X148 /\ (~(c3_2_ X148 a1138_) /\ c2_2_ X148 a1138_)) \/ (forall X149 : Universe, (ndr1_1_ X148 -> (~(c3_2_ X148 X149) \/ (c5_2_ X148 X149 \/ c4_2_ X148 X149)))))))) \/ c2_0_)) /\ ((~(c5_0_) \/ (~(c3_0_) \/ (forall X150 : Universe, (ndr1_0_ -> (c2_1_ X150 \/ ((forall X151 : Universe, (ndr1_1_ X150 -> (c4_2_ X150 X151 \/ (~(c5_2_ X150 X151) \/ c2_2_ X150 X151)))) \/ (ndr1_1_ X150 /\ (~(c2_2_ X150 a1139_) /\ (~(c3_2_ X150 a1139_) /\ ~(c1_2_ X150 a1139_)))))))))) /\ ((~(c3_0_) \/ ~(c5_0_)) /\ ((~(c2_0_) \/ (forall X152 : Universe, (ndr1_0_ -> (c1_1_ X152 \/ (ndr1_1_ X152 /\ (c2_2_ X152 a1140_ /\ ~(c5_2_ X152 a1140_))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a1141_ /\ (c1_2_ a1141_ a1142_ /\ (~(c2_2_ a1141_ a1142_) /\ (ndr1_1_ a1141_ /\ (c4_2_ a1141_ a1143_ /\ (~(c3_2_ a1141_ a1143_) /\ (c1_2_ a1141_ a1143_ /\ ~(c5_1_ a1141_))))))))) \/ c4_0_) /\ ((~(c4_0_) \/ (~(c1_0_) \/ (forall X153 : Universe, (ndr1_0_ -> (c3_1_ X153 \/ ~(c5_1_ X153)))))) /\ ((c4_0_ \/ ~(c2_0_)) /\ (((ndr1_0_ /\ (c4_1_ a1144_ /\ ((forall X154 : Universe, (ndr1_1_ a1144_ -> (c3_2_ a1144_ X154 \/ c5_2_ a1144_ X154))) /\ (forall X155 : Universe, (ndr1_1_ a1144_ -> (~(c2_2_ a1144_ X155) \/ (c4_2_ a1144_ X155 \/ ~(c1_2_ a1144_ X155)))))))) \/ ((ndr1_0_ /\ (ndr1_1_ a1145_ /\ (~(c2_2_ a1145_ a1146_) /\ (c1_2_ a1145_ a1146_ /\ (~(c3_2_ a1145_ a1146_) /\ (~(c2_1_ a1145_) /\ ~(c4_1_ a1145_))))))) \/ ~(c5_0_))) /\ ((c2_0_ \/ (~(c1_0_) \/ ~(c5_0_))) /\ (((ndr1_0_ /\ ((forall X156 : Universe, (ndr1_1_ a1147_ -> (~(c5_2_ a1147_ X156) \/ (~(c2_2_ a1147_ X156) \/ c3_2_ a1147_ X156)))) /\ (ndr1_1_ a1147_ /\ (c5_2_ a1147_ a1148_ /\ (c4_2_ a1147_ a1148_ /\ (c2_2_ a1147_ a1148_ /\ (forall X157 : Universe, (ndr1_1_ a1147_ -> (c1_2_ a1147_ X157 \/ (~(c2_2_ a1147_ X157) \/ c3_2_ a1147_ X157)))))))))) \/ ((ndr1_0_ /\ (~(c3_1_ a1149_) /\ (ndr1_1_ a1149_ /\ (c4_2_ a1149_ a1150_ /\ (c3_2_ a1149_ a1150_ /\ c5_1_ a1149_))))) \/ ~(c1_0_))) /\ (((ndr1_0_ /\ ((forall X158 : Universe, (ndr1_1_ a1151_ -> (c5_2_ a1151_ X158 \/ (~(c1_2_ a1151_ X158) \/ ~(c2_2_ a1151_ X158))))) /\ (c5_1_ a1151_ /\ (ndr1_1_ a1151_ /\ ~(c1_2_ a1151_ a1152_))))) \/ ((ndr1_0_ /\ (c2_1_ a1153_ /\ (ndr1_1_ a1153_ /\ (c4_2_ a1153_ a1154_ /\ (~(c2_2_ a1153_ a1154_) /\ (c5_2_ a1153_ a1154_ /\ ~(c4_1_ a1153_))))))) \/ ~(c1_0_))) /\ (((ndr1_0_ /\ (~(c3_1_ a1155_) /\ c5_1_ a1155_)) \/ ((forall X159 : Universe, (ndr1_0_ -> (~(c1_1_ X159) \/ ((ndr1_1_ X159 /\ (~(c1_2_ X159 a1156_) /\ (c3_2_ X159 a1156_ /\ ~(c2_2_ X159 a1156_)))) \/ (forall X160 : Universe, (ndr1_1_ X159 -> (~(c2_2_ X159 X160) \/ ~(c5_2_ X159 X160)))))))) \/ c1_0_)) /\ ((forall X161 : Universe, (ndr1_0_ -> ((forall X162 : Universe, (ndr1_1_ X161 -> (c4_2_ X161 X162 \/ ~(c2_2_ X161 X162)))) \/ (~(c1_1_ X161) \/ ~(c3_1_ X161))))) \/ (c3_0_ \/ (ndr1_0_ /\ (c5_1_ a1157_ /\ (forall X163 : Universe, (ndr1_1_ a1157_ -> (c2_2_ a1157_ X163 \/ (~(c4_2_ a1157_ X163) \/ c1_2_ a1157_ X163)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
