(*
% File     : SYN519+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=175, K=3, D=2, P=0, Index=057
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-175-3-2-057.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.75 v3.1.0, 0.83 v2.7.0, 1.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1191 (   0 equality)
%            Maximal formula depth :  113 ( 113 average)
%            Number of connectives : 1584 ( 394 ~  ; 454  |; 552  &)
%                                         (   0 <=>; 184 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :  192 ( 180 propositional; 0-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  184 (   0 singleton; 184 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.
Variable c0_1_ : Universe -> Prop.

Variable a99_ : Universe.
Variable a98_ : Universe.
Variable a97_ : Universe.
Variable a96_ : Universe.
Variable a95_ : Universe.
Variable a94_ : Universe.
Variable a93_ : Universe.
Variable a92_ : Universe.
Variable a91_ : Universe.
Variable a90_ : Universe.
Variable a9_ : Universe.
Variable a89_ : Universe.
Variable a88_ : Universe.
Variable a87_ : Universe.
Variable a86_ : Universe.
Variable a85_ : Universe.
Variable a84_ : Universe.
Variable a83_ : Universe.
Variable a82_ : Universe.
Variable a81_ : Universe.
Variable a80_ : Universe.
Variable a8_ : Universe.
Variable a79_ : Universe.
Variable a78_ : Universe.
Variable a77_ : Universe.
Variable a76_ : Universe.
Variable a75_ : Universe.
Variable a74_ : Universe.
Variable a73_ : Universe.
Variable a72_ : Universe.
Variable a71_ : Universe.
Variable a70_ : Universe.
Variable a7_ : Universe.
Variable a69_ : Universe.
Variable a68_ : Universe.
Variable a67_ : Universe.
Variable a66_ : Universe.
Variable a65_ : Universe.
Variable a64_ : Universe.
Variable a63_ : Universe.
Variable a62_ : Universe.
Variable a61_ : Universe.
Variable a60_ : Universe.
Variable a6_ : Universe.
Variable a59_ : Universe.
Variable a58_ : Universe.
Variable a57_ : Universe.
Variable a56_ : Universe.
Variable a55_ : Universe.
Variable a54_ : Universe.
Variable a53_ : Universe.
Variable a52_ : Universe.
Variable a51_ : Universe.
Variable a50_ : Universe.
Variable a5_ : Universe.
Variable a49_ : Universe.
Variable a48_ : Universe.
Variable a47_ : Universe.
Variable a46_ : Universe.
Variable a45_ : Universe.
Variable a44_ : Universe.
Variable a43_ : Universe.
Variable a42_ : Universe.
Variable a41_ : Universe.
Variable a40_ : Universe.
Variable a4_ : Universe.
Variable a39_ : Universe.
Variable a38_ : Universe.
Variable a37_ : Universe.
Variable a36_ : Universe.
Variable a35_ : Universe.
Variable a34_ : Universe.
Variable a33_ : Universe.
Variable a32_ : Universe.
Variable a31_ : Universe.
Variable a30_ : Universe.
Variable a3_ : Universe.
Variable a29_ : Universe.
Variable a28_ : Universe.
Variable a27_ : Universe.
Variable a26_ : Universe.
Variable a25_ : Universe.
Variable a24_ : Universe.
Variable a23_ : Universe.
Variable a22_ : Universe.
Variable a21_ : Universe.
Variable a20_ : Universe.
Variable a2_ : Universe.
Variable a19_ : Universe.
Variable a18_ : Universe.
Variable a174_ : Universe.
Variable a173_ : Universe.
Variable a172_ : Universe.
Variable a171_ : Universe.
Variable a170_ : Universe.
Variable a17_ : Universe.
Variable a169_ : Universe.
Variable a168_ : Universe.
Variable a167_ : Universe.
Variable a166_ : Universe.
Variable a165_ : Universe.
Variable a164_ : Universe.
Variable a163_ : Universe.
Variable a162_ : Universe.
Variable a161_ : Universe.
Variable a160_ : Universe.
Variable a16_ : Universe.
Variable a159_ : Universe.
Variable a158_ : Universe.
Variable a157_ : Universe.
Variable a156_ : Universe.
Variable a155_ : Universe.
Variable a154_ : Universe.
Variable a153_ : Universe.
Variable a152_ : Universe.
Variable a151_ : Universe.
Variable a150_ : Universe.
Variable a15_ : Universe.
Variable a149_ : Universe.
Variable a148_ : Universe.
Variable a147_ : Universe.
Variable a146_ : Universe.
Variable a145_ : Universe.
Variable a144_ : Universe.
Variable a143_ : Universe.
Variable a142_ : Universe.
Variable a141_ : Universe.
Variable a140_ : Universe.
Variable a14_ : Universe.
Variable a139_ : Universe.
Variable a138_ : Universe.
Variable a137_ : Universe.
Variable a136_ : Universe.
Variable a135_ : Universe.
Variable a134_ : Universe.
Variable a133_ : Universe.
Variable a132_ : Universe.
Variable a131_ : Universe.
Variable a130_ : Universe.
Variable a13_ : Universe.
Variable a129_ : Universe.
Variable a128_ : Universe.
Variable a127_ : Universe.
Variable a126_ : Universe.
Variable a125_ : Universe.
Variable a124_ : Universe.
Variable a123_ : Universe.
Variable a122_ : Universe.
Variable a121_ : Universe.
Variable a120_ : Universe.
Variable a12_ : Universe.
Variable a119_ : Universe.
Variable a118_ : Universe.
Variable a117_ : Universe.
Variable a116_ : Universe.
Variable a115_ : Universe.
Variable a114_ : Universe.
Variable a113_ : Universe.
Variable a112_ : Universe.
Variable a111_ : Universe.
Variable a110_ : Universe.
Variable a11_ : Universe.
Variable a109_ : Universe.
Variable a108_ : Universe.
Variable a107_ : Universe.
Variable a106_ : Universe.
Variable a105_ : Universe.
Variable a104_ : Universe.
Variable a103_ : Universe.
Variable a102_ : Universe.
Variable a101_ : Universe.
Variable a100_ : Universe.
Variable a10_ : Universe.
Variable a1_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~((c1_0_ /\ ((c2_0_ \/ (c3_0_ \/ ~(c4_0_))) /\ ((c2_0_ \/ (c3_0_ \/ (forall U : Universe, (ndr1_0_ -> c2_1_ U)))) /\ ((c2_0_ \/ (c3_0_ \/ (ndr1_0_ /\ ((forall V : Universe, (ndr1_1_ a1_ -> (c1_2_ a1_ V \/ (c2_2_ a1_ V \/ c3_2_ a1_ V)))) /\ (forall W : Universe, (ndr1_1_ a1_ -> (c3_2_ a1_ W \/ ~(c5_2_ a1_ W)))))))) /\ ((c2_0_ \/ (c5_0_ \/ ~(c4_0_))) /\ ((c2_0_ \/ ~(c4_0_)) /\ ((c2_0_ \/ (ndr1_0_ /\ (c5_1_ a2_ /\ (ndr1_1_ a2_ /\ (c5_2_ a2_ a3_ /\ ~(c4_2_ a2_ a3_)))))) /\ ((c2_0_ \/ (~(c3_0_) \/ (forall X : Universe, (ndr1_0_ -> (c1_1_ X \/ (c2_1_ X \/ (ndr1_1_ X /\ (c2_2_ X a4_ /\ ~(c4_2_ X a4_))))))))) /\ ((c2_0_ \/ (~(c3_0_) \/ (forall Y : Universe, (ndr1_0_ -> (c2_1_ Y \/ (~(c1_1_ Y) \/ (ndr1_1_ Y /\ (c4_2_ Y a5_ /\ (c5_2_ Y a5_ /\ ~(c3_2_ Y a5_)))))))))) /\ ((c2_0_ \/ ((forall Z : Universe, (ndr1_0_ -> (c1_1_ Z \/ (~(c5_1_ Z) \/ (ndr1_1_ Z /\ (c2_2_ Z a6_ /\ (c4_2_ Z a6_ /\ ~(c1_2_ Z a6_)))))))) \/ (ndr1_0_ /\ (~(c1_1_ a7_) /\ ((forall X1 : Universe, (ndr1_1_ a7_ -> (c2_2_ a7_ X1 \/ c5_2_ a7_ X1))) /\ (ndr1_1_ a7_ /\ (c4_2_ a7_ a8_ /\ (c5_2_ a7_ a8_ /\ ~(c1_2_ a7_ a8_))))))))) /\ ((c2_0_ \/ ((forall X2 : Universe, (ndr1_0_ -> (~(c1_1_ X2) \/ ((forall X3 : Universe, (ndr1_1_ X2 -> (c1_2_ X2 X3 \/ (c3_2_ X2 X3 \/ ~(c5_2_ X2 X3))))) \/ (ndr1_1_ X2 /\ (c1_2_ X2 a9_ /\ (~(c2_2_ X2 a9_) /\ ~(c3_2_ X2 a9_)))))))) \/ (ndr1_0_ /\ (~(c1_1_ a10_) /\ ((forall X4 : Universe, (ndr1_1_ a10_ -> (c5_2_ a10_ X4 \/ (~(c1_2_ a10_ X4) \/ ~(c4_2_ a10_ X4))))) /\ (ndr1_1_ a10_ /\ (~(c3_2_ a10_ a11_) /\ ~(c5_2_ a10_ a11_)))))))) /\ ((c2_0_ \/ ((forall X5 : Universe, (ndr1_0_ -> (~(c2_1_ X5) \/ (~(c3_1_ X5) \/ ~(c5_1_ X5))))) \/ (forall X6 : Universe, (ndr1_0_ -> (~(c2_1_ X6) \/ ((ndr1_1_ X6 /\ (c1_2_ X6 a12_ /\ (c2_2_ X6 a12_ /\ ~(c3_2_ X6 a12_)))) \/ (ndr1_1_ X6 /\ (~(c2_2_ X6 a13_) /\ (~(c4_2_ X6 a13_) /\ ~(c5_2_ X6 a13_)))))))))) /\ ((c2_0_ \/ ((forall X7 : Universe, (ndr1_0_ -> (~(c2_1_ X7) \/ ((ndr1_1_ X7 /\ (~(c2_2_ X7 a14_) /\ ~(c4_2_ X7 a14_))) \/ (ndr1_1_ X7 /\ (~(c4_2_ X7 a15_) /\ ~(c5_2_ X7 a15_))))))) \/ (ndr1_0_ /\ (c5_1_ a16_ /\ ((forall X8 : Universe, (ndr1_1_ a16_ -> (c4_2_ a16_ X8 \/ c5_2_ a16_ X8))) /\ (ndr1_1_ a16_ /\ (c5_2_ a16_ a17_ /\ ~(c1_2_ a16_ a17_)))))))) /\ ((c2_0_ \/ ((forall X9 : Universe, (ndr1_0_ -> (~(c3_1_ X9) \/ (~(c4_1_ X9) \/ (ndr1_1_ X9 /\ (c2_2_ X9 a18_ /\ c5_2_ X9 a18_)))))) \/ (ndr1_0_ /\ (c3_1_ a19_ /\ ((forall X10 : Universe, (ndr1_1_ a19_ -> (c2_2_ a19_ X10 \/ (c4_2_ a19_ X10 \/ ~(c5_2_ a19_ X10))))) /\ (forall X11 : Universe, (ndr1_1_ a19_ -> (c3_2_ a19_ X11 \/ (~(c4_2_ a19_ X11) \/ ~(c5_2_ a19_ X11)))))))))) /\ ((c2_0_ \/ ((forall X12 : Universe, (ndr1_0_ -> (~(c4_1_ X12) \/ ((forall X13 : Universe, (ndr1_1_ X12 -> (c2_2_ X12 X13 \/ (c4_2_ X12 X13 \/ ~(c5_2_ X12 X13))))) \/ (forall X14 : Universe, (ndr1_1_ X12 -> (c4_2_ X12 X14 \/ (~(c1_2_ X12 X14) \/ ~(c3_2_ X12 X14))))))))) \/ (ndr1_0_ /\ (c1_1_ a20_ /\ (~(c2_1_ a20_) /\ (ndr1_1_ a20_ /\ (~(c2_2_ a20_ a21_) /\ (~(c3_2_ a20_ a21_) /\ ~(c4_2_ a20_ a21_))))))))) /\ ((c2_0_ \/ (forall X15 : Universe, (ndr1_0_ -> (~(c4_1_ X15) \/ ((forall X16 : Universe, (ndr1_1_ X15 -> (c3_2_ X15 X16 \/ (c4_2_ X15 X16 \/ c5_2_ X15 X16)))) \/ (ndr1_1_ X15 /\ (c3_2_ X15 a22_ /\ ~(c2_2_ X15 a22_)))))))) /\ ((c2_0_ \/ (ndr1_0_ /\ (~(c4_1_ a23_) /\ ((forall X17 : Universe, (ndr1_1_ a23_ -> (c1_2_ a23_ X17 \/ (c3_2_ a23_ X17 \/ c5_2_ a23_ X17)))) /\ (ndr1_1_ a23_ /\ (c2_2_ a23_ a24_ /\ (c3_2_ a23_ a24_ /\ ~(c1_2_ a23_ a24_)))))))) /\ ((c3_0_ \/ (c5_0_ \/ (forall X18 : Universe, (ndr1_0_ -> (~(c4_1_ X18) \/ (ndr1_1_ X18 /\ (c3_2_ X18 a25_ /\ (~(c2_2_ X18 a25_) /\ ~(c4_2_ X18 a25_))))))))) /\ ((c3_0_ \/ (c5_0_ \/ (ndr1_0_ /\ (~(c1_1_ a26_) /\ (forall X19 : Universe, (ndr1_1_ a26_ -> (c2_2_ a26_ X19 \/ (c5_2_ a26_ X19 \/ ~(c3_2_ a26_ X19))))))))) /\ ((c3_0_ \/ (ndr1_0_ /\ (c1_1_ a27_ /\ ~(c2_1_ a27_)))) /\ ((c3_0_ \/ (~(c2_0_) \/ (forall X20 : Universe, (ndr1_0_ -> (c3_1_ X20 \/ ((forall X21 : Universe, (ndr1_1_ X20 -> (c3_2_ X20 X21 \/ (c4_2_ X20 X21 \/ ~(c5_2_ X20 X21))))) \/ (ndr1_1_ X20 /\ (c1_2_ X20 a28_ /\ (~(c3_2_ X20 a28_) /\ ~(c4_2_ X20 a28_)))))))))) /\ ((c3_0_ \/ (~(c2_0_) \/ (ndr1_0_ /\ (~(c1_1_ a29_) /\ (ndr1_1_ a29_ /\ (c3_2_ a29_ a30_ /\ ~(c5_2_ a29_ a30_))))))) /\ ((c3_0_ \/ (~(c4_0_) \/ (forall X22 : Universe, (ndr1_0_ -> ((ndr1_1_ X22 /\ (c2_2_ X22 a31_ /\ (~(c4_2_ X22 a31_) /\ ~(c5_2_ X22 a31_)))) \/ (ndr1_1_ X22 /\ (c4_2_ X22 a32_ /\ c5_2_ X22 a32_))))))) /\ ((c3_0_ \/ (~(c5_0_) \/ (forall X23 : Universe, (ndr1_0_ -> (c1_1_ X23 \/ (c2_1_ X23 \/ (forall X24 : Universe, (ndr1_1_ X23 -> (c2_2_ X23 X24 \/ c5_2_ X23 X24))))))))) /\ ((c3_0_ \/ (~(c5_0_) \/ (ndr1_0_ /\ (c2_1_ a33_ /\ (c5_1_ a33_ /\ (forall X25 : Universe, (ndr1_1_ a33_ -> (c3_2_ a33_ X25 \/ (c4_2_ a33_ X25 \/ ~(c1_2_ a33_ X25)))))))))) /\ ((c3_0_ \/ (~(c5_0_) \/ (ndr1_0_ /\ (~(c2_1_ a34_) /\ ((forall X26 : Universe, (ndr1_1_ a34_ -> (c2_2_ a34_ X26 \/ (c5_2_ a34_ X26 \/ ~(c1_2_ a34_ X26))))) /\ (ndr1_1_ a34_ /\ (c2_2_ a34_ a35_ /\ (c5_2_ a34_ a35_ /\ ~(c1_2_ a34_ a35_))))))))) /\ ((c3_0_ \/ (forall X27 : Universe, (ndr1_0_ -> (c1_1_ X27 \/ (c2_1_ X27 \/ ~(c5_1_ X27)))))) /\ ((c3_0_ \/ ((forall X28 : Universe, (ndr1_0_ -> (c2_1_ X28 \/ (c4_1_ X28 \/ (forall X29 : Universe, (ndr1_1_ X28 -> (c2_2_ X28 X29 \/ (c3_2_ X28 X29 \/ ~(c1_2_ X28 X29))))))))) \/ (forall X30 : Universe, (ndr1_0_ -> ((forall X31 : Universe, (ndr1_1_ X30 -> (c1_2_ X30 X31 \/ c3_2_ X30 X31))) \/ (ndr1_1_ X30 /\ (c3_2_ X30 a36_ /\ (~(c1_2_ X30 a36_) /\ ~(c2_2_ X30 a36_))))))))) /\ ((c3_0_ \/ ((forall X32 : Universe, (ndr1_0_ -> (c3_1_ X32 \/ (~(c5_1_ X32) \/ (forall X33 : Universe, (ndr1_1_ X32 -> (~(c2_2_ X32 X33) \/ ~(c5_2_ X32 X33)))))))) \/ (forall X34 : Universe, (ndr1_0_ -> ((forall X35 : Universe, (ndr1_1_ X34 -> (c2_2_ X34 X35 \/ (~(c1_2_ X34 X35) \/ ~(c4_2_ X34 X35))))) \/ ((forall X36 : Universe, (ndr1_1_ X34 -> (~(c2_2_ X34 X36) \/ (~(c3_2_ X34 X36) \/ ~(c5_2_ X34 X36))))) \/ (forall X37 : Universe, (ndr1_1_ X34 -> (~(c3_2_ X34 X37) \/ (~(c4_2_ X34 X37) \/ ~(c5_2_ X34 X37))))))))))) /\ ((c3_0_ \/ (forall X38 : Universe, (ndr1_0_ -> (c4_1_ X38 \/ (~(c2_1_ X38) \/ (forall X39 : Universe, (ndr1_1_ X38 -> (~(c2_2_ X38 X39) \/ (~(c4_2_ X38 X39) \/ ~(c5_2_ X38 X39)))))))))) /\ ((c3_0_ \/ ((forall X40 : Universe, (ndr1_0_ -> (~(c4_1_ X40) \/ (~(c5_1_ X40) \/ (ndr1_1_ X40 /\ (~(c2_2_ X40 a37_) /\ (~(c3_2_ X40 a37_) /\ ~(c4_2_ X40 a37_)))))))) \/ (ndr1_0_ /\ (~(c1_1_ a38_) /\ ((forall X41 : Universe, (ndr1_1_ a38_ -> (c4_2_ a38_ X41 \/ (c5_2_ a38_ X41 \/ ~(c3_2_ a38_ X41))))) /\ (ndr1_1_ a38_ /\ (c3_2_ a38_ a39_ /\ ~(c5_2_ a38_ a39_)))))))) /\ ((c3_0_ \/ ((forall X42 : Universe, (ndr1_0_ -> (~(c4_1_ X42) \/ ((forall X43 : Universe, (ndr1_1_ X42 -> (~(c1_2_ X42 X43) \/ ~(c4_2_ X42 X43)))) \/ (ndr1_1_ X42 /\ (c1_2_ X42 a40_ /\ (c4_2_ X42 a40_ /\ ~(c3_2_ X42 a40_)))))))) \/ (ndr1_0_ /\ (c2_1_ a41_ /\ (c5_1_ a41_ /\ (forall X44 : Universe, (ndr1_1_ a41_ -> (~(c3_2_ a41_ X44) \/ ~(c5_2_ a41_ X44))))))))) /\ ((c3_0_ \/ ((forall X45 : Universe, (ndr1_0_ -> ((forall X46 : Universe, (ndr1_1_ X45 -> (c2_2_ X45 X46 \/ (c4_2_ X45 X46 \/ ~(c1_2_ X45 X46))))) \/ (ndr1_1_ X45 /\ (c3_2_ X45 a42_ /\ (c4_2_ X45 a42_ /\ ~(c2_2_ X45 a42_))))))) \/ (ndr1_0_ /\ (c4_1_ a43_ /\ (c5_1_ a43_ /\ (forall X47 : Universe, (ndr1_1_ a43_ -> (c1_2_ a43_ X47 \/ (~(c3_2_ a43_ X47) \/ ~(c4_2_ a43_ X47)))))))))) /\ ((c3_0_ \/ (forall X48 : Universe, (ndr1_0_ -> ((ndr1_1_ X48 /\ (c3_2_ X48 a44_ /\ (~(c2_2_ X48 a44_) /\ ~(c4_2_ X48 a44_)))) \/ (ndr1_1_ X48 /\ (c5_2_ X48 a45_ /\ ~(c4_2_ X48 a45_))))))) /\ ((c3_0_ \/ (ndr1_0_ /\ (c1_1_ a46_ /\ (c2_1_ a46_ /\ (forall X49 : Universe, (ndr1_1_ a46_ -> (c4_2_ a46_ X49 \/ ~(c2_2_ a46_ X49)))))))) /\ ((c3_0_ \/ (ndr1_0_ /\ (~(c1_1_ a47_) /\ ((forall X50 : Universe, (ndr1_1_ a47_ -> (c1_2_ a47_ X50 \/ (c4_2_ a47_ X50 \/ c5_2_ a47_ X50)))) /\ (forall X51 : Universe, (ndr1_1_ a47_ -> (c1_2_ a47_ X51 \/ ~(c5_2_ a47_ X51)))))))) /\ ((c3_0_ \/ ((ndr1_0_ /\ ((forall X52 : Universe, (ndr1_1_ a48_ -> (c1_2_ a48_ X52 \/ ~(c3_2_ a48_ X52)))) /\ (forall X53 : Universe, (ndr1_1_ a48_ -> (c3_2_ a48_ X53 \/ ~(c2_2_ a48_ X53)))))) \/ (ndr1_0_ /\ (forall X54 : Universe, (ndr1_1_ a49_ -> (c1_2_ a49_ X54 \/ (c2_2_ a49_ X54 \/ c4_2_ a49_ X54))))))) /\ ((c4_0_ \/ c5_0_) /\ ((c4_0_ \/ (c5_0_ \/ (forall X55 : Universe, (ndr1_0_ -> (c2_1_ X55 \/ (~(c1_1_ X55) \/ (ndr1_1_ X55 /\ (c2_2_ X55 a50_ /\ c3_2_ X55 a50_)))))))) /\ ((c4_0_ \/ (c5_0_ \/ (forall X56 : Universe, (ndr1_0_ -> (~(c3_1_ X56) \/ ((forall X57 : Universe, (ndr1_1_ X56 -> (c1_2_ X56 X57 \/ (~(c2_2_ X56 X57) \/ ~(c5_2_ X56 X57))))) \/ (forall X58 : Universe, (ndr1_1_ X56 -> (c3_2_ X56 X58 \/ (c4_2_ X56 X58 \/ ~(c5_2_ X56 X58))))))))))) /\ (c4_0_ /\ ((c5_0_ \/ (ndr1_0_ /\ (~(c4_1_ a51_) /\ ((forall X59 : Universe, (ndr1_1_ a51_ -> (c2_2_ a51_ X59 \/ (c4_2_ a51_ X59 \/ ~(c3_2_ a51_ X59))))) /\ (ndr1_1_ a51_ /\ (c2_2_ a51_ a52_ /\ (c3_2_ a51_ a52_ /\ ~(c4_2_ a51_ a52_)))))))) /\ ((c5_0_ \/ ~(c3_0_)) /\ ((c5_0_ \/ ((forall X60 : Universe, (ndr1_0_ -> (c1_1_ X60 \/ ((forall X61 : Universe, (ndr1_1_ X60 -> (c1_2_ X60 X61 \/ c3_2_ X60 X61))) \/ (forall X62 : Universe, (ndr1_1_ X60 -> (c3_2_ X60 X62 \/ c4_2_ X60 X62))))))) \/ (forall X63 : Universe, (ndr1_0_ -> (~(c2_1_ X63) \/ (~(c5_1_ X63) \/ (ndr1_1_ X63 /\ (c2_2_ X63 a53_ /\ ~(c4_2_ X63 a53_))))))))) /\ ((c5_0_ \/ ((forall X64 : Universe, (ndr1_0_ -> (c3_1_ X64 \/ (c4_1_ X64 \/ ~(c5_1_ X64))))) \/ (ndr1_0_ /\ (c3_1_ a54_ /\ c4_1_ a54_)))) /\ ((~(c2_0_) \/ (forall X65 : Universe, (ndr1_0_ -> ((forall X66 : Universe, (ndr1_1_ X65 -> (c5_2_ X65 X66 \/ (~(c1_2_ X65 X66) \/ ~(c4_2_ X65 X66))))) \/ ((forall X67 : Universe, (ndr1_1_ X65 -> (~(c3_2_ X65 X67) \/ (~(c4_2_ X65 X67) \/ ~(c5_2_ X65 X67))))) \/ (ndr1_1_ X65 /\ (~(c1_2_ X65 a55_) /\ ~(c4_2_ X65 a55_)))))))) /\ (~(c3_0_) /\ ((forall X68 : Universe, (ndr1_0_ -> (c5_1_ X68 \/ (~(c4_1_ X68) \/ (ndr1_1_ X68 /\ (c1_2_ X68 a56_ /\ (c5_2_ X68 a56_ /\ ~(c3_2_ X68 a56_)))))))) /\ ((~(c5_0_) \/ (forall X69 : Universe, (ndr1_0_ -> (~(c3_1_ X69) \/ ((forall X70 : Universe, (ndr1_1_ X69 -> (~(c2_2_ X69 X70) \/ (~(c3_2_ X69 X70) \/ ~(c4_2_ X69 X70))))) \/ (ndr1_1_ X69 /\ (c2_2_ X69 a57_ /\ (c4_2_ X69 a57_ /\ c5_2_ X69 a57_)))))))) /\ (((forall X71 : Universe, (ndr1_0_ -> (c1_1_ X71 \/ c3_1_ X71))) \/ (forall X72 : Universe, (ndr1_0_ -> (~(c2_1_ X72) \/ ((forall X73 : Universe, (ndr1_1_ X72 -> (c1_2_ X72 X73 \/ (c4_2_ X72 X73 \/ ~(c5_2_ X72 X73))))) \/ (forall X74 : Universe, (ndr1_1_ X72 -> (~(c1_2_ X72 X74) \/ (~(c2_2_ X72 X74) \/ ~(c3_2_ X72 X74)))))))))) /\ (((forall X75 : Universe, (ndr1_0_ -> (c4_1_ X75 \/ (~(c5_1_ X75) \/ (forall X76 : Universe, (ndr1_1_ X75 -> ~(c2_2_ X75 X76))))))) \/ (ndr1_0_ /\ (c4_1_ a58_ /\ (~(c2_1_ a58_) /\ (forall X77 : Universe, (ndr1_1_ a58_ -> (c1_2_ a58_ X77 \/ (c2_2_ a58_ X77 \/ c5_2_ a58_ X77)))))))) /\ ((forall X78 : Universe, (ndr1_0_ -> (c4_1_ X78 \/ ((ndr1_1_ X78 /\ (c2_2_ X78 a59_ /\ c3_2_ X78 a59_)) \/ (ndr1_1_ X78 /\ (~(c2_2_ X78 a60_) /\ (~(c4_2_ X78 a60_) /\ ~(c5_2_ X78 a60_)))))))) /\ (((forall X79 : Universe, (ndr1_0_ -> (~(c1_1_ X79) \/ ((forall X80 : Universe, (ndr1_1_ X79 -> (c3_2_ X79 X80 \/ ~(c1_2_ X79 X80)))) \/ (forall X81 : Universe, (ndr1_1_ X79 -> (c4_2_ X79 X81 \/ ~(c5_2_ X79 X81)))))))) \/ (ndr1_0_ /\ (ndr1_1_ a61_ /\ (c1_2_ a61_ a62_ /\ (c4_2_ a61_ a62_ /\ (~(c2_2_ a61_ a62_) /\ (ndr1_1_ a61_ /\ (c1_2_ a61_ a63_ /\ (~(c4_2_ a61_ a63_) /\ (~(c5_2_ a61_ a63_) /\ (ndr1_1_ a61_ /\ (~(c3_2_ a61_ a64_) /\ ~(c4_2_ a61_ a64_))))))))))))) /\ (((forall X82 : Universe, (ndr1_0_ -> (~(c4_1_ X82) \/ (ndr1_1_ X82 /\ (c1_2_ X82 a65_ /\ c2_2_ X82 a65_))))) \/ (ndr1_0_ /\ (c5_1_ a66_ /\ (ndr1_1_ a66_ /\ (c3_2_ a66_ a67_ /\ (c5_2_ a66_ a67_ /\ ~(c2_2_ a66_ a67_))))))) /\ (((forall X83 : Universe, (ndr1_0_ -> ((forall X84 : Universe, (ndr1_1_ X83 -> (c2_2_ X83 X84 \/ (c4_2_ X83 X84 \/ ~(c5_2_ X83 X84))))) \/ ((ndr1_1_ X83 /\ (c1_2_ X83 a68_ /\ (c3_2_ X83 a68_ /\ ~(c2_2_ X83 a68_)))) \/ (ndr1_1_ X83 /\ (c3_2_ X83 a69_ /\ (~(c1_2_ X83 a69_) /\ ~(c2_2_ X83 a69_)))))))) \/ (ndr1_0_ /\ (c2_1_ a70_ /\ (~(c4_1_ a70_) /\ ~(c5_1_ a70_))))) /\ (((ndr1_0_ /\ (c3_1_ a71_ /\ (~(c2_1_ a71_) /\ ~(c5_1_ a71_)))) \/ (ndr1_0_ /\ (~(c3_1_ a72_) /\ (ndr1_1_ a72_ /\ (c2_2_ a72_ a73_ /\ (c3_2_ a72_ a73_ /\ ~(c4_2_ a72_ a73_))))))) /\ ((~(c2_0_) \/ ((forall X85 : Universe, (ndr1_0_ -> (c2_1_ X85 \/ (c3_1_ X85 \/ ~(c1_1_ X85))))) \/ (ndr1_0_ /\ (c2_1_ a74_ /\ (ndr1_1_ a74_ /\ (c1_2_ a74_ a75_ /\ (~(c4_2_ a74_ a75_) /\ (~(c5_2_ a74_ a75_) /\ (ndr1_1_ a74_ /\ (c2_2_ a74_ a76_ /\ (c3_2_ a74_ a76_ /\ ~(c1_2_ a74_ a76_)))))))))))) /\ ((~(c2_0_) \/ ((forall X86 : Universe, (ndr1_0_ -> (c4_1_ X86 \/ (~(c3_1_ X86) \/ (forall X87 : Universe, (ndr1_1_ X86 -> (c2_2_ X86 X87 \/ (c4_2_ X86 X87 \/ c5_2_ X86 X87)))))))) \/ (forall X88 : Universe, (ndr1_0_ -> (c5_1_ X88 \/ (~(c2_1_ X88) \/ ~(c3_1_ X88))))))) /\ ((~(c2_0_) \/ ((forall X89 : Universe, (ndr1_0_ -> (~(c2_1_ X89) \/ ((forall X90 : Universe, (ndr1_1_ X89 -> (~(c2_2_ X89 X90) \/ ~(c3_2_ X89 X90)))) \/ (ndr1_1_ X89 /\ (c2_2_ X89 a77_ /\ c3_2_ X89 a77_)))))) \/ (forall X91 : Universe, (ndr1_0_ -> (~(c4_1_ X91) \/ (ndr1_1_ X91 /\ (c4_2_ X91 a78_ /\ (c5_2_ X91 a78_ /\ ~(c3_2_ X91 a78_))))))))) /\ ((~(c2_0_) \/ ((forall X92 : Universe, (ndr1_0_ -> (~(c5_1_ X92) \/ ((forall X93 : Universe, (ndr1_1_ X92 -> (c1_2_ X92 X93 \/ ~(c5_2_ X92 X93)))) \/ (ndr1_1_ X92 /\ (~(c2_2_ X92 a79_) /\ ~(c4_2_ X92 a79_))))))) \/ (ndr1_0_ /\ (~(c3_1_ a80_) /\ ~(c5_1_ a80_))))) /\ ((~(c2_0_) \/ ((forall X94 : Universe, (ndr1_0_ -> ((forall X95 : Universe, (ndr1_1_ X94 -> (c5_2_ X94 X95 \/ ~(c4_2_ X94 X95)))) \/ ((ndr1_1_ X94 /\ (c2_2_ X94 a81_ /\ (~(c1_2_ X94 a81_) /\ ~(c5_2_ X94 a81_)))) \/ (ndr1_1_ X94 /\ (c4_2_ X94 a82_ /\ (~(c1_2_ X94 a82_) /\ ~(c3_2_ X94 a82_)))))))) \/ (ndr1_0_ /\ (c2_1_ a83_ /\ (~(c4_1_ a83_) /\ (ndr1_1_ a83_ /\ (c1_2_ a83_ a84_ /\ (c2_2_ a83_ a84_ /\ c3_2_ a83_ a84_)))))))) /\ ((~(c2_0_) \/ (ndr1_0_ /\ (c3_1_ a85_ /\ ((forall X96 : Universe, (ndr1_1_ a85_ -> (c3_2_ a85_ X96 \/ (~(c1_2_ a85_ X96) \/ ~(c4_2_ a85_ X96))))) /\ (forall X97 : Universe, (ndr1_1_ a85_ -> (c3_2_ a85_ X97 \/ (~(c1_2_ a85_ X97) \/ ~(c5_2_ a85_ X97))))))))) /\ ((~(c2_0_) \/ ((ndr1_0_ /\ (c4_1_ a86_ /\ (c5_1_ a86_ /\ ~(c1_1_ a86_)))) \/ (ndr1_0_ /\ (~(c4_1_ a87_) /\ (ndr1_1_ a87_ /\ (c2_2_ a87_ a88_ /\ (c3_2_ a87_ a88_ /\ (c5_2_ a87_ a88_ /\ (ndr1_1_ a87_ /\ (c2_2_ a87_ a89_ /\ (c3_2_ a87_ a89_ /\ ~(c4_2_ a87_ a89_)))))))))))) /\ ((~(c2_0_) \/ (ndr1_0_ /\ (~(c3_1_ a90_) /\ ~(c4_1_ a90_)))) /\ ((~(c5_0_) \/ (ndr1_0_ /\ (c5_1_ a91_ /\ (~(c4_1_ a91_) /\ (ndr1_1_ a91_ /\ (~(c1_2_ a91_ a92_) /\ (~(c2_2_ a91_ a92_) /\ ~(c4_2_ a91_ a92_)))))))) /\ ((forall X98 : Universe, (ndr1_0_ -> (c2_1_ X98 \/ (c3_1_ X98 \/ (forall X99 : Universe, (ndr1_1_ X98 -> (c2_2_ X98 X99 \/ (c3_2_ X98 X99 \/ ~(c5_2_ X98 X99))))))))) /\ (((forall X100 : Universe, (ndr1_0_ -> (c2_1_ X100 \/ (~(c4_1_ X100) \/ (forall X101 : Universe, (ndr1_1_ X100 -> (c3_2_ X100 X101 \/ (~(c1_2_ X100 X101) \/ ~(c4_2_ X100 X101))))))))) \/ (ndr1_0_ /\ (~(c3_1_ a93_) /\ (forall X102 : Universe, (ndr1_1_ a93_ -> (c1_2_ a93_ X102 \/ (c5_2_ a93_ X102 \/ ~(c3_2_ a93_ X102)))))))) /\ (((forall X103 : Universe, (ndr1_0_ -> (c2_1_ X103 \/ (forall X104 : Universe, (ndr1_1_ X103 -> (c1_2_ X103 X104 \/ (~(c3_2_ X103 X104) \/ ~(c5_2_ X103 X104)))))))) \/ (ndr1_0_ /\ (c5_1_ a94_ /\ ((forall X105 : Universe, (ndr1_1_ a94_ -> (c3_2_ a94_ X105 \/ (~(c2_2_ a94_ X105) \/ ~(c5_2_ a94_ X105))))) /\ (ndr1_1_ a94_ /\ (c2_2_ a94_ a95_ /\ ~(c4_2_ a94_ a95_))))))) /\ (((forall X106 : Universe, (ndr1_0_ -> (~(c1_1_ X106) \/ ~(c2_1_ X106)))) \/ (ndr1_0_ /\ (~(c3_1_ a96_) /\ ((forall X107 : Universe, (ndr1_1_ a96_ -> (c3_2_ a96_ X107 \/ (c5_2_ a96_ X107 \/ ~(c1_2_ a96_ X107))))) /\ (ndr1_1_ a96_ /\ (c3_2_ a96_ a97_ /\ ~(c5_2_ a96_ a97_))))))) /\ (((forall X108 : Universe, (ndr1_0_ -> (~(c1_1_ X108) \/ (~(c3_1_ X108) \/ (ndr1_1_ X108 /\ (c1_2_ X108 a98_ /\ (c4_2_ X108 a98_ /\ c5_2_ X108 a98_))))))) \/ (ndr1_0_ /\ (~(c1_1_ a99_) /\ ((forall X109 : Universe, (ndr1_1_ a99_ -> (c4_2_ a99_ X109 \/ ~(c2_2_ a99_ X109)))) /\ (forall X110 : Universe, (ndr1_1_ a99_ -> (~(c1_2_ a99_ X110) \/ (~(c2_2_ a99_ X110) \/ ~(c3_2_ a99_ X110))))))))) /\ ((forall X111 : Universe, (ndr1_0_ -> (~(c3_1_ X111) \/ ((ndr1_1_ X111 /\ (c1_2_ X111 a100_ /\ (c4_2_ X111 a100_ /\ ~(c3_2_ X111 a100_)))) \/ (ndr1_1_ X111 /\ (c2_2_ X111 a101_ /\ (~(c3_2_ X111 a101_) /\ ~(c5_2_ X111 a101_)))))))) /\ (((ndr1_0_ /\ (c3_1_ a102_ /\ c5_1_ a102_)) \/ (ndr1_0_ /\ (c4_1_ a103_ /\ (~(c2_1_ a103_) /\ (ndr1_1_ a103_ /\ (c4_2_ a103_ a104_ /\ ~(c3_2_ a103_ a104_))))))) /\ ((~(c5_0_) \/ ((forall X112 : Universe, (ndr1_0_ -> (c1_1_ X112 \/ (c3_1_ X112 \/ (ndr1_1_ X112 /\ (~(c2_2_ X112 a105_) /\ ~(c3_2_ X112 a105_))))))) \/ (forall X113 : Universe, (ndr1_0_ -> (~(c1_1_ X113) \/ (ndr1_1_ X113 /\ (c4_2_ X113 a106_ /\ ~(c1_2_ X113 a106_)))))))) /\ ((~(c5_0_) \/ (forall X114 : Universe, (ndr1_0_ -> (c2_1_ X114 \/ (~(c4_1_ X114) \/ (forall X115 : Universe, (ndr1_1_ X114 -> (c1_2_ X114 X115 \/ (c4_2_ X114 X115 \/ ~(c2_2_ X114 X115)))))))))) /\ ((~(c5_0_) \/ (forall X116 : Universe, (ndr1_0_ -> (c3_1_ X116 \/ ((forall X117 : Universe, (ndr1_1_ X116 -> (c1_2_ X116 X117 \/ (c3_2_ X116 X117 \/ ~(c5_2_ X116 X117))))) \/ (forall X118 : Universe, (ndr1_1_ X116 -> (c1_2_ X116 X118 \/ (c5_2_ X116 X118 \/ ~(c3_2_ X116 X118)))))))))) /\ ((~(c5_0_) \/ (ndr1_0_ /\ ((forall X119 : Universe, (ndr1_1_ a107_ -> (c1_2_ a107_ X119 \/ c2_2_ a107_ X119))) /\ ((forall X120 : Universe, (ndr1_1_ a107_ -> (~(c1_2_ a107_ X120) \/ (~(c3_2_ a107_ X120) \/ ~(c4_2_ a107_ X120))))) /\ (ndr1_1_ a107_ /\ (c4_2_ a107_ a108_ /\ ~(c1_2_ a107_ a108_))))))) /\ (((forall X121 : Universe, (ndr1_0_ -> (c0_1_ X121 /\ ~(c0_1_ X121)))) \/ ((ndr1_0_ /\ (c4_1_ a109_ /\ ~(c1_1_ a109_))) \/ (ndr1_0_ /\ (~(c5_1_ a110_) /\ (ndr1_1_ a110_ /\ (c3_2_ a110_ a111_ /\ (~(c2_2_ a110_ a111_) /\ ~(c5_2_ a110_ a111_)))))))) /\ (((forall X122 : Universe, (ndr1_0_ -> (c1_1_ X122 \/ (~(c2_1_ X122) \/ (ndr1_1_ X122 /\ (c3_2_ X122 a112_ /\ ~(c4_2_ X122 a112_))))))) \/ ((forall X123 : Universe, (ndr1_0_ -> (c5_1_ X123 \/ (ndr1_1_ X123 /\ (c3_2_ X123 a113_ /\ (~(c4_2_ X123 a113_) /\ ~(c5_2_ X123 a113_))))))) \/ (ndr1_0_ /\ (c1_1_ a114_ /\ (~(c4_1_ a114_) /\ ~(c5_1_ a114_)))))) /\ (((forall X124 : Universe, (ndr1_0_ -> (c1_1_ X124 \/ (~(c5_1_ X124) \/ (forall X125 : Universe, (ndr1_1_ X124 -> (c2_2_ X124 X125 \/ (c4_2_ X124 X125 \/ ~(c1_2_ X124 X125))))))))) \/ (forall X126 : Universe, (ndr1_0_ -> (c5_1_ X126 \/ ((ndr1_1_ X126 /\ (c1_2_ X126 a115_ /\ (c2_2_ X126 a115_ /\ ~(c4_2_ X126 a115_)))) \/ (ndr1_1_ X126 /\ (c4_2_ X126 a116_ /\ (~(c1_2_ X126 a116_) /\ ~(c5_2_ X126 a116_))))))))) /\ (((forall X127 : Universe, (ndr1_0_ -> (c1_1_ X127 \/ ((forall X128 : Universe, (ndr1_1_ X127 -> (c4_2_ X127 X128 \/ ~(c1_2_ X127 X128)))) \/ (ndr1_1_ X127 /\ (c1_2_ X127 a117_ /\ ~(c5_2_ X127 a117_))))))) \/ ((forall X129 : Universe, (ndr1_0_ -> (c2_1_ X129 \/ (c4_1_ X129 \/ ~(c3_1_ X129))))) \/ (ndr1_0_ /\ (c5_1_ a118_ /\ ~(c3_1_ a118_))))) /\ (((forall X130 : Universe, (ndr1_0_ -> (c2_1_ X130 \/ (c3_1_ X130 \/ (ndr1_1_ X130 /\ (~(c3_2_ X130 a119_) /\ ~(c4_2_ X130 a119_))))))) \/ ((ndr1_0_ /\ (~(c3_1_ a120_) /\ (~(c4_1_ a120_) /\ (forall X131 : Universe, (ndr1_1_ a120_ -> (c1_2_ a120_ X131 \/ (c3_2_ a120_ X131 \/ c5_2_ a120_ X131))))))) \/ (ndr1_0_ /\ (~(c5_1_ a121_) /\ (forall X132 : Universe, (ndr1_1_ a121_ -> (c3_2_ a121_ X132 \/ ~(c1_2_ a121_ X132)))))))) /\ (((forall X133 : Universe, (ndr1_0_ -> (c2_1_ X133 \/ (forall X134 : Universe, (ndr1_1_ X133 -> (c4_2_ X133 X134 \/ (c5_2_ X133 X134 \/ ~(c3_2_ X133 X134)))))))) \/ ((forall X135 : Universe, (ndr1_0_ -> (c5_1_ X135 \/ (forall X136 : Universe, (ndr1_1_ X135 -> (c1_2_ X135 X136 \/ ~(c2_2_ X135 X136))))))) \/ (ndr1_0_ /\ (c3_1_ a122_ /\ (~(c1_1_ a122_) /\ ~(c2_1_ a122_)))))) /\ (((forall X137 : Universe, (ndr1_0_ -> (c3_1_ X137 \/ (~(c2_1_ X137) \/ (forall X138 : Universe, (ndr1_1_ X137 -> (c1_2_ X137 X138 \/ (c4_2_ X137 X138 \/ ~(c2_2_ X137 X138))))))))) \/ (ndr1_0_ /\ (c5_1_ a123_ /\ (~(c4_1_ a123_) /\ (forall X139 : Universe, (ndr1_1_ a123_ -> (c2_2_ a123_ X139 \/ (c4_2_ a123_ X139 \/ ~(c1_2_ a123_ X139))))))))) /\ (((forall X140 : Universe, (ndr1_0_ -> (c4_1_ X140 \/ (~(c2_1_ X140) \/ (ndr1_1_ X140 /\ (c1_2_ X140 a124_ /\ (c3_2_ X140 a124_ /\ c5_2_ X140 a124_))))))) \/ (ndr1_0_ /\ (ndr1_1_ a125_ /\ (c3_2_ a125_ a126_ /\ ~(c4_2_ a125_ a126_))))) /\ (((forall X141 : Universe, (ndr1_0_ -> (c5_1_ X141 \/ ~(c1_1_ X141)))) \/ ((ndr1_0_ /\ (c4_1_ a127_ /\ (c5_1_ a127_ /\ ~(c3_1_ a127_)))) \/ (ndr1_0_ /\ (c5_1_ a128_ /\ ((forall X142 : Universe, (ndr1_1_ a128_ -> (c3_2_ a128_ X142 \/ c4_2_ a128_ X142))) /\ (forall X143 : Universe, (ndr1_1_ a128_ -> (c5_2_ a128_ X143 \/ (~(c3_2_ a128_ X143) \/ ~(c4_2_ a128_ X143)))))))))) /\ (((forall X144 : Universe, (ndr1_0_ -> (c5_1_ X144 \/ (~(c4_1_ X144) \/ (ndr1_1_ X144 /\ (~(c3_2_ X144 a129_) /\ (~(c4_2_ X144 a129_) /\ ~(c5_2_ X144 a129_)))))))) \/ (ndr1_0_ /\ (~(c1_1_ a130_) /\ (~(c5_1_ a130_) /\ (forall X145 : Universe, (ndr1_1_ a130_ -> (c1_2_ a130_ X145 \/ (c4_2_ a130_ X145 \/ c5_2_ a130_ X145)))))))) /\ (((forall X146 : Universe, (ndr1_0_ -> (~(c1_1_ X146) \/ ~(c4_1_ X146)))) \/ ((ndr1_0_ /\ (c1_1_ a131_ /\ (forall X147 : Universe, (ndr1_1_ a131_ -> (c1_2_ a131_ X147 \/ (c4_2_ a131_ X147 \/ ~(c3_2_ a131_ X147))))))) \/ (ndr1_0_ /\ (~(c1_1_ a132_) /\ ~(c3_1_ a132_))))) /\ (((forall X148 : Universe, (ndr1_0_ -> (~(c1_1_ X148) \/ ((forall X149 : Universe, (ndr1_1_ X148 -> (c1_2_ X148 X149 \/ (c5_2_ X148 X149 \/ ~(c2_2_ X148 X149))))) \/ (ndr1_1_ X148 /\ (c4_2_ X148 a133_ /\ (c5_2_ X148 a133_ /\ ~(c1_2_ X148 a133_)))))))) \/ ((forall X150 : Universe, (ndr1_0_ -> ((forall X151 : Universe, (ndr1_1_ X150 -> (c3_2_ X150 X151 \/ ~(c4_2_ X150 X151)))) \/ (ndr1_1_ X150 /\ (c2_2_ X150 a134_ /\ ~(c3_2_ X150 a134_)))))) \/ (ndr1_0_ /\ (c5_1_ a135_ /\ ~(c3_1_ a135_))))) /\ (((forall X152 : Universe, (ndr1_0_ -> (~(c1_1_ X152) \/ ((ndr1_1_ X152 /\ (c1_2_ X152 a136_ /\ (c5_2_ X152 a136_ /\ ~(c2_2_ X152 a136_)))) \/ (ndr1_1_ X152 /\ (c4_2_ X152 a137_ /\ (~(c1_2_ X152 a137_) /\ ~(c5_2_ X152 a137_)))))))) \/ ((forall X153 : Universe, (ndr1_0_ -> (~(c3_1_ X153) \/ (ndr1_1_ X153 /\ (c5_2_ X153 a138_ /\ (~(c1_2_ X153 a138_) /\ ~(c2_2_ X153 a138_))))))) \/ (ndr1_0_ /\ (c2_1_ a139_ /\ ~(c1_1_ a139_))))) /\ (((forall X154 : Universe, (ndr1_0_ -> (~(c2_1_ X154) \/ (forall X155 : Universe, (ndr1_1_ X154 -> (c4_2_ X154 X155 \/ (~(c1_2_ X154 X155) \/ ~(c3_2_ X154 X155)))))))) \/ ((forall X156 : Universe, (ndr1_0_ -> ((forall X157 : Universe, (ndr1_1_ X156 -> (c1_2_ X156 X157 \/ (c2_2_ X156 X157 \/ c3_2_ X156 X157)))) \/ (forall X158 : Universe, (ndr1_1_ X156 -> (c3_2_ X156 X158 \/ c4_2_ X156 X158)))))) \/ (ndr1_0_ /\ (~(c1_1_ a140_) /\ (~(c5_1_ a140_) /\ (forall X159 : Universe, (ndr1_1_ a140_ -> (c2_2_ a140_ X159 \/ ~(c4_2_ a140_ X159))))))))) /\ (((forall X160 : Universe, (ndr1_0_ -> (~(c3_1_ X160) \/ ((forall X161 : Universe, (ndr1_1_ X160 -> (c4_2_ X160 X161 \/ (~(c1_2_ X160 X161) \/ ~(c3_2_ X160 X161))))) \/ (forall X162 : Universe, (ndr1_1_ X160 -> (c4_2_ X160 X162 \/ (~(c2_2_ X160 X162) \/ ~(c5_2_ X160 X162))))))))) \/ ((forall X163 : Universe, (ndr1_0_ -> ((forall X164 : Universe, (ndr1_1_ X163 -> (~(c1_2_ X163 X164) \/ ~(c3_2_ X163 X164)))) \/ ((forall X165 : Universe, (ndr1_1_ X163 -> (~(c2_2_ X163 X165) \/ (~(c4_2_ X163 X165) \/ ~(c5_2_ X163 X165))))) \/ (ndr1_1_ X163 /\ (c1_2_ X163 a141_ /\ c4_2_ X163 a141_)))))) \/ (ndr1_0_ /\ ((forall X166 : Universe, (ndr1_1_ a142_ -> (c2_2_ a142_ X166 \/ (c3_2_ a142_ X166 \/ c5_2_ a142_ X166)))) /\ (forall X167 : Universe, (ndr1_1_ a142_ -> (c4_2_ a142_ X167 \/ (~(c2_2_ a142_ X167) \/ ~(c3_2_ a142_ X167))))))))) /\ (((forall X168 : Universe, (ndr1_0_ -> ((forall X169 : Universe, (ndr1_1_ X168 -> (c3_2_ X168 X169 \/ (c5_2_ X168 X169 \/ ~(c1_2_ X168 X169))))) \/ (ndr1_1_ X168 /\ (c1_2_ X168 a143_ /\ (c2_2_ X168 a143_ /\ c4_2_ X168 a143_)))))) \/ ((ndr1_0_ /\ (c4_1_ a144_ /\ ((forall X170 : Universe, (ndr1_1_ a144_ -> (c2_2_ a144_ X170 \/ (c3_2_ a144_ X170 \/ c4_2_ a144_ X170)))) /\ (forall X171 : Universe, (ndr1_1_ a144_ -> (c2_2_ a144_ X171 \/ (c4_2_ a144_ X171 \/ ~(c1_2_ a144_ X171)))))))) \/ (ndr1_0_ /\ (~(c1_1_ a145_) /\ (forall X172 : Universe, (ndr1_1_ a145_ -> (c3_2_ a145_ X172 \/ ~(c1_2_ a145_ X172)))))))) /\ (((ndr1_0_ /\ (c1_1_ a146_ /\ (c3_1_ a146_ /\ (forall X173 : Universe, (ndr1_1_ a146_ -> (c2_2_ a146_ X173 \/ (~(c3_2_ a146_ X173) \/ ~(c4_2_ a146_ X173)))))))) \/ ((ndr1_0_ /\ (~(c3_1_ a147_) /\ (~(c4_1_ a147_) /\ (ndr1_1_ a147_ /\ (c2_2_ a147_ a148_ /\ (c4_2_ a147_ a148_ /\ ~(c3_2_ a147_ a148_))))))) \/ (ndr1_0_ /\ (ndr1_1_ a149_ /\ (c2_2_ a149_ a150_ /\ (c3_2_ a149_ a150_ /\ (~(c4_2_ a149_ a150_) /\ (ndr1_1_ a149_ /\ (c3_2_ a149_ a151_ /\ (~(c2_2_ a149_ a151_) /\ (~(c5_2_ a149_ a151_) /\ (ndr1_1_ a149_ /\ (~(c1_2_ a149_ a152_) /\ (~(c2_2_ a149_ a152_) /\ ~(c4_2_ a149_ a152_))))))))))))))) /\ (((ndr1_0_ /\ (c1_1_ a153_ /\ c5_1_ a153_)) \/ ((ndr1_0_ /\ (c1_1_ a154_ /\ (~(c4_1_ a154_) /\ (ndr1_1_ a154_ /\ (c4_2_ a154_ a155_ /\ (~(c3_2_ a154_ a155_) /\ ~(c5_2_ a154_ a155_))))))) \/ (ndr1_0_ /\ (c2_1_ a156_ /\ (~(c4_1_ a156_) /\ (ndr1_1_ a156_ /\ (c2_2_ a156_ a157_ /\ ~(c5_2_ a156_ a157_)))))))) /\ (((ndr1_0_ /\ (c1_1_ a158_ /\ (~(c2_1_ a158_) /\ (forall X174 : Universe, (ndr1_1_ a158_ -> (c1_2_ a158_ X174 \/ (c2_2_ a158_ X174 \/ ~(c3_2_ a158_ X174)))))))) \/ (ndr1_0_ /\ (c3_1_ a159_ /\ (c4_1_ a159_ /\ c5_1_ a159_)))) /\ (((ndr1_0_ /\ (c2_1_ a160_ /\ c3_1_ a160_)) \/ ((ndr1_0_ /\ (c2_1_ a161_ /\ (~(c4_1_ a161_) /\ (ndr1_1_ a161_ /\ (c1_2_ a161_ a162_ /\ (c2_2_ a161_ a162_ /\ c5_2_ a161_ a162_)))))) \/ (ndr1_0_ /\ (forall X175 : Universe, (ndr1_1_ a163_ -> (c4_2_ a163_ X175 \/ (c5_2_ a163_ X175 \/ ~(c1_2_ a163_ X175)))))))) /\ (((ndr1_0_ /\ (c3_1_ a164_ /\ (ndr1_1_ a164_ /\ (c1_2_ a164_ a165_ /\ (c4_2_ a164_ a165_ /\ (ndr1_1_ a164_ /\ (c3_2_ a164_ a166_ /\ c5_2_ a164_ a166_))))))) \/ ((ndr1_0_ /\ (~(c1_1_ a167_) /\ (~(c4_1_ a167_) /\ (forall X176 : Universe, (ndr1_1_ a167_ -> (c2_2_ a167_ X176 \/ (c5_2_ a167_ X176 \/ ~(c1_2_ a167_ X176)))))))) \/ (ndr1_0_ /\ (ndr1_1_ a168_ /\ (c1_2_ a168_ a169_ /\ (~(c3_2_ a168_ a169_) /\ (~(c4_2_ a168_ a169_) /\ (ndr1_1_ a168_ /\ (c3_2_ a168_ a170_ /\ (c5_2_ a168_ a170_ /\ (~(c1_2_ a168_ a170_) /\ (ndr1_1_ a168_ /\ (~(c2_2_ a168_ a171_) /\ ~(c3_2_ a168_ a171_)))))))))))))) /\ ((ndr1_0_ /\ (c5_1_ a172_ /\ ((forall X177 : Universe, (ndr1_1_ a172_ -> (c2_2_ a172_ X177 \/ c5_2_ a172_ X177))) /\ (forall X178 : Universe, (ndr1_1_ a172_ -> (c2_2_ a172_ X178 \/ (c5_2_ a172_ X178 \/ ~(c4_2_ a172_ X178)))))))) \/ (ndr1_0_ /\ (~(c2_1_ a173_) /\ (~(c5_1_ a173_) /\ (ndr1_1_ a173_ /\ (~(c3_2_ a173_ a174_) /\ ~(c5_2_ a173_ a174_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
