(*
% File     : SYN520+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=175, K=3, D=2, P=0, Index=060
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-175-3-2-060.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.50 v3.1.0, 0.67 v2.7.0, 0.83 v2.6.0, 0.75 v2.5.0, 0.67 v2.2.1, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1363 (   0 equality)
%            Maximal formula depth :  150 ( 150 average)
%            Number of connectives : 1850 ( 488 ~  ; 504  |; 677  &)
%                                         (   0 <=>; 181 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :  204 ( 204 constant; 0-0 arity)
%            Number of variables   :  181 (   0 singleton; 181 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a1526_ : Universe.
Variable a1525_ : Universe.
Variable a1524_ : Universe.
Variable a1523_ : Universe.
Variable a1522_ : Universe.
Variable a1521_ : Universe.
Variable a1520_ : Universe.
Variable a1519_ : Universe.
Variable a1518_ : Universe.
Variable a1517_ : Universe.
Variable a1516_ : Universe.
Variable a1515_ : Universe.
Variable a1514_ : Universe.
Variable a1513_ : Universe.
Variable a1512_ : Universe.
Variable a1511_ : Universe.
Variable a1510_ : Universe.
Variable a1509_ : Universe.
Variable a1508_ : Universe.
Variable a1507_ : Universe.
Variable a1506_ : Universe.
Variable a1505_ : Universe.
Variable a1504_ : Universe.
Variable a1503_ : Universe.
Variable a1502_ : Universe.
Variable a1501_ : Universe.
Variable a1500_ : Universe.
Variable a1499_ : Universe.
Variable a1498_ : Universe.
Variable a1497_ : Universe.
Variable a1496_ : Universe.
Variable a1495_ : Universe.
Variable a1494_ : Universe.
Variable a1493_ : Universe.
Variable a1492_ : Universe.
Variable a1491_ : Universe.
Variable a1490_ : Universe.
Variable a1489_ : Universe.
Variable a1488_ : Universe.
Variable a1487_ : Universe.
Variable a1486_ : Universe.
Variable a1485_ : Universe.
Variable a1484_ : Universe.
Variable a1483_ : Universe.
Variable a1482_ : Universe.
Variable a1481_ : Universe.
Variable a1480_ : Universe.
Variable a1479_ : Universe.
Variable a1478_ : Universe.
Variable a1477_ : Universe.
Variable a1476_ : Universe.
Variable a1475_ : Universe.
Variable a1474_ : Universe.
Variable a1473_ : Universe.
Variable a1472_ : Universe.
Variable a1471_ : Universe.
Variable a1470_ : Universe.
Variable a1469_ : Universe.
Variable a1468_ : Universe.
Variable a1467_ : Universe.
Variable a1466_ : Universe.
Variable a1465_ : Universe.
Variable a1464_ : Universe.
Variable a1463_ : Universe.
Variable a1462_ : Universe.
Variable a1461_ : Universe.
Variable a1460_ : Universe.
Variable a1459_ : Universe.
Variable a1458_ : Universe.
Variable a1457_ : Universe.
Variable a1456_ : Universe.
Variable a1455_ : Universe.
Variable a1454_ : Universe.
Variable a1453_ : Universe.
Variable a1452_ : Universe.
Variable a1451_ : Universe.
Variable a1450_ : Universe.
Variable a1449_ : Universe.
Variable a1448_ : Universe.
Variable a1447_ : Universe.
Variable a1446_ : Universe.
Variable a1445_ : Universe.
Variable a1444_ : Universe.
Variable a1443_ : Universe.
Variable a1442_ : Universe.
Variable a1441_ : Universe.
Variable a1440_ : Universe.
Variable a1439_ : Universe.
Variable a1438_ : Universe.
Variable a1437_ : Universe.
Variable a1436_ : Universe.
Variable a1435_ : Universe.
Variable a1434_ : Universe.
Variable a1433_ : Universe.
Variable a1432_ : Universe.
Variable a1431_ : Universe.
Variable a1430_ : Universe.
Variable a1429_ : Universe.
Variable a1428_ : Universe.
Variable a1427_ : Universe.
Variable a1426_ : Universe.
Variable a1425_ : Universe.
Variable a1424_ : Universe.
Variable a1423_ : Universe.
Variable a1422_ : Universe.
Variable a1421_ : Universe.
Variable a1420_ : Universe.
Variable a1419_ : Universe.
Variable a1418_ : Universe.
Variable a1417_ : Universe.
Variable a1416_ : Universe.
Variable a1415_ : Universe.
Variable a1414_ : Universe.
Variable a1413_ : Universe.
Variable a1412_ : Universe.
Variable a1411_ : Universe.
Variable a1410_ : Universe.
Variable a1409_ : Universe.
Variable a1408_ : Universe.
Variable a1407_ : Universe.
Variable a1406_ : Universe.
Variable a1405_ : Universe.
Variable a1404_ : Universe.
Variable a1403_ : Universe.
Variable a1402_ : Universe.
Variable a1401_ : Universe.
Variable a1400_ : Universe.
Variable a1399_ : Universe.
Variable a1398_ : Universe.
Variable a1397_ : Universe.
Variable a1396_ : Universe.
Variable a1395_ : Universe.
Variable a1394_ : Universe.
Variable a1393_ : Universe.
Variable a1392_ : Universe.
Variable a1391_ : Universe.
Variable a1390_ : Universe.
Variable a1389_ : Universe.
Variable a1388_ : Universe.
Variable a1387_ : Universe.
Variable a1386_ : Universe.
Variable a1385_ : Universe.
Variable a1384_ : Universe.
Variable a1383_ : Universe.
Variable a1382_ : Universe.
Variable a1381_ : Universe.
Variable a1380_ : Universe.
Variable a1379_ : Universe.
Variable a1378_ : Universe.
Variable a1377_ : Universe.
Variable a1376_ : Universe.
Variable a1375_ : Universe.
Variable a1374_ : Universe.
Variable a1373_ : Universe.
Variable a1372_ : Universe.
Variable a1371_ : Universe.
Variable a1370_ : Universe.
Variable a1369_ : Universe.
Variable a1368_ : Universe.
Variable a1367_ : Universe.
Variable a1366_ : Universe.
Variable a1365_ : Universe.
Variable a1364_ : Universe.
Variable a1363_ : Universe.
Variable a1362_ : Universe.
Variable a1361_ : Universe.
Variable a1360_ : Universe.
Variable a1359_ : Universe.
Variable a1358_ : Universe.
Variable a1357_ : Universe.
Variable a1356_ : Universe.
Variable a1355_ : Universe.
Variable a1354_ : Universe.
Variable a1353_ : Universe.
Variable a1352_ : Universe.
Variable a1351_ : Universe.
Variable a1350_ : Universe.
Variable a1349_ : Universe.
Variable a1348_ : Universe.
Variable a1347_ : Universe.
Variable a1346_ : Universe.
Variable a1345_ : Universe.
Variable a1344_ : Universe.
Variable a1343_ : Universe.
Variable a1342_ : Universe.
Variable a1341_ : Universe.
Variable a1340_ : Universe.
Variable a1339_ : Universe.
Variable a1338_ : Universe.
Variable a1337_ : Universe.
Variable a1336_ : Universe.
Variable a1335_ : Universe.
Variable a1334_ : Universe.
Variable a1333_ : Universe.
Variable a1332_ : Universe.
Variable a1331_ : Universe.
Variable a1330_ : Universe.
Variable a1329_ : Universe.
Variable a1328_ : Universe.
Variable a1327_ : Universe.
Variable a1326_ : Universe.
Variable a1325_ : Universe.
Variable a1324_ : Universe.
Variable a1323_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~((((forall U : Universe, (ndr1_0_ -> ((ndr1_1_ U /\ (~(c5_2_ U a1323_) /\ ~(c1_2_ U a1323_))) \/ ((forall V : Universe, (ndr1_1_ U -> (~(c1_2_ U V) \/ ~(c2_2_ U V)))) \/ (forall W : Universe, (ndr1_1_ U -> (c4_2_ U W \/ ~(c3_2_ U W)))))))) \/ (~(c5_0_) \/ (forall X : Universe, (ndr1_0_ -> c2_1_ X)))) /\ (((forall Y : Universe, (ndr1_0_ -> ((ndr1_1_ Y /\ (c3_2_ Y a1324_ /\ (c4_2_ Y a1324_ /\ c5_2_ Y a1324_))) \/ (~(c4_1_ Y) \/ c3_1_ Y)))) \/ (ndr1_0_ /\ (~(c1_1_ a1325_) /\ (c2_1_ a1325_ /\ ~(c4_1_ a1325_))))) /\ ((~(c4_0_) \/ (forall Z : Universe, (ndr1_0_ -> (c5_1_ Z \/ (~(c4_1_ Z) \/ (ndr1_1_ Z /\ (c5_2_ Z a1326_ /\ (c2_2_ Z a1326_ /\ ~(c4_2_ Z a1326_))))))))) /\ (((ndr1_0_ /\ ((forall X1 : Universe, (ndr1_1_ a1327_ -> (c3_2_ a1327_ X1 \/ (c1_2_ a1327_ X1 \/ c2_2_ a1327_ X1)))) /\ (c3_1_ a1327_ /\ (ndr1_1_ a1327_ /\ (~(c5_2_ a1327_ a1328_) /\ (c3_2_ a1327_ a1328_ /\ c4_2_ a1327_ a1328_)))))) \/ ((forall X2 : Universe, (ndr1_0_ -> ((ndr1_1_ X2 /\ (~(c1_2_ X2 a1329_) /\ (~(c4_2_ X2 a1329_) /\ c2_2_ X2 a1329_))) \/ ((ndr1_1_ X2 /\ (c1_2_ X2 a1330_ /\ (~(c2_2_ X2 a1330_) /\ c3_2_ X2 a1330_))) \/ (ndr1_1_ X2 /\ (c3_2_ X2 a1331_ /\ c2_2_ X2 a1331_)))))) \/ ~(c5_0_))) /\ ((~(c2_0_) \/ (~(c4_0_) \/ ~(c3_0_))) /\ ((c1_0_ \/ (~(c4_0_) \/ (ndr1_0_ /\ (c2_1_ a1332_ /\ (~(c1_1_ a1332_) /\ ~(c4_1_ a1332_)))))) /\ ((c5_0_ \/ (~(c3_0_) \/ (ndr1_0_ /\ (c1_1_ a1333_ /\ ((forall X3 : Universe, (ndr1_1_ a1333_ -> (c4_2_ a1333_ X3 \/ (~(c1_2_ a1333_ X3) \/ ~(c3_2_ a1333_ X3))))) /\ (ndr1_1_ a1333_ /\ (~(c1_2_ a1333_ a1334_) /\ (c5_2_ a1333_ a1334_ /\ c4_2_ a1333_ a1334_)))))))) /\ ((~(c2_0_) \/ (c3_0_ \/ (forall X4 : Universe, (ndr1_0_ -> (c4_1_ X4 \/ ((forall X5 : Universe, (ndr1_1_ X4 -> (~(c2_2_ X4 X5) \/ (~(c5_2_ X4 X5) \/ c4_2_ X4 X5)))) \/ c5_1_ X4)))))) /\ (((ndr1_0_ /\ ((forall X6 : Universe, (ndr1_1_ a1335_ -> (c3_2_ a1335_ X6 \/ ~(c5_2_ a1335_ X6)))) /\ (ndr1_1_ a1335_ /\ (c5_2_ a1335_ a1336_ /\ (~(c2_2_ a1335_ a1336_) /\ (~(c4_2_ a1335_ a1336_) /\ ~(c3_1_ a1335_))))))) \/ (~(c3_0_) \/ (ndr1_0_ /\ (~(c5_1_ a1337_) /\ ~(c4_1_ a1337_))))) /\ ((~(c1_0_) \/ (ndr1_0_ /\ (~(c4_1_ a1338_) /\ ((forall X7 : Universe, (ndr1_1_ a1338_ -> (~(c2_2_ a1338_ X7) \/ (~(c3_2_ a1338_ X7) \/ ~(c5_2_ a1338_ X7))))) /\ ~(c2_1_ a1338_))))) /\ (((ndr1_0_ /\ (c5_1_ a1339_ /\ (~(c1_1_ a1339_) /\ (forall X8 : Universe, (ndr1_1_ a1339_ -> (~(c1_2_ a1339_ X8) \/ (~(c5_2_ a1339_ X8) \/ c4_2_ a1339_ X8))))))) \/ ~(c1_0_)) /\ (((forall X9 : Universe, (ndr1_0_ -> (c2_1_ X9 \/ ((ndr1_1_ X9 /\ (~(c4_2_ X9 a1340_) /\ ~(c2_2_ X9 a1340_))) \/ (ndr1_1_ X9 /\ (c5_2_ X9 a1341_ /\ ~(c4_2_ X9 a1341_))))))) \/ (~(c3_0_) \/ c4_0_)) /\ ((~(c4_0_) \/ ((forall X10 : Universe, (ndr1_0_ -> (~(c2_1_ X10) \/ ~(c5_1_ X10)))) \/ (forall X11 : Universe, (ndr1_0_ -> (~(c5_1_ X11) \/ ~(c2_1_ X11)))))) /\ (((ndr1_0_ /\ (ndr1_1_ a1342_ /\ (c1_2_ a1342_ a1343_ /\ (c3_2_ a1342_ a1343_ /\ (~(c4_2_ a1342_ a1343_) /\ (~(c4_1_ a1342_) /\ (ndr1_1_ a1342_ /\ (c2_2_ a1342_ a1344_ /\ (~(c1_2_ a1342_ a1344_) /\ ~(c5_2_ a1342_ a1344_)))))))))) \/ ((ndr1_0_ /\ (~(c5_1_ a1345_) /\ (~(c1_1_ a1345_) /\ c3_1_ a1345_))) \/ c3_0_)) /\ ((c1_0_ \/ (~(c2_0_) \/ c5_0_)) /\ ((c2_0_ \/ ((ndr1_0_ /\ (c3_1_ a1346_ /\ (~(c4_1_ a1346_) /\ c2_1_ a1346_))) \/ (forall X12 : Universe, (ndr1_0_ -> (~(c5_1_ X12) \/ (c4_1_ X12 \/ (forall X13 : Universe, (ndr1_1_ X12 -> (c4_2_ X12 X13 \/ ~(c3_2_ X12 X13)))))))))) /\ (((forall X14 : Universe, (ndr1_0_ -> ((forall X15 : Universe, (ndr1_1_ X14 -> (~(c4_2_ X14 X15) \/ (c2_2_ X14 X15 \/ ~(c5_2_ X14 X15))))) \/ ((ndr1_1_ X14 /\ (~(c5_2_ X14 a1347_) /\ (c4_2_ X14 a1347_ /\ c1_2_ X14 a1347_))) \/ c1_1_ X14)))) \/ ((forall X16 : Universe, (ndr1_0_ -> (~(c5_1_ X16) \/ (c3_1_ X16 \/ ~(c4_1_ X16))))) \/ c5_0_)) /\ (((ndr1_0_ /\ (~(c4_1_ a1348_) /\ ((forall X17 : Universe, (ndr1_1_ a1348_ -> (c1_2_ a1348_ X17 \/ (~(c4_2_ a1348_ X17) \/ ~(c5_2_ a1348_ X17))))) /\ (ndr1_1_ a1348_ /\ (~(c4_2_ a1348_ a1349_) /\ (~(c3_2_ a1348_ a1349_) /\ ~(c1_2_ a1348_ a1349_))))))) \/ ((forall X18 : Universe, (ndr1_0_ -> (c2_1_ X18 \/ ~(c3_1_ X18)))) \/ ~(c4_0_))) /\ ((c3_0_ \/ c2_0_) /\ ((c2_0_ \/ (ndr1_0_ /\ (c5_1_ a1350_ /\ ~(c2_1_ a1350_)))) /\ (((ndr1_0_ /\ (~(c1_1_ a1351_) /\ ~(c5_1_ a1351_))) \/ ((forall X19 : Universe, (ndr1_0_ -> (~(c3_1_ X19) \/ (c5_1_ X19 \/ ~(c4_1_ X19))))) \/ c3_0_)) /\ ((~(c2_0_) \/ ((ndr1_0_ /\ (~(c4_1_ a1352_) /\ ((forall X20 : Universe, (ndr1_1_ a1352_ -> (~(c5_2_ a1352_ X20) \/ (c4_2_ a1352_ X20 \/ c1_2_ a1352_ X20)))) /\ (ndr1_1_ a1352_ /\ (~(c4_2_ a1352_ a1353_) /\ (c5_2_ a1352_ a1353_ /\ ~(c3_2_ a1352_ a1353_))))))) \/ (forall X21 : Universe, (ndr1_0_ -> (~(c2_1_ X21) \/ ((ndr1_1_ X21 /\ (~(c3_2_ X21 a1354_) /\ (c1_2_ X21 a1354_ /\ ~(c5_2_ X21 a1354_)))) \/ ~(c5_1_ X21))))))) /\ ((~(c4_0_) \/ ((forall X22 : Universe, (ndr1_0_ -> (~(c1_1_ X22) \/ (~(c5_1_ X22) \/ ~(c4_1_ X22))))) \/ (forall X23 : Universe, (ndr1_0_ -> ((forall X24 : Universe, (ndr1_1_ X23 -> c2_2_ X23 X24)) \/ ((ndr1_1_ X23 /\ (c2_2_ X23 a1355_ /\ (c5_2_ X23 a1355_ /\ ~(c1_2_ X23 a1355_)))) \/ ~(c5_1_ X23))))))) /\ ((~(c3_0_) \/ (~(c2_0_) \/ c4_0_)) /\ ((~(c5_0_) \/ ((forall X25 : Universe, (ndr1_0_ -> (~(c4_1_ X25) \/ ((forall X26 : Universe, (ndr1_1_ X25 -> (c3_2_ X25 X26 \/ c4_2_ X25 X26))) \/ (ndr1_1_ X25 /\ (c5_2_ X25 a1356_ /\ (c4_2_ X25 a1356_ /\ c2_2_ X25 a1356_))))))) \/ c2_0_)) /\ ((~(c5_0_) \/ c3_0_) /\ (((forall X27 : Universe, (ndr1_0_ -> ((ndr1_1_ X27 /\ (~(c4_2_ X27 a1357_) /\ (c5_2_ X27 a1357_ /\ c1_2_ X27 a1357_))) \/ ((ndr1_1_ X27 /\ (c3_2_ X27 a1358_ /\ (c2_2_ X27 a1358_ /\ c1_2_ X27 a1358_))) \/ c1_1_ X27)))) \/ (c4_0_ \/ (forall X28 : Universe, (ndr1_0_ -> ((forall X29 : Universe, (ndr1_1_ X28 -> (~(c3_2_ X28 X29) \/ ~(c4_2_ X28 X29)))) \/ ~(c4_1_ X28)))))) /\ ((~(c4_0_) \/ (c5_0_ \/ c1_0_)) /\ (((ndr1_0_ /\ (c2_1_ a1359_ /\ ((forall X30 : Universe, (ndr1_1_ a1359_ -> (~(c3_2_ a1359_ X30) \/ (c1_2_ a1359_ X30 \/ c5_2_ a1359_ X30)))) /\ (ndr1_1_ a1359_ /\ (~(c2_2_ a1359_ a1360_) /\ (~(c1_2_ a1359_ a1360_) /\ ~(c3_2_ a1359_ a1360_))))))) \/ (ndr1_0_ /\ (~(c1_1_ a1361_) /\ ~(c5_1_ a1361_)))) /\ ((~(c3_0_) \/ (c5_0_ \/ ~(c4_0_))) /\ ((~(c2_0_) \/ (forall X31 : Universe, (ndr1_0_ -> ((forall X32 : Universe, (ndr1_1_ X31 -> (~(c5_2_ X31 X32) \/ (c2_2_ X31 X32 \/ ~(c4_2_ X31 X32))))) \/ ((ndr1_1_ X31 /\ (c3_2_ X31 a1362_ /\ (c2_2_ X31 a1362_ /\ c5_2_ X31 a1362_))) \/ c1_1_ X31))))) /\ ((c1_0_ \/ ((ndr1_0_ /\ ((forall X33 : Universe, (ndr1_1_ a1363_ -> (~(c3_2_ a1363_ X33) \/ c2_2_ a1363_ X33))) /\ (ndr1_1_ a1363_ /\ (~(c2_2_ a1363_ a1364_) /\ (c5_2_ a1363_ a1364_ /\ (c1_2_ a1363_ a1364_ /\ ~(c2_1_ a1363_))))))) \/ ~(c3_0_))) /\ ((~(c4_0_) \/ ((ndr1_0_ /\ ((forall X34 : Universe, (ndr1_1_ a1365_ -> (~(c5_2_ a1365_ X34) \/ (c2_2_ a1365_ X34 \/ c1_2_ a1365_ X34)))) /\ ((forall X35 : Universe, (ndr1_1_ a1365_ -> (c1_2_ a1365_ X35 \/ (~(c4_2_ a1365_ X35) \/ c3_2_ a1365_ X35)))) /\ c3_1_ a1365_))) \/ (ndr1_0_ /\ (~(c3_1_ a1366_) /\ ~(c1_1_ a1366_))))) /\ (((ndr1_0_ /\ (c4_1_ a1367_ /\ ((forall X36 : Universe, (ndr1_1_ a1367_ -> (c3_2_ a1367_ X36 \/ (~(c1_2_ a1367_ X36) \/ ~(c4_2_ a1367_ X36))))) /\ (forall X37 : Universe, (ndr1_1_ a1367_ -> (~(c3_2_ a1367_ X37) \/ c5_2_ a1367_ X37)))))) \/ (~(c5_0_) \/ ~(c4_0_))) /\ ((~(c3_0_) \/ (~(c2_0_) \/ c1_0_)) /\ ((c3_0_ \/ (ndr1_0_ /\ (c2_1_ a1368_ /\ (~(c1_1_ a1368_) /\ (ndr1_1_ a1368_ /\ (~(c4_2_ a1368_ a1369_) /\ (~(c3_2_ a1368_ a1369_) /\ c1_2_ a1368_ a1369_))))))) /\ (((forall X38 : Universe, (ndr1_0_ -> (c4_1_ X38 \/ (forall X39 : Universe, (ndr1_1_ X38 -> (~(c4_2_ X38 X39) \/ (c2_2_ X38 X39 \/ ~(c5_2_ X38 X39)))))))) \/ (c2_0_ \/ c1_0_)) /\ (((ndr1_0_ /\ ((forall X40 : Universe, (ndr1_1_ a1370_ -> (~(c2_2_ a1370_ X40) \/ (~(c3_2_ a1370_ X40) \/ ~(c5_2_ a1370_ X40))))) /\ (~(c2_1_ a1370_) /\ c4_1_ a1370_))) \/ ((forall X41 : Universe, (ndr1_0_ -> ((ndr1_1_ X41 /\ (~(c1_2_ X41 a1371_) /\ (~(c2_2_ X41 a1371_) /\ c3_2_ X41 a1371_))) \/ (c3_1_ X41 \/ (ndr1_1_ X41 /\ (c1_2_ X41 a1372_ /\ (~(c2_2_ X41 a1372_) /\ c5_2_ X41 a1372_))))))) \/ ~(c5_0_))) /\ (((forall X42 : Universe, (ndr1_0_ -> ((forall X43 : Universe, (ndr1_1_ X42 -> (c5_2_ X42 X43 \/ c4_2_ X42 X43))) \/ ((forall X44 : Universe, (ndr1_1_ X42 -> (c1_2_ X42 X44 \/ (c5_2_ X42 X44 \/ ~(c3_2_ X42 X44))))) \/ c4_1_ X42)))) \/ ((forall X45 : Universe, (ndr1_0_ -> (c5_1_ X45 \/ (forall X46 : Universe, (ndr1_1_ X45 -> (c2_2_ X45 X46 \/ (~(c1_2_ X45 X46) \/ c5_2_ X45 X46))))))) \/ c3_0_)) /\ ((c5_0_ \/ (c1_0_ \/ (forall X47 : Universe, (ndr1_0_ -> ((ndr1_1_ X47 /\ (~(c1_2_ X47 a1373_) /\ (c3_2_ X47 a1373_ /\ c2_2_ X47 a1373_))) \/ ((ndr1_1_ X47 /\ (~(c1_2_ X47 a1374_) /\ (c4_2_ X47 a1374_ /\ ~(c5_2_ X47 a1374_)))) \/ c1_1_ X47)))))) /\ (((forall X48 : Universe, (ndr1_0_ -> ((ndr1_1_ X48 /\ (c3_2_ X48 a1375_ /\ (~(c2_2_ X48 a1375_) /\ c1_2_ X48 a1375_))) \/ ((ndr1_1_ X48 /\ (c5_2_ X48 a1376_ /\ ~(c2_2_ X48 a1376_))) \/ (ndr1_1_ X48 /\ (~(c3_2_ X48 a1377_) /\ (c5_2_ X48 a1377_ /\ ~(c2_2_ X48 a1377_)))))))) \/ (c2_0_ \/ (ndr1_0_ /\ ((forall X49 : Universe, (ndr1_1_ a1378_ -> (c1_2_ a1378_ X49 \/ c5_2_ a1378_ X49))) /\ ~(c3_1_ a1378_))))) /\ (((forall X50 : Universe, (ndr1_0_ -> (~(c2_1_ X50) \/ (c5_1_ X50 \/ c3_1_ X50)))) \/ ((forall X51 : Universe, (ndr1_0_ -> ((ndr1_1_ X51 /\ (~(c1_2_ X51 a1379_) /\ (~(c5_2_ X51 a1379_) /\ c2_2_ X51 a1379_))) \/ ((forall X52 : Universe, (ndr1_1_ X51 -> (c4_2_ X51 X52 \/ (c5_2_ X51 X52 \/ c3_2_ X51 X52)))) \/ c2_1_ X51)))) \/ c4_0_)) /\ ((~(c5_0_) \/ (ndr1_0_ /\ (~(c3_1_ a1380_) /\ (forall X53 : Universe, (ndr1_1_ a1380_ -> (c1_2_ a1380_ X53 \/ (~(c3_2_ a1380_ X53) \/ ~(c5_2_ a1380_ X53)))))))) /\ (((forall X54 : Universe, (ndr1_0_ -> ((ndr1_1_ X54 /\ (c4_2_ X54 a1381_ /\ (c1_2_ X54 a1381_ /\ c3_2_ X54 a1381_))) \/ ((ndr1_1_ X54 /\ (c2_2_ X54 a1382_ /\ (~(c3_2_ X54 a1382_) /\ ~(c4_2_ X54 a1382_)))) \/ c2_1_ X54)))) \/ (~(c3_0_) \/ ~(c5_0_))) /\ ((c2_0_ \/ ((forall X55 : Universe, (ndr1_0_ -> ((ndr1_1_ X55 /\ (c5_2_ X55 a1383_ /\ c1_2_ X55 a1383_)) \/ ~(c5_1_ X55)))) \/ c3_0_)) /\ ((~(c2_0_) \/ ~(c3_0_)) /\ (((forall X56 : Universe, (ndr1_0_ -> ((ndr1_1_ X56 /\ (c5_2_ X56 a1384_ /\ c3_2_ X56 a1384_)) \/ c1_1_ X56))) \/ ~(c2_0_)) /\ (((forall X57 : Universe, (ndr1_0_ -> (~(c5_1_ X57) \/ (~(c2_1_ X57) \/ (forall X58 : Universe, (ndr1_1_ X57 -> (c2_2_ X57 X58 \/ (c3_2_ X57 X58 \/ c5_2_ X57 X58)))))))) \/ (ndr1_0_ /\ (c4_1_ a1385_ /\ (~(c2_1_ a1385_) /\ (ndr1_1_ a1385_ /\ (~(c2_2_ a1385_ a1386_) /\ c5_2_ a1385_ a1386_)))))) /\ ((c3_0_ \/ (~(c4_0_) \/ (forall X59 : Universe, (ndr1_0_ -> ((ndr1_1_ X59 /\ (~(c5_2_ X59 a1387_) /\ (c1_2_ X59 a1387_ /\ c2_2_ X59 a1387_))) \/ ((forall X60 : Universe, (ndr1_1_ X59 -> (~(c5_2_ X59 X60) \/ c3_2_ X59 X60))) \/ (forall X61 : Universe, (ndr1_1_ X59 -> (c4_2_ X59 X61 \/ c1_2_ X59 X61))))))))) /\ (((ndr1_0_ /\ ((forall X62 : Universe, (ndr1_1_ a1388_ -> (~(c2_2_ a1388_ X62) \/ ~(c4_2_ a1388_ X62)))) /\ ~(c1_1_ a1388_))) \/ (~(c4_0_) \/ (ndr1_0_ /\ (~(c5_1_ a1389_) /\ (~(c2_1_ a1389_) /\ ~(c4_1_ a1389_)))))) /\ ((c5_0_ \/ ((ndr1_0_ /\ (c2_1_ a1390_ /\ (ndr1_1_ a1390_ /\ (~(c4_2_ a1390_ a1391_) /\ (c5_2_ a1390_ a1391_ /\ ~(c3_1_ a1390_)))))) \/ ~(c1_0_))) /\ (((ndr1_0_ /\ (~(c3_1_ a1392_) /\ (ndr1_1_ a1392_ /\ (~(c4_2_ a1392_ a1393_) /\ (~(c1_2_ a1392_ a1393_) /\ (c3_2_ a1392_ a1393_ /\ (ndr1_1_ a1392_ /\ (c5_2_ a1392_ a1394_ /\ (~(c2_2_ a1392_ a1394_) /\ c4_2_ a1392_ a1394_))))))))) \/ ((forall X63 : Universe, (ndr1_0_ -> ((forall X64 : Universe, (ndr1_1_ X63 -> (~(c5_2_ X63 X64) \/ (~(c2_2_ X63 X64) \/ c3_2_ X63 X64)))) \/ (~(c5_1_ X63) \/ ~(c1_1_ X63))))) \/ c5_0_)) /\ (((forall X65 : Universe, (ndr1_0_ -> ~(c1_1_ X65))) \/ ((forall X66 : Universe, (ndr1_0_ -> ((forall X67 : Universe, (ndr1_1_ X66 -> (~(c2_2_ X66 X67) \/ (c3_2_ X66 X67 \/ c1_2_ X66 X67)))) \/ ((forall X68 : Universe, (ndr1_1_ X66 -> (c1_2_ X66 X68 \/ c4_2_ X66 X68))) \/ ~(c2_1_ X66))))) \/ (forall X69 : Universe, (ndr1_0_ -> ((ndr1_1_ X69 /\ (c3_2_ X69 a1395_ /\ c2_2_ X69 a1395_)) \/ ((forall X70 : Universe, (ndr1_1_ X69 -> (c3_2_ X69 X70 \/ c5_2_ X69 X70))) \/ ~(c3_1_ X69))))))) /\ (((forall X71 : Universe, (ndr1_0_ -> ((ndr1_1_ X71 /\ (c1_2_ X71 a1396_ /\ (~(c2_2_ X71 a1396_) /\ ~(c5_2_ X71 a1396_)))) \/ (~(c1_1_ X71) \/ (forall X72 : Universe, (ndr1_1_ X71 -> (~(c4_2_ X71 X72) \/ ~(c3_2_ X71 X72)))))))) \/ ((forall X73 : Universe, (ndr1_0_ -> (c1_1_ X73 \/ (c2_1_ X73 \/ c5_1_ X73)))) \/ (forall X74 : Universe, (ndr1_0_ -> (~(c5_1_ X74) \/ ((forall X75 : Universe, (ndr1_1_ X74 -> (~(c4_2_ X74 X75) \/ (~(c2_2_ X74 X75) \/ ~(c1_2_ X74 X75))))) \/ (forall X76 : Universe, (ndr1_1_ X74 -> (~(c5_2_ X74 X76) \/ ~(c3_2_ X74 X76)))))))))) /\ ((c5_0_ \/ (~(c2_0_) \/ ~(c3_0_))) /\ (((forall X77 : Universe, (ndr1_0_ -> ((forall X78 : Universe, (ndr1_1_ X77 -> (c5_2_ X77 X78 \/ (~(c2_2_ X77 X78) \/ c4_2_ X77 X78)))) \/ (~(c2_1_ X77) \/ (ndr1_1_ X77 /\ (c2_2_ X77 a1397_ /\ (~(c3_2_ X77 a1397_) /\ ~(c1_2_ X77 a1397_)))))))) \/ (~(c4_0_) \/ (forall X79 : Universe, (ndr1_0_ -> (c1_1_ X79 \/ (ndr1_1_ X79 /\ (~(c1_2_ X79 a1398_) /\ (~(c4_2_ X79 a1398_) /\ ~(c5_2_ X79 a1398_))))))))) /\ (((forall X80 : Universe, (ndr1_0_ -> (~(c2_1_ X80) \/ (~(c3_1_ X80) \/ (ndr1_1_ X80 /\ (c1_2_ X80 a1399_ /\ ~(c5_2_ X80 a1399_))))))) \/ ((ndr1_0_ /\ (c4_1_ a1400_ /\ (c2_1_ a1400_ /\ (ndr1_1_ a1400_ /\ (~(c1_2_ a1400_ a1401_) /\ (c2_2_ a1400_ a1401_ /\ ~(c3_2_ a1400_ a1401_))))))) \/ ~(c4_0_))) /\ ((~(c5_0_) \/ ((ndr1_0_ /\ (c3_1_ a1402_ /\ (ndr1_1_ a1402_ /\ (~(c4_2_ a1402_ a1403_) /\ (~(c3_2_ a1402_ a1403_) /\ (~(c2_2_ a1402_ a1403_) /\ (ndr1_1_ a1402_ /\ (c3_2_ a1402_ a1404_ /\ (~(c1_2_ a1402_ a1404_) /\ ~(c2_2_ a1402_ a1404_)))))))))) \/ (forall X81 : Universe, (ndr1_0_ -> (~(c3_1_ X81) \/ ((ndr1_1_ X81 /\ (~(c4_2_ X81 a1405_) /\ ~(c5_2_ X81 a1405_))) \/ c1_1_ X81)))))) /\ ((~(c4_0_) \/ ((ndr1_0_ /\ (~(c5_1_ a1406_) /\ (ndr1_1_ a1406_ /\ (c5_2_ a1406_ a1407_ /\ (~(c1_2_ a1406_ a1407_) /\ (~(c2_2_ a1406_ a1407_) /\ (ndr1_1_ a1406_ /\ (~(c2_2_ a1406_ a1408_) /\ (~(c1_2_ a1406_ a1408_) /\ c5_2_ a1406_ a1408_))))))))) \/ c2_0_)) /\ ((c1_0_ \/ (ndr1_0_ /\ (~(c3_1_ a1409_) /\ ((forall X82 : Universe, (ndr1_1_ a1409_ -> (~(c4_2_ a1409_ X82) \/ (c1_2_ a1409_ X82 \/ c2_2_ a1409_ X82)))) /\ (forall X83 : Universe, (ndr1_1_ a1409_ -> (~(c5_2_ a1409_ X83) \/ (~(c1_2_ a1409_ X83) \/ ~(c4_2_ a1409_ X83))))))))) /\ ((c4_0_ \/ (forall X84 : Universe, (ndr1_0_ -> (~(c4_1_ X84) \/ (c2_1_ X84 \/ (ndr1_1_ X84 /\ (c5_2_ X84 a1410_ /\ ~(c1_2_ X84 a1410_)))))))) /\ ((c3_0_ \/ ((forall X85 : Universe, (ndr1_0_ -> ((ndr1_1_ X85 /\ (~(c1_2_ X85 a1411_) /\ (c2_2_ X85 a1411_ /\ ~(c4_2_ X85 a1411_)))) \/ (forall X86 : Universe, (ndr1_1_ X85 -> (c1_2_ X85 X86 \/ c3_2_ X85 X86)))))) \/ (ndr1_0_ /\ (c4_1_ a1412_ /\ ((forall X87 : Universe, (ndr1_1_ a1412_ -> (c1_2_ a1412_ X87 \/ (c5_2_ a1412_ X87 \/ ~(c3_2_ a1412_ X87))))) /\ ~(c5_1_ a1412_)))))) /\ (((forall X88 : Universe, (ndr1_0_ -> ((ndr1_1_ X88 /\ (~(c2_2_ X88 a1413_) /\ (c5_2_ X88 a1413_ /\ c4_2_ X88 a1413_))) \/ (c3_1_ X88 \/ (forall X89 : Universe, (ndr1_1_ X88 -> (~(c1_2_ X88 X89) \/ (c5_2_ X88 X89 \/ ~(c4_2_ X88 X89))))))))) \/ ((forall X90 : Universe, (ndr1_0_ -> ((ndr1_1_ X90 /\ (c2_2_ X90 a1414_ /\ (c4_2_ X90 a1414_ /\ c5_2_ X90 a1414_))) \/ (c3_1_ X90 \/ c2_1_ X90)))) \/ c2_0_)) /\ ((~(c4_0_) \/ ((forall X91 : Universe, (ndr1_0_ -> ((ndr1_1_ X91 /\ (c3_2_ X91 a1415_ /\ ~(c4_2_ X91 a1415_))) \/ (~(c3_1_ X91) \/ ~(c2_1_ X91))))) \/ ~(c5_0_))) /\ (((ndr1_0_ /\ (~(c2_1_ a1416_) /\ (c3_1_ a1416_ /\ c4_1_ a1416_))) \/ (c1_0_ \/ ~(c2_0_))) /\ ((c3_0_ \/ ~(c2_0_)) /\ (((forall X92 : Universe, (ndr1_0_ -> (c4_1_ X92 \/ (~(c2_1_ X92) \/ (ndr1_1_ X92 /\ (~(c2_2_ X92 a1417_) /\ (c1_2_ X92 a1417_ /\ c3_2_ X92 a1417_))))))) \/ ((ndr1_0_ /\ (c2_1_ a1418_ /\ ((forall X93 : Universe, (ndr1_1_ a1418_ -> (~(c5_2_ a1418_ X93) \/ (c1_2_ a1418_ X93 \/ c4_2_ a1418_ X93)))) /\ (ndr1_1_ a1418_ /\ (~(c5_2_ a1418_ a1419_) /\ c4_2_ a1418_ a1419_))))) \/ ~(c5_0_))) /\ ((c4_0_ \/ (~(c1_0_) \/ c5_0_)) /\ ((c4_0_ \/ (~(c5_0_) \/ (ndr1_0_ /\ (ndr1_1_ a1420_ /\ (c3_2_ a1420_ a1421_ /\ (~(c5_2_ a1420_ a1421_) /\ (c1_2_ a1420_ a1421_ /\ (ndr1_1_ a1420_ /\ (~(c5_2_ a1420_ a1422_) /\ (c4_2_ a1420_ a1422_ /\ (c3_2_ a1420_ a1422_ /\ (forall X94 : Universe, (ndr1_1_ a1420_ -> (c1_2_ a1420_ X94 \/ (~(c4_2_ a1420_ X94) \/ ~(c2_2_ a1420_ X94)))))))))))))))) /\ ((c5_0_ \/ (~(c4_0_) \/ (ndr1_0_ /\ ((forall X95 : Universe, (ndr1_1_ a1423_ -> (~(c2_2_ a1423_ X95) \/ ~(c3_2_ a1423_ X95)))) /\ c1_1_ a1423_)))) /\ (((ndr1_0_ /\ (~(c1_1_ a1424_) /\ ((forall X96 : Universe, (ndr1_1_ a1424_ -> (~(c4_2_ a1424_ X96) \/ (c1_2_ a1424_ X96 \/ c3_2_ a1424_ X96)))) /\ c4_1_ a1424_))) \/ c2_0_) /\ ((~(c4_0_) \/ (forall X97 : Universe, (ndr1_0_ -> (c2_1_ X97 \/ ~(c3_1_ X97))))) /\ ((c1_0_ \/ (~(c4_0_) \/ (ndr1_0_ /\ (ndr1_1_ a1425_ /\ (~(c3_2_ a1425_ a1426_) /\ (~(c2_2_ a1425_ a1426_) /\ (~(c1_2_ a1425_ a1426_) /\ (ndr1_1_ a1425_ /\ (c4_2_ a1425_ a1427_ /\ (~(c5_2_ a1425_ a1427_) /\ (~(c1_2_ a1425_ a1427_) /\ (forall X98 : Universe, (ndr1_1_ a1425_ -> (~(c3_2_ a1425_ X98) \/ (c5_2_ a1425_ X98 \/ c2_2_ a1425_ X98))))))))))))))) /\ (((ndr1_0_ /\ (c2_1_ a1428_ /\ (ndr1_1_ a1428_ /\ (c4_2_ a1428_ a1429_ /\ (~(c3_2_ a1428_ a1429_) /\ (c2_2_ a1428_ a1429_ /\ (forall X99 : Universe, (ndr1_1_ a1428_ -> (c2_2_ a1428_ X99 \/ ~(c1_2_ a1428_ X99)))))))))) \/ ((ndr1_0_ /\ (ndr1_1_ a1430_ /\ (c1_2_ a1430_ a1431_ /\ (c2_2_ a1430_ a1431_ /\ (c5_2_ a1430_ a1431_ /\ (c2_1_ a1430_ /\ (ndr1_1_ a1430_ /\ (~(c1_2_ a1430_ a1432_) /\ (~(c4_2_ a1430_ a1432_) /\ ~(c2_2_ a1430_ a1432_)))))))))) \/ (forall X100 : Universe, (ndr1_0_ -> ((ndr1_1_ X100 /\ (~(c3_2_ X100 a1433_) /\ (c5_2_ X100 a1433_ /\ c2_2_ X100 a1433_))) \/ c3_1_ X100))))) /\ (((ndr1_0_ /\ ((forall X101 : Universe, (ndr1_1_ a1434_ -> (c4_2_ a1434_ X101 \/ c1_2_ a1434_ X101))) /\ (c2_1_ a1434_ /\ (forall X102 : Universe, (ndr1_1_ a1434_ -> (c1_2_ a1434_ X102 \/ (c3_2_ a1434_ X102 \/ c5_2_ a1434_ X102))))))) \/ (forall X103 : Universe, (ndr1_0_ -> ((ndr1_1_ X103 /\ (~(c4_2_ X103 a1435_) /\ c2_2_ X103 a1435_)) \/ (c2_1_ X103 \/ (forall X104 : Universe, (ndr1_1_ X103 -> (~(c4_2_ X103 X104) \/ (c5_2_ X103 X104 \/ c3_2_ X103 X104))))))))) /\ ((c3_0_ \/ (c1_0_ \/ ~(c5_0_))) /\ ((c5_0_ \/ (c4_0_ \/ (ndr1_0_ /\ ((forall X105 : Universe, (ndr1_1_ a1436_ -> (~(c2_2_ a1436_ X105) \/ (c1_2_ a1436_ X105 \/ c4_2_ a1436_ X105)))) /\ (ndr1_1_ a1436_ /\ (~(c4_2_ a1436_ a1437_) /\ (~(c2_2_ a1436_ a1437_) /\ (c1_2_ a1436_ a1437_ /\ (forall X106 : Universe, (ndr1_1_ a1436_ -> (c3_2_ a1436_ X106 \/ (~(c2_2_ a1436_ X106) \/ c5_2_ a1436_ X106)))))))))))) /\ ((~(c3_0_) \/ ((ndr1_0_ /\ ((forall X107 : Universe, (ndr1_1_ a1438_ -> (c2_2_ a1438_ X107 \/ (~(c3_2_ a1438_ X107) \/ ~(c5_2_ a1438_ X107))))) /\ c1_1_ a1438_)) \/ (ndr1_0_ /\ (ndr1_1_ a1439_ /\ (~(c4_2_ a1439_ a1440_) /\ (~(c3_2_ a1439_ a1440_) /\ (ndr1_1_ a1439_ /\ (c1_2_ a1439_ a1441_ /\ (c5_2_ a1439_ a1441_ /\ (c3_2_ a1439_ a1441_ /\ c3_1_ a1439_)))))))))) /\ ((c1_0_ \/ c3_0_) /\ (((ndr1_0_ /\ ((forall X108 : Universe, (ndr1_1_ a1442_ -> (c3_2_ a1442_ X108 \/ (c4_2_ a1442_ X108 \/ ~(c2_2_ a1442_ X108))))) /\ (c3_1_ a1442_ /\ c2_1_ a1442_))) \/ ~(c3_0_)) /\ (((forall X109 : Universe, (ndr1_0_ -> ((forall X110 : Universe, (ndr1_1_ X109 -> (c2_2_ X109 X110 \/ (c5_2_ X109 X110 \/ ~(c4_2_ X109 X110))))) \/ ((forall X111 : Universe, (ndr1_1_ X109 -> (~(c1_2_ X109 X111) \/ (c2_2_ X109 X111 \/ ~(c4_2_ X109 X111))))) \/ ~(c1_1_ X109))))) \/ (c2_0_ \/ (ndr1_0_ /\ (ndr1_1_ a1443_ /\ (c3_2_ a1443_ a1444_ /\ (c1_2_ a1443_ a1444_ /\ (~(c4_2_ a1443_ a1444_) /\ ~(c3_1_ a1443_)))))))) /\ (~(c5_0_) /\ (((ndr1_0_ /\ (~(c5_1_ a1445_) /\ ~(c1_1_ a1445_))) \/ (~(c3_0_) \/ ~(c4_0_))) /\ (((ndr1_0_ /\ (~(c5_1_ a1446_) /\ (~(c3_1_ a1446_) /\ (forall X112 : Universe, (ndr1_1_ a1446_ -> (c3_2_ a1446_ X112 \/ (~(c1_2_ a1446_ X112) \/ ~(c5_2_ a1446_ X112)))))))) \/ c1_0_) /\ (((ndr1_0_ /\ (c2_1_ a1447_ /\ (ndr1_1_ a1447_ /\ (c5_2_ a1447_ a1448_ /\ (c3_2_ a1447_ a1448_ /\ (~(c1_2_ a1447_ a1448_) /\ (ndr1_1_ a1447_ /\ (~(c5_2_ a1447_ a1449_) /\ (~(c3_2_ a1447_ a1449_) /\ ~(c4_2_ a1447_ a1449_)))))))))) \/ (~(c4_0_) \/ (ndr1_0_ /\ (ndr1_1_ a1450_ /\ ~(c5_2_ a1450_ a1451_))))) /\ (((ndr1_0_ /\ (~(c5_1_ a1452_) /\ (ndr1_1_ a1452_ /\ (c2_2_ a1452_ a1453_ /\ ~(c1_2_ a1452_ a1453_))))) \/ (c2_0_ \/ ~(c3_0_))) /\ (((ndr1_0_ /\ (~(c5_1_ a1454_) /\ c2_1_ a1454_)) \/ ((ndr1_0_ /\ (c1_1_ a1455_ /\ (ndr1_1_ a1455_ /\ (~(c3_2_ a1455_ a1456_) /\ (c2_2_ a1455_ a1456_ /\ (~(c4_2_ a1455_ a1456_) /\ (ndr1_1_ a1455_ /\ (c5_2_ a1455_ a1457_ /\ (c3_2_ a1455_ a1457_ /\ ~(c2_2_ a1455_ a1457_)))))))))) \/ c4_0_)) /\ (ndr1_0_ /\ ((forall X113 : Universe, (ndr1_1_ a1458_ -> (c1_2_ a1458_ X113 \/ ~(c4_2_ a1458_ X113)))) /\ ((forall X114 : Universe, (ndr1_1_ a1458_ -> (c3_2_ a1458_ X114 \/ c2_2_ a1458_ X114))) /\ (c2_1_ a1458_ /\ (((forall X115 : Universe, (ndr1_0_ -> (c1_1_ X115 \/ ((forall X116 : Universe, (ndr1_1_ X115 -> (~(c2_2_ X115 X116) \/ (c4_2_ X115 X116 \/ ~(c3_2_ X115 X116))))) \/ (ndr1_1_ X115 /\ (c4_2_ X115 a1459_ /\ (~(c3_2_ X115 a1459_) /\ ~(c1_2_ X115 a1459_)))))))) \/ c4_0_) /\ ((~(c4_0_) \/ ((ndr1_0_ /\ (c5_1_ a1460_ /\ (ndr1_1_ a1460_ /\ (~(c2_2_ a1460_ a1461_) /\ (c3_2_ a1460_ a1461_ /\ ~(c4_2_ a1460_ a1461_)))))) \/ (forall X117 : Universe, (ndr1_0_ -> (c4_1_ X117 \/ ((ndr1_1_ X117 /\ (c4_2_ X117 a1462_ /\ ~(c3_2_ X117 a1462_))) \/ (ndr1_1_ X117 /\ (~(c2_2_ X117 a1463_) /\ (c4_2_ X117 a1463_ /\ ~(c3_2_ X117 a1463_)))))))))) /\ (ndr1_0_ /\ (ndr1_1_ a1464_ /\ (~(c5_2_ a1464_ a1465_) /\ (c3_2_ a1464_ a1465_ /\ (c2_2_ a1464_ a1465_ /\ (c2_1_ a1464_ /\ (ndr1_1_ a1464_ /\ (c2_2_ a1464_ a1466_ /\ (~(c5_2_ a1464_ a1466_) /\ ((~(c3_0_) \/ (~(c1_0_) \/ (ndr1_0_ /\ (ndr1_1_ a1467_ /\ (~(c5_2_ a1467_ a1468_) /\ (c3_2_ a1467_ a1468_ /\ (c1_2_ a1467_ a1468_ /\ (ndr1_1_ a1467_ /\ (~(c4_2_ a1467_ a1469_) /\ (c3_2_ a1467_ a1469_ /\ (c1_2_ a1467_ a1469_ /\ c3_1_ a1467_))))))))))) /\ (((forall X118 : Universe, (ndr1_0_ -> (~(c5_1_ X118) \/ (c1_1_ X118 \/ (forall X119 : Universe, (ndr1_1_ X118 -> (c4_2_ X118 X119 \/ (~(c2_2_ X118 X119) \/ c3_2_ X118 X119)))))))) \/ ((ndr1_0_ /\ (ndr1_1_ a1470_ /\ (c4_2_ a1470_ a1471_ /\ (~(c5_2_ a1470_ a1471_) /\ (c2_2_ a1470_ a1471_ /\ (ndr1_1_ a1470_ /\ (c5_2_ a1470_ a1472_ /\ (c1_2_ a1470_ a1472_ /\ c3_2_ a1470_ a1472_)))))))) \/ ~(c3_0_))) /\ ((~(c2_0_) \/ ((forall X120 : Universe, (ndr1_0_ -> ((ndr1_1_ X120 /\ (c3_2_ X120 a1473_ /\ (~(c5_2_ X120 a1473_) /\ c2_2_ X120 a1473_))) \/ (~(c4_1_ X120) \/ (forall X121 : Universe, (ndr1_1_ X120 -> (~(c1_2_ X120 X121) \/ ~(c2_2_ X120 X121)))))))) \/ (forall X122 : Universe, (ndr1_0_ -> ((forall X123 : Universe, (ndr1_1_ X122 -> (~(c3_2_ X122 X123) \/ c5_2_ X122 X123))) \/ ((ndr1_1_ X122 /\ (c2_2_ X122 a1474_ /\ (c5_2_ X122 a1474_ /\ c4_2_ X122 a1474_))) \/ c5_1_ X122)))))) /\ ((c4_0_ \/ (c1_0_ \/ ~(c2_0_))) /\ (((ndr1_0_ /\ ((forall X124 : Universe, (ndr1_1_ a1475_ -> (c5_2_ a1475_ X124 \/ c2_2_ a1475_ X124))) /\ (c4_1_ a1475_ /\ ~(c5_1_ a1475_)))) \/ c4_0_) /\ (c3_0_ /\ (((forall X125 : Universe, (ndr1_0_ -> (~(c3_1_ X125) \/ ((forall X126 : Universe, (ndr1_1_ X125 -> (c5_2_ X125 X126 \/ c3_2_ X125 X126))) \/ (ndr1_1_ X125 /\ (~(c4_2_ X125 a1476_) /\ (~(c2_2_ X125 a1476_) /\ ~(c1_2_ X125 a1476_)))))))) \/ ~(c4_0_)) /\ (((forall X127 : Universe, (ndr1_0_ -> ((ndr1_1_ X127 /\ (c2_2_ X127 a1477_ /\ (~(c3_2_ X127 a1477_) /\ ~(c4_2_ X127 a1477_)))) \/ (~(c1_1_ X127) \/ c5_1_ X127)))) \/ ((ndr1_0_ /\ ((forall X128 : Universe, (ndr1_1_ a1478_ -> (c4_2_ a1478_ X128 \/ (c2_2_ a1478_ X128 \/ ~(c1_2_ a1478_ X128))))) /\ ((forall X129 : Universe, (ndr1_1_ a1478_ -> (~(c1_2_ a1478_ X129) \/ (c3_2_ a1478_ X129 \/ c5_2_ a1478_ X129)))) /\ (ndr1_1_ a1478_ /\ (c5_2_ a1478_ a1479_ /\ (~(c4_2_ a1478_ a1479_) /\ c1_2_ a1478_ a1479_)))))) \/ ~(c2_0_))) /\ ((c1_0_ \/ ((forall X130 : Universe, (ndr1_0_ -> ((ndr1_1_ X130 /\ (~(c3_2_ X130 a1480_) /\ (c4_2_ X130 a1480_ /\ ~(c5_2_ X130 a1480_)))) \/ (ndr1_1_ X130 /\ (c1_2_ X130 a1481_ /\ ~(c2_2_ X130 a1481_)))))) \/ (ndr1_0_ /\ (~(c5_1_ a1482_) /\ (forall X131 : Universe, (ndr1_1_ a1482_ -> (c3_2_ a1482_ X131 \/ (~(c1_2_ a1482_ X131) \/ ~(c5_2_ a1482_ X131))))))))) /\ (((ndr1_0_ /\ ((forall X132 : Universe, (ndr1_1_ a1483_ -> (c3_2_ a1483_ X132 \/ (~(c2_2_ a1483_ X132) \/ c4_2_ a1483_ X132)))) /\ (~(c3_1_ a1483_) /\ c1_1_ a1483_))) \/ ((ndr1_0_ /\ (ndr1_1_ a1484_ /\ (c1_2_ a1484_ a1485_ /\ (~(c3_2_ a1484_ a1485_) /\ (c4_2_ a1484_ a1485_ /\ (~(c1_1_ a1484_) /\ (ndr1_1_ a1484_ /\ (c5_2_ a1484_ a1486_ /\ (c2_2_ a1484_ a1486_ /\ ~(c1_2_ a1484_ a1486_)))))))))) \/ (ndr1_0_ /\ (c3_1_ a1487_ /\ (c1_1_ a1487_ /\ (ndr1_1_ a1487_ /\ (c2_2_ a1487_ a1488_ /\ (c4_2_ a1487_ a1488_ /\ c5_2_ a1487_ a1488_)))))))) /\ ((~(c1_0_) \/ ~(c2_0_)) /\ ((forall X133 : Universe, (ndr1_0_ -> ((ndr1_1_ X133 /\ (~(c1_2_ X133 a1489_) /\ c3_2_ X133 a1489_)) \/ ((forall X134 : Universe, (ndr1_1_ X133 -> (~(c5_2_ X133 X134) \/ c4_2_ X133 X134))) \/ c4_1_ X133)))) /\ (((ndr1_0_ /\ ((forall X135 : Universe, (ndr1_1_ a1490_ -> (~(c2_2_ a1490_ X135) \/ ~(c5_2_ a1490_ X135)))) /\ (forall X136 : Universe, (ndr1_1_ a1490_ -> (c1_2_ a1490_ X136 \/ (~(c5_2_ a1490_ X136) \/ c2_2_ a1490_ X136)))))) \/ ((forall X137 : Universe, (ndr1_0_ -> ((ndr1_1_ X137 /\ (~(c5_2_ X137 a1491_) /\ ~(c1_2_ X137 a1491_))) \/ ~(c2_1_ X137)))) \/ (forall X138 : Universe, (ndr1_0_ -> (~(c3_1_ X138) \/ (forall X139 : Universe, (ndr1_1_ X138 -> (c4_2_ X138 X139 \/ (c5_2_ X138 X139 \/ c3_2_ X138 X139))))))))) /\ (((forall X140 : Universe, (ndr1_0_ -> ((ndr1_1_ X140 /\ (c5_2_ X140 a1492_ /\ (c3_2_ X140 a1492_ /\ ~(c4_2_ X140 a1492_)))) \/ ((forall X141 : Universe, (ndr1_1_ X140 -> (c5_2_ X140 X141 \/ (c1_2_ X140 X141 \/ c2_2_ X140 X141)))) \/ c1_1_ X140)))) \/ (c1_0_ \/ (ndr1_0_ /\ ((forall X142 : Universe, (ndr1_1_ a1493_ -> (c2_2_ a1493_ X142 \/ c1_2_ a1493_ X142))) /\ ~(c2_1_ a1493_))))) /\ (ndr1_0_ /\ ((forall X143 : Universe, (ndr1_1_ a1494_ -> (c1_2_ a1494_ X143 \/ (~(c2_2_ a1494_ X143) \/ c3_2_ a1494_ X143)))) /\ ((forall X144 : Universe, (ndr1_1_ a1494_ -> (~(c5_2_ a1494_ X144) \/ (c3_2_ a1494_ X144 \/ c1_2_ a1494_ X144)))) /\ (c5_1_ a1494_ /\ (((ndr1_0_ /\ ((forall X145 : Universe, (ndr1_1_ a1495_ -> (c1_2_ a1495_ X145 \/ ~(c5_2_ a1495_ X145)))) /\ (ndr1_1_ a1495_ /\ (c1_2_ a1495_ a1496_ /\ (~(c5_2_ a1495_ a1496_) /\ (c2_2_ a1495_ a1496_ /\ c2_1_ a1495_)))))) \/ ((forall X146 : Universe, (ndr1_0_ -> (c4_1_ X146 \/ (ndr1_1_ X146 /\ (c4_2_ X146 a1497_ /\ (c5_2_ X146 a1497_ /\ c2_2_ X146 a1497_)))))) \/ (forall X147 : Universe, (ndr1_0_ -> (~(c3_1_ X147) \/ ((forall X148 : Universe, (ndr1_1_ X147 -> (~(c2_2_ X147 X148) \/ (~(c5_2_ X147 X148) \/ c3_2_ X147 X148)))) \/ c5_1_ X147)))))) /\ ((c2_0_ \/ ((ndr1_0_ /\ ((forall X149 : Universe, (ndr1_1_ a1498_ -> (~(c4_2_ a1498_ X149) \/ c5_2_ a1498_ X149))) /\ (~(c5_1_ a1498_) /\ (forall X150 : Universe, (ndr1_1_ a1498_ -> (c5_2_ a1498_ X150 \/ (c4_2_ a1498_ X150 \/ c1_2_ a1498_ X150))))))) \/ c4_0_)) /\ (((ndr1_0_ /\ (~(c3_1_ a1499_) /\ (~(c5_1_ a1499_) /\ (forall X151 : Universe, (ndr1_1_ a1499_ -> (~(c1_2_ a1499_ X151) \/ c5_2_ a1499_ X151)))))) \/ ((ndr1_0_ /\ (ndr1_1_ a1500_ /\ (~(c4_2_ a1500_ a1501_) /\ (~(c3_2_ a1500_ a1501_) /\ (c2_2_ a1500_ a1501_ /\ (ndr1_1_ a1500_ /\ (~(c4_2_ a1500_ a1502_) /\ (c3_2_ a1500_ a1502_ /\ c2_2_ a1500_ a1502_)))))))) \/ (ndr1_0_ /\ (~(c5_1_ a1503_) /\ ((forall X152 : Universe, (ndr1_1_ a1503_ -> (c5_2_ a1503_ X152 \/ (~(c2_2_ a1503_ X152) \/ ~(c1_2_ a1503_ X152))))) /\ ~(c3_1_ a1503_)))))) /\ (((forall X153 : Universe, (ndr1_0_ -> ((forall X154 : Universe, (ndr1_1_ X153 -> (c1_2_ X153 X154 \/ (~(c4_2_ X153 X154) \/ c3_2_ X153 X154)))) \/ (c2_1_ X153 \/ ~(c3_1_ X153))))) \/ (c1_0_ \/ (ndr1_0_ /\ (~(c1_1_ a1504_) /\ (~(c4_1_ a1504_) /\ (forall X155 : Universe, (ndr1_1_ a1504_ -> (~(c3_2_ a1504_ X155) \/ (c5_2_ a1504_ X155 \/ ~(c4_2_ a1504_ X155)))))))))) /\ ((c2_0_ \/ (forall X156 : Universe, (ndr1_0_ -> ((ndr1_1_ X156 /\ (c2_2_ X156 a1505_ /\ (~(c4_2_ X156 a1505_) /\ c3_2_ X156 a1505_))) \/ (forall X157 : Universe, (ndr1_1_ X156 -> (~(c5_2_ X156 X157) \/ (~(c1_2_ X156 X157) \/ ~(c2_2_ X156 X157))))))))) /\ ((c1_0_ \/ (~(c2_0_) \/ ~(c4_0_))) /\ ((~(c1_0_) \/ (ndr1_0_ /\ ((forall X158 : Universe, (ndr1_1_ a1506_ -> (~(c1_2_ a1506_ X158) \/ (c3_2_ a1506_ X158 \/ ~(c4_2_ a1506_ X158))))) /\ (~(c1_1_ a1506_) /\ (ndr1_1_ a1506_ /\ (c4_2_ a1506_ a1507_ /\ ~(c2_2_ a1506_ a1507_))))))) /\ ((c4_0_ \/ ~(c2_0_)) /\ (((ndr1_0_ /\ ~(c3_1_ a1508_)) \/ ((forall X159 : Universe, (ndr1_0_ -> (c1_1_ X159 \/ c5_1_ X159))) \/ ~(c1_0_))) /\ (((ndr1_0_ /\ ((forall X160 : Universe, (ndr1_1_ a1509_ -> (c2_2_ a1509_ X160 \/ ~(c3_2_ a1509_ X160)))) /\ (c1_1_ a1509_ /\ (forall X161 : Universe, (ndr1_1_ a1509_ -> (c1_2_ a1509_ X161 \/ (c3_2_ a1509_ X161 \/ c2_2_ a1509_ X161))))))) \/ ~(c1_0_)) /\ (((ndr1_0_ /\ (c5_1_ a1510_ /\ (ndr1_1_ a1510_ /\ (~(c2_2_ a1510_ a1511_) /\ (~(c1_2_ a1510_ a1511_) /\ ~(c5_2_ a1510_ a1511_)))))) \/ (forall X162 : Universe, (ndr1_0_ -> (~(c3_1_ X162) \/ (c5_1_ X162 \/ ~(c1_1_ X162)))))) /\ ((~(c1_0_) \/ ((forall X163 : Universe, (ndr1_0_ -> ((ndr1_1_ X163 /\ (~(c2_2_ X163 a1512_) /\ (~(c1_2_ X163 a1512_) /\ ~(c5_2_ X163 a1512_)))) \/ ((ndr1_1_ X163 /\ (c4_2_ X163 a1513_ /\ (~(c1_2_ X163 a1513_) /\ c2_2_ X163 a1513_))) \/ (ndr1_1_ X163 /\ (c3_2_ X163 a1514_ /\ c2_2_ X163 a1514_)))))) \/ c4_0_)) /\ (((ndr1_0_ /\ (c3_1_ a1515_ /\ c1_1_ a1515_)) \/ ((ndr1_0_ /\ (c5_1_ a1516_ /\ ~(c2_1_ a1516_))) \/ c2_0_)) /\ ((c1_0_ \/ (~(c4_0_) \/ (forall X164 : Universe, (ndr1_0_ -> ((forall X165 : Universe, (ndr1_1_ X164 -> (c1_2_ X164 X165 \/ ~(c4_2_ X164 X165)))) \/ ((ndr1_1_ X164 /\ (~(c3_2_ X164 a1517_) /\ (~(c4_2_ X164 a1517_) /\ c1_2_ X164 a1517_))) \/ (ndr1_1_ X164 /\ (~(c4_2_ X164 a1518_) /\ (c1_2_ X164 a1518_ /\ c5_2_ X164 a1518_))))))))) /\ ((c2_0_ \/ ~(c1_0_)) /\ (((forall X166 : Universe, (ndr1_0_ -> ((forall X167 : Universe, (ndr1_1_ X166 -> (~(c1_2_ X166 X167) \/ c3_2_ X166 X167))) \/ (ndr1_1_ X166 /\ (~(c5_2_ X166 a1519_) /\ (c3_2_ X166 a1519_ /\ ~(c4_2_ X166 a1519_))))))) \/ ((ndr1_0_ /\ (ndr1_1_ a1520_ /\ (~(c5_2_ a1520_ a1521_) /\ (~(c3_2_ a1520_ a1521_) /\ (ndr1_1_ a1520_ /\ (c4_2_ a1520_ a1522_ /\ (~(c3_2_ a1520_ a1522_) /\ c2_1_ a1520_))))))) \/ ~(c2_0_))) /\ (((forall X168 : Universe, (ndr1_0_ -> (~(c1_1_ X168) \/ ((forall X169 : Universe, (ndr1_1_ X168 -> (c4_2_ X168 X169 \/ (c1_2_ X168 X169 \/ c2_2_ X168 X169)))) \/ (ndr1_1_ X168 /\ (~(c2_2_ X168 a1523_) /\ (~(c5_2_ X168 a1523_) /\ ~(c4_2_ X168 a1523_)))))))) \/ (c1_0_ \/ (ndr1_0_ /\ ((forall X170 : Universe, (ndr1_1_ a1524_ -> (~(c4_2_ a1524_ X170) \/ c1_2_ a1524_ X170))) /\ (ndr1_1_ a1524_ /\ c5_2_ a1524_ a1525_))))) /\ ((c2_0_ \/ ((forall X171 : Universe, (ndr1_0_ -> ((ndr1_1_ X171 /\ (c1_2_ X171 a1526_ /\ (c4_2_ X171 a1526_ /\ ~(c2_2_ X171 a1526_)))) \/ (c4_1_ X171 \/ ~(c1_1_ X171))))) \/ (forall X172 : Universe, (ndr1_0_ -> (~(c1_1_ X172) \/ (c2_1_ X172 \/ ~(c4_1_ X172))))))) /\ ((forall X173 : Universe, (ndr1_0_ -> (~(c1_1_ X173) \/ (~(c3_1_ X173) \/ ~(c2_1_ X173))))) \/ (forall X174 : Universe, (ndr1_0_ -> (~(c5_1_ X174) \/ ((forall X175 : Universe, (ndr1_1_ X174 -> (~(c1_2_ X174 X175) \/ (~(c5_2_ X174 X175) \/ ~(c3_2_ X174 X175))))) \/ ~(c2_1_ X174))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
