(*
% File     : SYN521+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=20, K=3, D=2, P=0, Index=049
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-20-3-2-049.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.17 v2.6.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  182 (   0 equality)
%            Maximal formula depth :   29 (  29 average)
%            Number of connectives :  254 (  73 ~  ;  57  |; 105  &)
%                                         (   0 <=>;  19 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :   34 (  34 constant; 0-0 arity)
%            Number of variables   :   19 (   0 singleton;  19 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a99_ : Universe.
Variable a98_ : Universe.
Variable a97_ : Universe.
Variable a96_ : Universe.
Variable a95_ : Universe.
Variable a94_ : Universe.
Variable a93_ : Universe.
Variable a92_ : Universe.
Variable a91_ : Universe.
Variable a90_ : Universe.
Variable a89_ : Universe.
Variable a88_ : Universe.
Variable a87_ : Universe.
Variable a86_ : Universe.
Variable a85_ : Universe.
Variable a84_ : Universe.
Variable a83_ : Universe.
Variable a82_ : Universe.
Variable a81_ : Universe.
Variable a80_ : Universe.
Variable a79_ : Universe.
Variable a78_ : Universe.
Variable a77_ : Universe.
Variable a76_ : Universe.
Variable a75_ : Universe.
Variable a74_ : Universe.
Variable a73_ : Universe.
Variable a72_ : Universe.
Variable a71_ : Universe.
Variable a70_ : Universe.
Variable a103_ : Universe.
Variable a102_ : Universe.
Variable a101_ : Universe.
Variable a100_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~((((ndr1_0_ /\ (ndr1_1_ a70_ /\ (c4_2_ a70_ a71_ /\ (~(c2_2_ a70_ a71_) /\ (c1_2_ a70_ a71_ /\ (ndr1_1_ a70_ /\ (~(c5_2_ a70_ a72_) /\ (~(c2_2_ a70_ a72_) /\ (~(c3_2_ a70_ a72_) /\ (ndr1_1_ a70_ /\ (~(c5_2_ a70_ a73_) /\ ~(c4_2_ a70_ a73_)))))))))))) \/ ~(c4_0_)) /\ ((~(c5_0_) \/ ~(c2_0_)) /\ ((c3_0_ \/ (ndr1_0_ /\ (ndr1_1_ a74_ /\ (~(c2_2_ a74_ a75_) /\ (c5_2_ a74_ a75_ /\ (~(c1_2_ a74_ a75_) /\ ~(c2_1_ a74_))))))) /\ (((ndr1_0_ /\ (c1_1_ a76_ /\ c3_1_ a76_)) \/ (~(c4_0_) \/ c1_0_)) /\ (((forall U : Universe, (ndr1_0_ -> (c4_1_ U \/ (c2_1_ U \/ (forall V : Universe, (ndr1_1_ U -> (~(c1_2_ U V) \/ (~(c3_2_ U V) \/ ~(c5_2_ U V))))))))) \/ c5_0_) /\ (((forall W : Universe, (ndr1_0_ -> ((forall X : Universe, (ndr1_1_ W -> (c4_2_ W X \/ c1_2_ W X))) \/ ~(c1_1_ W)))) \/ ((ndr1_0_ /\ (~(c3_1_ a77_) /\ (ndr1_1_ a77_ /\ (~(c5_2_ a77_ a78_) /\ (~(c3_2_ a77_ a78_) /\ (ndr1_1_ a77_ /\ (~(c5_2_ a77_ a79_) /\ (~(c2_2_ a77_ a79_) /\ c3_2_ a77_ a79_)))))))) \/ c3_0_)) /\ (((ndr1_0_ /\ (~(c2_1_ a80_) /\ (c4_1_ a80_ /\ ~(c3_1_ a80_)))) \/ ((forall Y : Universe, (ndr1_0_ -> ((forall Z : Universe, (ndr1_1_ Y -> (c4_2_ Y Z \/ c2_2_ Y Z))) \/ (c1_1_ Y \/ (ndr1_1_ Y /\ (c4_2_ Y a81_ /\ (c1_2_ Y a81_ /\ ~(c5_2_ Y a81_)))))))) \/ ~(c1_0_))) /\ ((~(c3_0_) \/ (ndr1_0_ /\ (ndr1_1_ a82_ /\ (c4_2_ a82_ a83_ /\ (~(c5_2_ a82_ a83_) /\ (ndr1_1_ a82_ /\ (~(c2_2_ a82_ a84_) /\ (~(c4_2_ a82_ a84_) /\ (~(c5_2_ a82_ a84_) /\ c1_1_ a82_))))))))) /\ (((forall X1 : Universe, (ndr1_0_ -> ((forall X2 : Universe, (ndr1_1_ X1 -> (~(c3_2_ X1 X2) \/ (~(c5_2_ X1 X2) \/ c1_2_ X1 X2)))) \/ (~(c1_1_ X1) \/ c4_1_ X1)))) \/ (c2_0_ \/ ~(c4_0_))) /\ ((c4_0_ \/ (~(c2_0_) \/ (ndr1_0_ /\ (ndr1_1_ a85_ /\ (~(c3_2_ a85_ a86_) /\ (~(c1_2_ a85_ a86_) /\ (ndr1_1_ a85_ /\ (~(c3_2_ a85_ a87_) /\ (c4_2_ a85_ a87_ /\ (c5_2_ a85_ a87_ /\ c5_1_ a85_)))))))))) /\ (((ndr1_0_ /\ (c1_1_ a88_ /\ ((forall X3 : Universe, (ndr1_1_ a88_ -> (c5_2_ a88_ X3 \/ c2_2_ a88_ X3))) /\ (ndr1_1_ a88_ /\ (~(c2_2_ a88_ a89_) /\ (~(c5_2_ a88_ a89_) /\ c4_2_ a88_ a89_)))))) \/ ((ndr1_0_ /\ (~(c4_1_ a90_) /\ (~(c3_1_ a90_) /\ ~(c2_1_ a90_)))) \/ (forall X4 : Universe, (ndr1_0_ -> ((forall X5 : Universe, (ndr1_1_ X4 -> (~(c3_2_ X4 X5) \/ (c5_2_ X4 X5 \/ ~(c1_2_ X4 X5))))) \/ ((ndr1_1_ X4 /\ (~(c2_2_ X4 a91_) /\ (~(c4_2_ X4 a91_) /\ ~(c1_2_ X4 a91_)))) \/ (ndr1_1_ X4 /\ (c1_2_ X4 a92_ /\ c5_2_ X4 a92_)))))))) /\ ((c4_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a93_ /\ (~(c1_2_ a93_ a94_) /\ (c2_2_ a93_ a94_ /\ (~(c4_2_ a93_ a94_) /\ (c4_1_ a93_ /\ c3_1_ a93_)))))) \/ (ndr1_0_ /\ (ndr1_1_ a95_ /\ (~(c4_2_ a95_ a96_) /\ (c1_2_ a95_ a96_ /\ (c5_2_ a95_ a96_ /\ (forall X6 : Universe, (ndr1_1_ a95_ -> (c5_2_ a95_ X6 \/ (~(c1_2_ a95_ X6) \/ ~(c3_2_ a95_ X6)))))))))))) /\ ((~(c5_0_) \/ ((ndr1_0_ /\ (ndr1_1_ a97_ /\ (c5_2_ a97_ a98_ /\ (~(c2_2_ a97_ a98_) /\ (ndr1_1_ a97_ /\ (~(c2_2_ a97_ a99_) /\ (~(c1_2_ a97_ a99_) /\ (c5_2_ a97_ a99_ /\ (forall X7 : Universe, (ndr1_1_ a97_ -> (c3_2_ a97_ X7 \/ (c2_2_ a97_ X7 \/ c1_2_ a97_ X7)))))))))))) \/ (ndr1_0_ /\ ((forall X8 : Universe, (ndr1_1_ a100_ -> (~(c4_2_ a100_ X8) \/ (~(c3_2_ a100_ X8) \/ ~(c2_2_ a100_ X8))))) /\ (c4_1_ a100_ /\ c2_1_ a100_))))) /\ (((ndr1_0_ /\ ((forall X9 : Universe, (ndr1_1_ a101_ -> (~(c2_2_ a101_ X9) \/ ~(c5_2_ a101_ X9)))) /\ (forall X10 : Universe, (ndr1_1_ a101_ -> (~(c1_2_ a101_ X10) \/ (c3_2_ a101_ X10 \/ ~(c5_2_ a101_ X10))))))) \/ (c3_0_ \/ (ndr1_0_ /\ (c2_1_ a102_ /\ (ndr1_1_ a102_ /\ (c1_2_ a102_ a103_ /\ (~(c5_2_ a102_ a103_) /\ (forall X11 : Universe, (ndr1_1_ a102_ -> (~(c1_2_ a102_ X11) \/ (~(c5_2_ a102_ X11) \/ ~(c3_2_ a102_ X11)))))))))))) /\ (~(c1_0_) \/ ((forall X12 : Universe, (ndr1_0_ -> ((forall X13 : Universe, (ndr1_1_ X12 -> (c4_2_ X12 X13 \/ (c3_2_ X12 X13 \/ ~(c5_2_ X12 X13))))) \/ ~(c4_1_ X12)))) \/ c3_0_))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
