(*
% File     : SYN522+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=20, K=3, D=2, P=0, Index=051
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-20-3-2-051.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.00 v2.7.0, 0.17 v2.6.0, 0.00 v2.4.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  226 (   0 equality)
%            Maximal formula depth :   28 (  28 average)
%            Number of connectives :  304 (  79 ~  ;  79  |; 118  &)
%                                         (   0 <=>;  28 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :   37 (  37 constant; 0-0 arity)
%            Number of variables   :   28 (   0 singleton;  28 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a140_ : Universe.
Variable a139_ : Universe.
Variable a138_ : Universe.
Variable a137_ : Universe.
Variable a136_ : Universe.
Variable a135_ : Universe.
Variable a134_ : Universe.
Variable a133_ : Universe.
Variable a132_ : Universe.
Variable a131_ : Universe.
Variable a130_ : Universe.
Variable a129_ : Universe.
Variable a128_ : Universe.
Variable a127_ : Universe.
Variable a126_ : Universe.
Variable a125_ : Universe.
Variable a124_ : Universe.
Variable a123_ : Universe.
Variable a122_ : Universe.
Variable a121_ : Universe.
Variable a120_ : Universe.
Variable a119_ : Universe.
Variable a118_ : Universe.
Variable a117_ : Universe.
Variable a116_ : Universe.
Variable a115_ : Universe.
Variable a114_ : Universe.
Variable a113_ : Universe.
Variable a112_ : Universe.
Variable a111_ : Universe.
Variable a110_ : Universe.
Variable a109_ : Universe.
Variable a108_ : Universe.
Variable a107_ : Universe.
Variable a106_ : Universe.
Variable a105_ : Universe.
Variable a104_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~((((forall U : Universe, (ndr1_0_ -> ((forall V : Universe, (ndr1_1_ U -> (c2_2_ U V \/ (~(c5_2_ U V) \/ c3_2_ U V)))) \/ ((ndr1_1_ U /\ (c4_2_ U a104_ /\ (c3_2_ U a104_ /\ ~(c1_2_ U a104_)))) \/ (ndr1_1_ U /\ (~(c4_2_ U a105_) /\ (~(c3_2_ U a105_) /\ c2_2_ U a105_))))))) \/ ((ndr1_0_ /\ (~(c5_1_ a106_) /\ (ndr1_1_ a106_ /\ (c1_2_ a106_ a107_ /\ (c4_2_ a106_ a107_ /\ c2_2_ a106_ a107_))))) \/ (ndr1_0_ /\ (c3_1_ a108_ /\ (~(c4_1_ a108_) /\ (forall W : Universe, (ndr1_1_ a108_ -> (c4_2_ a108_ W \/ (c2_2_ a108_ W \/ c1_2_ a108_ W))))))))) /\ (((ndr1_0_ /\ (~(c1_1_ a109_) /\ c3_1_ a109_)) \/ ((ndr1_0_ /\ (~(c4_1_ a110_) /\ (~(c3_1_ a110_) /\ (forall X : Universe, (ndr1_1_ a110_ -> (c1_2_ a110_ X \/ c5_2_ a110_ X)))))) \/ (forall Y : Universe, (ndr1_0_ -> (~(c5_1_ Y) \/ ((forall Z : Universe, (ndr1_1_ Y -> (~(c5_2_ Y Z) \/ (~(c1_2_ Y Z) \/ ~(c3_2_ Y Z))))) \/ ~(c3_1_ Y))))))) /\ (((forall X1 : Universe, (ndr1_0_ -> ((ndr1_1_ X1 /\ (c5_2_ X1 a111_ /\ (~(c3_2_ X1 a111_) /\ c2_2_ X1 a111_))) \/ ((forall X2 : Universe, (ndr1_1_ X1 -> (c1_2_ X1 X2 \/ (c4_2_ X1 X2 \/ ~(c2_2_ X1 X2))))) \/ ~(c4_1_ X1))))) \/ (~(c1_0_) \/ (ndr1_0_ /\ ((forall X3 : Universe, (ndr1_1_ a112_ -> (c5_2_ a112_ X3 \/ c1_2_ a112_ X3))) /\ ((forall X4 : Universe, (ndr1_1_ a112_ -> (c1_2_ a112_ X4 \/ c5_2_ a112_ X4))) /\ (ndr1_1_ a112_ /\ (c2_2_ a112_ a113_ /\ (~(c5_2_ a112_ a113_) /\ ~(c3_2_ a112_ a113_))))))))) /\ ((~(c1_0_) \/ (c5_0_ \/ (forall X5 : Universe, (ndr1_0_ -> (~(c3_1_ X5) \/ (~(c4_1_ X5) \/ (forall X6 : Universe, (ndr1_1_ X5 -> (c4_2_ X5 X6 \/ c5_2_ X5 X6))))))))) /\ ((c2_0_ \/ (ndr1_0_ /\ (~(c1_1_ a114_) /\ ((forall X7 : Universe, (ndr1_1_ a114_ -> (~(c3_2_ a114_ X7) \/ c5_2_ a114_ X7))) /\ (forall X8 : Universe, (ndr1_1_ a114_ -> (c1_2_ a114_ X8 \/ (c5_2_ a114_ X8 \/ c4_2_ a114_ X8)))))))) /\ ((~(c3_0_) \/ ((forall X9 : Universe, (ndr1_0_ -> ((ndr1_1_ X9 /\ (c2_2_ X9 a115_ /\ (c5_2_ X9 a115_ /\ ~(c4_2_ X9 a115_)))) \/ ((ndr1_1_ X9 /\ (c5_2_ X9 a116_ /\ (~(c2_2_ X9 a116_) /\ c1_2_ X9 a116_))) \/ (ndr1_1_ X9 /\ (c4_2_ X9 a117_ /\ (~(c5_2_ X9 a117_) /\ c3_2_ X9 a117_))))))) \/ (forall X10 : Universe, (ndr1_0_ -> (c2_1_ X10 \/ ~(c4_1_ X10)))))) /\ ((~(c5_0_) \/ (c3_0_ \/ ~(c1_0_))) /\ (((ndr1_0_ /\ (c5_1_ a118_ /\ (c1_1_ a118_ /\ ~(c2_1_ a118_)))) \/ c1_0_) /\ ((~(c4_0_) \/ (c3_0_ \/ (forall X11 : Universe, (ndr1_0_ -> ((ndr1_1_ X11 /\ (~(c3_2_ X11 a119_) /\ (c4_2_ X11 a119_ /\ ~(c2_2_ X11 a119_)))) \/ (c4_1_ X11 \/ (ndr1_1_ X11 /\ (c2_2_ X11 a120_ /\ (c5_2_ X11 a120_ /\ ~(c1_2_ X11 a120_)))))))))) /\ ((~(c1_0_) \/ (ndr1_0_ /\ (ndr1_1_ a121_ /\ (c3_2_ a121_ a122_ /\ (~(c2_2_ a121_ a122_) /\ ((forall X12 : Universe, (ndr1_1_ a121_ -> (c3_2_ a121_ X12 \/ (~(c1_2_ a121_ X12) \/ ~(c4_2_ a121_ X12))))) /\ (forall X13 : Universe, (ndr1_1_ a121_ -> (~(c5_2_ a121_ X13) \/ (~(c1_2_ a121_ X13) \/ c3_2_ a121_ X13)))))))))) /\ ((c4_0_ \/ (ndr1_0_ /\ (ndr1_1_ a123_ /\ (c1_2_ a123_ a124_ /\ (~(c2_2_ a123_ a124_) /\ (c5_1_ a123_ /\ ~(c1_1_ a123_))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a125_ /\ (~(c3_2_ a125_ a126_) /\ (~(c5_2_ a125_ a126_) /\ (c1_2_ a125_ a126_ /\ (~(c4_1_ a125_) /\ (ndr1_1_ a125_ /\ (~(c4_2_ a125_ a127_) /\ (~(c3_2_ a125_ a127_) /\ ~(c2_2_ a125_ a127_)))))))))) \/ ((ndr1_0_ /\ (ndr1_1_ a128_ /\ (~(c1_2_ a128_ a129_) /\ (c4_2_ a128_ a129_ /\ (c2_2_ a128_ a129_ /\ (~(c2_1_ a128_) /\ c3_1_ a128_)))))) \/ (ndr1_0_ /\ ((forall X14 : Universe, (ndr1_1_ a130_ -> (~(c3_2_ a130_ X14) \/ (~(c2_2_ a130_ X14) \/ ~(c4_2_ a130_ X14))))) /\ ((forall X15 : Universe, (ndr1_1_ a130_ -> (c5_2_ a130_ X15 \/ c2_2_ a130_ X15))) /\ ~(c1_1_ a130_)))))) /\ (((forall X16 : Universe, (ndr1_0_ -> ((ndr1_1_ X16 /\ (~(c4_2_ X16 a131_) /\ ~(c1_2_ X16 a131_))) \/ (c5_1_ X16 \/ (ndr1_1_ X16 /\ (c2_2_ X16 a132_ /\ (c5_2_ X16 a132_ /\ c1_2_ X16 a132_))))))) \/ (c2_0_ \/ (ndr1_0_ /\ (~(c5_1_ a133_) /\ ~(c2_1_ a133_))))) /\ (((ndr1_0_ /\ ((forall X17 : Universe, (ndr1_1_ a134_ -> (c4_2_ a134_ X17 \/ (~(c5_2_ a134_ X17) \/ c1_2_ a134_ X17)))) /\ ((forall X18 : Universe, (ndr1_1_ a134_ -> (~(c2_2_ a134_ X18) \/ (~(c3_2_ a134_ X18) \/ ~(c1_2_ a134_ X18))))) /\ ~(c2_1_ a134_)))) \/ ((ndr1_0_ /\ (~(c3_1_ a135_) /\ (ndr1_1_ a135_ /\ (~(c3_2_ a135_ a136_) /\ (~(c1_2_ a135_ a136_) /\ c1_1_ a135_))))) \/ c4_0_)) /\ (((ndr1_0_ /\ (c4_1_ a137_ /\ c1_1_ a137_)) \/ (~(c3_0_) \/ ~(c4_0_))) /\ ((~(c2_0_) \/ ((forall X19 : Universe, (ndr1_0_ -> ((ndr1_1_ X19 /\ (c5_2_ X19 a138_ /\ ~(c4_2_ X19 a138_))) \/ (c5_1_ X19 \/ (forall X20 : Universe, (ndr1_1_ X19 -> (c5_2_ X19 X20 \/ (c2_2_ X19 X20 \/ c3_2_ X19 X20)))))))) \/ ~(c4_0_))) /\ (c4_0_ /\ ((forall X21 : Universe, (ndr1_0_ -> ((forall X22 : Universe, (ndr1_1_ X21 -> (c1_2_ X21 X22 \/ (c2_2_ X21 X22 \/ c3_2_ X21 X22)))) \/ (~(c4_1_ X21) \/ ~(c5_1_ X21))))) \/ (c3_0_ \/ (ndr1_0_ /\ (ndr1_1_ a139_ /\ (c2_2_ a139_ a140_ /\ (c1_2_ a139_ a140_ /\ (~(c4_2_ a139_ a140_) /\ ~(c5_1_ a139_)))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
