(*
% File     : SYN526+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=25, K=3, D=2, P=0, Index=011
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-25-3-2-011.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v2.4.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  231 (   0 equality)
%            Maximal formula depth :   30 (  30 average)
%            Number of connectives :  321 (  91 ~  ;  91  |; 106  &)
%                                         (   0 <=>;  33 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :   33 (  33 constant; 0-0 arity)
%            Number of variables   :   33 (   0 singleton;  33 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a250_ : Universe.
Variable a249_ : Universe.
Variable a248_ : Universe.
Variable a247_ : Universe.
Variable a246_ : Universe.
Variable a245_ : Universe.
Variable a244_ : Universe.
Variable a243_ : Universe.
Variable a242_ : Universe.
Variable a241_ : Universe.
Variable a240_ : Universe.
Variable a239_ : Universe.
Variable a238_ : Universe.
Variable a237_ : Universe.
Variable a236_ : Universe.
Variable a235_ : Universe.
Variable a234_ : Universe.
Variable a233_ : Universe.
Variable a232_ : Universe.
Variable a231_ : Universe.
Variable a230_ : Universe.
Variable a229_ : Universe.
Variable a228_ : Universe.
Variable a227_ : Universe.
Variable a226_ : Universe.
Variable a225_ : Universe.
Variable a224_ : Universe.
Variable a223_ : Universe.
Variable a222_ : Universe.
Variable a221_ : Universe.
Variable a220_ : Universe.
Variable a219_ : Universe.
Variable a218_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~((~(c2_0_) /\ (((forall U : Universe, (ndr1_0_ -> (c3_1_ U \/ ((forall V : Universe, (ndr1_1_ U -> (~(c3_2_ U V) \/ ~(c1_2_ U V)))) \/ ~(c1_1_ U))))) \/ ((forall W : Universe, (ndr1_0_ -> (c1_1_ W \/ (ndr1_1_ W /\ (~(c3_2_ W a218_) /\ (c5_2_ W a218_ /\ c1_2_ W a218_)))))) \/ ~(c5_0_))) /\ ((c5_0_ \/ (c4_0_ \/ (forall X : Universe, (ndr1_0_ -> ((ndr1_1_ X /\ (~(c1_2_ X a219_) /\ (~(c2_2_ X a219_) /\ ~(c3_2_ X a219_)))) \/ (~(c2_1_ X) \/ c4_1_ X)))))) /\ ((~(c4_0_) \/ ((forall Y : Universe, (ndr1_0_ -> ((ndr1_1_ Y /\ (~(c3_2_ Y a220_) /\ (c1_2_ Y a220_ /\ c4_2_ Y a220_))) \/ ((forall Z : Universe, (ndr1_1_ Y -> (c4_2_ Y Z \/ (c3_2_ Y Z \/ ~(c2_2_ Y Z))))) \/ ~(c2_1_ Y))))) \/ (forall X1 : Universe, (ndr1_0_ -> (c2_1_ X1 \/ ((forall X2 : Universe, (ndr1_1_ X1 -> (c2_2_ X1 X2 \/ (~(c5_2_ X1 X2) \/ ~(c1_2_ X1 X2))))) \/ c5_1_ X1)))))) /\ ((c5_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a221_ /\ (c1_2_ a221_ a222_ /\ (~(c5_2_ a221_ a222_) /\ (forall X3 : Universe, (ndr1_1_ a221_ -> (~(c2_2_ a221_ X3) \/ (~(c1_2_ a221_ X3) \/ c5_2_ a221_ X3)))))))) \/ c4_0_)) /\ ((c5_0_ \/ ~(c3_0_)) /\ (((ndr1_0_ /\ (c2_1_ a223_ /\ (ndr1_1_ a223_ /\ (c4_2_ a223_ a224_ /\ (~(c5_2_ a223_ a224_) /\ (c2_2_ a223_ a224_ /\ c5_1_ a223_)))))) \/ (~(c5_0_) \/ (ndr1_0_ /\ (ndr1_1_ a225_ /\ (c1_2_ a225_ a226_ /\ (~(c3_2_ a225_ a226_) /\ c4_1_ a225_)))))) /\ ((~(c3_0_) \/ ((forall X4 : Universe, (ndr1_0_ -> (c5_1_ X4 \/ ((ndr1_1_ X4 /\ (c4_2_ X4 a227_ /\ (~(c5_2_ X4 a227_) /\ c1_2_ X4 a227_))) \/ (ndr1_1_ X4 /\ (~(c2_2_ X4 a228_) /\ c1_2_ X4 a228_)))))) \/ (ndr1_0_ /\ ((forall X5 : Universe, (ndr1_1_ a229_ -> (~(c5_2_ a229_ X5) \/ (~(c4_2_ a229_ X5) \/ ~(c3_2_ a229_ X5))))) /\ (~(c4_1_ a229_) /\ (forall X6 : Universe, (ndr1_1_ a229_ -> (c5_2_ a229_ X6 \/ (c4_2_ a229_ X6 \/ ~(c1_2_ a229_ X6)))))))))) /\ ((~(c1_0_) \/ (~(c5_0_) \/ ~(c3_0_))) /\ (((ndr1_0_ /\ (c2_1_ a230_ /\ (c3_1_ a230_ /\ (ndr1_1_ a230_ /\ (~(c1_2_ a230_ a231_) /\ ~(c5_2_ a230_ a231_)))))) \/ (~(c4_0_) \/ (forall X7 : Universe, (ndr1_0_ -> (~(c2_1_ X7) \/ c5_1_ X7))))) /\ ((~(c5_0_) \/ (c3_0_ \/ (ndr1_0_ /\ (~(c4_1_ a232_) /\ ~(c3_1_ a232_))))) /\ (((forall X8 : Universe, (ndr1_0_ -> ((ndr1_1_ X8 /\ (c3_2_ X8 a233_ /\ (c2_2_ X8 a233_ /\ ~(c5_2_ X8 a233_)))) \/ (c4_1_ X8 \/ ~(c2_1_ X8))))) \/ ((forall X9 : Universe, (ndr1_0_ -> ((ndr1_1_ X9 /\ (~(c5_2_ X9 a234_) /\ c4_2_ X9 a234_)) \/ (~(c1_1_ X9) \/ (forall X10 : Universe, (ndr1_1_ X9 -> (~(c2_2_ X9 X10) \/ (~(c4_2_ X9 X10) \/ ~(c5_2_ X9 X10))))))))) \/ (forall X11 : Universe, (ndr1_0_ -> ((ndr1_1_ X11 /\ (c4_2_ X11 a235_ /\ (~(c5_2_ X11 a235_) /\ c1_2_ X11 a235_))) \/ c5_1_ X11))))) /\ (((ndr1_0_ /\ (~(c4_1_ a236_) /\ ((forall X12 : Universe, (ndr1_1_ a236_ -> (c3_2_ a236_ X12 \/ (c5_2_ a236_ X12 \/ ~(c4_2_ a236_ X12))))) /\ c3_1_ a236_))) \/ (~(c3_0_) \/ (ndr1_0_ /\ ((forall X13 : Universe, (ndr1_1_ a237_ -> (c4_2_ a237_ X13 \/ ~(c5_2_ a237_ X13)))) /\ ((forall X14 : Universe, (ndr1_1_ a237_ -> (~(c3_2_ a237_ X14) \/ (~(c2_2_ a237_ X14) \/ c5_2_ a237_ X14)))) /\ c2_1_ a237_))))) /\ (((forall X15 : Universe, (ndr1_0_ -> ((ndr1_1_ X15 /\ (c3_2_ X15 a238_ /\ (c1_2_ X15 a238_ /\ ~(c2_2_ X15 a238_)))) \/ ~(c2_1_ X15)))) \/ ((forall X16 : Universe, (ndr1_0_ -> (~(c4_1_ X16) \/ ((ndr1_1_ X16 /\ (~(c5_2_ X16 a239_) /\ (~(c4_2_ X16 a239_) /\ c2_2_ X16 a239_))) \/ ~(c3_1_ X16))))) \/ (ndr1_0_ /\ (~(c2_1_ a240_) /\ (c3_1_ a240_ /\ (ndr1_1_ a240_ /\ (c3_2_ a240_ a241_ /\ (~(c5_2_ a240_ a241_) /\ ~(c1_2_ a240_ a241_))))))))) /\ (((ndr1_0_ /\ (~(c3_1_ a242_) /\ (~(c2_1_ a242_) /\ ~(c4_1_ a242_)))) \/ ((forall X17 : Universe, (ndr1_0_ -> ((ndr1_1_ X17 /\ (c1_2_ X17 a243_ /\ ~(c5_2_ X17 a243_))) \/ c4_1_ X17))) \/ ~(c4_0_))) /\ ((~(c5_0_) \/ (forall X18 : Universe, (ndr1_0_ -> (~(c5_1_ X18) \/ ((ndr1_1_ X18 /\ (~(c3_2_ X18 a244_) /\ (c5_2_ X18 a244_ /\ c2_2_ X18 a244_))) \/ (forall X19 : Universe, (ndr1_1_ X18 -> (c3_2_ X18 X19 \/ (~(c5_2_ X18 X19) \/ c4_2_ X18 X19))))))))) /\ (((ndr1_0_ /\ ((forall X20 : Universe, (ndr1_1_ a245_ -> (c5_2_ a245_ X20 \/ ~(c3_2_ a245_ X20)))) /\ ((forall X21 : Universe, (ndr1_1_ a245_ -> (c1_2_ a245_ X21 \/ (~(c4_2_ a245_ X21) \/ c5_2_ a245_ X21)))) /\ ~(c5_1_ a245_)))) \/ ((forall X22 : Universe, (ndr1_0_ -> (c1_1_ X22 \/ ((ndr1_1_ X22 /\ (~(c1_2_ X22 a246_) /\ (~(c2_2_ X22 a246_) /\ ~(c3_2_ X22 a246_)))) \/ c3_1_ X22)))) \/ (ndr1_0_ /\ ((forall X23 : Universe, (ndr1_1_ a247_ -> (~(c3_2_ a247_ X23) \/ c1_2_ a247_ X23))) /\ ~(c3_1_ a247_))))) /\ (((ndr1_0_ /\ (ndr1_1_ a248_ /\ (c4_2_ a248_ a249_ /\ (c2_2_ a248_ a249_ /\ (~(c1_2_ a248_ a249_) /\ c3_1_ a248_))))) \/ c3_0_) /\ (((forall X24 : Universe, (ndr1_0_ -> (c4_1_ X24 \/ ((ndr1_1_ X24 /\ (c4_2_ X24 a250_ /\ ~(c5_2_ X24 a250_))) \/ ~(c3_1_ X24))))) \/ (forall X25 : Universe, (ndr1_0_ -> ((forall X26 : Universe, (ndr1_1_ X25 -> (~(c4_2_ X25 X26) \/ (~(c1_2_ X25 X26) \/ ~(c5_2_ X25 X26))))) \/ (~(c2_1_ X25) \/ c5_1_ X25))))) /\ (~(c1_0_) \/ (~(c4_0_) \/ (forall X27 : Universe, (ndr1_0_ -> (c2_1_ X27 \/ (c3_1_ X27 \/ c4_1_ X27)))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
