(*
% File     : SYN527+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=25, K=3, D=2, P=0, Index=025
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-25-3-2-025.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  164 (   0 equality)
%            Maximal formula depth :   30 (  30 average)
%            Number of connectives :  218 (  55 ~  ;  62  |;  85  &)
%                                         (   0 <=>;  16 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :   26 (  26 constant; 0-0 arity)
%            Number of variables   :   16 (   0 singleton;  16 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a276_ : Universe.
Variable a275_ : Universe.
Variable a274_ : Universe.
Variable a273_ : Universe.
Variable a272_ : Universe.
Variable a271_ : Universe.
Variable a270_ : Universe.
Variable a269_ : Universe.
Variable a268_ : Universe.
Variable a267_ : Universe.
Variable a266_ : Universe.
Variable a265_ : Universe.
Variable a264_ : Universe.
Variable a263_ : Universe.
Variable a262_ : Universe.
Variable a261_ : Universe.
Variable a260_ : Universe.
Variable a259_ : Universe.
Variable a258_ : Universe.
Variable a257_ : Universe.
Variable a256_ : Universe.
Variable a255_ : Universe.
Variable a254_ : Universe.
Variable a253_ : Universe.
Variable a252_ : Universe.
Variable a251_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((c2_0_ \/ ((ndr1_0_ /\ ((forall U : Universe, (ndr1_1_ a251_ -> (c2_2_ a251_ U \/ c4_2_ a251_ U))) /\ c5_1_ a251_)) \/ (ndr1_0_ /\ (ndr1_1_ a252_ /\ (c4_2_ a252_ a253_ /\ (c1_2_ a252_ a253_ /\ c5_2_ a252_ a253_)))))) /\ ((c3_0_ \/ ((forall V : Universe, (ndr1_0_ -> (~(c2_1_ V) \/ ((ndr1_1_ V /\ (c5_2_ V a254_ /\ ~(c2_2_ V a254_))) \/ (ndr1_1_ V /\ (~(c1_2_ V a255_) /\ (~(c5_2_ V a255_) /\ c4_2_ V a255_))))))) \/ c2_0_)) /\ ((~(c3_0_) \/ (~(c5_0_) \/ ~(c2_0_))) /\ ((c4_0_ \/ ((ndr1_0_ /\ (~(c4_1_ a256_) /\ ((forall W : Universe, (ndr1_1_ a256_ -> (c1_2_ a256_ W \/ (c4_2_ a256_ W \/ c3_2_ a256_ W)))) /\ (ndr1_1_ a256_ /\ (c1_2_ a256_ a257_ /\ (~(c4_2_ a256_ a257_) /\ ~(c3_2_ a256_ a257_))))))) \/ c2_0_)) /\ ((c1_0_ \/ ((forall X : Universe, (ndr1_0_ -> (~(c1_1_ X) \/ (~(c4_1_ X) \/ (forall Y : Universe, (ndr1_1_ X -> (~(c4_2_ X Y) \/ (~(c5_2_ X Y) \/ ~(c2_2_ X Y))))))))) \/ c4_0_)) /\ ((~(c1_0_) \/ c2_0_) /\ (((ndr1_0_ /\ (ndr1_1_ a258_ /\ (c3_2_ a258_ a259_ /\ (c5_2_ a258_ a259_ /\ ((forall Z : Universe, (ndr1_1_ a258_ -> (c1_2_ a258_ Z \/ c3_2_ a258_ Z))) /\ ~(c2_1_ a258_)))))) \/ ~(c2_0_)) /\ (((ndr1_0_ /\ (c1_1_ a260_ /\ ~(c2_1_ a260_))) \/ (c1_0_ \/ ~(c2_0_))) /\ ((~(c2_0_) \/ (~(c1_0_) \/ ~(c4_0_))) /\ (((forall X1 : Universe, (ndr1_0_ -> ((ndr1_1_ X1 /\ (c4_2_ X1 a261_ /\ (c1_2_ X1 a261_ /\ c3_2_ X1 a261_))) \/ c1_1_ X1))) \/ c2_0_) /\ (((ndr1_0_ /\ (c4_1_ a262_ /\ (ndr1_1_ a262_ /\ (c2_2_ a262_ a263_ /\ (~(c5_2_ a262_ a263_) /\ (~(c3_2_ a262_ a263_) /\ ~(c5_1_ a262_))))))) \/ ~(c1_0_)) /\ (((ndr1_0_ /\ (~(c2_1_ a264_) /\ (~(c5_1_ a264_) /\ c4_1_ a264_))) \/ (c5_0_ \/ c3_0_)) /\ ((~(c3_0_) \/ (~(c4_0_) \/ (ndr1_0_ /\ (ndr1_1_ a265_ /\ (c1_2_ a265_ a266_ /\ (c5_2_ a265_ a266_ /\ (forall X2 : Universe, (ndr1_1_ a265_ -> (c4_2_ a265_ X2 \/ (~(c2_2_ a265_ X2) \/ c3_2_ a265_ X2)))))))))) /\ ((~(c5_0_) \/ (~(c1_0_) \/ (ndr1_0_ /\ (c5_1_ a267_ /\ (ndr1_1_ a267_ /\ (c1_2_ a267_ a268_ /\ (~(c4_2_ a267_ a268_) /\ c3_2_ a267_ a268_))))))) /\ ((c3_0_ \/ (forall X3 : Universe, (ndr1_0_ -> (c2_1_ X3 \/ ~(c4_1_ X3))))) /\ (((forall X4 : Universe, (ndr1_0_ -> (~(c1_1_ X4) \/ ((ndr1_1_ X4 /\ (c5_2_ X4 a269_ /\ ~(c3_2_ X4 a269_))) \/ c4_1_ X4)))) \/ ((ndr1_0_ /\ (c4_1_ a270_ /\ (~(c5_1_ a270_) /\ (ndr1_1_ a270_ /\ (c3_2_ a270_ a271_ /\ (c5_2_ a270_ a271_ /\ ~(c2_2_ a270_ a271_))))))) \/ (forall X5 : Universe, (ndr1_0_ -> (~(c5_1_ X5) \/ (c2_1_ X5 \/ ~(c3_1_ X5))))))) /\ ((~(c3_0_) \/ (forall X6 : Universe, (ndr1_0_ -> ((forall X7 : Universe, (ndr1_1_ X6 -> (c1_2_ X6 X7 \/ (~(c3_2_ X6 X7) \/ ~(c2_2_ X6 X7))))) \/ ((ndr1_1_ X6 /\ (~(c1_2_ X6 a272_) /\ ~(c2_2_ X6 a272_))) \/ (ndr1_1_ X6 /\ (c2_2_ X6 a273_ /\ ~(c5_2_ X6 a273_)))))))) /\ ((c4_0_ \/ (c5_0_ \/ c2_0_)) /\ (((ndr1_0_ /\ (~(c5_1_ a274_) /\ (c1_1_ a274_ /\ c4_1_ a274_))) \/ (~(c1_0_) \/ ~(c5_0_))) /\ ((c4_0_ \/ ((ndr1_0_ /\ ((forall X8 : Universe, (ndr1_1_ a275_ -> (c1_2_ a275_ X8 \/ c2_2_ a275_ X8))) /\ (ndr1_1_ a275_ /\ (c1_2_ a275_ a276_ /\ (c4_2_ a275_ a276_ /\ ~(c5_2_ a275_ a276_)))))) \/ (forall X9 : Universe, (ndr1_0_ -> (~(c2_1_ X9) \/ (c4_1_ X9 \/ c3_1_ X9)))))) /\ (c1_0_ \/ ((forall X10 : Universe, (ndr1_0_ -> (c3_1_ X10 \/ c4_1_ X10))) \/ ~(c3_0_)))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
