(*
% File     : SYN529+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=25, K=3, D=2, P=0, Index=033
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-25-3-2-033.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.17 v2.6.0, 0.00 v2.4.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  242 (   0 equality)
%            Maximal formula depth :   36 (  36 average)
%            Number of connectives :  314 (  73 ~  ;  84  |; 132  &)
%                                         (   0 <=>;  25 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :   43 (  43 constant; 0-0 arity)
%            Number of variables   :   25 (   0 singleton;  25 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a356_ : Universe.
Variable a355_ : Universe.
Variable a354_ : Universe.
Variable a353_ : Universe.
Variable a352_ : Universe.
Variable a351_ : Universe.
Variable a350_ : Universe.
Variable a349_ : Universe.
Variable a348_ : Universe.
Variable a347_ : Universe.
Variable a346_ : Universe.
Variable a345_ : Universe.
Variable a344_ : Universe.
Variable a343_ : Universe.
Variable a342_ : Universe.
Variable a341_ : Universe.
Variable a340_ : Universe.
Variable a339_ : Universe.
Variable a338_ : Universe.
Variable a337_ : Universe.
Variable a336_ : Universe.
Variable a335_ : Universe.
Variable a334_ : Universe.
Variable a333_ : Universe.
Variable a332_ : Universe.
Variable a331_ : Universe.
Variable a330_ : Universe.
Variable a329_ : Universe.
Variable a328_ : Universe.
Variable a327_ : Universe.
Variable a326_ : Universe.
Variable a325_ : Universe.
Variable a324_ : Universe.
Variable a323_ : Universe.
Variable a322_ : Universe.
Variable a321_ : Universe.
Variable a320_ : Universe.
Variable a319_ : Universe.
Variable a318_ : Universe.
Variable a317_ : Universe.
Variable a316_ : Universe.
Variable a315_ : Universe.
Variable a314_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((c2_0_ \/ ~(c5_0_)) /\ ((~(c4_0_) \/ (~(c3_0_) \/ ~(c2_0_))) /\ ((c4_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a314_ /\ (~(c3_2_ a314_ a315_) /\ (~(c2_2_ a314_ a315_) /\ (~(c1_2_ a314_ a315_) /\ (c4_1_ a314_ /\ (forall U : Universe, (ndr1_1_ a314_ -> (~(c1_2_ a314_ U) \/ (c4_2_ a314_ U \/ c3_2_ a314_ U)))))))))) \/ (forall V : Universe, (ndr1_0_ -> ((forall W : Universe, (ndr1_1_ V -> (c4_2_ V W \/ (c3_2_ V W \/ c1_2_ V W)))) \/ (~(c4_1_ V) \/ c5_1_ V)))))) /\ (((ndr1_0_ /\ (~(c4_1_ a316_) /\ (ndr1_1_ a316_ /\ (c3_2_ a316_ a317_ /\ (~(c4_2_ a316_ a317_) /\ (c2_2_ a316_ a317_ /\ c1_1_ a316_)))))) \/ ((ndr1_0_ /\ (ndr1_1_ a318_ /\ (c4_2_ a318_ a319_ /\ (c2_2_ a318_ a319_ /\ (ndr1_1_ a318_ /\ (c2_2_ a318_ a320_ /\ ~(c4_2_ a318_ a320_))))))) \/ ~(c4_0_))) /\ (((forall X : Universe, (ndr1_0_ -> ((forall Y : Universe, (ndr1_1_ X -> (~(c4_2_ X Y) \/ (c2_2_ X Y \/ ~(c3_2_ X Y))))) \/ ((ndr1_1_ X /\ (~(c1_2_ X a321_) /\ (c5_2_ X a321_ /\ ~(c2_2_ X a321_)))) \/ ~(c2_1_ X))))) \/ (c4_0_ \/ (ndr1_0_ /\ (c3_1_ a322_ /\ (ndr1_1_ a322_ /\ (~(c4_2_ a322_ a323_) /\ (c5_2_ a322_ a323_ /\ ~(c1_2_ a322_ a323_)))))))) /\ (((forall Z : Universe, (ndr1_0_ -> (c1_1_ Z \/ c5_1_ Z))) \/ ((forall X1 : Universe, (ndr1_0_ -> (~(c2_1_ X1) \/ c4_1_ X1))) \/ (forall X2 : Universe, (ndr1_0_ -> (c4_1_ X2 \/ ((forall X3 : Universe, (ndr1_1_ X2 -> (c5_2_ X2 X3 \/ c4_2_ X2 X3))) \/ c2_1_ X2)))))) /\ ((c2_0_ \/ ~(c3_0_)) /\ ((c5_0_ \/ ((ndr1_0_ /\ ((forall X4 : Universe, (ndr1_1_ a324_ -> (c3_2_ a324_ X4 \/ (c2_2_ a324_ X4 \/ ~(c4_2_ a324_ X4))))) /\ (ndr1_1_ a324_ /\ (c1_2_ a324_ a325_ /\ (c5_2_ a324_ a325_ /\ (forall X5 : Universe, (ndr1_1_ a324_ -> (c3_2_ a324_ X5 \/ c1_2_ a324_ X5)))))))) \/ (ndr1_0_ /\ (c2_1_ a326_ /\ (c4_1_ a326_ /\ (ndr1_1_ a326_ /\ (~(c2_2_ a326_ a327_) /\ (~(c5_2_ a326_ a327_) /\ c3_2_ a326_ a327_)))))))) /\ (((ndr1_0_ /\ (~(c2_1_ a328_) /\ c5_1_ a328_)) \/ (c4_0_ \/ (ndr1_0_ /\ (ndr1_1_ a329_ /\ (~(c2_2_ a329_ a330_) /\ ((forall X6 : Universe, (ndr1_1_ a329_ -> (~(c4_2_ a329_ X6) \/ (~(c5_2_ a329_ X6) \/ c1_2_ a329_ X6)))) /\ c1_1_ a329_)))))) /\ ((~(c4_0_) \/ ((ndr1_0_ /\ (ndr1_1_ a331_ /\ (c1_2_ a331_ a332_ /\ (c2_2_ a331_ a332_ /\ (~(c5_2_ a331_ a332_) /\ (c5_1_ a331_ /\ c3_1_ a331_)))))) \/ (ndr1_0_ /\ ~(c3_1_ a333_)))) /\ (((forall X7 : Universe, (ndr1_0_ -> (c3_1_ X7 \/ ((ndr1_1_ X7 /\ (c4_2_ X7 a334_ /\ c2_2_ X7 a334_)) \/ c5_1_ X7)))) \/ c1_0_) /\ (((ndr1_0_ /\ (ndr1_1_ a335_ /\ (c4_2_ a335_ a336_ /\ (c5_2_ a335_ a336_ /\ (c2_2_ a335_ a336_ /\ (ndr1_1_ a335_ /\ (c1_2_ a335_ a337_ /\ (c5_2_ a335_ a337_ /\ ~(c3_2_ a335_ a337_))))))))) \/ (c4_0_ \/ c5_0_)) /\ ((~(c5_0_) \/ ((ndr1_0_ /\ (c1_1_ a338_ /\ (c4_1_ a338_ /\ (ndr1_1_ a338_ /\ (c1_2_ a338_ a339_ /\ (~(c3_2_ a338_ a339_) /\ ~(c4_2_ a338_ a339_))))))) \/ (forall X8 : Universe, (ndr1_0_ -> ((forall X9 : Universe, (ndr1_1_ X8 -> (~(c3_2_ X8 X9) \/ (c2_2_ X8 X9 \/ c1_2_ X8 X9)))) \/ ((ndr1_1_ X8 /\ (~(c4_2_ X8 a340_) /\ (~(c1_2_ X8 a340_) /\ c2_2_ X8 a340_))) \/ (ndr1_1_ X8 /\ (c2_2_ X8 a341_ /\ (c4_2_ X8 a341_ /\ c3_2_ X8 a341_))))))))) /\ ((c3_0_ \/ (c5_0_ \/ ~(c1_0_))) /\ ((c4_0_ \/ (forall X10 : Universe, (ndr1_0_ -> ((ndr1_1_ X10 /\ (c5_2_ X10 a342_ /\ c2_2_ X10 a342_)) \/ (~(c4_1_ X10) \/ c5_1_ X10))))) /\ ((~(c3_0_) \/ (~(c5_0_) \/ c4_0_)) /\ (((forall X11 : Universe, (ndr1_0_ -> ((forall X12 : Universe, (ndr1_1_ X11 -> (c4_2_ X11 X12 \/ (c3_2_ X11 X12 \/ c2_2_ X11 X12)))) \/ (c3_1_ X11 \/ ~(c2_1_ X11))))) \/ c5_0_) /\ (((ndr1_0_ /\ (~(c1_1_ a343_) /\ c2_1_ a343_)) \/ c3_0_) /\ (((ndr1_0_ /\ (ndr1_1_ a344_ /\ (c3_2_ a344_ a345_ /\ (~(c1_2_ a344_ a345_) /\ (~(c2_1_ a344_) /\ (forall X13 : Universe, (ndr1_1_ a344_ -> (~(c2_2_ a344_ X13) \/ (~(c1_2_ a344_ X13) \/ ~(c5_2_ a344_ X13)))))))))) \/ (c5_0_ \/ (ndr1_0_ /\ (c4_1_ a346_ /\ (ndr1_1_ a346_ /\ (~(c5_2_ a346_ a347_) /\ (c1_2_ a346_ a347_ /\ c3_1_ a346_))))))) /\ (((ndr1_0_ /\ (~(c3_1_ a348_) /\ ((forall X14 : Universe, (ndr1_1_ a348_ -> (c5_2_ a348_ X14 \/ (~(c4_2_ a348_ X14) \/ ~(c2_2_ a348_ X14))))) /\ (ndr1_1_ a348_ /\ (~(c5_2_ a348_ a349_) /\ c2_2_ a348_ a349_))))) \/ (forall X15 : Universe, (ndr1_0_ -> ((ndr1_1_ X15 /\ (c2_2_ X15 a350_ /\ (~(c3_2_ X15 a350_) /\ ~(c1_2_ X15 a350_)))) \/ (~(c3_1_ X15) \/ (forall X16 : Universe, (ndr1_1_ X15 -> (c1_2_ X15 X16 \/ (~(c4_2_ X15 X16) \/ c5_2_ X15 X16))))))))) /\ ((c4_0_ \/ (~(c1_0_) \/ ~(c5_0_))) /\ (((ndr1_0_ /\ (~(c1_1_ a351_) /\ (ndr1_1_ a351_ /\ (c2_2_ a351_ a352_ /\ (~(c1_2_ a351_ a352_) /\ (~(c4_2_ a351_ a352_) /\ c4_1_ a351_)))))) \/ (c3_0_ \/ (ndr1_0_ /\ ((forall X17 : Universe, (ndr1_1_ a353_ -> (~(c2_2_ a353_ X17) \/ (c3_2_ a353_ X17 \/ ~(c5_2_ a353_ X17))))) /\ (ndr1_1_ a353_ /\ (c2_2_ a353_ a354_ /\ (c3_2_ a353_ a354_ /\ (forall X18 : Universe, (ndr1_1_ a353_ -> (~(c1_2_ a353_ X18) \/ (~(c4_2_ a353_ X18) \/ c3_2_ a353_ X18))))))))))) /\ ((ndr1_0_ /\ (ndr1_1_ a355_ /\ (~(c4_2_ a355_ a356_) /\ (~(c5_2_ a355_ a356_) /\ ((forall X19 : Universe, (ndr1_1_ a355_ -> (c3_2_ a355_ X19 \/ ~(c1_2_ a355_ X19)))) /\ ~(c3_1_ a355_)))))) \/ (c2_0_ \/ c5_0_))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
