(*
% File     : SYN530+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=25, K=3, D=2, P=0, Index=034
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-25-3-2-034.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  195 (   0 equality)
%            Maximal formula depth :   29 (  29 average)
%            Number of connectives :  267 (  73 ~  ;  75  |;  96  &)
%                                         (   0 <=>;  23 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :   30 (  30 constant; 0-0 arity)
%            Number of variables   :   23 (   0 singleton;  23 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a386_ : Universe.
Variable a385_ : Universe.
Variable a384_ : Universe.
Variable a383_ : Universe.
Variable a382_ : Universe.
Variable a381_ : Universe.
Variable a380_ : Universe.
Variable a379_ : Universe.
Variable a378_ : Universe.
Variable a377_ : Universe.
Variable a376_ : Universe.
Variable a375_ : Universe.
Variable a374_ : Universe.
Variable a373_ : Universe.
Variable a372_ : Universe.
Variable a371_ : Universe.
Variable a370_ : Universe.
Variable a369_ : Universe.
Variable a368_ : Universe.
Variable a367_ : Universe.
Variable a366_ : Universe.
Variable a365_ : Universe.
Variable a364_ : Universe.
Variable a363_ : Universe.
Variable a362_ : Universe.
Variable a361_ : Universe.
Variable a360_ : Universe.
Variable a359_ : Universe.
Variable a358_ : Universe.
Variable a357_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~((((forall U : Universe, (ndr1_0_ -> (~(c5_1_ U) \/ ~(c1_1_ U)))) \/ ((ndr1_0_ /\ (ndr1_1_ a357_ /\ (~(c5_2_ a357_ a358_) /\ (~(c1_2_ a357_ a358_) /\ (c3_2_ a357_ a358_ /\ (~(c2_1_ a357_) /\ ~(c5_1_ a357_))))))) \/ (ndr1_0_ /\ (~(c3_1_ a359_) /\ ~(c5_1_ a359_))))) /\ ((c5_0_ \/ ((ndr1_0_ /\ (~(c5_1_ a360_) /\ c3_1_ a360_)) \/ c1_0_)) /\ (((ndr1_0_ /\ ((forall V : Universe, (ndr1_1_ a361_ -> (c2_2_ a361_ V \/ c3_2_ a361_ V))) /\ ((forall W : Universe, (ndr1_1_ a361_ -> (c2_2_ a361_ W \/ (~(c1_2_ a361_ W) \/ c3_2_ a361_ W)))) /\ ~(c1_1_ a361_)))) \/ (~(c1_0_) \/ ~(c5_0_))) /\ ((~(c2_0_) \/ ((forall X : Universe, (ndr1_0_ -> ((forall Y : Universe, (ndr1_1_ X -> (c4_2_ X Y \/ (~(c5_2_ X Y) \/ ~(c1_2_ X Y))))) \/ ((forall Z : Universe, (ndr1_1_ X -> (c5_2_ X Z \/ (c3_2_ X Z \/ ~(c4_2_ X Z))))) \/ (forall X1 : Universe, (ndr1_1_ X -> (c1_2_ X X1 \/ (~(c5_2_ X X1) \/ ~(c4_2_ X X1))))))))) \/ (forall X2 : Universe, (ndr1_0_ -> ((ndr1_1_ X2 /\ ~(c1_2_ X2 a362_)) \/ ~(c4_1_ X2)))))) /\ (((ndr1_0_ /\ (ndr1_1_ a363_ /\ (~(c4_2_ a363_ a364_) /\ (~(c2_2_ a363_ a364_) /\ (~(c5_2_ a363_ a364_) /\ (~(c4_1_ a363_) /\ (forall X3 : Universe, (ndr1_1_ a363_ -> (c1_2_ a363_ X3 \/ ~(c3_2_ a363_ X3)))))))))) \/ (c3_0_ \/ ~(c1_0_))) /\ (((forall X4 : Universe, (ndr1_0_ -> (c5_1_ X4 \/ ((ndr1_1_ X4 /\ (~(c1_2_ X4 a365_) /\ c3_2_ X4 a365_)) \/ (forall X5 : Universe, (ndr1_1_ X4 -> (c2_2_ X4 X5 \/ (~(c3_2_ X4 X5) \/ c1_2_ X4 X5)))))))) \/ (c5_0_ \/ (forall X6 : Universe, (ndr1_0_ -> ((ndr1_1_ X6 /\ (~(c2_2_ X6 a366_) /\ ~(c1_2_ X6 a366_))) \/ (~(c2_1_ X6) \/ (ndr1_1_ X6 /\ (~(c4_2_ X6 a367_) /\ (c3_2_ X6 a367_ /\ c2_2_ X6 a367_))))))))) /\ ((c5_0_ \/ (c2_0_ \/ (forall X7 : Universe, (ndr1_0_ -> (c3_1_ X7 \/ (c4_1_ X7 \/ (ndr1_1_ X7 /\ (~(c4_2_ X7 a368_) /\ (~(c2_2_ X7 a368_) /\ c1_2_ X7 a368_))))))))) /\ ((~(c3_0_) \/ (c4_0_ \/ c5_0_)) /\ (((forall X8 : Universe, (ndr1_0_ -> (c5_1_ X8 \/ (~(c1_1_ X8) \/ c4_1_ X8)))) \/ (c3_0_ \/ (ndr1_0_ /\ (~(c3_1_ a369_) /\ c4_1_ a369_)))) /\ (((forall X9 : Universe, (ndr1_0_ -> ((ndr1_1_ X9 /\ (c3_2_ X9 a370_ /\ (c1_2_ X9 a370_ /\ ~(c5_2_ X9 a370_)))) \/ (c5_1_ X9 \/ c4_1_ X9)))) \/ c4_0_) /\ ((c1_0_ \/ ((ndr1_0_ /\ ((forall X10 : Universe, (ndr1_1_ a371_ -> (~(c5_2_ a371_ X10) \/ (c4_2_ a371_ X10 \/ ~(c1_2_ a371_ X10))))) /\ (ndr1_1_ a371_ /\ (~(c1_2_ a371_ a372_) /\ (c4_2_ a371_ a372_ /\ (~(c2_2_ a371_ a372_) /\ (ndr1_1_ a371_ /\ (~(c1_2_ a371_ a373_) /\ c2_2_ a371_ a373_)))))))) \/ c2_0_)) /\ ((c4_0_ \/ ~(c2_0_)) /\ ((c5_0_ \/ ~(c4_0_)) /\ ((~(c1_0_) \/ ((forall X11 : Universe, (ndr1_0_ -> (c5_1_ X11 \/ ((ndr1_1_ X11 /\ (c3_2_ X11 a374_ /\ (~(c1_2_ X11 a374_) /\ c5_2_ X11 a374_))) \/ (ndr1_1_ X11 /\ (c4_2_ X11 a375_ /\ c1_2_ X11 a375_)))))) \/ ~(c5_0_))) /\ (((forall X12 : Universe, (ndr1_0_ -> (c1_1_ X12 \/ ((forall X13 : Universe, (ndr1_1_ X12 -> (c1_2_ X12 X13 \/ ~(c3_2_ X12 X13)))) \/ (ndr1_1_ X12 /\ (c1_2_ X12 a376_ /\ (c3_2_ X12 a376_ /\ ~(c4_2_ X12 a376_)))))))) \/ (~(c2_0_) \/ ~(c4_0_))) /\ ((~(c2_0_) \/ (ndr1_0_ /\ (c3_1_ a377_ /\ ~(c1_1_ a377_)))) /\ ((~(c3_0_) \/ ((forall X14 : Universe, (ndr1_0_ -> (c3_1_ X14 \/ (forall X15 : Universe, (ndr1_1_ X14 -> (~(c2_2_ X14 X15) \/ ~(c3_2_ X14 X15))))))) \/ (ndr1_0_ /\ (c3_1_ a378_ /\ (ndr1_1_ a378_ /\ (~(c1_2_ a378_ a379_) /\ (c2_2_ a378_ a379_ /\ (~(c4_2_ a378_ a379_) /\ ~(c5_1_ a378_))))))))) /\ ((~(c1_0_) \/ (forall X16 : Universe, (ndr1_0_ -> ((ndr1_1_ X16 /\ (c2_2_ X16 a380_ /\ (~(c5_2_ X16 a380_) /\ ~(c3_2_ X16 a380_)))) \/ ((ndr1_1_ X16 /\ (~(c3_2_ X16 a381_) /\ (c4_2_ X16 a381_ /\ ~(c2_2_ X16 a381_)))) \/ ~(c2_1_ X16)))))) /\ ((c4_0_ \/ ((ndr1_0_ /\ (c4_1_ a382_ /\ (c1_1_ a382_ /\ c5_1_ a382_))) \/ (ndr1_0_ /\ (ndr1_1_ a383_ /\ (~(c5_2_ a383_ a384_) /\ (~(c1_2_ a383_ a384_) /\ (~(c3_1_ a383_) /\ c1_1_ a383_))))))) /\ ((~(c1_0_) \/ (c4_0_ \/ (ndr1_0_ /\ (c4_1_ a385_ /\ c5_1_ a385_)))) /\ ((ndr1_0_ /\ c3_1_ a386_) \/ (~(c1_0_) \/ (forall X17 : Universe, (ndr1_0_ -> (c5_1_ X17 \/ c4_1_ X17)))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
