(*
% File     : SYN533+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=25, K=3, D=2, P=0, Index=082
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-25-3-2-082.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  158 (   0 equality)
%            Maximal formula depth :   28 (  28 average)
%            Number of connectives :  209 (  52 ~  ;  50  |;  91  &)
%                                         (   0 <=>;  16 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :   28 (  28 constant; 0-0 arity)
%            Number of variables   :   16 (   0 singleton;  16 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a470_ : Universe.
Variable a469_ : Universe.
Variable a468_ : Universe.
Variable a467_ : Universe.
Variable a466_ : Universe.
Variable a465_ : Universe.
Variable a464_ : Universe.
Variable a463_ : Universe.
Variable a462_ : Universe.
Variable a461_ : Universe.
Variable a460_ : Universe.
Variable a459_ : Universe.
Variable a458_ : Universe.
Variable a457_ : Universe.
Variable a456_ : Universe.
Variable a455_ : Universe.
Variable a454_ : Universe.
Variable a453_ : Universe.
Variable a452_ : Universe.
Variable a451_ : Universe.
Variable a450_ : Universe.
Variable a449_ : Universe.
Variable a448_ : Universe.
Variable a447_ : Universe.
Variable a446_ : Universe.
Variable a445_ : Universe.
Variable a444_ : Universe.
Variable a443_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(c1_0_) \/ ((forall U : Universe, (ndr1_0_ -> (c2_1_ U \/ ((forall V : Universe, (ndr1_1_ U -> (c5_2_ U V \/ ~(c2_2_ U V)))) \/ ~(c3_1_ U))))) \/ c2_0_)) /\ (c4_0_ /\ ((c1_0_ \/ ((forall W : Universe, (ndr1_0_ -> ((ndr1_1_ W /\ (~(c1_2_ W a443_) /\ c3_2_ W a443_)) \/ ((ndr1_1_ W /\ (~(c5_2_ W a444_) /\ ~(c3_2_ W a444_))) \/ ~(c2_1_ W))))) \/ (forall X : Universe, (ndr1_0_ -> ((forall Y : Universe, (ndr1_1_ X -> (~(c5_2_ X Y) \/ c3_2_ X Y))) \/ (forall Z : Universe, (ndr1_1_ X -> (~(c3_2_ X Z) \/ (c1_2_ X Z \/ c4_2_ X Z))))))))) /\ ((c3_0_ \/ (c1_0_ \/ (forall X1 : Universe, (ndr1_0_ -> (~(c1_1_ X1) \/ (forall X2 : Universe, (ndr1_1_ X1 -> (c5_2_ X1 X2 \/ (~(c3_2_ X1 X2) \/ c4_2_ X1 X2))))))))) /\ (((ndr1_0_ /\ (c3_1_ a445_ /\ (ndr1_1_ a445_ /\ (~(c4_2_ a445_ a446_) /\ ~(c2_2_ a445_ a446_))))) \/ c3_0_) /\ (((ndr1_0_ /\ ((forall X3 : Universe, (ndr1_1_ a447_ -> (c3_2_ a447_ X3 \/ (~(c5_2_ a447_ X3) \/ c1_2_ a447_ X3)))) /\ (ndr1_1_ a447_ /\ (~(c1_2_ a447_ a448_) /\ (~(c4_2_ a447_ a448_) /\ ~(c2_2_ a447_ a448_)))))) \/ ((ndr1_0_ /\ (c1_1_ a449_ /\ (c2_1_ a449_ /\ (ndr1_1_ a449_ /\ (c5_2_ a449_ a450_ /\ (~(c2_2_ a449_ a450_) /\ ~(c3_2_ a449_ a450_))))))) \/ c2_0_)) /\ ((c2_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a451_ /\ (~(c2_2_ a451_ a452_) /\ (c3_2_ a451_ a452_ /\ (~(c4_1_ a451_) /\ c3_1_ a451_))))) \/ ~(c5_0_))) /\ ((c2_0_ \/ (c3_0_ \/ (forall X4 : Universe, (ndr1_0_ -> (c2_1_ X4 \/ ~(c3_1_ X4)))))) /\ ((~(c1_0_) \/ ((ndr1_0_ /\ (~(c4_1_ a453_) /\ (ndr1_1_ a453_ /\ (c5_2_ a453_ a454_ /\ (~(c1_2_ a453_ a454_) /\ ~(c3_2_ a453_ a454_)))))) \/ (ndr1_0_ /\ (ndr1_1_ a455_ /\ (c2_2_ a455_ a456_ /\ (c3_2_ a455_ a456_ /\ (~(c4_2_ a455_ a456_) /\ (~(c1_1_ a455_) /\ (ndr1_1_ a455_ /\ (c1_2_ a455_ a457_ /\ (c2_2_ a455_ a457_ /\ ~(c4_2_ a455_ a457_)))))))))))) /\ ((c1_0_ \/ (forall X5 : Universe, (ndr1_0_ -> (c2_1_ X5 \/ c3_1_ X5)))) /\ (((ndr1_0_ /\ (c1_1_ a458_ /\ (~(c5_1_ a458_) /\ (ndr1_1_ a458_ /\ (c5_2_ a458_ a459_ /\ (~(c1_2_ a458_ a459_) /\ ~(c3_2_ a458_ a459_))))))) \/ ((ndr1_0_ /\ (c2_1_ a460_ /\ (~(c1_1_ a460_) /\ (forall X6 : Universe, (ndr1_1_ a460_ -> c3_2_ a460_ X6))))) \/ ~(c3_0_))) /\ ((c1_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a461_ /\ (c1_2_ a461_ a462_ /\ (~(c5_2_ a461_ a462_) /\ (~(c4_2_ a461_ a462_) /\ (c1_1_ a461_ /\ (ndr1_1_ a461_ /\ (c2_2_ a461_ a463_ /\ c1_2_ a461_ a463_)))))))) \/ ~(c2_0_))) /\ (((ndr1_0_ /\ (c3_1_ a464_ /\ (~(c5_1_ a464_) /\ ~(c2_1_ a464_)))) \/ c2_0_) /\ (((ndr1_0_ /\ (ndr1_1_ a465_ /\ (~(c5_2_ a465_ a466_) /\ (c1_2_ a465_ a466_ /\ (~(c4_2_ a465_ a466_) /\ ~(c5_1_ a465_)))))) \/ c2_0_) /\ (((forall X7 : Universe, (ndr1_0_ -> (~(c1_1_ X7) \/ (~(c4_1_ X7) \/ (forall X8 : Universe, (ndr1_1_ X7 -> (c4_2_ X7 X8 \/ (c2_2_ X7 X8 \/ c5_2_ X7 X8)))))))) \/ (forall X9 : Universe, (ndr1_0_ -> (~(c3_1_ X9) \/ c2_1_ X9)))) /\ ((~(c3_0_) \/ (c1_0_ \/ c2_0_)) /\ (((ndr1_0_ /\ (c4_1_ a467_ /\ (~(c3_1_ a467_) /\ c5_1_ a467_))) \/ c1_0_) /\ ((forall X10 : Universe, (ndr1_0_ -> (c1_1_ X10 \/ ((ndr1_1_ X10 /\ (c2_2_ X10 a468_ /\ (~(c1_2_ X10 a468_) /\ c5_2_ X10 a468_))) \/ (ndr1_1_ X10 /\ (c5_2_ X10 a469_ /\ (c4_2_ X10 a469_ /\ c2_2_ X10 a469_))))))) \/ (ndr1_0_ /\ (~(c3_1_ a470_) /\ ~(c5_1_ a470_)))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
