(*
% File     : SYN538+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=40, K=3, D=2, P=0, Index=022
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-40-3-2-022.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.17 v2.7.0, 0.33 v2.6.0, 0.25 v2.5.0, 0.00 v2.4.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  340 (   0 equality)
%            Maximal formula depth :   45 (  45 average)
%            Number of connectives :  465 ( 126 ~  ; 147  |; 139  &)
%                                         (   0 <=>;  53 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :   41 (  41 constant; 0-0 arity)
%            Number of variables   :   53 (   0 singleton;  53 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a586_ : Universe.
Variable a585_ : Universe.
Variable a584_ : Universe.
Variable a583_ : Universe.
Variable a582_ : Universe.
Variable a581_ : Universe.
Variable a580_ : Universe.
Variable a579_ : Universe.
Variable a578_ : Universe.
Variable a577_ : Universe.
Variable a576_ : Universe.
Variable a575_ : Universe.
Variable a574_ : Universe.
Variable a573_ : Universe.
Variable a572_ : Universe.
Variable a571_ : Universe.
Variable a570_ : Universe.
Variable a569_ : Universe.
Variable a568_ : Universe.
Variable a567_ : Universe.
Variable a566_ : Universe.
Variable a565_ : Universe.
Variable a564_ : Universe.
Variable a563_ : Universe.
Variable a562_ : Universe.
Variable a561_ : Universe.
Variable a560_ : Universe.
Variable a559_ : Universe.
Variable a558_ : Universe.
Variable a557_ : Universe.
Variable a556_ : Universe.
Variable a555_ : Universe.
Variable a554_ : Universe.
Variable a553_ : Universe.
Variable a552_ : Universe.
Variable a551_ : Universe.
Variable a550_ : Universe.
Variable a549_ : Universe.
Variable a548_ : Universe.
Variable a547_ : Universe.
Variable a546_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~((((ndr1_0_ /\ (c2_1_ a546_ /\ (ndr1_1_ a546_ /\ (c2_2_ a546_ a547_ /\ (c5_2_ a546_ a547_ /\ ~(c4_2_ a546_ a547_)))))) \/ ((forall U : Universe, (ndr1_0_ -> ((ndr1_1_ U /\ (~(c1_2_ U a548_) /\ (c5_2_ U a548_ /\ c2_2_ U a548_))) \/ ((ndr1_1_ U /\ (c5_2_ U a549_ /\ (c2_2_ U a549_ /\ ~(c4_2_ U a549_)))) \/ (forall V : Universe, (ndr1_1_ U -> (c1_2_ U V \/ ~(c5_2_ U V)))))))) \/ (forall W : Universe, (ndr1_0_ -> (~(c1_1_ W) \/ (c2_1_ W \/ (forall X : Universe, (ndr1_1_ W -> (~(c2_2_ W X) \/ ~(c3_2_ W X)))))))))) /\ ((~(c4_0_) \/ ~(c2_0_)) /\ ((c3_0_ \/ (~(c4_0_) \/ (ndr1_0_ /\ ~(c5_1_ a550_)))) /\ ((c1_0_ \/ c4_0_) /\ (((forall Y : Universe, (ndr1_0_ -> (~(c3_1_ Y) \/ ~(c4_1_ Y)))) \/ ((ndr1_0_ /\ (~(c1_1_ a551_) /\ ((forall Z : Universe, (ndr1_1_ a551_ -> (~(c4_2_ a551_ Z) \/ (c1_2_ a551_ Z \/ ~(c3_2_ a551_ Z))))) /\ (forall X1 : Universe, (ndr1_1_ a551_ -> (c5_2_ a551_ X1 \/ (~(c2_2_ a551_ X1) \/ c4_2_ a551_ X1))))))) \/ ~(c4_0_))) /\ (((forall X2 : Universe, (ndr1_0_ -> (c4_1_ X2 \/ (~(c3_1_ X2) \/ (forall X3 : Universe, (ndr1_1_ X2 -> (c4_2_ X2 X3 \/ (c1_2_ X2 X3 \/ ~(c3_2_ X2 X3))))))))) \/ (ndr1_0_ /\ (ndr1_1_ a552_ /\ (c2_2_ a552_ a553_ /\ (~(c3_2_ a552_ a553_) /\ (c1_2_ a552_ a553_ /\ (ndr1_1_ a552_ /\ (~(c2_2_ a552_ a554_) /\ ~(c4_2_ a552_ a554_))))))))) /\ ((c5_0_ \/ (c1_0_ \/ (forall X4 : Universe, (ndr1_0_ -> ((ndr1_1_ X4 /\ (~(c5_2_ X4 a555_) /\ (~(c1_2_ X4 a555_) /\ ~(c4_2_ X4 a555_)))) \/ (c5_1_ X4 \/ ~(c3_1_ X4))))))) /\ ((~(c3_0_) \/ (c1_0_ \/ (forall X5 : Universe, (ndr1_0_ -> (c4_1_ X5 \/ (c1_1_ X5 \/ ~(c3_1_ X5))))))) /\ (((forall X6 : Universe, (ndr1_0_ -> (~(c5_1_ X6) \/ ((forall X7 : Universe, (ndr1_1_ X6 -> (c1_2_ X6 X7 \/ (~(c3_2_ X6 X7) \/ c2_2_ X6 X7)))) \/ c3_1_ X6)))) \/ (~(c2_0_) \/ c1_0_)) /\ ((c5_0_ \/ ((ndr1_0_ /\ (~(c4_1_ a556_) /\ c5_1_ a556_)) \/ (forall X8 : Universe, (ndr1_0_ -> ((ndr1_1_ X8 /\ (c1_2_ X8 a557_ /\ ~(c3_2_ X8 a557_))) \/ (c2_1_ X8 \/ (ndr1_1_ X8 /\ (~(c5_2_ X8 a558_) /\ (~(c3_2_ X8 a558_) /\ c2_2_ X8 a558_))))))))) /\ ((c2_0_ \/ ((forall X9 : Universe, (ndr1_0_ -> ((ndr1_1_ X9 /\ (~(c1_2_ X9 a559_) /\ (c3_2_ X9 a559_ /\ c4_2_ X9 a559_))) \/ ((forall X10 : Universe, (ndr1_1_ X9 -> (~(c2_2_ X9 X10) \/ c1_2_ X9 X10))) \/ (forall X11 : Universe, (ndr1_1_ X9 -> (c2_2_ X9 X11 \/ (c5_2_ X9 X11 \/ ~(c3_2_ X9 X11))))))))) \/ (forall X12 : Universe, (ndr1_0_ -> (~(c4_1_ X12) \/ ((ndr1_1_ X12 /\ (c5_2_ X12 a560_ /\ c3_2_ X12 a560_)) \/ ~(c3_1_ X12))))))) /\ (((ndr1_0_ /\ (~(c1_1_ a561_) /\ (forall X13 : Universe, (ndr1_1_ a561_ -> (~(c5_2_ a561_ X13) \/ (~(c4_2_ a561_ X13) \/ ~(c2_2_ a561_ X13))))))) \/ ((forall X14 : Universe, (ndr1_0_ -> ((ndr1_1_ X14 /\ (c2_2_ X14 a562_ /\ (c5_2_ X14 a562_ /\ ~(c4_2_ X14 a562_)))) \/ ((ndr1_1_ X14 /\ (c1_2_ X14 a563_ /\ (~(c2_2_ X14 a563_) /\ c4_2_ X14 a563_))) \/ c3_1_ X14)))) \/ (ndr1_0_ /\ (~(c3_1_ a564_) /\ ~(c1_1_ a564_))))) /\ ((c5_0_ \/ (c4_0_ \/ ~(c3_0_))) /\ ((c5_0_ \/ (forall X15 : Universe, (ndr1_0_ -> (~(c1_1_ X15) \/ ((forall X16 : Universe, (ndr1_1_ X15 -> (~(c5_2_ X15 X16) \/ (c1_2_ X15 X16 \/ ~(c4_2_ X15 X16))))) \/ c2_1_ X15))))) /\ (((forall X17 : Universe, (ndr1_0_ -> (c5_1_ X17 \/ (~(c4_1_ X17) \/ (forall X18 : Universe, (ndr1_1_ X17 -> (c3_2_ X17 X18 \/ (~(c2_2_ X17 X18) \/ c1_2_ X17 X18)))))))) \/ ~(c3_0_)) /\ ((~(c5_0_) \/ (~(c3_0_) \/ (ndr1_0_ /\ (~(c1_1_ a565_) /\ (forall X19 : Universe, (ndr1_1_ a565_ -> (~(c1_2_ a565_ X19) \/ ~(c2_2_ a565_ X19)))))))) /\ (((forall X20 : Universe, (ndr1_0_ -> ((forall X21 : Universe, (ndr1_1_ X20 -> (~(c4_2_ X20 X21) \/ (~(c2_2_ X20 X21) \/ c3_2_ X20 X21)))) \/ ((ndr1_1_ X20 /\ (~(c2_2_ X20 a566_) /\ (~(c3_2_ X20 a566_) /\ c4_2_ X20 a566_))) \/ ~(c1_1_ X20))))) \/ (forall X22 : Universe, (ndr1_0_ -> (~(c5_1_ X22) \/ ~(c2_1_ X22))))) /\ (((ndr1_0_ /\ (c1_1_ a567_ /\ (ndr1_1_ a567_ /\ (~(c1_2_ a567_ a568_) /\ (c4_2_ a567_ a568_ /\ c2_1_ a567_))))) \/ ((ndr1_0_ /\ (~(c1_1_ a569_) /\ (~(c2_1_ a569_) /\ (forall X23 : Universe, (ndr1_1_ a569_ -> (~(c2_2_ a569_ X23) \/ c3_2_ a569_ X23)))))) \/ c5_0_)) /\ (((forall X24 : Universe, (ndr1_0_ -> ((ndr1_1_ X24 /\ (~(c2_2_ X24 a570_) /\ (~(c3_2_ X24 a570_) /\ ~(c4_2_ X24 a570_)))) \/ (~(c5_1_ X24) \/ (forall X25 : Universe, (ndr1_1_ X24 -> (~(c5_2_ X24 X25) \/ c2_2_ X24 X25))))))) \/ (c5_0_ \/ ~(c2_0_))) /\ (((ndr1_0_ /\ (ndr1_1_ a571_ /\ (~(c3_2_ a571_ a572_) /\ (~(c1_2_ a571_ a572_) /\ (c5_2_ a571_ a572_ /\ (ndr1_1_ a571_ /\ (c3_2_ a571_ a573_ /\ (~(c4_2_ a571_ a573_) /\ (c1_2_ a571_ a573_ /\ c1_1_ a571_))))))))) \/ ((forall X26 : Universe, (ndr1_0_ -> (~(c2_1_ X26) \/ (c1_1_ X26 \/ ~(c4_1_ X26))))) \/ ~(c2_0_))) /\ (((ndr1_0_ /\ ((forall X27 : Universe, (ndr1_1_ a574_ -> (c4_2_ a574_ X27 \/ (~(c1_2_ a574_ X27) \/ c3_2_ a574_ X27)))) /\ (c5_1_ a574_ /\ ~(c1_1_ a574_)))) \/ (c5_0_ \/ (forall X28 : Universe, (ndr1_0_ -> (~(c5_1_ X28) \/ ((forall X29 : Universe, (ndr1_1_ X28 -> (c2_2_ X28 X29 \/ (~(c1_2_ X28 X29) \/ ~(c3_2_ X28 X29))))) \/ c2_1_ X28)))))) /\ (((forall X30 : Universe, (ndr1_0_ -> ((forall X31 : Universe, (ndr1_1_ X30 -> (c3_2_ X30 X31 \/ (~(c4_2_ X30 X31) \/ c1_2_ X30 X31)))) \/ ((forall X32 : Universe, (ndr1_1_ X30 -> (c2_2_ X30 X32 \/ c4_2_ X30 X32))) \/ c5_1_ X30)))) \/ (c4_0_ \/ c1_0_)) /\ (((forall X33 : Universe, (ndr1_0_ -> ((ndr1_1_ X33 /\ (~(c3_2_ X33 a575_) /\ (c2_2_ X33 a575_ /\ c1_2_ X33 a575_))) \/ (~(c4_1_ X33) \/ c2_1_ X33)))) \/ (forall X34 : Universe, (ndr1_0_ -> (~(c3_1_ X34) \/ c4_1_ X34)))) /\ ((c3_0_ \/ (~(c2_0_) \/ c1_0_)) /\ ((c2_0_ \/ (forall X35 : Universe, (ndr1_0_ -> ~(c2_1_ X35)))) /\ (((forall X36 : Universe, (ndr1_0_ -> ((ndr1_1_ X36 /\ (~(c5_2_ X36 a576_) /\ c2_2_ X36 a576_)) \/ (~(c2_1_ X36) \/ c3_1_ X36)))) \/ ((ndr1_0_ /\ (c1_1_ a577_ /\ c4_1_ a577_)) \/ c1_0_)) /\ ((~(c4_0_) \/ ((ndr1_0_ /\ (~(c2_1_ a578_) /\ ((forall X37 : Universe, (ndr1_1_ a578_ -> (c4_2_ a578_ X37 \/ ~(c5_2_ a578_ X37)))) /\ c5_1_ a578_))) \/ c3_0_)) /\ (((forall X38 : Universe, (ndr1_0_ -> ((forall X39 : Universe, (ndr1_1_ X38 -> (~(c1_2_ X38 X39) \/ c5_2_ X38 X39))) \/ (c5_1_ X38 \/ ~(c4_1_ X38))))) \/ ((forall X40 : Universe, (ndr1_0_ -> ~(c3_1_ X40))) \/ (forall X41 : Universe, (ndr1_0_ -> (~(c3_1_ X41) \/ ((ndr1_1_ X41 /\ (c3_2_ X41 a579_ /\ ~(c2_2_ X41 a579_))) \/ (ndr1_1_ X41 /\ (~(c1_2_ X41 a580_) /\ c2_2_ X41 a580_)))))))) /\ (((forall X42 : Universe, (ndr1_0_ -> (~(c2_1_ X42) \/ (~(c4_1_ X42) \/ c3_1_ X42)))) \/ c3_0_) /\ (((forall X43 : Universe, (ndr1_0_ -> (c4_1_ X43 \/ (c5_1_ X43 \/ (forall X44 : Universe, (ndr1_1_ X43 -> (~(c1_2_ X43 X44) \/ (c4_2_ X43 X44 \/ ~(c5_2_ X43 X44))))))))) \/ (~(c2_0_) \/ (ndr1_0_ /\ (c3_1_ a581_ /\ (~(c2_1_ a581_) /\ (ndr1_1_ a581_ /\ (~(c2_2_ a581_ a582_) /\ (c5_2_ a581_ a582_ /\ c1_2_ a581_ a582_)))))))) /\ ((c4_0_ \/ ((ndr1_0_ /\ (~(c4_1_ a583_) /\ (c3_1_ a583_ /\ c5_1_ a583_))) \/ (ndr1_0_ /\ (~(c2_1_ a584_) /\ ~(c5_1_ a584_))))) /\ ((~(c4_0_) \/ ((ndr1_0_ /\ (c2_1_ a585_ /\ (~(c1_1_ a585_) /\ c5_1_ a585_))) \/ ~(c1_0_))) /\ ((~(c1_0_) \/ c3_0_) /\ ((forall X45 : Universe, (ndr1_0_ -> (c4_1_ X45 \/ (c1_1_ X45 \/ c5_1_ X45)))) \/ (~(c3_0_) \/ (forall X46 : Universe, (ndr1_0_ -> ((ndr1_1_ X46 /\ (~(c4_2_ X46 a586_) /\ (~(c1_2_ X46 a586_) /\ c5_2_ X46 a586_))) \/ (~(c5_1_ X46) \/ (forall X47 : Universe, (ndr1_1_ X46 -> (c3_2_ X46 X47 \/ ~(c5_2_ X46 X47)))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
