(*
% File     : SYN541+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=45, K=3, D=2, P=0, Index=096
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-45-3-2-096.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.17 v2.7.0, 0.50 v2.6.0, 0.25 v2.5.0, 0.00 v2.4.0, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  368 (   0 equality)
%            Maximal formula depth :   47 (  47 average)
%            Number of connectives :  500 ( 133 ~  ; 146  |; 167  &)
%                                         (   0 <=>;  54 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :   50 (  50 constant; 0-0 arity)
%            Number of variables   :   54 (   0 singleton;  54 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_1_ : Universe -> Prop.
Variable ndr1_0_ : Prop.
Variable c5_2_ : Universe -> Universe -> Prop.
Variable c5_1_ : Universe -> Prop.
Variable c5_0_ : Prop.
Variable c4_2_ : Universe -> Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c4_0_ : Prop.
Variable c3_2_ : Universe -> Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c3_0_ : Prop.
Variable c2_2_ : Universe -> Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c2_0_ : Prop.
Variable c1_2_ : Universe -> Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c1_0_ : Prop.

Variable a774_ : Universe.
Variable a773_ : Universe.
Variable a772_ : Universe.
Variable a771_ : Universe.
Variable a770_ : Universe.
Variable a769_ : Universe.
Variable a768_ : Universe.
Variable a767_ : Universe.
Variable a766_ : Universe.
Variable a765_ : Universe.
Variable a764_ : Universe.
Variable a763_ : Universe.
Variable a762_ : Universe.
Variable a761_ : Universe.
Variable a760_ : Universe.
Variable a759_ : Universe.
Variable a758_ : Universe.
Variable a757_ : Universe.
Variable a756_ : Universe.
Variable a755_ : Universe.
Variable a754_ : Universe.
Variable a753_ : Universe.
Variable a752_ : Universe.
Variable a751_ : Universe.
Variable a750_ : Universe.
Variable a749_ : Universe.
Variable a748_ : Universe.
Variable a747_ : Universe.
Variable a746_ : Universe.
Variable a745_ : Universe.
Variable a744_ : Universe.
Variable a743_ : Universe.
Variable a742_ : Universe.
Variable a741_ : Universe.
Variable a740_ : Universe.
Variable a739_ : Universe.
Variable a738_ : Universe.
Variable a737_ : Universe.
Variable a736_ : Universe.
Variable a735_ : Universe.
Variable a734_ : Universe.
Variable a733_ : Universe.
Variable a732_ : Universe.
Variable a731_ : Universe.
Variable a730_ : Universe.
Variable a729_ : Universe.
Variable a728_ : Universe.
Variable a727_ : Universe.
Variable a726_ : Universe.
Variable a725_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(c5_0_) \/ ((ndr1_0_ /\ (~(c4_1_ a725_) /\ (c5_1_ a725_ /\ c2_1_ a725_))) \/ c4_0_)) /\ ((c5_0_ \/ (~(c4_0_) \/ (forall U : Universe, (ndr1_0_ -> (c2_1_ U \/ (forall V : Universe, (ndr1_1_ U -> (~(c2_2_ U V) \/ (c4_2_ U V \/ c1_2_ U V))))))))) /\ ((c5_0_ \/ (c1_0_ \/ (forall W : Universe, (ndr1_0_ -> ((forall X : Universe, (ndr1_1_ W -> (~(c2_2_ W X) \/ ~(c5_2_ W X)))) \/ (forall Y : Universe, (ndr1_1_ W -> (~(c5_2_ W Y) \/ (~(c1_2_ W Y) \/ ~(c2_2_ W Y)))))))))) /\ (((ndr1_0_ /\ ((forall Z : Universe, (ndr1_1_ a726_ -> (~(c5_2_ a726_ Z) \/ c3_2_ a726_ Z))) /\ (ndr1_1_ a726_ /\ (c2_2_ a726_ a727_ /\ (~(c5_2_ a726_ a727_) /\ (c4_2_ a726_ a727_ /\ (ndr1_1_ a726_ /\ (~(c4_2_ a726_ a728_) /\ c2_2_ a726_ a728_)))))))) \/ (~(c3_0_) \/ (ndr1_0_ /\ ((forall X1 : Universe, (ndr1_1_ a729_ -> (~(c5_2_ a729_ X1) \/ (c4_2_ a729_ X1 \/ ~(c1_2_ a729_ X1))))) /\ ((forall X2 : Universe, (ndr1_1_ a729_ -> (~(c4_2_ a729_ X2) \/ ~(c1_2_ a729_ X2)))) /\ c4_1_ a729_))))) /\ (((forall X3 : Universe, (ndr1_0_ -> (~(c4_1_ X3) \/ ((ndr1_1_ X3 /\ (~(c2_2_ X3 a730_) /\ ~(c3_2_ X3 a730_))) \/ ~(c3_1_ X3))))) \/ (~(c3_0_) \/ ~(c5_0_))) /\ (ndr1_0_ /\ (c2_1_ a731_ /\ (c4_1_ a731_ /\ ((c3_0_ \/ ((ndr1_0_ /\ (ndr1_1_ a732_ /\ (c4_2_ a732_ a733_ /\ (~(c3_2_ a732_ a733_) /\ ~(c2_1_ a732_))))) \/ (forall X4 : Universe, (ndr1_0_ -> (c2_1_ X4 \/ ~(c5_1_ X4)))))) /\ (((ndr1_0_ /\ (~(c5_1_ a734_) /\ c4_1_ a734_)) \/ (forall X5 : Universe, (ndr1_0_ -> ((ndr1_1_ X5 /\ (~(c5_2_ X5 a735_) /\ (c1_2_ X5 a735_ /\ c4_2_ X5 a735_))) \/ (~(c4_1_ X5) \/ c5_1_ X5))))) /\ ((~(c1_0_) \/ (c2_0_ \/ (ndr1_0_ /\ (ndr1_1_ a736_ /\ (c5_2_ a736_ a737_ /\ (~(c4_2_ a736_ a737_) /\ (~(c3_2_ a736_ a737_) /\ (c4_1_ a736_ /\ ~(c3_1_ a736_))))))))) /\ ((c4_0_ \/ ((forall X6 : Universe, (ndr1_0_ -> (~(c1_1_ X6) \/ (c4_1_ X6 \/ c3_1_ X6)))) \/ (ndr1_0_ /\ (ndr1_1_ a738_ /\ (~(c4_2_ a738_ a739_) /\ (~(c1_2_ a738_ a739_) /\ (~(c5_2_ a738_ a739_) /\ (ndr1_1_ a738_ /\ (c1_2_ a738_ a740_ /\ ~(c5_2_ a738_ a740_)))))))))) /\ (((ndr1_0_ /\ (c2_1_ a741_ /\ (c3_1_ a741_ /\ ~(c4_1_ a741_)))) \/ ~(c4_0_)) /\ (((ndr1_0_ /\ (ndr1_1_ a742_ /\ (~(c4_2_ a742_ a743_) /\ (~(c1_2_ a742_ a743_) /\ (c2_2_ a742_ a743_ /\ ((forall X7 : Universe, (ndr1_1_ a742_ -> (c4_2_ a742_ X7 \/ (c1_2_ a742_ X7 \/ c3_2_ a742_ X7)))) /\ c3_1_ a742_)))))) \/ ((ndr1_0_ /\ (c3_1_ a744_ /\ (ndr1_1_ a744_ /\ (c3_2_ a744_ a745_ /\ (~(c4_2_ a744_ a745_) /\ (c1_2_ a744_ a745_ /\ ~(c5_1_ a744_))))))) \/ (forall X8 : Universe, (ndr1_0_ -> ((ndr1_1_ X8 /\ (c5_2_ X8 a746_ /\ c1_2_ X8 a746_)) \/ ((forall X9 : Universe, (ndr1_1_ X8 -> (~(c5_2_ X8 X9) \/ (~(c3_2_ X8 X9) \/ ~(c1_2_ X8 X9))))) \/ ~(c5_1_ X8))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a747_ /\ (~(c4_2_ a747_ a748_) /\ (~(c2_2_ a747_ a748_) /\ (~(c3_2_ a747_ a748_) /\ ((forall X10 : Universe, (ndr1_1_ a747_ -> (c1_2_ a747_ X10 \/ ~(c3_2_ a747_ X10)))) /\ (ndr1_1_ a747_ /\ (~(c2_2_ a747_ a749_) /\ (c3_2_ a747_ a749_ /\ ~(c4_2_ a747_ a749_)))))))))) \/ (~(c4_0_) \/ c5_0_)) /\ ((~(c4_0_) \/ c1_0_) /\ ((c2_0_ \/ ((ndr1_0_ /\ (~(c2_1_ a750_) /\ (ndr1_1_ a750_ /\ (c4_2_ a750_ a751_ /\ (~(c1_2_ a750_ a751_) /\ (c2_2_ a750_ a751_ /\ (forall X11 : Universe, (ndr1_1_ a750_ -> (~(c2_2_ a750_ X11) \/ ~(c1_2_ a750_ X11)))))))))) \/ (forall X12 : Universe, (ndr1_0_ -> ((ndr1_1_ X12 /\ (c3_2_ X12 a752_ /\ c5_2_ X12 a752_)) \/ ((forall X13 : Universe, (ndr1_1_ X12 -> (~(c4_2_ X12 X13) \/ (c3_2_ X12 X13 \/ ~(c5_2_ X12 X13))))) \/ (forall X14 : Universe, (ndr1_1_ X12 -> (~(c4_2_ X12 X14) \/ (~(c1_2_ X12 X14) \/ ~(c3_2_ X12 X14))))))))))) /\ ((~(c4_0_) \/ (c3_0_ \/ (forall X15 : Universe, (ndr1_0_ -> ((forall X16 : Universe, (ndr1_1_ X15 -> (~(c3_2_ X15 X16) \/ ~(c2_2_ X15 X16)))) \/ (c4_1_ X15 \/ c5_1_ X15)))))) /\ ((~(c4_0_) \/ ((forall X17 : Universe, (ndr1_0_ -> ((ndr1_1_ X17 /\ (c2_2_ X17 a753_ /\ (~(c5_2_ X17 a753_) /\ ~(c1_2_ X17 a753_)))) \/ (~(c2_1_ X17) \/ ~(c1_1_ X17))))) \/ (forall X18 : Universe, (ndr1_0_ -> (~(c5_1_ X18) \/ (c3_1_ X18 \/ (forall X19 : Universe, (ndr1_1_ X18 -> (~(c3_2_ X18 X19) \/ (c2_2_ X18 X19 \/ ~(c1_2_ X18 X19))))))))))) /\ ((~(c2_0_) \/ c3_0_) /\ (((forall X20 : Universe, (ndr1_0_ -> (c1_1_ X20 \/ ((ndr1_1_ X20 /\ (c3_2_ X20 a754_ /\ ~(c5_2_ X20 a754_))) \/ (forall X21 : Universe, (ndr1_1_ X20 -> (~(c4_2_ X20 X21) \/ (c3_2_ X20 X21 \/ c5_2_ X20 X21)))))))) \/ (c4_0_ \/ c2_0_)) /\ (((forall X22 : Universe, (ndr1_0_ -> ((ndr1_1_ X22 /\ (c3_2_ X22 a755_ /\ ~(c4_2_ X22 a755_))) \/ (c4_1_ X22 \/ (ndr1_1_ X22 /\ (c1_2_ X22 a756_ /\ (c5_2_ X22 a756_ /\ ~(c4_2_ X22 a756_)))))))) \/ (~(c2_0_) \/ c1_0_)) /\ ((~(c2_0_) \/ (ndr1_0_ /\ (c4_1_ a757_ /\ ~(c1_1_ a757_)))) /\ ((c4_0_ \/ ~(c5_0_)) /\ ((c1_0_ \/ (forall X23 : Universe, (ndr1_0_ -> (~(c2_1_ X23) \/ ((forall X24 : Universe, (ndr1_1_ X23 -> (c1_2_ X23 X24 \/ ~(c4_2_ X23 X24)))) \/ (forall X25 : Universe, (ndr1_1_ X23 -> (~(c2_2_ X23 X25) \/ (c4_2_ X23 X25 \/ c5_2_ X23 X25))))))))) /\ (((forall X26 : Universe, (ndr1_0_ -> ((forall X27 : Universe, (ndr1_1_ X26 -> (c1_2_ X26 X27 \/ ~(c4_2_ X26 X27)))) \/ ((ndr1_1_ X26 /\ (c5_2_ X26 a758_ /\ ~(c2_2_ X26 a758_))) \/ c1_1_ X26)))) \/ (ndr1_0_ /\ (c3_1_ a759_ /\ (ndr1_1_ a759_ /\ (~(c1_2_ a759_ a760_) /\ (~(c3_2_ a759_ a760_) /\ (c4_2_ a759_ a760_ /\ (forall X28 : Universe, (ndr1_1_ a759_ -> (~(c5_2_ a759_ X28) \/ (~(c2_2_ a759_ X28) \/ c1_2_ a759_ X28))))))))))) /\ (((forall X29 : Universe, (ndr1_0_ -> (~(c5_1_ X29) \/ ((forall X30 : Universe, (ndr1_1_ X29 -> (~(c1_2_ X29 X30) \/ ~(c2_2_ X29 X30)))) \/ ~(c2_1_ X29))))) \/ (~(c3_0_) \/ (forall X31 : Universe, (ndr1_0_ -> (~(c3_1_ X31) \/ (ndr1_1_ X31 /\ (c3_2_ X31 a761_ /\ (~(c1_2_ X31 a761_) /\ c5_2_ X31 a761_)))))))) /\ (((forall X32 : Universe, (ndr1_0_ -> ((forall X33 : Universe, (ndr1_1_ X32 -> (~(c1_2_ X32 X33) \/ (c5_2_ X32 X33 \/ c2_2_ X32 X33)))) \/ c5_1_ X32))) \/ (forall X34 : Universe, (ndr1_0_ -> ((ndr1_1_ X34 /\ (c3_2_ X34 a762_ /\ c2_2_ X34 a762_)) \/ ~(c2_1_ X34))))) /\ ((~(c4_0_) \/ (forall X35 : Universe, (ndr1_0_ -> (c2_1_ X35 \/ ((forall X36 : Universe, (ndr1_1_ X35 -> (~(c1_2_ X35 X36) \/ (c3_2_ X35 X36 \/ ~(c2_2_ X35 X36))))) \/ ~(c1_1_ X35)))))) /\ (((forall X37 : Universe, (ndr1_0_ -> (c3_1_ X37 \/ ((forall X38 : Universe, (ndr1_1_ X37 -> (~(c5_2_ X37 X38) \/ (~(c2_2_ X37 X38) \/ c4_2_ X37 X38)))) \/ ~(c2_1_ X37))))) \/ (c2_0_ \/ (ndr1_0_ /\ (ndr1_1_ a763_ /\ (c1_2_ a763_ a764_ /\ (c2_2_ a763_ a764_ /\ (c5_2_ a763_ a764_ /\ ((forall X39 : Universe, (ndr1_1_ a763_ -> (c2_2_ a763_ X39 \/ (c5_2_ a763_ X39 \/ c4_2_ a763_ X39)))) /\ ~(c2_1_ a763_))))))))) /\ ((~(c1_0_) \/ (c4_0_ \/ (forall X40 : Universe, (ndr1_0_ -> (c4_1_ X40 \/ ((forall X41 : Universe, (ndr1_1_ X40 -> (c2_2_ X40 X41 \/ (c1_2_ X40 X41 \/ ~(c3_2_ X40 X41))))) \/ c3_1_ X40)))))) /\ ((~(c4_0_) \/ ((ndr1_0_ /\ (c5_1_ a765_ /\ ((forall X42 : Universe, (ndr1_1_ a765_ -> (c1_2_ a765_ X42 \/ (c2_2_ a765_ X42 \/ ~(c3_2_ a765_ X42))))) /\ ~(c4_1_ a765_)))) \/ ~(c3_0_))) /\ (((forall X43 : Universe, (ndr1_0_ -> ((ndr1_1_ X43 /\ (~(c2_2_ X43 a766_) /\ (c3_2_ X43 a766_ /\ ~(c1_2_ X43 a766_)))) \/ (c5_1_ X43 \/ (forall X44 : Universe, (ndr1_1_ X43 -> (c3_2_ X43 X44 \/ ~(c5_2_ X43 X44)))))))) \/ (c1_0_ \/ (ndr1_0_ /\ (ndr1_1_ a767_ /\ (~(c5_2_ a767_ a768_) /\ (c4_2_ a767_ a768_ /\ (c3_2_ a767_ a768_ /\ (~(c4_1_ a767_) /\ c5_1_ a767_)))))))) /\ (((ndr1_0_ /\ (ndr1_1_ a769_ /\ (c4_2_ a769_ a770_ /\ (c3_2_ a769_ a770_ /\ (~(c2_2_ a769_ a770_) /\ (~(c3_1_ a769_) /\ (forall X45 : Universe, (ndr1_1_ a769_ -> (c1_2_ a769_ X45 \/ (c3_2_ a769_ X45 \/ c4_2_ a769_ X45)))))))))) \/ (~(c1_0_) \/ ~(c3_0_))) /\ ((c4_0_ \/ (c1_0_ \/ (ndr1_0_ /\ ((forall X46 : Universe, (ndr1_1_ a771_ -> (~(c2_2_ a771_ X46) \/ (c3_2_ a771_ X46 \/ ~(c5_2_ a771_ X46))))) /\ c4_1_ a771_)))) /\ (c1_0_ \/ ((ndr1_0_ /\ (c2_1_ a772_ /\ (c5_1_ a772_ /\ (ndr1_1_ a772_ /\ (~(c1_2_ a772_ a773_) /\ (~(c4_2_ a772_ a773_) /\ c5_2_ a772_ a773_)))))) \/ (ndr1_0_ /\ ((forall X47 : Universe, (ndr1_1_ a774_ -> (c1_2_ a774_ X47 \/ ~(c4_2_ a774_ X47)))) /\ ((forall X48 : Universe, (ndr1_1_ a774_ -> (c2_2_ a774_ X48 \/ ~(c1_2_ a774_ X48)))) /\ c3_1_ a774_))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
