(*
% File     : SYN543+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=6, R=1, L=60, K=3, D=1, P=0, Index=088
% Version  : Especial.
% English  : 
% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-6-1-60-3-1-088.dfg [Wei97]
% Status   : CounterSatisfiable
% Rating   : 0.50 v3.1.0, 0.67 v2.6.0, 0.75 v2.5.0, 0.67 v2.4.0, 0.33 v2.2.1, 0.00 v2.1.0
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  804 (   0 equality)
%            Maximal formula depth :  128 ( 128 average)
%            Number of connectives : 1104 ( 301 ~  ; 384  |; 319  &)
%                                         (   0 <=>; 100 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   72 (  66 propositional; 0-1 arity)
%            Number of functors    :   65 (  65 constant; 0-0 arity)
%            Number of variables   :  100 (   0 singleton; 100 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)
% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable ndr1_0_ : Prop.
Variable hskp9_ : Prop.
Variable hskp8_ : Prop.
Variable hskp7_ : Prop.
Variable hskp64_ : Prop.
Variable hskp63_ : Prop.
Variable hskp62_ : Prop.
Variable hskp61_ : Prop.
Variable hskp60_ : Prop.
Variable hskp6_ : Prop.
Variable hskp59_ : Prop.
Variable hskp58_ : Prop.
Variable hskp57_ : Prop.
Variable hskp56_ : Prop.
Variable hskp55_ : Prop.
Variable hskp54_ : Prop.
Variable hskp53_ : Prop.
Variable hskp52_ : Prop.
Variable hskp51_ : Prop.
Variable hskp50_ : Prop.
Variable hskp5_ : Prop.
Variable hskp49_ : Prop.
Variable hskp48_ : Prop.
Variable hskp47_ : Prop.
Variable hskp46_ : Prop.
Variable hskp45_ : Prop.
Variable hskp44_ : Prop.
Variable hskp43_ : Prop.
Variable hskp42_ : Prop.
Variable hskp41_ : Prop.
Variable hskp40_ : Prop.
Variable hskp4_ : Prop.
Variable hskp39_ : Prop.
Variable hskp38_ : Prop.
Variable hskp37_ : Prop.
Variable hskp36_ : Prop.
Variable hskp35_ : Prop.
Variable hskp34_ : Prop.
Variable hskp33_ : Prop.
Variable hskp32_ : Prop.
Variable hskp31_ : Prop.
Variable hskp30_ : Prop.
Variable hskp3_ : Prop.
Variable hskp29_ : Prop.
Variable hskp28_ : Prop.
Variable hskp27_ : Prop.
Variable hskp26_ : Prop.
Variable hskp25_ : Prop.
Variable hskp24_ : Prop.
Variable hskp23_ : Prop.
Variable hskp22_ : Prop.
Variable hskp21_ : Prop.
Variable hskp20_ : Prop.
Variable hskp2_ : Prop.
Variable hskp19_ : Prop.
Variable hskp18_ : Prop.
Variable hskp17_ : Prop.
Variable hskp16_ : Prop.
Variable hskp15_ : Prop.
Variable hskp14_ : Prop.
Variable hskp13_ : Prop.
Variable hskp12_ : Prop.
Variable hskp11_ : Prop.
Variable hskp10_ : Prop.
Variable hskp1_ : Prop.
Variable hskp0_ : Prop.
Variable c5_1_ : Universe -> Prop.
Variable c4_1_ : Universe -> Prop.
Variable c3_1_ : Universe -> Prop.
Variable c2_1_ : Universe -> Prop.
Variable c1_1_ : Universe -> Prop.
Variable c0_1_ : Universe -> Prop.

Variable a99_ : Universe.
Variable a98_ : Universe.
Variable a97_ : Universe.
Variable a96_ : Universe.
Variable a95_ : Universe.
Variable a94_ : Universe.
Variable a93_ : Universe.
Variable a92_ : Universe.
Variable a91_ : Universe.
Variable a90_ : Universe.
Variable a89_ : Universe.
Variable a87_ : Universe.
Variable a86_ : Universe.
Variable a85_ : Universe.
Variable a84_ : Universe.
Variable a82_ : Universe.
Variable a81_ : Universe.
Variable a80_ : Universe.
Variable a79_ : Universe.
Variable a78_ : Universe.
Variable a156_ : Universe.
Variable a154_ : Universe.
Variable a153_ : Universe.
Variable a152_ : Universe.
Variable a150_ : Universe.
Variable a149_ : Universe.
Variable a148_ : Universe.
Variable a147_ : Universe.
Variable a146_ : Universe.
Variable a145_ : Universe.
Variable a143_ : Universe.
Variable a142_ : Universe.
Variable a141_ : Universe.
Variable a140_ : Universe.
Variable a138_ : Universe.
Variable a137_ : Universe.
Variable a136_ : Universe.
Variable a135_ : Universe.
Variable a133_ : Universe.
Variable a131_ : Universe.
Variable a129_ : Universe.
Variable a128_ : Universe.
Variable a127_ : Universe.
Variable a126_ : Universe.
Variable a125_ : Universe.
Variable a124_ : Universe.
Variable a123_ : Universe.
Variable a121_ : Universe.
Variable a120_ : Universe.
Variable a119_ : Universe.
Variable a118_ : Universe.
Variable a117_ : Universe.
Variable a116_ : Universe.
Variable a115_ : Universe.
Variable a114_ : Universe.
Variable a113_ : Universe.
Variable a111_ : Universe.
Variable a109_ : Universe.
Variable a108_ : Universe.
Variable a106_ : Universe.
Variable a105_ : Universe.
Variable a103_ : Universe.
Variable a102_ : Universe.
Variable a101_ : Universe.
Variable a100_ : Universe.


Set Firstorder Depth 10.

Theorem co1_1 : ~(((~(hskp0_) \/ (ndr1_0_ /\ (c4_1_ a80_ /\ (c5_1_ a80_ /\ ~(c1_1_ a80_))))) /\ ((~(hskp1_) \/ (ndr1_0_ /\ (~(c1_1_ a81_) /\ (~(c4_1_ a81_) /\ ~(c5_1_ a81_))))) /\ ((~(hskp2_) \/ (ndr1_0_ /\ (c2_1_ a82_ /\ (~(c0_1_ a82_) /\ ~(c1_1_ a82_))))) /\ ((~(hskp3_) \/ (ndr1_0_ /\ (c5_1_ a84_ /\ (~(c3_1_ a84_) /\ ~(c4_1_ a84_))))) /\ ((~(hskp4_) \/ (ndr1_0_ /\ (c0_1_ a85_ /\ (c4_1_ a85_ /\ ~(c2_1_ a85_))))) /\ ((~(hskp5_) \/ (ndr1_0_ /\ (c2_1_ a86_ /\ (c4_1_ a86_ /\ ~(c3_1_ a86_))))) /\ ((~(hskp6_) \/ (ndr1_0_ /\ (c2_1_ a87_ /\ (c3_1_ a87_ /\ ~(c0_1_ a87_))))) /\ ((~(hskp7_) \/ (ndr1_0_ /\ (c1_1_ a89_ /\ (c3_1_ a89_ /\ ~(c0_1_ a89_))))) /\ ((~(hskp8_) \/ (ndr1_0_ /\ (c1_1_ a90_ /\ (~(c2_1_ a90_) /\ ~(c4_1_ a90_))))) /\ ((~(hskp9_) \/ (ndr1_0_ /\ (~(c1_1_ a91_) /\ (~(c2_1_ a91_) /\ ~(c3_1_ a91_))))) /\ ((~(hskp10_) \/ (ndr1_0_ /\ (c3_1_ a92_ /\ (~(c0_1_ a92_) /\ ~(c4_1_ a92_))))) /\ ((~(hskp11_) \/ (ndr1_0_ /\ (c0_1_ a93_ /\ (~(c3_1_ a93_) /\ ~(c5_1_ a93_))))) /\ ((~(hskp12_) \/ (ndr1_0_ /\ (c3_1_ a94_ /\ (~(c1_1_ a94_) /\ ~(c4_1_ a94_))))) /\ ((~(hskp13_) \/ (ndr1_0_ /\ (c0_1_ a95_ /\ (c2_1_ a95_ /\ ~(c5_1_ a95_))))) /\ ((~(hskp14_) \/ (ndr1_0_ /\ (c5_1_ a96_ /\ (~(c1_1_ a96_) /\ ~(c2_1_ a96_))))) /\ ((~(hskp15_) \/ (ndr1_0_ /\ (c2_1_ a97_ /\ (c5_1_ a97_ /\ ~(c3_1_ a97_))))) /\ ((~(hskp16_) \/ (ndr1_0_ /\ (c0_1_ a98_ /\ (c3_1_ a98_ /\ ~(c4_1_ a98_))))) /\ ((~(hskp17_) \/ (ndr1_0_ /\ (c3_1_ a99_ /\ (c4_1_ a99_ /\ ~(c5_1_ a99_))))) /\ ((~(hskp18_) \/ (ndr1_0_ /\ (c3_1_ a100_ /\ (~(c0_1_ a100_) /\ ~(c5_1_ a100_))))) /\ ((~(hskp19_) \/ (ndr1_0_ /\ (c3_1_ a103_ /\ (~(c1_1_ a103_) /\ ~(c5_1_ a103_))))) /\ ((~(hskp20_) \/ (ndr1_0_ /\ (c0_1_ a105_ /\ (c1_1_ a105_ /\ ~(c5_1_ a105_))))) /\ ((~(hskp21_) \/ (ndr1_0_ /\ (c2_1_ a106_ /\ (c3_1_ a106_ /\ ~(c4_1_ a106_))))) /\ ((~(hskp22_) \/ (ndr1_0_ /\ (~(c0_1_ a108_) /\ (~(c3_1_ a108_) /\ ~(c5_1_ a108_))))) /\ ((~(hskp23_) \/ (ndr1_0_ /\ (c1_1_ a109_ /\ (~(c3_1_ a109_) /\ ~(c4_1_ a109_))))) /\ ((~(hskp24_) \/ (ndr1_0_ /\ (c2_1_ a111_ /\ (~(c0_1_ a111_) /\ ~(c5_1_ a111_))))) /\ ((~(hskp25_) \/ (ndr1_0_ /\ (c1_1_ a113_ /\ (c2_1_ a113_ /\ ~(c0_1_ a113_))))) /\ ((~(hskp26_) \/ (ndr1_0_ /\ (~(c1_1_ a114_) /\ (~(c2_1_ a114_) /\ ~(c4_1_ a114_))))) /\ ((~(hskp27_) \/ (ndr1_0_ /\ (c5_1_ a115_ /\ (~(c0_1_ a115_) /\ ~(c2_1_ a115_))))) /\ ((~(hskp28_) \/ (ndr1_0_ /\ (~(c3_1_ a116_) /\ (~(c4_1_ a116_) /\ ~(c5_1_ a116_))))) /\ ((~(hskp29_) \/ (ndr1_0_ /\ (c2_1_ a117_ /\ (~(c3_1_ a117_) /\ ~(c5_1_ a117_))))) /\ ((~(hskp30_) \/ (ndr1_0_ /\ (c5_1_ a118_ /\ (~(c0_1_ a118_) /\ ~(c1_1_ a118_))))) /\ ((~(hskp31_) \/ (ndr1_0_ /\ (c0_1_ a120_ /\ (c2_1_ a120_ /\ ~(c4_1_ a120_))))) /\ ((~(hskp32_) \/ (ndr1_0_ /\ (c3_1_ a121_ /\ (c4_1_ a121_ /\ ~(c0_1_ a121_))))) /\ ((~(hskp33_) \/ (ndr1_0_ /\ (c4_1_ a123_ /\ (c5_1_ a123_ /\ ~(c0_1_ a123_))))) /\ ((~(hskp34_) \/ (ndr1_0_ /\ (c0_1_ a124_ /\ (c3_1_ a124_ /\ ~(c5_1_ a124_))))) /\ ((~(hskp35_) \/ (ndr1_0_ /\ (c4_1_ a125_ /\ (~(c0_1_ a125_) /\ ~(c3_1_ a125_))))) /\ ((~(hskp36_) \/ (ndr1_0_ /\ (c0_1_ a126_ /\ (c3_1_ a126_ /\ ~(c2_1_ a126_))))) /\ ((~(hskp37_) \/ (ndr1_0_ /\ (c2_1_ a127_ /\ (~(c1_1_ a127_) /\ ~(c4_1_ a127_))))) /\ ((~(hskp38_) \/ (ndr1_0_ /\ (c0_1_ a128_ /\ (c4_1_ a128_ /\ ~(c1_1_ a128_))))) /\ ((~(hskp39_) \/ (ndr1_0_ /\ (c1_1_ a129_ /\ (c2_1_ a129_ /\ ~(c4_1_ a129_))))) /\ ((~(hskp40_) \/ (ndr1_0_ /\ (c1_1_ a131_ /\ (c2_1_ a131_ /\ ~(c3_1_ a131_))))) /\ ((~(hskp41_) \/ (ndr1_0_ /\ (c1_1_ a133_ /\ (~(c3_1_ a133_) /\ ~(c5_1_ a133_))))) /\ ((~(hskp42_) \/ (ndr1_0_ /\ (~(c0_1_ a135_) /\ (~(c2_1_ a135_) /\ ~(c3_1_ a135_))))) /\ ((~(hskp43_) \/ (ndr1_0_ /\ (c3_1_ a137_ /\ (~(c2_1_ a137_) /\ ~(c5_1_ a137_))))) /\ ((~(hskp44_) \/ (ndr1_0_ /\ (c4_1_ a138_ /\ (~(c1_1_ a138_) /\ ~(c3_1_ a138_))))) /\ ((~(hskp45_) \/ (ndr1_0_ /\ (c4_1_ a140_ /\ (~(c3_1_ a140_) /\ ~(c5_1_ a140_))))) /\ ((~(hskp46_) \/ (ndr1_0_ /\ (~(c0_1_ a141_) /\ (~(c1_1_ a141_) /\ ~(c2_1_ a141_))))) /\ ((~(hskp47_) \/ (ndr1_0_ /\ (c0_1_ a142_ /\ (c5_1_ a142_ /\ ~(c2_1_ a142_))))) /\ ((~(hskp48_) \/ (ndr1_0_ /\ (c0_1_ a143_ /\ (~(c2_1_ a143_) /\ ~(c3_1_ a143_))))) /\ ((~(hskp49_) \/ (ndr1_0_ /\ (c1_1_ a145_ /\ (c3_1_ a145_ /\ ~(c5_1_ a145_))))) /\ ((~(hskp50_) \/ (ndr1_0_ /\ (c2_1_ a146_ /\ (c5_1_ a146_ /\ ~(c1_1_ a146_))))) /\ ((~(hskp51_) \/ (ndr1_0_ /\ (c4_1_ a147_ /\ (c5_1_ a147_ /\ ~(c3_1_ a147_))))) /\ ((~(hskp52_) \/ (ndr1_0_ /\ (c1_1_ a148_ /\ (c4_1_ a148_ /\ ~(c5_1_ a148_))))) /\ ((~(hskp53_) \/ (ndr1_0_ /\ (c2_1_ a149_ /\ (~(c3_1_ a149_) /\ ~(c4_1_ a149_))))) /\ ((~(hskp54_) \/ (ndr1_0_ /\ (c4_1_ a150_ /\ (~(c0_1_ a150_) /\ ~(c1_1_ a150_))))) /\ ((~(hskp55_) \/ (ndr1_0_ /\ (c2_1_ a152_ /\ (~(c4_1_ a152_) /\ ~(c5_1_ a152_))))) /\ ((~(hskp56_) \/ (ndr1_0_ /\ (c3_1_ a154_ /\ (~(c0_1_ a154_) /\ ~(c2_1_ a154_))))) /\ ((~(hskp57_) \/ (ndr1_0_ /\ (c5_1_ a156_ /\ (~(c0_1_ a156_) /\ ~(c3_1_ a156_))))) /\ ((~(hskp58_) \/ (ndr1_0_ /\ (c1_1_ a78_ /\ (c2_1_ a78_ /\ c3_1_ a78_)))) /\ ((~(hskp59_) \/ (ndr1_0_ /\ (c0_1_ a79_ /\ (c3_1_ a79_ /\ c4_1_ a79_)))) /\ ((~(hskp60_) \/ (ndr1_0_ /\ (c1_1_ a101_ /\ (c3_1_ a101_ /\ c5_1_ a101_)))) /\ ((~(hskp61_) \/ (ndr1_0_ /\ (c0_1_ a102_ /\ (c2_1_ a102_ /\ c3_1_ a102_)))) /\ ((~(hskp62_) \/ (ndr1_0_ /\ (c0_1_ a119_ /\ (c1_1_ a119_ /\ c2_1_ a119_)))) /\ ((~(hskp63_) \/ (ndr1_0_ /\ (c0_1_ a136_ /\ (c1_1_ a136_ /\ c4_1_ a136_)))) /\ ((~(hskp64_) \/ (ndr1_0_ /\ (c3_1_ a153_ /\ (c4_1_ a153_ /\ c5_1_ a153_)))) /\ (((forall U : Universe, (ndr1_0_ -> (c0_1_ U \/ (c1_1_ U \/ c4_1_ U)))) \/ ((forall V : Universe, (ndr1_0_ -> (c1_1_ V \/ (~(c0_1_ V) \/ ~(c4_1_ V))))) \/ hskp58_)) /\ (((forall W : Universe, (ndr1_0_ -> (c0_1_ W \/ (c1_1_ W \/ c4_1_ W)))) \/ ((forall X : Universe, (ndr1_0_ -> (c2_1_ X \/ (c3_1_ X \/ ~(c4_1_ X))))) \/ hskp59_)) /\ (((forall Y : Universe, (ndr1_0_ -> (c0_1_ Y \/ (c1_1_ Y \/ c4_1_ Y)))) \/ (hskp0_ \/ hskp1_)) /\ (((forall Z : Universe, (ndr1_0_ -> (c0_1_ Z \/ (c1_1_ Z \/ ~(c3_1_ Z))))) \/ ((forall X1 : Universe, (ndr1_0_ -> (c0_1_ X1 \/ (c5_1_ X1 \/ ~(c1_1_ X1))))) \/ (forall X2 : Universe, (ndr1_0_ -> (c0_1_ X2 \/ (~(c1_1_ X2) \/ ~(c2_1_ X2))))))) /\ (((forall X3 : Universe, (ndr1_0_ -> (c0_1_ X3 \/ (c1_1_ X3 \/ ~(c3_1_ X3))))) \/ ((forall X4 : Universe, (ndr1_0_ -> (c1_1_ X4 \/ (c5_1_ X4 \/ ~(c4_1_ X4))))) \/ hskp2_)) /\ (((forall X5 : Universe, (ndr1_0_ -> (c0_1_ X5 \/ (c1_1_ X5 \/ ~(c3_1_ X5))))) \/ ((forall X6 : Universe, (ndr1_0_ -> (c5_1_ X6 \/ (~(c2_1_ X6) \/ ~(c4_1_ X6))))) \/ hskp59_)) /\ (((forall X7 : Universe, (ndr1_0_ -> (c0_1_ X7 \/ (c2_1_ X7 \/ ~(c3_1_ X7))))) \/ ((forall X8 : Universe, (ndr1_0_ -> (c0_1_ X8 \/ (c4_1_ X8 \/ ~(c1_1_ X8))))) \/ hskp3_)) /\ (((forall X9 : Universe, (ndr1_0_ -> (c0_1_ X9 \/ (c2_1_ X9 \/ ~(c4_1_ X9))))) \/ ((forall X10 : Universe, (ndr1_0_ -> (c1_1_ X10 \/ (c4_1_ X10 \/ c5_1_ X10)))) \/ (forall X11 : Universe, (ndr1_0_ -> (c4_1_ X11 \/ (c5_1_ X11 \/ ~(c1_1_ X11))))))) /\ (((forall X12 : Universe, (ndr1_0_ -> (c0_1_ X12 \/ (c3_1_ X12 \/ c4_1_ X12)))) \/ ((forall X13 : Universe, (ndr1_0_ -> (c3_1_ X13 \/ (c5_1_ X13 \/ ~(c0_1_ X13))))) \/ (forall X14 : Universe, (ndr1_0_ -> (c4_1_ X14 \/ (c5_1_ X14 \/ ~(c3_1_ X14))))))) /\ (((forall X15 : Universe, (ndr1_0_ -> (c0_1_ X15 \/ (c3_1_ X15 \/ ~(c2_1_ X15))))) \/ ((forall X16 : Universe, (ndr1_0_ -> (c2_1_ X16 \/ (~(c3_1_ X16) \/ ~(c5_1_ X16))))) \/ hskp4_)) /\ (((forall X17 : Universe, (ndr1_0_ -> (c0_1_ X17 \/ (c3_1_ X17 \/ ~(c4_1_ X17))))) \/ ((forall X18 : Universe, (ndr1_0_ -> (c2_1_ X18 \/ (c5_1_ X18 \/ ~(c1_1_ X18))))) \/ hskp5_)) /\ (((forall X19 : Universe, (ndr1_0_ -> (c0_1_ X19 \/ (c3_1_ X19 \/ ~(c4_1_ X19))))) \/ ((forall X20 : Universe, (ndr1_0_ -> (c3_1_ X20 \/ (~(c0_1_ X20) \/ ~(c5_1_ X20))))) \/ hskp6_)) /\ (((forall X21 : Universe, (ndr1_0_ -> (c0_1_ X21 \/ (c3_1_ X21 \/ ~(c5_1_ X21))))) \/ ((forall X22 : Universe, (ndr1_0_ -> (c2_1_ X22 \/ (c3_1_ X22 \/ ~(c0_1_ X22))))) \/ (forall X23 : Universe, (ndr1_0_ -> (c3_1_ X23 \/ (c5_1_ X23 \/ ~(c1_1_ X23))))))) /\ (((forall X24 : Universe, (ndr1_0_ -> (c0_1_ X24 \/ (c4_1_ X24 \/ ~(c1_1_ X24))))) \/ ((forall X25 : Universe, (ndr1_0_ -> (c2_1_ X25 \/ (c5_1_ X25 \/ ~(c4_1_ X25))))) \/ hskp1_)) /\ (((forall X26 : Universe, (ndr1_0_ -> (c0_1_ X26 \/ (c4_1_ X26 \/ ~(c3_1_ X26))))) \/ ((forall X27 : Universe, (ndr1_0_ -> (c0_1_ X27 \/ (~(c3_1_ X27) \/ ~(c4_1_ X27))))) \/ (forall X28 : Universe, (ndr1_0_ -> (c2_1_ X28 \/ (c4_1_ X28 \/ ~(c1_1_ X28))))))) /\ (((forall X29 : Universe, (ndr1_0_ -> (c0_1_ X29 \/ (c4_1_ X29 \/ ~(c3_1_ X29))))) \/ ((forall X30 : Universe, (ndr1_0_ -> (c1_1_ X30 \/ (c3_1_ X30 \/ ~(c0_1_ X30))))) \/ hskp7_)) /\ (((forall X31 : Universe, (ndr1_0_ -> (c0_1_ X31 \/ (~(c1_1_ X31) \/ ~(c2_1_ X31))))) \/ ((forall X32 : Universe, (ndr1_0_ -> (c0_1_ X32 \/ (~(c2_1_ X32) \/ ~(c3_1_ X32))))) \/ (forall X33 : Universe, (ndr1_0_ -> (c1_1_ X33 \/ (c2_1_ X33 \/ ~(c5_1_ X33))))))) /\ (((forall X34 : Universe, (ndr1_0_ -> (c0_1_ X34 \/ (~(c2_1_ X34) \/ ~(c3_1_ X34))))) \/ ((forall X35 : Universe, (ndr1_0_ -> (c2_1_ X35 \/ (c3_1_ X35 \/ c5_1_ X35)))) \/ (forall X36 : Universe, (ndr1_0_ -> (c3_1_ X36 \/ (~(c1_1_ X36) \/ ~(c4_1_ X36))))))) /\ (((forall X37 : Universe, (ndr1_0_ -> (c0_1_ X37 \/ (~(c2_1_ X37) \/ ~(c4_1_ X37))))) \/ (hskp8_ \/ hskp9_)) /\ (((forall X38 : Universe, (ndr1_0_ -> (c0_1_ X38 \/ (~(c3_1_ X38) \/ ~(c5_1_ X38))))) \/ ((forall X39 : Universe, (ndr1_0_ -> (c1_1_ X39 \/ (c2_1_ X39 \/ ~(c3_1_ X39))))) \/ hskp10_)) /\ (((forall X40 : Universe, (ndr1_0_ -> (c0_1_ X40 \/ (~(c3_1_ X40) \/ ~(c5_1_ X40))))) \/ ((forall X41 : Universe, (ndr1_0_ -> (c3_1_ X41 \/ (c4_1_ X41 \/ c5_1_ X41)))) \/ hskp11_)) /\ (((forall X42 : Universe, (ndr1_0_ -> (c1_1_ X42 \/ (c2_1_ X42 \/ c4_1_ X42)))) \/ ((forall X43 : Universe, (ndr1_0_ -> (c1_1_ X43 \/ (c3_1_ X43 \/ ~(c4_1_ X43))))) \/ hskp12_)) /\ (((forall X44 : Universe, (ndr1_0_ -> (c1_1_ X44 \/ (c2_1_ X44 \/ ~(c4_1_ X44))))) \/ (hskp13_ \/ hskp14_)) /\ (((forall X45 : Universe, (ndr1_0_ -> (c1_1_ X45 \/ (c3_1_ X45 \/ c5_1_ X45)))) \/ ((forall X46 : Universe, (ndr1_0_ -> (~(c1_1_ X46) \/ (~(c3_1_ X46) \/ ~(c4_1_ X46))))) \/ hskp15_)) /\ (((forall X47 : Universe, (ndr1_0_ -> (c1_1_ X47 \/ (c3_1_ X47 \/ ~(c0_1_ X47))))) \/ ((forall X48 : Universe, (ndr1_0_ -> (c2_1_ X48 \/ (~(c0_1_ X48) \/ ~(c4_1_ X48))))) \/ hskp16_)) /\ (((forall X49 : Universe, (ndr1_0_ -> (c1_1_ X49 \/ (c3_1_ X49 \/ ~(c4_1_ X49))))) \/ (hskp17_ \/ hskp18_)) /\ (((forall X50 : Universe, (ndr1_0_ -> (c1_1_ X50 \/ (c3_1_ X50 \/ ~(c5_1_ X50))))) \/ ((forall X51 : Universe, (ndr1_0_ -> (c5_1_ X51 \/ (~(c1_1_ X51) \/ ~(c2_1_ X51))))) \/ hskp60_)) /\ (((forall X52 : Universe, (ndr1_0_ -> (c1_1_ X52 \/ (c4_1_ X52 \/ c5_1_ X52)))) \/ ((forall X53 : Universe, (ndr1_0_ -> (~(c1_1_ X53) \/ (~(c2_1_ X53) \/ ~(c5_1_ X53))))) \/ hskp61_)) /\ (((forall X54 : Universe, (ndr1_0_ -> (c1_1_ X54 \/ (c4_1_ X54 \/ ~(c2_1_ X54))))) \/ ((forall X55 : Universe, (ndr1_0_ -> (c3_1_ X55 \/ (~(c0_1_ X55) \/ ~(c1_1_ X55))))) \/ (forall X56 : Universe, (ndr1_0_ -> (c5_1_ X56 \/ (~(c2_1_ X56) \/ ~(c3_1_ X56))))))) /\ (((forall X57 : Universe, (ndr1_0_ -> (c1_1_ X57 \/ (~(c0_1_ X57) \/ ~(c2_1_ X57))))) \/ ((forall X58 : Universe, (ndr1_0_ -> (c2_1_ X58 \/ (c4_1_ X58 \/ c5_1_ X58)))) \/ (forall X59 : Universe, (ndr1_0_ -> (c3_1_ X59 \/ (c5_1_ X59 \/ ~(c2_1_ X59))))))) /\ (((forall X60 : Universe, (ndr1_0_ -> (c1_1_ X60 \/ (~(c2_1_ X60) \/ ~(c4_1_ X60))))) \/ ((forall X61 : Universe, (ndr1_0_ -> (c4_1_ X61 \/ (c5_1_ X61 \/ ~(c2_1_ X61))))) \/ hskp19_)) /\ (((forall X62 : Universe, (ndr1_0_ -> (c1_1_ X62 \/ (~(c3_1_ X62) \/ ~(c5_1_ X62))))) \/ ((forall X63 : Universe, (ndr1_0_ -> (c2_1_ X63 \/ (c5_1_ X63 \/ ~(c1_1_ X63))))) \/ (forall X64 : Universe, (ndr1_0_ -> (c5_1_ X64 \/ (~(c1_1_ X64) \/ ~(c4_1_ X64))))))) /\ (((forall X65 : Universe, (ndr1_0_ -> (c2_1_ X65 \/ (c3_1_ X65 \/ ~(c4_1_ X65))))) \/ ((forall X66 : Universe, (ndr1_0_ -> (c3_1_ X66 \/ (~(c4_1_ X66) \/ ~(c5_1_ X66))))) \/ (forall X67 : Universe, (ndr1_0_ -> (c5_1_ X67 \/ (~(c1_1_ X67) \/ ~(c3_1_ X67))))))) /\ (((forall X68 : Universe, (ndr1_0_ -> (c2_1_ X68 \/ (c4_1_ X68 \/ ~(c0_1_ X68))))) \/ ((forall X69 : Universe, (ndr1_0_ -> (c2_1_ X69 \/ (c5_1_ X69 \/ ~(c0_1_ X69))))) \/ hskp0_)) /\ (((forall X70 : Universe, (ndr1_0_ -> (c2_1_ X70 \/ (c4_1_ X70 \/ ~(c0_1_ X70))))) \/ ((forall X71 : Universe, (ndr1_0_ -> (c5_1_ X71 \/ (~(c2_1_ X71) \/ ~(c4_1_ X71))))) \/ hskp20_)) /\ (((forall X72 : Universe, (ndr1_0_ -> (c2_1_ X72 \/ (c4_1_ X72 \/ ~(c1_1_ X72))))) \/ ((forall X73 : Universe, (ndr1_0_ -> (c3_1_ X73 \/ (~(c1_1_ X73) \/ ~(c4_1_ X73))))) \/ (forall X74 : Universe, (ndr1_0_ -> (~(c2_1_ X74) \/ (~(c3_1_ X74) \/ ~(c4_1_ X74))))))) /\ (((forall X75 : Universe, (ndr1_0_ -> (c2_1_ X75 \/ (c4_1_ X75 \/ ~(c5_1_ X75))))) \/ ((forall X76 : Universe, (ndr1_0_ -> (c5_1_ X76 \/ (~(c1_1_ X76) \/ ~(c3_1_ X76))))) \/ hskp21_)) /\ (((forall X77 : Universe, (ndr1_0_ -> (c2_1_ X77 \/ (c4_1_ X77 \/ ~(c5_1_ X77))))) \/ (hskp10_ \/ hskp22_)) /\ (((forall X78 : Universe, (ndr1_0_ -> (c2_1_ X78 \/ (c5_1_ X78 \/ ~(c3_1_ X78))))) \/ ((forall X79 : Universe, (ndr1_0_ -> (c2_1_ X79 \/ (~(c3_1_ X79) \/ ~(c4_1_ X79))))) \/ hskp23_)) /\ (((forall X80 : Universe, (ndr1_0_ -> (c2_1_ X80 \/ (~(c0_1_ X80) \/ ~(c1_1_ X80))))) \/ ((forall X81 : Universe, (ndr1_0_ -> (c5_1_ X81 \/ (~(c3_1_ X81) \/ ~(c4_1_ X81))))) \/ hskp4_)) /\ (((forall X82 : Universe, (ndr1_0_ -> (c2_1_ X82 \/ (~(c1_1_ X82) \/ ~(c4_1_ X82))))) \/ (hskp24_ \/ hskp1_)) /\ (((forall X83 : Universe, (ndr1_0_ -> (c2_1_ X83 \/ (~(c1_1_ X83) \/ ~(c5_1_ X83))))) \/ (hskp25_ \/ hskp26_)) /\ (((forall X84 : Universe, (ndr1_0_ -> (c3_1_ X84 \/ (c5_1_ X84 \/ ~(c4_1_ X84))))) \/ (hskp27_ \/ hskp28_)) /\ (((forall X85 : Universe, (ndr1_0_ -> (c4_1_ X85 \/ (c5_1_ X85 \/ ~(c0_1_ X85))))) \/ (hskp29_ \/ hskp30_)) /\ (((forall X86 : Universe, (ndr1_0_ -> (c4_1_ X86 \/ (c5_1_ X86 \/ ~(c2_1_ X86))))) \/ hskp62_) /\ (((forall X87 : Universe, (ndr1_0_ -> (c4_1_ X87 \/ (~(c0_1_ X87) \/ ~(c1_1_ X87))))) \/ (hskp31_ \/ hskp32_)) /\ (((forall X88 : Universe, (ndr1_0_ -> (c5_1_ X88 \/ (~(c1_1_ X88) \/ ~(c2_1_ X88))))) \/ (hskp13_ \/ hskp33_)) /\ (((forall X89 : Universe, (ndr1_0_ -> (c5_1_ X89 \/ (~(c1_1_ X89) \/ ~(c2_1_ X89))))) \/ (hskp34_ \/ hskp35_)) /\ (((forall X90 : Universe, (ndr1_0_ -> (c5_1_ X90 \/ (~(c2_1_ X90) \/ ~(c3_1_ X90))))) \/ (hskp36_ \/ hskp37_)) /\ (((forall X91 : Universe, (ndr1_0_ -> (c5_1_ X91 \/ (~(c3_1_ X91) \/ ~(c4_1_ X91))))) \/ (hskp38_ \/ hskp39_)) /\ (((forall X92 : Universe, (ndr1_0_ -> (~(c1_1_ X92) \/ (~(c3_1_ X92) \/ ~(c4_1_ X92))))) \/ (hskp25_ \/ hskp40_)) /\ (((forall X93 : Universe, (ndr1_0_ -> (~(c1_1_ X93) \/ (~(c4_1_ X93) \/ ~(c5_1_ X93))))) \/ (hskp20_ \/ hskp41_)) /\ (((forall X94 : Universe, (ndr1_0_ -> (~(c3_1_ X94) \/ (~(c4_1_ X94) \/ ~(c5_1_ X94))))) \/ (hskp12_ \/ hskp42_)) /\ ((hskp63_ \/ (hskp43_ \/ hskp44_)) /\ ((hskp38_ \/ (hskp45_ \/ hskp46_)) /\ ((hskp47_ \/ (hskp48_ \/ hskp21_)) /\ ((hskp49_ \/ (hskp50_ \/ hskp51_)) /\ ((hskp52_ \/ (hskp53_ \/ hskp54_)) /\ ((hskp41_ \/ (hskp55_ \/ hskp64_)) /\ (hskp56_ \/ (hskp33_ \/ hskp57_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
