(*
% File     : SYN938+1 : ILTP v1.1.2
% Domain   : Syntactic
% Problem  : Combined syntactic from Shults
% Version  : Especial.
% English  : 
% Refs     : [Shu04] Shults (2004), Email to G. Sutcliffe
% Source   : [Shu04]
% Names    :
% Status   : Theorem
% Rating   : 0.33 v3.1.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  203 (   0 equality)
%            Maximal formula depth :   55 (  55 average)
%            Number of connectives :  206 (   4 ~  ;  11  |;  97  &)
%                                         (   7 <=>;  87 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   21 (   5 propositional; 0-2 arity)
%            Number of functors    :    2 (   1 constant; 0-1 arity)
%            Number of variables   :  141 (   0 singleton;  78 !;  63 ?)
%            Maximal term depth    :    2 (   1 average)
% Comments : 
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable s1_ : Universe -> Prop.
Variable s_ : Universe -> Universe -> Prop.
Variable r1_ : Universe -> Prop.
Variable r_ : Universe -> Universe -> Prop.
Variable q1_ : Universe -> Prop.
Variable q0_ : Prop.
Variable q_ : Universe -> Universe -> Prop.
Variable p1_ : Universe -> Prop.
Variable p_ : Universe -> Universe -> Prop.
Variable g0_ : Prop.
Variable g_ : Universe -> Prop.
Variable f0_ : Prop.
Variable eq_ : Universe -> Universe -> Prop.
Variable e_ : Universe -> Prop.
Variable c_ : Universe -> Prop.
Variable b0_ : Prop.
Variable b_ : Universe -> Prop.
Variable a_member_of_ : Universe -> Universe -> Prop.
Variable a1_ : Universe -> Prop.
Variable a0_ : Prop.
Variable a_ : Universe -> Universe -> Prop.

Variable z_ : Universe.
Variable f_ : Universe -> Universe.


Set Firstorder Depth 10.

Theorem prove_this_1 : ((forall C B : Universe, ((forall Z : Universe, q1_ (f_ Z)) -> (exists X Y : Universe, ((p1_ (f_ Y) -> p1_ X) /\ ((r1_ Y -> (r1_ B /\ r1_ C)) /\ q1_ X))))) /\ ((forall B C : Universe, ((forall Z : Universe, q1_ (f_ Z)) -> (exists X Y : Universe, ((p1_ (f_ Y) -> (p1_ X /\ (r1_ Y -> (r1_ B /\ r1_ C)))) /\ q1_ X)))) /\ ((forall B C : Universe, (q1_ (f_ B) -> (exists X Y : Universe, ((p1_ (f_ Y) -> (p1_ X /\ (r1_ Y -> (r1_ B /\ r1_ C)))) /\ q1_ X)))) /\ ((((forall X : Universe, (a1_ X -> (b_ X \/ c_ X))) /\ ~((forall X : Universe, (a1_ X -> b_ X)))) -> (exists X : Universe, (a1_ X /\ c_ X))) /\ ((forall A : Universe, (exists X X2 X3 X4 Y : Universe, ((p1_ A /\ (e_ A /\ ((e_ X -> (g_ X \/ s_ X (f_ X))) /\ ((e_ X2 -> (g_ X2 \/ c_ (f_ X2))) /\ (s_ A Y -> p1_ Y))))) -> ((p1_ X3 /\ g_ X3) \/ (p1_ X4 /\ c_ X4))))) /\ ((forall A B C : Universe, ((s1_ A /\ (s1_ B /\ (r_ B C /\ ((forall X : Universe, (s1_ X -> p1_ X)) /\ (forall X Y : Universe, (r_ X Y -> q_ X Y)))))) -> (exists X Y : Universe, (p1_ X /\ q_ X Y)))) /\ (((forall X : Universe, p1_ X) -> (forall A B : Universe, (p1_ A /\ p1_ B))) /\ ((((forall X : Universe, p1_ X) /\ (exists Y : Universe, q1_ Y)) -> (exists Z : Universe, (forall Y : Universe, (p1_ Y \/ r1_ Z)))) /\ (((forall X : Universe, (exists Y : Universe, (p1_ X /\ q1_ Y))) -> (exists Z : Universe, (forall Y : Universe, (p1_ Y \/ r1_ Z)))) /\ (((forall X : Universe, (exists Y : Universe, (a_ X Y /\ a_ Y Y))) -> (exists Z : Universe, a_ Z Z)) /\ ((forall A B C : Universe, ((s1_ A /\ (s1_ B /\ (r_ B C /\ ((forall X : Universe, (s1_ X -> p1_ X)) /\ (forall X Y : Universe, (r_ X Y -> q_ X Y)))))) -> (exists X Y : Universe, (p1_ X /\ q_ X Y)))) /\ ((forall A B : Universe, ((forall Y : Universe, (q1_ Y -> p1_ Y)) -> (exists X : Universe, ((p1_ X -> p1_ A) /\ (q1_ X -> p1_ B))))) /\ (((exists X : Universe, p1_ X) -> ((exists X : Universe, p1_ X) /\ (a0_ -> ((b0_ \/ ~(b0_)) /\ (q0_ -> q0_))))) /\ (((forall X : Universe, p1_ X) -> (exists Y : Universe, p1_ Y)) /\ (((forall X : Universe, (p1_ X -> q1_ X)) -> ((forall X : Universe, p1_ X) -> (forall X : Universe, q1_ X))) /\ ((forall A B : Universe, ((forall Z : Universe, (q1_ Z -> p1_ Z)) -> (exists X : Universe, ((p1_ X -> p1_ A) /\ (q1_ X -> p1_ B))))) /\ (((forall X : Universe, (a1_ X -> b_ X)) -> ((exists X : Universe, a1_ X) -> (exists X : Universe, b_ X))) /\ (((exists X : Universe, (a1_ X -> b_ X)) -> ((forall X : Universe, a1_ X) -> (exists X : Universe, b_ X))) /\ (~((exists Y : Universe, (forall X : Universe, (a_ X Y <-> ~(a_ X X))))) /\ ((((exists X : Universe, a1_ X) /\ (forall X : Universe, b_ X)) -> (exists X : Universe, (a1_ X /\ b_ X))) /\ (((exists X : Universe, b_ X) -> (exists X : Universe, (a1_ X \/ b_ X))) /\ (((exists X Y : Universe, a_ X Y) <-> (exists Y X : Universe, a_ X Y)) /\ ((forall A B : Universe, ((forall X : Universe, p1_ X) -> (p1_ A /\ p1_ B))) /\ (((forall X : Universe, p1_ X) -> ((forall X : Universe, p1_ X) /\ (forall Y : Universe, p1_ Y))) /\ (((exists X : Universe, p1_ X) <-> (exists Y : Universe, p1_ Y)) /\ (((exists X : Universe, p1_ X) -> (exists Z : Universe, p1_ Z)) /\ ((exists Z : Universe, (forall X : Universe, (exists Y : Universe, ((p_ Y X -> (exists W : Universe, p_ W Y)) /\ ((p_ Z Y /\ p_ Y Z) -> p_ Y X))))) /\ (((forall X Y : Universe, (eq_ X Y <-> (forall Z : Universe, (a_member_of_ Z X <-> a_member_of_ Z Y)))) -> (forall A B : Universe, (eq_ A B -> eq_ B A))) /\ ((forall A B : Universe, ((forall Y : Universe, (q1_ Y -> p1_ Y)) -> (exists X : Universe, ((p1_ X -> p1_ A) /\ (q1_ X -> p1_ B))))) /\ ((exists X : Universe, (forall Y : Universe, (p1_ X -> p1_ Y))) /\ ((forall B : Universe, (((forall X : Universe, (p1_ X -> q1_ X)) /\ r1_ B) -> ((forall Y : Universe, (r1_ Y -> p1_ Y)) -> q1_ B))) /\ ((forall A B : Universe, (exists X Y : Universe, ((p1_ X -> r1_ Y) -> (p1_ A -> r1_ B)))) /\ ((exists Y : Universe, ((exists X : Universe, p1_ X) -> p1_ Y)) /\ (((exists X : Universe, (forall Y : Universe, p_ X Y)) -> (forall Y : Universe, (exists X : Universe, p_ X Y))) /\ ((p1_ z_ -> p1_ z_) /\ (((exists X : Universe, p1_ X) -> (exists Y : Universe, p1_ Y)) /\ (((forall X Y : Universe, p_ X Y) -> (forall X : Universe, p_ X X)) /\ ((forall A : Universe, (((f0_ \/ g0_) /\ (forall X : Universe, (p1_ X /\ q1_ X))) -> q1_ A)) /\ (((a0_ <-> b0_) \/ (a0_ \/ b0_)) /\ (((a0_ /\ b0_) -> (a0_ <-> b0_)) /\ ((forall A B : Universe, (exists X Y : Universe, (((q1_ X -> p_ X A) /\ (q1_ A /\ (q1_ B /\ ((r1_ Y -> p_ B Y) /\ (r1_ A /\ (r1_ B /\ ((s1_ A -> p_ X Y) /\ s1_ A))))))) -> p_ A B))) /\ ((forall B : Universe, ((forall Y : Universe, ((r1_ B -> r1_ Y) -> p_ (f_ Y) Y)) -> (exists X Y : Universe, (p_ X Y /\ (q_ (f_ B) B -> q_ X Y))))) /\ (((forall X : Universe, (p1_ X -> q1_ X)) /\ (exists Y : Universe, (q1_ Y -> r1_ Y))) -> (exists Z : Universe, (p1_ Z -> r1_ Z))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
