(*
% File     : ALG015+1 : ILTP v1.1.2
% Domain   : General Algebra
% Problem  : Groups 4: CPROPS-ISO-COMPLETE-PROBLEM-1
% Version  : Especial.
% English  : 
% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 
% Status   : Theorem
% Rating   : 0.22 v3.1.0, 0.25 v2.7.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :   38 (   2 unit)
%            Number of atoms       : 1006 (1006 equality)
%            Maximal formula depth :   64 (  13 average)
%            Number of connectives : 1104 ( 136 ~  ; 287  |; 649  &)
%                                         (   0 <=>;  32 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :   26 (  10 constant; 0-2 arity)
%            Number of variables   :    0 (   0 singleton;   0 !;   0 ?)
%            Maximal term depth    :    3 (   2 average)
% Comments : 
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable EqTransitivity : forall x y z : Universe, x = y -> y = z -> x = z.
Variable EqSymmetry : forall x y : Universe, x = y -> y = x.
Variable EqReflexivity : forall x : Universe, x = x.

Variable unit2_ : Universe.
Variable unit1_ : Universe.
Variable op2_ : Universe -> Universe -> Universe.
Variable EqCongruence_op2 : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> op2_ x1 x2 = op2_ y1 y2 .
Variable op1_ : Universe -> Universe -> Universe.
Variable EqCongruence_op1 : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> op1_ x1 x2 = op1_ y1 y2 .
Variable inv2_ : Universe -> Universe.
Variable EqCongruence_inv2 : forall x1 y1 : Universe, x1 = y1 -> inv2_ x1 = inv2_ y1 .
Variable inv1_ : Universe -> Universe.
Variable EqCongruence_inv1 : forall x1 y1 : Universe, x1 = y1 -> inv1_ x1 = inv1_ y1 .
Variable h9_ : Universe -> Universe.
Variable EqCongruence_h9 : forall x1 y1 : Universe, x1 = y1 -> h9_ x1 = h9_ y1 .
Variable h8_ : Universe -> Universe.
Variable EqCongruence_h8 : forall x1 y1 : Universe, x1 = y1 -> h8_ x1 = h8_ y1 .
Variable h7_ : Universe -> Universe.
Variable EqCongruence_h7 : forall x1 y1 : Universe, x1 = y1 -> h7_ x1 = h7_ y1 .
Variable h6_ : Universe -> Universe.
Variable EqCongruence_h6 : forall x1 y1 : Universe, x1 = y1 -> h6_ x1 = h6_ y1 .
Variable h5_ : Universe -> Universe.
Variable EqCongruence_h5 : forall x1 y1 : Universe, x1 = y1 -> h5_ x1 = h5_ y1 .
Variable h4_ : Universe -> Universe.
Variable EqCongruence_h4 : forall x1 y1 : Universe, x1 = y1 -> h4_ x1 = h4_ y1 .
Variable h3_ : Universe -> Universe.
Variable EqCongruence_h3 : forall x1 y1 : Universe, x1 = y1 -> h3_ x1 = h3_ y1 .
Variable h2_ : Universe -> Universe.
Variable EqCongruence_h2 : forall x1 y1 : Universe, x1 = y1 -> h2_ x1 = h2_ y1 .
Variable h12_ : Universe -> Universe.
Variable EqCongruence_h12 : forall x1 y1 : Universe, x1 = y1 -> h12_ x1 = h12_ y1 .
Variable h11_ : Universe -> Universe.
Variable EqCongruence_h11 : forall x1 y1 : Universe, x1 = y1 -> h11_ x1 = h11_ y1 .
Variable h10_ : Universe -> Universe.
Variable EqCongruence_h10 : forall x1 y1 : Universe, x1 = y1 -> h10_ x1 = h10_ y1 .
Variable h1_ : Universe -> Universe.
Variable EqCongruence_h1 : forall x1 y1 : Universe, x1 = y1 -> h1_ x1 = h1_ y1 .
Variable e23_ : Universe.
Variable e22_ : Universe.
Variable e21_ : Universe.
Variable e20_ : Universe.
Variable e13_ : Universe.
Variable e12_ : Universe.
Variable e11_ : Universe.
Variable e10_ : Universe.

Variable ax1_1 : (((op1_ e10_ e10_) = e10_ \/ ((op1_ e10_ e10_) = e11_ \/ ((op1_ e10_ e10_) = e12_ \/ (op1_ e10_ e10_) = e13_))) /\ (((op1_ e10_ e11_) = e10_ \/ ((op1_ e10_ e11_) = e11_ \/ ((op1_ e10_ e11_) = e12_ \/ (op1_ e10_ e11_) = e13_))) /\ (((op1_ e10_ e12_) = e10_ \/ ((op1_ e10_ e12_) = e11_ \/ ((op1_ e10_ e12_) = e12_ \/ (op1_ e10_ e12_) = e13_))) /\ (((op1_ e10_ e13_) = e10_ \/ ((op1_ e10_ e13_) = e11_ \/ ((op1_ e10_ e13_) = e12_ \/ (op1_ e10_ e13_) = e13_))) /\ (((op1_ e11_ e10_) = e10_ \/ ((op1_ e11_ e10_) = e11_ \/ ((op1_ e11_ e10_) = e12_ \/ (op1_ e11_ e10_) = e13_))) /\ (((op1_ e11_ e11_) = e10_ \/ ((op1_ e11_ e11_) = e11_ \/ ((op1_ e11_ e11_) = e12_ \/ (op1_ e11_ e11_) = e13_))) /\ (((op1_ e11_ e12_) = e10_ \/ ((op1_ e11_ e12_) = e11_ \/ ((op1_ e11_ e12_) = e12_ \/ (op1_ e11_ e12_) = e13_))) /\ (((op1_ e11_ e13_) = e10_ \/ ((op1_ e11_ e13_) = e11_ \/ ((op1_ e11_ e13_) = e12_ \/ (op1_ e11_ e13_) = e13_))) /\ (((op1_ e12_ e10_) = e10_ \/ ((op1_ e12_ e10_) = e11_ \/ ((op1_ e12_ e10_) = e12_ \/ (op1_ e12_ e10_) = e13_))) /\ (((op1_ e12_ e11_) = e10_ \/ ((op1_ e12_ e11_) = e11_ \/ ((op1_ e12_ e11_) = e12_ \/ (op1_ e12_ e11_) = e13_))) /\ (((op1_ e12_ e12_) = e10_ \/ ((op1_ e12_ e12_) = e11_ \/ ((op1_ e12_ e12_) = e12_ \/ (op1_ e12_ e12_) = e13_))) /\ (((op1_ e12_ e13_) = e10_ \/ ((op1_ e12_ e13_) = e11_ \/ ((op1_ e12_ e13_) = e12_ \/ (op1_ e12_ e13_) = e13_))) /\ (((op1_ e13_ e10_) = e10_ \/ ((op1_ e13_ e10_) = e11_ \/ ((op1_ e13_ e10_) = e12_ \/ (op1_ e13_ e10_) = e13_))) /\ (((op1_ e13_ e11_) = e10_ \/ ((op1_ e13_ e11_) = e11_ \/ ((op1_ e13_ e11_) = e12_ \/ (op1_ e13_ e11_) = e13_))) /\ (((op1_ e13_ e12_) = e10_ \/ ((op1_ e13_ e12_) = e11_ \/ ((op1_ e13_ e12_) = e12_ \/ (op1_ e13_ e12_) = e13_))) /\ ((op1_ e13_ e13_) = e10_ \/ ((op1_ e13_ e13_) = e11_ \/ ((op1_ e13_ e13_) = e12_ \/ (op1_ e13_ e13_) = e13_)))))))))))))))))).
Variable ax2_2 : ((op1_ (op1_ e10_ e10_) e10_) = (op1_ e10_ (op1_ e10_ e10_)) /\ ((op1_ (op1_ e10_ e10_) e11_) = (op1_ e10_ (op1_ e10_ e11_)) /\ ((op1_ (op1_ e10_ e10_) e12_) = (op1_ e10_ (op1_ e10_ e12_)) /\ ((op1_ (op1_ e10_ e10_) e13_) = (op1_ e10_ (op1_ e10_ e13_)) /\ ((op1_ (op1_ e10_ e11_) e10_) = (op1_ e10_ (op1_ e11_ e10_)) /\ ((op1_ (op1_ e10_ e11_) e11_) = (op1_ e10_ (op1_ e11_ e11_)) /\ ((op1_ (op1_ e10_ e11_) e12_) = (op1_ e10_ (op1_ e11_ e12_)) /\ ((op1_ (op1_ e10_ e11_) e13_) = (op1_ e10_ (op1_ e11_ e13_)) /\ ((op1_ (op1_ e10_ e12_) e10_) = (op1_ e10_ (op1_ e12_ e10_)) /\ ((op1_ (op1_ e10_ e12_) e11_) = (op1_ e10_ (op1_ e12_ e11_)) /\ ((op1_ (op1_ e10_ e12_) e12_) = (op1_ e10_ (op1_ e12_ e12_)) /\ ((op1_ (op1_ e10_ e12_) e13_) = (op1_ e10_ (op1_ e12_ e13_)) /\ ((op1_ (op1_ e10_ e13_) e10_) = (op1_ e10_ (op1_ e13_ e10_)) /\ ((op1_ (op1_ e10_ e13_) e11_) = (op1_ e10_ (op1_ e13_ e11_)) /\ ((op1_ (op1_ e10_ e13_) e12_) = (op1_ e10_ (op1_ e13_ e12_)) /\ ((op1_ (op1_ e10_ e13_) e13_) = (op1_ e10_ (op1_ e13_ e13_)) /\ ((op1_ (op1_ e11_ e10_) e10_) = (op1_ e11_ (op1_ e10_ e10_)) /\ ((op1_ (op1_ e11_ e10_) e11_) = (op1_ e11_ (op1_ e10_ e11_)) /\ ((op1_ (op1_ e11_ e10_) e12_) = (op1_ e11_ (op1_ e10_ e12_)) /\ ((op1_ (op1_ e11_ e10_) e13_) = (op1_ e11_ (op1_ e10_ e13_)) /\ ((op1_ (op1_ e11_ e11_) e10_) = (op1_ e11_ (op1_ e11_ e10_)) /\ ((op1_ (op1_ e11_ e11_) e11_) = (op1_ e11_ (op1_ e11_ e11_)) /\ ((op1_ (op1_ e11_ e11_) e12_) = (op1_ e11_ (op1_ e11_ e12_)) /\ ((op1_ (op1_ e11_ e11_) e13_) = (op1_ e11_ (op1_ e11_ e13_)) /\ ((op1_ (op1_ e11_ e12_) e10_) = (op1_ e11_ (op1_ e12_ e10_)) /\ ((op1_ (op1_ e11_ e12_) e11_) = (op1_ e11_ (op1_ e12_ e11_)) /\ ((op1_ (op1_ e11_ e12_) e12_) = (op1_ e11_ (op1_ e12_ e12_)) /\ ((op1_ (op1_ e11_ e12_) e13_) = (op1_ e11_ (op1_ e12_ e13_)) /\ ((op1_ (op1_ e11_ e13_) e10_) = (op1_ e11_ (op1_ e13_ e10_)) /\ ((op1_ (op1_ e11_ e13_) e11_) = (op1_ e11_ (op1_ e13_ e11_)) /\ ((op1_ (op1_ e11_ e13_) e12_) = (op1_ e11_ (op1_ e13_ e12_)) /\ ((op1_ (op1_ e11_ e13_) e13_) = (op1_ e11_ (op1_ e13_ e13_)) /\ ((op1_ (op1_ e12_ e10_) e10_) = (op1_ e12_ (op1_ e10_ e10_)) /\ ((op1_ (op1_ e12_ e10_) e11_) = (op1_ e12_ (op1_ e10_ e11_)) /\ ((op1_ (op1_ e12_ e10_) e12_) = (op1_ e12_ (op1_ e10_ e12_)) /\ ((op1_ (op1_ e12_ e10_) e13_) = (op1_ e12_ (op1_ e10_ e13_)) /\ ((op1_ (op1_ e12_ e11_) e10_) = (op1_ e12_ (op1_ e11_ e10_)) /\ ((op1_ (op1_ e12_ e11_) e11_) = (op1_ e12_ (op1_ e11_ e11_)) /\ ((op1_ (op1_ e12_ e11_) e12_) = (op1_ e12_ (op1_ e11_ e12_)) /\ ((op1_ (op1_ e12_ e11_) e13_) = (op1_ e12_ (op1_ e11_ e13_)) /\ ((op1_ (op1_ e12_ e12_) e10_) = (op1_ e12_ (op1_ e12_ e10_)) /\ ((op1_ (op1_ e12_ e12_) e11_) = (op1_ e12_ (op1_ e12_ e11_)) /\ ((op1_ (op1_ e12_ e12_) e12_) = (op1_ e12_ (op1_ e12_ e12_)) /\ ((op1_ (op1_ e12_ e12_) e13_) = (op1_ e12_ (op1_ e12_ e13_)) /\ ((op1_ (op1_ e12_ e13_) e10_) = (op1_ e12_ (op1_ e13_ e10_)) /\ ((op1_ (op1_ e12_ e13_) e11_) = (op1_ e12_ (op1_ e13_ e11_)) /\ ((op1_ (op1_ e12_ e13_) e12_) = (op1_ e12_ (op1_ e13_ e12_)) /\ ((op1_ (op1_ e12_ e13_) e13_) = (op1_ e12_ (op1_ e13_ e13_)) /\ ((op1_ (op1_ e13_ e10_) e10_) = (op1_ e13_ (op1_ e10_ e10_)) /\ ((op1_ (op1_ e13_ e10_) e11_) = (op1_ e13_ (op1_ e10_ e11_)) /\ ((op1_ (op1_ e13_ e10_) e12_) = (op1_ e13_ (op1_ e10_ e12_)) /\ ((op1_ (op1_ e13_ e10_) e13_) = (op1_ e13_ (op1_ e10_ e13_)) /\ ((op1_ (op1_ e13_ e11_) e10_) = (op1_ e13_ (op1_ e11_ e10_)) /\ ((op1_ (op1_ e13_ e11_) e11_) = (op1_ e13_ (op1_ e11_ e11_)) /\ ((op1_ (op1_ e13_ e11_) e12_) = (op1_ e13_ (op1_ e11_ e12_)) /\ ((op1_ (op1_ e13_ e11_) e13_) = (op1_ e13_ (op1_ e11_ e13_)) /\ ((op1_ (op1_ e13_ e12_) e10_) = (op1_ e13_ (op1_ e12_ e10_)) /\ ((op1_ (op1_ e13_ e12_) e11_) = (op1_ e13_ (op1_ e12_ e11_)) /\ ((op1_ (op1_ e13_ e12_) e12_) = (op1_ e13_ (op1_ e12_ e12_)) /\ ((op1_ (op1_ e13_ e12_) e13_) = (op1_ e13_ (op1_ e12_ e13_)) /\ ((op1_ (op1_ e13_ e13_) e10_) = (op1_ e13_ (op1_ e13_ e10_)) /\ ((op1_ (op1_ e13_ e13_) e11_) = (op1_ e13_ (op1_ e13_ e11_)) /\ ((op1_ (op1_ e13_ e13_) e12_) = (op1_ e13_ (op1_ e13_ e12_)) /\ (op1_ (op1_ e13_ e13_) e13_) = (op1_ e13_ (op1_ e13_ e13_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Variable ax3_3 : ((op1_ unit1_ e10_) = e10_ /\ ((op1_ e10_ unit1_) = e10_ /\ ((op1_ unit1_ e11_) = e11_ /\ ((op1_ e11_ unit1_) = e11_ /\ ((op1_ unit1_ e12_) = e12_ /\ ((op1_ e12_ unit1_) = e12_ /\ ((op1_ unit1_ e13_) = e13_ /\ ((op1_ e13_ unit1_) = e13_ /\ (unit1_ = e10_ \/ (unit1_ = e11_ \/ (unit1_ = e12_ \/ unit1_ = e13_))))))))))).
Variable ax4_4 : ((op1_ e10_ (inv1_ e10_)) = unit1_ /\ ((op1_ (inv1_ e10_) e10_) = unit1_ /\ ((op1_ e11_ (inv1_ e11_)) = unit1_ /\ ((op1_ (inv1_ e11_) e11_) = unit1_ /\ ((op1_ e12_ (inv1_ e12_)) = unit1_ /\ ((op1_ (inv1_ e12_) e12_) = unit1_ /\ ((op1_ e13_ (inv1_ e13_)) = unit1_ /\ ((op1_ (inv1_ e13_) e13_) = unit1_ /\ (((inv1_ e10_) = e10_ \/ ((inv1_ e10_) = e11_ \/ ((inv1_ e10_) = e12_ \/ (inv1_ e10_) = e13_))) /\ (((inv1_ e11_) = e10_ \/ ((inv1_ e11_) = e11_ \/ ((inv1_ e11_) = e12_ \/ (inv1_ e11_) = e13_))) /\ (((inv1_ e12_) = e10_ \/ ((inv1_ e12_) = e11_ \/ ((inv1_ e12_) = e12_ \/ (inv1_ e12_) = e13_))) /\ ((inv1_ e13_) = e10_ \/ ((inv1_ e13_) = e11_ \/ ((inv1_ e13_) = e12_ \/ (inv1_ e13_) = e13_)))))))))))))).
Variable ax5_5 : (((op2_ e20_ e20_) = e20_ \/ ((op2_ e20_ e20_) = e21_ \/ ((op2_ e20_ e20_) = e22_ \/ (op2_ e20_ e20_) = e23_))) /\ (((op2_ e20_ e21_) = e20_ \/ ((op2_ e20_ e21_) = e21_ \/ ((op2_ e20_ e21_) = e22_ \/ (op2_ e20_ e21_) = e23_))) /\ (((op2_ e20_ e22_) = e20_ \/ ((op2_ e20_ e22_) = e21_ \/ ((op2_ e20_ e22_) = e22_ \/ (op2_ e20_ e22_) = e23_))) /\ (((op2_ e20_ e23_) = e20_ \/ ((op2_ e20_ e23_) = e21_ \/ ((op2_ e20_ e23_) = e22_ \/ (op2_ e20_ e23_) = e23_))) /\ (((op2_ e21_ e20_) = e20_ \/ ((op2_ e21_ e20_) = e21_ \/ ((op2_ e21_ e20_) = e22_ \/ (op2_ e21_ e20_) = e23_))) /\ (((op2_ e21_ e21_) = e20_ \/ ((op2_ e21_ e21_) = e21_ \/ ((op2_ e21_ e21_) = e22_ \/ (op2_ e21_ e21_) = e23_))) /\ (((op2_ e21_ e22_) = e20_ \/ ((op2_ e21_ e22_) = e21_ \/ ((op2_ e21_ e22_) = e22_ \/ (op2_ e21_ e22_) = e23_))) /\ (((op2_ e21_ e23_) = e20_ \/ ((op2_ e21_ e23_) = e21_ \/ ((op2_ e21_ e23_) = e22_ \/ (op2_ e21_ e23_) = e23_))) /\ (((op2_ e22_ e20_) = e20_ \/ ((op2_ e22_ e20_) = e21_ \/ ((op2_ e22_ e20_) = e22_ \/ (op2_ e22_ e20_) = e23_))) /\ (((op2_ e22_ e21_) = e20_ \/ ((op2_ e22_ e21_) = e21_ \/ ((op2_ e22_ e21_) = e22_ \/ (op2_ e22_ e21_) = e23_))) /\ (((op2_ e22_ e22_) = e20_ \/ ((op2_ e22_ e22_) = e21_ \/ ((op2_ e22_ e22_) = e22_ \/ (op2_ e22_ e22_) = e23_))) /\ (((op2_ e22_ e23_) = e20_ \/ ((op2_ e22_ e23_) = e21_ \/ ((op2_ e22_ e23_) = e22_ \/ (op2_ e22_ e23_) = e23_))) /\ (((op2_ e23_ e20_) = e20_ \/ ((op2_ e23_ e20_) = e21_ \/ ((op2_ e23_ e20_) = e22_ \/ (op2_ e23_ e20_) = e23_))) /\ (((op2_ e23_ e21_) = e20_ \/ ((op2_ e23_ e21_) = e21_ \/ ((op2_ e23_ e21_) = e22_ \/ (op2_ e23_ e21_) = e23_))) /\ (((op2_ e23_ e22_) = e20_ \/ ((op2_ e23_ e22_) = e21_ \/ ((op2_ e23_ e22_) = e22_ \/ (op2_ e23_ e22_) = e23_))) /\ ((op2_ e23_ e23_) = e20_ \/ ((op2_ e23_ e23_) = e21_ \/ ((op2_ e23_ e23_) = e22_ \/ (op2_ e23_ e23_) = e23_)))))))))))))))))).
Variable ax6_6 : ((op2_ (op2_ e20_ e20_) e20_) = (op2_ e20_ (op2_ e20_ e20_)) /\ ((op2_ (op2_ e20_ e20_) e21_) = (op2_ e20_ (op2_ e20_ e21_)) /\ ((op2_ (op2_ e20_ e20_) e22_) = (op2_ e20_ (op2_ e20_ e22_)) /\ ((op2_ (op2_ e20_ e20_) e23_) = (op2_ e20_ (op2_ e20_ e23_)) /\ ((op2_ (op2_ e20_ e21_) e20_) = (op2_ e20_ (op2_ e21_ e20_)) /\ ((op2_ (op2_ e20_ e21_) e21_) = (op2_ e20_ (op2_ e21_ e21_)) /\ ((op2_ (op2_ e20_ e21_) e22_) = (op2_ e20_ (op2_ e21_ e22_)) /\ ((op2_ (op2_ e20_ e21_) e23_) = (op2_ e20_ (op2_ e21_ e23_)) /\ ((op2_ (op2_ e20_ e22_) e20_) = (op2_ e20_ (op2_ e22_ e20_)) /\ ((op2_ (op2_ e20_ e22_) e21_) = (op2_ e20_ (op2_ e22_ e21_)) /\ ((op2_ (op2_ e20_ e22_) e22_) = (op2_ e20_ (op2_ e22_ e22_)) /\ ((op2_ (op2_ e20_ e22_) e23_) = (op2_ e20_ (op2_ e22_ e23_)) /\ ((op2_ (op2_ e20_ e23_) e20_) = (op2_ e20_ (op2_ e23_ e20_)) /\ ((op2_ (op2_ e20_ e23_) e21_) = (op2_ e20_ (op2_ e23_ e21_)) /\ ((op2_ (op2_ e20_ e23_) e22_) = (op2_ e20_ (op2_ e23_ e22_)) /\ ((op2_ (op2_ e20_ e23_) e23_) = (op2_ e20_ (op2_ e23_ e23_)) /\ ((op2_ (op2_ e21_ e20_) e20_) = (op2_ e21_ (op2_ e20_ e20_)) /\ ((op2_ (op2_ e21_ e20_) e21_) = (op2_ e21_ (op2_ e20_ e21_)) /\ ((op2_ (op2_ e21_ e20_) e22_) = (op2_ e21_ (op2_ e20_ e22_)) /\ ((op2_ (op2_ e21_ e20_) e23_) = (op2_ e21_ (op2_ e20_ e23_)) /\ ((op2_ (op2_ e21_ e21_) e20_) = (op2_ e21_ (op2_ e21_ e20_)) /\ ((op2_ (op2_ e21_ e21_) e21_) = (op2_ e21_ (op2_ e21_ e21_)) /\ ((op2_ (op2_ e21_ e21_) e22_) = (op2_ e21_ (op2_ e21_ e22_)) /\ ((op2_ (op2_ e21_ e21_) e23_) = (op2_ e21_ (op2_ e21_ e23_)) /\ ((op2_ (op2_ e21_ e22_) e20_) = (op2_ e21_ (op2_ e22_ e20_)) /\ ((op2_ (op2_ e21_ e22_) e21_) = (op2_ e21_ (op2_ e22_ e21_)) /\ ((op2_ (op2_ e21_ e22_) e22_) = (op2_ e21_ (op2_ e22_ e22_)) /\ ((op2_ (op2_ e21_ e22_) e23_) = (op2_ e21_ (op2_ e22_ e23_)) /\ ((op2_ (op2_ e21_ e23_) e20_) = (op2_ e21_ (op2_ e23_ e20_)) /\ ((op2_ (op2_ e21_ e23_) e21_) = (op2_ e21_ (op2_ e23_ e21_)) /\ ((op2_ (op2_ e21_ e23_) e22_) = (op2_ e21_ (op2_ e23_ e22_)) /\ ((op2_ (op2_ e21_ e23_) e23_) = (op2_ e21_ (op2_ e23_ e23_)) /\ ((op2_ (op2_ e22_ e20_) e20_) = (op2_ e22_ (op2_ e20_ e20_)) /\ ((op2_ (op2_ e22_ e20_) e21_) = (op2_ e22_ (op2_ e20_ e21_)) /\ ((op2_ (op2_ e22_ e20_) e22_) = (op2_ e22_ (op2_ e20_ e22_)) /\ ((op2_ (op2_ e22_ e20_) e23_) = (op2_ e22_ (op2_ e20_ e23_)) /\ ((op2_ (op2_ e22_ e21_) e20_) = (op2_ e22_ (op2_ e21_ e20_)) /\ ((op2_ (op2_ e22_ e21_) e21_) = (op2_ e22_ (op2_ e21_ e21_)) /\ ((op2_ (op2_ e22_ e21_) e22_) = (op2_ e22_ (op2_ e21_ e22_)) /\ ((op2_ (op2_ e22_ e21_) e23_) = (op2_ e22_ (op2_ e21_ e23_)) /\ ((op2_ (op2_ e22_ e22_) e20_) = (op2_ e22_ (op2_ e22_ e20_)) /\ ((op2_ (op2_ e22_ e22_) e21_) = (op2_ e22_ (op2_ e22_ e21_)) /\ ((op2_ (op2_ e22_ e22_) e22_) = (op2_ e22_ (op2_ e22_ e22_)) /\ ((op2_ (op2_ e22_ e22_) e23_) = (op2_ e22_ (op2_ e22_ e23_)) /\ ((op2_ (op2_ e22_ e23_) e20_) = (op2_ e22_ (op2_ e23_ e20_)) /\ ((op2_ (op2_ e22_ e23_) e21_) = (op2_ e22_ (op2_ e23_ e21_)) /\ ((op2_ (op2_ e22_ e23_) e22_) = (op2_ e22_ (op2_ e23_ e22_)) /\ ((op2_ (op2_ e22_ e23_) e23_) = (op2_ e22_ (op2_ e23_ e23_)) /\ ((op2_ (op2_ e23_ e20_) e20_) = (op2_ e23_ (op2_ e20_ e20_)) /\ ((op2_ (op2_ e23_ e20_) e21_) = (op2_ e23_ (op2_ e20_ e21_)) /\ ((op2_ (op2_ e23_ e20_) e22_) = (op2_ e23_ (op2_ e20_ e22_)) /\ ((op2_ (op2_ e23_ e20_) e23_) = (op2_ e23_ (op2_ e20_ e23_)) /\ ((op2_ (op2_ e23_ e21_) e20_) = (op2_ e23_ (op2_ e21_ e20_)) /\ ((op2_ (op2_ e23_ e21_) e21_) = (op2_ e23_ (op2_ e21_ e21_)) /\ ((op2_ (op2_ e23_ e21_) e22_) = (op2_ e23_ (op2_ e21_ e22_)) /\ ((op2_ (op2_ e23_ e21_) e23_) = (op2_ e23_ (op2_ e21_ e23_)) /\ ((op2_ (op2_ e23_ e22_) e20_) = (op2_ e23_ (op2_ e22_ e20_)) /\ ((op2_ (op2_ e23_ e22_) e21_) = (op2_ e23_ (op2_ e22_ e21_)) /\ ((op2_ (op2_ e23_ e22_) e22_) = (op2_ e23_ (op2_ e22_ e22_)) /\ ((op2_ (op2_ e23_ e22_) e23_) = (op2_ e23_ (op2_ e22_ e23_)) /\ ((op2_ (op2_ e23_ e23_) e20_) = (op2_ e23_ (op2_ e23_ e20_)) /\ ((op2_ (op2_ e23_ e23_) e21_) = (op2_ e23_ (op2_ e23_ e21_)) /\ ((op2_ (op2_ e23_ e23_) e22_) = (op2_ e23_ (op2_ e23_ e22_)) /\ (op2_ (op2_ e23_ e23_) e23_) = (op2_ e23_ (op2_ e23_ e23_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Variable ax7_7 : ((op2_ unit2_ e20_) = e20_ /\ ((op2_ e20_ unit2_) = e20_ /\ ((op2_ unit2_ e21_) = e21_ /\ ((op2_ e21_ unit2_) = e21_ /\ ((op2_ unit2_ e22_) = e22_ /\ ((op2_ e22_ unit2_) = e22_ /\ ((op2_ unit2_ e23_) = e23_ /\ ((op2_ e23_ unit2_) = e23_ /\ (unit2_ = e20_ \/ (unit2_ = e21_ \/ (unit2_ = e22_ \/ unit2_ = e23_))))))))))).
Variable ax8_8 : ((op2_ e20_ (inv2_ e20_)) = unit2_ /\ ((op2_ (inv2_ e20_) e20_) = unit2_ /\ ((op2_ e21_ (inv2_ e21_)) = unit2_ /\ ((op2_ (inv2_ e21_) e21_) = unit2_ /\ ((op2_ e22_ (inv2_ e22_)) = unit2_ /\ ((op2_ (inv2_ e22_) e22_) = unit2_ /\ ((op2_ e23_ (inv2_ e23_)) = unit2_ /\ ((op2_ (inv2_ e23_) e23_) = unit2_ /\ (((inv2_ e20_) = e20_ \/ ((inv2_ e20_) = e21_ \/ ((inv2_ e20_) = e22_ \/ (inv2_ e20_) = e23_))) /\ (((inv2_ e21_) = e20_ \/ ((inv2_ e21_) = e21_ \/ ((inv2_ e21_) = e22_ \/ (inv2_ e21_) = e23_))) /\ (((inv2_ e22_) = e20_ \/ ((inv2_ e22_) = e21_ \/ ((inv2_ e22_) = e22_ \/ (inv2_ e22_) = e23_))) /\ ((inv2_ e23_) = e20_ \/ ((inv2_ e23_) = e21_ \/ ((inv2_ e23_) = e22_ \/ (inv2_ e23_) = e23_)))))))))))))).
Variable ax9_9 : (inv1_ unit1_) = unit1_.
Variable ax10_10 : ((inv1_ (inv1_ e10_)) = e10_ /\ ((inv1_ (inv1_ e11_)) = e11_ /\ ((inv1_ (inv1_ e12_)) = e12_ /\ (inv1_ (inv1_ e13_)) = e13_))).
Variable ax11_11 : (((inv1_ e10_) = e10_ -> (inv1_ e10_) = e10_) /\ (((inv1_ e10_) = e11_ -> (inv1_ e11_) = e10_) /\ (((inv1_ e10_) = e12_ -> (inv1_ e12_) = e10_) /\ (((inv1_ e10_) = e13_ -> (inv1_ e13_) = e10_) /\ (((inv1_ e11_) = e10_ -> (inv1_ e10_) = e11_) /\ (((inv1_ e11_) = e11_ -> (inv1_ e11_) = e11_) /\ (((inv1_ e11_) = e12_ -> (inv1_ e12_) = e11_) /\ (((inv1_ e11_) = e13_ -> (inv1_ e13_) = e11_) /\ (((inv1_ e12_) = e10_ -> (inv1_ e10_) = e12_) /\ (((inv1_ e12_) = e11_ -> (inv1_ e11_) = e12_) /\ (((inv1_ e12_) = e12_ -> (inv1_ e12_) = e12_) /\ (((inv1_ e12_) = e13_ -> (inv1_ e13_) = e12_) /\ (((inv1_ e13_) = e10_ -> (inv1_ e10_) = e13_) /\ (((inv1_ e13_) = e11_ -> (inv1_ e11_) = e13_) /\ (((inv1_ e13_) = e12_ -> (inv1_ e12_) = e13_) /\ ((inv1_ e13_) = e13_ -> (inv1_ e13_) = e13_)))))))))))))))).
Variable ax12_12 : ((inv1_ e10_) <> (inv1_ e11_) /\ ((inv1_ e10_) <> (inv1_ e12_) /\ ((inv1_ e10_) <> (inv1_ e13_) /\ ((inv1_ e11_) <> (inv1_ e12_) /\ ((inv1_ e11_) <> (inv1_ e13_) /\ (inv1_ e12_) <> (inv1_ e13_)))))).
Variable ax13_13 : (inv2_ unit2_) = unit2_.
Variable ax14_14 : ((inv2_ (inv2_ e20_)) = e20_ /\ ((inv2_ (inv2_ e21_)) = e21_ /\ ((inv2_ (inv2_ e22_)) = e22_ /\ (inv2_ (inv2_ e23_)) = e23_))).
Variable ax15_15 : (((inv2_ e20_) = e20_ -> (inv2_ e20_) = e20_) /\ (((inv2_ e20_) = e21_ -> (inv2_ e21_) = e20_) /\ (((inv2_ e20_) = e22_ -> (inv2_ e22_) = e20_) /\ (((inv2_ e20_) = e23_ -> (inv2_ e23_) = e20_) /\ (((inv2_ e21_) = e20_ -> (inv2_ e20_) = e21_) /\ (((inv2_ e21_) = e21_ -> (inv2_ e21_) = e21_) /\ (((inv2_ e21_) = e22_ -> (inv2_ e22_) = e21_) /\ (((inv2_ e21_) = e23_ -> (inv2_ e23_) = e21_) /\ (((inv2_ e22_) = e20_ -> (inv2_ e20_) = e22_) /\ (((inv2_ e22_) = e21_ -> (inv2_ e21_) = e22_) /\ (((inv2_ e22_) = e22_ -> (inv2_ e22_) = e22_) /\ (((inv2_ e22_) = e23_ -> (inv2_ e23_) = e22_) /\ (((inv2_ e23_) = e20_ -> (inv2_ e20_) = e23_) /\ (((inv2_ e23_) = e21_ -> (inv2_ e21_) = e23_) /\ (((inv2_ e23_) = e22_ -> (inv2_ e22_) = e23_) /\ ((inv2_ e23_) = e23_ -> (inv2_ e23_) = e23_)))))))))))))))).
Variable ax16_16 : ((inv2_ e20_) <> (inv2_ e21_) /\ ((inv2_ e20_) <> (inv2_ e22_) /\ ((inv2_ e20_) <> (inv2_ e23_) /\ ((inv2_ e21_) <> (inv2_ e22_) /\ ((inv2_ e21_) <> (inv2_ e23_) /\ (inv2_ e22_) <> (inv2_ e23_)))))).
Variable ax17_17 : ((op1_ e10_ e10_) <> (op1_ e11_ e10_) /\ ((op1_ e10_ e10_) <> (op1_ e12_ e10_) /\ ((op1_ e10_ e10_) <> (op1_ e13_ e10_) /\ ((op1_ e11_ e10_) <> (op1_ e12_ e10_) /\ ((op1_ e11_ e10_) <> (op1_ e13_ e10_) /\ ((op1_ e12_ e10_) <> (op1_ e13_ e10_) /\ ((op1_ e10_ e11_) <> (op1_ e11_ e11_) /\ ((op1_ e10_ e11_) <> (op1_ e12_ e11_) /\ ((op1_ e10_ e11_) <> (op1_ e13_ e11_) /\ ((op1_ e11_ e11_) <> (op1_ e12_ e11_) /\ ((op1_ e11_ e11_) <> (op1_ e13_ e11_) /\ ((op1_ e12_ e11_) <> (op1_ e13_ e11_) /\ ((op1_ e10_ e12_) <> (op1_ e11_ e12_) /\ ((op1_ e10_ e12_) <> (op1_ e12_ e12_) /\ ((op1_ e10_ e12_) <> (op1_ e13_ e12_) /\ ((op1_ e11_ e12_) <> (op1_ e12_ e12_) /\ ((op1_ e11_ e12_) <> (op1_ e13_ e12_) /\ ((op1_ e12_ e12_) <> (op1_ e13_ e12_) /\ ((op1_ e10_ e13_) <> (op1_ e11_ e13_) /\ ((op1_ e10_ e13_) <> (op1_ e12_ e13_) /\ ((op1_ e10_ e13_) <> (op1_ e13_ e13_) /\ ((op1_ e11_ e13_) <> (op1_ e12_ e13_) /\ ((op1_ e11_ e13_) <> (op1_ e13_ e13_) /\ ((op1_ e12_ e13_) <> (op1_ e13_ e13_) /\ ((op1_ e10_ e10_) <> (op1_ e10_ e11_) /\ ((op1_ e10_ e10_) <> (op1_ e10_ e12_) /\ ((op1_ e10_ e10_) <> (op1_ e10_ e13_) /\ ((op1_ e10_ e11_) <> (op1_ e10_ e12_) /\ ((op1_ e10_ e11_) <> (op1_ e10_ e13_) /\ ((op1_ e10_ e12_) <> (op1_ e10_ e13_) /\ ((op1_ e11_ e10_) <> (op1_ e11_ e11_) /\ ((op1_ e11_ e10_) <> (op1_ e11_ e12_) /\ ((op1_ e11_ e10_) <> (op1_ e11_ e13_) /\ ((op1_ e11_ e11_) <> (op1_ e11_ e12_) /\ ((op1_ e11_ e11_) <> (op1_ e11_ e13_) /\ ((op1_ e11_ e12_) <> (op1_ e11_ e13_) /\ ((op1_ e12_ e10_) <> (op1_ e12_ e11_) /\ ((op1_ e12_ e10_) <> (op1_ e12_ e12_) /\ ((op1_ e12_ e10_) <> (op1_ e12_ e13_) /\ ((op1_ e12_ e11_) <> (op1_ e12_ e12_) /\ ((op1_ e12_ e11_) <> (op1_ e12_ e13_) /\ ((op1_ e12_ e12_) <> (op1_ e12_ e13_) /\ ((op1_ e13_ e10_) <> (op1_ e13_ e11_) /\ ((op1_ e13_ e10_) <> (op1_ e13_ e12_) /\ ((op1_ e13_ e10_) <> (op1_ e13_ e13_) /\ ((op1_ e13_ e11_) <> (op1_ e13_ e12_) /\ ((op1_ e13_ e11_) <> (op1_ e13_ e13_) /\ (op1_ e13_ e12_) <> (op1_ e13_ e13_)))))))))))))))))))))))))))))))))))))))))))))))).
Variable ax18_18 : ((op2_ e20_ e20_) <> (op2_ e21_ e20_) /\ ((op2_ e20_ e20_) <> (op2_ e22_ e20_) /\ ((op2_ e20_ e20_) <> (op2_ e23_ e20_) /\ ((op2_ e21_ e20_) <> (op2_ e22_ e20_) /\ ((op2_ e21_ e20_) <> (op2_ e23_ e20_) /\ ((op2_ e22_ e20_) <> (op2_ e23_ e20_) /\ ((op2_ e20_ e21_) <> (op2_ e21_ e21_) /\ ((op2_ e20_ e21_) <> (op2_ e22_ e21_) /\ ((op2_ e20_ e21_) <> (op2_ e23_ e21_) /\ ((op2_ e21_ e21_) <> (op2_ e22_ e21_) /\ ((op2_ e21_ e21_) <> (op2_ e23_ e21_) /\ ((op2_ e22_ e21_) <> (op2_ e23_ e21_) /\ ((op2_ e20_ e22_) <> (op2_ e21_ e22_) /\ ((op2_ e20_ e22_) <> (op2_ e22_ e22_) /\ ((op2_ e20_ e22_) <> (op2_ e23_ e22_) /\ ((op2_ e21_ e22_) <> (op2_ e22_ e22_) /\ ((op2_ e21_ e22_) <> (op2_ e23_ e22_) /\ ((op2_ e22_ e22_) <> (op2_ e23_ e22_) /\ ((op2_ e20_ e23_) <> (op2_ e21_ e23_) /\ ((op2_ e20_ e23_) <> (op2_ e22_ e23_) /\ ((op2_ e20_ e23_) <> (op2_ e23_ e23_) /\ ((op2_ e21_ e23_) <> (op2_ e22_ e23_) /\ ((op2_ e21_ e23_) <> (op2_ e23_ e23_) /\ ((op2_ e22_ e23_) <> (op2_ e23_ e23_) /\ ((op2_ e20_ e20_) <> (op2_ e20_ e21_) /\ ((op2_ e20_ e20_) <> (op2_ e20_ e22_) /\ ((op2_ e20_ e20_) <> (op2_ e20_ e23_) /\ ((op2_ e20_ e21_) <> (op2_ e20_ e22_) /\ ((op2_ e20_ e21_) <> (op2_ e20_ e23_) /\ ((op2_ e20_ e22_) <> (op2_ e20_ e23_) /\ ((op2_ e21_ e20_) <> (op2_ e21_ e21_) /\ ((op2_ e21_ e20_) <> (op2_ e21_ e22_) /\ ((op2_ e21_ e20_) <> (op2_ e21_ e23_) /\ ((op2_ e21_ e21_) <> (op2_ e21_ e22_) /\ ((op2_ e21_ e21_) <> (op2_ e21_ e23_) /\ ((op2_ e21_ e22_) <> (op2_ e21_ e23_) /\ ((op2_ e22_ e20_) <> (op2_ e22_ e21_) /\ ((op2_ e22_ e20_) <> (op2_ e22_ e22_) /\ ((op2_ e22_ e20_) <> (op2_ e22_ e23_) /\ ((op2_ e22_ e21_) <> (op2_ e22_ e22_) /\ ((op2_ e22_ e21_) <> (op2_ e22_ e23_) /\ ((op2_ e22_ e22_) <> (op2_ e22_ e23_) /\ ((op2_ e23_ e20_) <> (op2_ e23_ e21_) /\ ((op2_ e23_ e20_) <> (op2_ e23_ e22_) /\ ((op2_ e23_ e20_) <> (op2_ e23_ e23_) /\ ((op2_ e23_ e21_) <> (op2_ e23_ e22_) /\ ((op2_ e23_ e21_) <> (op2_ e23_ e23_) /\ (op2_ e23_ e22_) <> (op2_ e23_ e23_)))))))))))))))))))))))))))))))))))))))))))))))).
Variable ax19_19 : (e10_ <> e11_ /\ (e10_ <> e12_ /\ (e10_ <> e13_ /\ (e11_ <> e12_ /\ (e11_ <> e13_ /\ e12_ <> e13_))))).
Variable ax20_20 : (e20_ <> e21_ /\ (e20_ <> e22_ /\ (e20_ <> e23_ /\ (e21_ <> e22_ /\ (e21_ <> e23_ /\ e22_ <> e23_))))).
Variable ax21_21 : (e10_ <> e20_ /\ (e10_ <> e21_ /\ (e10_ <> e22_ /\ (e10_ <> e23_ /\ (e11_ <> e20_ /\ (e11_ <> e21_ /\ (e11_ <> e22_ /\ (e11_ <> e23_ /\ (e12_ <> e20_ /\ (e12_ <> e21_ /\ (e12_ <> e22_ /\ (e12_ <> e23_ /\ (e13_ <> e20_ /\ (e13_ <> e21_ /\ (e13_ <> e22_ /\ e13_ <> e23_))))))))))))))).
Variable ax22_22 : (((op1_ e10_ e10_) = e10_ /\ ((op1_ e11_ e11_) = e10_ /\ ((op1_ e12_ e12_) = e10_ /\ (op1_ e13_ e13_) = e10_))) \/ (((op1_ e10_ e10_) = e11_ /\ ((op1_ e11_ e11_) = e11_ /\ ((op1_ e12_ e12_) = e11_ /\ (op1_ e13_ e13_) = e11_))) \/ (((op1_ e10_ e10_) = e12_ /\ ((op1_ e11_ e11_) = e12_ /\ ((op1_ e12_ e12_) = e12_ /\ (op1_ e13_ e13_) = e12_))) \/ ((op1_ e10_ e10_) = e13_ /\ ((op1_ e11_ e11_) = e13_ /\ ((op1_ e12_ e12_) = e13_ /\ (op1_ e13_ e13_) = e13_)))))).
Variable ax23_23 : (((op2_ e20_ e20_) = e20_ /\ ((op2_ e21_ e21_) = e20_ /\ ((op2_ e22_ e22_) = e20_ /\ (op2_ e23_ e23_) = e20_))) \/ (((op2_ e20_ e20_) = e21_ /\ ((op2_ e21_ e21_) = e21_ /\ ((op2_ e22_ e22_) = e21_ /\ (op2_ e23_ e23_) = e21_))) \/ (((op2_ e20_ e20_) = e22_ /\ ((op2_ e21_ e21_) = e22_ /\ ((op2_ e22_ e22_) = e22_ /\ (op2_ e23_ e23_) = e22_))) \/ ((op2_ e20_ e20_) = e23_ /\ ((op2_ e21_ e21_) = e23_ /\ ((op2_ e22_ e22_) = e23_ /\ (op2_ e23_ e23_) = e23_)))))).
Variable ax24_24 : (e10_ = (op1_ e13_ e13_) /\ e11_ = (op1_ e12_ e13_)).
Variable ax25_25 : (e20_ = (op2_ e23_ e23_) /\ e21_ = (op2_ e22_ e23_)).
Variable ax26_26 : ((h1_ e12_) = e20_ /\ ((h1_ e13_) = e21_ /\ ((h1_ e10_) = (op2_ e21_ e21_) /\ (h1_ e11_) = (op2_ e20_ e21_)))).
Variable ax27_27 : ((h2_ e12_) = e20_ /\ ((h2_ e13_) = e22_ /\ ((h2_ e10_) = (op2_ e22_ e22_) /\ (h2_ e11_) = (op2_ e20_ e22_)))).
Variable ax28_28 : ((h3_ e12_) = e20_ /\ ((h3_ e13_) = e23_ /\ ((h3_ e10_) = (op2_ e23_ e23_) /\ (h3_ e11_) = (op2_ e20_ e23_)))).
Variable ax29_29 : ((h4_ e12_) = e21_ /\ ((h4_ e13_) = e20_ /\ ((h4_ e10_) = (op2_ e20_ e20_) /\ (h4_ e11_) = (op2_ e21_ e20_)))).
Variable ax30_30 : ((h5_ e12_) = e21_ /\ ((h5_ e13_) = e22_ /\ ((h5_ e10_) = (op2_ e22_ e22_) /\ (h5_ e11_) = (op2_ e21_ e22_)))).
Variable ax31_31 : ((h6_ e12_) = e21_ /\ ((h6_ e13_) = e23_ /\ ((h6_ e10_) = (op2_ e23_ e23_) /\ (h6_ e11_) = (op2_ e21_ e23_)))).
Variable ax32_32 : ((h7_ e12_) = e22_ /\ ((h7_ e13_) = e20_ /\ ((h7_ e10_) = (op2_ e20_ e20_) /\ (h7_ e11_) = (op2_ e22_ e20_)))).
Variable ax33_33 : ((h8_ e12_) = e22_ /\ ((h8_ e13_) = e21_ /\ ((h8_ e10_) = (op2_ e21_ e21_) /\ (h8_ e11_) = (op2_ e22_ e21_)))).
Variable ax34_34 : ((h9_ e12_) = e22_ /\ ((h9_ e13_) = e23_ /\ ((h9_ e10_) = (op2_ e23_ e23_) /\ (h9_ e11_) = (op2_ e22_ e23_)))).
Variable ax35_35 : ((h10_ e12_) = e23_ /\ ((h10_ e13_) = e20_ /\ ((h10_ e10_) = (op2_ e20_ e20_) /\ (h10_ e11_) = (op2_ e23_ e20_)))).
Variable ax36_36 : ((h11_ e12_) = e23_ /\ ((h11_ e13_) = e21_ /\ ((h11_ e10_) = (op2_ e21_ e21_) /\ (h11_ e11_) = (op2_ e23_ e21_)))).
Variable ax37_37 : ((h12_ e12_) = e23_ /\ ((h12_ e13_) = e22_ /\ ((h12_ e10_) = (op2_ e22_ e22_) /\ (h12_ e11_) = (op2_ e23_ e22_)))).

Set Firstorder Depth 10.

Theorem co1_38 : (((h1_ (op1_ e10_ e10_)) = (op2_ (h1_ e10_) (h1_ e10_)) /\ ((h1_ (op1_ e10_ e11_)) = (op2_ (h1_ e10_) (h1_ e11_)) /\ ((h1_ (op1_ e10_ e12_)) = (op2_ (h1_ e10_) (h1_ e12_)) /\ ((h1_ (op1_ e10_ e13_)) = (op2_ (h1_ e10_) (h1_ e13_)) /\ ((h1_ (op1_ e11_ e10_)) = (op2_ (h1_ e11_) (h1_ e10_)) /\ ((h1_ (op1_ e11_ e11_)) = (op2_ (h1_ e11_) (h1_ e11_)) /\ ((h1_ (op1_ e11_ e12_)) = (op2_ (h1_ e11_) (h1_ e12_)) /\ ((h1_ (op1_ e11_ e13_)) = (op2_ (h1_ e11_) (h1_ e13_)) /\ ((h1_ (op1_ e12_ e10_)) = (op2_ (h1_ e12_) (h1_ e10_)) /\ ((h1_ (op1_ e12_ e11_)) = (op2_ (h1_ e12_) (h1_ e11_)) /\ ((h1_ (op1_ e12_ e12_)) = (op2_ (h1_ e12_) (h1_ e12_)) /\ ((h1_ (op1_ e12_ e13_)) = (op2_ (h1_ e12_) (h1_ e13_)) /\ ((h1_ (op1_ e13_ e10_)) = (op2_ (h1_ e13_) (h1_ e10_)) /\ ((h1_ (op1_ e13_ e11_)) = (op2_ (h1_ e13_) (h1_ e11_)) /\ ((h1_ (op1_ e13_ e12_)) = (op2_ (h1_ e13_) (h1_ e12_)) /\ ((h1_ (op1_ e13_ e13_)) = (op2_ (h1_ e13_) (h1_ e13_)) /\ (((h1_ e10_) = e20_ \/ ((h1_ e11_) = e20_ \/ ((h1_ e12_) = e20_ \/ (h1_ e13_) = e20_))) /\ (((h1_ e10_) = e21_ \/ ((h1_ e11_) = e21_ \/ ((h1_ e12_) = e21_ \/ (h1_ e13_) = e21_))) /\ (((h1_ e10_) = e22_ \/ ((h1_ e11_) = e22_ \/ ((h1_ e12_) = e22_ \/ (h1_ e13_) = e22_))) /\ ((h1_ e10_) = e23_ \/ ((h1_ e11_) = e23_ \/ ((h1_ e12_) = e23_ \/ (h1_ e13_) = e23_)))))))))))))))))))))) \/ (((h2_ (op1_ e10_ e10_)) = (op2_ (h2_ e10_) (h2_ e10_)) /\ ((h2_ (op1_ e10_ e11_)) = (op2_ (h2_ e10_) (h2_ e11_)) /\ ((h2_ (op1_ e10_ e12_)) = (op2_ (h2_ e10_) (h2_ e12_)) /\ ((h2_ (op1_ e10_ e13_)) = (op2_ (h2_ e10_) (h2_ e13_)) /\ ((h2_ (op1_ e11_ e10_)) = (op2_ (h2_ e11_) (h2_ e10_)) /\ ((h2_ (op1_ e11_ e11_)) = (op2_ (h2_ e11_) (h2_ e11_)) /\ ((h2_ (op1_ e11_ e12_)) = (op2_ (h2_ e11_) (h2_ e12_)) /\ ((h2_ (op1_ e11_ e13_)) = (op2_ (h2_ e11_) (h2_ e13_)) /\ ((h2_ (op1_ e12_ e10_)) = (op2_ (h2_ e12_) (h2_ e10_)) /\ ((h2_ (op1_ e12_ e11_)) = (op2_ (h2_ e12_) (h2_ e11_)) /\ ((h2_ (op1_ e12_ e12_)) = (op2_ (h2_ e12_) (h2_ e12_)) /\ ((h2_ (op1_ e12_ e13_)) = (op2_ (h2_ e12_) (h2_ e13_)) /\ ((h2_ (op1_ e13_ e10_)) = (op2_ (h2_ e13_) (h2_ e10_)) /\ ((h2_ (op1_ e13_ e11_)) = (op2_ (h2_ e13_) (h2_ e11_)) /\ ((h2_ (op1_ e13_ e12_)) = (op2_ (h2_ e13_) (h2_ e12_)) /\ ((h2_ (op1_ e13_ e13_)) = (op2_ (h2_ e13_) (h2_ e13_)) /\ (((h2_ e10_) = e20_ \/ ((h2_ e11_) = e20_ \/ ((h2_ e12_) = e20_ \/ (h2_ e13_) = e20_))) /\ (((h2_ e10_) = e21_ \/ ((h2_ e11_) = e21_ \/ ((h2_ e12_) = e21_ \/ (h2_ e13_) = e21_))) /\ (((h2_ e10_) = e22_ \/ ((h2_ e11_) = e22_ \/ ((h2_ e12_) = e22_ \/ (h2_ e13_) = e22_))) /\ ((h2_ e10_) = e23_ \/ ((h2_ e11_) = e23_ \/ ((h2_ e12_) = e23_ \/ (h2_ e13_) = e23_)))))))))))))))))))))) \/ (((h3_ (op1_ e10_ e10_)) = (op2_ (h3_ e10_) (h3_ e10_)) /\ ((h3_ (op1_ e10_ e11_)) = (op2_ (h3_ e10_) (h3_ e11_)) /\ ((h3_ (op1_ e10_ e12_)) = (op2_ (h3_ e10_) (h3_ e12_)) /\ ((h3_ (op1_ e10_ e13_)) = (op2_ (h3_ e10_) (h3_ e13_)) /\ ((h3_ (op1_ e11_ e10_)) = (op2_ (h3_ e11_) (h3_ e10_)) /\ ((h3_ (op1_ e11_ e11_)) = (op2_ (h3_ e11_) (h3_ e11_)) /\ ((h3_ (op1_ e11_ e12_)) = (op2_ (h3_ e11_) (h3_ e12_)) /\ ((h3_ (op1_ e11_ e13_)) = (op2_ (h3_ e11_) (h3_ e13_)) /\ ((h3_ (op1_ e12_ e10_)) = (op2_ (h3_ e12_) (h3_ e10_)) /\ ((h3_ (op1_ e12_ e11_)) = (op2_ (h3_ e12_) (h3_ e11_)) /\ ((h3_ (op1_ e12_ e12_)) = (op2_ (h3_ e12_) (h3_ e12_)) /\ ((h3_ (op1_ e12_ e13_)) = (op2_ (h3_ e12_) (h3_ e13_)) /\ ((h3_ (op1_ e13_ e10_)) = (op2_ (h3_ e13_) (h3_ e10_)) /\ ((h3_ (op1_ e13_ e11_)) = (op2_ (h3_ e13_) (h3_ e11_)) /\ ((h3_ (op1_ e13_ e12_)) = (op2_ (h3_ e13_) (h3_ e12_)) /\ ((h3_ (op1_ e13_ e13_)) = (op2_ (h3_ e13_) (h3_ e13_)) /\ (((h3_ e10_) = e20_ \/ ((h3_ e11_) = e20_ \/ ((h3_ e12_) = e20_ \/ (h3_ e13_) = e20_))) /\ (((h3_ e10_) = e21_ \/ ((h3_ e11_) = e21_ \/ ((h3_ e12_) = e21_ \/ (h3_ e13_) = e21_))) /\ (((h3_ e10_) = e22_ \/ ((h3_ e11_) = e22_ \/ ((h3_ e12_) = e22_ \/ (h3_ e13_) = e22_))) /\ ((h3_ e10_) = e23_ \/ ((h3_ e11_) = e23_ \/ ((h3_ e12_) = e23_ \/ (h3_ e13_) = e23_)))))))))))))))))))))) \/ (((h4_ (op1_ e10_ e10_)) = (op2_ (h4_ e10_) (h4_ e10_)) /\ ((h4_ (op1_ e10_ e11_)) = (op2_ (h4_ e10_) (h4_ e11_)) /\ ((h4_ (op1_ e10_ e12_)) = (op2_ (h4_ e10_) (h4_ e12_)) /\ ((h4_ (op1_ e10_ e13_)) = (op2_ (h4_ e10_) (h4_ e13_)) /\ ((h4_ (op1_ e11_ e10_)) = (op2_ (h4_ e11_) (h4_ e10_)) /\ ((h4_ (op1_ e11_ e11_)) = (op2_ (h4_ e11_) (h4_ e11_)) /\ ((h4_ (op1_ e11_ e12_)) = (op2_ (h4_ e11_) (h4_ e12_)) /\ ((h4_ (op1_ e11_ e13_)) = (op2_ (h4_ e11_) (h4_ e13_)) /\ ((h4_ (op1_ e12_ e10_)) = (op2_ (h4_ e12_) (h4_ e10_)) /\ ((h4_ (op1_ e12_ e11_)) = (op2_ (h4_ e12_) (h4_ e11_)) /\ ((h4_ (op1_ e12_ e12_)) = (op2_ (h4_ e12_) (h4_ e12_)) /\ ((h4_ (op1_ e12_ e13_)) = (op2_ (h4_ e12_) (h4_ e13_)) /\ ((h4_ (op1_ e13_ e10_)) = (op2_ (h4_ e13_) (h4_ e10_)) /\ ((h4_ (op1_ e13_ e11_)) = (op2_ (h4_ e13_) (h4_ e11_)) /\ ((h4_ (op1_ e13_ e12_)) = (op2_ (h4_ e13_) (h4_ e12_)) /\ ((h4_ (op1_ e13_ e13_)) = (op2_ (h4_ e13_) (h4_ e13_)) /\ (((h4_ e10_) = e20_ \/ ((h4_ e11_) = e20_ \/ ((h4_ e12_) = e20_ \/ (h4_ e13_) = e20_))) /\ (((h4_ e10_) = e21_ \/ ((h4_ e11_) = e21_ \/ ((h4_ e12_) = e21_ \/ (h4_ e13_) = e21_))) /\ (((h4_ e10_) = e22_ \/ ((h4_ e11_) = e22_ \/ ((h4_ e12_) = e22_ \/ (h4_ e13_) = e22_))) /\ ((h4_ e10_) = e23_ \/ ((h4_ e11_) = e23_ \/ ((h4_ e12_) = e23_ \/ (h4_ e13_) = e23_)))))))))))))))))))))) \/ (((h5_ (op1_ e10_ e10_)) = (op2_ (h5_ e10_) (h5_ e10_)) /\ ((h5_ (op1_ e10_ e11_)) = (op2_ (h5_ e10_) (h5_ e11_)) /\ ((h5_ (op1_ e10_ e12_)) = (op2_ (h5_ e10_) (h5_ e12_)) /\ ((h5_ (op1_ e10_ e13_)) = (op2_ (h5_ e10_) (h5_ e13_)) /\ ((h5_ (op1_ e11_ e10_)) = (op2_ (h5_ e11_) (h5_ e10_)) /\ ((h5_ (op1_ e11_ e11_)) = (op2_ (h5_ e11_) (h5_ e11_)) /\ ((h5_ (op1_ e11_ e12_)) = (op2_ (h5_ e11_) (h5_ e12_)) /\ ((h5_ (op1_ e11_ e13_)) = (op2_ (h5_ e11_) (h5_ e13_)) /\ ((h5_ (op1_ e12_ e10_)) = (op2_ (h5_ e12_) (h5_ e10_)) /\ ((h5_ (op1_ e12_ e11_)) = (op2_ (h5_ e12_) (h5_ e11_)) /\ ((h5_ (op1_ e12_ e12_)) = (op2_ (h5_ e12_) (h5_ e12_)) /\ ((h5_ (op1_ e12_ e13_)) = (op2_ (h5_ e12_) (h5_ e13_)) /\ ((h5_ (op1_ e13_ e10_)) = (op2_ (h5_ e13_) (h5_ e10_)) /\ ((h5_ (op1_ e13_ e11_)) = (op2_ (h5_ e13_) (h5_ e11_)) /\ ((h5_ (op1_ e13_ e12_)) = (op2_ (h5_ e13_) (h5_ e12_)) /\ ((h5_ (op1_ e13_ e13_)) = (op2_ (h5_ e13_) (h5_ e13_)) /\ (((h5_ e10_) = e20_ \/ ((h5_ e11_) = e20_ \/ ((h5_ e12_) = e20_ \/ (h5_ e13_) = e20_))) /\ (((h5_ e10_) = e21_ \/ ((h5_ e11_) = e21_ \/ ((h5_ e12_) = e21_ \/ (h5_ e13_) = e21_))) /\ (((h5_ e10_) = e22_ \/ ((h5_ e11_) = e22_ \/ ((h5_ e12_) = e22_ \/ (h5_ e13_) = e22_))) /\ ((h5_ e10_) = e23_ \/ ((h5_ e11_) = e23_ \/ ((h5_ e12_) = e23_ \/ (h5_ e13_) = e23_)))))))))))))))))))))) \/ (((h6_ (op1_ e10_ e10_)) = (op2_ (h6_ e10_) (h6_ e10_)) /\ ((h6_ (op1_ e10_ e11_)) = (op2_ (h6_ e10_) (h6_ e11_)) /\ ((h6_ (op1_ e10_ e12_)) = (op2_ (h6_ e10_) (h6_ e12_)) /\ ((h6_ (op1_ e10_ e13_)) = (op2_ (h6_ e10_) (h6_ e13_)) /\ ((h6_ (op1_ e11_ e10_)) = (op2_ (h6_ e11_) (h6_ e10_)) /\ ((h6_ (op1_ e11_ e11_)) = (op2_ (h6_ e11_) (h6_ e11_)) /\ ((h6_ (op1_ e11_ e12_)) = (op2_ (h6_ e11_) (h6_ e12_)) /\ ((h6_ (op1_ e11_ e13_)) = (op2_ (h6_ e11_) (h6_ e13_)) /\ ((h6_ (op1_ e12_ e10_)) = (op2_ (h6_ e12_) (h6_ e10_)) /\ ((h6_ (op1_ e12_ e11_)) = (op2_ (h6_ e12_) (h6_ e11_)) /\ ((h6_ (op1_ e12_ e12_)) = (op2_ (h6_ e12_) (h6_ e12_)) /\ ((h6_ (op1_ e12_ e13_)) = (op2_ (h6_ e12_) (h6_ e13_)) /\ ((h6_ (op1_ e13_ e10_)) = (op2_ (h6_ e13_) (h6_ e10_)) /\ ((h6_ (op1_ e13_ e11_)) = (op2_ (h6_ e13_) (h6_ e11_)) /\ ((h6_ (op1_ e13_ e12_)) = (op2_ (h6_ e13_) (h6_ e12_)) /\ ((h6_ (op1_ e13_ e13_)) = (op2_ (h6_ e13_) (h6_ e13_)) /\ (((h6_ e10_) = e20_ \/ ((h6_ e11_) = e20_ \/ ((h6_ e12_) = e20_ \/ (h6_ e13_) = e20_))) /\ (((h6_ e10_) = e21_ \/ ((h6_ e11_) = e21_ \/ ((h6_ e12_) = e21_ \/ (h6_ e13_) = e21_))) /\ (((h6_ e10_) = e22_ \/ ((h6_ e11_) = e22_ \/ ((h6_ e12_) = e22_ \/ (h6_ e13_) = e22_))) /\ ((h6_ e10_) = e23_ \/ ((h6_ e11_) = e23_ \/ ((h6_ e12_) = e23_ \/ (h6_ e13_) = e23_)))))))))))))))))))))) \/ (((h7_ (op1_ e10_ e10_)) = (op2_ (h7_ e10_) (h7_ e10_)) /\ ((h7_ (op1_ e10_ e11_)) = (op2_ (h7_ e10_) (h7_ e11_)) /\ ((h7_ (op1_ e10_ e12_)) = (op2_ (h7_ e10_) (h7_ e12_)) /\ ((h7_ (op1_ e10_ e13_)) = (op2_ (h7_ e10_) (h7_ e13_)) /\ ((h7_ (op1_ e11_ e10_)) = (op2_ (h7_ e11_) (h7_ e10_)) /\ ((h7_ (op1_ e11_ e11_)) = (op2_ (h7_ e11_) (h7_ e11_)) /\ ((h7_ (op1_ e11_ e12_)) = (op2_ (h7_ e11_) (h7_ e12_)) /\ ((h7_ (op1_ e11_ e13_)) = (op2_ (h7_ e11_) (h7_ e13_)) /\ ((h7_ (op1_ e12_ e10_)) = (op2_ (h7_ e12_) (h7_ e10_)) /\ ((h7_ (op1_ e12_ e11_)) = (op2_ (h7_ e12_) (h7_ e11_)) /\ ((h7_ (op1_ e12_ e12_)) = (op2_ (h7_ e12_) (h7_ e12_)) /\ ((h7_ (op1_ e12_ e13_)) = (op2_ (h7_ e12_) (h7_ e13_)) /\ ((h7_ (op1_ e13_ e10_)) = (op2_ (h7_ e13_) (h7_ e10_)) /\ ((h7_ (op1_ e13_ e11_)) = (op2_ (h7_ e13_) (h7_ e11_)) /\ ((h7_ (op1_ e13_ e12_)) = (op2_ (h7_ e13_) (h7_ e12_)) /\ ((h7_ (op1_ e13_ e13_)) = (op2_ (h7_ e13_) (h7_ e13_)) /\ (((h7_ e10_) = e20_ \/ ((h7_ e11_) = e20_ \/ ((h7_ e12_) = e20_ \/ (h7_ e13_) = e20_))) /\ (((h7_ e10_) = e21_ \/ ((h7_ e11_) = e21_ \/ ((h7_ e12_) = e21_ \/ (h7_ e13_) = e21_))) /\ (((h7_ e10_) = e22_ \/ ((h7_ e11_) = e22_ \/ ((h7_ e12_) = e22_ \/ (h7_ e13_) = e22_))) /\ ((h7_ e10_) = e23_ \/ ((h7_ e11_) = e23_ \/ ((h7_ e12_) = e23_ \/ (h7_ e13_) = e23_)))))))))))))))))))))) \/ (((h8_ (op1_ e10_ e10_)) = (op2_ (h8_ e10_) (h8_ e10_)) /\ ((h8_ (op1_ e10_ e11_)) = (op2_ (h8_ e10_) (h8_ e11_)) /\ ((h8_ (op1_ e10_ e12_)) = (op2_ (h8_ e10_) (h8_ e12_)) /\ ((h8_ (op1_ e10_ e13_)) = (op2_ (h8_ e10_) (h8_ e13_)) /\ ((h8_ (op1_ e11_ e10_)) = (op2_ (h8_ e11_) (h8_ e10_)) /\ ((h8_ (op1_ e11_ e11_)) = (op2_ (h8_ e11_) (h8_ e11_)) /\ ((h8_ (op1_ e11_ e12_)) = (op2_ (h8_ e11_) (h8_ e12_)) /\ ((h8_ (op1_ e11_ e13_)) = (op2_ (h8_ e11_) (h8_ e13_)) /\ ((h8_ (op1_ e12_ e10_)) = (op2_ (h8_ e12_) (h8_ e10_)) /\ ((h8_ (op1_ e12_ e11_)) = (op2_ (h8_ e12_) (h8_ e11_)) /\ ((h8_ (op1_ e12_ e12_)) = (op2_ (h8_ e12_) (h8_ e12_)) /\ ((h8_ (op1_ e12_ e13_)) = (op2_ (h8_ e12_) (h8_ e13_)) /\ ((h8_ (op1_ e13_ e10_)) = (op2_ (h8_ e13_) (h8_ e10_)) /\ ((h8_ (op1_ e13_ e11_)) = (op2_ (h8_ e13_) (h8_ e11_)) /\ ((h8_ (op1_ e13_ e12_)) = (op2_ (h8_ e13_) (h8_ e12_)) /\ ((h8_ (op1_ e13_ e13_)) = (op2_ (h8_ e13_) (h8_ e13_)) /\ (((h8_ e10_) = e20_ \/ ((h8_ e11_) = e20_ \/ ((h8_ e12_) = e20_ \/ (h8_ e13_) = e20_))) /\ (((h8_ e10_) = e21_ \/ ((h8_ e11_) = e21_ \/ ((h8_ e12_) = e21_ \/ (h8_ e13_) = e21_))) /\ (((h8_ e10_) = e22_ \/ ((h8_ e11_) = e22_ \/ ((h8_ e12_) = e22_ \/ (h8_ e13_) = e22_))) /\ ((h8_ e10_) = e23_ \/ ((h8_ e11_) = e23_ \/ ((h8_ e12_) = e23_ \/ (h8_ e13_) = e23_)))))))))))))))))))))) \/ (((h9_ (op1_ e10_ e10_)) = (op2_ (h9_ e10_) (h9_ e10_)) /\ ((h9_ (op1_ e10_ e11_)) = (op2_ (h9_ e10_) (h9_ e11_)) /\ ((h9_ (op1_ e10_ e12_)) = (op2_ (h9_ e10_) (h9_ e12_)) /\ ((h9_ (op1_ e10_ e13_)) = (op2_ (h9_ e10_) (h9_ e13_)) /\ ((h9_ (op1_ e11_ e10_)) = (op2_ (h9_ e11_) (h9_ e10_)) /\ ((h9_ (op1_ e11_ e11_)) = (op2_ (h9_ e11_) (h9_ e11_)) /\ ((h9_ (op1_ e11_ e12_)) = (op2_ (h9_ e11_) (h9_ e12_)) /\ ((h9_ (op1_ e11_ e13_)) = (op2_ (h9_ e11_) (h9_ e13_)) /\ ((h9_ (op1_ e12_ e10_)) = (op2_ (h9_ e12_) (h9_ e10_)) /\ ((h9_ (op1_ e12_ e11_)) = (op2_ (h9_ e12_) (h9_ e11_)) /\ ((h9_ (op1_ e12_ e12_)) = (op2_ (h9_ e12_) (h9_ e12_)) /\ ((h9_ (op1_ e12_ e13_)) = (op2_ (h9_ e12_) (h9_ e13_)) /\ ((h9_ (op1_ e13_ e10_)) = (op2_ (h9_ e13_) (h9_ e10_)) /\ ((h9_ (op1_ e13_ e11_)) = (op2_ (h9_ e13_) (h9_ e11_)) /\ ((h9_ (op1_ e13_ e12_)) = (op2_ (h9_ e13_) (h9_ e12_)) /\ ((h9_ (op1_ e13_ e13_)) = (op2_ (h9_ e13_) (h9_ e13_)) /\ (((h9_ e10_) = e20_ \/ ((h9_ e11_) = e20_ \/ ((h9_ e12_) = e20_ \/ (h9_ e13_) = e20_))) /\ (((h9_ e10_) = e21_ \/ ((h9_ e11_) = e21_ \/ ((h9_ e12_) = e21_ \/ (h9_ e13_) = e21_))) /\ (((h9_ e10_) = e22_ \/ ((h9_ e11_) = e22_ \/ ((h9_ e12_) = e22_ \/ (h9_ e13_) = e22_))) /\ ((h9_ e10_) = e23_ \/ ((h9_ e11_) = e23_ \/ ((h9_ e12_) = e23_ \/ (h9_ e13_) = e23_)))))))))))))))))))))) \/ (((h10_ (op1_ e10_ e10_)) = (op2_ (h10_ e10_) (h10_ e10_)) /\ ((h10_ (op1_ e10_ e11_)) = (op2_ (h10_ e10_) (h10_ e11_)) /\ ((h10_ (op1_ e10_ e12_)) = (op2_ (h10_ e10_) (h10_ e12_)) /\ ((h10_ (op1_ e10_ e13_)) = (op2_ (h10_ e10_) (h10_ e13_)) /\ ((h10_ (op1_ e11_ e10_)) = (op2_ (h10_ e11_) (h10_ e10_)) /\ ((h10_ (op1_ e11_ e11_)) = (op2_ (h10_ e11_) (h10_ e11_)) /\ ((h10_ (op1_ e11_ e12_)) = (op2_ (h10_ e11_) (h10_ e12_)) /\ ((h10_ (op1_ e11_ e13_)) = (op2_ (h10_ e11_) (h10_ e13_)) /\ ((h10_ (op1_ e12_ e10_)) = (op2_ (h10_ e12_) (h10_ e10_)) /\ ((h10_ (op1_ e12_ e11_)) = (op2_ (h10_ e12_) (h10_ e11_)) /\ ((h10_ (op1_ e12_ e12_)) = (op2_ (h10_ e12_) (h10_ e12_)) /\ ((h10_ (op1_ e12_ e13_)) = (op2_ (h10_ e12_) (h10_ e13_)) /\ ((h10_ (op1_ e13_ e10_)) = (op2_ (h10_ e13_) (h10_ e10_)) /\ ((h10_ (op1_ e13_ e11_)) = (op2_ (h10_ e13_) (h10_ e11_)) /\ ((h10_ (op1_ e13_ e12_)) = (op2_ (h10_ e13_) (h10_ e12_)) /\ ((h10_ (op1_ e13_ e13_)) = (op2_ (h10_ e13_) (h10_ e13_)) /\ (((h10_ e10_) = e20_ \/ ((h10_ e11_) = e20_ \/ ((h10_ e12_) = e20_ \/ (h10_ e13_) = e20_))) /\ (((h10_ e10_) = e21_ \/ ((h10_ e11_) = e21_ \/ ((h10_ e12_) = e21_ \/ (h10_ e13_) = e21_))) /\ (((h10_ e10_) = e22_ \/ ((h10_ e11_) = e22_ \/ ((h10_ e12_) = e22_ \/ (h10_ e13_) = e22_))) /\ ((h10_ e10_) = e23_ \/ ((h10_ e11_) = e23_ \/ ((h10_ e12_) = e23_ \/ (h10_ e13_) = e23_)))))))))))))))))))))) \/ (((h11_ (op1_ e10_ e10_)) = (op2_ (h11_ e10_) (h11_ e10_)) /\ ((h11_ (op1_ e10_ e11_)) = (op2_ (h11_ e10_) (h11_ e11_)) /\ ((h11_ (op1_ e10_ e12_)) = (op2_ (h11_ e10_) (h11_ e12_)) /\ ((h11_ (op1_ e10_ e13_)) = (op2_ (h11_ e10_) (h11_ e13_)) /\ ((h11_ (op1_ e11_ e10_)) = (op2_ (h11_ e11_) (h11_ e10_)) /\ ((h11_ (op1_ e11_ e11_)) = (op2_ (h11_ e11_) (h11_ e11_)) /\ ((h11_ (op1_ e11_ e12_)) = (op2_ (h11_ e11_) (h11_ e12_)) /\ ((h11_ (op1_ e11_ e13_)) = (op2_ (h11_ e11_) (h11_ e13_)) /\ ((h11_ (op1_ e12_ e10_)) = (op2_ (h11_ e12_) (h11_ e10_)) /\ ((h11_ (op1_ e12_ e11_)) = (op2_ (h11_ e12_) (h11_ e11_)) /\ ((h11_ (op1_ e12_ e12_)) = (op2_ (h11_ e12_) (h11_ e12_)) /\ ((h11_ (op1_ e12_ e13_)) = (op2_ (h11_ e12_) (h11_ e13_)) /\ ((h11_ (op1_ e13_ e10_)) = (op2_ (h11_ e13_) (h11_ e10_)) /\ ((h11_ (op1_ e13_ e11_)) = (op2_ (h11_ e13_) (h11_ e11_)) /\ ((h11_ (op1_ e13_ e12_)) = (op2_ (h11_ e13_) (h11_ e12_)) /\ ((h11_ (op1_ e13_ e13_)) = (op2_ (h11_ e13_) (h11_ e13_)) /\ (((h11_ e10_) = e20_ \/ ((h11_ e11_) = e20_ \/ ((h11_ e12_) = e20_ \/ (h11_ e13_) = e20_))) /\ (((h11_ e10_) = e21_ \/ ((h11_ e11_) = e21_ \/ ((h11_ e12_) = e21_ \/ (h11_ e13_) = e21_))) /\ (((h11_ e10_) = e22_ \/ ((h11_ e11_) = e22_ \/ ((h11_ e12_) = e22_ \/ (h11_ e13_) = e22_))) /\ ((h11_ e10_) = e23_ \/ ((h11_ e11_) = e23_ \/ ((h11_ e12_) = e23_ \/ (h11_ e13_) = e23_)))))))))))))))))))))) \/ ((h12_ (op1_ e10_ e10_)) = (op2_ (h12_ e10_) (h12_ e10_)) /\ ((h12_ (op1_ e10_ e11_)) = (op2_ (h12_ e10_) (h12_ e11_)) /\ ((h12_ (op1_ e10_ e12_)) = (op2_ (h12_ e10_) (h12_ e12_)) /\ ((h12_ (op1_ e10_ e13_)) = (op2_ (h12_ e10_) (h12_ e13_)) /\ ((h12_ (op1_ e11_ e10_)) = (op2_ (h12_ e11_) (h12_ e10_)) /\ ((h12_ (op1_ e11_ e11_)) = (op2_ (h12_ e11_) (h12_ e11_)) /\ ((h12_ (op1_ e11_ e12_)) = (op2_ (h12_ e11_) (h12_ e12_)) /\ ((h12_ (op1_ e11_ e13_)) = (op2_ (h12_ e11_) (h12_ e13_)) /\ ((h12_ (op1_ e12_ e10_)) = (op2_ (h12_ e12_) (h12_ e10_)) /\ ((h12_ (op1_ e12_ e11_)) = (op2_ (h12_ e12_) (h12_ e11_)) /\ ((h12_ (op1_ e12_ e12_)) = (op2_ (h12_ e12_) (h12_ e12_)) /\ ((h12_ (op1_ e12_ e13_)) = (op2_ (h12_ e12_) (h12_ e13_)) /\ ((h12_ (op1_ e13_ e10_)) = (op2_ (h12_ e13_) (h12_ e10_)) /\ ((h12_ (op1_ e13_ e11_)) = (op2_ (h12_ e13_) (h12_ e11_)) /\ ((h12_ (op1_ e13_ e12_)) = (op2_ (h12_ e13_) (h12_ e12_)) /\ ((h12_ (op1_ e13_ e13_)) = (op2_ (h12_ e13_) (h12_ e13_)) /\ (((h12_ e10_) = e20_ \/ ((h12_ e11_) = e20_ \/ ((h12_ e12_) = e20_ \/ (h12_ e13_) = e20_))) /\ (((h12_ e10_) = e21_ \/ ((h12_ e11_) = e21_ \/ ((h12_ e12_) = e21_ \/ (h12_ e13_) = e21_))) /\ (((h12_ e10_) = e22_ \/ ((h12_ e11_) = e22_ \/ ((h12_ e12_) = e22_ \/ (h12_ e13_) = e22_))) /\ ((h12_ e10_) = e23_ \/ ((h12_ e11_) = e23_ \/ ((h12_ e12_) = e23_ \/ (h12_ e13_) = e23_))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
