(*
% File     : ALG027+1 : ILTP v1.1.2
% Domain   : General Algebra
% Problem  : Groups 6: CPROPS-ISO-COMPLETE-PROBLEM-2
% Version  : Especial.
% English  : 
% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 
% Status   : Theorem
% Rating   : 0.89 v3.1.0, 0.75 v2.7.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :   56 (   2 unit)
%            Number of atoms       : 4030 (4030 equality)
%            Maximal formula depth :  216 (  27 average)
%            Number of connectives : 4432 ( 458 ~  ;1359  |;2543  &)
%                                         (   0 <=>;  72 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :   48 (  14 constant; 0-2 arity)
%            Number of variables   :    0 (   0 singleton;   0 !;   0 ?)
%            Maximal term depth    :    5 (   2 average)
% Comments : 
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable EqTransitivity : forall x y z : Universe, x = y -> y = z -> x = z.
Variable EqSymmetry : forall x y : Universe, x = y -> y = x.
Variable EqReflexivity : forall x : Universe, x = x.

Variable unit2_ : Universe.
Variable unit1_ : Universe.
Variable op2_ : Universe -> Universe -> Universe.
Variable EqCongruence_op2 : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> op2_ x1 x2 = op2_ y1 y2 .
Variable op1_ : Universe -> Universe -> Universe.
Variable EqCongruence_op1 : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> op1_ x1 x2 = op1_ y1 y2 .
Variable inv2_ : Universe -> Universe.
Variable EqCongruence_inv2 : forall x1 y1 : Universe, x1 = y1 -> inv2_ x1 = inv2_ y1 .
Variable inv1_ : Universe -> Universe.
Variable EqCongruence_inv1 : forall x1 y1 : Universe, x1 = y1 -> inv1_ x1 = inv1_ y1 .
Variable h9_ : Universe -> Universe.
Variable EqCongruence_h9 : forall x1 y1 : Universe, x1 = y1 -> h9_ x1 = h9_ y1 .
Variable h8_ : Universe -> Universe.
Variable EqCongruence_h8 : forall x1 y1 : Universe, x1 = y1 -> h8_ x1 = h8_ y1 .
Variable h7_ : Universe -> Universe.
Variable EqCongruence_h7 : forall x1 y1 : Universe, x1 = y1 -> h7_ x1 = h7_ y1 .
Variable h6_ : Universe -> Universe.
Variable EqCongruence_h6 : forall x1 y1 : Universe, x1 = y1 -> h6_ x1 = h6_ y1 .
Variable h5_ : Universe -> Universe.
Variable EqCongruence_h5 : forall x1 y1 : Universe, x1 = y1 -> h5_ x1 = h5_ y1 .
Variable h4_ : Universe -> Universe.
Variable EqCongruence_h4 : forall x1 y1 : Universe, x1 = y1 -> h4_ x1 = h4_ y1 .
Variable h30_ : Universe -> Universe.
Variable EqCongruence_h30 : forall x1 y1 : Universe, x1 = y1 -> h30_ x1 = h30_ y1 .
Variable h3_ : Universe -> Universe.
Variable EqCongruence_h3 : forall x1 y1 : Universe, x1 = y1 -> h3_ x1 = h3_ y1 .
Variable h29_ : Universe -> Universe.
Variable EqCongruence_h29 : forall x1 y1 : Universe, x1 = y1 -> h29_ x1 = h29_ y1 .
Variable h28_ : Universe -> Universe.
Variable EqCongruence_h28 : forall x1 y1 : Universe, x1 = y1 -> h28_ x1 = h28_ y1 .
Variable h27_ : Universe -> Universe.
Variable EqCongruence_h27 : forall x1 y1 : Universe, x1 = y1 -> h27_ x1 = h27_ y1 .
Variable h26_ : Universe -> Universe.
Variable EqCongruence_h26 : forall x1 y1 : Universe, x1 = y1 -> h26_ x1 = h26_ y1 .
Variable h25_ : Universe -> Universe.
Variable EqCongruence_h25 : forall x1 y1 : Universe, x1 = y1 -> h25_ x1 = h25_ y1 .
Variable h24_ : Universe -> Universe.
Variable EqCongruence_h24 : forall x1 y1 : Universe, x1 = y1 -> h24_ x1 = h24_ y1 .
Variable h23_ : Universe -> Universe.
Variable EqCongruence_h23 : forall x1 y1 : Universe, x1 = y1 -> h23_ x1 = h23_ y1 .
Variable h22_ : Universe -> Universe.
Variable EqCongruence_h22 : forall x1 y1 : Universe, x1 = y1 -> h22_ x1 = h22_ y1 .
Variable h21_ : Universe -> Universe.
Variable EqCongruence_h21 : forall x1 y1 : Universe, x1 = y1 -> h21_ x1 = h21_ y1 .
Variable h20_ : Universe -> Universe.
Variable EqCongruence_h20 : forall x1 y1 : Universe, x1 = y1 -> h20_ x1 = h20_ y1 .
Variable h2_ : Universe -> Universe.
Variable EqCongruence_h2 : forall x1 y1 : Universe, x1 = y1 -> h2_ x1 = h2_ y1 .
Variable h19_ : Universe -> Universe.
Variable EqCongruence_h19 : forall x1 y1 : Universe, x1 = y1 -> h19_ x1 = h19_ y1 .
Variable h18_ : Universe -> Universe.
Variable EqCongruence_h18 : forall x1 y1 : Universe, x1 = y1 -> h18_ x1 = h18_ y1 .
Variable h17_ : Universe -> Universe.
Variable EqCongruence_h17 : forall x1 y1 : Universe, x1 = y1 -> h17_ x1 = h17_ y1 .
Variable h16_ : Universe -> Universe.
Variable EqCongruence_h16 : forall x1 y1 : Universe, x1 = y1 -> h16_ x1 = h16_ y1 .
Variable h15_ : Universe -> Universe.
Variable EqCongruence_h15 : forall x1 y1 : Universe, x1 = y1 -> h15_ x1 = h15_ y1 .
Variable h14_ : Universe -> Universe.
Variable EqCongruence_h14 : forall x1 y1 : Universe, x1 = y1 -> h14_ x1 = h14_ y1 .
Variable h13_ : Universe -> Universe.
Variable EqCongruence_h13 : forall x1 y1 : Universe, x1 = y1 -> h13_ x1 = h13_ y1 .
Variable h12_ : Universe -> Universe.
Variable EqCongruence_h12 : forall x1 y1 : Universe, x1 = y1 -> h12_ x1 = h12_ y1 .
Variable h11_ : Universe -> Universe.
Variable EqCongruence_h11 : forall x1 y1 : Universe, x1 = y1 -> h11_ x1 = h11_ y1 .
Variable h10_ : Universe -> Universe.
Variable EqCongruence_h10 : forall x1 y1 : Universe, x1 = y1 -> h10_ x1 = h10_ y1 .
Variable h1_ : Universe -> Universe.
Variable EqCongruence_h1 : forall x1 y1 : Universe, x1 = y1 -> h1_ x1 = h1_ y1 .
Variable e25_ : Universe.
Variable e24_ : Universe.
Variable e23_ : Universe.
Variable e22_ : Universe.
Variable e21_ : Universe.
Variable e20_ : Universe.
Variable e15_ : Universe.
Variable e14_ : Universe.
Variable e13_ : Universe.
Variable e12_ : Universe.
Variable e11_ : Universe.
Variable e10_ : Universe.

Variable ax1_1 : (((op1_ e10_ e10_) = e10_ \/ ((op1_ e10_ e10_) = e11_ \/ ((op1_ e10_ e10_) = e12_ \/ ((op1_ e10_ e10_) = e13_ \/ ((op1_ e10_ e10_) = e14_ \/ (op1_ e10_ e10_) = e15_))))) /\ (((op1_ e10_ e11_) = e10_ \/ ((op1_ e10_ e11_) = e11_ \/ ((op1_ e10_ e11_) = e12_ \/ ((op1_ e10_ e11_) = e13_ \/ ((op1_ e10_ e11_) = e14_ \/ (op1_ e10_ e11_) = e15_))))) /\ (((op1_ e10_ e12_) = e10_ \/ ((op1_ e10_ e12_) = e11_ \/ ((op1_ e10_ e12_) = e12_ \/ ((op1_ e10_ e12_) = e13_ \/ ((op1_ e10_ e12_) = e14_ \/ (op1_ e10_ e12_) = e15_))))) /\ (((op1_ e10_ e13_) = e10_ \/ ((op1_ e10_ e13_) = e11_ \/ ((op1_ e10_ e13_) = e12_ \/ ((op1_ e10_ e13_) = e13_ \/ ((op1_ e10_ e13_) = e14_ \/ (op1_ e10_ e13_) = e15_))))) /\ (((op1_ e10_ e14_) = e10_ \/ ((op1_ e10_ e14_) = e11_ \/ ((op1_ e10_ e14_) = e12_ \/ ((op1_ e10_ e14_) = e13_ \/ ((op1_ e10_ e14_) = e14_ \/ (op1_ e10_ e14_) = e15_))))) /\ (((op1_ e10_ e15_) = e10_ \/ ((op1_ e10_ e15_) = e11_ \/ ((op1_ e10_ e15_) = e12_ \/ ((op1_ e10_ e15_) = e13_ \/ ((op1_ e10_ e15_) = e14_ \/ (op1_ e10_ e15_) = e15_))))) /\ (((op1_ e11_ e10_) = e10_ \/ ((op1_ e11_ e10_) = e11_ \/ ((op1_ e11_ e10_) = e12_ \/ ((op1_ e11_ e10_) = e13_ \/ ((op1_ e11_ e10_) = e14_ \/ (op1_ e11_ e10_) = e15_))))) /\ (((op1_ e11_ e11_) = e10_ \/ ((op1_ e11_ e11_) = e11_ \/ ((op1_ e11_ e11_) = e12_ \/ ((op1_ e11_ e11_) = e13_ \/ ((op1_ e11_ e11_) = e14_ \/ (op1_ e11_ e11_) = e15_))))) /\ (((op1_ e11_ e12_) = e10_ \/ ((op1_ e11_ e12_) = e11_ \/ ((op1_ e11_ e12_) = e12_ \/ ((op1_ e11_ e12_) = e13_ \/ ((op1_ e11_ e12_) = e14_ \/ (op1_ e11_ e12_) = e15_))))) /\ (((op1_ e11_ e13_) = e10_ \/ ((op1_ e11_ e13_) = e11_ \/ ((op1_ e11_ e13_) = e12_ \/ ((op1_ e11_ e13_) = e13_ \/ ((op1_ e11_ e13_) = e14_ \/ (op1_ e11_ e13_) = e15_))))) /\ (((op1_ e11_ e14_) = e10_ \/ ((op1_ e11_ e14_) = e11_ \/ ((op1_ e11_ e14_) = e12_ \/ ((op1_ e11_ e14_) = e13_ \/ ((op1_ e11_ e14_) = e14_ \/ (op1_ e11_ e14_) = e15_))))) /\ (((op1_ e11_ e15_) = e10_ \/ ((op1_ e11_ e15_) = e11_ \/ ((op1_ e11_ e15_) = e12_ \/ ((op1_ e11_ e15_) = e13_ \/ ((op1_ e11_ e15_) = e14_ \/ (op1_ e11_ e15_) = e15_))))) /\ (((op1_ e12_ e10_) = e10_ \/ ((op1_ e12_ e10_) = e11_ \/ ((op1_ e12_ e10_) = e12_ \/ ((op1_ e12_ e10_) = e13_ \/ ((op1_ e12_ e10_) = e14_ \/ (op1_ e12_ e10_) = e15_))))) /\ (((op1_ e12_ e11_) = e10_ \/ ((op1_ e12_ e11_) = e11_ \/ ((op1_ e12_ e11_) = e12_ \/ ((op1_ e12_ e11_) = e13_ \/ ((op1_ e12_ e11_) = e14_ \/ (op1_ e12_ e11_) = e15_))))) /\ (((op1_ e12_ e12_) = e10_ \/ ((op1_ e12_ e12_) = e11_ \/ ((op1_ e12_ e12_) = e12_ \/ ((op1_ e12_ e12_) = e13_ \/ ((op1_ e12_ e12_) = e14_ \/ (op1_ e12_ e12_) = e15_))))) /\ (((op1_ e12_ e13_) = e10_ \/ ((op1_ e12_ e13_) = e11_ \/ ((op1_ e12_ e13_) = e12_ \/ ((op1_ e12_ e13_) = e13_ \/ ((op1_ e12_ e13_) = e14_ \/ (op1_ e12_ e13_) = e15_))))) /\ (((op1_ e12_ e14_) = e10_ \/ ((op1_ e12_ e14_) = e11_ \/ ((op1_ e12_ e14_) = e12_ \/ ((op1_ e12_ e14_) = e13_ \/ ((op1_ e12_ e14_) = e14_ \/ (op1_ e12_ e14_) = e15_))))) /\ (((op1_ e12_ e15_) = e10_ \/ ((op1_ e12_ e15_) = e11_ \/ ((op1_ e12_ e15_) = e12_ \/ ((op1_ e12_ e15_) = e13_ \/ ((op1_ e12_ e15_) = e14_ \/ (op1_ e12_ e15_) = e15_))))) /\ (((op1_ e13_ e10_) = e10_ \/ ((op1_ e13_ e10_) = e11_ \/ ((op1_ e13_ e10_) = e12_ \/ ((op1_ e13_ e10_) = e13_ \/ ((op1_ e13_ e10_) = e14_ \/ (op1_ e13_ e10_) = e15_))))) /\ (((op1_ e13_ e11_) = e10_ \/ ((op1_ e13_ e11_) = e11_ \/ ((op1_ e13_ e11_) = e12_ \/ ((op1_ e13_ e11_) = e13_ \/ ((op1_ e13_ e11_) = e14_ \/ (op1_ e13_ e11_) = e15_))))) /\ (((op1_ e13_ e12_) = e10_ \/ ((op1_ e13_ e12_) = e11_ \/ ((op1_ e13_ e12_) = e12_ \/ ((op1_ e13_ e12_) = e13_ \/ ((op1_ e13_ e12_) = e14_ \/ (op1_ e13_ e12_) = e15_))))) /\ (((op1_ e13_ e13_) = e10_ \/ ((op1_ e13_ e13_) = e11_ \/ ((op1_ e13_ e13_) = e12_ \/ ((op1_ e13_ e13_) = e13_ \/ ((op1_ e13_ e13_) = e14_ \/ (op1_ e13_ e13_) = e15_))))) /\ (((op1_ e13_ e14_) = e10_ \/ ((op1_ e13_ e14_) = e11_ \/ ((op1_ e13_ e14_) = e12_ \/ ((op1_ e13_ e14_) = e13_ \/ ((op1_ e13_ e14_) = e14_ \/ (op1_ e13_ e14_) = e15_))))) /\ (((op1_ e13_ e15_) = e10_ \/ ((op1_ e13_ e15_) = e11_ \/ ((op1_ e13_ e15_) = e12_ \/ ((op1_ e13_ e15_) = e13_ \/ ((op1_ e13_ e15_) = e14_ \/ (op1_ e13_ e15_) = e15_))))) /\ (((op1_ e14_ e10_) = e10_ \/ ((op1_ e14_ e10_) = e11_ \/ ((op1_ e14_ e10_) = e12_ \/ ((op1_ e14_ e10_) = e13_ \/ ((op1_ e14_ e10_) = e14_ \/ (op1_ e14_ e10_) = e15_))))) /\ (((op1_ e14_ e11_) = e10_ \/ ((op1_ e14_ e11_) = e11_ \/ ((op1_ e14_ e11_) = e12_ \/ ((op1_ e14_ e11_) = e13_ \/ ((op1_ e14_ e11_) = e14_ \/ (op1_ e14_ e11_) = e15_))))) /\ (((op1_ e14_ e12_) = e10_ \/ ((op1_ e14_ e12_) = e11_ \/ ((op1_ e14_ e12_) = e12_ \/ ((op1_ e14_ e12_) = e13_ \/ ((op1_ e14_ e12_) = e14_ \/ (op1_ e14_ e12_) = e15_))))) /\ (((op1_ e14_ e13_) = e10_ \/ ((op1_ e14_ e13_) = e11_ \/ ((op1_ e14_ e13_) = e12_ \/ ((op1_ e14_ e13_) = e13_ \/ ((op1_ e14_ e13_) = e14_ \/ (op1_ e14_ e13_) = e15_))))) /\ (((op1_ e14_ e14_) = e10_ \/ ((op1_ e14_ e14_) = e11_ \/ ((op1_ e14_ e14_) = e12_ \/ ((op1_ e14_ e14_) = e13_ \/ ((op1_ e14_ e14_) = e14_ \/ (op1_ e14_ e14_) = e15_))))) /\ (((op1_ e14_ e15_) = e10_ \/ ((op1_ e14_ e15_) = e11_ \/ ((op1_ e14_ e15_) = e12_ \/ ((op1_ e14_ e15_) = e13_ \/ ((op1_ e14_ e15_) = e14_ \/ (op1_ e14_ e15_) = e15_))))) /\ (((op1_ e15_ e10_) = e10_ \/ ((op1_ e15_ e10_) = e11_ \/ ((op1_ e15_ e10_) = e12_ \/ ((op1_ e15_ e10_) = e13_ \/ ((op1_ e15_ e10_) = e14_ \/ (op1_ e15_ e10_) = e15_))))) /\ (((op1_ e15_ e11_) = e10_ \/ ((op1_ e15_ e11_) = e11_ \/ ((op1_ e15_ e11_) = e12_ \/ ((op1_ e15_ e11_) = e13_ \/ ((op1_ e15_ e11_) = e14_ \/ (op1_ e15_ e11_) = e15_))))) /\ (((op1_ e15_ e12_) = e10_ \/ ((op1_ e15_ e12_) = e11_ \/ ((op1_ e15_ e12_) = e12_ \/ ((op1_ e15_ e12_) = e13_ \/ ((op1_ e15_ e12_) = e14_ \/ (op1_ e15_ e12_) = e15_))))) /\ (((op1_ e15_ e13_) = e10_ \/ ((op1_ e15_ e13_) = e11_ \/ ((op1_ e15_ e13_) = e12_ \/ ((op1_ e15_ e13_) = e13_ \/ ((op1_ e15_ e13_) = e14_ \/ (op1_ e15_ e13_) = e15_))))) /\ (((op1_ e15_ e14_) = e10_ \/ ((op1_ e15_ e14_) = e11_ \/ ((op1_ e15_ e14_) = e12_ \/ ((op1_ e15_ e14_) = e13_ \/ ((op1_ e15_ e14_) = e14_ \/ (op1_ e15_ e14_) = e15_))))) /\ ((op1_ e15_ e15_) = e10_ \/ ((op1_ e15_ e15_) = e11_ \/ ((op1_ e15_ e15_) = e12_ \/ ((op1_ e15_ e15_) = e13_ \/ ((op1_ e15_ e15_) = e14_ \/ (op1_ e15_ e15_) = e15_)))))))))))))))))))))))))))))))))))))))).
Variable ax2_2 : ((op1_ (op1_ e10_ e10_) e10_) = (op1_ e10_ (op1_ e10_ e10_)) /\ ((op1_ (op1_ e10_ e10_) e11_) = (op1_ e10_ (op1_ e10_ e11_)) /\ ((op1_ (op1_ e10_ e10_) e12_) = (op1_ e10_ (op1_ e10_ e12_)) /\ ((op1_ (op1_ e10_ e10_) e13_) = (op1_ e10_ (op1_ e10_ e13_)) /\ ((op1_ (op1_ e10_ e10_) e14_) = (op1_ e10_ (op1_ e10_ e14_)) /\ ((op1_ (op1_ e10_ e10_) e15_) = (op1_ e10_ (op1_ e10_ e15_)) /\ ((op1_ (op1_ e10_ e11_) e10_) = (op1_ e10_ (op1_ e11_ e10_)) /\ ((op1_ (op1_ e10_ e11_) e11_) = (op1_ e10_ (op1_ e11_ e11_)) /\ ((op1_ (op1_ e10_ e11_) e12_) = (op1_ e10_ (op1_ e11_ e12_)) /\ ((op1_ (op1_ e10_ e11_) e13_) = (op1_ e10_ (op1_ e11_ e13_)) /\ ((op1_ (op1_ e10_ e11_) e14_) = (op1_ e10_ (op1_ e11_ e14_)) /\ ((op1_ (op1_ e10_ e11_) e15_) = (op1_ e10_ (op1_ e11_ e15_)) /\ ((op1_ (op1_ e10_ e12_) e10_) = (op1_ e10_ (op1_ e12_ e10_)) /\ ((op1_ (op1_ e10_ e12_) e11_) = (op1_ e10_ (op1_ e12_ e11_)) /\ ((op1_ (op1_ e10_ e12_) e12_) = (op1_ e10_ (op1_ e12_ e12_)) /\ ((op1_ (op1_ e10_ e12_) e13_) = (op1_ e10_ (op1_ e12_ e13_)) /\ ((op1_ (op1_ e10_ e12_) e14_) = (op1_ e10_ (op1_ e12_ e14_)) /\ ((op1_ (op1_ e10_ e12_) e15_) = (op1_ e10_ (op1_ e12_ e15_)) /\ ((op1_ (op1_ e10_ e13_) e10_) = (op1_ e10_ (op1_ e13_ e10_)) /\ ((op1_ (op1_ e10_ e13_) e11_) = (op1_ e10_ (op1_ e13_ e11_)) /\ ((op1_ (op1_ e10_ e13_) e12_) = (op1_ e10_ (op1_ e13_ e12_)) /\ ((op1_ (op1_ e10_ e13_) e13_) = (op1_ e10_ (op1_ e13_ e13_)) /\ ((op1_ (op1_ e10_ e13_) e14_) = (op1_ e10_ (op1_ e13_ e14_)) /\ ((op1_ (op1_ e10_ e13_) e15_) = (op1_ e10_ (op1_ e13_ e15_)) /\ ((op1_ (op1_ e10_ e14_) e10_) = (op1_ e10_ (op1_ e14_ e10_)) /\ ((op1_ (op1_ e10_ e14_) e11_) = (op1_ e10_ (op1_ e14_ e11_)) /\ ((op1_ (op1_ e10_ e14_) e12_) = (op1_ e10_ (op1_ e14_ e12_)) /\ ((op1_ (op1_ e10_ e14_) e13_) = (op1_ e10_ (op1_ e14_ e13_)) /\ ((op1_ (op1_ e10_ e14_) e14_) = (op1_ e10_ (op1_ e14_ e14_)) /\ ((op1_ (op1_ e10_ e14_) e15_) = (op1_ e10_ (op1_ e14_ e15_)) /\ ((op1_ (op1_ e10_ e15_) e10_) = (op1_ e10_ (op1_ e15_ e10_)) /\ ((op1_ (op1_ e10_ e15_) e11_) = (op1_ e10_ (op1_ e15_ e11_)) /\ ((op1_ (op1_ e10_ e15_) e12_) = (op1_ e10_ (op1_ e15_ e12_)) /\ ((op1_ (op1_ e10_ e15_) e13_) = (op1_ e10_ (op1_ e15_ e13_)) /\ ((op1_ (op1_ e10_ e15_) e14_) = (op1_ e10_ (op1_ e15_ e14_)) /\ ((op1_ (op1_ e10_ e15_) e15_) = (op1_ e10_ (op1_ e15_ e15_)) /\ ((op1_ (op1_ e11_ e10_) e10_) = (op1_ e11_ (op1_ e10_ e10_)) /\ ((op1_ (op1_ e11_ e10_) e11_) = (op1_ e11_ (op1_ e10_ e11_)) /\ ((op1_ (op1_ e11_ e10_) e12_) = (op1_ e11_ (op1_ e10_ e12_)) /\ ((op1_ (op1_ e11_ e10_) e13_) = (op1_ e11_ (op1_ e10_ e13_)) /\ ((op1_ (op1_ e11_ e10_) e14_) = (op1_ e11_ (op1_ e10_ e14_)) /\ ((op1_ (op1_ e11_ e10_) e15_) = (op1_ e11_ (op1_ e10_ e15_)) /\ ((op1_ (op1_ e11_ e11_) e10_) = (op1_ e11_ (op1_ e11_ e10_)) /\ ((op1_ (op1_ e11_ e11_) e11_) = (op1_ e11_ (op1_ e11_ e11_)) /\ ((op1_ (op1_ e11_ e11_) e12_) = (op1_ e11_ (op1_ e11_ e12_)) /\ ((op1_ (op1_ e11_ e11_) e13_) = (op1_ e11_ (op1_ e11_ e13_)) /\ ((op1_ (op1_ e11_ e11_) e14_) = (op1_ e11_ (op1_ e11_ e14_)) /\ ((op1_ (op1_ e11_ e11_) e15_) = (op1_ e11_ (op1_ e11_ e15_)) /\ ((op1_ (op1_ e11_ e12_) e10_) = (op1_ e11_ (op1_ e12_ e10_)) /\ ((op1_ (op1_ e11_ e12_) e11_) = (op1_ e11_ (op1_ e12_ e11_)) /\ ((op1_ (op1_ e11_ e12_) e12_) = (op1_ e11_ (op1_ e12_ e12_)) /\ ((op1_ (op1_ e11_ e12_) e13_) = (op1_ e11_ (op1_ e12_ e13_)) /\ ((op1_ (op1_ e11_ e12_) e14_) = (op1_ e11_ (op1_ e12_ e14_)) /\ ((op1_ (op1_ e11_ e12_) e15_) = (op1_ e11_ (op1_ e12_ e15_)) /\ ((op1_ (op1_ e11_ e13_) e10_) = (op1_ e11_ (op1_ e13_ e10_)) /\ ((op1_ (op1_ e11_ e13_) e11_) = (op1_ e11_ (op1_ e13_ e11_)) /\ ((op1_ (op1_ e11_ e13_) e12_) = (op1_ e11_ (op1_ e13_ e12_)) /\ ((op1_ (op1_ e11_ e13_) e13_) = (op1_ e11_ (op1_ e13_ e13_)) /\ ((op1_ (op1_ e11_ e13_) e14_) = (op1_ e11_ (op1_ e13_ e14_)) /\ ((op1_ (op1_ e11_ e13_) e15_) = (op1_ e11_ (op1_ e13_ e15_)) /\ ((op1_ (op1_ e11_ e14_) e10_) = (op1_ e11_ (op1_ e14_ e10_)) /\ ((op1_ (op1_ e11_ e14_) e11_) = (op1_ e11_ (op1_ e14_ e11_)) /\ ((op1_ (op1_ e11_ e14_) e12_) = (op1_ e11_ (op1_ e14_ e12_)) /\ ((op1_ (op1_ e11_ e14_) e13_) = (op1_ e11_ (op1_ e14_ e13_)) /\ ((op1_ (op1_ e11_ e14_) e14_) = (op1_ e11_ (op1_ e14_ e14_)) /\ ((op1_ (op1_ e11_ e14_) e15_) = (op1_ e11_ (op1_ e14_ e15_)) /\ ((op1_ (op1_ e11_ e15_) e10_) = (op1_ e11_ (op1_ e15_ e10_)) /\ ((op1_ (op1_ e11_ e15_) e11_) = (op1_ e11_ (op1_ e15_ e11_)) /\ ((op1_ (op1_ e11_ e15_) e12_) = (op1_ e11_ (op1_ e15_ e12_)) /\ ((op1_ (op1_ e11_ e15_) e13_) = (op1_ e11_ (op1_ e15_ e13_)) /\ ((op1_ (op1_ e11_ e15_) e14_) = (op1_ e11_ (op1_ e15_ e14_)) /\ ((op1_ (op1_ e11_ e15_) e15_) = (op1_ e11_ (op1_ e15_ e15_)) /\ ((op1_ (op1_ e12_ e10_) e10_) = (op1_ e12_ (op1_ e10_ e10_)) /\ ((op1_ (op1_ e12_ e10_) e11_) = (op1_ e12_ (op1_ e10_ e11_)) /\ ((op1_ (op1_ e12_ e10_) e12_) = (op1_ e12_ (op1_ e10_ e12_)) /\ ((op1_ (op1_ e12_ e10_) e13_) = (op1_ e12_ (op1_ e10_ e13_)) /\ ((op1_ (op1_ e12_ e10_) e14_) = (op1_ e12_ (op1_ e10_ e14_)) /\ ((op1_ (op1_ e12_ e10_) e15_) = (op1_ e12_ (op1_ e10_ e15_)) /\ ((op1_ (op1_ e12_ e11_) e10_) = (op1_ e12_ (op1_ e11_ e10_)) /\ ((op1_ (op1_ e12_ e11_) e11_) = (op1_ e12_ (op1_ e11_ e11_)) /\ ((op1_ (op1_ e12_ e11_) e12_) = (op1_ e12_ (op1_ e11_ e12_)) /\ ((op1_ (op1_ e12_ e11_) e13_) = (op1_ e12_ (op1_ e11_ e13_)) /\ ((op1_ (op1_ e12_ e11_) e14_) = (op1_ e12_ (op1_ e11_ e14_)) /\ ((op1_ (op1_ e12_ e11_) e15_) = (op1_ e12_ (op1_ e11_ e15_)) /\ ((op1_ (op1_ e12_ e12_) e10_) = (op1_ e12_ (op1_ e12_ e10_)) /\ ((op1_ (op1_ e12_ e12_) e11_) = (op1_ e12_ (op1_ e12_ e11_)) /\ ((op1_ (op1_ e12_ e12_) e12_) = (op1_ e12_ (op1_ e12_ e12_)) /\ ((op1_ (op1_ e12_ e12_) e13_) = (op1_ e12_ (op1_ e12_ e13_)) /\ ((op1_ (op1_ e12_ e12_) e14_) = (op1_ e12_ (op1_ e12_ e14_)) /\ ((op1_ (op1_ e12_ e12_) e15_) = (op1_ e12_ (op1_ e12_ e15_)) /\ ((op1_ (op1_ e12_ e13_) e10_) = (op1_ e12_ (op1_ e13_ e10_)) /\ ((op1_ (op1_ e12_ e13_) e11_) = (op1_ e12_ (op1_ e13_ e11_)) /\ ((op1_ (op1_ e12_ e13_) e12_) = (op1_ e12_ (op1_ e13_ e12_)) /\ ((op1_ (op1_ e12_ e13_) e13_) = (op1_ e12_ (op1_ e13_ e13_)) /\ ((op1_ (op1_ e12_ e13_) e14_) = (op1_ e12_ (op1_ e13_ e14_)) /\ ((op1_ (op1_ e12_ e13_) e15_) = (op1_ e12_ (op1_ e13_ e15_)) /\ ((op1_ (op1_ e12_ e14_) e10_) = (op1_ e12_ (op1_ e14_ e10_)) /\ ((op1_ (op1_ e12_ e14_) e11_) = (op1_ e12_ (op1_ e14_ e11_)) /\ ((op1_ (op1_ e12_ e14_) e12_) = (op1_ e12_ (op1_ e14_ e12_)) /\ ((op1_ (op1_ e12_ e14_) e13_) = (op1_ e12_ (op1_ e14_ e13_)) /\ ((op1_ (op1_ e12_ e14_) e14_) = (op1_ e12_ (op1_ e14_ e14_)) /\ ((op1_ (op1_ e12_ e14_) e15_) = (op1_ e12_ (op1_ e14_ e15_)) /\ ((op1_ (op1_ e12_ e15_) e10_) = (op1_ e12_ (op1_ e15_ e10_)) /\ ((op1_ (op1_ e12_ e15_) e11_) = (op1_ e12_ (op1_ e15_ e11_)) /\ ((op1_ (op1_ e12_ e15_) e12_) = (op1_ e12_ (op1_ e15_ e12_)) /\ ((op1_ (op1_ e12_ e15_) e13_) = (op1_ e12_ (op1_ e15_ e13_)) /\ ((op1_ (op1_ e12_ e15_) e14_) = (op1_ e12_ (op1_ e15_ e14_)) /\ ((op1_ (op1_ e12_ e15_) e15_) = (op1_ e12_ (op1_ e15_ e15_)) /\ ((op1_ (op1_ e13_ e10_) e10_) = (op1_ e13_ (op1_ e10_ e10_)) /\ ((op1_ (op1_ e13_ e10_) e11_) = (op1_ e13_ (op1_ e10_ e11_)) /\ ((op1_ (op1_ e13_ e10_) e12_) = (op1_ e13_ (op1_ e10_ e12_)) /\ ((op1_ (op1_ e13_ e10_) e13_) = (op1_ e13_ (op1_ e10_ e13_)) /\ ((op1_ (op1_ e13_ e10_) e14_) = (op1_ e13_ (op1_ e10_ e14_)) /\ ((op1_ (op1_ e13_ e10_) e15_) = (op1_ e13_ (op1_ e10_ e15_)) /\ ((op1_ (op1_ e13_ e11_) e10_) = (op1_ e13_ (op1_ e11_ e10_)) /\ ((op1_ (op1_ e13_ e11_) e11_) = (op1_ e13_ (op1_ e11_ e11_)) /\ ((op1_ (op1_ e13_ e11_) e12_) = (op1_ e13_ (op1_ e11_ e12_)) /\ ((op1_ (op1_ e13_ e11_) e13_) = (op1_ e13_ (op1_ e11_ e13_)) /\ ((op1_ (op1_ e13_ e11_) e14_) = (op1_ e13_ (op1_ e11_ e14_)) /\ ((op1_ (op1_ e13_ e11_) e15_) = (op1_ e13_ (op1_ e11_ e15_)) /\ ((op1_ (op1_ e13_ e12_) e10_) = (op1_ e13_ (op1_ e12_ e10_)) /\ ((op1_ (op1_ e13_ e12_) e11_) = (op1_ e13_ (op1_ e12_ e11_)) /\ ((op1_ (op1_ e13_ e12_) e12_) = (op1_ e13_ (op1_ e12_ e12_)) /\ ((op1_ (op1_ e13_ e12_) e13_) = (op1_ e13_ (op1_ e12_ e13_)) /\ ((op1_ (op1_ e13_ e12_) e14_) = (op1_ e13_ (op1_ e12_ e14_)) /\ ((op1_ (op1_ e13_ e12_) e15_) = (op1_ e13_ (op1_ e12_ e15_)) /\ ((op1_ (op1_ e13_ e13_) e10_) = (op1_ e13_ (op1_ e13_ e10_)) /\ ((op1_ (op1_ e13_ e13_) e11_) = (op1_ e13_ (op1_ e13_ e11_)) /\ ((op1_ (op1_ e13_ e13_) e12_) = (op1_ e13_ (op1_ e13_ e12_)) /\ ((op1_ (op1_ e13_ e13_) e13_) = (op1_ e13_ (op1_ e13_ e13_)) /\ ((op1_ (op1_ e13_ e13_) e14_) = (op1_ e13_ (op1_ e13_ e14_)) /\ ((op1_ (op1_ e13_ e13_) e15_) = (op1_ e13_ (op1_ e13_ e15_)) /\ ((op1_ (op1_ e13_ e14_) e10_) = (op1_ e13_ (op1_ e14_ e10_)) /\ ((op1_ (op1_ e13_ e14_) e11_) = (op1_ e13_ (op1_ e14_ e11_)) /\ ((op1_ (op1_ e13_ e14_) e12_) = (op1_ e13_ (op1_ e14_ e12_)) /\ ((op1_ (op1_ e13_ e14_) e13_) = (op1_ e13_ (op1_ e14_ e13_)) /\ ((op1_ (op1_ e13_ e14_) e14_) = (op1_ e13_ (op1_ e14_ e14_)) /\ ((op1_ (op1_ e13_ e14_) e15_) = (op1_ e13_ (op1_ e14_ e15_)) /\ ((op1_ (op1_ e13_ e15_) e10_) = (op1_ e13_ (op1_ e15_ e10_)) /\ ((op1_ (op1_ e13_ e15_) e11_) = (op1_ e13_ (op1_ e15_ e11_)) /\ ((op1_ (op1_ e13_ e15_) e12_) = (op1_ e13_ (op1_ e15_ e12_)) /\ ((op1_ (op1_ e13_ e15_) e13_) = (op1_ e13_ (op1_ e15_ e13_)) /\ ((op1_ (op1_ e13_ e15_) e14_) = (op1_ e13_ (op1_ e15_ e14_)) /\ ((op1_ (op1_ e13_ e15_) e15_) = (op1_ e13_ (op1_ e15_ e15_)) /\ ((op1_ (op1_ e14_ e10_) e10_) = (op1_ e14_ (op1_ e10_ e10_)) /\ ((op1_ (op1_ e14_ e10_) e11_) = (op1_ e14_ (op1_ e10_ e11_)) /\ ((op1_ (op1_ e14_ e10_) e12_) = (op1_ e14_ (op1_ e10_ e12_)) /\ ((op1_ (op1_ e14_ e10_) e13_) = (op1_ e14_ (op1_ e10_ e13_)) /\ ((op1_ (op1_ e14_ e10_) e14_) = (op1_ e14_ (op1_ e10_ e14_)) /\ ((op1_ (op1_ e14_ e10_) e15_) = (op1_ e14_ (op1_ e10_ e15_)) /\ ((op1_ (op1_ e14_ e11_) e10_) = (op1_ e14_ (op1_ e11_ e10_)) /\ ((op1_ (op1_ e14_ e11_) e11_) = (op1_ e14_ (op1_ e11_ e11_)) /\ ((op1_ (op1_ e14_ e11_) e12_) = (op1_ e14_ (op1_ e11_ e12_)) /\ ((op1_ (op1_ e14_ e11_) e13_) = (op1_ e14_ (op1_ e11_ e13_)) /\ ((op1_ (op1_ e14_ e11_) e14_) = (op1_ e14_ (op1_ e11_ e14_)) /\ ((op1_ (op1_ e14_ e11_) e15_) = (op1_ e14_ (op1_ e11_ e15_)) /\ ((op1_ (op1_ e14_ e12_) e10_) = (op1_ e14_ (op1_ e12_ e10_)) /\ ((op1_ (op1_ e14_ e12_) e11_) = (op1_ e14_ (op1_ e12_ e11_)) /\ ((op1_ (op1_ e14_ e12_) e12_) = (op1_ e14_ (op1_ e12_ e12_)) /\ ((op1_ (op1_ e14_ e12_) e13_) = (op1_ e14_ (op1_ e12_ e13_)) /\ ((op1_ (op1_ e14_ e12_) e14_) = (op1_ e14_ (op1_ e12_ e14_)) /\ ((op1_ (op1_ e14_ e12_) e15_) = (op1_ e14_ (op1_ e12_ e15_)) /\ ((op1_ (op1_ e14_ e13_) e10_) = (op1_ e14_ (op1_ e13_ e10_)) /\ ((op1_ (op1_ e14_ e13_) e11_) = (op1_ e14_ (op1_ e13_ e11_)) /\ ((op1_ (op1_ e14_ e13_) e12_) = (op1_ e14_ (op1_ e13_ e12_)) /\ ((op1_ (op1_ e14_ e13_) e13_) = (op1_ e14_ (op1_ e13_ e13_)) /\ ((op1_ (op1_ e14_ e13_) e14_) = (op1_ e14_ (op1_ e13_ e14_)) /\ ((op1_ (op1_ e14_ e13_) e15_) = (op1_ e14_ (op1_ e13_ e15_)) /\ ((op1_ (op1_ e14_ e14_) e10_) = (op1_ e14_ (op1_ e14_ e10_)) /\ ((op1_ (op1_ e14_ e14_) e11_) = (op1_ e14_ (op1_ e14_ e11_)) /\ ((op1_ (op1_ e14_ e14_) e12_) = (op1_ e14_ (op1_ e14_ e12_)) /\ ((op1_ (op1_ e14_ e14_) e13_) = (op1_ e14_ (op1_ e14_ e13_)) /\ ((op1_ (op1_ e14_ e14_) e14_) = (op1_ e14_ (op1_ e14_ e14_)) /\ ((op1_ (op1_ e14_ e14_) e15_) = (op1_ e14_ (op1_ e14_ e15_)) /\ ((op1_ (op1_ e14_ e15_) e10_) = (op1_ e14_ (op1_ e15_ e10_)) /\ ((op1_ (op1_ e14_ e15_) e11_) = (op1_ e14_ (op1_ e15_ e11_)) /\ ((op1_ (op1_ e14_ e15_) e12_) = (op1_ e14_ (op1_ e15_ e12_)) /\ ((op1_ (op1_ e14_ e15_) e13_) = (op1_ e14_ (op1_ e15_ e13_)) /\ ((op1_ (op1_ e14_ e15_) e14_) = (op1_ e14_ (op1_ e15_ e14_)) /\ ((op1_ (op1_ e14_ e15_) e15_) = (op1_ e14_ (op1_ e15_ e15_)) /\ ((op1_ (op1_ e15_ e10_) e10_) = (op1_ e15_ (op1_ e10_ e10_)) /\ ((op1_ (op1_ e15_ e10_) e11_) = (op1_ e15_ (op1_ e10_ e11_)) /\ ((op1_ (op1_ e15_ e10_) e12_) = (op1_ e15_ (op1_ e10_ e12_)) /\ ((op1_ (op1_ e15_ e10_) e13_) = (op1_ e15_ (op1_ e10_ e13_)) /\ ((op1_ (op1_ e15_ e10_) e14_) = (op1_ e15_ (op1_ e10_ e14_)) /\ ((op1_ (op1_ e15_ e10_) e15_) = (op1_ e15_ (op1_ e10_ e15_)) /\ ((op1_ (op1_ e15_ e11_) e10_) = (op1_ e15_ (op1_ e11_ e10_)) /\ ((op1_ (op1_ e15_ e11_) e11_) = (op1_ e15_ (op1_ e11_ e11_)) /\ ((op1_ (op1_ e15_ e11_) e12_) = (op1_ e15_ (op1_ e11_ e12_)) /\ ((op1_ (op1_ e15_ e11_) e13_) = (op1_ e15_ (op1_ e11_ e13_)) /\ ((op1_ (op1_ e15_ e11_) e14_) = (op1_ e15_ (op1_ e11_ e14_)) /\ ((op1_ (op1_ e15_ e11_) e15_) = (op1_ e15_ (op1_ e11_ e15_)) /\ ((op1_ (op1_ e15_ e12_) e10_) = (op1_ e15_ (op1_ e12_ e10_)) /\ ((op1_ (op1_ e15_ e12_) e11_) = (op1_ e15_ (op1_ e12_ e11_)) /\ ((op1_ (op1_ e15_ e12_) e12_) = (op1_ e15_ (op1_ e12_ e12_)) /\ ((op1_ (op1_ e15_ e12_) e13_) = (op1_ e15_ (op1_ e12_ e13_)) /\ ((op1_ (op1_ e15_ e12_) e14_) = (op1_ e15_ (op1_ e12_ e14_)) /\ ((op1_ (op1_ e15_ e12_) e15_) = (op1_ e15_ (op1_ e12_ e15_)) /\ ((op1_ (op1_ e15_ e13_) e10_) = (op1_ e15_ (op1_ e13_ e10_)) /\ ((op1_ (op1_ e15_ e13_) e11_) = (op1_ e15_ (op1_ e13_ e11_)) /\ ((op1_ (op1_ e15_ e13_) e12_) = (op1_ e15_ (op1_ e13_ e12_)) /\ ((op1_ (op1_ e15_ e13_) e13_) = (op1_ e15_ (op1_ e13_ e13_)) /\ ((op1_ (op1_ e15_ e13_) e14_) = (op1_ e15_ (op1_ e13_ e14_)) /\ ((op1_ (op1_ e15_ e13_) e15_) = (op1_ e15_ (op1_ e13_ e15_)) /\ ((op1_ (op1_ e15_ e14_) e10_) = (op1_ e15_ (op1_ e14_ e10_)) /\ ((op1_ (op1_ e15_ e14_) e11_) = (op1_ e15_ (op1_ e14_ e11_)) /\ ((op1_ (op1_ e15_ e14_) e12_) = (op1_ e15_ (op1_ e14_ e12_)) /\ ((op1_ (op1_ e15_ e14_) e13_) = (op1_ e15_ (op1_ e14_ e13_)) /\ ((op1_ (op1_ e15_ e14_) e14_) = (op1_ e15_ (op1_ e14_ e14_)) /\ ((op1_ (op1_ e15_ e14_) e15_) = (op1_ e15_ (op1_ e14_ e15_)) /\ ((op1_ (op1_ e15_ e15_) e10_) = (op1_ e15_ (op1_ e15_ e10_)) /\ ((op1_ (op1_ e15_ e15_) e11_) = (op1_ e15_ (op1_ e15_ e11_)) /\ ((op1_ (op1_ e15_ e15_) e12_) = (op1_ e15_ (op1_ e15_ e12_)) /\ ((op1_ (op1_ e15_ e15_) e13_) = (op1_ e15_ (op1_ e15_ e13_)) /\ ((op1_ (op1_ e15_ e15_) e14_) = (op1_ e15_ (op1_ e15_ e14_)) /\ (op1_ (op1_ e15_ e15_) e15_) = (op1_ e15_ (op1_ e15_ e15_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Variable ax3_3 : ((op1_ unit1_ e10_) = e10_ /\ ((op1_ e10_ unit1_) = e10_ /\ ((op1_ unit1_ e11_) = e11_ /\ ((op1_ e11_ unit1_) = e11_ /\ ((op1_ unit1_ e12_) = e12_ /\ ((op1_ e12_ unit1_) = e12_ /\ ((op1_ unit1_ e13_) = e13_ /\ ((op1_ e13_ unit1_) = e13_ /\ ((op1_ unit1_ e14_) = e14_ /\ ((op1_ e14_ unit1_) = e14_ /\ ((op1_ unit1_ e15_) = e15_ /\ ((op1_ e15_ unit1_) = e15_ /\ (unit1_ = e10_ \/ (unit1_ = e11_ \/ (unit1_ = e12_ \/ (unit1_ = e13_ \/ (unit1_ = e14_ \/ unit1_ = e15_))))))))))))))))).
Variable ax4_4 : ((op1_ e10_ (inv1_ e10_)) = unit1_ /\ ((op1_ (inv1_ e10_) e10_) = unit1_ /\ ((op1_ e11_ (inv1_ e11_)) = unit1_ /\ ((op1_ (inv1_ e11_) e11_) = unit1_ /\ ((op1_ e12_ (inv1_ e12_)) = unit1_ /\ ((op1_ (inv1_ e12_) e12_) = unit1_ /\ ((op1_ e13_ (inv1_ e13_)) = unit1_ /\ ((op1_ (inv1_ e13_) e13_) = unit1_ /\ ((op1_ e14_ (inv1_ e14_)) = unit1_ /\ ((op1_ (inv1_ e14_) e14_) = unit1_ /\ ((op1_ e15_ (inv1_ e15_)) = unit1_ /\ ((op1_ (inv1_ e15_) e15_) = unit1_ /\ (((inv1_ e10_) = e10_ \/ ((inv1_ e10_) = e11_ \/ ((inv1_ e10_) = e12_ \/ ((inv1_ e10_) = e13_ \/ ((inv1_ e10_) = e14_ \/ (inv1_ e10_) = e15_))))) /\ (((inv1_ e11_) = e10_ \/ ((inv1_ e11_) = e11_ \/ ((inv1_ e11_) = e12_ \/ ((inv1_ e11_) = e13_ \/ ((inv1_ e11_) = e14_ \/ (inv1_ e11_) = e15_))))) /\ (((inv1_ e12_) = e10_ \/ ((inv1_ e12_) = e11_ \/ ((inv1_ e12_) = e12_ \/ ((inv1_ e12_) = e13_ \/ ((inv1_ e12_) = e14_ \/ (inv1_ e12_) = e15_))))) /\ (((inv1_ e13_) = e10_ \/ ((inv1_ e13_) = e11_ \/ ((inv1_ e13_) = e12_ \/ ((inv1_ e13_) = e13_ \/ ((inv1_ e13_) = e14_ \/ (inv1_ e13_) = e15_))))) /\ (((inv1_ e14_) = e10_ \/ ((inv1_ e14_) = e11_ \/ ((inv1_ e14_) = e12_ \/ ((inv1_ e14_) = e13_ \/ ((inv1_ e14_) = e14_ \/ (inv1_ e14_) = e15_))))) /\ ((inv1_ e15_) = e10_ \/ ((inv1_ e15_) = e11_ \/ ((inv1_ e15_) = e12_ \/ ((inv1_ e15_) = e13_ \/ ((inv1_ e15_) = e14_ \/ (inv1_ e15_) = e15_)))))))))))))))))))))).
Variable ax5_5 : (((op2_ e20_ e20_) = e20_ \/ ((op2_ e20_ e20_) = e21_ \/ ((op2_ e20_ e20_) = e22_ \/ ((op2_ e20_ e20_) = e23_ \/ ((op2_ e20_ e20_) = e24_ \/ (op2_ e20_ e20_) = e25_))))) /\ (((op2_ e20_ e21_) = e20_ \/ ((op2_ e20_ e21_) = e21_ \/ ((op2_ e20_ e21_) = e22_ \/ ((op2_ e20_ e21_) = e23_ \/ ((op2_ e20_ e21_) = e24_ \/ (op2_ e20_ e21_) = e25_))))) /\ (((op2_ e20_ e22_) = e20_ \/ ((op2_ e20_ e22_) = e21_ \/ ((op2_ e20_ e22_) = e22_ \/ ((op2_ e20_ e22_) = e23_ \/ ((op2_ e20_ e22_) = e24_ \/ (op2_ e20_ e22_) = e25_))))) /\ (((op2_ e20_ e23_) = e20_ \/ ((op2_ e20_ e23_) = e21_ \/ ((op2_ e20_ e23_) = e22_ \/ ((op2_ e20_ e23_) = e23_ \/ ((op2_ e20_ e23_) = e24_ \/ (op2_ e20_ e23_) = e25_))))) /\ (((op2_ e20_ e24_) = e20_ \/ ((op2_ e20_ e24_) = e21_ \/ ((op2_ e20_ e24_) = e22_ \/ ((op2_ e20_ e24_) = e23_ \/ ((op2_ e20_ e24_) = e24_ \/ (op2_ e20_ e24_) = e25_))))) /\ (((op2_ e20_ e25_) = e20_ \/ ((op2_ e20_ e25_) = e21_ \/ ((op2_ e20_ e25_) = e22_ \/ ((op2_ e20_ e25_) = e23_ \/ ((op2_ e20_ e25_) = e24_ \/ (op2_ e20_ e25_) = e25_))))) /\ (((op2_ e21_ e20_) = e20_ \/ ((op2_ e21_ e20_) = e21_ \/ ((op2_ e21_ e20_) = e22_ \/ ((op2_ e21_ e20_) = e23_ \/ ((op2_ e21_ e20_) = e24_ \/ (op2_ e21_ e20_) = e25_))))) /\ (((op2_ e21_ e21_) = e20_ \/ ((op2_ e21_ e21_) = e21_ \/ ((op2_ e21_ e21_) = e22_ \/ ((op2_ e21_ e21_) = e23_ \/ ((op2_ e21_ e21_) = e24_ \/ (op2_ e21_ e21_) = e25_))))) /\ (((op2_ e21_ e22_) = e20_ \/ ((op2_ e21_ e22_) = e21_ \/ ((op2_ e21_ e22_) = e22_ \/ ((op2_ e21_ e22_) = e23_ \/ ((op2_ e21_ e22_) = e24_ \/ (op2_ e21_ e22_) = e25_))))) /\ (((op2_ e21_ e23_) = e20_ \/ ((op2_ e21_ e23_) = e21_ \/ ((op2_ e21_ e23_) = e22_ \/ ((op2_ e21_ e23_) = e23_ \/ ((op2_ e21_ e23_) = e24_ \/ (op2_ e21_ e23_) = e25_))))) /\ (((op2_ e21_ e24_) = e20_ \/ ((op2_ e21_ e24_) = e21_ \/ ((op2_ e21_ e24_) = e22_ \/ ((op2_ e21_ e24_) = e23_ \/ ((op2_ e21_ e24_) = e24_ \/ (op2_ e21_ e24_) = e25_))))) /\ (((op2_ e21_ e25_) = e20_ \/ ((op2_ e21_ e25_) = e21_ \/ ((op2_ e21_ e25_) = e22_ \/ ((op2_ e21_ e25_) = e23_ \/ ((op2_ e21_ e25_) = e24_ \/ (op2_ e21_ e25_) = e25_))))) /\ (((op2_ e22_ e20_) = e20_ \/ ((op2_ e22_ e20_) = e21_ \/ ((op2_ e22_ e20_) = e22_ \/ ((op2_ e22_ e20_) = e23_ \/ ((op2_ e22_ e20_) = e24_ \/ (op2_ e22_ e20_) = e25_))))) /\ (((op2_ e22_ e21_) = e20_ \/ ((op2_ e22_ e21_) = e21_ \/ ((op2_ e22_ e21_) = e22_ \/ ((op2_ e22_ e21_) = e23_ \/ ((op2_ e22_ e21_) = e24_ \/ (op2_ e22_ e21_) = e25_))))) /\ (((op2_ e22_ e22_) = e20_ \/ ((op2_ e22_ e22_) = e21_ \/ ((op2_ e22_ e22_) = e22_ \/ ((op2_ e22_ e22_) = e23_ \/ ((op2_ e22_ e22_) = e24_ \/ (op2_ e22_ e22_) = e25_))))) /\ (((op2_ e22_ e23_) = e20_ \/ ((op2_ e22_ e23_) = e21_ \/ ((op2_ e22_ e23_) = e22_ \/ ((op2_ e22_ e23_) = e23_ \/ ((op2_ e22_ e23_) = e24_ \/ (op2_ e22_ e23_) = e25_))))) /\ (((op2_ e22_ e24_) = e20_ \/ ((op2_ e22_ e24_) = e21_ \/ ((op2_ e22_ e24_) = e22_ \/ ((op2_ e22_ e24_) = e23_ \/ ((op2_ e22_ e24_) = e24_ \/ (op2_ e22_ e24_) = e25_))))) /\ (((op2_ e22_ e25_) = e20_ \/ ((op2_ e22_ e25_) = e21_ \/ ((op2_ e22_ e25_) = e22_ \/ ((op2_ e22_ e25_) = e23_ \/ ((op2_ e22_ e25_) = e24_ \/ (op2_ e22_ e25_) = e25_))))) /\ (((op2_ e23_ e20_) = e20_ \/ ((op2_ e23_ e20_) = e21_ \/ ((op2_ e23_ e20_) = e22_ \/ ((op2_ e23_ e20_) = e23_ \/ ((op2_ e23_ e20_) = e24_ \/ (op2_ e23_ e20_) = e25_))))) /\ (((op2_ e23_ e21_) = e20_ \/ ((op2_ e23_ e21_) = e21_ \/ ((op2_ e23_ e21_) = e22_ \/ ((op2_ e23_ e21_) = e23_ \/ ((op2_ e23_ e21_) = e24_ \/ (op2_ e23_ e21_) = e25_))))) /\ (((op2_ e23_ e22_) = e20_ \/ ((op2_ e23_ e22_) = e21_ \/ ((op2_ e23_ e22_) = e22_ \/ ((op2_ e23_ e22_) = e23_ \/ ((op2_ e23_ e22_) = e24_ \/ (op2_ e23_ e22_) = e25_))))) /\ (((op2_ e23_ e23_) = e20_ \/ ((op2_ e23_ e23_) = e21_ \/ ((op2_ e23_ e23_) = e22_ \/ ((op2_ e23_ e23_) = e23_ \/ ((op2_ e23_ e23_) = e24_ \/ (op2_ e23_ e23_) = e25_))))) /\ (((op2_ e23_ e24_) = e20_ \/ ((op2_ e23_ e24_) = e21_ \/ ((op2_ e23_ e24_) = e22_ \/ ((op2_ e23_ e24_) = e23_ \/ ((op2_ e23_ e24_) = e24_ \/ (op2_ e23_ e24_) = e25_))))) /\ (((op2_ e23_ e25_) = e20_ \/ ((op2_ e23_ e25_) = e21_ \/ ((op2_ e23_ e25_) = e22_ \/ ((op2_ e23_ e25_) = e23_ \/ ((op2_ e23_ e25_) = e24_ \/ (op2_ e23_ e25_) = e25_))))) /\ (((op2_ e24_ e20_) = e20_ \/ ((op2_ e24_ e20_) = e21_ \/ ((op2_ e24_ e20_) = e22_ \/ ((op2_ e24_ e20_) = e23_ \/ ((op2_ e24_ e20_) = e24_ \/ (op2_ e24_ e20_) = e25_))))) /\ (((op2_ e24_ e21_) = e20_ \/ ((op2_ e24_ e21_) = e21_ \/ ((op2_ e24_ e21_) = e22_ \/ ((op2_ e24_ e21_) = e23_ \/ ((op2_ e24_ e21_) = e24_ \/ (op2_ e24_ e21_) = e25_))))) /\ (((op2_ e24_ e22_) = e20_ \/ ((op2_ e24_ e22_) = e21_ \/ ((op2_ e24_ e22_) = e22_ \/ ((op2_ e24_ e22_) = e23_ \/ ((op2_ e24_ e22_) = e24_ \/ (op2_ e24_ e22_) = e25_))))) /\ (((op2_ e24_ e23_) = e20_ \/ ((op2_ e24_ e23_) = e21_ \/ ((op2_ e24_ e23_) = e22_ \/ ((op2_ e24_ e23_) = e23_ \/ ((op2_ e24_ e23_) = e24_ \/ (op2_ e24_ e23_) = e25_))))) /\ (((op2_ e24_ e24_) = e20_ \/ ((op2_ e24_ e24_) = e21_ \/ ((op2_ e24_ e24_) = e22_ \/ ((op2_ e24_ e24_) = e23_ \/ ((op2_ e24_ e24_) = e24_ \/ (op2_ e24_ e24_) = e25_))))) /\ (((op2_ e24_ e25_) = e20_ \/ ((op2_ e24_ e25_) = e21_ \/ ((op2_ e24_ e25_) = e22_ \/ ((op2_ e24_ e25_) = e23_ \/ ((op2_ e24_ e25_) = e24_ \/ (op2_ e24_ e25_) = e25_))))) /\ (((op2_ e25_ e20_) = e20_ \/ ((op2_ e25_ e20_) = e21_ \/ ((op2_ e25_ e20_) = e22_ \/ ((op2_ e25_ e20_) = e23_ \/ ((op2_ e25_ e20_) = e24_ \/ (op2_ e25_ e20_) = e25_))))) /\ (((op2_ e25_ e21_) = e20_ \/ ((op2_ e25_ e21_) = e21_ \/ ((op2_ e25_ e21_) = e22_ \/ ((op2_ e25_ e21_) = e23_ \/ ((op2_ e25_ e21_) = e24_ \/ (op2_ e25_ e21_) = e25_))))) /\ (((op2_ e25_ e22_) = e20_ \/ ((op2_ e25_ e22_) = e21_ \/ ((op2_ e25_ e22_) = e22_ \/ ((op2_ e25_ e22_) = e23_ \/ ((op2_ e25_ e22_) = e24_ \/ (op2_ e25_ e22_) = e25_))))) /\ (((op2_ e25_ e23_) = e20_ \/ ((op2_ e25_ e23_) = e21_ \/ ((op2_ e25_ e23_) = e22_ \/ ((op2_ e25_ e23_) = e23_ \/ ((op2_ e25_ e23_) = e24_ \/ (op2_ e25_ e23_) = e25_))))) /\ (((op2_ e25_ e24_) = e20_ \/ ((op2_ e25_ e24_) = e21_ \/ ((op2_ e25_ e24_) = e22_ \/ ((op2_ e25_ e24_) = e23_ \/ ((op2_ e25_ e24_) = e24_ \/ (op2_ e25_ e24_) = e25_))))) /\ ((op2_ e25_ e25_) = e20_ \/ ((op2_ e25_ e25_) = e21_ \/ ((op2_ e25_ e25_) = e22_ \/ ((op2_ e25_ e25_) = e23_ \/ ((op2_ e25_ e25_) = e24_ \/ (op2_ e25_ e25_) = e25_)))))))))))))))))))))))))))))))))))))))).
Variable ax6_6 : ((op2_ (op2_ e20_ e20_) e20_) = (op2_ e20_ (op2_ e20_ e20_)) /\ ((op2_ (op2_ e20_ e20_) e21_) = (op2_ e20_ (op2_ e20_ e21_)) /\ ((op2_ (op2_ e20_ e20_) e22_) = (op2_ e20_ (op2_ e20_ e22_)) /\ ((op2_ (op2_ e20_ e20_) e23_) = (op2_ e20_ (op2_ e20_ e23_)) /\ ((op2_ (op2_ e20_ e20_) e24_) = (op2_ e20_ (op2_ e20_ e24_)) /\ ((op2_ (op2_ e20_ e20_) e25_) = (op2_ e20_ (op2_ e20_ e25_)) /\ ((op2_ (op2_ e20_ e21_) e20_) = (op2_ e20_ (op2_ e21_ e20_)) /\ ((op2_ (op2_ e20_ e21_) e21_) = (op2_ e20_ (op2_ e21_ e21_)) /\ ((op2_ (op2_ e20_ e21_) e22_) = (op2_ e20_ (op2_ e21_ e22_)) /\ ((op2_ (op2_ e20_ e21_) e23_) = (op2_ e20_ (op2_ e21_ e23_)) /\ ((op2_ (op2_ e20_ e21_) e24_) = (op2_ e20_ (op2_ e21_ e24_)) /\ ((op2_ (op2_ e20_ e21_) e25_) = (op2_ e20_ (op2_ e21_ e25_)) /\ ((op2_ (op2_ e20_ e22_) e20_) = (op2_ e20_ (op2_ e22_ e20_)) /\ ((op2_ (op2_ e20_ e22_) e21_) = (op2_ e20_ (op2_ e22_ e21_)) /\ ((op2_ (op2_ e20_ e22_) e22_) = (op2_ e20_ (op2_ e22_ e22_)) /\ ((op2_ (op2_ e20_ e22_) e23_) = (op2_ e20_ (op2_ e22_ e23_)) /\ ((op2_ (op2_ e20_ e22_) e24_) = (op2_ e20_ (op2_ e22_ e24_)) /\ ((op2_ (op2_ e20_ e22_) e25_) = (op2_ e20_ (op2_ e22_ e25_)) /\ ((op2_ (op2_ e20_ e23_) e20_) = (op2_ e20_ (op2_ e23_ e20_)) /\ ((op2_ (op2_ e20_ e23_) e21_) = (op2_ e20_ (op2_ e23_ e21_)) /\ ((op2_ (op2_ e20_ e23_) e22_) = (op2_ e20_ (op2_ e23_ e22_)) /\ ((op2_ (op2_ e20_ e23_) e23_) = (op2_ e20_ (op2_ e23_ e23_)) /\ ((op2_ (op2_ e20_ e23_) e24_) = (op2_ e20_ (op2_ e23_ e24_)) /\ ((op2_ (op2_ e20_ e23_) e25_) = (op2_ e20_ (op2_ e23_ e25_)) /\ ((op2_ (op2_ e20_ e24_) e20_) = (op2_ e20_ (op2_ e24_ e20_)) /\ ((op2_ (op2_ e20_ e24_) e21_) = (op2_ e20_ (op2_ e24_ e21_)) /\ ((op2_ (op2_ e20_ e24_) e22_) = (op2_ e20_ (op2_ e24_ e22_)) /\ ((op2_ (op2_ e20_ e24_) e23_) = (op2_ e20_ (op2_ e24_ e23_)) /\ ((op2_ (op2_ e20_ e24_) e24_) = (op2_ e20_ (op2_ e24_ e24_)) /\ ((op2_ (op2_ e20_ e24_) e25_) = (op2_ e20_ (op2_ e24_ e25_)) /\ ((op2_ (op2_ e20_ e25_) e20_) = (op2_ e20_ (op2_ e25_ e20_)) /\ ((op2_ (op2_ e20_ e25_) e21_) = (op2_ e20_ (op2_ e25_ e21_)) /\ ((op2_ (op2_ e20_ e25_) e22_) = (op2_ e20_ (op2_ e25_ e22_)) /\ ((op2_ (op2_ e20_ e25_) e23_) = (op2_ e20_ (op2_ e25_ e23_)) /\ ((op2_ (op2_ e20_ e25_) e24_) = (op2_ e20_ (op2_ e25_ e24_)) /\ ((op2_ (op2_ e20_ e25_) e25_) = (op2_ e20_ (op2_ e25_ e25_)) /\ ((op2_ (op2_ e21_ e20_) e20_) = (op2_ e21_ (op2_ e20_ e20_)) /\ ((op2_ (op2_ e21_ e20_) e21_) = (op2_ e21_ (op2_ e20_ e21_)) /\ ((op2_ (op2_ e21_ e20_) e22_) = (op2_ e21_ (op2_ e20_ e22_)) /\ ((op2_ (op2_ e21_ e20_) e23_) = (op2_ e21_ (op2_ e20_ e23_)) /\ ((op2_ (op2_ e21_ e20_) e24_) = (op2_ e21_ (op2_ e20_ e24_)) /\ ((op2_ (op2_ e21_ e20_) e25_) = (op2_ e21_ (op2_ e20_ e25_)) /\ ((op2_ (op2_ e21_ e21_) e20_) = (op2_ e21_ (op2_ e21_ e20_)) /\ ((op2_ (op2_ e21_ e21_) e21_) = (op2_ e21_ (op2_ e21_ e21_)) /\ ((op2_ (op2_ e21_ e21_) e22_) = (op2_ e21_ (op2_ e21_ e22_)) /\ ((op2_ (op2_ e21_ e21_) e23_) = (op2_ e21_ (op2_ e21_ e23_)) /\ ((op2_ (op2_ e21_ e21_) e24_) = (op2_ e21_ (op2_ e21_ e24_)) /\ ((op2_ (op2_ e21_ e21_) e25_) = (op2_ e21_ (op2_ e21_ e25_)) /\ ((op2_ (op2_ e21_ e22_) e20_) = (op2_ e21_ (op2_ e22_ e20_)) /\ ((op2_ (op2_ e21_ e22_) e21_) = (op2_ e21_ (op2_ e22_ e21_)) /\ ((op2_ (op2_ e21_ e22_) e22_) = (op2_ e21_ (op2_ e22_ e22_)) /\ ((op2_ (op2_ e21_ e22_) e23_) = (op2_ e21_ (op2_ e22_ e23_)) /\ ((op2_ (op2_ e21_ e22_) e24_) = (op2_ e21_ (op2_ e22_ e24_)) /\ ((op2_ (op2_ e21_ e22_) e25_) = (op2_ e21_ (op2_ e22_ e25_)) /\ ((op2_ (op2_ e21_ e23_) e20_) = (op2_ e21_ (op2_ e23_ e20_)) /\ ((op2_ (op2_ e21_ e23_) e21_) = (op2_ e21_ (op2_ e23_ e21_)) /\ ((op2_ (op2_ e21_ e23_) e22_) = (op2_ e21_ (op2_ e23_ e22_)) /\ ((op2_ (op2_ e21_ e23_) e23_) = (op2_ e21_ (op2_ e23_ e23_)) /\ ((op2_ (op2_ e21_ e23_) e24_) = (op2_ e21_ (op2_ e23_ e24_)) /\ ((op2_ (op2_ e21_ e23_) e25_) = (op2_ e21_ (op2_ e23_ e25_)) /\ ((op2_ (op2_ e21_ e24_) e20_) = (op2_ e21_ (op2_ e24_ e20_)) /\ ((op2_ (op2_ e21_ e24_) e21_) = (op2_ e21_ (op2_ e24_ e21_)) /\ ((op2_ (op2_ e21_ e24_) e22_) = (op2_ e21_ (op2_ e24_ e22_)) /\ ((op2_ (op2_ e21_ e24_) e23_) = (op2_ e21_ (op2_ e24_ e23_)) /\ ((op2_ (op2_ e21_ e24_) e24_) = (op2_ e21_ (op2_ e24_ e24_)) /\ ((op2_ (op2_ e21_ e24_) e25_) = (op2_ e21_ (op2_ e24_ e25_)) /\ ((op2_ (op2_ e21_ e25_) e20_) = (op2_ e21_ (op2_ e25_ e20_)) /\ ((op2_ (op2_ e21_ e25_) e21_) = (op2_ e21_ (op2_ e25_ e21_)) /\ ((op2_ (op2_ e21_ e25_) e22_) = (op2_ e21_ (op2_ e25_ e22_)) /\ ((op2_ (op2_ e21_ e25_) e23_) = (op2_ e21_ (op2_ e25_ e23_)) /\ ((op2_ (op2_ e21_ e25_) e24_) = (op2_ e21_ (op2_ e25_ e24_)) /\ ((op2_ (op2_ e21_ e25_) e25_) = (op2_ e21_ (op2_ e25_ e25_)) /\ ((op2_ (op2_ e22_ e20_) e20_) = (op2_ e22_ (op2_ e20_ e20_)) /\ ((op2_ (op2_ e22_ e20_) e21_) = (op2_ e22_ (op2_ e20_ e21_)) /\ ((op2_ (op2_ e22_ e20_) e22_) = (op2_ e22_ (op2_ e20_ e22_)) /\ ((op2_ (op2_ e22_ e20_) e23_) = (op2_ e22_ (op2_ e20_ e23_)) /\ ((op2_ (op2_ e22_ e20_) e24_) = (op2_ e22_ (op2_ e20_ e24_)) /\ ((op2_ (op2_ e22_ e20_) e25_) = (op2_ e22_ (op2_ e20_ e25_)) /\ ((op2_ (op2_ e22_ e21_) e20_) = (op2_ e22_ (op2_ e21_ e20_)) /\ ((op2_ (op2_ e22_ e21_) e21_) = (op2_ e22_ (op2_ e21_ e21_)) /\ ((op2_ (op2_ e22_ e21_) e22_) = (op2_ e22_ (op2_ e21_ e22_)) /\ ((op2_ (op2_ e22_ e21_) e23_) = (op2_ e22_ (op2_ e21_ e23_)) /\ ((op2_ (op2_ e22_ e21_) e24_) = (op2_ e22_ (op2_ e21_ e24_)) /\ ((op2_ (op2_ e22_ e21_) e25_) = (op2_ e22_ (op2_ e21_ e25_)) /\ ((op2_ (op2_ e22_ e22_) e20_) = (op2_ e22_ (op2_ e22_ e20_)) /\ ((op2_ (op2_ e22_ e22_) e21_) = (op2_ e22_ (op2_ e22_ e21_)) /\ ((op2_ (op2_ e22_ e22_) e22_) = (op2_ e22_ (op2_ e22_ e22_)) /\ ((op2_ (op2_ e22_ e22_) e23_) = (op2_ e22_ (op2_ e22_ e23_)) /\ ((op2_ (op2_ e22_ e22_) e24_) = (op2_ e22_ (op2_ e22_ e24_)) /\ ((op2_ (op2_ e22_ e22_) e25_) = (op2_ e22_ (op2_ e22_ e25_)) /\ ((op2_ (op2_ e22_ e23_) e20_) = (op2_ e22_ (op2_ e23_ e20_)) /\ ((op2_ (op2_ e22_ e23_) e21_) = (op2_ e22_ (op2_ e23_ e21_)) /\ ((op2_ (op2_ e22_ e23_) e22_) = (op2_ e22_ (op2_ e23_ e22_)) /\ ((op2_ (op2_ e22_ e23_) e23_) = (op2_ e22_ (op2_ e23_ e23_)) /\ ((op2_ (op2_ e22_ e23_) e24_) = (op2_ e22_ (op2_ e23_ e24_)) /\ ((op2_ (op2_ e22_ e23_) e25_) = (op2_ e22_ (op2_ e23_ e25_)) /\ ((op2_ (op2_ e22_ e24_) e20_) = (op2_ e22_ (op2_ e24_ e20_)) /\ ((op2_ (op2_ e22_ e24_) e21_) = (op2_ e22_ (op2_ e24_ e21_)) /\ ((op2_ (op2_ e22_ e24_) e22_) = (op2_ e22_ (op2_ e24_ e22_)) /\ ((op2_ (op2_ e22_ e24_) e23_) = (op2_ e22_ (op2_ e24_ e23_)) /\ ((op2_ (op2_ e22_ e24_) e24_) = (op2_ e22_ (op2_ e24_ e24_)) /\ ((op2_ (op2_ e22_ e24_) e25_) = (op2_ e22_ (op2_ e24_ e25_)) /\ ((op2_ (op2_ e22_ e25_) e20_) = (op2_ e22_ (op2_ e25_ e20_)) /\ ((op2_ (op2_ e22_ e25_) e21_) = (op2_ e22_ (op2_ e25_ e21_)) /\ ((op2_ (op2_ e22_ e25_) e22_) = (op2_ e22_ (op2_ e25_ e22_)) /\ ((op2_ (op2_ e22_ e25_) e23_) = (op2_ e22_ (op2_ e25_ e23_)) /\ ((op2_ (op2_ e22_ e25_) e24_) = (op2_ e22_ (op2_ e25_ e24_)) /\ ((op2_ (op2_ e22_ e25_) e25_) = (op2_ e22_ (op2_ e25_ e25_)) /\ ((op2_ (op2_ e23_ e20_) e20_) = (op2_ e23_ (op2_ e20_ e20_)) /\ ((op2_ (op2_ e23_ e20_) e21_) = (op2_ e23_ (op2_ e20_ e21_)) /\ ((op2_ (op2_ e23_ e20_) e22_) = (op2_ e23_ (op2_ e20_ e22_)) /\ ((op2_ (op2_ e23_ e20_) e23_) = (op2_ e23_ (op2_ e20_ e23_)) /\ ((op2_ (op2_ e23_ e20_) e24_) = (op2_ e23_ (op2_ e20_ e24_)) /\ ((op2_ (op2_ e23_ e20_) e25_) = (op2_ e23_ (op2_ e20_ e25_)) /\ ((op2_ (op2_ e23_ e21_) e20_) = (op2_ e23_ (op2_ e21_ e20_)) /\ ((op2_ (op2_ e23_ e21_) e21_) = (op2_ e23_ (op2_ e21_ e21_)) /\ ((op2_ (op2_ e23_ e21_) e22_) = (op2_ e23_ (op2_ e21_ e22_)) /\ ((op2_ (op2_ e23_ e21_) e23_) = (op2_ e23_ (op2_ e21_ e23_)) /\ ((op2_ (op2_ e23_ e21_) e24_) = (op2_ e23_ (op2_ e21_ e24_)) /\ ((op2_ (op2_ e23_ e21_) e25_) = (op2_ e23_ (op2_ e21_ e25_)) /\ ((op2_ (op2_ e23_ e22_) e20_) = (op2_ e23_ (op2_ e22_ e20_)) /\ ((op2_ (op2_ e23_ e22_) e21_) = (op2_ e23_ (op2_ e22_ e21_)) /\ ((op2_ (op2_ e23_ e22_) e22_) = (op2_ e23_ (op2_ e22_ e22_)) /\ ((op2_ (op2_ e23_ e22_) e23_) = (op2_ e23_ (op2_ e22_ e23_)) /\ ((op2_ (op2_ e23_ e22_) e24_) = (op2_ e23_ (op2_ e22_ e24_)) /\ ((op2_ (op2_ e23_ e22_) e25_) = (op2_ e23_ (op2_ e22_ e25_)) /\ ((op2_ (op2_ e23_ e23_) e20_) = (op2_ e23_ (op2_ e23_ e20_)) /\ ((op2_ (op2_ e23_ e23_) e21_) = (op2_ e23_ (op2_ e23_ e21_)) /\ ((op2_ (op2_ e23_ e23_) e22_) = (op2_ e23_ (op2_ e23_ e22_)) /\ ((op2_ (op2_ e23_ e23_) e23_) = (op2_ e23_ (op2_ e23_ e23_)) /\ ((op2_ (op2_ e23_ e23_) e24_) = (op2_ e23_ (op2_ e23_ e24_)) /\ ((op2_ (op2_ e23_ e23_) e25_) = (op2_ e23_ (op2_ e23_ e25_)) /\ ((op2_ (op2_ e23_ e24_) e20_) = (op2_ e23_ (op2_ e24_ e20_)) /\ ((op2_ (op2_ e23_ e24_) e21_) = (op2_ e23_ (op2_ e24_ e21_)) /\ ((op2_ (op2_ e23_ e24_) e22_) = (op2_ e23_ (op2_ e24_ e22_)) /\ ((op2_ (op2_ e23_ e24_) e23_) = (op2_ e23_ (op2_ e24_ e23_)) /\ ((op2_ (op2_ e23_ e24_) e24_) = (op2_ e23_ (op2_ e24_ e24_)) /\ ((op2_ (op2_ e23_ e24_) e25_) = (op2_ e23_ (op2_ e24_ e25_)) /\ ((op2_ (op2_ e23_ e25_) e20_) = (op2_ e23_ (op2_ e25_ e20_)) /\ ((op2_ (op2_ e23_ e25_) e21_) = (op2_ e23_ (op2_ e25_ e21_)) /\ ((op2_ (op2_ e23_ e25_) e22_) = (op2_ e23_ (op2_ e25_ e22_)) /\ ((op2_ (op2_ e23_ e25_) e23_) = (op2_ e23_ (op2_ e25_ e23_)) /\ ((op2_ (op2_ e23_ e25_) e24_) = (op2_ e23_ (op2_ e25_ e24_)) /\ ((op2_ (op2_ e23_ e25_) e25_) = (op2_ e23_ (op2_ e25_ e25_)) /\ ((op2_ (op2_ e24_ e20_) e20_) = (op2_ e24_ (op2_ e20_ e20_)) /\ ((op2_ (op2_ e24_ e20_) e21_) = (op2_ e24_ (op2_ e20_ e21_)) /\ ((op2_ (op2_ e24_ e20_) e22_) = (op2_ e24_ (op2_ e20_ e22_)) /\ ((op2_ (op2_ e24_ e20_) e23_) = (op2_ e24_ (op2_ e20_ e23_)) /\ ((op2_ (op2_ e24_ e20_) e24_) = (op2_ e24_ (op2_ e20_ e24_)) /\ ((op2_ (op2_ e24_ e20_) e25_) = (op2_ e24_ (op2_ e20_ e25_)) /\ ((op2_ (op2_ e24_ e21_) e20_) = (op2_ e24_ (op2_ e21_ e20_)) /\ ((op2_ (op2_ e24_ e21_) e21_) = (op2_ e24_ (op2_ e21_ e21_)) /\ ((op2_ (op2_ e24_ e21_) e22_) = (op2_ e24_ (op2_ e21_ e22_)) /\ ((op2_ (op2_ e24_ e21_) e23_) = (op2_ e24_ (op2_ e21_ e23_)) /\ ((op2_ (op2_ e24_ e21_) e24_) = (op2_ e24_ (op2_ e21_ e24_)) /\ ((op2_ (op2_ e24_ e21_) e25_) = (op2_ e24_ (op2_ e21_ e25_)) /\ ((op2_ (op2_ e24_ e22_) e20_) = (op2_ e24_ (op2_ e22_ e20_)) /\ ((op2_ (op2_ e24_ e22_) e21_) = (op2_ e24_ (op2_ e22_ e21_)) /\ ((op2_ (op2_ e24_ e22_) e22_) = (op2_ e24_ (op2_ e22_ e22_)) /\ ((op2_ (op2_ e24_ e22_) e23_) = (op2_ e24_ (op2_ e22_ e23_)) /\ ((op2_ (op2_ e24_ e22_) e24_) = (op2_ e24_ (op2_ e22_ e24_)) /\ ((op2_ (op2_ e24_ e22_) e25_) = (op2_ e24_ (op2_ e22_ e25_)) /\ ((op2_ (op2_ e24_ e23_) e20_) = (op2_ e24_ (op2_ e23_ e20_)) /\ ((op2_ (op2_ e24_ e23_) e21_) = (op2_ e24_ (op2_ e23_ e21_)) /\ ((op2_ (op2_ e24_ e23_) e22_) = (op2_ e24_ (op2_ e23_ e22_)) /\ ((op2_ (op2_ e24_ e23_) e23_) = (op2_ e24_ (op2_ e23_ e23_)) /\ ((op2_ (op2_ e24_ e23_) e24_) = (op2_ e24_ (op2_ e23_ e24_)) /\ ((op2_ (op2_ e24_ e23_) e25_) = (op2_ e24_ (op2_ e23_ e25_)) /\ ((op2_ (op2_ e24_ e24_) e20_) = (op2_ e24_ (op2_ e24_ e20_)) /\ ((op2_ (op2_ e24_ e24_) e21_) = (op2_ e24_ (op2_ e24_ e21_)) /\ ((op2_ (op2_ e24_ e24_) e22_) = (op2_ e24_ (op2_ e24_ e22_)) /\ ((op2_ (op2_ e24_ e24_) e23_) = (op2_ e24_ (op2_ e24_ e23_)) /\ ((op2_ (op2_ e24_ e24_) e24_) = (op2_ e24_ (op2_ e24_ e24_)) /\ ((op2_ (op2_ e24_ e24_) e25_) = (op2_ e24_ (op2_ e24_ e25_)) /\ ((op2_ (op2_ e24_ e25_) e20_) = (op2_ e24_ (op2_ e25_ e20_)) /\ ((op2_ (op2_ e24_ e25_) e21_) = (op2_ e24_ (op2_ e25_ e21_)) /\ ((op2_ (op2_ e24_ e25_) e22_) = (op2_ e24_ (op2_ e25_ e22_)) /\ ((op2_ (op2_ e24_ e25_) e23_) = (op2_ e24_ (op2_ e25_ e23_)) /\ ((op2_ (op2_ e24_ e25_) e24_) = (op2_ e24_ (op2_ e25_ e24_)) /\ ((op2_ (op2_ e24_ e25_) e25_) = (op2_ e24_ (op2_ e25_ e25_)) /\ ((op2_ (op2_ e25_ e20_) e20_) = (op2_ e25_ (op2_ e20_ e20_)) /\ ((op2_ (op2_ e25_ e20_) e21_) = (op2_ e25_ (op2_ e20_ e21_)) /\ ((op2_ (op2_ e25_ e20_) e22_) = (op2_ e25_ (op2_ e20_ e22_)) /\ ((op2_ (op2_ e25_ e20_) e23_) = (op2_ e25_ (op2_ e20_ e23_)) /\ ((op2_ (op2_ e25_ e20_) e24_) = (op2_ e25_ (op2_ e20_ e24_)) /\ ((op2_ (op2_ e25_ e20_) e25_) = (op2_ e25_ (op2_ e20_ e25_)) /\ ((op2_ (op2_ e25_ e21_) e20_) = (op2_ e25_ (op2_ e21_ e20_)) /\ ((op2_ (op2_ e25_ e21_) e21_) = (op2_ e25_ (op2_ e21_ e21_)) /\ ((op2_ (op2_ e25_ e21_) e22_) = (op2_ e25_ (op2_ e21_ e22_)) /\ ((op2_ (op2_ e25_ e21_) e23_) = (op2_ e25_ (op2_ e21_ e23_)) /\ ((op2_ (op2_ e25_ e21_) e24_) = (op2_ e25_ (op2_ e21_ e24_)) /\ ((op2_ (op2_ e25_ e21_) e25_) = (op2_ e25_ (op2_ e21_ e25_)) /\ ((op2_ (op2_ e25_ e22_) e20_) = (op2_ e25_ (op2_ e22_ e20_)) /\ ((op2_ (op2_ e25_ e22_) e21_) = (op2_ e25_ (op2_ e22_ e21_)) /\ ((op2_ (op2_ e25_ e22_) e22_) = (op2_ e25_ (op2_ e22_ e22_)) /\ ((op2_ (op2_ e25_ e22_) e23_) = (op2_ e25_ (op2_ e22_ e23_)) /\ ((op2_ (op2_ e25_ e22_) e24_) = (op2_ e25_ (op2_ e22_ e24_)) /\ ((op2_ (op2_ e25_ e22_) e25_) = (op2_ e25_ (op2_ e22_ e25_)) /\ ((op2_ (op2_ e25_ e23_) e20_) = (op2_ e25_ (op2_ e23_ e20_)) /\ ((op2_ (op2_ e25_ e23_) e21_) = (op2_ e25_ (op2_ e23_ e21_)) /\ ((op2_ (op2_ e25_ e23_) e22_) = (op2_ e25_ (op2_ e23_ e22_)) /\ ((op2_ (op2_ e25_ e23_) e23_) = (op2_ e25_ (op2_ e23_ e23_)) /\ ((op2_ (op2_ e25_ e23_) e24_) = (op2_ e25_ (op2_ e23_ e24_)) /\ ((op2_ (op2_ e25_ e23_) e25_) = (op2_ e25_ (op2_ e23_ e25_)) /\ ((op2_ (op2_ e25_ e24_) e20_) = (op2_ e25_ (op2_ e24_ e20_)) /\ ((op2_ (op2_ e25_ e24_) e21_) = (op2_ e25_ (op2_ e24_ e21_)) /\ ((op2_ (op2_ e25_ e24_) e22_) = (op2_ e25_ (op2_ e24_ e22_)) /\ ((op2_ (op2_ e25_ e24_) e23_) = (op2_ e25_ (op2_ e24_ e23_)) /\ ((op2_ (op2_ e25_ e24_) e24_) = (op2_ e25_ (op2_ e24_ e24_)) /\ ((op2_ (op2_ e25_ e24_) e25_) = (op2_ e25_ (op2_ e24_ e25_)) /\ ((op2_ (op2_ e25_ e25_) e20_) = (op2_ e25_ (op2_ e25_ e20_)) /\ ((op2_ (op2_ e25_ e25_) e21_) = (op2_ e25_ (op2_ e25_ e21_)) /\ ((op2_ (op2_ e25_ e25_) e22_) = (op2_ e25_ (op2_ e25_ e22_)) /\ ((op2_ (op2_ e25_ e25_) e23_) = (op2_ e25_ (op2_ e25_ e23_)) /\ ((op2_ (op2_ e25_ e25_) e24_) = (op2_ e25_ (op2_ e25_ e24_)) /\ (op2_ (op2_ e25_ e25_) e25_) = (op2_ e25_ (op2_ e25_ e25_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Variable ax7_7 : ((op2_ unit2_ e20_) = e20_ /\ ((op2_ e20_ unit2_) = e20_ /\ ((op2_ unit2_ e21_) = e21_ /\ ((op2_ e21_ unit2_) = e21_ /\ ((op2_ unit2_ e22_) = e22_ /\ ((op2_ e22_ unit2_) = e22_ /\ ((op2_ unit2_ e23_) = e23_ /\ ((op2_ e23_ unit2_) = e23_ /\ ((op2_ unit2_ e24_) = e24_ /\ ((op2_ e24_ unit2_) = e24_ /\ ((op2_ unit2_ e25_) = e25_ /\ ((op2_ e25_ unit2_) = e25_ /\ (unit2_ = e20_ \/ (unit2_ = e21_ \/ (unit2_ = e22_ \/ (unit2_ = e23_ \/ (unit2_ = e24_ \/ unit2_ = e25_))))))))))))))))).
Variable ax8_8 : ((op2_ e20_ (inv2_ e20_)) = unit2_ /\ ((op2_ (inv2_ e20_) e20_) = unit2_ /\ ((op2_ e21_ (inv2_ e21_)) = unit2_ /\ ((op2_ (inv2_ e21_) e21_) = unit2_ /\ ((op2_ e22_ (inv2_ e22_)) = unit2_ /\ ((op2_ (inv2_ e22_) e22_) = unit2_ /\ ((op2_ e23_ (inv2_ e23_)) = unit2_ /\ ((op2_ (inv2_ e23_) e23_) = unit2_ /\ ((op2_ e24_ (inv2_ e24_)) = unit2_ /\ ((op2_ (inv2_ e24_) e24_) = unit2_ /\ ((op2_ e25_ (inv2_ e25_)) = unit2_ /\ ((op2_ (inv2_ e25_) e25_) = unit2_ /\ (((inv2_ e20_) = e20_ \/ ((inv2_ e20_) = e21_ \/ ((inv2_ e20_) = e22_ \/ ((inv2_ e20_) = e23_ \/ ((inv2_ e20_) = e24_ \/ (inv2_ e20_) = e25_))))) /\ (((inv2_ e21_) = e20_ \/ ((inv2_ e21_) = e21_ \/ ((inv2_ e21_) = e22_ \/ ((inv2_ e21_) = e23_ \/ ((inv2_ e21_) = e24_ \/ (inv2_ e21_) = e25_))))) /\ (((inv2_ e22_) = e20_ \/ ((inv2_ e22_) = e21_ \/ ((inv2_ e22_) = e22_ \/ ((inv2_ e22_) = e23_ \/ ((inv2_ e22_) = e24_ \/ (inv2_ e22_) = e25_))))) /\ (((inv2_ e23_) = e20_ \/ ((inv2_ e23_) = e21_ \/ ((inv2_ e23_) = e22_ \/ ((inv2_ e23_) = e23_ \/ ((inv2_ e23_) = e24_ \/ (inv2_ e23_) = e25_))))) /\ (((inv2_ e24_) = e20_ \/ ((inv2_ e24_) = e21_ \/ ((inv2_ e24_) = e22_ \/ ((inv2_ e24_) = e23_ \/ ((inv2_ e24_) = e24_ \/ (inv2_ e24_) = e25_))))) /\ ((inv2_ e25_) = e20_ \/ ((inv2_ e25_) = e21_ \/ ((inv2_ e25_) = e22_ \/ ((inv2_ e25_) = e23_ \/ ((inv2_ e25_) = e24_ \/ (inv2_ e25_) = e25_)))))))))))))))))))))).
Variable ax9_9 : (inv1_ unit1_) = unit1_.
Variable ax10_10 : ((inv1_ (inv1_ e10_)) = e10_ /\ ((inv1_ (inv1_ e11_)) = e11_ /\ ((inv1_ (inv1_ e12_)) = e12_ /\ ((inv1_ (inv1_ e13_)) = e13_ /\ ((inv1_ (inv1_ e14_)) = e14_ /\ (inv1_ (inv1_ e15_)) = e15_))))).
Variable ax11_11 : (((inv1_ e10_) = e10_ -> (inv1_ e10_) = e10_) /\ (((inv1_ e10_) = e11_ -> (inv1_ e11_) = e10_) /\ (((inv1_ e10_) = e12_ -> (inv1_ e12_) = e10_) /\ (((inv1_ e10_) = e13_ -> (inv1_ e13_) = e10_) /\ (((inv1_ e10_) = e14_ -> (inv1_ e14_) = e10_) /\ (((inv1_ e10_) = e15_ -> (inv1_ e15_) = e10_) /\ (((inv1_ e11_) = e10_ -> (inv1_ e10_) = e11_) /\ (((inv1_ e11_) = e11_ -> (inv1_ e11_) = e11_) /\ (((inv1_ e11_) = e12_ -> (inv1_ e12_) = e11_) /\ (((inv1_ e11_) = e13_ -> (inv1_ e13_) = e11_) /\ (((inv1_ e11_) = e14_ -> (inv1_ e14_) = e11_) /\ (((inv1_ e11_) = e15_ -> (inv1_ e15_) = e11_) /\ (((inv1_ e12_) = e10_ -> (inv1_ e10_) = e12_) /\ (((inv1_ e12_) = e11_ -> (inv1_ e11_) = e12_) /\ (((inv1_ e12_) = e12_ -> (inv1_ e12_) = e12_) /\ (((inv1_ e12_) = e13_ -> (inv1_ e13_) = e12_) /\ (((inv1_ e12_) = e14_ -> (inv1_ e14_) = e12_) /\ (((inv1_ e12_) = e15_ -> (inv1_ e15_) = e12_) /\ (((inv1_ e13_) = e10_ -> (inv1_ e10_) = e13_) /\ (((inv1_ e13_) = e11_ -> (inv1_ e11_) = e13_) /\ (((inv1_ e13_) = e12_ -> (inv1_ e12_) = e13_) /\ (((inv1_ e13_) = e13_ -> (inv1_ e13_) = e13_) /\ (((inv1_ e13_) = e14_ -> (inv1_ e14_) = e13_) /\ (((inv1_ e13_) = e15_ -> (inv1_ e15_) = e13_) /\ (((inv1_ e14_) = e10_ -> (inv1_ e10_) = e14_) /\ (((inv1_ e14_) = e11_ -> (inv1_ e11_) = e14_) /\ (((inv1_ e14_) = e12_ -> (inv1_ e12_) = e14_) /\ (((inv1_ e14_) = e13_ -> (inv1_ e13_) = e14_) /\ (((inv1_ e14_) = e14_ -> (inv1_ e14_) = e14_) /\ (((inv1_ e14_) = e15_ -> (inv1_ e15_) = e14_) /\ (((inv1_ e15_) = e10_ -> (inv1_ e10_) = e15_) /\ (((inv1_ e15_) = e11_ -> (inv1_ e11_) = e15_) /\ (((inv1_ e15_) = e12_ -> (inv1_ e12_) = e15_) /\ (((inv1_ e15_) = e13_ -> (inv1_ e13_) = e15_) /\ (((inv1_ e15_) = e14_ -> (inv1_ e14_) = e15_) /\ ((inv1_ e15_) = e15_ -> (inv1_ e15_) = e15_)))))))))))))))))))))))))))))))))))).
Variable ax12_12 : ((inv1_ e10_) <> (inv1_ e11_) /\ ((inv1_ e10_) <> (inv1_ e12_) /\ ((inv1_ e10_) <> (inv1_ e13_) /\ ((inv1_ e10_) <> (inv1_ e14_) /\ ((inv1_ e10_) <> (inv1_ e15_) /\ ((inv1_ e11_) <> (inv1_ e12_) /\ ((inv1_ e11_) <> (inv1_ e13_) /\ ((inv1_ e11_) <> (inv1_ e14_) /\ ((inv1_ e11_) <> (inv1_ e15_) /\ ((inv1_ e12_) <> (inv1_ e13_) /\ ((inv1_ e12_) <> (inv1_ e14_) /\ ((inv1_ e12_) <> (inv1_ e15_) /\ ((inv1_ e13_) <> (inv1_ e14_) /\ ((inv1_ e13_) <> (inv1_ e15_) /\ (inv1_ e14_) <> (inv1_ e15_))))))))))))))).
Variable ax13_13 : (inv2_ unit2_) = unit2_.
Variable ax14_14 : ((inv2_ (inv2_ e20_)) = e20_ /\ ((inv2_ (inv2_ e21_)) = e21_ /\ ((inv2_ (inv2_ e22_)) = e22_ /\ ((inv2_ (inv2_ e23_)) = e23_ /\ ((inv2_ (inv2_ e24_)) = e24_ /\ (inv2_ (inv2_ e25_)) = e25_))))).
Variable ax15_15 : (((inv2_ e20_) = e20_ -> (inv2_ e20_) = e20_) /\ (((inv2_ e20_) = e21_ -> (inv2_ e21_) = e20_) /\ (((inv2_ e20_) = e22_ -> (inv2_ e22_) = e20_) /\ (((inv2_ e20_) = e23_ -> (inv2_ e23_) = e20_) /\ (((inv2_ e20_) = e24_ -> (inv2_ e24_) = e20_) /\ (((inv2_ e20_) = e25_ -> (inv2_ e25_) = e20_) /\ (((inv2_ e21_) = e20_ -> (inv2_ e20_) = e21_) /\ (((inv2_ e21_) = e21_ -> (inv2_ e21_) = e21_) /\ (((inv2_ e21_) = e22_ -> (inv2_ e22_) = e21_) /\ (((inv2_ e21_) = e23_ -> (inv2_ e23_) = e21_) /\ (((inv2_ e21_) = e24_ -> (inv2_ e24_) = e21_) /\ (((inv2_ e21_) = e25_ -> (inv2_ e25_) = e21_) /\ (((inv2_ e22_) = e20_ -> (inv2_ e20_) = e22_) /\ (((inv2_ e22_) = e21_ -> (inv2_ e21_) = e22_) /\ (((inv2_ e22_) = e22_ -> (inv2_ e22_) = e22_) /\ (((inv2_ e22_) = e23_ -> (inv2_ e23_) = e22_) /\ (((inv2_ e22_) = e24_ -> (inv2_ e24_) = e22_) /\ (((inv2_ e22_) = e25_ -> (inv2_ e25_) = e22_) /\ (((inv2_ e23_) = e20_ -> (inv2_ e20_) = e23_) /\ (((inv2_ e23_) = e21_ -> (inv2_ e21_) = e23_) /\ (((inv2_ e23_) = e22_ -> (inv2_ e22_) = e23_) /\ (((inv2_ e23_) = e23_ -> (inv2_ e23_) = e23_) /\ (((inv2_ e23_) = e24_ -> (inv2_ e24_) = e23_) /\ (((inv2_ e23_) = e25_ -> (inv2_ e25_) = e23_) /\ (((inv2_ e24_) = e20_ -> (inv2_ e20_) = e24_) /\ (((inv2_ e24_) = e21_ -> (inv2_ e21_) = e24_) /\ (((inv2_ e24_) = e22_ -> (inv2_ e22_) = e24_) /\ (((inv2_ e24_) = e23_ -> (inv2_ e23_) = e24_) /\ (((inv2_ e24_) = e24_ -> (inv2_ e24_) = e24_) /\ (((inv2_ e24_) = e25_ -> (inv2_ e25_) = e24_) /\ (((inv2_ e25_) = e20_ -> (inv2_ e20_) = e25_) /\ (((inv2_ e25_) = e21_ -> (inv2_ e21_) = e25_) /\ (((inv2_ e25_) = e22_ -> (inv2_ e22_) = e25_) /\ (((inv2_ e25_) = e23_ -> (inv2_ e23_) = e25_) /\ (((inv2_ e25_) = e24_ -> (inv2_ e24_) = e25_) /\ ((inv2_ e25_) = e25_ -> (inv2_ e25_) = e25_)))))))))))))))))))))))))))))))))))).
Variable ax16_16 : ((inv2_ e20_) <> (inv2_ e21_) /\ ((inv2_ e20_) <> (inv2_ e22_) /\ ((inv2_ e20_) <> (inv2_ e23_) /\ ((inv2_ e20_) <> (inv2_ e24_) /\ ((inv2_ e20_) <> (inv2_ e25_) /\ ((inv2_ e21_) <> (inv2_ e22_) /\ ((inv2_ e21_) <> (inv2_ e23_) /\ ((inv2_ e21_) <> (inv2_ e24_) /\ ((inv2_ e21_) <> (inv2_ e25_) /\ ((inv2_ e22_) <> (inv2_ e23_) /\ ((inv2_ e22_) <> (inv2_ e24_) /\ ((inv2_ e22_) <> (inv2_ e25_) /\ ((inv2_ e23_) <> (inv2_ e24_) /\ ((inv2_ e23_) <> (inv2_ e25_) /\ (inv2_ e24_) <> (inv2_ e25_))))))))))))))).
Variable ax17_17 : ((op1_ e10_ e10_) <> (op1_ e11_ e10_) /\ ((op1_ e10_ e10_) <> (op1_ e12_ e10_) /\ ((op1_ e10_ e10_) <> (op1_ e13_ e10_) /\ ((op1_ e10_ e10_) <> (op1_ e14_ e10_) /\ ((op1_ e10_ e10_) <> (op1_ e15_ e10_) /\ ((op1_ e11_ e10_) <> (op1_ e12_ e10_) /\ ((op1_ e11_ e10_) <> (op1_ e13_ e10_) /\ ((op1_ e11_ e10_) <> (op1_ e14_ e10_) /\ ((op1_ e11_ e10_) <> (op1_ e15_ e10_) /\ ((op1_ e12_ e10_) <> (op1_ e13_ e10_) /\ ((op1_ e12_ e10_) <> (op1_ e14_ e10_) /\ ((op1_ e12_ e10_) <> (op1_ e15_ e10_) /\ ((op1_ e13_ e10_) <> (op1_ e14_ e10_) /\ ((op1_ e13_ e10_) <> (op1_ e15_ e10_) /\ ((op1_ e14_ e10_) <> (op1_ e15_ e10_) /\ ((op1_ e10_ e11_) <> (op1_ e11_ e11_) /\ ((op1_ e10_ e11_) <> (op1_ e12_ e11_) /\ ((op1_ e10_ e11_) <> (op1_ e13_ e11_) /\ ((op1_ e10_ e11_) <> (op1_ e14_ e11_) /\ ((op1_ e10_ e11_) <> (op1_ e15_ e11_) /\ ((op1_ e11_ e11_) <> (op1_ e12_ e11_) /\ ((op1_ e11_ e11_) <> (op1_ e13_ e11_) /\ ((op1_ e11_ e11_) <> (op1_ e14_ e11_) /\ ((op1_ e11_ e11_) <> (op1_ e15_ e11_) /\ ((op1_ e12_ e11_) <> (op1_ e13_ e11_) /\ ((op1_ e12_ e11_) <> (op1_ e14_ e11_) /\ ((op1_ e12_ e11_) <> (op1_ e15_ e11_) /\ ((op1_ e13_ e11_) <> (op1_ e14_ e11_) /\ ((op1_ e13_ e11_) <> (op1_ e15_ e11_) /\ ((op1_ e14_ e11_) <> (op1_ e15_ e11_) /\ ((op1_ e10_ e12_) <> (op1_ e11_ e12_) /\ ((op1_ e10_ e12_) <> (op1_ e12_ e12_) /\ ((op1_ e10_ e12_) <> (op1_ e13_ e12_) /\ ((op1_ e10_ e12_) <> (op1_ e14_ e12_) /\ ((op1_ e10_ e12_) <> (op1_ e15_ e12_) /\ ((op1_ e11_ e12_) <> (op1_ e12_ e12_) /\ ((op1_ e11_ e12_) <> (op1_ e13_ e12_) /\ ((op1_ e11_ e12_) <> (op1_ e14_ e12_) /\ ((op1_ e11_ e12_) <> (op1_ e15_ e12_) /\ ((op1_ e12_ e12_) <> (op1_ e13_ e12_) /\ ((op1_ e12_ e12_) <> (op1_ e14_ e12_) /\ ((op1_ e12_ e12_) <> (op1_ e15_ e12_) /\ ((op1_ e13_ e12_) <> (op1_ e14_ e12_) /\ ((op1_ e13_ e12_) <> (op1_ e15_ e12_) /\ ((op1_ e14_ e12_) <> (op1_ e15_ e12_) /\ ((op1_ e10_ e13_) <> (op1_ e11_ e13_) /\ ((op1_ e10_ e13_) <> (op1_ e12_ e13_) /\ ((op1_ e10_ e13_) <> (op1_ e13_ e13_) /\ ((op1_ e10_ e13_) <> (op1_ e14_ e13_) /\ ((op1_ e10_ e13_) <> (op1_ e15_ e13_) /\ ((op1_ e11_ e13_) <> (op1_ e12_ e13_) /\ ((op1_ e11_ e13_) <> (op1_ e13_ e13_) /\ ((op1_ e11_ e13_) <> (op1_ e14_ e13_) /\ ((op1_ e11_ e13_) <> (op1_ e15_ e13_) /\ ((op1_ e12_ e13_) <> (op1_ e13_ e13_) /\ ((op1_ e12_ e13_) <> (op1_ e14_ e13_) /\ ((op1_ e12_ e13_) <> (op1_ e15_ e13_) /\ ((op1_ e13_ e13_) <> (op1_ e14_ e13_) /\ ((op1_ e13_ e13_) <> (op1_ e15_ e13_) /\ ((op1_ e14_ e13_) <> (op1_ e15_ e13_) /\ ((op1_ e10_ e14_) <> (op1_ e11_ e14_) /\ ((op1_ e10_ e14_) <> (op1_ e12_ e14_) /\ ((op1_ e10_ e14_) <> (op1_ e13_ e14_) /\ ((op1_ e10_ e14_) <> (op1_ e14_ e14_) /\ ((op1_ e10_ e14_) <> (op1_ e15_ e14_) /\ ((op1_ e11_ e14_) <> (op1_ e12_ e14_) /\ ((op1_ e11_ e14_) <> (op1_ e13_ e14_) /\ ((op1_ e11_ e14_) <> (op1_ e14_ e14_) /\ ((op1_ e11_ e14_) <> (op1_ e15_ e14_) /\ ((op1_ e12_ e14_) <> (op1_ e13_ e14_) /\ ((op1_ e12_ e14_) <> (op1_ e14_ e14_) /\ ((op1_ e12_ e14_) <> (op1_ e15_ e14_) /\ ((op1_ e13_ e14_) <> (op1_ e14_ e14_) /\ ((op1_ e13_ e14_) <> (op1_ e15_ e14_) /\ ((op1_ e14_ e14_) <> (op1_ e15_ e14_) /\ ((op1_ e10_ e15_) <> (op1_ e11_ e15_) /\ ((op1_ e10_ e15_) <> (op1_ e12_ e15_) /\ ((op1_ e10_ e15_) <> (op1_ e13_ e15_) /\ ((op1_ e10_ e15_) <> (op1_ e14_ e15_) /\ ((op1_ e10_ e15_) <> (op1_ e15_ e15_) /\ ((op1_ e11_ e15_) <> (op1_ e12_ e15_) /\ ((op1_ e11_ e15_) <> (op1_ e13_ e15_) /\ ((op1_ e11_ e15_) <> (op1_ e14_ e15_) /\ ((op1_ e11_ e15_) <> (op1_ e15_ e15_) /\ ((op1_ e12_ e15_) <> (op1_ e13_ e15_) /\ ((op1_ e12_ e15_) <> (op1_ e14_ e15_) /\ ((op1_ e12_ e15_) <> (op1_ e15_ e15_) /\ ((op1_ e13_ e15_) <> (op1_ e14_ e15_) /\ ((op1_ e13_ e15_) <> (op1_ e15_ e15_) /\ ((op1_ e14_ e15_) <> (op1_ e15_ e15_) /\ ((op1_ e10_ e10_) <> (op1_ e10_ e11_) /\ ((op1_ e10_ e10_) <> (op1_ e10_ e12_) /\ ((op1_ e10_ e10_) <> (op1_ e10_ e13_) /\ ((op1_ e10_ e10_) <> (op1_ e10_ e14_) /\ ((op1_ e10_ e10_) <> (op1_ e10_ e15_) /\ ((op1_ e10_ e11_) <> (op1_ e10_ e12_) /\ ((op1_ e10_ e11_) <> (op1_ e10_ e13_) /\ ((op1_ e10_ e11_) <> (op1_ e10_ e14_) /\ ((op1_ e10_ e11_) <> (op1_ e10_ e15_) /\ ((op1_ e10_ e12_) <> (op1_ e10_ e13_) /\ ((op1_ e10_ e12_) <> (op1_ e10_ e14_) /\ ((op1_ e10_ e12_) <> (op1_ e10_ e15_) /\ ((op1_ e10_ e13_) <> (op1_ e10_ e14_) /\ ((op1_ e10_ e13_) <> (op1_ e10_ e15_) /\ ((op1_ e10_ e14_) <> (op1_ e10_ e15_) /\ ((op1_ e11_ e10_) <> (op1_ e11_ e11_) /\ ((op1_ e11_ e10_) <> (op1_ e11_ e12_) /\ ((op1_ e11_ e10_) <> (op1_ e11_ e13_) /\ ((op1_ e11_ e10_) <> (op1_ e11_ e14_) /\ ((op1_ e11_ e10_) <> (op1_ e11_ e15_) /\ ((op1_ e11_ e11_) <> (op1_ e11_ e12_) /\ ((op1_ e11_ e11_) <> (op1_ e11_ e13_) /\ ((op1_ e11_ e11_) <> (op1_ e11_ e14_) /\ ((op1_ e11_ e11_) <> (op1_ e11_ e15_) /\ ((op1_ e11_ e12_) <> (op1_ e11_ e13_) /\ ((op1_ e11_ e12_) <> (op1_ e11_ e14_) /\ ((op1_ e11_ e12_) <> (op1_ e11_ e15_) /\ ((op1_ e11_ e13_) <> (op1_ e11_ e14_) /\ ((op1_ e11_ e13_) <> (op1_ e11_ e15_) /\ ((op1_ e11_ e14_) <> (op1_ e11_ e15_) /\ ((op1_ e12_ e10_) <> (op1_ e12_ e11_) /\ ((op1_ e12_ e10_) <> (op1_ e12_ e12_) /\ ((op1_ e12_ e10_) <> (op1_ e12_ e13_) /\ ((op1_ e12_ e10_) <> (op1_ e12_ e14_) /\ ((op1_ e12_ e10_) <> (op1_ e12_ e15_) /\ ((op1_ e12_ e11_) <> (op1_ e12_ e12_) /\ ((op1_ e12_ e11_) <> (op1_ e12_ e13_) /\ ((op1_ e12_ e11_) <> (op1_ e12_ e14_) /\ ((op1_ e12_ e11_) <> (op1_ e12_ e15_) /\ ((op1_ e12_ e12_) <> (op1_ e12_ e13_) /\ ((op1_ e12_ e12_) <> (op1_ e12_ e14_) /\ ((op1_ e12_ e12_) <> (op1_ e12_ e15_) /\ ((op1_ e12_ e13_) <> (op1_ e12_ e14_) /\ ((op1_ e12_ e13_) <> (op1_ e12_ e15_) /\ ((op1_ e12_ e14_) <> (op1_ e12_ e15_) /\ ((op1_ e13_ e10_) <> (op1_ e13_ e11_) /\ ((op1_ e13_ e10_) <> (op1_ e13_ e12_) /\ ((op1_ e13_ e10_) <> (op1_ e13_ e13_) /\ ((op1_ e13_ e10_) <> (op1_ e13_ e14_) /\ ((op1_ e13_ e10_) <> (op1_ e13_ e15_) /\ ((op1_ e13_ e11_) <> (op1_ e13_ e12_) /\ ((op1_ e13_ e11_) <> (op1_ e13_ e13_) /\ ((op1_ e13_ e11_) <> (op1_ e13_ e14_) /\ ((op1_ e13_ e11_) <> (op1_ e13_ e15_) /\ ((op1_ e13_ e12_) <> (op1_ e13_ e13_) /\ ((op1_ e13_ e12_) <> (op1_ e13_ e14_) /\ ((op1_ e13_ e12_) <> (op1_ e13_ e15_) /\ ((op1_ e13_ e13_) <> (op1_ e13_ e14_) /\ ((op1_ e13_ e13_) <> (op1_ e13_ e15_) /\ ((op1_ e13_ e14_) <> (op1_ e13_ e15_) /\ ((op1_ e14_ e10_) <> (op1_ e14_ e11_) /\ ((op1_ e14_ e10_) <> (op1_ e14_ e12_) /\ ((op1_ e14_ e10_) <> (op1_ e14_ e13_) /\ ((op1_ e14_ e10_) <> (op1_ e14_ e14_) /\ ((op1_ e14_ e10_) <> (op1_ e14_ e15_) /\ ((op1_ e14_ e11_) <> (op1_ e14_ e12_) /\ ((op1_ e14_ e11_) <> (op1_ e14_ e13_) /\ ((op1_ e14_ e11_) <> (op1_ e14_ e14_) /\ ((op1_ e14_ e11_) <> (op1_ e14_ e15_) /\ ((op1_ e14_ e12_) <> (op1_ e14_ e13_) /\ ((op1_ e14_ e12_) <> (op1_ e14_ e14_) /\ ((op1_ e14_ e12_) <> (op1_ e14_ e15_) /\ ((op1_ e14_ e13_) <> (op1_ e14_ e14_) /\ ((op1_ e14_ e13_) <> (op1_ e14_ e15_) /\ ((op1_ e14_ e14_) <> (op1_ e14_ e15_) /\ ((op1_ e15_ e10_) <> (op1_ e15_ e11_) /\ ((op1_ e15_ e10_) <> (op1_ e15_ e12_) /\ ((op1_ e15_ e10_) <> (op1_ e15_ e13_) /\ ((op1_ e15_ e10_) <> (op1_ e15_ e14_) /\ ((op1_ e15_ e10_) <> (op1_ e15_ e15_) /\ ((op1_ e15_ e11_) <> (op1_ e15_ e12_) /\ ((op1_ e15_ e11_) <> (op1_ e15_ e13_) /\ ((op1_ e15_ e11_) <> (op1_ e15_ e14_) /\ ((op1_ e15_ e11_) <> (op1_ e15_ e15_) /\ ((op1_ e15_ e12_) <> (op1_ e15_ e13_) /\ ((op1_ e15_ e12_) <> (op1_ e15_ e14_) /\ ((op1_ e15_ e12_) <> (op1_ e15_ e15_) /\ ((op1_ e15_ e13_) <> (op1_ e15_ e14_) /\ ((op1_ e15_ e13_) <> (op1_ e15_ e15_) /\ (op1_ e15_ e14_) <> (op1_ e15_ e15_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Variable ax18_18 : ((op2_ e20_ e20_) <> (op2_ e21_ e20_) /\ ((op2_ e20_ e20_) <> (op2_ e22_ e20_) /\ ((op2_ e20_ e20_) <> (op2_ e23_ e20_) /\ ((op2_ e20_ e20_) <> (op2_ e24_ e20_) /\ ((op2_ e20_ e20_) <> (op2_ e25_ e20_) /\ ((op2_ e21_ e20_) <> (op2_ e22_ e20_) /\ ((op2_ e21_ e20_) <> (op2_ e23_ e20_) /\ ((op2_ e21_ e20_) <> (op2_ e24_ e20_) /\ ((op2_ e21_ e20_) <> (op2_ e25_ e20_) /\ ((op2_ e22_ e20_) <> (op2_ e23_ e20_) /\ ((op2_ e22_ e20_) <> (op2_ e24_ e20_) /\ ((op2_ e22_ e20_) <> (op2_ e25_ e20_) /\ ((op2_ e23_ e20_) <> (op2_ e24_ e20_) /\ ((op2_ e23_ e20_) <> (op2_ e25_ e20_) /\ ((op2_ e24_ e20_) <> (op2_ e25_ e20_) /\ ((op2_ e20_ e21_) <> (op2_ e21_ e21_) /\ ((op2_ e20_ e21_) <> (op2_ e22_ e21_) /\ ((op2_ e20_ e21_) <> (op2_ e23_ e21_) /\ ((op2_ e20_ e21_) <> (op2_ e24_ e21_) /\ ((op2_ e20_ e21_) <> (op2_ e25_ e21_) /\ ((op2_ e21_ e21_) <> (op2_ e22_ e21_) /\ ((op2_ e21_ e21_) <> (op2_ e23_ e21_) /\ ((op2_ e21_ e21_) <> (op2_ e24_ e21_) /\ ((op2_ e21_ e21_) <> (op2_ e25_ e21_) /\ ((op2_ e22_ e21_) <> (op2_ e23_ e21_) /\ ((op2_ e22_ e21_) <> (op2_ e24_ e21_) /\ ((op2_ e22_ e21_) <> (op2_ e25_ e21_) /\ ((op2_ e23_ e21_) <> (op2_ e24_ e21_) /\ ((op2_ e23_ e21_) <> (op2_ e25_ e21_) /\ ((op2_ e24_ e21_) <> (op2_ e25_ e21_) /\ ((op2_ e20_ e22_) <> (op2_ e21_ e22_) /\ ((op2_ e20_ e22_) <> (op2_ e22_ e22_) /\ ((op2_ e20_ e22_) <> (op2_ e23_ e22_) /\ ((op2_ e20_ e22_) <> (op2_ e24_ e22_) /\ ((op2_ e20_ e22_) <> (op2_ e25_ e22_) /\ ((op2_ e21_ e22_) <> (op2_ e22_ e22_) /\ ((op2_ e21_ e22_) <> (op2_ e23_ e22_) /\ ((op2_ e21_ e22_) <> (op2_ e24_ e22_) /\ ((op2_ e21_ e22_) <> (op2_ e25_ e22_) /\ ((op2_ e22_ e22_) <> (op2_ e23_ e22_) /\ ((op2_ e22_ e22_) <> (op2_ e24_ e22_) /\ ((op2_ e22_ e22_) <> (op2_ e25_ e22_) /\ ((op2_ e23_ e22_) <> (op2_ e24_ e22_) /\ ((op2_ e23_ e22_) <> (op2_ e25_ e22_) /\ ((op2_ e24_ e22_) <> (op2_ e25_ e22_) /\ ((op2_ e20_ e23_) <> (op2_ e21_ e23_) /\ ((op2_ e20_ e23_) <> (op2_ e22_ e23_) /\ ((op2_ e20_ e23_) <> (op2_ e23_ e23_) /\ ((op2_ e20_ e23_) <> (op2_ e24_ e23_) /\ ((op2_ e20_ e23_) <> (op2_ e25_ e23_) /\ ((op2_ e21_ e23_) <> (op2_ e22_ e23_) /\ ((op2_ e21_ e23_) <> (op2_ e23_ e23_) /\ ((op2_ e21_ e23_) <> (op2_ e24_ e23_) /\ ((op2_ e21_ e23_) <> (op2_ e25_ e23_) /\ ((op2_ e22_ e23_) <> (op2_ e23_ e23_) /\ ((op2_ e22_ e23_) <> (op2_ e24_ e23_) /\ ((op2_ e22_ e23_) <> (op2_ e25_ e23_) /\ ((op2_ e23_ e23_) <> (op2_ e24_ e23_) /\ ((op2_ e23_ e23_) <> (op2_ e25_ e23_) /\ ((op2_ e24_ e23_) <> (op2_ e25_ e23_) /\ ((op2_ e20_ e24_) <> (op2_ e21_ e24_) /\ ((op2_ e20_ e24_) <> (op2_ e22_ e24_) /\ ((op2_ e20_ e24_) <> (op2_ e23_ e24_) /\ ((op2_ e20_ e24_) <> (op2_ e24_ e24_) /\ ((op2_ e20_ e24_) <> (op2_ e25_ e24_) /\ ((op2_ e21_ e24_) <> (op2_ e22_ e24_) /\ ((op2_ e21_ e24_) <> (op2_ e23_ e24_) /\ ((op2_ e21_ e24_) <> (op2_ e24_ e24_) /\ ((op2_ e21_ e24_) <> (op2_ e25_ e24_) /\ ((op2_ e22_ e24_) <> (op2_ e23_ e24_) /\ ((op2_ e22_ e24_) <> (op2_ e24_ e24_) /\ ((op2_ e22_ e24_) <> (op2_ e25_ e24_) /\ ((op2_ e23_ e24_) <> (op2_ e24_ e24_) /\ ((op2_ e23_ e24_) <> (op2_ e25_ e24_) /\ ((op2_ e24_ e24_) <> (op2_ e25_ e24_) /\ ((op2_ e20_ e25_) <> (op2_ e21_ e25_) /\ ((op2_ e20_ e25_) <> (op2_ e22_ e25_) /\ ((op2_ e20_ e25_) <> (op2_ e23_ e25_) /\ ((op2_ e20_ e25_) <> (op2_ e24_ e25_) /\ ((op2_ e20_ e25_) <> (op2_ e25_ e25_) /\ ((op2_ e21_ e25_) <> (op2_ e22_ e25_) /\ ((op2_ e21_ e25_) <> (op2_ e23_ e25_) /\ ((op2_ e21_ e25_) <> (op2_ e24_ e25_) /\ ((op2_ e21_ e25_) <> (op2_ e25_ e25_) /\ ((op2_ e22_ e25_) <> (op2_ e23_ e25_) /\ ((op2_ e22_ e25_) <> (op2_ e24_ e25_) /\ ((op2_ e22_ e25_) <> (op2_ e25_ e25_) /\ ((op2_ e23_ e25_) <> (op2_ e24_ e25_) /\ ((op2_ e23_ e25_) <> (op2_ e25_ e25_) /\ ((op2_ e24_ e25_) <> (op2_ e25_ e25_) /\ ((op2_ e20_ e20_) <> (op2_ e20_ e21_) /\ ((op2_ e20_ e20_) <> (op2_ e20_ e22_) /\ ((op2_ e20_ e20_) <> (op2_ e20_ e23_) /\ ((op2_ e20_ e20_) <> (op2_ e20_ e24_) /\ ((op2_ e20_ e20_) <> (op2_ e20_ e25_) /\ ((op2_ e20_ e21_) <> (op2_ e20_ e22_) /\ ((op2_ e20_ e21_) <> (op2_ e20_ e23_) /\ ((op2_ e20_ e21_) <> (op2_ e20_ e24_) /\ ((op2_ e20_ e21_) <> (op2_ e20_ e25_) /\ ((op2_ e20_ e22_) <> (op2_ e20_ e23_) /\ ((op2_ e20_ e22_) <> (op2_ e20_ e24_) /\ ((op2_ e20_ e22_) <> (op2_ e20_ e25_) /\ ((op2_ e20_ e23_) <> (op2_ e20_ e24_) /\ ((op2_ e20_ e23_) <> (op2_ e20_ e25_) /\ ((op2_ e20_ e24_) <> (op2_ e20_ e25_) /\ ((op2_ e21_ e20_) <> (op2_ e21_ e21_) /\ ((op2_ e21_ e20_) <> (op2_ e21_ e22_) /\ ((op2_ e21_ e20_) <> (op2_ e21_ e23_) /\ ((op2_ e21_ e20_) <> (op2_ e21_ e24_) /\ ((op2_ e21_ e20_) <> (op2_ e21_ e25_) /\ ((op2_ e21_ e21_) <> (op2_ e21_ e22_) /\ ((op2_ e21_ e21_) <> (op2_ e21_ e23_) /\ ((op2_ e21_ e21_) <> (op2_ e21_ e24_) /\ ((op2_ e21_ e21_) <> (op2_ e21_ e25_) /\ ((op2_ e21_ e22_) <> (op2_ e21_ e23_) /\ ((op2_ e21_ e22_) <> (op2_ e21_ e24_) /\ ((op2_ e21_ e22_) <> (op2_ e21_ e25_) /\ ((op2_ e21_ e23_) <> (op2_ e21_ e24_) /\ ((op2_ e21_ e23_) <> (op2_ e21_ e25_) /\ ((op2_ e21_ e24_) <> (op2_ e21_ e25_) /\ ((op2_ e22_ e20_) <> (op2_ e22_ e21_) /\ ((op2_ e22_ e20_) <> (op2_ e22_ e22_) /\ ((op2_ e22_ e20_) <> (op2_ e22_ e23_) /\ ((op2_ e22_ e20_) <> (op2_ e22_ e24_) /\ ((op2_ e22_ e20_) <> (op2_ e22_ e25_) /\ ((op2_ e22_ e21_) <> (op2_ e22_ e22_) /\ ((op2_ e22_ e21_) <> (op2_ e22_ e23_) /\ ((op2_ e22_ e21_) <> (op2_ e22_ e24_) /\ ((op2_ e22_ e21_) <> (op2_ e22_ e25_) /\ ((op2_ e22_ e22_) <> (op2_ e22_ e23_) /\ ((op2_ e22_ e22_) <> (op2_ e22_ e24_) /\ ((op2_ e22_ e22_) <> (op2_ e22_ e25_) /\ ((op2_ e22_ e23_) <> (op2_ e22_ e24_) /\ ((op2_ e22_ e23_) <> (op2_ e22_ e25_) /\ ((op2_ e22_ e24_) <> (op2_ e22_ e25_) /\ ((op2_ e23_ e20_) <> (op2_ e23_ e21_) /\ ((op2_ e23_ e20_) <> (op2_ e23_ e22_) /\ ((op2_ e23_ e20_) <> (op2_ e23_ e23_) /\ ((op2_ e23_ e20_) <> (op2_ e23_ e24_) /\ ((op2_ e23_ e20_) <> (op2_ e23_ e25_) /\ ((op2_ e23_ e21_) <> (op2_ e23_ e22_) /\ ((op2_ e23_ e21_) <> (op2_ e23_ e23_) /\ ((op2_ e23_ e21_) <> (op2_ e23_ e24_) /\ ((op2_ e23_ e21_) <> (op2_ e23_ e25_) /\ ((op2_ e23_ e22_) <> (op2_ e23_ e23_) /\ ((op2_ e23_ e22_) <> (op2_ e23_ e24_) /\ ((op2_ e23_ e22_) <> (op2_ e23_ e25_) /\ ((op2_ e23_ e23_) <> (op2_ e23_ e24_) /\ ((op2_ e23_ e23_) <> (op2_ e23_ e25_) /\ ((op2_ e23_ e24_) <> (op2_ e23_ e25_) /\ ((op2_ e24_ e20_) <> (op2_ e24_ e21_) /\ ((op2_ e24_ e20_) <> (op2_ e24_ e22_) /\ ((op2_ e24_ e20_) <> (op2_ e24_ e23_) /\ ((op2_ e24_ e20_) <> (op2_ e24_ e24_) /\ ((op2_ e24_ e20_) <> (op2_ e24_ e25_) /\ ((op2_ e24_ e21_) <> (op2_ e24_ e22_) /\ ((op2_ e24_ e21_) <> (op2_ e24_ e23_) /\ ((op2_ e24_ e21_) <> (op2_ e24_ e24_) /\ ((op2_ e24_ e21_) <> (op2_ e24_ e25_) /\ ((op2_ e24_ e22_) <> (op2_ e24_ e23_) /\ ((op2_ e24_ e22_) <> (op2_ e24_ e24_) /\ ((op2_ e24_ e22_) <> (op2_ e24_ e25_) /\ ((op2_ e24_ e23_) <> (op2_ e24_ e24_) /\ ((op2_ e24_ e23_) <> (op2_ e24_ e25_) /\ ((op2_ e24_ e24_) <> (op2_ e24_ e25_) /\ ((op2_ e25_ e20_) <> (op2_ e25_ e21_) /\ ((op2_ e25_ e20_) <> (op2_ e25_ e22_) /\ ((op2_ e25_ e20_) <> (op2_ e25_ e23_) /\ ((op2_ e25_ e20_) <> (op2_ e25_ e24_) /\ ((op2_ e25_ e20_) <> (op2_ e25_ e25_) /\ ((op2_ e25_ e21_) <> (op2_ e25_ e22_) /\ ((op2_ e25_ e21_) <> (op2_ e25_ e23_) /\ ((op2_ e25_ e21_) <> (op2_ e25_ e24_) /\ ((op2_ e25_ e21_) <> (op2_ e25_ e25_) /\ ((op2_ e25_ e22_) <> (op2_ e25_ e23_) /\ ((op2_ e25_ e22_) <> (op2_ e25_ e24_) /\ ((op2_ e25_ e22_) <> (op2_ e25_ e25_) /\ ((op2_ e25_ e23_) <> (op2_ e25_ e24_) /\ ((op2_ e25_ e23_) <> (op2_ e25_ e25_) /\ (op2_ e25_ e24_) <> (op2_ e25_ e25_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Variable ax19_19 : (e10_ <> e11_ /\ (e10_ <> e12_ /\ (e10_ <> e13_ /\ (e10_ <> e14_ /\ (e10_ <> e15_ /\ (e11_ <> e12_ /\ (e11_ <> e13_ /\ (e11_ <> e14_ /\ (e11_ <> e15_ /\ (e12_ <> e13_ /\ (e12_ <> e14_ /\ (e12_ <> e15_ /\ (e13_ <> e14_ /\ (e13_ <> e15_ /\ e14_ <> e15_)))))))))))))).
Variable ax20_20 : (e20_ <> e21_ /\ (e20_ <> e22_ /\ (e20_ <> e23_ /\ (e20_ <> e24_ /\ (e20_ <> e25_ /\ (e21_ <> e22_ /\ (e21_ <> e23_ /\ (e21_ <> e24_ /\ (e21_ <> e25_ /\ (e22_ <> e23_ /\ (e22_ <> e24_ /\ (e22_ <> e25_ /\ (e23_ <> e24_ /\ (e23_ <> e25_ /\ e24_ <> e25_)))))))))))))).
Variable ax21_21 : (e10_ <> e20_ /\ (e10_ <> e21_ /\ (e10_ <> e22_ /\ (e10_ <> e23_ /\ (e10_ <> e24_ /\ (e10_ <> e25_ /\ (e11_ <> e20_ /\ (e11_ <> e21_ /\ (e11_ <> e22_ /\ (e11_ <> e23_ /\ (e11_ <> e24_ /\ (e11_ <> e25_ /\ (e12_ <> e20_ /\ (e12_ <> e21_ /\ (e12_ <> e22_ /\ (e12_ <> e23_ /\ (e12_ <> e24_ /\ (e12_ <> e25_ /\ (e13_ <> e20_ /\ (e13_ <> e21_ /\ (e13_ <> e22_ /\ (e13_ <> e23_ /\ (e13_ <> e24_ /\ (e13_ <> e25_ /\ (e14_ <> e20_ /\ (e14_ <> e21_ /\ (e14_ <> e22_ /\ (e14_ <> e23_ /\ (e14_ <> e24_ /\ (e14_ <> e25_ /\ (e15_ <> e20_ /\ (e15_ <> e21_ /\ (e15_ <> e22_ /\ (e15_ <> e23_ /\ (e15_ <> e24_ /\ e15_ <> e25_))))))))))))))))))))))))))))))))))).
Variable ax22_22 : ~(((op1_ e10_ e10_) = (op1_ e10_ e10_) /\ ((op1_ e10_ e11_) = (op1_ e11_ e10_) /\ ((op1_ e10_ e12_) = (op1_ e12_ e10_) /\ ((op1_ e10_ e13_) = (op1_ e13_ e10_) /\ ((op1_ e10_ e14_) = (op1_ e14_ e10_) /\ ((op1_ e10_ e15_) = (op1_ e15_ e10_) /\ ((op1_ e11_ e10_) = (op1_ e10_ e11_) /\ ((op1_ e11_ e11_) = (op1_ e11_ e11_) /\ ((op1_ e11_ e12_) = (op1_ e12_ e11_) /\ ((op1_ e11_ e13_) = (op1_ e13_ e11_) /\ ((op1_ e11_ e14_) = (op1_ e14_ e11_) /\ ((op1_ e11_ e15_) = (op1_ e15_ e11_) /\ ((op1_ e12_ e10_) = (op1_ e10_ e12_) /\ ((op1_ e12_ e11_) = (op1_ e11_ e12_) /\ ((op1_ e12_ e12_) = (op1_ e12_ e12_) /\ ((op1_ e12_ e13_) = (op1_ e13_ e12_) /\ ((op1_ e12_ e14_) = (op1_ e14_ e12_) /\ ((op1_ e12_ e15_) = (op1_ e15_ e12_) /\ ((op1_ e13_ e10_) = (op1_ e10_ e13_) /\ ((op1_ e13_ e11_) = (op1_ e11_ e13_) /\ ((op1_ e13_ e12_) = (op1_ e12_ e13_) /\ ((op1_ e13_ e13_) = (op1_ e13_ e13_) /\ ((op1_ e13_ e14_) = (op1_ e14_ e13_) /\ ((op1_ e13_ e15_) = (op1_ e15_ e13_) /\ ((op1_ e14_ e10_) = (op1_ e10_ e14_) /\ ((op1_ e14_ e11_) = (op1_ e11_ e14_) /\ ((op1_ e14_ e12_) = (op1_ e12_ e14_) /\ ((op1_ e14_ e13_) = (op1_ e13_ e14_) /\ ((op1_ e14_ e14_) = (op1_ e14_ e14_) /\ ((op1_ e14_ e15_) = (op1_ e15_ e14_) /\ ((op1_ e15_ e10_) = (op1_ e10_ e15_) /\ ((op1_ e15_ e11_) = (op1_ e11_ e15_) /\ ((op1_ e15_ e12_) = (op1_ e12_ e15_) /\ ((op1_ e15_ e13_) = (op1_ e13_ e15_) /\ ((op1_ e15_ e14_) = (op1_ e14_ e15_) /\ (op1_ e15_ e15_) = (op1_ e15_ e15_))))))))))))))))))))))))))))))))))))).
Variable ax23_23 : ~(((op2_ e20_ e20_) = (op2_ e20_ e20_) /\ ((op2_ e20_ e21_) = (op2_ e21_ e20_) /\ ((op2_ e20_ e22_) = (op2_ e22_ e20_) /\ ((op2_ e20_ e23_) = (op2_ e23_ e20_) /\ ((op2_ e20_ e24_) = (op2_ e24_ e20_) /\ ((op2_ e20_ e25_) = (op2_ e25_ e20_) /\ ((op2_ e21_ e20_) = (op2_ e20_ e21_) /\ ((op2_ e21_ e21_) = (op2_ e21_ e21_) /\ ((op2_ e21_ e22_) = (op2_ e22_ e21_) /\ ((op2_ e21_ e23_) = (op2_ e23_ e21_) /\ ((op2_ e21_ e24_) = (op2_ e24_ e21_) /\ ((op2_ e21_ e25_) = (op2_ e25_ e21_) /\ ((op2_ e22_ e20_) = (op2_ e20_ e22_) /\ ((op2_ e22_ e21_) = (op2_ e21_ e22_) /\ ((op2_ e22_ e22_) = (op2_ e22_ e22_) /\ ((op2_ e22_ e23_) = (op2_ e23_ e22_) /\ ((op2_ e22_ e24_) = (op2_ e24_ e22_) /\ ((op2_ e22_ e25_) = (op2_ e25_ e22_) /\ ((op2_ e23_ e20_) = (op2_ e20_ e23_) /\ ((op2_ e23_ e21_) = (op2_ e21_ e23_) /\ ((op2_ e23_ e22_) = (op2_ e22_ e23_) /\ ((op2_ e23_ e23_) = (op2_ e23_ e23_) /\ ((op2_ e23_ e24_) = (op2_ e24_ e23_) /\ ((op2_ e23_ e25_) = (op2_ e25_ e23_) /\ ((op2_ e24_ e20_) = (op2_ e20_ e24_) /\ ((op2_ e24_ e21_) = (op2_ e21_ e24_) /\ ((op2_ e24_ e22_) = (op2_ e22_ e24_) /\ ((op2_ e24_ e23_) = (op2_ e23_ e24_) /\ ((op2_ e24_ e24_) = (op2_ e24_ e24_) /\ ((op2_ e24_ e25_) = (op2_ e25_ e24_) /\ ((op2_ e25_ e20_) = (op2_ e20_ e25_) /\ ((op2_ e25_ e21_) = (op2_ e21_ e25_) /\ ((op2_ e25_ e22_) = (op2_ e22_ e25_) /\ ((op2_ e25_ e23_) = (op2_ e23_ e25_) /\ ((op2_ e25_ e24_) = (op2_ e24_ e25_) /\ (op2_ e25_ e25_) = (op2_ e25_ e25_))))))))))))))))))))))))))))))))))))).
Variable ax24_24 : (e10_ = (op1_ (op1_ e15_ (op1_ (op1_ e15_ e11_) (op1_ e15_ e11_))) (op1_ e15_ (op1_ (op1_ e15_ e11_) (op1_ e15_ e11_)))) /\ (e12_ = (op1_ e15_ (op1_ (op1_ e15_ e11_) (op1_ e15_ e11_))) /\ (e13_ = (op1_ e15_ e11_) /\ e14_ = (op1_ (op1_ e15_ e11_) (op1_ e15_ e11_))))).
Variable ax25_25 : (e20_ = (op2_ (op2_ e25_ (op2_ (op2_ e25_ e21_) (op2_ e25_ e21_))) (op2_ e25_ (op2_ (op2_ e25_ e21_) (op2_ e25_ e21_)))) /\ (e22_ = (op2_ e25_ (op2_ (op2_ e25_ e21_) (op2_ e25_ e21_))) /\ (e23_ = (op2_ e25_ e21_) /\ e24_ = (op2_ (op2_ e25_ e21_) (op2_ e25_ e21_))))).
Variable ax26_26 : ((h1_ e11_) = e20_ /\ ((h1_ e15_) = e21_ /\ ((h1_ e10_) = (op2_ (op2_ e21_ (op2_ (op2_ e21_ e20_) (op2_ e21_ e20_))) (op2_ e21_ (op2_ (op2_ e21_ e20_) (op2_ e21_ e20_)))) /\ ((h1_ e12_) = (op2_ e21_ (op2_ (op2_ e21_ e20_) (op2_ e21_ e20_))) /\ ((h1_ e13_) = (op2_ e21_ e20_) /\ (h1_ e14_) = (op2_ (op2_ e21_ e20_) (op2_ e21_ e20_))))))).
Variable ax27_27 : ((h2_ e11_) = e20_ /\ ((h2_ e15_) = e22_ /\ ((h2_ e10_) = (op2_ (op2_ e22_ (op2_ (op2_ e22_ e20_) (op2_ e22_ e20_))) (op2_ e22_ (op2_ (op2_ e22_ e20_) (op2_ e22_ e20_)))) /\ ((h2_ e12_) = (op2_ e22_ (op2_ (op2_ e22_ e20_) (op2_ e22_ e20_))) /\ ((h2_ e13_) = (op2_ e22_ e20_) /\ (h2_ e14_) = (op2_ (op2_ e22_ e20_) (op2_ e22_ e20_))))))).
Variable ax28_28 : ((h3_ e11_) = e20_ /\ ((h3_ e15_) = e23_ /\ ((h3_ e10_) = (op2_ (op2_ e23_ (op2_ (op2_ e23_ e20_) (op2_ e23_ e20_))) (op2_ e23_ (op2_ (op2_ e23_ e20_) (op2_ e23_ e20_)))) /\ ((h3_ e12_) = (op2_ e23_ (op2_ (op2_ e23_ e20_) (op2_ e23_ e20_))) /\ ((h3_ e13_) = (op2_ e23_ e20_) /\ (h3_ e14_) = (op2_ (op2_ e23_ e20_) (op2_ e23_ e20_))))))).
Variable ax29_29 : ((h4_ e11_) = e20_ /\ ((h4_ e15_) = e24_ /\ ((h4_ e10_) = (op2_ (op2_ e24_ (op2_ (op2_ e24_ e20_) (op2_ e24_ e20_))) (op2_ e24_ (op2_ (op2_ e24_ e20_) (op2_ e24_ e20_)))) /\ ((h4_ e12_) = (op2_ e24_ (op2_ (op2_ e24_ e20_) (op2_ e24_ e20_))) /\ ((h4_ e13_) = (op2_ e24_ e20_) /\ (h4_ e14_) = (op2_ (op2_ e24_ e20_) (op2_ e24_ e20_))))))).
Variable ax30_30 : ((h5_ e11_) = e20_ /\ ((h5_ e15_) = e25_ /\ ((h5_ e10_) = (op2_ (op2_ e25_ (op2_ (op2_ e25_ e20_) (op2_ e25_ e20_))) (op2_ e25_ (op2_ (op2_ e25_ e20_) (op2_ e25_ e20_)))) /\ ((h5_ e12_) = (op2_ e25_ (op2_ (op2_ e25_ e20_) (op2_ e25_ e20_))) /\ ((h5_ e13_) = (op2_ e25_ e20_) /\ (h5_ e14_) = (op2_ (op2_ e25_ e20_) (op2_ e25_ e20_))))))).
Variable ax31_31 : ((h6_ e11_) = e21_ /\ ((h6_ e15_) = e20_ /\ ((h6_ e10_) = (op2_ (op2_ e20_ (op2_ (op2_ e20_ e21_) (op2_ e20_ e21_))) (op2_ e20_ (op2_ (op2_ e20_ e21_) (op2_ e20_ e21_)))) /\ ((h6_ e12_) = (op2_ e20_ (op2_ (op2_ e20_ e21_) (op2_ e20_ e21_))) /\ ((h6_ e13_) = (op2_ e20_ e21_) /\ (h6_ e14_) = (op2_ (op2_ e20_ e21_) (op2_ e20_ e21_))))))).
Variable ax32_32 : ((h7_ e11_) = e21_ /\ ((h7_ e15_) = e22_ /\ ((h7_ e10_) = (op2_ (op2_ e22_ (op2_ (op2_ e22_ e21_) (op2_ e22_ e21_))) (op2_ e22_ (op2_ (op2_ e22_ e21_) (op2_ e22_ e21_)))) /\ ((h7_ e12_) = (op2_ e22_ (op2_ (op2_ e22_ e21_) (op2_ e22_ e21_))) /\ ((h7_ e13_) = (op2_ e22_ e21_) /\ (h7_ e14_) = (op2_ (op2_ e22_ e21_) (op2_ e22_ e21_))))))).
Variable ax33_33 : ((h8_ e11_) = e21_ /\ ((h8_ e15_) = e23_ /\ ((h8_ e10_) = (op2_ (op2_ e23_ (op2_ (op2_ e23_ e21_) (op2_ e23_ e21_))) (op2_ e23_ (op2_ (op2_ e23_ e21_) (op2_ e23_ e21_)))) /\ ((h8_ e12_) = (op2_ e23_ (op2_ (op2_ e23_ e21_) (op2_ e23_ e21_))) /\ ((h8_ e13_) = (op2_ e23_ e21_) /\ (h8_ e14_) = (op2_ (op2_ e23_ e21_) (op2_ e23_ e21_))))))).
Variable ax34_34 : ((h9_ e11_) = e21_ /\ ((h9_ e15_) = e24_ /\ ((h9_ e10_) = (op2_ (op2_ e24_ (op2_ (op2_ e24_ e21_) (op2_ e24_ e21_))) (op2_ e24_ (op2_ (op2_ e24_ e21_) (op2_ e24_ e21_)))) /\ ((h9_ e12_) = (op2_ e24_ (op2_ (op2_ e24_ e21_) (op2_ e24_ e21_))) /\ ((h9_ e13_) = (op2_ e24_ e21_) /\ (h9_ e14_) = (op2_ (op2_ e24_ e21_) (op2_ e24_ e21_))))))).
Variable ax35_35 : ((h10_ e11_) = e21_ /\ ((h10_ e15_) = e25_ /\ ((h10_ e10_) = (op2_ (op2_ e25_ (op2_ (op2_ e25_ e21_) (op2_ e25_ e21_))) (op2_ e25_ (op2_ (op2_ e25_ e21_) (op2_ e25_ e21_)))) /\ ((h10_ e12_) = (op2_ e25_ (op2_ (op2_ e25_ e21_) (op2_ e25_ e21_))) /\ ((h10_ e13_) = (op2_ e25_ e21_) /\ (h10_ e14_) = (op2_ (op2_ e25_ e21_) (op2_ e25_ e21_))))))).
Variable ax36_36 : ((h11_ e11_) = e22_ /\ ((h11_ e15_) = e20_ /\ ((h11_ e10_) = (op2_ (op2_ e20_ (op2_ (op2_ e20_ e22_) (op2_ e20_ e22_))) (op2_ e20_ (op2_ (op2_ e20_ e22_) (op2_ e20_ e22_)))) /\ ((h11_ e12_) = (op2_ e20_ (op2_ (op2_ e20_ e22_) (op2_ e20_ e22_))) /\ ((h11_ e13_) = (op2_ e20_ e22_) /\ (h11_ e14_) = (op2_ (op2_ e20_ e22_) (op2_ e20_ e22_))))))).
Variable ax37_37 : ((h12_ e11_) = e22_ /\ ((h12_ e15_) = e21_ /\ ((h12_ e10_) = (op2_ (op2_ e21_ (op2_ (op2_ e21_ e22_) (op2_ e21_ e22_))) (op2_ e21_ (op2_ (op2_ e21_ e22_) (op2_ e21_ e22_)))) /\ ((h12_ e12_) = (op2_ e21_ (op2_ (op2_ e21_ e22_) (op2_ e21_ e22_))) /\ ((h12_ e13_) = (op2_ e21_ e22_) /\ (h12_ e14_) = (op2_ (op2_ e21_ e22_) (op2_ e21_ e22_))))))).
Variable ax38_38 : ((h13_ e11_) = e22_ /\ ((h13_ e15_) = e23_ /\ ((h13_ e10_) = (op2_ (op2_ e23_ (op2_ (op2_ e23_ e22_) (op2_ e23_ e22_))) (op2_ e23_ (op2_ (op2_ e23_ e22_) (op2_ e23_ e22_)))) /\ ((h13_ e12_) = (op2_ e23_ (op2_ (op2_ e23_ e22_) (op2_ e23_ e22_))) /\ ((h13_ e13_) = (op2_ e23_ e22_) /\ (h13_ e14_) = (op2_ (op2_ e23_ e22_) (op2_ e23_ e22_))))))).
Variable ax39_39 : ((h14_ e11_) = e22_ /\ ((h14_ e15_) = e24_ /\ ((h14_ e10_) = (op2_ (op2_ e24_ (op2_ (op2_ e24_ e22_) (op2_ e24_ e22_))) (op2_ e24_ (op2_ (op2_ e24_ e22_) (op2_ e24_ e22_)))) /\ ((h14_ e12_) = (op2_ e24_ (op2_ (op2_ e24_ e22_) (op2_ e24_ e22_))) /\ ((h14_ e13_) = (op2_ e24_ e22_) /\ (h14_ e14_) = (op2_ (op2_ e24_ e22_) (op2_ e24_ e22_))))))).
Variable ax40_40 : ((h15_ e11_) = e22_ /\ ((h15_ e15_) = e25_ /\ ((h15_ e10_) = (op2_ (op2_ e25_ (op2_ (op2_ e25_ e22_) (op2_ e25_ e22_))) (op2_ e25_ (op2_ (op2_ e25_ e22_) (op2_ e25_ e22_)))) /\ ((h15_ e12_) = (op2_ e25_ (op2_ (op2_ e25_ e22_) (op2_ e25_ e22_))) /\ ((h15_ e13_) = (op2_ e25_ e22_) /\ (h15_ e14_) = (op2_ (op2_ e25_ e22_) (op2_ e25_ e22_))))))).
Variable ax41_41 : ((h16_ e11_) = e23_ /\ ((h16_ e15_) = e20_ /\ ((h16_ e10_) = (op2_ (op2_ e20_ (op2_ (op2_ e20_ e23_) (op2_ e20_ e23_))) (op2_ e20_ (op2_ (op2_ e20_ e23_) (op2_ e20_ e23_)))) /\ ((h16_ e12_) = (op2_ e20_ (op2_ (op2_ e20_ e23_) (op2_ e20_ e23_))) /\ ((h16_ e13_) = (op2_ e20_ e23_) /\ (h16_ e14_) = (op2_ (op2_ e20_ e23_) (op2_ e20_ e23_))))))).
Variable ax42_42 : ((h17_ e11_) = e23_ /\ ((h17_ e15_) = e21_ /\ ((h17_ e10_) = (op2_ (op2_ e21_ (op2_ (op2_ e21_ e23_) (op2_ e21_ e23_))) (op2_ e21_ (op2_ (op2_ e21_ e23_) (op2_ e21_ e23_)))) /\ ((h17_ e12_) = (op2_ e21_ (op2_ (op2_ e21_ e23_) (op2_ e21_ e23_))) /\ ((h17_ e13_) = (op2_ e21_ e23_) /\ (h17_ e14_) = (op2_ (op2_ e21_ e23_) (op2_ e21_ e23_))))))).
Variable ax43_43 : ((h18_ e11_) = e23_ /\ ((h18_ e15_) = e22_ /\ ((h18_ e10_) = (op2_ (op2_ e22_ (op2_ (op2_ e22_ e23_) (op2_ e22_ e23_))) (op2_ e22_ (op2_ (op2_ e22_ e23_) (op2_ e22_ e23_)))) /\ ((h18_ e12_) = (op2_ e22_ (op2_ (op2_ e22_ e23_) (op2_ e22_ e23_))) /\ ((h18_ e13_) = (op2_ e22_ e23_) /\ (h18_ e14_) = (op2_ (op2_ e22_ e23_) (op2_ e22_ e23_))))))).
Variable ax44_44 : ((h19_ e11_) = e23_ /\ ((h19_ e15_) = e24_ /\ ((h19_ e10_) = (op2_ (op2_ e24_ (op2_ (op2_ e24_ e23_) (op2_ e24_ e23_))) (op2_ e24_ (op2_ (op2_ e24_ e23_) (op2_ e24_ e23_)))) /\ ((h19_ e12_) = (op2_ e24_ (op2_ (op2_ e24_ e23_) (op2_ e24_ e23_))) /\ ((h19_ e13_) = (op2_ e24_ e23_) /\ (h19_ e14_) = (op2_ (op2_ e24_ e23_) (op2_ e24_ e23_))))))).
Variable ax45_45 : ((h20_ e11_) = e23_ /\ ((h20_ e15_) = e25_ /\ ((h20_ e10_) = (op2_ (op2_ e25_ (op2_ (op2_ e25_ e23_) (op2_ e25_ e23_))) (op2_ e25_ (op2_ (op2_ e25_ e23_) (op2_ e25_ e23_)))) /\ ((h20_ e12_) = (op2_ e25_ (op2_ (op2_ e25_ e23_) (op2_ e25_ e23_))) /\ ((h20_ e13_) = (op2_ e25_ e23_) /\ (h20_ e14_) = (op2_ (op2_ e25_ e23_) (op2_ e25_ e23_))))))).
Variable ax46_46 : ((h21_ e11_) = e24_ /\ ((h21_ e15_) = e20_ /\ ((h21_ e10_) = (op2_ (op2_ e20_ (op2_ (op2_ e20_ e24_) (op2_ e20_ e24_))) (op2_ e20_ (op2_ (op2_ e20_ e24_) (op2_ e20_ e24_)))) /\ ((h21_ e12_) = (op2_ e20_ (op2_ (op2_ e20_ e24_) (op2_ e20_ e24_))) /\ ((h21_ e13_) = (op2_ e20_ e24_) /\ (h21_ e14_) = (op2_ (op2_ e20_ e24_) (op2_ e20_ e24_))))))).
Variable ax47_47 : ((h22_ e11_) = e24_ /\ ((h22_ e15_) = e21_ /\ ((h22_ e10_) = (op2_ (op2_ e21_ (op2_ (op2_ e21_ e24_) (op2_ e21_ e24_))) (op2_ e21_ (op2_ (op2_ e21_ e24_) (op2_ e21_ e24_)))) /\ ((h22_ e12_) = (op2_ e21_ (op2_ (op2_ e21_ e24_) (op2_ e21_ e24_))) /\ ((h22_ e13_) = (op2_ e21_ e24_) /\ (h22_ e14_) = (op2_ (op2_ e21_ e24_) (op2_ e21_ e24_))))))).
Variable ax48_48 : ((h23_ e11_) = e24_ /\ ((h23_ e15_) = e22_ /\ ((h23_ e10_) = (op2_ (op2_ e22_ (op2_ (op2_ e22_ e24_) (op2_ e22_ e24_))) (op2_ e22_ (op2_ (op2_ e22_ e24_) (op2_ e22_ e24_)))) /\ ((h23_ e12_) = (op2_ e22_ (op2_ (op2_ e22_ e24_) (op2_ e22_ e24_))) /\ ((h23_ e13_) = (op2_ e22_ e24_) /\ (h23_ e14_) = (op2_ (op2_ e22_ e24_) (op2_ e22_ e24_))))))).
Variable ax49_49 : ((h24_ e11_) = e24_ /\ ((h24_ e15_) = e23_ /\ ((h24_ e10_) = (op2_ (op2_ e23_ (op2_ (op2_ e23_ e24_) (op2_ e23_ e24_))) (op2_ e23_ (op2_ (op2_ e23_ e24_) (op2_ e23_ e24_)))) /\ ((h24_ e12_) = (op2_ e23_ (op2_ (op2_ e23_ e24_) (op2_ e23_ e24_))) /\ ((h24_ e13_) = (op2_ e23_ e24_) /\ (h24_ e14_) = (op2_ (op2_ e23_ e24_) (op2_ e23_ e24_))))))).
Variable ax50_50 : ((h25_ e11_) = e24_ /\ ((h25_ e15_) = e25_ /\ ((h25_ e10_) = (op2_ (op2_ e25_ (op2_ (op2_ e25_ e24_) (op2_ e25_ e24_))) (op2_ e25_ (op2_ (op2_ e25_ e24_) (op2_ e25_ e24_)))) /\ ((h25_ e12_) = (op2_ e25_ (op2_ (op2_ e25_ e24_) (op2_ e25_ e24_))) /\ ((h25_ e13_) = (op2_ e25_ e24_) /\ (h25_ e14_) = (op2_ (op2_ e25_ e24_) (op2_ e25_ e24_))))))).
Variable ax51_51 : ((h26_ e11_) = e25_ /\ ((h26_ e15_) = e20_ /\ ((h26_ e10_) = (op2_ (op2_ e20_ (op2_ (op2_ e20_ e25_) (op2_ e20_ e25_))) (op2_ e20_ (op2_ (op2_ e20_ e25_) (op2_ e20_ e25_)))) /\ ((h26_ e12_) = (op2_ e20_ (op2_ (op2_ e20_ e25_) (op2_ e20_ e25_))) /\ ((h26_ e13_) = (op2_ e20_ e25_) /\ (h26_ e14_) = (op2_ (op2_ e20_ e25_) (op2_ e20_ e25_))))))).
Variable ax52_52 : ((h27_ e11_) = e25_ /\ ((h27_ e15_) = e21_ /\ ((h27_ e10_) = (op2_ (op2_ e21_ (op2_ (op2_ e21_ e25_) (op2_ e21_ e25_))) (op2_ e21_ (op2_ (op2_ e21_ e25_) (op2_ e21_ e25_)))) /\ ((h27_ e12_) = (op2_ e21_ (op2_ (op2_ e21_ e25_) (op2_ e21_ e25_))) /\ ((h27_ e13_) = (op2_ e21_ e25_) /\ (h27_ e14_) = (op2_ (op2_ e21_ e25_) (op2_ e21_ e25_))))))).
Variable ax53_53 : ((h28_ e11_) = e25_ /\ ((h28_ e15_) = e22_ /\ ((h28_ e10_) = (op2_ (op2_ e22_ (op2_ (op2_ e22_ e25_) (op2_ e22_ e25_))) (op2_ e22_ (op2_ (op2_ e22_ e25_) (op2_ e22_ e25_)))) /\ ((h28_ e12_) = (op2_ e22_ (op2_ (op2_ e22_ e25_) (op2_ e22_ e25_))) /\ ((h28_ e13_) = (op2_ e22_ e25_) /\ (h28_ e14_) = (op2_ (op2_ e22_ e25_) (op2_ e22_ e25_))))))).
Variable ax54_54 : ((h29_ e11_) = e25_ /\ ((h29_ e15_) = e23_ /\ ((h29_ e10_) = (op2_ (op2_ e23_ (op2_ (op2_ e23_ e25_) (op2_ e23_ e25_))) (op2_ e23_ (op2_ (op2_ e23_ e25_) (op2_ e23_ e25_)))) /\ ((h29_ e12_) = (op2_ e23_ (op2_ (op2_ e23_ e25_) (op2_ e23_ e25_))) /\ ((h29_ e13_) = (op2_ e23_ e25_) /\ (h29_ e14_) = (op2_ (op2_ e23_ e25_) (op2_ e23_ e25_))))))).
Variable ax55_55 : ((h30_ e11_) = e25_ /\ ((h30_ e15_) = e24_ /\ ((h30_ e10_) = (op2_ (op2_ e24_ (op2_ (op2_ e24_ e25_) (op2_ e24_ e25_))) (op2_ e24_ (op2_ (op2_ e24_ e25_) (op2_ e24_ e25_)))) /\ ((h30_ e12_) = (op2_ e24_ (op2_ (op2_ e24_ e25_) (op2_ e24_ e25_))) /\ ((h30_ e13_) = (op2_ e24_ e25_) /\ (h30_ e14_) = (op2_ (op2_ e24_ e25_) (op2_ e24_ e25_))))))).

Set Firstorder Depth 10.

Theorem co1_56 : (((h1_ (op1_ e10_ e10_)) = (op2_ (h1_ e10_) (h1_ e10_)) /\ ((h1_ (op1_ e10_ e11_)) = (op2_ (h1_ e10_) (h1_ e11_)) /\ ((h1_ (op1_ e10_ e12_)) = (op2_ (h1_ e10_) (h1_ e12_)) /\ ((h1_ (op1_ e10_ e13_)) = (op2_ (h1_ e10_) (h1_ e13_)) /\ ((h1_ (op1_ e10_ e14_)) = (op2_ (h1_ e10_) (h1_ e14_)) /\ ((h1_ (op1_ e10_ e15_)) = (op2_ (h1_ e10_) (h1_ e15_)) /\ ((h1_ (op1_ e11_ e10_)) = (op2_ (h1_ e11_) (h1_ e10_)) /\ ((h1_ (op1_ e11_ e11_)) = (op2_ (h1_ e11_) (h1_ e11_)) /\ ((h1_ (op1_ e11_ e12_)) = (op2_ (h1_ e11_) (h1_ e12_)) /\ ((h1_ (op1_ e11_ e13_)) = (op2_ (h1_ e11_) (h1_ e13_)) /\ ((h1_ (op1_ e11_ e14_)) = (op2_ (h1_ e11_) (h1_ e14_)) /\ ((h1_ (op1_ e11_ e15_)) = (op2_ (h1_ e11_) (h1_ e15_)) /\ ((h1_ (op1_ e12_ e10_)) = (op2_ (h1_ e12_) (h1_ e10_)) /\ ((h1_ (op1_ e12_ e11_)) = (op2_ (h1_ e12_) (h1_ e11_)) /\ ((h1_ (op1_ e12_ e12_)) = (op2_ (h1_ e12_) (h1_ e12_)) /\ ((h1_ (op1_ e12_ e13_)) = (op2_ (h1_ e12_) (h1_ e13_)) /\ ((h1_ (op1_ e12_ e14_)) = (op2_ (h1_ e12_) (h1_ e14_)) /\ ((h1_ (op1_ e12_ e15_)) = (op2_ (h1_ e12_) (h1_ e15_)) /\ ((h1_ (op1_ e13_ e10_)) = (op2_ (h1_ e13_) (h1_ e10_)) /\ ((h1_ (op1_ e13_ e11_)) = (op2_ (h1_ e13_) (h1_ e11_)) /\ ((h1_ (op1_ e13_ e12_)) = (op2_ (h1_ e13_) (h1_ e12_)) /\ ((h1_ (op1_ e13_ e13_)) = (op2_ (h1_ e13_) (h1_ e13_)) /\ ((h1_ (op1_ e13_ e14_)) = (op2_ (h1_ e13_) (h1_ e14_)) /\ ((h1_ (op1_ e13_ e15_)) = (op2_ (h1_ e13_) (h1_ e15_)) /\ ((h1_ (op1_ e14_ e10_)) = (op2_ (h1_ e14_) (h1_ e10_)) /\ ((h1_ (op1_ e14_ e11_)) = (op2_ (h1_ e14_) (h1_ e11_)) /\ ((h1_ (op1_ e14_ e12_)) = (op2_ (h1_ e14_) (h1_ e12_)) /\ ((h1_ (op1_ e14_ e13_)) = (op2_ (h1_ e14_) (h1_ e13_)) /\ ((h1_ (op1_ e14_ e14_)) = (op2_ (h1_ e14_) (h1_ e14_)) /\ ((h1_ (op1_ e14_ e15_)) = (op2_ (h1_ e14_) (h1_ e15_)) /\ ((h1_ (op1_ e15_ e10_)) = (op2_ (h1_ e15_) (h1_ e10_)) /\ ((h1_ (op1_ e15_ e11_)) = (op2_ (h1_ e15_) (h1_ e11_)) /\ ((h1_ (op1_ e15_ e12_)) = (op2_ (h1_ e15_) (h1_ e12_)) /\ ((h1_ (op1_ e15_ e13_)) = (op2_ (h1_ e15_) (h1_ e13_)) /\ ((h1_ (op1_ e15_ e14_)) = (op2_ (h1_ e15_) (h1_ e14_)) /\ ((h1_ (op1_ e15_ e15_)) = (op2_ (h1_ e15_) (h1_ e15_)) /\ (((h1_ e10_) = e20_ \/ ((h1_ e11_) = e20_ \/ ((h1_ e12_) = e20_ \/ ((h1_ e13_) = e20_ \/ ((h1_ e14_) = e20_ \/ (h1_ e15_) = e20_))))) /\ (((h1_ e10_) = e21_ \/ ((h1_ e11_) = e21_ \/ ((h1_ e12_) = e21_ \/ ((h1_ e13_) = e21_ \/ ((h1_ e14_) = e21_ \/ (h1_ e15_) = e21_))))) /\ (((h1_ e10_) = e22_ \/ ((h1_ e11_) = e22_ \/ ((h1_ e12_) = e22_ \/ ((h1_ e13_) = e22_ \/ ((h1_ e14_) = e22_ \/ (h1_ e15_) = e22_))))) /\ (((h1_ e10_) = e23_ \/ ((h1_ e11_) = e23_ \/ ((h1_ e12_) = e23_ \/ ((h1_ e13_) = e23_ \/ ((h1_ e14_) = e23_ \/ (h1_ e15_) = e23_))))) /\ (((h1_ e10_) = e24_ \/ ((h1_ e11_) = e24_ \/ ((h1_ e12_) = e24_ \/ ((h1_ e13_) = e24_ \/ ((h1_ e14_) = e24_ \/ (h1_ e15_) = e24_))))) /\ ((h1_ e10_) = e25_ \/ ((h1_ e11_) = e25_ \/ ((h1_ e12_) = e25_ \/ ((h1_ e13_) = e25_ \/ ((h1_ e14_) = e25_ \/ (h1_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ (((h2_ (op1_ e10_ e10_)) = (op2_ (h2_ e10_) (h2_ e10_)) /\ ((h2_ (op1_ e10_ e11_)) = (op2_ (h2_ e10_) (h2_ e11_)) /\ ((h2_ (op1_ e10_ e12_)) = (op2_ (h2_ e10_) (h2_ e12_)) /\ ((h2_ (op1_ e10_ e13_)) = (op2_ (h2_ e10_) (h2_ e13_)) /\ ((h2_ (op1_ e10_ e14_)) = (op2_ (h2_ e10_) (h2_ e14_)) /\ ((h2_ (op1_ e10_ e15_)) = (op2_ (h2_ e10_) (h2_ e15_)) /\ ((h2_ (op1_ e11_ e10_)) = (op2_ (h2_ e11_) (h2_ e10_)) /\ ((h2_ (op1_ e11_ e11_)) = (op2_ (h2_ e11_) (h2_ e11_)) /\ ((h2_ (op1_ e11_ e12_)) = (op2_ (h2_ e11_) (h2_ e12_)) /\ ((h2_ (op1_ e11_ e13_)) = (op2_ (h2_ e11_) (h2_ e13_)) /\ ((h2_ (op1_ e11_ e14_)) = (op2_ (h2_ e11_) (h2_ e14_)) /\ ((h2_ (op1_ e11_ e15_)) = (op2_ (h2_ e11_) (h2_ e15_)) /\ ((h2_ (op1_ e12_ e10_)) = (op2_ (h2_ e12_) (h2_ e10_)) /\ ((h2_ (op1_ e12_ e11_)) = (op2_ (h2_ e12_) (h2_ e11_)) /\ ((h2_ (op1_ e12_ e12_)) = (op2_ (h2_ e12_) (h2_ e12_)) /\ ((h2_ (op1_ e12_ e13_)) = (op2_ (h2_ e12_) (h2_ e13_)) /\ ((h2_ (op1_ e12_ e14_)) = (op2_ (h2_ e12_) (h2_ e14_)) /\ ((h2_ (op1_ e12_ e15_)) = (op2_ (h2_ e12_) (h2_ e15_)) /\ ((h2_ (op1_ e13_ e10_)) = (op2_ (h2_ e13_) (h2_ e10_)) /\ ((h2_ (op1_ e13_ e11_)) = (op2_ (h2_ e13_) (h2_ e11_)) /\ ((h2_ (op1_ e13_ e12_)) = (op2_ (h2_ e13_) (h2_ e12_)) /\ ((h2_ (op1_ e13_ e13_)) = (op2_ (h2_ e13_) (h2_ e13_)) /\ ((h2_ (op1_ e13_ e14_)) = (op2_ (h2_ e13_) (h2_ e14_)) /\ ((h2_ (op1_ e13_ e15_)) = (op2_ (h2_ e13_) (h2_ e15_)) /\ ((h2_ (op1_ e14_ e10_)) = (op2_ (h2_ e14_) (h2_ e10_)) /\ ((h2_ (op1_ e14_ e11_)) = (op2_ (h2_ e14_) (h2_ e11_)) /\ ((h2_ (op1_ e14_ e12_)) = (op2_ (h2_ e14_) (h2_ e12_)) /\ ((h2_ (op1_ e14_ e13_)) = (op2_ (h2_ e14_) (h2_ e13_)) /\ ((h2_ (op1_ e14_ e14_)) = (op2_ (h2_ e14_) (h2_ e14_)) /\ ((h2_ (op1_ e14_ e15_)) = (op2_ (h2_ e14_) (h2_ e15_)) /\ ((h2_ (op1_ e15_ e10_)) = (op2_ (h2_ e15_) (h2_ e10_)) /\ ((h2_ (op1_ e15_ e11_)) = (op2_ (h2_ e15_) (h2_ e11_)) /\ ((h2_ (op1_ e15_ e12_)) = (op2_ (h2_ e15_) (h2_ e12_)) /\ ((h2_ (op1_ e15_ e13_)) = (op2_ (h2_ e15_) (h2_ e13_)) /\ ((h2_ (op1_ e15_ e14_)) = (op2_ (h2_ e15_) (h2_ e14_)) /\ ((h2_ (op1_ e15_ e15_)) = (op2_ (h2_ e15_) (h2_ e15_)) /\ (((h2_ e10_) = e20_ \/ ((h2_ e11_) = e20_ \/ ((h2_ e12_) = e20_ \/ ((h2_ e13_) = e20_ \/ ((h2_ e14_) = e20_ \/ (h2_ e15_) = e20_))))) /\ (((h2_ e10_) = e21_ \/ ((h2_ e11_) = e21_ \/ ((h2_ e12_) = e21_ \/ ((h2_ e13_) = e21_ \/ ((h2_ e14_) = e21_ \/ (h2_ e15_) = e21_))))) /\ (((h2_ e10_) = e22_ \/ ((h2_ e11_) = e22_ \/ ((h2_ e12_) = e22_ \/ ((h2_ e13_) = e22_ \/ ((h2_ e14_) = e22_ \/ (h2_ e15_) = e22_))))) /\ (((h2_ e10_) = e23_ \/ ((h2_ e11_) = e23_ \/ ((h2_ e12_) = e23_ \/ ((h2_ e13_) = e23_ \/ ((h2_ e14_) = e23_ \/ (h2_ e15_) = e23_))))) /\ (((h2_ e10_) = e24_ \/ ((h2_ e11_) = e24_ \/ ((h2_ e12_) = e24_ \/ ((h2_ e13_) = e24_ \/ ((h2_ e14_) = e24_ \/ (h2_ e15_) = e24_))))) /\ ((h2_ e10_) = e25_ \/ ((h2_ e11_) = e25_ \/ ((h2_ e12_) = e25_ \/ ((h2_ e13_) = e25_ \/ ((h2_ e14_) = e25_ \/ (h2_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ (((h3_ (op1_ e10_ e10_)) = (op2_ (h3_ e10_) (h3_ e10_)) /\ ((h3_ (op1_ e10_ e11_)) = (op2_ (h3_ e10_) (h3_ e11_)) /\ ((h3_ (op1_ e10_ e12_)) = (op2_ (h3_ e10_) (h3_ e12_)) /\ ((h3_ (op1_ e10_ e13_)) = (op2_ (h3_ e10_) (h3_ e13_)) /\ ((h3_ (op1_ e10_ e14_)) = (op2_ (h3_ e10_) (h3_ e14_)) /\ ((h3_ (op1_ e10_ e15_)) = (op2_ (h3_ e10_) (h3_ e15_)) /\ ((h3_ (op1_ e11_ e10_)) = (op2_ (h3_ e11_) (h3_ e10_)) /\ ((h3_ (op1_ e11_ e11_)) = (op2_ (h3_ e11_) (h3_ e11_)) /\ ((h3_ (op1_ e11_ e12_)) = (op2_ (h3_ e11_) (h3_ e12_)) /\ ((h3_ (op1_ e11_ e13_)) = (op2_ (h3_ e11_) (h3_ e13_)) /\ ((h3_ (op1_ e11_ e14_)) = (op2_ (h3_ e11_) (h3_ e14_)) /\ ((h3_ (op1_ e11_ e15_)) = (op2_ (h3_ e11_) (h3_ e15_)) /\ ((h3_ (op1_ e12_ e10_)) = (op2_ (h3_ e12_) (h3_ e10_)) /\ ((h3_ (op1_ e12_ e11_)) = (op2_ (h3_ e12_) (h3_ e11_)) /\ ((h3_ (op1_ e12_ e12_)) = (op2_ (h3_ e12_) (h3_ e12_)) /\ ((h3_ (op1_ e12_ e13_)) = (op2_ (h3_ e12_) (h3_ e13_)) /\ ((h3_ (op1_ e12_ e14_)) = (op2_ (h3_ e12_) (h3_ e14_)) /\ ((h3_ (op1_ e12_ e15_)) = (op2_ (h3_ e12_) (h3_ e15_)) /\ ((h3_ (op1_ e13_ e10_)) = (op2_ (h3_ e13_) (h3_ e10_)) /\ ((h3_ (op1_ e13_ e11_)) = (op2_ (h3_ e13_) (h3_ e11_)) /\ ((h3_ (op1_ e13_ e12_)) = (op2_ (h3_ e13_) (h3_ e12_)) /\ ((h3_ (op1_ e13_ e13_)) = (op2_ (h3_ e13_) (h3_ e13_)) /\ ((h3_ (op1_ e13_ e14_)) = (op2_ (h3_ e13_) (h3_ e14_)) /\ ((h3_ (op1_ e13_ e15_)) = (op2_ (h3_ e13_) (h3_ e15_)) /\ ((h3_ (op1_ e14_ e10_)) = (op2_ (h3_ e14_) (h3_ e10_)) /\ ((h3_ (op1_ e14_ e11_)) = (op2_ (h3_ e14_) (h3_ e11_)) /\ ((h3_ (op1_ e14_ e12_)) = (op2_ (h3_ e14_) (h3_ e12_)) /\ ((h3_ (op1_ e14_ e13_)) = (op2_ (h3_ e14_) (h3_ e13_)) /\ ((h3_ (op1_ e14_ e14_)) = (op2_ (h3_ e14_) (h3_ e14_)) /\ ((h3_ (op1_ e14_ e15_)) = (op2_ (h3_ e14_) (h3_ e15_)) /\ ((h3_ (op1_ e15_ e10_)) = (op2_ (h3_ e15_) (h3_ e10_)) /\ ((h3_ (op1_ e15_ e11_)) = (op2_ (h3_ e15_) (h3_ e11_)) /\ ((h3_ (op1_ e15_ e12_)) = (op2_ (h3_ e15_) (h3_ e12_)) /\ ((h3_ (op1_ e15_ e13_)) = (op2_ (h3_ e15_) (h3_ e13_)) /\ ((h3_ (op1_ e15_ e14_)) = (op2_ (h3_ e15_) (h3_ e14_)) /\ ((h3_ (op1_ e15_ e15_)) = (op2_ (h3_ e15_) (h3_ e15_)) /\ (((h3_ e10_) = e20_ \/ ((h3_ e11_) = e20_ \/ ((h3_ e12_) = e20_ \/ ((h3_ e13_) = e20_ \/ ((h3_ e14_) = e20_ \/ (h3_ e15_) = e20_))))) /\ (((h3_ e10_) = e21_ \/ ((h3_ e11_) = e21_ \/ ((h3_ e12_) = e21_ \/ ((h3_ e13_) = e21_ \/ ((h3_ e14_) = e21_ \/ (h3_ e15_) = e21_))))) /\ (((h3_ e10_) = e22_ \/ ((h3_ e11_) = e22_ \/ ((h3_ e12_) = e22_ \/ ((h3_ e13_) = e22_ \/ ((h3_ e14_) = e22_ \/ (h3_ e15_) = e22_))))) /\ (((h3_ e10_) = e23_ \/ ((h3_ e11_) = e23_ \/ ((h3_ e12_) = e23_ \/ ((h3_ e13_) = e23_ \/ ((h3_ e14_) = e23_ \/ (h3_ e15_) = e23_))))) /\ (((h3_ e10_) = e24_ \/ ((h3_ e11_) = e24_ \/ ((h3_ e12_) = e24_ \/ ((h3_ e13_) = e24_ \/ ((h3_ e14_) = e24_ \/ (h3_ e15_) = e24_))))) /\ ((h3_ e10_) = e25_ \/ ((h3_ e11_) = e25_ \/ ((h3_ e12_) = e25_ \/ ((h3_ e13_) = e25_ \/ ((h3_ e14_) = e25_ \/ (h3_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ (((h4_ (op1_ e10_ e10_)) = (op2_ (h4_ e10_) (h4_ e10_)) /\ ((h4_ (op1_ e10_ e11_)) = (op2_ (h4_ e10_) (h4_ e11_)) /\ ((h4_ (op1_ e10_ e12_)) = (op2_ (h4_ e10_) (h4_ e12_)) /\ ((h4_ (op1_ e10_ e13_)) = (op2_ (h4_ e10_) (h4_ e13_)) /\ ((h4_ (op1_ e10_ e14_)) = (op2_ (h4_ e10_) (h4_ e14_)) /\ ((h4_ (op1_ e10_ e15_)) = (op2_ (h4_ e10_) (h4_ e15_)) /\ ((h4_ (op1_ e11_ e10_)) = (op2_ (h4_ e11_) (h4_ e10_)) /\ ((h4_ (op1_ e11_ e11_)) = (op2_ (h4_ e11_) (h4_ e11_)) /\ ((h4_ (op1_ e11_ e12_)) = (op2_ (h4_ e11_) (h4_ e12_)) /\ ((h4_ (op1_ e11_ e13_)) = (op2_ (h4_ e11_) (h4_ e13_)) /\ ((h4_ (op1_ e11_ e14_)) = (op2_ (h4_ e11_) (h4_ e14_)) /\ ((h4_ (op1_ e11_ e15_)) = (op2_ (h4_ e11_) (h4_ e15_)) /\ ((h4_ (op1_ e12_ e10_)) = (op2_ (h4_ e12_) (h4_ e10_)) /\ ((h4_ (op1_ e12_ e11_)) = (op2_ (h4_ e12_) (h4_ e11_)) /\ ((h4_ (op1_ e12_ e12_)) = (op2_ (h4_ e12_) (h4_ e12_)) /\ ((h4_ (op1_ e12_ e13_)) = (op2_ (h4_ e12_) (h4_ e13_)) /\ ((h4_ (op1_ e12_ e14_)) = (op2_ (h4_ e12_) (h4_ e14_)) /\ ((h4_ (op1_ e12_ e15_)) = (op2_ (h4_ e12_) (h4_ e15_)) /\ ((h4_ (op1_ e13_ e10_)) = (op2_ (h4_ e13_) (h4_ e10_)) /\ ((h4_ (op1_ e13_ e11_)) = (op2_ (h4_ e13_) (h4_ e11_)) /\ ((h4_ (op1_ e13_ e12_)) = (op2_ (h4_ e13_) (h4_ e12_)) /\ ((h4_ (op1_ e13_ e13_)) = (op2_ (h4_ e13_) (h4_ e13_)) /\ ((h4_ (op1_ e13_ e14_)) = (op2_ (h4_ e13_) (h4_ e14_)) /\ ((h4_ (op1_ e13_ e15_)) = (op2_ (h4_ e13_) (h4_ e15_)) /\ ((h4_ (op1_ e14_ e10_)) = (op2_ (h4_ e14_) (h4_ e10_)) /\ ((h4_ (op1_ e14_ e11_)) = (op2_ (h4_ e14_) (h4_ e11_)) /\ ((h4_ (op1_ e14_ e12_)) = (op2_ (h4_ e14_) (h4_ e12_)) /\ ((h4_ (op1_ e14_ e13_)) = (op2_ (h4_ e14_) (h4_ e13_)) /\ ((h4_ (op1_ e14_ e14_)) = (op2_ (h4_ e14_) (h4_ e14_)) /\ ((h4_ (op1_ e14_ e15_)) = (op2_ (h4_ e14_) (h4_ e15_)) /\ ((h4_ (op1_ e15_ e10_)) = (op2_ (h4_ e15_) (h4_ e10_)) /\ ((h4_ (op1_ e15_ e11_)) = (op2_ (h4_ e15_) (h4_ e11_)) /\ ((h4_ (op1_ e15_ e12_)) = (op2_ (h4_ e15_) (h4_ e12_)) /\ ((h4_ (op1_ e15_ e13_)) = (op2_ (h4_ e15_) (h4_ e13_)) /\ ((h4_ (op1_ e15_ e14_)) = (op2_ (h4_ e15_) (h4_ e14_)) /\ ((h4_ (op1_ e15_ e15_)) = (op2_ (h4_ e15_) (h4_ e15_)) /\ (((h4_ e10_) = e20_ \/ ((h4_ e11_) = e20_ \/ ((h4_ e12_) = e20_ \/ ((h4_ e13_) = e20_ \/ ((h4_ e14_) = e20_ \/ (h4_ e15_) = e20_))))) /\ (((h4_ e10_) = e21_ \/ ((h4_ e11_) = e21_ \/ ((h4_ e12_) = e21_ \/ ((h4_ e13_) = e21_ \/ ((h4_ e14_) = e21_ \/ (h4_ e15_) = e21_))))) /\ (((h4_ e10_) = e22_ \/ ((h4_ e11_) = e22_ \/ ((h4_ e12_) = e22_ \/ ((h4_ e13_) = e22_ \/ ((h4_ e14_) = e22_ \/ (h4_ e15_) = e22_))))) /\ (((h4_ e10_) = e23_ \/ ((h4_ e11_) = e23_ \/ ((h4_ e12_) = e23_ \/ ((h4_ e13_) = e23_ \/ ((h4_ e14_) = e23_ \/ (h4_ e15_) = e23_))))) /\ (((h4_ e10_) = e24_ \/ ((h4_ e11_) = e24_ \/ ((h4_ e12_) = e24_ \/ ((h4_ e13_) = e24_ \/ ((h4_ e14_) = e24_ \/ (h4_ e15_) = e24_))))) /\ ((h4_ e10_) = e25_ \/ ((h4_ e11_) = e25_ \/ ((h4_ e12_) = e25_ \/ ((h4_ e13_) = e25_ \/ ((h4_ e14_) = e25_ \/ (h4_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ (((h5_ (op1_ e10_ e10_)) = (op2_ (h5_ e10_) (h5_ e10_)) /\ ((h5_ (op1_ e10_ e11_)) = (op2_ (h5_ e10_) (h5_ e11_)) /\ ((h5_ (op1_ e10_ e12_)) = (op2_ (h5_ e10_) (h5_ e12_)) /\ ((h5_ (op1_ e10_ e13_)) = (op2_ (h5_ e10_) (h5_ e13_)) /\ ((h5_ (op1_ e10_ e14_)) = (op2_ (h5_ e10_) (h5_ e14_)) /\ ((h5_ (op1_ e10_ e15_)) = (op2_ (h5_ e10_) (h5_ e15_)) /\ ((h5_ (op1_ e11_ e10_)) = (op2_ (h5_ e11_) (h5_ e10_)) /\ ((h5_ (op1_ e11_ e11_)) = (op2_ (h5_ e11_) (h5_ e11_)) /\ ((h5_ (op1_ e11_ e12_)) = (op2_ (h5_ e11_) (h5_ e12_)) /\ ((h5_ (op1_ e11_ e13_)) = (op2_ (h5_ e11_) (h5_ e13_)) /\ ((h5_ (op1_ e11_ e14_)) = (op2_ (h5_ e11_) (h5_ e14_)) /\ ((h5_ (op1_ e11_ e15_)) = (op2_ (h5_ e11_) (h5_ e15_)) /\ ((h5_ (op1_ e12_ e10_)) = (op2_ (h5_ e12_) (h5_ e10_)) /\ ((h5_ (op1_ e12_ e11_)) = (op2_ (h5_ e12_) (h5_ e11_)) /\ ((h5_ (op1_ e12_ e12_)) = (op2_ (h5_ e12_) (h5_ e12_)) /\ ((h5_ (op1_ e12_ e13_)) = (op2_ (h5_ e12_) (h5_ e13_)) /\ ((h5_ (op1_ e12_ e14_)) = (op2_ (h5_ e12_) (h5_ e14_)) /\ ((h5_ (op1_ e12_ e15_)) = (op2_ (h5_ e12_) (h5_ e15_)) /\ ((h5_ (op1_ e13_ e10_)) = (op2_ (h5_ e13_) (h5_ e10_)) /\ ((h5_ (op1_ e13_ e11_)) = (op2_ (h5_ e13_) (h5_ e11_)) /\ ((h5_ (op1_ e13_ e12_)) = (op2_ (h5_ e13_) (h5_ e12_)) /\ ((h5_ (op1_ e13_ e13_)) = (op2_ (h5_ e13_) (h5_ e13_)) /\ ((h5_ (op1_ e13_ e14_)) = (op2_ (h5_ e13_) (h5_ e14_)) /\ ((h5_ (op1_ e13_ e15_)) = (op2_ (h5_ e13_) (h5_ e15_)) /\ ((h5_ (op1_ e14_ e10_)) = (op2_ (h5_ e14_) (h5_ e10_)) /\ ((h5_ (op1_ e14_ e11_)) = (op2_ (h5_ e14_) (h5_ e11_)) /\ ((h5_ (op1_ e14_ e12_)) = (op2_ (h5_ e14_) (h5_ e12_)) /\ ((h5_ (op1_ e14_ e13_)) = (op2_ (h5_ e14_) (h5_ e13_)) /\ ((h5_ (op1_ e14_ e14_)) = (op2_ (h5_ e14_) (h5_ e14_)) /\ ((h5_ (op1_ e14_ e15_)) = (op2_ (h5_ e14_) (h5_ e15_)) /\ ((h5_ (op1_ e15_ e10_)) = (op2_ (h5_ e15_) (h5_ e10_)) /\ ((h5_ (op1_ e15_ e11_)) = (op2_ (h5_ e15_) (h5_ e11_)) /\ ((h5_ (op1_ e15_ e12_)) = (op2_ (h5_ e15_) (h5_ e12_)) /\ ((h5_ (op1_ e15_ e13_)) = (op2_ (h5_ e15_) (h5_ e13_)) /\ ((h5_ (op1_ e15_ e14_)) = (op2_ (h5_ e15_) (h5_ e14_)) /\ ((h5_ (op1_ e15_ e15_)) = (op2_ (h5_ e15_) (h5_ e15_)) /\ (((h5_ e10_) = e20_ \/ ((h5_ e11_) = e20_ \/ ((h5_ e12_) = e20_ \/ ((h5_ e13_) = e20_ \/ ((h5_ e14_) = e20_ \/ (h5_ e15_) = e20_))))) /\ (((h5_ e10_) = e21_ \/ ((h5_ e11_) = e21_ \/ ((h5_ e12_) = e21_ \/ ((h5_ e13_) = e21_ \/ ((h5_ e14_) = e21_ \/ (h5_ e15_) = e21_))))) /\ (((h5_ e10_) = e22_ \/ ((h5_ e11_) = e22_ \/ ((h5_ e12_) = e22_ \/ ((h5_ e13_) = e22_ \/ ((h5_ e14_) = e22_ \/ (h5_ e15_) = e22_))))) /\ (((h5_ e10_) = e23_ \/ ((h5_ e11_) = e23_ \/ ((h5_ e12_) = e23_ \/ ((h5_ e13_) = e23_ \/ ((h5_ e14_) = e23_ \/ (h5_ e15_) = e23_))))) /\ (((h5_ e10_) = e24_ \/ ((h5_ e11_) = e24_ \/ ((h5_ e12_) = e24_ \/ ((h5_ e13_) = e24_ \/ ((h5_ e14_) = e24_ \/ (h5_ e15_) = e24_))))) /\ ((h5_ e10_) = e25_ \/ ((h5_ e11_) = e25_ \/ ((h5_ e12_) = e25_ \/ ((h5_ e13_) = e25_ \/ ((h5_ e14_) = e25_ \/ (h5_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ (((h6_ (op1_ e10_ e10_)) = (op2_ (h6_ e10_) (h6_ e10_)) /\ ((h6_ (op1_ e10_ e11_)) = (op2_ (h6_ e10_) (h6_ e11_)) /\ ((h6_ (op1_ e10_ e12_)) = (op2_ (h6_ e10_) (h6_ e12_)) /\ ((h6_ (op1_ e10_ e13_)) = (op2_ (h6_ e10_) (h6_ e13_)) /\ ((h6_ (op1_ e10_ e14_)) = (op2_ (h6_ e10_) (h6_ e14_)) /\ ((h6_ (op1_ e10_ e15_)) = (op2_ (h6_ e10_) (h6_ e15_)) /\ ((h6_ (op1_ e11_ e10_)) = (op2_ (h6_ e11_) (h6_ e10_)) /\ ((h6_ (op1_ e11_ e11_)) = (op2_ (h6_ e11_) (h6_ e11_)) /\ ((h6_ (op1_ e11_ e12_)) = (op2_ (h6_ e11_) (h6_ e12_)) /\ ((h6_ (op1_ e11_ e13_)) = (op2_ (h6_ e11_) (h6_ e13_)) /\ ((h6_ (op1_ e11_ e14_)) = (op2_ (h6_ e11_) (h6_ e14_)) /\ ((h6_ (op1_ e11_ e15_)) = (op2_ (h6_ e11_) (h6_ e15_)) /\ ((h6_ (op1_ e12_ e10_)) = (op2_ (h6_ e12_) (h6_ e10_)) /\ ((h6_ (op1_ e12_ e11_)) = (op2_ (h6_ e12_) (h6_ e11_)) /\ ((h6_ (op1_ e12_ e12_)) = (op2_ (h6_ e12_) (h6_ e12_)) /\ ((h6_ (op1_ e12_ e13_)) = (op2_ (h6_ e12_) (h6_ e13_)) /\ ((h6_ (op1_ e12_ e14_)) = (op2_ (h6_ e12_) (h6_ e14_)) /\ ((h6_ (op1_ e12_ e15_)) = (op2_ (h6_ e12_) (h6_ e15_)) /\ ((h6_ (op1_ e13_ e10_)) = (op2_ (h6_ e13_) (h6_ e10_)) /\ ((h6_ (op1_ e13_ e11_)) = (op2_ (h6_ e13_) (h6_ e11_)) /\ ((h6_ (op1_ e13_ e12_)) = (op2_ (h6_ e13_) (h6_ e12_)) /\ ((h6_ (op1_ e13_ e13_)) = (op2_ (h6_ e13_) (h6_ e13_)) /\ ((h6_ (op1_ e13_ e14_)) = (op2_ (h6_ e13_) (h6_ e14_)) /\ ((h6_ (op1_ e13_ e15_)) = (op2_ (h6_ e13_) (h6_ e15_)) /\ ((h6_ (op1_ e14_ e10_)) = (op2_ (h6_ e14_) (h6_ e10_)) /\ ((h6_ (op1_ e14_ e11_)) = (op2_ (h6_ e14_) (h6_ e11_)) /\ ((h6_ (op1_ e14_ e12_)) = (op2_ (h6_ e14_) (h6_ e12_)) /\ ((h6_ (op1_ e14_ e13_)) = (op2_ (h6_ e14_) (h6_ e13_)) /\ ((h6_ (op1_ e14_ e14_)) = (op2_ (h6_ e14_) (h6_ e14_)) /\ ((h6_ (op1_ e14_ e15_)) = (op2_ (h6_ e14_) (h6_ e15_)) /\ ((h6_ (op1_ e15_ e10_)) = (op2_ (h6_ e15_) (h6_ e10_)) /\ ((h6_ (op1_ e15_ e11_)) = (op2_ (h6_ e15_) (h6_ e11_)) /\ ((h6_ (op1_ e15_ e12_)) = (op2_ (h6_ e15_) (h6_ e12_)) /\ ((h6_ (op1_ e15_ e13_)) = (op2_ (h6_ e15_) (h6_ e13_)) /\ ((h6_ (op1_ e15_ e14_)) = (op2_ (h6_ e15_) (h6_ e14_)) /\ ((h6_ (op1_ e15_ e15_)) = (op2_ (h6_ e15_) (h6_ e15_)) /\ (((h6_ e10_) = e20_ \/ ((h6_ e11_) = e20_ \/ ((h6_ e12_) = e20_ \/ ((h6_ e13_) = e20_ \/ ((h6_ e14_) = e20_ \/ (h6_ e15_) = e20_))))) /\ (((h6_ e10_) = e21_ \/ ((h6_ e11_) = e21_ \/ ((h6_ e12_) = e21_ \/ ((h6_ e13_) = e21_ \/ ((h6_ e14_) = e21_ \/ (h6_ e15_) = e21_))))) /\ (((h6_ e10_) = e22_ \/ ((h6_ e11_) = e22_ \/ ((h6_ e12_) = e22_ \/ ((h6_ e13_) = e22_ \/ ((h6_ e14_) = e22_ \/ (h6_ e15_) = e22_))))) /\ (((h6_ e10_) = e23_ \/ ((h6_ e11_) = e23_ \/ ((h6_ e12_) = e23_ \/ ((h6_ e13_) = e23_ \/ ((h6_ e14_) = e23_ \/ (h6_ e15_) = e23_))))) /\ (((h6_ e10_) = e24_ \/ ((h6_ e11_) = e24_ \/ ((h6_ e12_) = e24_ \/ ((h6_ e13_) = e24_ \/ ((h6_ e14_) = e24_ \/ (h6_ e15_) = e24_))))) /\ ((h6_ e10_) = e25_ \/ ((h6_ e11_) = e25_ \/ ((h6_ e12_) = e25_ \/ ((h6_ e13_) = e25_ \/ ((h6_ e14_) = e25_ \/ (h6_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ (((h7_ (op1_ e10_ e10_)) = (op2_ (h7_ e10_) (h7_ e10_)) /\ ((h7_ (op1_ e10_ e11_)) = (op2_ (h7_ e10_) (h7_ e11_)) /\ ((h7_ (op1_ e10_ e12_)) = (op2_ (h7_ e10_) (h7_ e12_)) /\ ((h7_ (op1_ e10_ e13_)) = (op2_ (h7_ e10_) (h7_ e13_)) /\ ((h7_ (op1_ e10_ e14_)) = (op2_ (h7_ e10_) (h7_ e14_)) /\ ((h7_ (op1_ e10_ e15_)) = (op2_ (h7_ e10_) (h7_ e15_)) /\ ((h7_ (op1_ e11_ e10_)) = (op2_ (h7_ e11_) (h7_ e10_)) /\ ((h7_ (op1_ e11_ e11_)) = (op2_ (h7_ e11_) (h7_ e11_)) /\ ((h7_ (op1_ e11_ e12_)) = (op2_ (h7_ e11_) (h7_ e12_)) /\ ((h7_ (op1_ e11_ e13_)) = (op2_ (h7_ e11_) (h7_ e13_)) /\ ((h7_ (op1_ e11_ e14_)) = (op2_ (h7_ e11_) (h7_ e14_)) /\ ((h7_ (op1_ e11_ e15_)) = (op2_ (h7_ e11_) (h7_ e15_)) /\ ((h7_ (op1_ e12_ e10_)) = (op2_ (h7_ e12_) (h7_ e10_)) /\ ((h7_ (op1_ e12_ e11_)) = (op2_ (h7_ e12_) (h7_ e11_)) /\ ((h7_ (op1_ e12_ e12_)) = (op2_ (h7_ e12_) (h7_ e12_)) /\ ((h7_ (op1_ e12_ e13_)) = (op2_ (h7_ e12_) (h7_ e13_)) /\ ((h7_ (op1_ e12_ e14_)) = (op2_ (h7_ e12_) (h7_ e14_)) /\ ((h7_ (op1_ e12_ e15_)) = (op2_ (h7_ e12_) (h7_ e15_)) /\ ((h7_ (op1_ e13_ e10_)) = (op2_ (h7_ e13_) (h7_ e10_)) /\ ((h7_ (op1_ e13_ e11_)) = (op2_ (h7_ e13_) (h7_ e11_)) /\ ((h7_ (op1_ e13_ e12_)) = (op2_ (h7_ e13_) (h7_ e12_)) /\ ((h7_ (op1_ e13_ e13_)) = (op2_ (h7_ e13_) (h7_ e13_)) /\ ((h7_ (op1_ e13_ e14_)) = (op2_ (h7_ e13_) (h7_ e14_)) /\ ((h7_ (op1_ e13_ e15_)) = (op2_ (h7_ e13_) (h7_ e15_)) /\ ((h7_ (op1_ e14_ e10_)) = (op2_ (h7_ e14_) (h7_ e10_)) /\ ((h7_ (op1_ e14_ e11_)) = (op2_ (h7_ e14_) (h7_ e11_)) /\ ((h7_ (op1_ e14_ e12_)) = (op2_ (h7_ e14_) (h7_ e12_)) /\ ((h7_ (op1_ e14_ e13_)) = (op2_ (h7_ e14_) (h7_ e13_)) /\ ((h7_ (op1_ e14_ e14_)) = (op2_ (h7_ e14_) (h7_ e14_)) /\ ((h7_ (op1_ e14_ e15_)) = (op2_ (h7_ e14_) (h7_ e15_)) /\ ((h7_ (op1_ e15_ e10_)) = (op2_ (h7_ e15_) (h7_ e10_)) /\ ((h7_ (op1_ e15_ e11_)) = (op2_ (h7_ e15_) (h7_ e11_)) /\ ((h7_ (op1_ e15_ e12_)) = (op2_ (h7_ e15_) (h7_ e12_)) /\ ((h7_ (op1_ e15_ e13_)) = (op2_ (h7_ e15_) (h7_ e13_)) /\ ((h7_ (op1_ e15_ e14_)) = (op2_ (h7_ e15_) (h7_ e14_)) /\ ((h7_ (op1_ e15_ e15_)) = (op2_ (h7_ e15_) (h7_ e15_)) /\ (((h7_ e10_) = e20_ \/ ((h7_ e11_) = e20_ \/ ((h7_ e12_) = e20_ \/ ((h7_ e13_) = e20_ \/ ((h7_ e14_) = e20_ \/ (h7_ e15_) = e20_))))) /\ (((h7_ e10_) = e21_ \/ ((h7_ e11_) = e21_ \/ ((h7_ e12_) = e21_ \/ ((h7_ e13_) = e21_ \/ ((h7_ e14_) = e21_ \/ (h7_ e15_) = e21_))))) /\ (((h7_ e10_) = e22_ \/ ((h7_ e11_) = e22_ \/ ((h7_ e12_) = e22_ \/ ((h7_ e13_) = e22_ \/ ((h7_ e14_) = e22_ \/ (h7_ e15_) = e22_))))) /\ (((h7_ e10_) = e23_ \/ ((h7_ e11_) = e23_ \/ ((h7_ e12_) = e23_ \/ ((h7_ e13_) = e23_ \/ ((h7_ e14_) = e23_ \/ (h7_ e15_) = e23_))))) /\ (((h7_ e10_) = e24_ \/ ((h7_ e11_) = e24_ \/ ((h7_ e12_) = e24_ \/ ((h7_ e13_) = e24_ \/ ((h7_ e14_) = e24_ \/ (h7_ e15_) = e24_))))) /\ ((h7_ e10_) = e25_ \/ ((h7_ e11_) = e25_ \/ ((h7_ e12_) = e25_ \/ ((h7_ e13_) = e25_ \/ ((h7_ e14_) = e25_ \/ (h7_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ (((h8_ (op1_ e10_ e10_)) = (op2_ (h8_ e10_) (h8_ e10_)) /\ ((h8_ (op1_ e10_ e11_)) = (op2_ (h8_ e10_) (h8_ e11_)) /\ ((h8_ (op1_ e10_ e12_)) = (op2_ (h8_ e10_) (h8_ e12_)) /\ ((h8_ (op1_ e10_ e13_)) = (op2_ (h8_ e10_) (h8_ e13_)) /\ ((h8_ (op1_ e10_ e14_)) = (op2_ (h8_ e10_) (h8_ e14_)) /\ ((h8_ (op1_ e10_ e15_)) = (op2_ (h8_ e10_) (h8_ e15_)) /\ ((h8_ (op1_ e11_ e10_)) = (op2_ (h8_ e11_) (h8_ e10_)) /\ ((h8_ (op1_ e11_ e11_)) = (op2_ (h8_ e11_) (h8_ e11_)) /\ ((h8_ (op1_ e11_ e12_)) = (op2_ (h8_ e11_) (h8_ e12_)) /\ ((h8_ (op1_ e11_ e13_)) = (op2_ (h8_ e11_) (h8_ e13_)) /\ ((h8_ (op1_ e11_ e14_)) = (op2_ (h8_ e11_) (h8_ e14_)) /\ ((h8_ (op1_ e11_ e15_)) = (op2_ (h8_ e11_) (h8_ e15_)) /\ ((h8_ (op1_ e12_ e10_)) = (op2_ (h8_ e12_) (h8_ e10_)) /\ ((h8_ (op1_ e12_ e11_)) = (op2_ (h8_ e12_) (h8_ e11_)) /\ ((h8_ (op1_ e12_ e12_)) = (op2_ (h8_ e12_) (h8_ e12_)) /\ ((h8_ (op1_ e12_ e13_)) = (op2_ (h8_ e12_) (h8_ e13_)) /\ ((h8_ (op1_ e12_ e14_)) = (op2_ (h8_ e12_) (h8_ e14_)) /\ ((h8_ (op1_ e12_ e15_)) = (op2_ (h8_ e12_) (h8_ e15_)) /\ ((h8_ (op1_ e13_ e10_)) = (op2_ (h8_ e13_) (h8_ e10_)) /\ ((h8_ (op1_ e13_ e11_)) = (op2_ (h8_ e13_) (h8_ e11_)) /\ ((h8_ (op1_ e13_ e12_)) = (op2_ (h8_ e13_) (h8_ e12_)) /\ ((h8_ (op1_ e13_ e13_)) = (op2_ (h8_ e13_) (h8_ e13_)) /\ ((h8_ (op1_ e13_ e14_)) = (op2_ (h8_ e13_) (h8_ e14_)) /\ ((h8_ (op1_ e13_ e15_)) = (op2_ (h8_ e13_) (h8_ e15_)) /\ ((h8_ (op1_ e14_ e10_)) = (op2_ (h8_ e14_) (h8_ e10_)) /\ ((h8_ (op1_ e14_ e11_)) = (op2_ (h8_ e14_) (h8_ e11_)) /\ ((h8_ (op1_ e14_ e12_)) = (op2_ (h8_ e14_) (h8_ e12_)) /\ ((h8_ (op1_ e14_ e13_)) = (op2_ (h8_ e14_) (h8_ e13_)) /\ ((h8_ (op1_ e14_ e14_)) = (op2_ (h8_ e14_) (h8_ e14_)) /\ ((h8_ (op1_ e14_ e15_)) = (op2_ (h8_ e14_) (h8_ e15_)) /\ ((h8_ (op1_ e15_ e10_)) = (op2_ (h8_ e15_) (h8_ e10_)) /\ ((h8_ (op1_ e15_ e11_)) = (op2_ (h8_ e15_) (h8_ e11_)) /\ ((h8_ (op1_ e15_ e12_)) = (op2_ (h8_ e15_) (h8_ e12_)) /\ ((h8_ (op1_ e15_ e13_)) = (op2_ (h8_ e15_) (h8_ e13_)) /\ ((h8_ (op1_ e15_ e14_)) = (op2_ (h8_ e15_) (h8_ e14_)) /\ ((h8_ (op1_ e15_ e15_)) = (op2_ (h8_ e15_) (h8_ e15_)) /\ (((h8_ e10_) = e20_ \/ ((h8_ e11_) = e20_ \/ ((h8_ e12_) = e20_ \/ ((h8_ e13_) = e20_ \/ ((h8_ e14_) = e20_ \/ (h8_ e15_) = e20_))))) /\ (((h8_ e10_) = e21_ \/ ((h8_ e11_) = e21_ \/ ((h8_ e12_) = e21_ \/ ((h8_ e13_) = e21_ \/ ((h8_ e14_) = e21_ \/ (h8_ e15_) = e21_))))) /\ (((h8_ e10_) = e22_ \/ ((h8_ e11_) = e22_ \/ ((h8_ e12_) = e22_ \/ ((h8_ e13_) = e22_ \/ ((h8_ e14_) = e22_ \/ (h8_ e15_) = e22_))))) /\ (((h8_ e10_) = e23_ \/ ((h8_ e11_) = e23_ \/ ((h8_ e12_) = e23_ \/ ((h8_ e13_) = e23_ \/ ((h8_ e14_) = e23_ \/ (h8_ e15_) = e23_))))) /\ (((h8_ e10_) = e24_ \/ ((h8_ e11_) = e24_ \/ ((h8_ e12_) = e24_ \/ ((h8_ e13_) = e24_ \/ ((h8_ e14_) = e24_ \/ (h8_ e15_) = e24_))))) /\ ((h8_ e10_) = e25_ \/ ((h8_ e11_) = e25_ \/ ((h8_ e12_) = e25_ \/ ((h8_ e13_) = e25_ \/ ((h8_ e14_) = e25_ \/ (h8_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ (((h9_ (op1_ e10_ e10_)) = (op2_ (h9_ e10_) (h9_ e10_)) /\ ((h9_ (op1_ e10_ e11_)) = (op2_ (h9_ e10_) (h9_ e11_)) /\ ((h9_ (op1_ e10_ e12_)) = (op2_ (h9_ e10_) (h9_ e12_)) /\ ((h9_ (op1_ e10_ e13_)) = (op2_ (h9_ e10_) (h9_ e13_)) /\ ((h9_ (op1_ e10_ e14_)) = (op2_ (h9_ e10_) (h9_ e14_)) /\ ((h9_ (op1_ e10_ e15_)) = (op2_ (h9_ e10_) (h9_ e15_)) /\ ((h9_ (op1_ e11_ e10_)) = (op2_ (h9_ e11_) (h9_ e10_)) /\ ((h9_ (op1_ e11_ e11_)) = (op2_ (h9_ e11_) (h9_ e11_)) /\ ((h9_ (op1_ e11_ e12_)) = (op2_ (h9_ e11_) (h9_ e12_)) /\ ((h9_ (op1_ e11_ e13_)) = (op2_ (h9_ e11_) (h9_ e13_)) /\ ((h9_ (op1_ e11_ e14_)) = (op2_ (h9_ e11_) (h9_ e14_)) /\ ((h9_ (op1_ e11_ e15_)) = (op2_ (h9_ e11_) (h9_ e15_)) /\ ((h9_ (op1_ e12_ e10_)) = (op2_ (h9_ e12_) (h9_ e10_)) /\ ((h9_ (op1_ e12_ e11_)) = (op2_ (h9_ e12_) (h9_ e11_)) /\ ((h9_ (op1_ e12_ e12_)) = (op2_ (h9_ e12_) (h9_ e12_)) /\ ((h9_ (op1_ e12_ e13_)) = (op2_ (h9_ e12_) (h9_ e13_)) /\ ((h9_ (op1_ e12_ e14_)) = (op2_ (h9_ e12_) (h9_ e14_)) /\ ((h9_ (op1_ e12_ e15_)) = (op2_ (h9_ e12_) (h9_ e15_)) /\ ((h9_ (op1_ e13_ e10_)) = (op2_ (h9_ e13_) (h9_ e10_)) /\ ((h9_ (op1_ e13_ e11_)) = (op2_ (h9_ e13_) (h9_ e11_)) /\ ((h9_ (op1_ e13_ e12_)) = (op2_ (h9_ e13_) (h9_ e12_)) /\ ((h9_ (op1_ e13_ e13_)) = (op2_ (h9_ e13_) (h9_ e13_)) /\ ((h9_ (op1_ e13_ e14_)) = (op2_ (h9_ e13_) (h9_ e14_)) /\ ((h9_ (op1_ e13_ e15_)) = (op2_ (h9_ e13_) (h9_ e15_)) /\ ((h9_ (op1_ e14_ e10_)) = (op2_ (h9_ e14_) (h9_ e10_)) /\ ((h9_ (op1_ e14_ e11_)) = (op2_ (h9_ e14_) (h9_ e11_)) /\ ((h9_ (op1_ e14_ e12_)) = (op2_ (h9_ e14_) (h9_ e12_)) /\ ((h9_ (op1_ e14_ e13_)) = (op2_ (h9_ e14_) (h9_ e13_)) /\ ((h9_ (op1_ e14_ e14_)) = (op2_ (h9_ e14_) (h9_ e14_)) /\ ((h9_ (op1_ e14_ e15_)) = (op2_ (h9_ e14_) (h9_ e15_)) /\ ((h9_ (op1_ e15_ e10_)) = (op2_ (h9_ e15_) (h9_ e10_)) /\ ((h9_ (op1_ e15_ e11_)) = (op2_ (h9_ e15_) (h9_ e11_)) /\ ((h9_ (op1_ e15_ e12_)) = (op2_ (h9_ e15_) (h9_ e12_)) /\ ((h9_ (op1_ e15_ e13_)) = (op2_ (h9_ e15_) (h9_ e13_)) /\ ((h9_ (op1_ e15_ e14_)) = (op2_ (h9_ e15_) (h9_ e14_)) /\ ((h9_ (op1_ e15_ e15_)) = (op2_ (h9_ e15_) (h9_ e15_)) /\ (((h9_ e10_) = e20_ \/ ((h9_ e11_) = e20_ \/ ((h9_ e12_) = e20_ \/ ((h9_ e13_) = e20_ \/ ((h9_ e14_) = e20_ \/ (h9_ e15_) = e20_))))) /\ (((h9_ e10_) = e21_ \/ ((h9_ e11_) = e21_ \/ ((h9_ e12_) = e21_ \/ ((h9_ e13_) = e21_ \/ ((h9_ e14_) = e21_ \/ (h9_ e15_) = e21_))))) /\ (((h9_ e10_) = e22_ \/ ((h9_ e11_) = e22_ \/ ((h9_ e12_) = e22_ \/ ((h9_ e13_) = e22_ \/ ((h9_ e14_) = e22_ \/ (h9_ e15_) = e22_))))) /\ (((h9_ e10_) = e23_ \/ ((h9_ e11_) = e23_ \/ ((h9_ e12_) = e23_ \/ ((h9_ e13_) = e23_ \/ ((h9_ e14_) = e23_ \/ (h9_ e15_) = e23_))))) /\ (((h9_ e10_) = e24_ \/ ((h9_ e11_) = e24_ \/ ((h9_ e12_) = e24_ \/ ((h9_ e13_) = e24_ \/ ((h9_ e14_) = e24_ \/ (h9_ e15_) = e24_))))) /\ ((h9_ e10_) = e25_ \/ ((h9_ e11_) = e25_ \/ ((h9_ e12_) = e25_ \/ ((h9_ e13_) = e25_ \/ ((h9_ e14_) = e25_ \/ (h9_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ (((h10_ (op1_ e10_ e10_)) = (op2_ (h10_ e10_) (h10_ e10_)) /\ ((h10_ (op1_ e10_ e11_)) = (op2_ (h10_ e10_) (h10_ e11_)) /\ ((h10_ (op1_ e10_ e12_)) = (op2_ (h10_ e10_) (h10_ e12_)) /\ ((h10_ (op1_ e10_ e13_)) = (op2_ (h10_ e10_) (h10_ e13_)) /\ ((h10_ (op1_ e10_ e14_)) = (op2_ (h10_ e10_) (h10_ e14_)) /\ ((h10_ (op1_ e10_ e15_)) = (op2_ (h10_ e10_) (h10_ e15_)) /\ ((h10_ (op1_ e11_ e10_)) = (op2_ (h10_ e11_) (h10_ e10_)) /\ ((h10_ (op1_ e11_ e11_)) = (op2_ (h10_ e11_) (h10_ e11_)) /\ ((h10_ (op1_ e11_ e12_)) = (op2_ (h10_ e11_) (h10_ e12_)) /\ ((h10_ (op1_ e11_ e13_)) = (op2_ (h10_ e11_) (h10_ e13_)) /\ ((h10_ (op1_ e11_ e14_)) = (op2_ (h10_ e11_) (h10_ e14_)) /\ ((h10_ (op1_ e11_ e15_)) = (op2_ (h10_ e11_) (h10_ e15_)) /\ ((h10_ (op1_ e12_ e10_)) = (op2_ (h10_ e12_) (h10_ e10_)) /\ ((h10_ (op1_ e12_ e11_)) = (op2_ (h10_ e12_) (h10_ e11_)) /\ ((h10_ (op1_ e12_ e12_)) = (op2_ (h10_ e12_) (h10_ e12_)) /\ ((h10_ (op1_ e12_ e13_)) = (op2_ (h10_ e12_) (h10_ e13_)) /\ ((h10_ (op1_ e12_ e14_)) = (op2_ (h10_ e12_) (h10_ e14_)) /\ ((h10_ (op1_ e12_ e15_)) = (op2_ (h10_ e12_) (h10_ e15_)) /\ ((h10_ (op1_ e13_ e10_)) = (op2_ (h10_ e13_) (h10_ e10_)) /\ ((h10_ (op1_ e13_ e11_)) = (op2_ (h10_ e13_) (h10_ e11_)) /\ ((h10_ (op1_ e13_ e12_)) = (op2_ (h10_ e13_) (h10_ e12_)) /\ ((h10_ (op1_ e13_ e13_)) = (op2_ (h10_ e13_) (h10_ e13_)) /\ ((h10_ (op1_ e13_ e14_)) = (op2_ (h10_ e13_) (h10_ e14_)) /\ ((h10_ (op1_ e13_ e15_)) = (op2_ (h10_ e13_) (h10_ e15_)) /\ ((h10_ (op1_ e14_ e10_)) = (op2_ (h10_ e14_) (h10_ e10_)) /\ ((h10_ (op1_ e14_ e11_)) = (op2_ (h10_ e14_) (h10_ e11_)) /\ ((h10_ (op1_ e14_ e12_)) = (op2_ (h10_ e14_) (h10_ e12_)) /\ ((h10_ (op1_ e14_ e13_)) = (op2_ (h10_ e14_) (h10_ e13_)) /\ ((h10_ (op1_ e14_ e14_)) = (op2_ (h10_ e14_) (h10_ e14_)) /\ ((h10_ (op1_ e14_ e15_)) = (op2_ (h10_ e14_) (h10_ e15_)) /\ ((h10_ (op1_ e15_ e10_)) = (op2_ (h10_ e15_) (h10_ e10_)) /\ ((h10_ (op1_ e15_ e11_)) = (op2_ (h10_ e15_) (h10_ e11_)) /\ ((h10_ (op1_ e15_ e12_)) = (op2_ (h10_ e15_) (h10_ e12_)) /\ ((h10_ (op1_ e15_ e13_)) = (op2_ (h10_ e15_) (h10_ e13_)) /\ ((h10_ (op1_ e15_ e14_)) = (op2_ (h10_ e15_) (h10_ e14_)) /\ ((h10_ (op1_ e15_ e15_)) = (op2_ (h10_ e15_) (h10_ e15_)) /\ (((h10_ e10_) = e20_ \/ ((h10_ e11_) = e20_ \/ ((h10_ e12_) = e20_ \/ ((h10_ e13_) = e20_ \/ ((h10_ e14_) = e20_ \/ (h10_ e15_) = e20_))))) /\ (((h10_ e10_) = e21_ \/ ((h10_ e11_) = e21_ \/ ((h10_ e12_) = e21_ \/ ((h10_ e13_) = e21_ \/ ((h10_ e14_) = e21_ \/ (h10_ e15_) = e21_))))) /\ (((h10_ e10_) = e22_ \/ ((h10_ e11_) = e22_ \/ ((h10_ e12_) = e22_ \/ ((h10_ e13_) = e22_ \/ ((h10_ e14_) = e22_ \/ (h10_ e15_) = e22_))))) /\ (((h10_ e10_) = e23_ \/ ((h10_ e11_) = e23_ \/ ((h10_ e12_) = e23_ \/ ((h10_ e13_) = e23_ \/ ((h10_ e14_) = e23_ \/ (h10_ e15_) = e23_))))) /\ (((h10_ e10_) = e24_ \/ ((h10_ e11_) = e24_ \/ ((h10_ e12_) = e24_ \/ ((h10_ e13_) = e24_ \/ ((h10_ e14_) = e24_ \/ (h10_ e15_) = e24_))))) /\ ((h10_ e10_) = e25_ \/ ((h10_ e11_) = e25_ \/ ((h10_ e12_) = e25_ \/ ((h10_ e13_) = e25_ \/ ((h10_ e14_) = e25_ \/ (h10_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ (((h11_ (op1_ e10_ e10_)) = (op2_ (h11_ e10_) (h11_ e10_)) /\ ((h11_ (op1_ e10_ e11_)) = (op2_ (h11_ e10_) (h11_ e11_)) /\ ((h11_ (op1_ e10_ e12_)) = (op2_ (h11_ e10_) (h11_ e12_)) /\ ((h11_ (op1_ e10_ e13_)) = (op2_ (h11_ e10_) (h11_ e13_)) /\ ((h11_ (op1_ e10_ e14_)) = (op2_ (h11_ e10_) (h11_ e14_)) /\ ((h11_ (op1_ e10_ e15_)) = (op2_ (h11_ e10_) (h11_ e15_)) /\ ((h11_ (op1_ e11_ e10_)) = (op2_ (h11_ e11_) (h11_ e10_)) /\ ((h11_ (op1_ e11_ e11_)) = (op2_ (h11_ e11_) (h11_ e11_)) /\ ((h11_ (op1_ e11_ e12_)) = (op2_ (h11_ e11_) (h11_ e12_)) /\ ((h11_ (op1_ e11_ e13_)) = (op2_ (h11_ e11_) (h11_ e13_)) /\ ((h11_ (op1_ e11_ e14_)) = (op2_ (h11_ e11_) (h11_ e14_)) /\ ((h11_ (op1_ e11_ e15_)) = (op2_ (h11_ e11_) (h11_ e15_)) /\ ((h11_ (op1_ e12_ e10_)) = (op2_ (h11_ e12_) (h11_ e10_)) /\ ((h11_ (op1_ e12_ e11_)) = (op2_ (h11_ e12_) (h11_ e11_)) /\ ((h11_ (op1_ e12_ e12_)) = (op2_ (h11_ e12_) (h11_ e12_)) /\ ((h11_ (op1_ e12_ e13_)) = (op2_ (h11_ e12_) (h11_ e13_)) /\ ((h11_ (op1_ e12_ e14_)) = (op2_ (h11_ e12_) (h11_ e14_)) /\ ((h11_ (op1_ e12_ e15_)) = (op2_ (h11_ e12_) (h11_ e15_)) /\ ((h11_ (op1_ e13_ e10_)) = (op2_ (h11_ e13_) (h11_ e10_)) /\ ((h11_ (op1_ e13_ e11_)) = (op2_ (h11_ e13_) (h11_ e11_)) /\ ((h11_ (op1_ e13_ e12_)) = (op2_ (h11_ e13_) (h11_ e12_)) /\ ((h11_ (op1_ e13_ e13_)) = (op2_ (h11_ e13_) (h11_ e13_)) /\ ((h11_ (op1_ e13_ e14_)) = (op2_ (h11_ e13_) (h11_ e14_)) /\ ((h11_ (op1_ e13_ e15_)) = (op2_ (h11_ e13_) (h11_ e15_)) /\ ((h11_ (op1_ e14_ e10_)) = (op2_ (h11_ e14_) (h11_ e10_)) /\ ((h11_ (op1_ e14_ e11_)) = (op2_ (h11_ e14_) (h11_ e11_)) /\ ((h11_ (op1_ e14_ e12_)) = (op2_ (h11_ e14_) (h11_ e12_)) /\ ((h11_ (op1_ e14_ e13_)) = (op2_ (h11_ e14_) (h11_ e13_)) /\ ((h11_ (op1_ e14_ e14_)) = (op2_ (h11_ e14_) (h11_ e14_)) /\ ((h11_ (op1_ e14_ e15_)) = (op2_ (h11_ e14_) (h11_ e15_)) /\ ((h11_ (op1_ e15_ e10_)) = (op2_ (h11_ e15_) (h11_ e10_)) /\ ((h11_ (op1_ e15_ e11_)) = (op2_ (h11_ e15_) (h11_ e11_)) /\ ((h11_ (op1_ e15_ e12_)) = (op2_ (h11_ e15_) (h11_ e12_)) /\ ((h11_ (op1_ e15_ e13_)) = (op2_ (h11_ e15_) (h11_ e13_)) /\ ((h11_ (op1_ e15_ e14_)) = (op2_ (h11_ e15_) (h11_ e14_)) /\ ((h11_ (op1_ e15_ e15_)) = (op2_ (h11_ e15_) (h11_ e15_)) /\ (((h11_ e10_) = e20_ \/ ((h11_ e11_) = e20_ \/ ((h11_ e12_) = e20_ \/ ((h11_ e13_) = e20_ \/ ((h11_ e14_) = e20_ \/ (h11_ e15_) = e20_))))) /\ (((h11_ e10_) = e21_ \/ ((h11_ e11_) = e21_ \/ ((h11_ e12_) = e21_ \/ ((h11_ e13_) = e21_ \/ ((h11_ e14_) = e21_ \/ (h11_ e15_) = e21_))))) /\ (((h11_ e10_) = e22_ \/ ((h11_ e11_) = e22_ \/ ((h11_ e12_) = e22_ \/ ((h11_ e13_) = e22_ \/ ((h11_ e14_) = e22_ \/ (h11_ e15_) = e22_))))) /\ (((h11_ e10_) = e23_ \/ ((h11_ e11_) = e23_ \/ ((h11_ e12_) = e23_ \/ ((h11_ e13_) = e23_ \/ ((h11_ e14_) = e23_ \/ (h11_ e15_) = e23_))))) /\ (((h11_ e10_) = e24_ \/ ((h11_ e11_) = e24_ \/ ((h11_ e12_) = e24_ \/ ((h11_ e13_) = e24_ \/ ((h11_ e14_) = e24_ \/ (h11_ e15_) = e24_))))) /\ ((h11_ e10_) = e25_ \/ ((h11_ e11_) = e25_ \/ ((h11_ e12_) = e25_ \/ ((h11_ e13_) = e25_ \/ ((h11_ e14_) = e25_ \/ (h11_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ (((h12_ (op1_ e10_ e10_)) = (op2_ (h12_ e10_) (h12_ e10_)) /\ ((h12_ (op1_ e10_ e11_)) = (op2_ (h12_ e10_) (h12_ e11_)) /\ ((h12_ (op1_ e10_ e12_)) = (op2_ (h12_ e10_) (h12_ e12_)) /\ ((h12_ (op1_ e10_ e13_)) = (op2_ (h12_ e10_) (h12_ e13_)) /\ ((h12_ (op1_ e10_ e14_)) = (op2_ (h12_ e10_) (h12_ e14_)) /\ ((h12_ (op1_ e10_ e15_)) = (op2_ (h12_ e10_) (h12_ e15_)) /\ ((h12_ (op1_ e11_ e10_)) = (op2_ (h12_ e11_) (h12_ e10_)) /\ ((h12_ (op1_ e11_ e11_)) = (op2_ (h12_ e11_) (h12_ e11_)) /\ ((h12_ (op1_ e11_ e12_)) = (op2_ (h12_ e11_) (h12_ e12_)) /\ ((h12_ (op1_ e11_ e13_)) = (op2_ (h12_ e11_) (h12_ e13_)) /\ ((h12_ (op1_ e11_ e14_)) = (op2_ (h12_ e11_) (h12_ e14_)) /\ ((h12_ (op1_ e11_ e15_)) = (op2_ (h12_ e11_) (h12_ e15_)) /\ ((h12_ (op1_ e12_ e10_)) = (op2_ (h12_ e12_) (h12_ e10_)) /\ ((h12_ (op1_ e12_ e11_)) = (op2_ (h12_ e12_) (h12_ e11_)) /\ ((h12_ (op1_ e12_ e12_)) = (op2_ (h12_ e12_) (h12_ e12_)) /\ ((h12_ (op1_ e12_ e13_)) = (op2_ (h12_ e12_) (h12_ e13_)) /\ ((h12_ (op1_ e12_ e14_)) = (op2_ (h12_ e12_) (h12_ e14_)) /\ ((h12_ (op1_ e12_ e15_)) = (op2_ (h12_ e12_) (h12_ e15_)) /\ ((h12_ (op1_ e13_ e10_)) = (op2_ (h12_ e13_) (h12_ e10_)) /\ ((h12_ (op1_ e13_ e11_)) = (op2_ (h12_ e13_) (h12_ e11_)) /\ ((h12_ (op1_ e13_ e12_)) = (op2_ (h12_ e13_) (h12_ e12_)) /\ ((h12_ (op1_ e13_ e13_)) = (op2_ (h12_ e13_) (h12_ e13_)) /\ ((h12_ (op1_ e13_ e14_)) = (op2_ (h12_ e13_) (h12_ e14_)) /\ ((h12_ (op1_ e13_ e15_)) = (op2_ (h12_ e13_) (h12_ e15_)) /\ ((h12_ (op1_ e14_ e10_)) = (op2_ (h12_ e14_) (h12_ e10_)) /\ ((h12_ (op1_ e14_ e11_)) = (op2_ (h12_ e14_) (h12_ e11_)) /\ ((h12_ (op1_ e14_ e12_)) = (op2_ (h12_ e14_) (h12_ e12_)) /\ ((h12_ (op1_ e14_ e13_)) = (op2_ (h12_ e14_) (h12_ e13_)) /\ ((h12_ (op1_ e14_ e14_)) = (op2_ (h12_ e14_) (h12_ e14_)) /\ ((h12_ (op1_ e14_ e15_)) = (op2_ (h12_ e14_) (h12_ e15_)) /\ ((h12_ (op1_ e15_ e10_)) = (op2_ (h12_ e15_) (h12_ e10_)) /\ ((h12_ (op1_ e15_ e11_)) = (op2_ (h12_ e15_) (h12_ e11_)) /\ ((h12_ (op1_ e15_ e12_)) = (op2_ (h12_ e15_) (h12_ e12_)) /\ ((h12_ (op1_ e15_ e13_)) = (op2_ (h12_ e15_) (h12_ e13_)) /\ ((h12_ (op1_ e15_ e14_)) = (op2_ (h12_ e15_) (h12_ e14_)) /\ ((h12_ (op1_ e15_ e15_)) = (op2_ (h12_ e15_) (h12_ e15_)) /\ (((h12_ e10_) = e20_ \/ ((h12_ e11_) = e20_ \/ ((h12_ e12_) = e20_ \/ ((h12_ e13_) = e20_ \/ ((h12_ e14_) = e20_ \/ (h12_ e15_) = e20_))))) /\ (((h12_ e10_) = e21_ \/ ((h12_ e11_) = e21_ \/ ((h12_ e12_) = e21_ \/ ((h12_ e13_) = e21_ \/ ((h12_ e14_) = e21_ \/ (h12_ e15_) = e21_))))) /\ (((h12_ e10_) = e22_ \/ ((h12_ e11_) = e22_ \/ ((h12_ e12_) = e22_ \/ ((h12_ e13_) = e22_ \/ ((h12_ e14_) = e22_ \/ (h12_ e15_) = e22_))))) /\ (((h12_ e10_) = e23_ \/ ((h12_ e11_) = e23_ \/ ((h12_ e12_) = e23_ \/ ((h12_ e13_) = e23_ \/ ((h12_ e14_) = e23_ \/ (h12_ e15_) = e23_))))) /\ (((h12_ e10_) = e24_ \/ ((h12_ e11_) = e24_ \/ ((h12_ e12_) = e24_ \/ ((h12_ e13_) = e24_ \/ ((h12_ e14_) = e24_ \/ (h12_ e15_) = e24_))))) /\ ((h12_ e10_) = e25_ \/ ((h12_ e11_) = e25_ \/ ((h12_ e12_) = e25_ \/ ((h12_ e13_) = e25_ \/ ((h12_ e14_) = e25_ \/ (h12_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ (((h13_ (op1_ e10_ e10_)) = (op2_ (h13_ e10_) (h13_ e10_)) /\ ((h13_ (op1_ e10_ e11_)) = (op2_ (h13_ e10_) (h13_ e11_)) /\ ((h13_ (op1_ e10_ e12_)) = (op2_ (h13_ e10_) (h13_ e12_)) /\ ((h13_ (op1_ e10_ e13_)) = (op2_ (h13_ e10_) (h13_ e13_)) /\ ((h13_ (op1_ e10_ e14_)) = (op2_ (h13_ e10_) (h13_ e14_)) /\ ((h13_ (op1_ e10_ e15_)) = (op2_ (h13_ e10_) (h13_ e15_)) /\ ((h13_ (op1_ e11_ e10_)) = (op2_ (h13_ e11_) (h13_ e10_)) /\ ((h13_ (op1_ e11_ e11_)) = (op2_ (h13_ e11_) (h13_ e11_)) /\ ((h13_ (op1_ e11_ e12_)) = (op2_ (h13_ e11_) (h13_ e12_)) /\ ((h13_ (op1_ e11_ e13_)) = (op2_ (h13_ e11_) (h13_ e13_)) /\ ((h13_ (op1_ e11_ e14_)) = (op2_ (h13_ e11_) (h13_ e14_)) /\ ((h13_ (op1_ e11_ e15_)) = (op2_ (h13_ e11_) (h13_ e15_)) /\ ((h13_ (op1_ e12_ e10_)) = (op2_ (h13_ e12_) (h13_ e10_)) /\ ((h13_ (op1_ e12_ e11_)) = (op2_ (h13_ e12_) (h13_ e11_)) /\ ((h13_ (op1_ e12_ e12_)) = (op2_ (h13_ e12_) (h13_ e12_)) /\ ((h13_ (op1_ e12_ e13_)) = (op2_ (h13_ e12_) (h13_ e13_)) /\ ((h13_ (op1_ e12_ e14_)) = (op2_ (h13_ e12_) (h13_ e14_)) /\ ((h13_ (op1_ e12_ e15_)) = (op2_ (h13_ e12_) (h13_ e15_)) /\ ((h13_ (op1_ e13_ e10_)) = (op2_ (h13_ e13_) (h13_ e10_)) /\ ((h13_ (op1_ e13_ e11_)) = (op2_ (h13_ e13_) (h13_ e11_)) /\ ((h13_ (op1_ e13_ e12_)) = (op2_ (h13_ e13_) (h13_ e12_)) /\ ((h13_ (op1_ e13_ e13_)) = (op2_ (h13_ e13_) (h13_ e13_)) /\ ((h13_ (op1_ e13_ e14_)) = (op2_ (h13_ e13_) (h13_ e14_)) /\ ((h13_ (op1_ e13_ e15_)) = (op2_ (h13_ e13_) (h13_ e15_)) /\ ((h13_ (op1_ e14_ e10_)) = (op2_ (h13_ e14_) (h13_ e10_)) /\ ((h13_ (op1_ e14_ e11_)) = (op2_ (h13_ e14_) (h13_ e11_)) /\ ((h13_ (op1_ e14_ e12_)) = (op2_ (h13_ e14_) (h13_ e12_)) /\ ((h13_ (op1_ e14_ e13_)) = (op2_ (h13_ e14_) (h13_ e13_)) /\ ((h13_ (op1_ e14_ e14_)) = (op2_ (h13_ e14_) (h13_ e14_)) /\ ((h13_ (op1_ e14_ e15_)) = (op2_ (h13_ e14_) (h13_ e15_)) /\ ((h13_ (op1_ e15_ e10_)) = (op2_ (h13_ e15_) (h13_ e10_)) /\ ((h13_ (op1_ e15_ e11_)) = (op2_ (h13_ e15_) (h13_ e11_)) /\ ((h13_ (op1_ e15_ e12_)) = (op2_ (h13_ e15_) (h13_ e12_)) /\ ((h13_ (op1_ e15_ e13_)) = (op2_ (h13_ e15_) (h13_ e13_)) /\ ((h13_ (op1_ e15_ e14_)) = (op2_ (h13_ e15_) (h13_ e14_)) /\ ((h13_ (op1_ e15_ e15_)) = (op2_ (h13_ e15_) (h13_ e15_)) /\ (((h13_ e10_) = e20_ \/ ((h13_ e11_) = e20_ \/ ((h13_ e12_) = e20_ \/ ((h13_ e13_) = e20_ \/ ((h13_ e14_) = e20_ \/ (h13_ e15_) = e20_))))) /\ (((h13_ e10_) = e21_ \/ ((h13_ e11_) = e21_ \/ ((h13_ e12_) = e21_ \/ ((h13_ e13_) = e21_ \/ ((h13_ e14_) = e21_ \/ (h13_ e15_) = e21_))))) /\ (((h13_ e10_) = e22_ \/ ((h13_ e11_) = e22_ \/ ((h13_ e12_) = e22_ \/ ((h13_ e13_) = e22_ \/ ((h13_ e14_) = e22_ \/ (h13_ e15_) = e22_))))) /\ (((h13_ e10_) = e23_ \/ ((h13_ e11_) = e23_ \/ ((h13_ e12_) = e23_ \/ ((h13_ e13_) = e23_ \/ ((h13_ e14_) = e23_ \/ (h13_ e15_) = e23_))))) /\ (((h13_ e10_) = e24_ \/ ((h13_ e11_) = e24_ \/ ((h13_ e12_) = e24_ \/ ((h13_ e13_) = e24_ \/ ((h13_ e14_) = e24_ \/ (h13_ e15_) = e24_))))) /\ ((h13_ e10_) = e25_ \/ ((h13_ e11_) = e25_ \/ ((h13_ e12_) = e25_ \/ ((h13_ e13_) = e25_ \/ ((h13_ e14_) = e25_ \/ (h13_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ (((h14_ (op1_ e10_ e10_)) = (op2_ (h14_ e10_) (h14_ e10_)) /\ ((h14_ (op1_ e10_ e11_)) = (op2_ (h14_ e10_) (h14_ e11_)) /\ ((h14_ (op1_ e10_ e12_)) = (op2_ (h14_ e10_) (h14_ e12_)) /\ ((h14_ (op1_ e10_ e13_)) = (op2_ (h14_ e10_) (h14_ e13_)) /\ ((h14_ (op1_ e10_ e14_)) = (op2_ (h14_ e10_) (h14_ e14_)) /\ ((h14_ (op1_ e10_ e15_)) = (op2_ (h14_ e10_) (h14_ e15_)) /\ ((h14_ (op1_ e11_ e10_)) = (op2_ (h14_ e11_) (h14_ e10_)) /\ ((h14_ (op1_ e11_ e11_)) = (op2_ (h14_ e11_) (h14_ e11_)) /\ ((h14_ (op1_ e11_ e12_)) = (op2_ (h14_ e11_) (h14_ e12_)) /\ ((h14_ (op1_ e11_ e13_)) = (op2_ (h14_ e11_) (h14_ e13_)) /\ ((h14_ (op1_ e11_ e14_)) = (op2_ (h14_ e11_) (h14_ e14_)) /\ ((h14_ (op1_ e11_ e15_)) = (op2_ (h14_ e11_) (h14_ e15_)) /\ ((h14_ (op1_ e12_ e10_)) = (op2_ (h14_ e12_) (h14_ e10_)) /\ ((h14_ (op1_ e12_ e11_)) = (op2_ (h14_ e12_) (h14_ e11_)) /\ ((h14_ (op1_ e12_ e12_)) = (op2_ (h14_ e12_) (h14_ e12_)) /\ ((h14_ (op1_ e12_ e13_)) = (op2_ (h14_ e12_) (h14_ e13_)) /\ ((h14_ (op1_ e12_ e14_)) = (op2_ (h14_ e12_) (h14_ e14_)) /\ ((h14_ (op1_ e12_ e15_)) = (op2_ (h14_ e12_) (h14_ e15_)) /\ ((h14_ (op1_ e13_ e10_)) = (op2_ (h14_ e13_) (h14_ e10_)) /\ ((h14_ (op1_ e13_ e11_)) = (op2_ (h14_ e13_) (h14_ e11_)) /\ ((h14_ (op1_ e13_ e12_)) = (op2_ (h14_ e13_) (h14_ e12_)) /\ ((h14_ (op1_ e13_ e13_)) = (op2_ (h14_ e13_) (h14_ e13_)) /\ ((h14_ (op1_ e13_ e14_)) = (op2_ (h14_ e13_) (h14_ e14_)) /\ ((h14_ (op1_ e13_ e15_)) = (op2_ (h14_ e13_) (h14_ e15_)) /\ ((h14_ (op1_ e14_ e10_)) = (op2_ (h14_ e14_) (h14_ e10_)) /\ ((h14_ (op1_ e14_ e11_)) = (op2_ (h14_ e14_) (h14_ e11_)) /\ ((h14_ (op1_ e14_ e12_)) = (op2_ (h14_ e14_) (h14_ e12_)) /\ ((h14_ (op1_ e14_ e13_)) = (op2_ (h14_ e14_) (h14_ e13_)) /\ ((h14_ (op1_ e14_ e14_)) = (op2_ (h14_ e14_) (h14_ e14_)) /\ ((h14_ (op1_ e14_ e15_)) = (op2_ (h14_ e14_) (h14_ e15_)) /\ ((h14_ (op1_ e15_ e10_)) = (op2_ (h14_ e15_) (h14_ e10_)) /\ ((h14_ (op1_ e15_ e11_)) = (op2_ (h14_ e15_) (h14_ e11_)) /\ ((h14_ (op1_ e15_ e12_)) = (op2_ (h14_ e15_) (h14_ e12_)) /\ ((h14_ (op1_ e15_ e13_)) = (op2_ (h14_ e15_) (h14_ e13_)) /\ ((h14_ (op1_ e15_ e14_)) = (op2_ (h14_ e15_) (h14_ e14_)) /\ ((h14_ (op1_ e15_ e15_)) = (op2_ (h14_ e15_) (h14_ e15_)) /\ (((h14_ e10_) = e20_ \/ ((h14_ e11_) = e20_ \/ ((h14_ e12_) = e20_ \/ ((h14_ e13_) = e20_ \/ ((h14_ e14_) = e20_ \/ (h14_ e15_) = e20_))))) /\ (((h14_ e10_) = e21_ \/ ((h14_ e11_) = e21_ \/ ((h14_ e12_) = e21_ \/ ((h14_ e13_) = e21_ \/ ((h14_ e14_) = e21_ \/ (h14_ e15_) = e21_))))) /\ (((h14_ e10_) = e22_ \/ ((h14_ e11_) = e22_ \/ ((h14_ e12_) = e22_ \/ ((h14_ e13_) = e22_ \/ ((h14_ e14_) = e22_ \/ (h14_ e15_) = e22_))))) /\ (((h14_ e10_) = e23_ \/ ((h14_ e11_) = e23_ \/ ((h14_ e12_) = e23_ \/ ((h14_ e13_) = e23_ \/ ((h14_ e14_) = e23_ \/ (h14_ e15_) = e23_))))) /\ (((h14_ e10_) = e24_ \/ ((h14_ e11_) = e24_ \/ ((h14_ e12_) = e24_ \/ ((h14_ e13_) = e24_ \/ ((h14_ e14_) = e24_ \/ (h14_ e15_) = e24_))))) /\ ((h14_ e10_) = e25_ \/ ((h14_ e11_) = e25_ \/ ((h14_ e12_) = e25_ \/ ((h14_ e13_) = e25_ \/ ((h14_ e14_) = e25_ \/ (h14_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ (((h15_ (op1_ e10_ e10_)) = (op2_ (h15_ e10_) (h15_ e10_)) /\ ((h15_ (op1_ e10_ e11_)) = (op2_ (h15_ e10_) (h15_ e11_)) /\ ((h15_ (op1_ e10_ e12_)) = (op2_ (h15_ e10_) (h15_ e12_)) /\ ((h15_ (op1_ e10_ e13_)) = (op2_ (h15_ e10_) (h15_ e13_)) /\ ((h15_ (op1_ e10_ e14_)) = (op2_ (h15_ e10_) (h15_ e14_)) /\ ((h15_ (op1_ e10_ e15_)) = (op2_ (h15_ e10_) (h15_ e15_)) /\ ((h15_ (op1_ e11_ e10_)) = (op2_ (h15_ e11_) (h15_ e10_)) /\ ((h15_ (op1_ e11_ e11_)) = (op2_ (h15_ e11_) (h15_ e11_)) /\ ((h15_ (op1_ e11_ e12_)) = (op2_ (h15_ e11_) (h15_ e12_)) /\ ((h15_ (op1_ e11_ e13_)) = (op2_ (h15_ e11_) (h15_ e13_)) /\ ((h15_ (op1_ e11_ e14_)) = (op2_ (h15_ e11_) (h15_ e14_)) /\ ((h15_ (op1_ e11_ e15_)) = (op2_ (h15_ e11_) (h15_ e15_)) /\ ((h15_ (op1_ e12_ e10_)) = (op2_ (h15_ e12_) (h15_ e10_)) /\ ((h15_ (op1_ e12_ e11_)) = (op2_ (h15_ e12_) (h15_ e11_)) /\ ((h15_ (op1_ e12_ e12_)) = (op2_ (h15_ e12_) (h15_ e12_)) /\ ((h15_ (op1_ e12_ e13_)) = (op2_ (h15_ e12_) (h15_ e13_)) /\ ((h15_ (op1_ e12_ e14_)) = (op2_ (h15_ e12_) (h15_ e14_)) /\ ((h15_ (op1_ e12_ e15_)) = (op2_ (h15_ e12_) (h15_ e15_)) /\ ((h15_ (op1_ e13_ e10_)) = (op2_ (h15_ e13_) (h15_ e10_)) /\ ((h15_ (op1_ e13_ e11_)) = (op2_ (h15_ e13_) (h15_ e11_)) /\ ((h15_ (op1_ e13_ e12_)) = (op2_ (h15_ e13_) (h15_ e12_)) /\ ((h15_ (op1_ e13_ e13_)) = (op2_ (h15_ e13_) (h15_ e13_)) /\ ((h15_ (op1_ e13_ e14_)) = (op2_ (h15_ e13_) (h15_ e14_)) /\ ((h15_ (op1_ e13_ e15_)) = (op2_ (h15_ e13_) (h15_ e15_)) /\ ((h15_ (op1_ e14_ e10_)) = (op2_ (h15_ e14_) (h15_ e10_)) /\ ((h15_ (op1_ e14_ e11_)) = (op2_ (h15_ e14_) (h15_ e11_)) /\ ((h15_ (op1_ e14_ e12_)) = (op2_ (h15_ e14_) (h15_ e12_)) /\ ((h15_ (op1_ e14_ e13_)) = (op2_ (h15_ e14_) (h15_ e13_)) /\ ((h15_ (op1_ e14_ e14_)) = (op2_ (h15_ e14_) (h15_ e14_)) /\ ((h15_ (op1_ e14_ e15_)) = (op2_ (h15_ e14_) (h15_ e15_)) /\ ((h15_ (op1_ e15_ e10_)) = (op2_ (h15_ e15_) (h15_ e10_)) /\ ((h15_ (op1_ e15_ e11_)) = (op2_ (h15_ e15_) (h15_ e11_)) /\ ((h15_ (op1_ e15_ e12_)) = (op2_ (h15_ e15_) (h15_ e12_)) /\ ((h15_ (op1_ e15_ e13_)) = (op2_ (h15_ e15_) (h15_ e13_)) /\ ((h15_ (op1_ e15_ e14_)) = (op2_ (h15_ e15_) (h15_ e14_)) /\ ((h15_ (op1_ e15_ e15_)) = (op2_ (h15_ e15_) (h15_ e15_)) /\ (((h15_ e10_) = e20_ \/ ((h15_ e11_) = e20_ \/ ((h15_ e12_) = e20_ \/ ((h15_ e13_) = e20_ \/ ((h15_ e14_) = e20_ \/ (h15_ e15_) = e20_))))) /\ (((h15_ e10_) = e21_ \/ ((h15_ e11_) = e21_ \/ ((h15_ e12_) = e21_ \/ ((h15_ e13_) = e21_ \/ ((h15_ e14_) = e21_ \/ (h15_ e15_) = e21_))))) /\ (((h15_ e10_) = e22_ \/ ((h15_ e11_) = e22_ \/ ((h15_ e12_) = e22_ \/ ((h15_ e13_) = e22_ \/ ((h15_ e14_) = e22_ \/ (h15_ e15_) = e22_))))) /\ (((h15_ e10_) = e23_ \/ ((h15_ e11_) = e23_ \/ ((h15_ e12_) = e23_ \/ ((h15_ e13_) = e23_ \/ ((h15_ e14_) = e23_ \/ (h15_ e15_) = e23_))))) /\ (((h15_ e10_) = e24_ \/ ((h15_ e11_) = e24_ \/ ((h15_ e12_) = e24_ \/ ((h15_ e13_) = e24_ \/ ((h15_ e14_) = e24_ \/ (h15_ e15_) = e24_))))) /\ ((h15_ e10_) = e25_ \/ ((h15_ e11_) = e25_ \/ ((h15_ e12_) = e25_ \/ ((h15_ e13_) = e25_ \/ ((h15_ e14_) = e25_ \/ (h15_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ (((h16_ (op1_ e10_ e10_)) = (op2_ (h16_ e10_) (h16_ e10_)) /\ ((h16_ (op1_ e10_ e11_)) = (op2_ (h16_ e10_) (h16_ e11_)) /\ ((h16_ (op1_ e10_ e12_)) = (op2_ (h16_ e10_) (h16_ e12_)) /\ ((h16_ (op1_ e10_ e13_)) = (op2_ (h16_ e10_) (h16_ e13_)) /\ ((h16_ (op1_ e10_ e14_)) = (op2_ (h16_ e10_) (h16_ e14_)) /\ ((h16_ (op1_ e10_ e15_)) = (op2_ (h16_ e10_) (h16_ e15_)) /\ ((h16_ (op1_ e11_ e10_)) = (op2_ (h16_ e11_) (h16_ e10_)) /\ ((h16_ (op1_ e11_ e11_)) = (op2_ (h16_ e11_) (h16_ e11_)) /\ ((h16_ (op1_ e11_ e12_)) = (op2_ (h16_ e11_) (h16_ e12_)) /\ ((h16_ (op1_ e11_ e13_)) = (op2_ (h16_ e11_) (h16_ e13_)) /\ ((h16_ (op1_ e11_ e14_)) = (op2_ (h16_ e11_) (h16_ e14_)) /\ ((h16_ (op1_ e11_ e15_)) = (op2_ (h16_ e11_) (h16_ e15_)) /\ ((h16_ (op1_ e12_ e10_)) = (op2_ (h16_ e12_) (h16_ e10_)) /\ ((h16_ (op1_ e12_ e11_)) = (op2_ (h16_ e12_) (h16_ e11_)) /\ ((h16_ (op1_ e12_ e12_)) = (op2_ (h16_ e12_) (h16_ e12_)) /\ ((h16_ (op1_ e12_ e13_)) = (op2_ (h16_ e12_) (h16_ e13_)) /\ ((h16_ (op1_ e12_ e14_)) = (op2_ (h16_ e12_) (h16_ e14_)) /\ ((h16_ (op1_ e12_ e15_)) = (op2_ (h16_ e12_) (h16_ e15_)) /\ ((h16_ (op1_ e13_ e10_)) = (op2_ (h16_ e13_) (h16_ e10_)) /\ ((h16_ (op1_ e13_ e11_)) = (op2_ (h16_ e13_) (h16_ e11_)) /\ ((h16_ (op1_ e13_ e12_)) = (op2_ (h16_ e13_) (h16_ e12_)) /\ ((h16_ (op1_ e13_ e13_)) = (op2_ (h16_ e13_) (h16_ e13_)) /\ ((h16_ (op1_ e13_ e14_)) = (op2_ (h16_ e13_) (h16_ e14_)) /\ ((h16_ (op1_ e13_ e15_)) = (op2_ (h16_ e13_) (h16_ e15_)) /\ ((h16_ (op1_ e14_ e10_)) = (op2_ (h16_ e14_) (h16_ e10_)) /\ ((h16_ (op1_ e14_ e11_)) = (op2_ (h16_ e14_) (h16_ e11_)) /\ ((h16_ (op1_ e14_ e12_)) = (op2_ (h16_ e14_) (h16_ e12_)) /\ ((h16_ (op1_ e14_ e13_)) = (op2_ (h16_ e14_) (h16_ e13_)) /\ ((h16_ (op1_ e14_ e14_)) = (op2_ (h16_ e14_) (h16_ e14_)) /\ ((h16_ (op1_ e14_ e15_)) = (op2_ (h16_ e14_) (h16_ e15_)) /\ ((h16_ (op1_ e15_ e10_)) = (op2_ (h16_ e15_) (h16_ e10_)) /\ ((h16_ (op1_ e15_ e11_)) = (op2_ (h16_ e15_) (h16_ e11_)) /\ ((h16_ (op1_ e15_ e12_)) = (op2_ (h16_ e15_) (h16_ e12_)) /\ ((h16_ (op1_ e15_ e13_)) = (op2_ (h16_ e15_) (h16_ e13_)) /\ ((h16_ (op1_ e15_ e14_)) = (op2_ (h16_ e15_) (h16_ e14_)) /\ ((h16_ (op1_ e15_ e15_)) = (op2_ (h16_ e15_) (h16_ e15_)) /\ (((h16_ e10_) = e20_ \/ ((h16_ e11_) = e20_ \/ ((h16_ e12_) = e20_ \/ ((h16_ e13_) = e20_ \/ ((h16_ e14_) = e20_ \/ (h16_ e15_) = e20_))))) /\ (((h16_ e10_) = e21_ \/ ((h16_ e11_) = e21_ \/ ((h16_ e12_) = e21_ \/ ((h16_ e13_) = e21_ \/ ((h16_ e14_) = e21_ \/ (h16_ e15_) = e21_))))) /\ (((h16_ e10_) = e22_ \/ ((h16_ e11_) = e22_ \/ ((h16_ e12_) = e22_ \/ ((h16_ e13_) = e22_ \/ ((h16_ e14_) = e22_ \/ (h16_ e15_) = e22_))))) /\ (((h16_ e10_) = e23_ \/ ((h16_ e11_) = e23_ \/ ((h16_ e12_) = e23_ \/ ((h16_ e13_) = e23_ \/ ((h16_ e14_) = e23_ \/ (h16_ e15_) = e23_))))) /\ (((h16_ e10_) = e24_ \/ ((h16_ e11_) = e24_ \/ ((h16_ e12_) = e24_ \/ ((h16_ e13_) = e24_ \/ ((h16_ e14_) = e24_ \/ (h16_ e15_) = e24_))))) /\ ((h16_ e10_) = e25_ \/ ((h16_ e11_) = e25_ \/ ((h16_ e12_) = e25_ \/ ((h16_ e13_) = e25_ \/ ((h16_ e14_) = e25_ \/ (h16_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ (((h17_ (op1_ e10_ e10_)) = (op2_ (h17_ e10_) (h17_ e10_)) /\ ((h17_ (op1_ e10_ e11_)) = (op2_ (h17_ e10_) (h17_ e11_)) /\ ((h17_ (op1_ e10_ e12_)) = (op2_ (h17_ e10_) (h17_ e12_)) /\ ((h17_ (op1_ e10_ e13_)) = (op2_ (h17_ e10_) (h17_ e13_)) /\ ((h17_ (op1_ e10_ e14_)) = (op2_ (h17_ e10_) (h17_ e14_)) /\ ((h17_ (op1_ e10_ e15_)) = (op2_ (h17_ e10_) (h17_ e15_)) /\ ((h17_ (op1_ e11_ e10_)) = (op2_ (h17_ e11_) (h17_ e10_)) /\ ((h17_ (op1_ e11_ e11_)) = (op2_ (h17_ e11_) (h17_ e11_)) /\ ((h17_ (op1_ e11_ e12_)) = (op2_ (h17_ e11_) (h17_ e12_)) /\ ((h17_ (op1_ e11_ e13_)) = (op2_ (h17_ e11_) (h17_ e13_)) /\ ((h17_ (op1_ e11_ e14_)) = (op2_ (h17_ e11_) (h17_ e14_)) /\ ((h17_ (op1_ e11_ e15_)) = (op2_ (h17_ e11_) (h17_ e15_)) /\ ((h17_ (op1_ e12_ e10_)) = (op2_ (h17_ e12_) (h17_ e10_)) /\ ((h17_ (op1_ e12_ e11_)) = (op2_ (h17_ e12_) (h17_ e11_)) /\ ((h17_ (op1_ e12_ e12_)) = (op2_ (h17_ e12_) (h17_ e12_)) /\ ((h17_ (op1_ e12_ e13_)) = (op2_ (h17_ e12_) (h17_ e13_)) /\ ((h17_ (op1_ e12_ e14_)) = (op2_ (h17_ e12_) (h17_ e14_)) /\ ((h17_ (op1_ e12_ e15_)) = (op2_ (h17_ e12_) (h17_ e15_)) /\ ((h17_ (op1_ e13_ e10_)) = (op2_ (h17_ e13_) (h17_ e10_)) /\ ((h17_ (op1_ e13_ e11_)) = (op2_ (h17_ e13_) (h17_ e11_)) /\ ((h17_ (op1_ e13_ e12_)) = (op2_ (h17_ e13_) (h17_ e12_)) /\ ((h17_ (op1_ e13_ e13_)) = (op2_ (h17_ e13_) (h17_ e13_)) /\ ((h17_ (op1_ e13_ e14_)) = (op2_ (h17_ e13_) (h17_ e14_)) /\ ((h17_ (op1_ e13_ e15_)) = (op2_ (h17_ e13_) (h17_ e15_)) /\ ((h17_ (op1_ e14_ e10_)) = (op2_ (h17_ e14_) (h17_ e10_)) /\ ((h17_ (op1_ e14_ e11_)) = (op2_ (h17_ e14_) (h17_ e11_)) /\ ((h17_ (op1_ e14_ e12_)) = (op2_ (h17_ e14_) (h17_ e12_)) /\ ((h17_ (op1_ e14_ e13_)) = (op2_ (h17_ e14_) (h17_ e13_)) /\ ((h17_ (op1_ e14_ e14_)) = (op2_ (h17_ e14_) (h17_ e14_)) /\ ((h17_ (op1_ e14_ e15_)) = (op2_ (h17_ e14_) (h17_ e15_)) /\ ((h17_ (op1_ e15_ e10_)) = (op2_ (h17_ e15_) (h17_ e10_)) /\ ((h17_ (op1_ e15_ e11_)) = (op2_ (h17_ e15_) (h17_ e11_)) /\ ((h17_ (op1_ e15_ e12_)) = (op2_ (h17_ e15_) (h17_ e12_)) /\ ((h17_ (op1_ e15_ e13_)) = (op2_ (h17_ e15_) (h17_ e13_)) /\ ((h17_ (op1_ e15_ e14_)) = (op2_ (h17_ e15_) (h17_ e14_)) /\ ((h17_ (op1_ e15_ e15_)) = (op2_ (h17_ e15_) (h17_ e15_)) /\ (((h17_ e10_) = e20_ \/ ((h17_ e11_) = e20_ \/ ((h17_ e12_) = e20_ \/ ((h17_ e13_) = e20_ \/ ((h17_ e14_) = e20_ \/ (h17_ e15_) = e20_))))) /\ (((h17_ e10_) = e21_ \/ ((h17_ e11_) = e21_ \/ ((h17_ e12_) = e21_ \/ ((h17_ e13_) = e21_ \/ ((h17_ e14_) = e21_ \/ (h17_ e15_) = e21_))))) /\ (((h17_ e10_) = e22_ \/ ((h17_ e11_) = e22_ \/ ((h17_ e12_) = e22_ \/ ((h17_ e13_) = e22_ \/ ((h17_ e14_) = e22_ \/ (h17_ e15_) = e22_))))) /\ (((h17_ e10_) = e23_ \/ ((h17_ e11_) = e23_ \/ ((h17_ e12_) = e23_ \/ ((h17_ e13_) = e23_ \/ ((h17_ e14_) = e23_ \/ (h17_ e15_) = e23_))))) /\ (((h17_ e10_) = e24_ \/ ((h17_ e11_) = e24_ \/ ((h17_ e12_) = e24_ \/ ((h17_ e13_) = e24_ \/ ((h17_ e14_) = e24_ \/ (h17_ e15_) = e24_))))) /\ ((h17_ e10_) = e25_ \/ ((h17_ e11_) = e25_ \/ ((h17_ e12_) = e25_ \/ ((h17_ e13_) = e25_ \/ ((h17_ e14_) = e25_ \/ (h17_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ (((h18_ (op1_ e10_ e10_)) = (op2_ (h18_ e10_) (h18_ e10_)) /\ ((h18_ (op1_ e10_ e11_)) = (op2_ (h18_ e10_) (h18_ e11_)) /\ ((h18_ (op1_ e10_ e12_)) = (op2_ (h18_ e10_) (h18_ e12_)) /\ ((h18_ (op1_ e10_ e13_)) = (op2_ (h18_ e10_) (h18_ e13_)) /\ ((h18_ (op1_ e10_ e14_)) = (op2_ (h18_ e10_) (h18_ e14_)) /\ ((h18_ (op1_ e10_ e15_)) = (op2_ (h18_ e10_) (h18_ e15_)) /\ ((h18_ (op1_ e11_ e10_)) = (op2_ (h18_ e11_) (h18_ e10_)) /\ ((h18_ (op1_ e11_ e11_)) = (op2_ (h18_ e11_) (h18_ e11_)) /\ ((h18_ (op1_ e11_ e12_)) = (op2_ (h18_ e11_) (h18_ e12_)) /\ ((h18_ (op1_ e11_ e13_)) = (op2_ (h18_ e11_) (h18_ e13_)) /\ ((h18_ (op1_ e11_ e14_)) = (op2_ (h18_ e11_) (h18_ e14_)) /\ ((h18_ (op1_ e11_ e15_)) = (op2_ (h18_ e11_) (h18_ e15_)) /\ ((h18_ (op1_ e12_ e10_)) = (op2_ (h18_ e12_) (h18_ e10_)) /\ ((h18_ (op1_ e12_ e11_)) = (op2_ (h18_ e12_) (h18_ e11_)) /\ ((h18_ (op1_ e12_ e12_)) = (op2_ (h18_ e12_) (h18_ e12_)) /\ ((h18_ (op1_ e12_ e13_)) = (op2_ (h18_ e12_) (h18_ e13_)) /\ ((h18_ (op1_ e12_ e14_)) = (op2_ (h18_ e12_) (h18_ e14_)) /\ ((h18_ (op1_ e12_ e15_)) = (op2_ (h18_ e12_) (h18_ e15_)) /\ ((h18_ (op1_ e13_ e10_)) = (op2_ (h18_ e13_) (h18_ e10_)) /\ ((h18_ (op1_ e13_ e11_)) = (op2_ (h18_ e13_) (h18_ e11_)) /\ ((h18_ (op1_ e13_ e12_)) = (op2_ (h18_ e13_) (h18_ e12_)) /\ ((h18_ (op1_ e13_ e13_)) = (op2_ (h18_ e13_) (h18_ e13_)) /\ ((h18_ (op1_ e13_ e14_)) = (op2_ (h18_ e13_) (h18_ e14_)) /\ ((h18_ (op1_ e13_ e15_)) = (op2_ (h18_ e13_) (h18_ e15_)) /\ ((h18_ (op1_ e14_ e10_)) = (op2_ (h18_ e14_) (h18_ e10_)) /\ ((h18_ (op1_ e14_ e11_)) = (op2_ (h18_ e14_) (h18_ e11_)) /\ ((h18_ (op1_ e14_ e12_)) = (op2_ (h18_ e14_) (h18_ e12_)) /\ ((h18_ (op1_ e14_ e13_)) = (op2_ (h18_ e14_) (h18_ e13_)) /\ ((h18_ (op1_ e14_ e14_)) = (op2_ (h18_ e14_) (h18_ e14_)) /\ ((h18_ (op1_ e14_ e15_)) = (op2_ (h18_ e14_) (h18_ e15_)) /\ ((h18_ (op1_ e15_ e10_)) = (op2_ (h18_ e15_) (h18_ e10_)) /\ ((h18_ (op1_ e15_ e11_)) = (op2_ (h18_ e15_) (h18_ e11_)) /\ ((h18_ (op1_ e15_ e12_)) = (op2_ (h18_ e15_) (h18_ e12_)) /\ ((h18_ (op1_ e15_ e13_)) = (op2_ (h18_ e15_) (h18_ e13_)) /\ ((h18_ (op1_ e15_ e14_)) = (op2_ (h18_ e15_) (h18_ e14_)) /\ ((h18_ (op1_ e15_ e15_)) = (op2_ (h18_ e15_) (h18_ e15_)) /\ (((h18_ e10_) = e20_ \/ ((h18_ e11_) = e20_ \/ ((h18_ e12_) = e20_ \/ ((h18_ e13_) = e20_ \/ ((h18_ e14_) = e20_ \/ (h18_ e15_) = e20_))))) /\ (((h18_ e10_) = e21_ \/ ((h18_ e11_) = e21_ \/ ((h18_ e12_) = e21_ \/ ((h18_ e13_) = e21_ \/ ((h18_ e14_) = e21_ \/ (h18_ e15_) = e21_))))) /\ (((h18_ e10_) = e22_ \/ ((h18_ e11_) = e22_ \/ ((h18_ e12_) = e22_ \/ ((h18_ e13_) = e22_ \/ ((h18_ e14_) = e22_ \/ (h18_ e15_) = e22_))))) /\ (((h18_ e10_) = e23_ \/ ((h18_ e11_) = e23_ \/ ((h18_ e12_) = e23_ \/ ((h18_ e13_) = e23_ \/ ((h18_ e14_) = e23_ \/ (h18_ e15_) = e23_))))) /\ (((h18_ e10_) = e24_ \/ ((h18_ e11_) = e24_ \/ ((h18_ e12_) = e24_ \/ ((h18_ e13_) = e24_ \/ ((h18_ e14_) = e24_ \/ (h18_ e15_) = e24_))))) /\ ((h18_ e10_) = e25_ \/ ((h18_ e11_) = e25_ \/ ((h18_ e12_) = e25_ \/ ((h18_ e13_) = e25_ \/ ((h18_ e14_) = e25_ \/ (h18_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ (((h19_ (op1_ e10_ e10_)) = (op2_ (h19_ e10_) (h19_ e10_)) /\ ((h19_ (op1_ e10_ e11_)) = (op2_ (h19_ e10_) (h19_ e11_)) /\ ((h19_ (op1_ e10_ e12_)) = (op2_ (h19_ e10_) (h19_ e12_)) /\ ((h19_ (op1_ e10_ e13_)) = (op2_ (h19_ e10_) (h19_ e13_)) /\ ((h19_ (op1_ e10_ e14_)) = (op2_ (h19_ e10_) (h19_ e14_)) /\ ((h19_ (op1_ e10_ e15_)) = (op2_ (h19_ e10_) (h19_ e15_)) /\ ((h19_ (op1_ e11_ e10_)) = (op2_ (h19_ e11_) (h19_ e10_)) /\ ((h19_ (op1_ e11_ e11_)) = (op2_ (h19_ e11_) (h19_ e11_)) /\ ((h19_ (op1_ e11_ e12_)) = (op2_ (h19_ e11_) (h19_ e12_)) /\ ((h19_ (op1_ e11_ e13_)) = (op2_ (h19_ e11_) (h19_ e13_)) /\ ((h19_ (op1_ e11_ e14_)) = (op2_ (h19_ e11_) (h19_ e14_)) /\ ((h19_ (op1_ e11_ e15_)) = (op2_ (h19_ e11_) (h19_ e15_)) /\ ((h19_ (op1_ e12_ e10_)) = (op2_ (h19_ e12_) (h19_ e10_)) /\ ((h19_ (op1_ e12_ e11_)) = (op2_ (h19_ e12_) (h19_ e11_)) /\ ((h19_ (op1_ e12_ e12_)) = (op2_ (h19_ e12_) (h19_ e12_)) /\ ((h19_ (op1_ e12_ e13_)) = (op2_ (h19_ e12_) (h19_ e13_)) /\ ((h19_ (op1_ e12_ e14_)) = (op2_ (h19_ e12_) (h19_ e14_)) /\ ((h19_ (op1_ e12_ e15_)) = (op2_ (h19_ e12_) (h19_ e15_)) /\ ((h19_ (op1_ e13_ e10_)) = (op2_ (h19_ e13_) (h19_ e10_)) /\ ((h19_ (op1_ e13_ e11_)) = (op2_ (h19_ e13_) (h19_ e11_)) /\ ((h19_ (op1_ e13_ e12_)) = (op2_ (h19_ e13_) (h19_ e12_)) /\ ((h19_ (op1_ e13_ e13_)) = (op2_ (h19_ e13_) (h19_ e13_)) /\ ((h19_ (op1_ e13_ e14_)) = (op2_ (h19_ e13_) (h19_ e14_)) /\ ((h19_ (op1_ e13_ e15_)) = (op2_ (h19_ e13_) (h19_ e15_)) /\ ((h19_ (op1_ e14_ e10_)) = (op2_ (h19_ e14_) (h19_ e10_)) /\ ((h19_ (op1_ e14_ e11_)) = (op2_ (h19_ e14_) (h19_ e11_)) /\ ((h19_ (op1_ e14_ e12_)) = (op2_ (h19_ e14_) (h19_ e12_)) /\ ((h19_ (op1_ e14_ e13_)) = (op2_ (h19_ e14_) (h19_ e13_)) /\ ((h19_ (op1_ e14_ e14_)) = (op2_ (h19_ e14_) (h19_ e14_)) /\ ((h19_ (op1_ e14_ e15_)) = (op2_ (h19_ e14_) (h19_ e15_)) /\ ((h19_ (op1_ e15_ e10_)) = (op2_ (h19_ e15_) (h19_ e10_)) /\ ((h19_ (op1_ e15_ e11_)) = (op2_ (h19_ e15_) (h19_ e11_)) /\ ((h19_ (op1_ e15_ e12_)) = (op2_ (h19_ e15_) (h19_ e12_)) /\ ((h19_ (op1_ e15_ e13_)) = (op2_ (h19_ e15_) (h19_ e13_)) /\ ((h19_ (op1_ e15_ e14_)) = (op2_ (h19_ e15_) (h19_ e14_)) /\ ((h19_ (op1_ e15_ e15_)) = (op2_ (h19_ e15_) (h19_ e15_)) /\ (((h19_ e10_) = e20_ \/ ((h19_ e11_) = e20_ \/ ((h19_ e12_) = e20_ \/ ((h19_ e13_) = e20_ \/ ((h19_ e14_) = e20_ \/ (h19_ e15_) = e20_))))) /\ (((h19_ e10_) = e21_ \/ ((h19_ e11_) = e21_ \/ ((h19_ e12_) = e21_ \/ ((h19_ e13_) = e21_ \/ ((h19_ e14_) = e21_ \/ (h19_ e15_) = e21_))))) /\ (((h19_ e10_) = e22_ \/ ((h19_ e11_) = e22_ \/ ((h19_ e12_) = e22_ \/ ((h19_ e13_) = e22_ \/ ((h19_ e14_) = e22_ \/ (h19_ e15_) = e22_))))) /\ (((h19_ e10_) = e23_ \/ ((h19_ e11_) = e23_ \/ ((h19_ e12_) = e23_ \/ ((h19_ e13_) = e23_ \/ ((h19_ e14_) = e23_ \/ (h19_ e15_) = e23_))))) /\ (((h19_ e10_) = e24_ \/ ((h19_ e11_) = e24_ \/ ((h19_ e12_) = e24_ \/ ((h19_ e13_) = e24_ \/ ((h19_ e14_) = e24_ \/ (h19_ e15_) = e24_))))) /\ ((h19_ e10_) = e25_ \/ ((h19_ e11_) = e25_ \/ ((h19_ e12_) = e25_ \/ ((h19_ e13_) = e25_ \/ ((h19_ e14_) = e25_ \/ (h19_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ (((h20_ (op1_ e10_ e10_)) = (op2_ (h20_ e10_) (h20_ e10_)) /\ ((h20_ (op1_ e10_ e11_)) = (op2_ (h20_ e10_) (h20_ e11_)) /\ ((h20_ (op1_ e10_ e12_)) = (op2_ (h20_ e10_) (h20_ e12_)) /\ ((h20_ (op1_ e10_ e13_)) = (op2_ (h20_ e10_) (h20_ e13_)) /\ ((h20_ (op1_ e10_ e14_)) = (op2_ (h20_ e10_) (h20_ e14_)) /\ ((h20_ (op1_ e10_ e15_)) = (op2_ (h20_ e10_) (h20_ e15_)) /\ ((h20_ (op1_ e11_ e10_)) = (op2_ (h20_ e11_) (h20_ e10_)) /\ ((h20_ (op1_ e11_ e11_)) = (op2_ (h20_ e11_) (h20_ e11_)) /\ ((h20_ (op1_ e11_ e12_)) = (op2_ (h20_ e11_) (h20_ e12_)) /\ ((h20_ (op1_ e11_ e13_)) = (op2_ (h20_ e11_) (h20_ e13_)) /\ ((h20_ (op1_ e11_ e14_)) = (op2_ (h20_ e11_) (h20_ e14_)) /\ ((h20_ (op1_ e11_ e15_)) = (op2_ (h20_ e11_) (h20_ e15_)) /\ ((h20_ (op1_ e12_ e10_)) = (op2_ (h20_ e12_) (h20_ e10_)) /\ ((h20_ (op1_ e12_ e11_)) = (op2_ (h20_ e12_) (h20_ e11_)) /\ ((h20_ (op1_ e12_ e12_)) = (op2_ (h20_ e12_) (h20_ e12_)) /\ ((h20_ (op1_ e12_ e13_)) = (op2_ (h20_ e12_) (h20_ e13_)) /\ ((h20_ (op1_ e12_ e14_)) = (op2_ (h20_ e12_) (h20_ e14_)) /\ ((h20_ (op1_ e12_ e15_)) = (op2_ (h20_ e12_) (h20_ e15_)) /\ ((h20_ (op1_ e13_ e10_)) = (op2_ (h20_ e13_) (h20_ e10_)) /\ ((h20_ (op1_ e13_ e11_)) = (op2_ (h20_ e13_) (h20_ e11_)) /\ ((h20_ (op1_ e13_ e12_)) = (op2_ (h20_ e13_) (h20_ e12_)) /\ ((h20_ (op1_ e13_ e13_)) = (op2_ (h20_ e13_) (h20_ e13_)) /\ ((h20_ (op1_ e13_ e14_)) = (op2_ (h20_ e13_) (h20_ e14_)) /\ ((h20_ (op1_ e13_ e15_)) = (op2_ (h20_ e13_) (h20_ e15_)) /\ ((h20_ (op1_ e14_ e10_)) = (op2_ (h20_ e14_) (h20_ e10_)) /\ ((h20_ (op1_ e14_ e11_)) = (op2_ (h20_ e14_) (h20_ e11_)) /\ ((h20_ (op1_ e14_ e12_)) = (op2_ (h20_ e14_) (h20_ e12_)) /\ ((h20_ (op1_ e14_ e13_)) = (op2_ (h20_ e14_) (h20_ e13_)) /\ ((h20_ (op1_ e14_ e14_)) = (op2_ (h20_ e14_) (h20_ e14_)) /\ ((h20_ (op1_ e14_ e15_)) = (op2_ (h20_ e14_) (h20_ e15_)) /\ ((h20_ (op1_ e15_ e10_)) = (op2_ (h20_ e15_) (h20_ e10_)) /\ ((h20_ (op1_ e15_ e11_)) = (op2_ (h20_ e15_) (h20_ e11_)) /\ ((h20_ (op1_ e15_ e12_)) = (op2_ (h20_ e15_) (h20_ e12_)) /\ ((h20_ (op1_ e15_ e13_)) = (op2_ (h20_ e15_) (h20_ e13_)) /\ ((h20_ (op1_ e15_ e14_)) = (op2_ (h20_ e15_) (h20_ e14_)) /\ ((h20_ (op1_ e15_ e15_)) = (op2_ (h20_ e15_) (h20_ e15_)) /\ (((h20_ e10_) = e20_ \/ ((h20_ e11_) = e20_ \/ ((h20_ e12_) = e20_ \/ ((h20_ e13_) = e20_ \/ ((h20_ e14_) = e20_ \/ (h20_ e15_) = e20_))))) /\ (((h20_ e10_) = e21_ \/ ((h20_ e11_) = e21_ \/ ((h20_ e12_) = e21_ \/ ((h20_ e13_) = e21_ \/ ((h20_ e14_) = e21_ \/ (h20_ e15_) = e21_))))) /\ (((h20_ e10_) = e22_ \/ ((h20_ e11_) = e22_ \/ ((h20_ e12_) = e22_ \/ ((h20_ e13_) = e22_ \/ ((h20_ e14_) = e22_ \/ (h20_ e15_) = e22_))))) /\ (((h20_ e10_) = e23_ \/ ((h20_ e11_) = e23_ \/ ((h20_ e12_) = e23_ \/ ((h20_ e13_) = e23_ \/ ((h20_ e14_) = e23_ \/ (h20_ e15_) = e23_))))) /\ (((h20_ e10_) = e24_ \/ ((h20_ e11_) = e24_ \/ ((h20_ e12_) = e24_ \/ ((h20_ e13_) = e24_ \/ ((h20_ e14_) = e24_ \/ (h20_ e15_) = e24_))))) /\ ((h20_ e10_) = e25_ \/ ((h20_ e11_) = e25_ \/ ((h20_ e12_) = e25_ \/ ((h20_ e13_) = e25_ \/ ((h20_ e14_) = e25_ \/ (h20_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ (((h21_ (op1_ e10_ e10_)) = (op2_ (h21_ e10_) (h21_ e10_)) /\ ((h21_ (op1_ e10_ e11_)) = (op2_ (h21_ e10_) (h21_ e11_)) /\ ((h21_ (op1_ e10_ e12_)) = (op2_ (h21_ e10_) (h21_ e12_)) /\ ((h21_ (op1_ e10_ e13_)) = (op2_ (h21_ e10_) (h21_ e13_)) /\ ((h21_ (op1_ e10_ e14_)) = (op2_ (h21_ e10_) (h21_ e14_)) /\ ((h21_ (op1_ e10_ e15_)) = (op2_ (h21_ e10_) (h21_ e15_)) /\ ((h21_ (op1_ e11_ e10_)) = (op2_ (h21_ e11_) (h21_ e10_)) /\ ((h21_ (op1_ e11_ e11_)) = (op2_ (h21_ e11_) (h21_ e11_)) /\ ((h21_ (op1_ e11_ e12_)) = (op2_ (h21_ e11_) (h21_ e12_)) /\ ((h21_ (op1_ e11_ e13_)) = (op2_ (h21_ e11_) (h21_ e13_)) /\ ((h21_ (op1_ e11_ e14_)) = (op2_ (h21_ e11_) (h21_ e14_)) /\ ((h21_ (op1_ e11_ e15_)) = (op2_ (h21_ e11_) (h21_ e15_)) /\ ((h21_ (op1_ e12_ e10_)) = (op2_ (h21_ e12_) (h21_ e10_)) /\ ((h21_ (op1_ e12_ e11_)) = (op2_ (h21_ e12_) (h21_ e11_)) /\ ((h21_ (op1_ e12_ e12_)) = (op2_ (h21_ e12_) (h21_ e12_)) /\ ((h21_ (op1_ e12_ e13_)) = (op2_ (h21_ e12_) (h21_ e13_)) /\ ((h21_ (op1_ e12_ e14_)) = (op2_ (h21_ e12_) (h21_ e14_)) /\ ((h21_ (op1_ e12_ e15_)) = (op2_ (h21_ e12_) (h21_ e15_)) /\ ((h21_ (op1_ e13_ e10_)) = (op2_ (h21_ e13_) (h21_ e10_)) /\ ((h21_ (op1_ e13_ e11_)) = (op2_ (h21_ e13_) (h21_ e11_)) /\ ((h21_ (op1_ e13_ e12_)) = (op2_ (h21_ e13_) (h21_ e12_)) /\ ((h21_ (op1_ e13_ e13_)) = (op2_ (h21_ e13_) (h21_ e13_)) /\ ((h21_ (op1_ e13_ e14_)) = (op2_ (h21_ e13_) (h21_ e14_)) /\ ((h21_ (op1_ e13_ e15_)) = (op2_ (h21_ e13_) (h21_ e15_)) /\ ((h21_ (op1_ e14_ e10_)) = (op2_ (h21_ e14_) (h21_ e10_)) /\ ((h21_ (op1_ e14_ e11_)) = (op2_ (h21_ e14_) (h21_ e11_)) /\ ((h21_ (op1_ e14_ e12_)) = (op2_ (h21_ e14_) (h21_ e12_)) /\ ((h21_ (op1_ e14_ e13_)) = (op2_ (h21_ e14_) (h21_ e13_)) /\ ((h21_ (op1_ e14_ e14_)) = (op2_ (h21_ e14_) (h21_ e14_)) /\ ((h21_ (op1_ e14_ e15_)) = (op2_ (h21_ e14_) (h21_ e15_)) /\ ((h21_ (op1_ e15_ e10_)) = (op2_ (h21_ e15_) (h21_ e10_)) /\ ((h21_ (op1_ e15_ e11_)) = (op2_ (h21_ e15_) (h21_ e11_)) /\ ((h21_ (op1_ e15_ e12_)) = (op2_ (h21_ e15_) (h21_ e12_)) /\ ((h21_ (op1_ e15_ e13_)) = (op2_ (h21_ e15_) (h21_ e13_)) /\ ((h21_ (op1_ e15_ e14_)) = (op2_ (h21_ e15_) (h21_ e14_)) /\ ((h21_ (op1_ e15_ e15_)) = (op2_ (h21_ e15_) (h21_ e15_)) /\ (((h21_ e10_) = e20_ \/ ((h21_ e11_) = e20_ \/ ((h21_ e12_) = e20_ \/ ((h21_ e13_) = e20_ \/ ((h21_ e14_) = e20_ \/ (h21_ e15_) = e20_))))) /\ (((h21_ e10_) = e21_ \/ ((h21_ e11_) = e21_ \/ ((h21_ e12_) = e21_ \/ ((h21_ e13_) = e21_ \/ ((h21_ e14_) = e21_ \/ (h21_ e15_) = e21_))))) /\ (((h21_ e10_) = e22_ \/ ((h21_ e11_) = e22_ \/ ((h21_ e12_) = e22_ \/ ((h21_ e13_) = e22_ \/ ((h21_ e14_) = e22_ \/ (h21_ e15_) = e22_))))) /\ (((h21_ e10_) = e23_ \/ ((h21_ e11_) = e23_ \/ ((h21_ e12_) = e23_ \/ ((h21_ e13_) = e23_ \/ ((h21_ e14_) = e23_ \/ (h21_ e15_) = e23_))))) /\ (((h21_ e10_) = e24_ \/ ((h21_ e11_) = e24_ \/ ((h21_ e12_) = e24_ \/ ((h21_ e13_) = e24_ \/ ((h21_ e14_) = e24_ \/ (h21_ e15_) = e24_))))) /\ ((h21_ e10_) = e25_ \/ ((h21_ e11_) = e25_ \/ ((h21_ e12_) = e25_ \/ ((h21_ e13_) = e25_ \/ ((h21_ e14_) = e25_ \/ (h21_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ (((h22_ (op1_ e10_ e10_)) = (op2_ (h22_ e10_) (h22_ e10_)) /\ ((h22_ (op1_ e10_ e11_)) = (op2_ (h22_ e10_) (h22_ e11_)) /\ ((h22_ (op1_ e10_ e12_)) = (op2_ (h22_ e10_) (h22_ e12_)) /\ ((h22_ (op1_ e10_ e13_)) = (op2_ (h22_ e10_) (h22_ e13_)) /\ ((h22_ (op1_ e10_ e14_)) = (op2_ (h22_ e10_) (h22_ e14_)) /\ ((h22_ (op1_ e10_ e15_)) = (op2_ (h22_ e10_) (h22_ e15_)) /\ ((h22_ (op1_ e11_ e10_)) = (op2_ (h22_ e11_) (h22_ e10_)) /\ ((h22_ (op1_ e11_ e11_)) = (op2_ (h22_ e11_) (h22_ e11_)) /\ ((h22_ (op1_ e11_ e12_)) = (op2_ (h22_ e11_) (h22_ e12_)) /\ ((h22_ (op1_ e11_ e13_)) = (op2_ (h22_ e11_) (h22_ e13_)) /\ ((h22_ (op1_ e11_ e14_)) = (op2_ (h22_ e11_) (h22_ e14_)) /\ ((h22_ (op1_ e11_ e15_)) = (op2_ (h22_ e11_) (h22_ e15_)) /\ ((h22_ (op1_ e12_ e10_)) = (op2_ (h22_ e12_) (h22_ e10_)) /\ ((h22_ (op1_ e12_ e11_)) = (op2_ (h22_ e12_) (h22_ e11_)) /\ ((h22_ (op1_ e12_ e12_)) = (op2_ (h22_ e12_) (h22_ e12_)) /\ ((h22_ (op1_ e12_ e13_)) = (op2_ (h22_ e12_) (h22_ e13_)) /\ ((h22_ (op1_ e12_ e14_)) = (op2_ (h22_ e12_) (h22_ e14_)) /\ ((h22_ (op1_ e12_ e15_)) = (op2_ (h22_ e12_) (h22_ e15_)) /\ ((h22_ (op1_ e13_ e10_)) = (op2_ (h22_ e13_) (h22_ e10_)) /\ ((h22_ (op1_ e13_ e11_)) = (op2_ (h22_ e13_) (h22_ e11_)) /\ ((h22_ (op1_ e13_ e12_)) = (op2_ (h22_ e13_) (h22_ e12_)) /\ ((h22_ (op1_ e13_ e13_)) = (op2_ (h22_ e13_) (h22_ e13_)) /\ ((h22_ (op1_ e13_ e14_)) = (op2_ (h22_ e13_) (h22_ e14_)) /\ ((h22_ (op1_ e13_ e15_)) = (op2_ (h22_ e13_) (h22_ e15_)) /\ ((h22_ (op1_ e14_ e10_)) = (op2_ (h22_ e14_) (h22_ e10_)) /\ ((h22_ (op1_ e14_ e11_)) = (op2_ (h22_ e14_) (h22_ e11_)) /\ ((h22_ (op1_ e14_ e12_)) = (op2_ (h22_ e14_) (h22_ e12_)) /\ ((h22_ (op1_ e14_ e13_)) = (op2_ (h22_ e14_) (h22_ e13_)) /\ ((h22_ (op1_ e14_ e14_)) = (op2_ (h22_ e14_) (h22_ e14_)) /\ ((h22_ (op1_ e14_ e15_)) = (op2_ (h22_ e14_) (h22_ e15_)) /\ ((h22_ (op1_ e15_ e10_)) = (op2_ (h22_ e15_) (h22_ e10_)) /\ ((h22_ (op1_ e15_ e11_)) = (op2_ (h22_ e15_) (h22_ e11_)) /\ ((h22_ (op1_ e15_ e12_)) = (op2_ (h22_ e15_) (h22_ e12_)) /\ ((h22_ (op1_ e15_ e13_)) = (op2_ (h22_ e15_) (h22_ e13_)) /\ ((h22_ (op1_ e15_ e14_)) = (op2_ (h22_ e15_) (h22_ e14_)) /\ ((h22_ (op1_ e15_ e15_)) = (op2_ (h22_ e15_) (h22_ e15_)) /\ (((h22_ e10_) = e20_ \/ ((h22_ e11_) = e20_ \/ ((h22_ e12_) = e20_ \/ ((h22_ e13_) = e20_ \/ ((h22_ e14_) = e20_ \/ (h22_ e15_) = e20_))))) /\ (((h22_ e10_) = e21_ \/ ((h22_ e11_) = e21_ \/ ((h22_ e12_) = e21_ \/ ((h22_ e13_) = e21_ \/ ((h22_ e14_) = e21_ \/ (h22_ e15_) = e21_))))) /\ (((h22_ e10_) = e22_ \/ ((h22_ e11_) = e22_ \/ ((h22_ e12_) = e22_ \/ ((h22_ e13_) = e22_ \/ ((h22_ e14_) = e22_ \/ (h22_ e15_) = e22_))))) /\ (((h22_ e10_) = e23_ \/ ((h22_ e11_) = e23_ \/ ((h22_ e12_) = e23_ \/ ((h22_ e13_) = e23_ \/ ((h22_ e14_) = e23_ \/ (h22_ e15_) = e23_))))) /\ (((h22_ e10_) = e24_ \/ ((h22_ e11_) = e24_ \/ ((h22_ e12_) = e24_ \/ ((h22_ e13_) = e24_ \/ ((h22_ e14_) = e24_ \/ (h22_ e15_) = e24_))))) /\ ((h22_ e10_) = e25_ \/ ((h22_ e11_) = e25_ \/ ((h22_ e12_) = e25_ \/ ((h22_ e13_) = e25_ \/ ((h22_ e14_) = e25_ \/ (h22_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ (((h23_ (op1_ e10_ e10_)) = (op2_ (h23_ e10_) (h23_ e10_)) /\ ((h23_ (op1_ e10_ e11_)) = (op2_ (h23_ e10_) (h23_ e11_)) /\ ((h23_ (op1_ e10_ e12_)) = (op2_ (h23_ e10_) (h23_ e12_)) /\ ((h23_ (op1_ e10_ e13_)) = (op2_ (h23_ e10_) (h23_ e13_)) /\ ((h23_ (op1_ e10_ e14_)) = (op2_ (h23_ e10_) (h23_ e14_)) /\ ((h23_ (op1_ e10_ e15_)) = (op2_ (h23_ e10_) (h23_ e15_)) /\ ((h23_ (op1_ e11_ e10_)) = (op2_ (h23_ e11_) (h23_ e10_)) /\ ((h23_ (op1_ e11_ e11_)) = (op2_ (h23_ e11_) (h23_ e11_)) /\ ((h23_ (op1_ e11_ e12_)) = (op2_ (h23_ e11_) (h23_ e12_)) /\ ((h23_ (op1_ e11_ e13_)) = (op2_ (h23_ e11_) (h23_ e13_)) /\ ((h23_ (op1_ e11_ e14_)) = (op2_ (h23_ e11_) (h23_ e14_)) /\ ((h23_ (op1_ e11_ e15_)) = (op2_ (h23_ e11_) (h23_ e15_)) /\ ((h23_ (op1_ e12_ e10_)) = (op2_ (h23_ e12_) (h23_ e10_)) /\ ((h23_ (op1_ e12_ e11_)) = (op2_ (h23_ e12_) (h23_ e11_)) /\ ((h23_ (op1_ e12_ e12_)) = (op2_ (h23_ e12_) (h23_ e12_)) /\ ((h23_ (op1_ e12_ e13_)) = (op2_ (h23_ e12_) (h23_ e13_)) /\ ((h23_ (op1_ e12_ e14_)) = (op2_ (h23_ e12_) (h23_ e14_)) /\ ((h23_ (op1_ e12_ e15_)) = (op2_ (h23_ e12_) (h23_ e15_)) /\ ((h23_ (op1_ e13_ e10_)) = (op2_ (h23_ e13_) (h23_ e10_)) /\ ((h23_ (op1_ e13_ e11_)) = (op2_ (h23_ e13_) (h23_ e11_)) /\ ((h23_ (op1_ e13_ e12_)) = (op2_ (h23_ e13_) (h23_ e12_)) /\ ((h23_ (op1_ e13_ e13_)) = (op2_ (h23_ e13_) (h23_ e13_)) /\ ((h23_ (op1_ e13_ e14_)) = (op2_ (h23_ e13_) (h23_ e14_)) /\ ((h23_ (op1_ e13_ e15_)) = (op2_ (h23_ e13_) (h23_ e15_)) /\ ((h23_ (op1_ e14_ e10_)) = (op2_ (h23_ e14_) (h23_ e10_)) /\ ((h23_ (op1_ e14_ e11_)) = (op2_ (h23_ e14_) (h23_ e11_)) /\ ((h23_ (op1_ e14_ e12_)) = (op2_ (h23_ e14_) (h23_ e12_)) /\ ((h23_ (op1_ e14_ e13_)) = (op2_ (h23_ e14_) (h23_ e13_)) /\ ((h23_ (op1_ e14_ e14_)) = (op2_ (h23_ e14_) (h23_ e14_)) /\ ((h23_ (op1_ e14_ e15_)) = (op2_ (h23_ e14_) (h23_ e15_)) /\ ((h23_ (op1_ e15_ e10_)) = (op2_ (h23_ e15_) (h23_ e10_)) /\ ((h23_ (op1_ e15_ e11_)) = (op2_ (h23_ e15_) (h23_ e11_)) /\ ((h23_ (op1_ e15_ e12_)) = (op2_ (h23_ e15_) (h23_ e12_)) /\ ((h23_ (op1_ e15_ e13_)) = (op2_ (h23_ e15_) (h23_ e13_)) /\ ((h23_ (op1_ e15_ e14_)) = (op2_ (h23_ e15_) (h23_ e14_)) /\ ((h23_ (op1_ e15_ e15_)) = (op2_ (h23_ e15_) (h23_ e15_)) /\ (((h23_ e10_) = e20_ \/ ((h23_ e11_) = e20_ \/ ((h23_ e12_) = e20_ \/ ((h23_ e13_) = e20_ \/ ((h23_ e14_) = e20_ \/ (h23_ e15_) = e20_))))) /\ (((h23_ e10_) = e21_ \/ ((h23_ e11_) = e21_ \/ ((h23_ e12_) = e21_ \/ ((h23_ e13_) = e21_ \/ ((h23_ e14_) = e21_ \/ (h23_ e15_) = e21_))))) /\ (((h23_ e10_) = e22_ \/ ((h23_ e11_) = e22_ \/ ((h23_ e12_) = e22_ \/ ((h23_ e13_) = e22_ \/ ((h23_ e14_) = e22_ \/ (h23_ e15_) = e22_))))) /\ (((h23_ e10_) = e23_ \/ ((h23_ e11_) = e23_ \/ ((h23_ e12_) = e23_ \/ ((h23_ e13_) = e23_ \/ ((h23_ e14_) = e23_ \/ (h23_ e15_) = e23_))))) /\ (((h23_ e10_) = e24_ \/ ((h23_ e11_) = e24_ \/ ((h23_ e12_) = e24_ \/ ((h23_ e13_) = e24_ \/ ((h23_ e14_) = e24_ \/ (h23_ e15_) = e24_))))) /\ ((h23_ e10_) = e25_ \/ ((h23_ e11_) = e25_ \/ ((h23_ e12_) = e25_ \/ ((h23_ e13_) = e25_ \/ ((h23_ e14_) = e25_ \/ (h23_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ (((h24_ (op1_ e10_ e10_)) = (op2_ (h24_ e10_) (h24_ e10_)) /\ ((h24_ (op1_ e10_ e11_)) = (op2_ (h24_ e10_) (h24_ e11_)) /\ ((h24_ (op1_ e10_ e12_)) = (op2_ (h24_ e10_) (h24_ e12_)) /\ ((h24_ (op1_ e10_ e13_)) = (op2_ (h24_ e10_) (h24_ e13_)) /\ ((h24_ (op1_ e10_ e14_)) = (op2_ (h24_ e10_) (h24_ e14_)) /\ ((h24_ (op1_ e10_ e15_)) = (op2_ (h24_ e10_) (h24_ e15_)) /\ ((h24_ (op1_ e11_ e10_)) = (op2_ (h24_ e11_) (h24_ e10_)) /\ ((h24_ (op1_ e11_ e11_)) = (op2_ (h24_ e11_) (h24_ e11_)) /\ ((h24_ (op1_ e11_ e12_)) = (op2_ (h24_ e11_) (h24_ e12_)) /\ ((h24_ (op1_ e11_ e13_)) = (op2_ (h24_ e11_) (h24_ e13_)) /\ ((h24_ (op1_ e11_ e14_)) = (op2_ (h24_ e11_) (h24_ e14_)) /\ ((h24_ (op1_ e11_ e15_)) = (op2_ (h24_ e11_) (h24_ e15_)) /\ ((h24_ (op1_ e12_ e10_)) = (op2_ (h24_ e12_) (h24_ e10_)) /\ ((h24_ (op1_ e12_ e11_)) = (op2_ (h24_ e12_) (h24_ e11_)) /\ ((h24_ (op1_ e12_ e12_)) = (op2_ (h24_ e12_) (h24_ e12_)) /\ ((h24_ (op1_ e12_ e13_)) = (op2_ (h24_ e12_) (h24_ e13_)) /\ ((h24_ (op1_ e12_ e14_)) = (op2_ (h24_ e12_) (h24_ e14_)) /\ ((h24_ (op1_ e12_ e15_)) = (op2_ (h24_ e12_) (h24_ e15_)) /\ ((h24_ (op1_ e13_ e10_)) = (op2_ (h24_ e13_) (h24_ e10_)) /\ ((h24_ (op1_ e13_ e11_)) = (op2_ (h24_ e13_) (h24_ e11_)) /\ ((h24_ (op1_ e13_ e12_)) = (op2_ (h24_ e13_) (h24_ e12_)) /\ ((h24_ (op1_ e13_ e13_)) = (op2_ (h24_ e13_) (h24_ e13_)) /\ ((h24_ (op1_ e13_ e14_)) = (op2_ (h24_ e13_) (h24_ e14_)) /\ ((h24_ (op1_ e13_ e15_)) = (op2_ (h24_ e13_) (h24_ e15_)) /\ ((h24_ (op1_ e14_ e10_)) = (op2_ (h24_ e14_) (h24_ e10_)) /\ ((h24_ (op1_ e14_ e11_)) = (op2_ (h24_ e14_) (h24_ e11_)) /\ ((h24_ (op1_ e14_ e12_)) = (op2_ (h24_ e14_) (h24_ e12_)) /\ ((h24_ (op1_ e14_ e13_)) = (op2_ (h24_ e14_) (h24_ e13_)) /\ ((h24_ (op1_ e14_ e14_)) = (op2_ (h24_ e14_) (h24_ e14_)) /\ ((h24_ (op1_ e14_ e15_)) = (op2_ (h24_ e14_) (h24_ e15_)) /\ ((h24_ (op1_ e15_ e10_)) = (op2_ (h24_ e15_) (h24_ e10_)) /\ ((h24_ (op1_ e15_ e11_)) = (op2_ (h24_ e15_) (h24_ e11_)) /\ ((h24_ (op1_ e15_ e12_)) = (op2_ (h24_ e15_) (h24_ e12_)) /\ ((h24_ (op1_ e15_ e13_)) = (op2_ (h24_ e15_) (h24_ e13_)) /\ ((h24_ (op1_ e15_ e14_)) = (op2_ (h24_ e15_) (h24_ e14_)) /\ ((h24_ (op1_ e15_ e15_)) = (op2_ (h24_ e15_) (h24_ e15_)) /\ (((h24_ e10_) = e20_ \/ ((h24_ e11_) = e20_ \/ ((h24_ e12_) = e20_ \/ ((h24_ e13_) = e20_ \/ ((h24_ e14_) = e20_ \/ (h24_ e15_) = e20_))))) /\ (((h24_ e10_) = e21_ \/ ((h24_ e11_) = e21_ \/ ((h24_ e12_) = e21_ \/ ((h24_ e13_) = e21_ \/ ((h24_ e14_) = e21_ \/ (h24_ e15_) = e21_))))) /\ (((h24_ e10_) = e22_ \/ ((h24_ e11_) = e22_ \/ ((h24_ e12_) = e22_ \/ ((h24_ e13_) = e22_ \/ ((h24_ e14_) = e22_ \/ (h24_ e15_) = e22_))))) /\ (((h24_ e10_) = e23_ \/ ((h24_ e11_) = e23_ \/ ((h24_ e12_) = e23_ \/ ((h24_ e13_) = e23_ \/ ((h24_ e14_) = e23_ \/ (h24_ e15_) = e23_))))) /\ (((h24_ e10_) = e24_ \/ ((h24_ e11_) = e24_ \/ ((h24_ e12_) = e24_ \/ ((h24_ e13_) = e24_ \/ ((h24_ e14_) = e24_ \/ (h24_ e15_) = e24_))))) /\ ((h24_ e10_) = e25_ \/ ((h24_ e11_) = e25_ \/ ((h24_ e12_) = e25_ \/ ((h24_ e13_) = e25_ \/ ((h24_ e14_) = e25_ \/ (h24_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ (((h25_ (op1_ e10_ e10_)) = (op2_ (h25_ e10_) (h25_ e10_)) /\ ((h25_ (op1_ e10_ e11_)) = (op2_ (h25_ e10_) (h25_ e11_)) /\ ((h25_ (op1_ e10_ e12_)) = (op2_ (h25_ e10_) (h25_ e12_)) /\ ((h25_ (op1_ e10_ e13_)) = (op2_ (h25_ e10_) (h25_ e13_)) /\ ((h25_ (op1_ e10_ e14_)) = (op2_ (h25_ e10_) (h25_ e14_)) /\ ((h25_ (op1_ e10_ e15_)) = (op2_ (h25_ e10_) (h25_ e15_)) /\ ((h25_ (op1_ e11_ e10_)) = (op2_ (h25_ e11_) (h25_ e10_)) /\ ((h25_ (op1_ e11_ e11_)) = (op2_ (h25_ e11_) (h25_ e11_)) /\ ((h25_ (op1_ e11_ e12_)) = (op2_ (h25_ e11_) (h25_ e12_)) /\ ((h25_ (op1_ e11_ e13_)) = (op2_ (h25_ e11_) (h25_ e13_)) /\ ((h25_ (op1_ e11_ e14_)) = (op2_ (h25_ e11_) (h25_ e14_)) /\ ((h25_ (op1_ e11_ e15_)) = (op2_ (h25_ e11_) (h25_ e15_)) /\ ((h25_ (op1_ e12_ e10_)) = (op2_ (h25_ e12_) (h25_ e10_)) /\ ((h25_ (op1_ e12_ e11_)) = (op2_ (h25_ e12_) (h25_ e11_)) /\ ((h25_ (op1_ e12_ e12_)) = (op2_ (h25_ e12_) (h25_ e12_)) /\ ((h25_ (op1_ e12_ e13_)) = (op2_ (h25_ e12_) (h25_ e13_)) /\ ((h25_ (op1_ e12_ e14_)) = (op2_ (h25_ e12_) (h25_ e14_)) /\ ((h25_ (op1_ e12_ e15_)) = (op2_ (h25_ e12_) (h25_ e15_)) /\ ((h25_ (op1_ e13_ e10_)) = (op2_ (h25_ e13_) (h25_ e10_)) /\ ((h25_ (op1_ e13_ e11_)) = (op2_ (h25_ e13_) (h25_ e11_)) /\ ((h25_ (op1_ e13_ e12_)) = (op2_ (h25_ e13_) (h25_ e12_)) /\ ((h25_ (op1_ e13_ e13_)) = (op2_ (h25_ e13_) (h25_ e13_)) /\ ((h25_ (op1_ e13_ e14_)) = (op2_ (h25_ e13_) (h25_ e14_)) /\ ((h25_ (op1_ e13_ e15_)) = (op2_ (h25_ e13_) (h25_ e15_)) /\ ((h25_ (op1_ e14_ e10_)) = (op2_ (h25_ e14_) (h25_ e10_)) /\ ((h25_ (op1_ e14_ e11_)) = (op2_ (h25_ e14_) (h25_ e11_)) /\ ((h25_ (op1_ e14_ e12_)) = (op2_ (h25_ e14_) (h25_ e12_)) /\ ((h25_ (op1_ e14_ e13_)) = (op2_ (h25_ e14_) (h25_ e13_)) /\ ((h25_ (op1_ e14_ e14_)) = (op2_ (h25_ e14_) (h25_ e14_)) /\ ((h25_ (op1_ e14_ e15_)) = (op2_ (h25_ e14_) (h25_ e15_)) /\ ((h25_ (op1_ e15_ e10_)) = (op2_ (h25_ e15_) (h25_ e10_)) /\ ((h25_ (op1_ e15_ e11_)) = (op2_ (h25_ e15_) (h25_ e11_)) /\ ((h25_ (op1_ e15_ e12_)) = (op2_ (h25_ e15_) (h25_ e12_)) /\ ((h25_ (op1_ e15_ e13_)) = (op2_ (h25_ e15_) (h25_ e13_)) /\ ((h25_ (op1_ e15_ e14_)) = (op2_ (h25_ e15_) (h25_ e14_)) /\ ((h25_ (op1_ e15_ e15_)) = (op2_ (h25_ e15_) (h25_ e15_)) /\ (((h25_ e10_) = e20_ \/ ((h25_ e11_) = e20_ \/ ((h25_ e12_) = e20_ \/ ((h25_ e13_) = e20_ \/ ((h25_ e14_) = e20_ \/ (h25_ e15_) = e20_))))) /\ (((h25_ e10_) = e21_ \/ ((h25_ e11_) = e21_ \/ ((h25_ e12_) = e21_ \/ ((h25_ e13_) = e21_ \/ ((h25_ e14_) = e21_ \/ (h25_ e15_) = e21_))))) /\ (((h25_ e10_) = e22_ \/ ((h25_ e11_) = e22_ \/ ((h25_ e12_) = e22_ \/ ((h25_ e13_) = e22_ \/ ((h25_ e14_) = e22_ \/ (h25_ e15_) = e22_))))) /\ (((h25_ e10_) = e23_ \/ ((h25_ e11_) = e23_ \/ ((h25_ e12_) = e23_ \/ ((h25_ e13_) = e23_ \/ ((h25_ e14_) = e23_ \/ (h25_ e15_) = e23_))))) /\ (((h25_ e10_) = e24_ \/ ((h25_ e11_) = e24_ \/ ((h25_ e12_) = e24_ \/ ((h25_ e13_) = e24_ \/ ((h25_ e14_) = e24_ \/ (h25_ e15_) = e24_))))) /\ ((h25_ e10_) = e25_ \/ ((h25_ e11_) = e25_ \/ ((h25_ e12_) = e25_ \/ ((h25_ e13_) = e25_ \/ ((h25_ e14_) = e25_ \/ (h25_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ (((h26_ (op1_ e10_ e10_)) = (op2_ (h26_ e10_) (h26_ e10_)) /\ ((h26_ (op1_ e10_ e11_)) = (op2_ (h26_ e10_) (h26_ e11_)) /\ ((h26_ (op1_ e10_ e12_)) = (op2_ (h26_ e10_) (h26_ e12_)) /\ ((h26_ (op1_ e10_ e13_)) = (op2_ (h26_ e10_) (h26_ e13_)) /\ ((h26_ (op1_ e10_ e14_)) = (op2_ (h26_ e10_) (h26_ e14_)) /\ ((h26_ (op1_ e10_ e15_)) = (op2_ (h26_ e10_) (h26_ e15_)) /\ ((h26_ (op1_ e11_ e10_)) = (op2_ (h26_ e11_) (h26_ e10_)) /\ ((h26_ (op1_ e11_ e11_)) = (op2_ (h26_ e11_) (h26_ e11_)) /\ ((h26_ (op1_ e11_ e12_)) = (op2_ (h26_ e11_) (h26_ e12_)) /\ ((h26_ (op1_ e11_ e13_)) = (op2_ (h26_ e11_) (h26_ e13_)) /\ ((h26_ (op1_ e11_ e14_)) = (op2_ (h26_ e11_) (h26_ e14_)) /\ ((h26_ (op1_ e11_ e15_)) = (op2_ (h26_ e11_) (h26_ e15_)) /\ ((h26_ (op1_ e12_ e10_)) = (op2_ (h26_ e12_) (h26_ e10_)) /\ ((h26_ (op1_ e12_ e11_)) = (op2_ (h26_ e12_) (h26_ e11_)) /\ ((h26_ (op1_ e12_ e12_)) = (op2_ (h26_ e12_) (h26_ e12_)) /\ ((h26_ (op1_ e12_ e13_)) = (op2_ (h26_ e12_) (h26_ e13_)) /\ ((h26_ (op1_ e12_ e14_)) = (op2_ (h26_ e12_) (h26_ e14_)) /\ ((h26_ (op1_ e12_ e15_)) = (op2_ (h26_ e12_) (h26_ e15_)) /\ ((h26_ (op1_ e13_ e10_)) = (op2_ (h26_ e13_) (h26_ e10_)) /\ ((h26_ (op1_ e13_ e11_)) = (op2_ (h26_ e13_) (h26_ e11_)) /\ ((h26_ (op1_ e13_ e12_)) = (op2_ (h26_ e13_) (h26_ e12_)) /\ ((h26_ (op1_ e13_ e13_)) = (op2_ (h26_ e13_) (h26_ e13_)) /\ ((h26_ (op1_ e13_ e14_)) = (op2_ (h26_ e13_) (h26_ e14_)) /\ ((h26_ (op1_ e13_ e15_)) = (op2_ (h26_ e13_) (h26_ e15_)) /\ ((h26_ (op1_ e14_ e10_)) = (op2_ (h26_ e14_) (h26_ e10_)) /\ ((h26_ (op1_ e14_ e11_)) = (op2_ (h26_ e14_) (h26_ e11_)) /\ ((h26_ (op1_ e14_ e12_)) = (op2_ (h26_ e14_) (h26_ e12_)) /\ ((h26_ (op1_ e14_ e13_)) = (op2_ (h26_ e14_) (h26_ e13_)) /\ ((h26_ (op1_ e14_ e14_)) = (op2_ (h26_ e14_) (h26_ e14_)) /\ ((h26_ (op1_ e14_ e15_)) = (op2_ (h26_ e14_) (h26_ e15_)) /\ ((h26_ (op1_ e15_ e10_)) = (op2_ (h26_ e15_) (h26_ e10_)) /\ ((h26_ (op1_ e15_ e11_)) = (op2_ (h26_ e15_) (h26_ e11_)) /\ ((h26_ (op1_ e15_ e12_)) = (op2_ (h26_ e15_) (h26_ e12_)) /\ ((h26_ (op1_ e15_ e13_)) = (op2_ (h26_ e15_) (h26_ e13_)) /\ ((h26_ (op1_ e15_ e14_)) = (op2_ (h26_ e15_) (h26_ e14_)) /\ ((h26_ (op1_ e15_ e15_)) = (op2_ (h26_ e15_) (h26_ e15_)) /\ (((h26_ e10_) = e20_ \/ ((h26_ e11_) = e20_ \/ ((h26_ e12_) = e20_ \/ ((h26_ e13_) = e20_ \/ ((h26_ e14_) = e20_ \/ (h26_ e15_) = e20_))))) /\ (((h26_ e10_) = e21_ \/ ((h26_ e11_) = e21_ \/ ((h26_ e12_) = e21_ \/ ((h26_ e13_) = e21_ \/ ((h26_ e14_) = e21_ \/ (h26_ e15_) = e21_))))) /\ (((h26_ e10_) = e22_ \/ ((h26_ e11_) = e22_ \/ ((h26_ e12_) = e22_ \/ ((h26_ e13_) = e22_ \/ ((h26_ e14_) = e22_ \/ (h26_ e15_) = e22_))))) /\ (((h26_ e10_) = e23_ \/ ((h26_ e11_) = e23_ \/ ((h26_ e12_) = e23_ \/ ((h26_ e13_) = e23_ \/ ((h26_ e14_) = e23_ \/ (h26_ e15_) = e23_))))) /\ (((h26_ e10_) = e24_ \/ ((h26_ e11_) = e24_ \/ ((h26_ e12_) = e24_ \/ ((h26_ e13_) = e24_ \/ ((h26_ e14_) = e24_ \/ (h26_ e15_) = e24_))))) /\ ((h26_ e10_) = e25_ \/ ((h26_ e11_) = e25_ \/ ((h26_ e12_) = e25_ \/ ((h26_ e13_) = e25_ \/ ((h26_ e14_) = e25_ \/ (h26_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ (((h27_ (op1_ e10_ e10_)) = (op2_ (h27_ e10_) (h27_ e10_)) /\ ((h27_ (op1_ e10_ e11_)) = (op2_ (h27_ e10_) (h27_ e11_)) /\ ((h27_ (op1_ e10_ e12_)) = (op2_ (h27_ e10_) (h27_ e12_)) /\ ((h27_ (op1_ e10_ e13_)) = (op2_ (h27_ e10_) (h27_ e13_)) /\ ((h27_ (op1_ e10_ e14_)) = (op2_ (h27_ e10_) (h27_ e14_)) /\ ((h27_ (op1_ e10_ e15_)) = (op2_ (h27_ e10_) (h27_ e15_)) /\ ((h27_ (op1_ e11_ e10_)) = (op2_ (h27_ e11_) (h27_ e10_)) /\ ((h27_ (op1_ e11_ e11_)) = (op2_ (h27_ e11_) (h27_ e11_)) /\ ((h27_ (op1_ e11_ e12_)) = (op2_ (h27_ e11_) (h27_ e12_)) /\ ((h27_ (op1_ e11_ e13_)) = (op2_ (h27_ e11_) (h27_ e13_)) /\ ((h27_ (op1_ e11_ e14_)) = (op2_ (h27_ e11_) (h27_ e14_)) /\ ((h27_ (op1_ e11_ e15_)) = (op2_ (h27_ e11_) (h27_ e15_)) /\ ((h27_ (op1_ e12_ e10_)) = (op2_ (h27_ e12_) (h27_ e10_)) /\ ((h27_ (op1_ e12_ e11_)) = (op2_ (h27_ e12_) (h27_ e11_)) /\ ((h27_ (op1_ e12_ e12_)) = (op2_ (h27_ e12_) (h27_ e12_)) /\ ((h27_ (op1_ e12_ e13_)) = (op2_ (h27_ e12_) (h27_ e13_)) /\ ((h27_ (op1_ e12_ e14_)) = (op2_ (h27_ e12_) (h27_ e14_)) /\ ((h27_ (op1_ e12_ e15_)) = (op2_ (h27_ e12_) (h27_ e15_)) /\ ((h27_ (op1_ e13_ e10_)) = (op2_ (h27_ e13_) (h27_ e10_)) /\ ((h27_ (op1_ e13_ e11_)) = (op2_ (h27_ e13_) (h27_ e11_)) /\ ((h27_ (op1_ e13_ e12_)) = (op2_ (h27_ e13_) (h27_ e12_)) /\ ((h27_ (op1_ e13_ e13_)) = (op2_ (h27_ e13_) (h27_ e13_)) /\ ((h27_ (op1_ e13_ e14_)) = (op2_ (h27_ e13_) (h27_ e14_)) /\ ((h27_ (op1_ e13_ e15_)) = (op2_ (h27_ e13_) (h27_ e15_)) /\ ((h27_ (op1_ e14_ e10_)) = (op2_ (h27_ e14_) (h27_ e10_)) /\ ((h27_ (op1_ e14_ e11_)) = (op2_ (h27_ e14_) (h27_ e11_)) /\ ((h27_ (op1_ e14_ e12_)) = (op2_ (h27_ e14_) (h27_ e12_)) /\ ((h27_ (op1_ e14_ e13_)) = (op2_ (h27_ e14_) (h27_ e13_)) /\ ((h27_ (op1_ e14_ e14_)) = (op2_ (h27_ e14_) (h27_ e14_)) /\ ((h27_ (op1_ e14_ e15_)) = (op2_ (h27_ e14_) (h27_ e15_)) /\ ((h27_ (op1_ e15_ e10_)) = (op2_ (h27_ e15_) (h27_ e10_)) /\ ((h27_ (op1_ e15_ e11_)) = (op2_ (h27_ e15_) (h27_ e11_)) /\ ((h27_ (op1_ e15_ e12_)) = (op2_ (h27_ e15_) (h27_ e12_)) /\ ((h27_ (op1_ e15_ e13_)) = (op2_ (h27_ e15_) (h27_ e13_)) /\ ((h27_ (op1_ e15_ e14_)) = (op2_ (h27_ e15_) (h27_ e14_)) /\ ((h27_ (op1_ e15_ e15_)) = (op2_ (h27_ e15_) (h27_ e15_)) /\ (((h27_ e10_) = e20_ \/ ((h27_ e11_) = e20_ \/ ((h27_ e12_) = e20_ \/ ((h27_ e13_) = e20_ \/ ((h27_ e14_) = e20_ \/ (h27_ e15_) = e20_))))) /\ (((h27_ e10_) = e21_ \/ ((h27_ e11_) = e21_ \/ ((h27_ e12_) = e21_ \/ ((h27_ e13_) = e21_ \/ ((h27_ e14_) = e21_ \/ (h27_ e15_) = e21_))))) /\ (((h27_ e10_) = e22_ \/ ((h27_ e11_) = e22_ \/ ((h27_ e12_) = e22_ \/ ((h27_ e13_) = e22_ \/ ((h27_ e14_) = e22_ \/ (h27_ e15_) = e22_))))) /\ (((h27_ e10_) = e23_ \/ ((h27_ e11_) = e23_ \/ ((h27_ e12_) = e23_ \/ ((h27_ e13_) = e23_ \/ ((h27_ e14_) = e23_ \/ (h27_ e15_) = e23_))))) /\ (((h27_ e10_) = e24_ \/ ((h27_ e11_) = e24_ \/ ((h27_ e12_) = e24_ \/ ((h27_ e13_) = e24_ \/ ((h27_ e14_) = e24_ \/ (h27_ e15_) = e24_))))) /\ ((h27_ e10_) = e25_ \/ ((h27_ e11_) = e25_ \/ ((h27_ e12_) = e25_ \/ ((h27_ e13_) = e25_ \/ ((h27_ e14_) = e25_ \/ (h27_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ (((h28_ (op1_ e10_ e10_)) = (op2_ (h28_ e10_) (h28_ e10_)) /\ ((h28_ (op1_ e10_ e11_)) = (op2_ (h28_ e10_) (h28_ e11_)) /\ ((h28_ (op1_ e10_ e12_)) = (op2_ (h28_ e10_) (h28_ e12_)) /\ ((h28_ (op1_ e10_ e13_)) = (op2_ (h28_ e10_) (h28_ e13_)) /\ ((h28_ (op1_ e10_ e14_)) = (op2_ (h28_ e10_) (h28_ e14_)) /\ ((h28_ (op1_ e10_ e15_)) = (op2_ (h28_ e10_) (h28_ e15_)) /\ ((h28_ (op1_ e11_ e10_)) = (op2_ (h28_ e11_) (h28_ e10_)) /\ ((h28_ (op1_ e11_ e11_)) = (op2_ (h28_ e11_) (h28_ e11_)) /\ ((h28_ (op1_ e11_ e12_)) = (op2_ (h28_ e11_) (h28_ e12_)) /\ ((h28_ (op1_ e11_ e13_)) = (op2_ (h28_ e11_) (h28_ e13_)) /\ ((h28_ (op1_ e11_ e14_)) = (op2_ (h28_ e11_) (h28_ e14_)) /\ ((h28_ (op1_ e11_ e15_)) = (op2_ (h28_ e11_) (h28_ e15_)) /\ ((h28_ (op1_ e12_ e10_)) = (op2_ (h28_ e12_) (h28_ e10_)) /\ ((h28_ (op1_ e12_ e11_)) = (op2_ (h28_ e12_) (h28_ e11_)) /\ ((h28_ (op1_ e12_ e12_)) = (op2_ (h28_ e12_) (h28_ e12_)) /\ ((h28_ (op1_ e12_ e13_)) = (op2_ (h28_ e12_) (h28_ e13_)) /\ ((h28_ (op1_ e12_ e14_)) = (op2_ (h28_ e12_) (h28_ e14_)) /\ ((h28_ (op1_ e12_ e15_)) = (op2_ (h28_ e12_) (h28_ e15_)) /\ ((h28_ (op1_ e13_ e10_)) = (op2_ (h28_ e13_) (h28_ e10_)) /\ ((h28_ (op1_ e13_ e11_)) = (op2_ (h28_ e13_) (h28_ e11_)) /\ ((h28_ (op1_ e13_ e12_)) = (op2_ (h28_ e13_) (h28_ e12_)) /\ ((h28_ (op1_ e13_ e13_)) = (op2_ (h28_ e13_) (h28_ e13_)) /\ ((h28_ (op1_ e13_ e14_)) = (op2_ (h28_ e13_) (h28_ e14_)) /\ ((h28_ (op1_ e13_ e15_)) = (op2_ (h28_ e13_) (h28_ e15_)) /\ ((h28_ (op1_ e14_ e10_)) = (op2_ (h28_ e14_) (h28_ e10_)) /\ ((h28_ (op1_ e14_ e11_)) = (op2_ (h28_ e14_) (h28_ e11_)) /\ ((h28_ (op1_ e14_ e12_)) = (op2_ (h28_ e14_) (h28_ e12_)) /\ ((h28_ (op1_ e14_ e13_)) = (op2_ (h28_ e14_) (h28_ e13_)) /\ ((h28_ (op1_ e14_ e14_)) = (op2_ (h28_ e14_) (h28_ e14_)) /\ ((h28_ (op1_ e14_ e15_)) = (op2_ (h28_ e14_) (h28_ e15_)) /\ ((h28_ (op1_ e15_ e10_)) = (op2_ (h28_ e15_) (h28_ e10_)) /\ ((h28_ (op1_ e15_ e11_)) = (op2_ (h28_ e15_) (h28_ e11_)) /\ ((h28_ (op1_ e15_ e12_)) = (op2_ (h28_ e15_) (h28_ e12_)) /\ ((h28_ (op1_ e15_ e13_)) = (op2_ (h28_ e15_) (h28_ e13_)) /\ ((h28_ (op1_ e15_ e14_)) = (op2_ (h28_ e15_) (h28_ e14_)) /\ ((h28_ (op1_ e15_ e15_)) = (op2_ (h28_ e15_) (h28_ e15_)) /\ (((h28_ e10_) = e20_ \/ ((h28_ e11_) = e20_ \/ ((h28_ e12_) = e20_ \/ ((h28_ e13_) = e20_ \/ ((h28_ e14_) = e20_ \/ (h28_ e15_) = e20_))))) /\ (((h28_ e10_) = e21_ \/ ((h28_ e11_) = e21_ \/ ((h28_ e12_) = e21_ \/ ((h28_ e13_) = e21_ \/ ((h28_ e14_) = e21_ \/ (h28_ e15_) = e21_))))) /\ (((h28_ e10_) = e22_ \/ ((h28_ e11_) = e22_ \/ ((h28_ e12_) = e22_ \/ ((h28_ e13_) = e22_ \/ ((h28_ e14_) = e22_ \/ (h28_ e15_) = e22_))))) /\ (((h28_ e10_) = e23_ \/ ((h28_ e11_) = e23_ \/ ((h28_ e12_) = e23_ \/ ((h28_ e13_) = e23_ \/ ((h28_ e14_) = e23_ \/ (h28_ e15_) = e23_))))) /\ (((h28_ e10_) = e24_ \/ ((h28_ e11_) = e24_ \/ ((h28_ e12_) = e24_ \/ ((h28_ e13_) = e24_ \/ ((h28_ e14_) = e24_ \/ (h28_ e15_) = e24_))))) /\ ((h28_ e10_) = e25_ \/ ((h28_ e11_) = e25_ \/ ((h28_ e12_) = e25_ \/ ((h28_ e13_) = e25_ \/ ((h28_ e14_) = e25_ \/ (h28_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ (((h29_ (op1_ e10_ e10_)) = (op2_ (h29_ e10_) (h29_ e10_)) /\ ((h29_ (op1_ e10_ e11_)) = (op2_ (h29_ e10_) (h29_ e11_)) /\ ((h29_ (op1_ e10_ e12_)) = (op2_ (h29_ e10_) (h29_ e12_)) /\ ((h29_ (op1_ e10_ e13_)) = (op2_ (h29_ e10_) (h29_ e13_)) /\ ((h29_ (op1_ e10_ e14_)) = (op2_ (h29_ e10_) (h29_ e14_)) /\ ((h29_ (op1_ e10_ e15_)) = (op2_ (h29_ e10_) (h29_ e15_)) /\ ((h29_ (op1_ e11_ e10_)) = (op2_ (h29_ e11_) (h29_ e10_)) /\ ((h29_ (op1_ e11_ e11_)) = (op2_ (h29_ e11_) (h29_ e11_)) /\ ((h29_ (op1_ e11_ e12_)) = (op2_ (h29_ e11_) (h29_ e12_)) /\ ((h29_ (op1_ e11_ e13_)) = (op2_ (h29_ e11_) (h29_ e13_)) /\ ((h29_ (op1_ e11_ e14_)) = (op2_ (h29_ e11_) (h29_ e14_)) /\ ((h29_ (op1_ e11_ e15_)) = (op2_ (h29_ e11_) (h29_ e15_)) /\ ((h29_ (op1_ e12_ e10_)) = (op2_ (h29_ e12_) (h29_ e10_)) /\ ((h29_ (op1_ e12_ e11_)) = (op2_ (h29_ e12_) (h29_ e11_)) /\ ((h29_ (op1_ e12_ e12_)) = (op2_ (h29_ e12_) (h29_ e12_)) /\ ((h29_ (op1_ e12_ e13_)) = (op2_ (h29_ e12_) (h29_ e13_)) /\ ((h29_ (op1_ e12_ e14_)) = (op2_ (h29_ e12_) (h29_ e14_)) /\ ((h29_ (op1_ e12_ e15_)) = (op2_ (h29_ e12_) (h29_ e15_)) /\ ((h29_ (op1_ e13_ e10_)) = (op2_ (h29_ e13_) (h29_ e10_)) /\ ((h29_ (op1_ e13_ e11_)) = (op2_ (h29_ e13_) (h29_ e11_)) /\ ((h29_ (op1_ e13_ e12_)) = (op2_ (h29_ e13_) (h29_ e12_)) /\ ((h29_ (op1_ e13_ e13_)) = (op2_ (h29_ e13_) (h29_ e13_)) /\ ((h29_ (op1_ e13_ e14_)) = (op2_ (h29_ e13_) (h29_ e14_)) /\ ((h29_ (op1_ e13_ e15_)) = (op2_ (h29_ e13_) (h29_ e15_)) /\ ((h29_ (op1_ e14_ e10_)) = (op2_ (h29_ e14_) (h29_ e10_)) /\ ((h29_ (op1_ e14_ e11_)) = (op2_ (h29_ e14_) (h29_ e11_)) /\ ((h29_ (op1_ e14_ e12_)) = (op2_ (h29_ e14_) (h29_ e12_)) /\ ((h29_ (op1_ e14_ e13_)) = (op2_ (h29_ e14_) (h29_ e13_)) /\ ((h29_ (op1_ e14_ e14_)) = (op2_ (h29_ e14_) (h29_ e14_)) /\ ((h29_ (op1_ e14_ e15_)) = (op2_ (h29_ e14_) (h29_ e15_)) /\ ((h29_ (op1_ e15_ e10_)) = (op2_ (h29_ e15_) (h29_ e10_)) /\ ((h29_ (op1_ e15_ e11_)) = (op2_ (h29_ e15_) (h29_ e11_)) /\ ((h29_ (op1_ e15_ e12_)) = (op2_ (h29_ e15_) (h29_ e12_)) /\ ((h29_ (op1_ e15_ e13_)) = (op2_ (h29_ e15_) (h29_ e13_)) /\ ((h29_ (op1_ e15_ e14_)) = (op2_ (h29_ e15_) (h29_ e14_)) /\ ((h29_ (op1_ e15_ e15_)) = (op2_ (h29_ e15_) (h29_ e15_)) /\ (((h29_ e10_) = e20_ \/ ((h29_ e11_) = e20_ \/ ((h29_ e12_) = e20_ \/ ((h29_ e13_) = e20_ \/ ((h29_ e14_) = e20_ \/ (h29_ e15_) = e20_))))) /\ (((h29_ e10_) = e21_ \/ ((h29_ e11_) = e21_ \/ ((h29_ e12_) = e21_ \/ ((h29_ e13_) = e21_ \/ ((h29_ e14_) = e21_ \/ (h29_ e15_) = e21_))))) /\ (((h29_ e10_) = e22_ \/ ((h29_ e11_) = e22_ \/ ((h29_ e12_) = e22_ \/ ((h29_ e13_) = e22_ \/ ((h29_ e14_) = e22_ \/ (h29_ e15_) = e22_))))) /\ (((h29_ e10_) = e23_ \/ ((h29_ e11_) = e23_ \/ ((h29_ e12_) = e23_ \/ ((h29_ e13_) = e23_ \/ ((h29_ e14_) = e23_ \/ (h29_ e15_) = e23_))))) /\ (((h29_ e10_) = e24_ \/ ((h29_ e11_) = e24_ \/ ((h29_ e12_) = e24_ \/ ((h29_ e13_) = e24_ \/ ((h29_ e14_) = e24_ \/ (h29_ e15_) = e24_))))) /\ ((h29_ e10_) = e25_ \/ ((h29_ e11_) = e25_ \/ ((h29_ e12_) = e25_ \/ ((h29_ e13_) = e25_ \/ ((h29_ e14_) = e25_ \/ (h29_ e15_) = e25_)))))))))))))))))))))))))))))))))))))))))))))) \/ ((h30_ (op1_ e10_ e10_)) = (op2_ (h30_ e10_) (h30_ e10_)) /\ ((h30_ (op1_ e10_ e11_)) = (op2_ (h30_ e10_) (h30_ e11_)) /\ ((h30_ (op1_ e10_ e12_)) = (op2_ (h30_ e10_) (h30_ e12_)) /\ ((h30_ (op1_ e10_ e13_)) = (op2_ (h30_ e10_) (h30_ e13_)) /\ ((h30_ (op1_ e10_ e14_)) = (op2_ (h30_ e10_) (h30_ e14_)) /\ ((h30_ (op1_ e10_ e15_)) = (op2_ (h30_ e10_) (h30_ e15_)) /\ ((h30_ (op1_ e11_ e10_)) = (op2_ (h30_ e11_) (h30_ e10_)) /\ ((h30_ (op1_ e11_ e11_)) = (op2_ (h30_ e11_) (h30_ e11_)) /\ ((h30_ (op1_ e11_ e12_)) = (op2_ (h30_ e11_) (h30_ e12_)) /\ ((h30_ (op1_ e11_ e13_)) = (op2_ (h30_ e11_) (h30_ e13_)) /\ ((h30_ (op1_ e11_ e14_)) = (op2_ (h30_ e11_) (h30_ e14_)) /\ ((h30_ (op1_ e11_ e15_)) = (op2_ (h30_ e11_) (h30_ e15_)) /\ ((h30_ (op1_ e12_ e10_)) = (op2_ (h30_ e12_) (h30_ e10_)) /\ ((h30_ (op1_ e12_ e11_)) = (op2_ (h30_ e12_) (h30_ e11_)) /\ ((h30_ (op1_ e12_ e12_)) = (op2_ (h30_ e12_) (h30_ e12_)) /\ ((h30_ (op1_ e12_ e13_)) = (op2_ (h30_ e12_) (h30_ e13_)) /\ ((h30_ (op1_ e12_ e14_)) = (op2_ (h30_ e12_) (h30_ e14_)) /\ ((h30_ (op1_ e12_ e15_)) = (op2_ (h30_ e12_) (h30_ e15_)) /\ ((h30_ (op1_ e13_ e10_)) = (op2_ (h30_ e13_) (h30_ e10_)) /\ ((h30_ (op1_ e13_ e11_)) = (op2_ (h30_ e13_) (h30_ e11_)) /\ ((h30_ (op1_ e13_ e12_)) = (op2_ (h30_ e13_) (h30_ e12_)) /\ ((h30_ (op1_ e13_ e13_)) = (op2_ (h30_ e13_) (h30_ e13_)) /\ ((h30_ (op1_ e13_ e14_)) = (op2_ (h30_ e13_) (h30_ e14_)) /\ ((h30_ (op1_ e13_ e15_)) = (op2_ (h30_ e13_) (h30_ e15_)) /\ ((h30_ (op1_ e14_ e10_)) = (op2_ (h30_ e14_) (h30_ e10_)) /\ ((h30_ (op1_ e14_ e11_)) = (op2_ (h30_ e14_) (h30_ e11_)) /\ ((h30_ (op1_ e14_ e12_)) = (op2_ (h30_ e14_) (h30_ e12_)) /\ ((h30_ (op1_ e14_ e13_)) = (op2_ (h30_ e14_) (h30_ e13_)) /\ ((h30_ (op1_ e14_ e14_)) = (op2_ (h30_ e14_) (h30_ e14_)) /\ ((h30_ (op1_ e14_ e15_)) = (op2_ (h30_ e14_) (h30_ e15_)) /\ ((h30_ (op1_ e15_ e10_)) = (op2_ (h30_ e15_) (h30_ e10_)) /\ ((h30_ (op1_ e15_ e11_)) = (op2_ (h30_ e15_) (h30_ e11_)) /\ ((h30_ (op1_ e15_ e12_)) = (op2_ (h30_ e15_) (h30_ e12_)) /\ ((h30_ (op1_ e15_ e13_)) = (op2_ (h30_ e15_) (h30_ e13_)) /\ ((h30_ (op1_ e15_ e14_)) = (op2_ (h30_ e15_) (h30_ e14_)) /\ ((h30_ (op1_ e15_ e15_)) = (op2_ (h30_ e15_) (h30_ e15_)) /\ (((h30_ e10_) = e20_ \/ ((h30_ e11_) = e20_ \/ ((h30_ e12_) = e20_ \/ ((h30_ e13_) = e20_ \/ ((h30_ e14_) = e20_ \/ (h30_ e15_) = e20_))))) /\ (((h30_ e10_) = e21_ \/ ((h30_ e11_) = e21_ \/ ((h30_ e12_) = e21_ \/ ((h30_ e13_) = e21_ \/ ((h30_ e14_) = e21_ \/ (h30_ e15_) = e21_))))) /\ (((h30_ e10_) = e22_ \/ ((h30_ e11_) = e22_ \/ ((h30_ e12_) = e22_ \/ ((h30_ e13_) = e22_ \/ ((h30_ e14_) = e22_ \/ (h30_ e15_) = e22_))))) /\ (((h30_ e10_) = e23_ \/ ((h30_ e11_) = e23_ \/ ((h30_ e12_) = e23_ \/ ((h30_ e13_) = e23_ \/ ((h30_ e14_) = e23_ \/ (h30_ e15_) = e23_))))) /\ (((h30_ e10_) = e24_ \/ ((h30_ e11_) = e24_ \/ ((h30_ e12_) = e24_ \/ ((h30_ e13_) = e24_ \/ ((h30_ e14_) = e24_ \/ (h30_ e15_) = e24_))))) /\ ((h30_ e10_) = e25_ \/ ((h30_ e11_) = e25_ \/ ((h30_ e12_) = e25_ \/ ((h30_ e13_) = e25_ \/ ((h30_ e14_) = e25_ \/ (h30_ e15_) = e25_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
