(*
% File     : ALG035+1 : ILTP v1.1.2
% Domain   : General Algebra
% Problem  : Groups 6: VERIFY-GEN-SYSES-PROBLEM-2
% Version  : Especial.
% English  : 
% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 
% Status   : Unsatisfiable
% Rating   : 0.67 v3.1.0, 0.83 v2.7.0
% Status (intuit.) : Open (Problem negated)
% Rating (intuit.) : 1.00 v1.1.0
% Syntax   : Number of formulae    :  731 (   1 unit)
%            Number of atoms       : 3703 (3703 equality)
%            Maximal formula depth :  216 (   6 average)
%            Number of connectives : 3903 ( 931 ~  ; 215  |;2721  &)
%                                         (   0 <=>;  36 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    9 (   7 constant; 0-2 arity)
%            Number of variables   :    0 (   0 singleton;   0 !;   0 ?)
%            Maximal term depth    :    5 (   2 average)
% Comments : 
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable EqTransitivity : forall x y z : Universe, x = y -> y = z -> x = z.
Variable EqSymmetry : forall x y : Universe, x = y -> y = x.
Variable EqReflexivity : forall x : Universe, x = x.

Variable unit_ : Universe.
Variable op_ : Universe -> Universe -> Universe.
Variable EqCongruence_op : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> op_ x1 x2 = op_ y1 y2 .
Variable inv_ : Universe -> Universe.
Variable EqCongruence_inv : forall x1 y1 : Universe, x1 = y1 -> inv_ x1 = inv_ y1 .
Variable e5_ : Universe.
Variable e4_ : Universe.
Variable e3_ : Universe.
Variable e2_ : Universe.
Variable e1_ : Universe.
Variable e0_ : Universe.

Variable ax1_1 : (((op_ e0_ e0_) = e0_ \/ ((op_ e0_ e0_) = e1_ \/ ((op_ e0_ e0_) = e2_ \/ ((op_ e0_ e0_) = e3_ \/ ((op_ e0_ e0_) = e4_ \/ (op_ e0_ e0_) = e5_))))) /\ (((op_ e0_ e1_) = e0_ \/ ((op_ e0_ e1_) = e1_ \/ ((op_ e0_ e1_) = e2_ \/ ((op_ e0_ e1_) = e3_ \/ ((op_ e0_ e1_) = e4_ \/ (op_ e0_ e1_) = e5_))))) /\ (((op_ e0_ e2_) = e0_ \/ ((op_ e0_ e2_) = e1_ \/ ((op_ e0_ e2_) = e2_ \/ ((op_ e0_ e2_) = e3_ \/ ((op_ e0_ e2_) = e4_ \/ (op_ e0_ e2_) = e5_))))) /\ (((op_ e0_ e3_) = e0_ \/ ((op_ e0_ e3_) = e1_ \/ ((op_ e0_ e3_) = e2_ \/ ((op_ e0_ e3_) = e3_ \/ ((op_ e0_ e3_) = e4_ \/ (op_ e0_ e3_) = e5_))))) /\ (((op_ e0_ e4_) = e0_ \/ ((op_ e0_ e4_) = e1_ \/ ((op_ e0_ e4_) = e2_ \/ ((op_ e0_ e4_) = e3_ \/ ((op_ e0_ e4_) = e4_ \/ (op_ e0_ e4_) = e5_))))) /\ (((op_ e0_ e5_) = e0_ \/ ((op_ e0_ e5_) = e1_ \/ ((op_ e0_ e5_) = e2_ \/ ((op_ e0_ e5_) = e3_ \/ ((op_ e0_ e5_) = e4_ \/ (op_ e0_ e5_) = e5_))))) /\ (((op_ e1_ e0_) = e0_ \/ ((op_ e1_ e0_) = e1_ \/ ((op_ e1_ e0_) = e2_ \/ ((op_ e1_ e0_) = e3_ \/ ((op_ e1_ e0_) = e4_ \/ (op_ e1_ e0_) = e5_))))) /\ (((op_ e1_ e1_) = e0_ \/ ((op_ e1_ e1_) = e1_ \/ ((op_ e1_ e1_) = e2_ \/ ((op_ e1_ e1_) = e3_ \/ ((op_ e1_ e1_) = e4_ \/ (op_ e1_ e1_) = e5_))))) /\ (((op_ e1_ e2_) = e0_ \/ ((op_ e1_ e2_) = e1_ \/ ((op_ e1_ e2_) = e2_ \/ ((op_ e1_ e2_) = e3_ \/ ((op_ e1_ e2_) = e4_ \/ (op_ e1_ e2_) = e5_))))) /\ (((op_ e1_ e3_) = e0_ \/ ((op_ e1_ e3_) = e1_ \/ ((op_ e1_ e3_) = e2_ \/ ((op_ e1_ e3_) = e3_ \/ ((op_ e1_ e3_) = e4_ \/ (op_ e1_ e3_) = e5_))))) /\ (((op_ e1_ e4_) = e0_ \/ ((op_ e1_ e4_) = e1_ \/ ((op_ e1_ e4_) = e2_ \/ ((op_ e1_ e4_) = e3_ \/ ((op_ e1_ e4_) = e4_ \/ (op_ e1_ e4_) = e5_))))) /\ (((op_ e1_ e5_) = e0_ \/ ((op_ e1_ e5_) = e1_ \/ ((op_ e1_ e5_) = e2_ \/ ((op_ e1_ e5_) = e3_ \/ ((op_ e1_ e5_) = e4_ \/ (op_ e1_ e5_) = e5_))))) /\ (((op_ e2_ e0_) = e0_ \/ ((op_ e2_ e0_) = e1_ \/ ((op_ e2_ e0_) = e2_ \/ ((op_ e2_ e0_) = e3_ \/ ((op_ e2_ e0_) = e4_ \/ (op_ e2_ e0_) = e5_))))) /\ (((op_ e2_ e1_) = e0_ \/ ((op_ e2_ e1_) = e1_ \/ ((op_ e2_ e1_) = e2_ \/ ((op_ e2_ e1_) = e3_ \/ ((op_ e2_ e1_) = e4_ \/ (op_ e2_ e1_) = e5_))))) /\ (((op_ e2_ e2_) = e0_ \/ ((op_ e2_ e2_) = e1_ \/ ((op_ e2_ e2_) = e2_ \/ ((op_ e2_ e2_) = e3_ \/ ((op_ e2_ e2_) = e4_ \/ (op_ e2_ e2_) = e5_))))) /\ (((op_ e2_ e3_) = e0_ \/ ((op_ e2_ e3_) = e1_ \/ ((op_ e2_ e3_) = e2_ \/ ((op_ e2_ e3_) = e3_ \/ ((op_ e2_ e3_) = e4_ \/ (op_ e2_ e3_) = e5_))))) /\ (((op_ e2_ e4_) = e0_ \/ ((op_ e2_ e4_) = e1_ \/ ((op_ e2_ e4_) = e2_ \/ ((op_ e2_ e4_) = e3_ \/ ((op_ e2_ e4_) = e4_ \/ (op_ e2_ e4_) = e5_))))) /\ (((op_ e2_ e5_) = e0_ \/ ((op_ e2_ e5_) = e1_ \/ ((op_ e2_ e5_) = e2_ \/ ((op_ e2_ e5_) = e3_ \/ ((op_ e2_ e5_) = e4_ \/ (op_ e2_ e5_) = e5_))))) /\ (((op_ e3_ e0_) = e0_ \/ ((op_ e3_ e0_) = e1_ \/ ((op_ e3_ e0_) = e2_ \/ ((op_ e3_ e0_) = e3_ \/ ((op_ e3_ e0_) = e4_ \/ (op_ e3_ e0_) = e5_))))) /\ (((op_ e3_ e1_) = e0_ \/ ((op_ e3_ e1_) = e1_ \/ ((op_ e3_ e1_) = e2_ \/ ((op_ e3_ e1_) = e3_ \/ ((op_ e3_ e1_) = e4_ \/ (op_ e3_ e1_) = e5_))))) /\ (((op_ e3_ e2_) = e0_ \/ ((op_ e3_ e2_) = e1_ \/ ((op_ e3_ e2_) = e2_ \/ ((op_ e3_ e2_) = e3_ \/ ((op_ e3_ e2_) = e4_ \/ (op_ e3_ e2_) = e5_))))) /\ (((op_ e3_ e3_) = e0_ \/ ((op_ e3_ e3_) = e1_ \/ ((op_ e3_ e3_) = e2_ \/ ((op_ e3_ e3_) = e3_ \/ ((op_ e3_ e3_) = e4_ \/ (op_ e3_ e3_) = e5_))))) /\ (((op_ e3_ e4_) = e0_ \/ ((op_ e3_ e4_) = e1_ \/ ((op_ e3_ e4_) = e2_ \/ ((op_ e3_ e4_) = e3_ \/ ((op_ e3_ e4_) = e4_ \/ (op_ e3_ e4_) = e5_))))) /\ (((op_ e3_ e5_) = e0_ \/ ((op_ e3_ e5_) = e1_ \/ ((op_ e3_ e5_) = e2_ \/ ((op_ e3_ e5_) = e3_ \/ ((op_ e3_ e5_) = e4_ \/ (op_ e3_ e5_) = e5_))))) /\ (((op_ e4_ e0_) = e0_ \/ ((op_ e4_ e0_) = e1_ \/ ((op_ e4_ e0_) = e2_ \/ ((op_ e4_ e0_) = e3_ \/ ((op_ e4_ e0_) = e4_ \/ (op_ e4_ e0_) = e5_))))) /\ (((op_ e4_ e1_) = e0_ \/ ((op_ e4_ e1_) = e1_ \/ ((op_ e4_ e1_) = e2_ \/ ((op_ e4_ e1_) = e3_ \/ ((op_ e4_ e1_) = e4_ \/ (op_ e4_ e1_) = e5_))))) /\ (((op_ e4_ e2_) = e0_ \/ ((op_ e4_ e2_) = e1_ \/ ((op_ e4_ e2_) = e2_ \/ ((op_ e4_ e2_) = e3_ \/ ((op_ e4_ e2_) = e4_ \/ (op_ e4_ e2_) = e5_))))) /\ (((op_ e4_ e3_) = e0_ \/ ((op_ e4_ e3_) = e1_ \/ ((op_ e4_ e3_) = e2_ \/ ((op_ e4_ e3_) = e3_ \/ ((op_ e4_ e3_) = e4_ \/ (op_ e4_ e3_) = e5_))))) /\ (((op_ e4_ e4_) = e0_ \/ ((op_ e4_ e4_) = e1_ \/ ((op_ e4_ e4_) = e2_ \/ ((op_ e4_ e4_) = e3_ \/ ((op_ e4_ e4_) = e4_ \/ (op_ e4_ e4_) = e5_))))) /\ (((op_ e4_ e5_) = e0_ \/ ((op_ e4_ e5_) = e1_ \/ ((op_ e4_ e5_) = e2_ \/ ((op_ e4_ e5_) = e3_ \/ ((op_ e4_ e5_) = e4_ \/ (op_ e4_ e5_) = e5_))))) /\ (((op_ e5_ e0_) = e0_ \/ ((op_ e5_ e0_) = e1_ \/ ((op_ e5_ e0_) = e2_ \/ ((op_ e5_ e0_) = e3_ \/ ((op_ e5_ e0_) = e4_ \/ (op_ e5_ e0_) = e5_))))) /\ (((op_ e5_ e1_) = e0_ \/ ((op_ e5_ e1_) = e1_ \/ ((op_ e5_ e1_) = e2_ \/ ((op_ e5_ e1_) = e3_ \/ ((op_ e5_ e1_) = e4_ \/ (op_ e5_ e1_) = e5_))))) /\ (((op_ e5_ e2_) = e0_ \/ ((op_ e5_ e2_) = e1_ \/ ((op_ e5_ e2_) = e2_ \/ ((op_ e5_ e2_) = e3_ \/ ((op_ e5_ e2_) = e4_ \/ (op_ e5_ e2_) = e5_))))) /\ (((op_ e5_ e3_) = e0_ \/ ((op_ e5_ e3_) = e1_ \/ ((op_ e5_ e3_) = e2_ \/ ((op_ e5_ e3_) = e3_ \/ ((op_ e5_ e3_) = e4_ \/ (op_ e5_ e3_) = e5_))))) /\ (((op_ e5_ e4_) = e0_ \/ ((op_ e5_ e4_) = e1_ \/ ((op_ e5_ e4_) = e2_ \/ ((op_ e5_ e4_) = e3_ \/ ((op_ e5_ e4_) = e4_ \/ (op_ e5_ e4_) = e5_))))) /\ ((op_ e5_ e5_) = e0_ \/ ((op_ e5_ e5_) = e1_ \/ ((op_ e5_ e5_) = e2_ \/ ((op_ e5_ e5_) = e3_ \/ ((op_ e5_ e5_) = e4_ \/ (op_ e5_ e5_) = e5_)))))))))))))))))))))))))))))))))))))))).
Variable ax2_2 : ((op_ (op_ e0_ e0_) e0_) = (op_ e0_ (op_ e0_ e0_)) /\ ((op_ (op_ e0_ e0_) e1_) = (op_ e0_ (op_ e0_ e1_)) /\ ((op_ (op_ e0_ e0_) e2_) = (op_ e0_ (op_ e0_ e2_)) /\ ((op_ (op_ e0_ e0_) e3_) = (op_ e0_ (op_ e0_ e3_)) /\ ((op_ (op_ e0_ e0_) e4_) = (op_ e0_ (op_ e0_ e4_)) /\ ((op_ (op_ e0_ e0_) e5_) = (op_ e0_ (op_ e0_ e5_)) /\ ((op_ (op_ e0_ e1_) e0_) = (op_ e0_ (op_ e1_ e0_)) /\ ((op_ (op_ e0_ e1_) e1_) = (op_ e0_ (op_ e1_ e1_)) /\ ((op_ (op_ e0_ e1_) e2_) = (op_ e0_ (op_ e1_ e2_)) /\ ((op_ (op_ e0_ e1_) e3_) = (op_ e0_ (op_ e1_ e3_)) /\ ((op_ (op_ e0_ e1_) e4_) = (op_ e0_ (op_ e1_ e4_)) /\ ((op_ (op_ e0_ e1_) e5_) = (op_ e0_ (op_ e1_ e5_)) /\ ((op_ (op_ e0_ e2_) e0_) = (op_ e0_ (op_ e2_ e0_)) /\ ((op_ (op_ e0_ e2_) e1_) = (op_ e0_ (op_ e2_ e1_)) /\ ((op_ (op_ e0_ e2_) e2_) = (op_ e0_ (op_ e2_ e2_)) /\ ((op_ (op_ e0_ e2_) e3_) = (op_ e0_ (op_ e2_ e3_)) /\ ((op_ (op_ e0_ e2_) e4_) = (op_ e0_ (op_ e2_ e4_)) /\ ((op_ (op_ e0_ e2_) e5_) = (op_ e0_ (op_ e2_ e5_)) /\ ((op_ (op_ e0_ e3_) e0_) = (op_ e0_ (op_ e3_ e0_)) /\ ((op_ (op_ e0_ e3_) e1_) = (op_ e0_ (op_ e3_ e1_)) /\ ((op_ (op_ e0_ e3_) e2_) = (op_ e0_ (op_ e3_ e2_)) /\ ((op_ (op_ e0_ e3_) e3_) = (op_ e0_ (op_ e3_ e3_)) /\ ((op_ (op_ e0_ e3_) e4_) = (op_ e0_ (op_ e3_ e4_)) /\ ((op_ (op_ e0_ e3_) e5_) = (op_ e0_ (op_ e3_ e5_)) /\ ((op_ (op_ e0_ e4_) e0_) = (op_ e0_ (op_ e4_ e0_)) /\ ((op_ (op_ e0_ e4_) e1_) = (op_ e0_ (op_ e4_ e1_)) /\ ((op_ (op_ e0_ e4_) e2_) = (op_ e0_ (op_ e4_ e2_)) /\ ((op_ (op_ e0_ e4_) e3_) = (op_ e0_ (op_ e4_ e3_)) /\ ((op_ (op_ e0_ e4_) e4_) = (op_ e0_ (op_ e4_ e4_)) /\ ((op_ (op_ e0_ e4_) e5_) = (op_ e0_ (op_ e4_ e5_)) /\ ((op_ (op_ e0_ e5_) e0_) = (op_ e0_ (op_ e5_ e0_)) /\ ((op_ (op_ e0_ e5_) e1_) = (op_ e0_ (op_ e5_ e1_)) /\ ((op_ (op_ e0_ e5_) e2_) = (op_ e0_ (op_ e5_ e2_)) /\ ((op_ (op_ e0_ e5_) e3_) = (op_ e0_ (op_ e5_ e3_)) /\ ((op_ (op_ e0_ e5_) e4_) = (op_ e0_ (op_ e5_ e4_)) /\ ((op_ (op_ e0_ e5_) e5_) = (op_ e0_ (op_ e5_ e5_)) /\ ((op_ (op_ e1_ e0_) e0_) = (op_ e1_ (op_ e0_ e0_)) /\ ((op_ (op_ e1_ e0_) e1_) = (op_ e1_ (op_ e0_ e1_)) /\ ((op_ (op_ e1_ e0_) e2_) = (op_ e1_ (op_ e0_ e2_)) /\ ((op_ (op_ e1_ e0_) e3_) = (op_ e1_ (op_ e0_ e3_)) /\ ((op_ (op_ e1_ e0_) e4_) = (op_ e1_ (op_ e0_ e4_)) /\ ((op_ (op_ e1_ e0_) e5_) = (op_ e1_ (op_ e0_ e5_)) /\ ((op_ (op_ e1_ e1_) e0_) = (op_ e1_ (op_ e1_ e0_)) /\ ((op_ (op_ e1_ e1_) e1_) = (op_ e1_ (op_ e1_ e1_)) /\ ((op_ (op_ e1_ e1_) e2_) = (op_ e1_ (op_ e1_ e2_)) /\ ((op_ (op_ e1_ e1_) e3_) = (op_ e1_ (op_ e1_ e3_)) /\ ((op_ (op_ e1_ e1_) e4_) = (op_ e1_ (op_ e1_ e4_)) /\ ((op_ (op_ e1_ e1_) e5_) = (op_ e1_ (op_ e1_ e5_)) /\ ((op_ (op_ e1_ e2_) e0_) = (op_ e1_ (op_ e2_ e0_)) /\ ((op_ (op_ e1_ e2_) e1_) = (op_ e1_ (op_ e2_ e1_)) /\ ((op_ (op_ e1_ e2_) e2_) = (op_ e1_ (op_ e2_ e2_)) /\ ((op_ (op_ e1_ e2_) e3_) = (op_ e1_ (op_ e2_ e3_)) /\ ((op_ (op_ e1_ e2_) e4_) = (op_ e1_ (op_ e2_ e4_)) /\ ((op_ (op_ e1_ e2_) e5_) = (op_ e1_ (op_ e2_ e5_)) /\ ((op_ (op_ e1_ e3_) e0_) = (op_ e1_ (op_ e3_ e0_)) /\ ((op_ (op_ e1_ e3_) e1_) = (op_ e1_ (op_ e3_ e1_)) /\ ((op_ (op_ e1_ e3_) e2_) = (op_ e1_ (op_ e3_ e2_)) /\ ((op_ (op_ e1_ e3_) e3_) = (op_ e1_ (op_ e3_ e3_)) /\ ((op_ (op_ e1_ e3_) e4_) = (op_ e1_ (op_ e3_ e4_)) /\ ((op_ (op_ e1_ e3_) e5_) = (op_ e1_ (op_ e3_ e5_)) /\ ((op_ (op_ e1_ e4_) e0_) = (op_ e1_ (op_ e4_ e0_)) /\ ((op_ (op_ e1_ e4_) e1_) = (op_ e1_ (op_ e4_ e1_)) /\ ((op_ (op_ e1_ e4_) e2_) = (op_ e1_ (op_ e4_ e2_)) /\ ((op_ (op_ e1_ e4_) e3_) = (op_ e1_ (op_ e4_ e3_)) /\ ((op_ (op_ e1_ e4_) e4_) = (op_ e1_ (op_ e4_ e4_)) /\ ((op_ (op_ e1_ e4_) e5_) = (op_ e1_ (op_ e4_ e5_)) /\ ((op_ (op_ e1_ e5_) e0_) = (op_ e1_ (op_ e5_ e0_)) /\ ((op_ (op_ e1_ e5_) e1_) = (op_ e1_ (op_ e5_ e1_)) /\ ((op_ (op_ e1_ e5_) e2_) = (op_ e1_ (op_ e5_ e2_)) /\ ((op_ (op_ e1_ e5_) e3_) = (op_ e1_ (op_ e5_ e3_)) /\ ((op_ (op_ e1_ e5_) e4_) = (op_ e1_ (op_ e5_ e4_)) /\ ((op_ (op_ e1_ e5_) e5_) = (op_ e1_ (op_ e5_ e5_)) /\ ((op_ (op_ e2_ e0_) e0_) = (op_ e2_ (op_ e0_ e0_)) /\ ((op_ (op_ e2_ e0_) e1_) = (op_ e2_ (op_ e0_ e1_)) /\ ((op_ (op_ e2_ e0_) e2_) = (op_ e2_ (op_ e0_ e2_)) /\ ((op_ (op_ e2_ e0_) e3_) = (op_ e2_ (op_ e0_ e3_)) /\ ((op_ (op_ e2_ e0_) e4_) = (op_ e2_ (op_ e0_ e4_)) /\ ((op_ (op_ e2_ e0_) e5_) = (op_ e2_ (op_ e0_ e5_)) /\ ((op_ (op_ e2_ e1_) e0_) = (op_ e2_ (op_ e1_ e0_)) /\ ((op_ (op_ e2_ e1_) e1_) = (op_ e2_ (op_ e1_ e1_)) /\ ((op_ (op_ e2_ e1_) e2_) = (op_ e2_ (op_ e1_ e2_)) /\ ((op_ (op_ e2_ e1_) e3_) = (op_ e2_ (op_ e1_ e3_)) /\ ((op_ (op_ e2_ e1_) e4_) = (op_ e2_ (op_ e1_ e4_)) /\ ((op_ (op_ e2_ e1_) e5_) = (op_ e2_ (op_ e1_ e5_)) /\ ((op_ (op_ e2_ e2_) e0_) = (op_ e2_ (op_ e2_ e0_)) /\ ((op_ (op_ e2_ e2_) e1_) = (op_ e2_ (op_ e2_ e1_)) /\ ((op_ (op_ e2_ e2_) e2_) = (op_ e2_ (op_ e2_ e2_)) /\ ((op_ (op_ e2_ e2_) e3_) = (op_ e2_ (op_ e2_ e3_)) /\ ((op_ (op_ e2_ e2_) e4_) = (op_ e2_ (op_ e2_ e4_)) /\ ((op_ (op_ e2_ e2_) e5_) = (op_ e2_ (op_ e2_ e5_)) /\ ((op_ (op_ e2_ e3_) e0_) = (op_ e2_ (op_ e3_ e0_)) /\ ((op_ (op_ e2_ e3_) e1_) = (op_ e2_ (op_ e3_ e1_)) /\ ((op_ (op_ e2_ e3_) e2_) = (op_ e2_ (op_ e3_ e2_)) /\ ((op_ (op_ e2_ e3_) e3_) = (op_ e2_ (op_ e3_ e3_)) /\ ((op_ (op_ e2_ e3_) e4_) = (op_ e2_ (op_ e3_ e4_)) /\ ((op_ (op_ e2_ e3_) e5_) = (op_ e2_ (op_ e3_ e5_)) /\ ((op_ (op_ e2_ e4_) e0_) = (op_ e2_ (op_ e4_ e0_)) /\ ((op_ (op_ e2_ e4_) e1_) = (op_ e2_ (op_ e4_ e1_)) /\ ((op_ (op_ e2_ e4_) e2_) = (op_ e2_ (op_ e4_ e2_)) /\ ((op_ (op_ e2_ e4_) e3_) = (op_ e2_ (op_ e4_ e3_)) /\ ((op_ (op_ e2_ e4_) e4_) = (op_ e2_ (op_ e4_ e4_)) /\ ((op_ (op_ e2_ e4_) e5_) = (op_ e2_ (op_ e4_ e5_)) /\ ((op_ (op_ e2_ e5_) e0_) = (op_ e2_ (op_ e5_ e0_)) /\ ((op_ (op_ e2_ e5_) e1_) = (op_ e2_ (op_ e5_ e1_)) /\ ((op_ (op_ e2_ e5_) e2_) = (op_ e2_ (op_ e5_ e2_)) /\ ((op_ (op_ e2_ e5_) e3_) = (op_ e2_ (op_ e5_ e3_)) /\ ((op_ (op_ e2_ e5_) e4_) = (op_ e2_ (op_ e5_ e4_)) /\ ((op_ (op_ e2_ e5_) e5_) = (op_ e2_ (op_ e5_ e5_)) /\ ((op_ (op_ e3_ e0_) e0_) = (op_ e3_ (op_ e0_ e0_)) /\ ((op_ (op_ e3_ e0_) e1_) = (op_ e3_ (op_ e0_ e1_)) /\ ((op_ (op_ e3_ e0_) e2_) = (op_ e3_ (op_ e0_ e2_)) /\ ((op_ (op_ e3_ e0_) e3_) = (op_ e3_ (op_ e0_ e3_)) /\ ((op_ (op_ e3_ e0_) e4_) = (op_ e3_ (op_ e0_ e4_)) /\ ((op_ (op_ e3_ e0_) e5_) = (op_ e3_ (op_ e0_ e5_)) /\ ((op_ (op_ e3_ e1_) e0_) = (op_ e3_ (op_ e1_ e0_)) /\ ((op_ (op_ e3_ e1_) e1_) = (op_ e3_ (op_ e1_ e1_)) /\ ((op_ (op_ e3_ e1_) e2_) = (op_ e3_ (op_ e1_ e2_)) /\ ((op_ (op_ e3_ e1_) e3_) = (op_ e3_ (op_ e1_ e3_)) /\ ((op_ (op_ e3_ e1_) e4_) = (op_ e3_ (op_ e1_ e4_)) /\ ((op_ (op_ e3_ e1_) e5_) = (op_ e3_ (op_ e1_ e5_)) /\ ((op_ (op_ e3_ e2_) e0_) = (op_ e3_ (op_ e2_ e0_)) /\ ((op_ (op_ e3_ e2_) e1_) = (op_ e3_ (op_ e2_ e1_)) /\ ((op_ (op_ e3_ e2_) e2_) = (op_ e3_ (op_ e2_ e2_)) /\ ((op_ (op_ e3_ e2_) e3_) = (op_ e3_ (op_ e2_ e3_)) /\ ((op_ (op_ e3_ e2_) e4_) = (op_ e3_ (op_ e2_ e4_)) /\ ((op_ (op_ e3_ e2_) e5_) = (op_ e3_ (op_ e2_ e5_)) /\ ((op_ (op_ e3_ e3_) e0_) = (op_ e3_ (op_ e3_ e0_)) /\ ((op_ (op_ e3_ e3_) e1_) = (op_ e3_ (op_ e3_ e1_)) /\ ((op_ (op_ e3_ e3_) e2_) = (op_ e3_ (op_ e3_ e2_)) /\ ((op_ (op_ e3_ e3_) e3_) = (op_ e3_ (op_ e3_ e3_)) /\ ((op_ (op_ e3_ e3_) e4_) = (op_ e3_ (op_ e3_ e4_)) /\ ((op_ (op_ e3_ e3_) e5_) = (op_ e3_ (op_ e3_ e5_)) /\ ((op_ (op_ e3_ e4_) e0_) = (op_ e3_ (op_ e4_ e0_)) /\ ((op_ (op_ e3_ e4_) e1_) = (op_ e3_ (op_ e4_ e1_)) /\ ((op_ (op_ e3_ e4_) e2_) = (op_ e3_ (op_ e4_ e2_)) /\ ((op_ (op_ e3_ e4_) e3_) = (op_ e3_ (op_ e4_ e3_)) /\ ((op_ (op_ e3_ e4_) e4_) = (op_ e3_ (op_ e4_ e4_)) /\ ((op_ (op_ e3_ e4_) e5_) = (op_ e3_ (op_ e4_ e5_)) /\ ((op_ (op_ e3_ e5_) e0_) = (op_ e3_ (op_ e5_ e0_)) /\ ((op_ (op_ e3_ e5_) e1_) = (op_ e3_ (op_ e5_ e1_)) /\ ((op_ (op_ e3_ e5_) e2_) = (op_ e3_ (op_ e5_ e2_)) /\ ((op_ (op_ e3_ e5_) e3_) = (op_ e3_ (op_ e5_ e3_)) /\ ((op_ (op_ e3_ e5_) e4_) = (op_ e3_ (op_ e5_ e4_)) /\ ((op_ (op_ e3_ e5_) e5_) = (op_ e3_ (op_ e5_ e5_)) /\ ((op_ (op_ e4_ e0_) e0_) = (op_ e4_ (op_ e0_ e0_)) /\ ((op_ (op_ e4_ e0_) e1_) = (op_ e4_ (op_ e0_ e1_)) /\ ((op_ (op_ e4_ e0_) e2_) = (op_ e4_ (op_ e0_ e2_)) /\ ((op_ (op_ e4_ e0_) e3_) = (op_ e4_ (op_ e0_ e3_)) /\ ((op_ (op_ e4_ e0_) e4_) = (op_ e4_ (op_ e0_ e4_)) /\ ((op_ (op_ e4_ e0_) e5_) = (op_ e4_ (op_ e0_ e5_)) /\ ((op_ (op_ e4_ e1_) e0_) = (op_ e4_ (op_ e1_ e0_)) /\ ((op_ (op_ e4_ e1_) e1_) = (op_ e4_ (op_ e1_ e1_)) /\ ((op_ (op_ e4_ e1_) e2_) = (op_ e4_ (op_ e1_ e2_)) /\ ((op_ (op_ e4_ e1_) e3_) = (op_ e4_ (op_ e1_ e3_)) /\ ((op_ (op_ e4_ e1_) e4_) = (op_ e4_ (op_ e1_ e4_)) /\ ((op_ (op_ e4_ e1_) e5_) = (op_ e4_ (op_ e1_ e5_)) /\ ((op_ (op_ e4_ e2_) e0_) = (op_ e4_ (op_ e2_ e0_)) /\ ((op_ (op_ e4_ e2_) e1_) = (op_ e4_ (op_ e2_ e1_)) /\ ((op_ (op_ e4_ e2_) e2_) = (op_ e4_ (op_ e2_ e2_)) /\ ((op_ (op_ e4_ e2_) e3_) = (op_ e4_ (op_ e2_ e3_)) /\ ((op_ (op_ e4_ e2_) e4_) = (op_ e4_ (op_ e2_ e4_)) /\ ((op_ (op_ e4_ e2_) e5_) = (op_ e4_ (op_ e2_ e5_)) /\ ((op_ (op_ e4_ e3_) e0_) = (op_ e4_ (op_ e3_ e0_)) /\ ((op_ (op_ e4_ e3_) e1_) = (op_ e4_ (op_ e3_ e1_)) /\ ((op_ (op_ e4_ e3_) e2_) = (op_ e4_ (op_ e3_ e2_)) /\ ((op_ (op_ e4_ e3_) e3_) = (op_ e4_ (op_ e3_ e3_)) /\ ((op_ (op_ e4_ e3_) e4_) = (op_ e4_ (op_ e3_ e4_)) /\ ((op_ (op_ e4_ e3_) e5_) = (op_ e4_ (op_ e3_ e5_)) /\ ((op_ (op_ e4_ e4_) e0_) = (op_ e4_ (op_ e4_ e0_)) /\ ((op_ (op_ e4_ e4_) e1_) = (op_ e4_ (op_ e4_ e1_)) /\ ((op_ (op_ e4_ e4_) e2_) = (op_ e4_ (op_ e4_ e2_)) /\ ((op_ (op_ e4_ e4_) e3_) = (op_ e4_ (op_ e4_ e3_)) /\ ((op_ (op_ e4_ e4_) e4_) = (op_ e4_ (op_ e4_ e4_)) /\ ((op_ (op_ e4_ e4_) e5_) = (op_ e4_ (op_ e4_ e5_)) /\ ((op_ (op_ e4_ e5_) e0_) = (op_ e4_ (op_ e5_ e0_)) /\ ((op_ (op_ e4_ e5_) e1_) = (op_ e4_ (op_ e5_ e1_)) /\ ((op_ (op_ e4_ e5_) e2_) = (op_ e4_ (op_ e5_ e2_)) /\ ((op_ (op_ e4_ e5_) e3_) = (op_ e4_ (op_ e5_ e3_)) /\ ((op_ (op_ e4_ e5_) e4_) = (op_ e4_ (op_ e5_ e4_)) /\ ((op_ (op_ e4_ e5_) e5_) = (op_ e4_ (op_ e5_ e5_)) /\ ((op_ (op_ e5_ e0_) e0_) = (op_ e5_ (op_ e0_ e0_)) /\ ((op_ (op_ e5_ e0_) e1_) = (op_ e5_ (op_ e0_ e1_)) /\ ((op_ (op_ e5_ e0_) e2_) = (op_ e5_ (op_ e0_ e2_)) /\ ((op_ (op_ e5_ e0_) e3_) = (op_ e5_ (op_ e0_ e3_)) /\ ((op_ (op_ e5_ e0_) e4_) = (op_ e5_ (op_ e0_ e4_)) /\ ((op_ (op_ e5_ e0_) e5_) = (op_ e5_ (op_ e0_ e5_)) /\ ((op_ (op_ e5_ e1_) e0_) = (op_ e5_ (op_ e1_ e0_)) /\ ((op_ (op_ e5_ e1_) e1_) = (op_ e5_ (op_ e1_ e1_)) /\ ((op_ (op_ e5_ e1_) e2_) = (op_ e5_ (op_ e1_ e2_)) /\ ((op_ (op_ e5_ e1_) e3_) = (op_ e5_ (op_ e1_ e3_)) /\ ((op_ (op_ e5_ e1_) e4_) = (op_ e5_ (op_ e1_ e4_)) /\ ((op_ (op_ e5_ e1_) e5_) = (op_ e5_ (op_ e1_ e5_)) /\ ((op_ (op_ e5_ e2_) e0_) = (op_ e5_ (op_ e2_ e0_)) /\ ((op_ (op_ e5_ e2_) e1_) = (op_ e5_ (op_ e2_ e1_)) /\ ((op_ (op_ e5_ e2_) e2_) = (op_ e5_ (op_ e2_ e2_)) /\ ((op_ (op_ e5_ e2_) e3_) = (op_ e5_ (op_ e2_ e3_)) /\ ((op_ (op_ e5_ e2_) e4_) = (op_ e5_ (op_ e2_ e4_)) /\ ((op_ (op_ e5_ e2_) e5_) = (op_ e5_ (op_ e2_ e5_)) /\ ((op_ (op_ e5_ e3_) e0_) = (op_ e5_ (op_ e3_ e0_)) /\ ((op_ (op_ e5_ e3_) e1_) = (op_ e5_ (op_ e3_ e1_)) /\ ((op_ (op_ e5_ e3_) e2_) = (op_ e5_ (op_ e3_ e2_)) /\ ((op_ (op_ e5_ e3_) e3_) = (op_ e5_ (op_ e3_ e3_)) /\ ((op_ (op_ e5_ e3_) e4_) = (op_ e5_ (op_ e3_ e4_)) /\ ((op_ (op_ e5_ e3_) e5_) = (op_ e5_ (op_ e3_ e5_)) /\ ((op_ (op_ e5_ e4_) e0_) = (op_ e5_ (op_ e4_ e0_)) /\ ((op_ (op_ e5_ e4_) e1_) = (op_ e5_ (op_ e4_ e1_)) /\ ((op_ (op_ e5_ e4_) e2_) = (op_ e5_ (op_ e4_ e2_)) /\ ((op_ (op_ e5_ e4_) e3_) = (op_ e5_ (op_ e4_ e3_)) /\ ((op_ (op_ e5_ e4_) e4_) = (op_ e5_ (op_ e4_ e4_)) /\ ((op_ (op_ e5_ e4_) e5_) = (op_ e5_ (op_ e4_ e5_)) /\ ((op_ (op_ e5_ e5_) e0_) = (op_ e5_ (op_ e5_ e0_)) /\ ((op_ (op_ e5_ e5_) e1_) = (op_ e5_ (op_ e5_ e1_)) /\ ((op_ (op_ e5_ e5_) e2_) = (op_ e5_ (op_ e5_ e2_)) /\ ((op_ (op_ e5_ e5_) e3_) = (op_ e5_ (op_ e5_ e3_)) /\ ((op_ (op_ e5_ e5_) e4_) = (op_ e5_ (op_ e5_ e4_)) /\ (op_ (op_ e5_ e5_) e5_) = (op_ e5_ (op_ e5_ e5_))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Variable ax3_3 : ((op_ unit_ e0_) = e0_ /\ ((op_ e0_ unit_) = e0_ /\ ((op_ unit_ e1_) = e1_ /\ ((op_ e1_ unit_) = e1_ /\ ((op_ unit_ e2_) = e2_ /\ ((op_ e2_ unit_) = e2_ /\ ((op_ unit_ e3_) = e3_ /\ ((op_ e3_ unit_) = e3_ /\ ((op_ unit_ e4_) = e4_ /\ ((op_ e4_ unit_) = e4_ /\ ((op_ unit_ e5_) = e5_ /\ ((op_ e5_ unit_) = e5_ /\ (unit_ = e0_ \/ (unit_ = e1_ \/ (unit_ = e2_ \/ (unit_ = e3_ \/ (unit_ = e4_ \/ unit_ = e5_))))))))))))))))).
Variable ax4_4 : ((op_ e0_ (inv_ e0_)) = unit_ /\ ((op_ (inv_ e0_) e0_) = unit_ /\ ((op_ e1_ (inv_ e1_)) = unit_ /\ ((op_ (inv_ e1_) e1_) = unit_ /\ ((op_ e2_ (inv_ e2_)) = unit_ /\ ((op_ (inv_ e2_) e2_) = unit_ /\ ((op_ e3_ (inv_ e3_)) = unit_ /\ ((op_ (inv_ e3_) e3_) = unit_ /\ ((op_ e4_ (inv_ e4_)) = unit_ /\ ((op_ (inv_ e4_) e4_) = unit_ /\ ((op_ e5_ (inv_ e5_)) = unit_ /\ ((op_ (inv_ e5_) e5_) = unit_ /\ (((inv_ e0_) = e0_ \/ ((inv_ e0_) = e1_ \/ ((inv_ e0_) = e2_ \/ ((inv_ e0_) = e3_ \/ ((inv_ e0_) = e4_ \/ (inv_ e0_) = e5_))))) /\ (((inv_ e1_) = e0_ \/ ((inv_ e1_) = e1_ \/ ((inv_ e1_) = e2_ \/ ((inv_ e1_) = e3_ \/ ((inv_ e1_) = e4_ \/ (inv_ e1_) = e5_))))) /\ (((inv_ e2_) = e0_ \/ ((inv_ e2_) = e1_ \/ ((inv_ e2_) = e2_ \/ ((inv_ e2_) = e3_ \/ ((inv_ e2_) = e4_ \/ (inv_ e2_) = e5_))))) /\ (((inv_ e3_) = e0_ \/ ((inv_ e3_) = e1_ \/ ((inv_ e3_) = e2_ \/ ((inv_ e3_) = e3_ \/ ((inv_ e3_) = e4_ \/ (inv_ e3_) = e5_))))) /\ (((inv_ e4_) = e0_ \/ ((inv_ e4_) = e1_ \/ ((inv_ e4_) = e2_ \/ ((inv_ e4_) = e3_ \/ ((inv_ e4_) = e4_ \/ (inv_ e4_) = e5_))))) /\ ((inv_ e5_) = e0_ \/ ((inv_ e5_) = e1_ \/ ((inv_ e5_) = e2_ \/ ((inv_ e5_) = e3_ \/ ((inv_ e5_) = e4_ \/ (inv_ e5_) = e5_)))))))))))))))))))))).
Variable ax5_5 : (inv_ unit_) = unit_.
Variable ax6_6 : ((inv_ (inv_ e0_)) = e0_ /\ ((inv_ (inv_ e1_)) = e1_ /\ ((inv_ (inv_ e2_)) = e2_ /\ ((inv_ (inv_ e3_)) = e3_ /\ ((inv_ (inv_ e4_)) = e4_ /\ (inv_ (inv_ e5_)) = e5_))))).
Variable ax7_7 : (((inv_ e0_) = e0_ -> (inv_ e0_) = e0_) /\ (((inv_ e0_) = e1_ -> (inv_ e1_) = e0_) /\ (((inv_ e0_) = e2_ -> (inv_ e2_) = e0_) /\ (((inv_ e0_) = e3_ -> (inv_ e3_) = e0_) /\ (((inv_ e0_) = e4_ -> (inv_ e4_) = e0_) /\ (((inv_ e0_) = e5_ -> (inv_ e5_) = e0_) /\ (((inv_ e1_) = e0_ -> (inv_ e0_) = e1_) /\ (((inv_ e1_) = e1_ -> (inv_ e1_) = e1_) /\ (((inv_ e1_) = e2_ -> (inv_ e2_) = e1_) /\ (((inv_ e1_) = e3_ -> (inv_ e3_) = e1_) /\ (((inv_ e1_) = e4_ -> (inv_ e4_) = e1_) /\ (((inv_ e1_) = e5_ -> (inv_ e5_) = e1_) /\ (((inv_ e2_) = e0_ -> (inv_ e0_) = e2_) /\ (((inv_ e2_) = e1_ -> (inv_ e1_) = e2_) /\ (((inv_ e2_) = e2_ -> (inv_ e2_) = e2_) /\ (((inv_ e2_) = e3_ -> (inv_ e3_) = e2_) /\ (((inv_ e2_) = e4_ -> (inv_ e4_) = e2_) /\ (((inv_ e2_) = e5_ -> (inv_ e5_) = e2_) /\ (((inv_ e3_) = e0_ -> (inv_ e0_) = e3_) /\ (((inv_ e3_) = e1_ -> (inv_ e1_) = e3_) /\ (((inv_ e3_) = e2_ -> (inv_ e2_) = e3_) /\ (((inv_ e3_) = e3_ -> (inv_ e3_) = e3_) /\ (((inv_ e3_) = e4_ -> (inv_ e4_) = e3_) /\ (((inv_ e3_) = e5_ -> (inv_ e5_) = e3_) /\ (((inv_ e4_) = e0_ -> (inv_ e0_) = e4_) /\ (((inv_ e4_) = e1_ -> (inv_ e1_) = e4_) /\ (((inv_ e4_) = e2_ -> (inv_ e2_) = e4_) /\ (((inv_ e4_) = e3_ -> (inv_ e3_) = e4_) /\ (((inv_ e4_) = e4_ -> (inv_ e4_) = e4_) /\ (((inv_ e4_) = e5_ -> (inv_ e5_) = e4_) /\ (((inv_ e5_) = e0_ -> (inv_ e0_) = e5_) /\ (((inv_ e5_) = e1_ -> (inv_ e1_) = e5_) /\ (((inv_ e5_) = e2_ -> (inv_ e2_) = e5_) /\ (((inv_ e5_) = e3_ -> (inv_ e3_) = e5_) /\ (((inv_ e5_) = e4_ -> (inv_ e4_) = e5_) /\ ((inv_ e5_) = e5_ -> (inv_ e5_) = e5_)))))))))))))))))))))))))))))))))))).
Variable ax8_8 : ((inv_ e0_) <> (inv_ e1_) /\ ((inv_ e0_) <> (inv_ e2_) /\ ((inv_ e0_) <> (inv_ e3_) /\ ((inv_ e0_) <> (inv_ e4_) /\ ((inv_ e0_) <> (inv_ e5_) /\ ((inv_ e1_) <> (inv_ e2_) /\ ((inv_ e1_) <> (inv_ e3_) /\ ((inv_ e1_) <> (inv_ e4_) /\ ((inv_ e1_) <> (inv_ e5_) /\ ((inv_ e2_) <> (inv_ e3_) /\ ((inv_ e2_) <> (inv_ e4_) /\ ((inv_ e2_) <> (inv_ e5_) /\ ((inv_ e3_) <> (inv_ e4_) /\ ((inv_ e3_) <> (inv_ e5_) /\ (inv_ e4_) <> (inv_ e5_))))))))))))))).
Variable ax9_9 : ((op_ e0_ e0_) <> (op_ e1_ e0_) /\ ((op_ e0_ e0_) <> (op_ e2_ e0_) /\ ((op_ e0_ e0_) <> (op_ e3_ e0_) /\ ((op_ e0_ e0_) <> (op_ e4_ e0_) /\ ((op_ e0_ e0_) <> (op_ e5_ e0_) /\ ((op_ e1_ e0_) <> (op_ e2_ e0_) /\ ((op_ e1_ e0_) <> (op_ e3_ e0_) /\ ((op_ e1_ e0_) <> (op_ e4_ e0_) /\ ((op_ e1_ e0_) <> (op_ e5_ e0_) /\ ((op_ e2_ e0_) <> (op_ e3_ e0_) /\ ((op_ e2_ e0_) <> (op_ e4_ e0_) /\ ((op_ e2_ e0_) <> (op_ e5_ e0_) /\ ((op_ e3_ e0_) <> (op_ e4_ e0_) /\ ((op_ e3_ e0_) <> (op_ e5_ e0_) /\ ((op_ e4_ e0_) <> (op_ e5_ e0_) /\ ((op_ e0_ e1_) <> (op_ e1_ e1_) /\ ((op_ e0_ e1_) <> (op_ e2_ e1_) /\ ((op_ e0_ e1_) <> (op_ e3_ e1_) /\ ((op_ e0_ e1_) <> (op_ e4_ e1_) /\ ((op_ e0_ e1_) <> (op_ e5_ e1_) /\ ((op_ e1_ e1_) <> (op_ e2_ e1_) /\ ((op_ e1_ e1_) <> (op_ e3_ e1_) /\ ((op_ e1_ e1_) <> (op_ e4_ e1_) /\ ((op_ e1_ e1_) <> (op_ e5_ e1_) /\ ((op_ e2_ e1_) <> (op_ e3_ e1_) /\ ((op_ e2_ e1_) <> (op_ e4_ e1_) /\ ((op_ e2_ e1_) <> (op_ e5_ e1_) /\ ((op_ e3_ e1_) <> (op_ e4_ e1_) /\ ((op_ e3_ e1_) <> (op_ e5_ e1_) /\ ((op_ e4_ e1_) <> (op_ e5_ e1_) /\ ((op_ e0_ e2_) <> (op_ e1_ e2_) /\ ((op_ e0_ e2_) <> (op_ e2_ e2_) /\ ((op_ e0_ e2_) <> (op_ e3_ e2_) /\ ((op_ e0_ e2_) <> (op_ e4_ e2_) /\ ((op_ e0_ e2_) <> (op_ e5_ e2_) /\ ((op_ e1_ e2_) <> (op_ e2_ e2_) /\ ((op_ e1_ e2_) <> (op_ e3_ e2_) /\ ((op_ e1_ e2_) <> (op_ e4_ e2_) /\ ((op_ e1_ e2_) <> (op_ e5_ e2_) /\ ((op_ e2_ e2_) <> (op_ e3_ e2_) /\ ((op_ e2_ e2_) <> (op_ e4_ e2_) /\ ((op_ e2_ e2_) <> (op_ e5_ e2_) /\ ((op_ e3_ e2_) <> (op_ e4_ e2_) /\ ((op_ e3_ e2_) <> (op_ e5_ e2_) /\ ((op_ e4_ e2_) <> (op_ e5_ e2_) /\ ((op_ e0_ e3_) <> (op_ e1_ e3_) /\ ((op_ e0_ e3_) <> (op_ e2_ e3_) /\ ((op_ e0_ e3_) <> (op_ e3_ e3_) /\ ((op_ e0_ e3_) <> (op_ e4_ e3_) /\ ((op_ e0_ e3_) <> (op_ e5_ e3_) /\ ((op_ e1_ e3_) <> (op_ e2_ e3_) /\ ((op_ e1_ e3_) <> (op_ e3_ e3_) /\ ((op_ e1_ e3_) <> (op_ e4_ e3_) /\ ((op_ e1_ e3_) <> (op_ e5_ e3_) /\ ((op_ e2_ e3_) <> (op_ e3_ e3_) /\ ((op_ e2_ e3_) <> (op_ e4_ e3_) /\ ((op_ e2_ e3_) <> (op_ e5_ e3_) /\ ((op_ e3_ e3_) <> (op_ e4_ e3_) /\ ((op_ e3_ e3_) <> (op_ e5_ e3_) /\ ((op_ e4_ e3_) <> (op_ e5_ e3_) /\ ((op_ e0_ e4_) <> (op_ e1_ e4_) /\ ((op_ e0_ e4_) <> (op_ e2_ e4_) /\ ((op_ e0_ e4_) <> (op_ e3_ e4_) /\ ((op_ e0_ e4_) <> (op_ e4_ e4_) /\ ((op_ e0_ e4_) <> (op_ e5_ e4_) /\ ((op_ e1_ e4_) <> (op_ e2_ e4_) /\ ((op_ e1_ e4_) <> (op_ e3_ e4_) /\ ((op_ e1_ e4_) <> (op_ e4_ e4_) /\ ((op_ e1_ e4_) <> (op_ e5_ e4_) /\ ((op_ e2_ e4_) <> (op_ e3_ e4_) /\ ((op_ e2_ e4_) <> (op_ e4_ e4_) /\ ((op_ e2_ e4_) <> (op_ e5_ e4_) /\ ((op_ e3_ e4_) <> (op_ e4_ e4_) /\ ((op_ e3_ e4_) <> (op_ e5_ e4_) /\ ((op_ e4_ e4_) <> (op_ e5_ e4_) /\ ((op_ e0_ e5_) <> (op_ e1_ e5_) /\ ((op_ e0_ e5_) <> (op_ e2_ e5_) /\ ((op_ e0_ e5_) <> (op_ e3_ e5_) /\ ((op_ e0_ e5_) <> (op_ e4_ e5_) /\ ((op_ e0_ e5_) <> (op_ e5_ e5_) /\ ((op_ e1_ e5_) <> (op_ e2_ e5_) /\ ((op_ e1_ e5_) <> (op_ e3_ e5_) /\ ((op_ e1_ e5_) <> (op_ e4_ e5_) /\ ((op_ e1_ e5_) <> (op_ e5_ e5_) /\ ((op_ e2_ e5_) <> (op_ e3_ e5_) /\ ((op_ e2_ e5_) <> (op_ e4_ e5_) /\ ((op_ e2_ e5_) <> (op_ e5_ e5_) /\ ((op_ e3_ e5_) <> (op_ e4_ e5_) /\ ((op_ e3_ e5_) <> (op_ e5_ e5_) /\ ((op_ e4_ e5_) <> (op_ e5_ e5_) /\ ((op_ e0_ e0_) <> (op_ e0_ e1_) /\ ((op_ e0_ e0_) <> (op_ e0_ e2_) /\ ((op_ e0_ e0_) <> (op_ e0_ e3_) /\ ((op_ e0_ e0_) <> (op_ e0_ e4_) /\ ((op_ e0_ e0_) <> (op_ e0_ e5_) /\ ((op_ e0_ e1_) <> (op_ e0_ e2_) /\ ((op_ e0_ e1_) <> (op_ e0_ e3_) /\ ((op_ e0_ e1_) <> (op_ e0_ e4_) /\ ((op_ e0_ e1_) <> (op_ e0_ e5_) /\ ((op_ e0_ e2_) <> (op_ e0_ e3_) /\ ((op_ e0_ e2_) <> (op_ e0_ e4_) /\ ((op_ e0_ e2_) <> (op_ e0_ e5_) /\ ((op_ e0_ e3_) <> (op_ e0_ e4_) /\ ((op_ e0_ e3_) <> (op_ e0_ e5_) /\ ((op_ e0_ e4_) <> (op_ e0_ e5_) /\ ((op_ e1_ e0_) <> (op_ e1_ e1_) /\ ((op_ e1_ e0_) <> (op_ e1_ e2_) /\ ((op_ e1_ e0_) <> (op_ e1_ e3_) /\ ((op_ e1_ e0_) <> (op_ e1_ e4_) /\ ((op_ e1_ e0_) <> (op_ e1_ e5_) /\ ((op_ e1_ e1_) <> (op_ e1_ e2_) /\ ((op_ e1_ e1_) <> (op_ e1_ e3_) /\ ((op_ e1_ e1_) <> (op_ e1_ e4_) /\ ((op_ e1_ e1_) <> (op_ e1_ e5_) /\ ((op_ e1_ e2_) <> (op_ e1_ e3_) /\ ((op_ e1_ e2_) <> (op_ e1_ e4_) /\ ((op_ e1_ e2_) <> (op_ e1_ e5_) /\ ((op_ e1_ e3_) <> (op_ e1_ e4_) /\ ((op_ e1_ e3_) <> (op_ e1_ e5_) /\ ((op_ e1_ e4_) <> (op_ e1_ e5_) /\ ((op_ e2_ e0_) <> (op_ e2_ e1_) /\ ((op_ e2_ e0_) <> (op_ e2_ e2_) /\ ((op_ e2_ e0_) <> (op_ e2_ e3_) /\ ((op_ e2_ e0_) <> (op_ e2_ e4_) /\ ((op_ e2_ e0_) <> (op_ e2_ e5_) /\ ((op_ e2_ e1_) <> (op_ e2_ e2_) /\ ((op_ e2_ e1_) <> (op_ e2_ e3_) /\ ((op_ e2_ e1_) <> (op_ e2_ e4_) /\ ((op_ e2_ e1_) <> (op_ e2_ e5_) /\ ((op_ e2_ e2_) <> (op_ e2_ e3_) /\ ((op_ e2_ e2_) <> (op_ e2_ e4_) /\ ((op_ e2_ e2_) <> (op_ e2_ e5_) /\ ((op_ e2_ e3_) <> (op_ e2_ e4_) /\ ((op_ e2_ e3_) <> (op_ e2_ e5_) /\ ((op_ e2_ e4_) <> (op_ e2_ e5_) /\ ((op_ e3_ e0_) <> (op_ e3_ e1_) /\ ((op_ e3_ e0_) <> (op_ e3_ e2_) /\ ((op_ e3_ e0_) <> (op_ e3_ e3_) /\ ((op_ e3_ e0_) <> (op_ e3_ e4_) /\ ((op_ e3_ e0_) <> (op_ e3_ e5_) /\ ((op_ e3_ e1_) <> (op_ e3_ e2_) /\ ((op_ e3_ e1_) <> (op_ e3_ e3_) /\ ((op_ e3_ e1_) <> (op_ e3_ e4_) /\ ((op_ e3_ e1_) <> (op_ e3_ e5_) /\ ((op_ e3_ e2_) <> (op_ e3_ e3_) /\ ((op_ e3_ e2_) <> (op_ e3_ e4_) /\ ((op_ e3_ e2_) <> (op_ e3_ e5_) /\ ((op_ e3_ e3_) <> (op_ e3_ e4_) /\ ((op_ e3_ e3_) <> (op_ e3_ e5_) /\ ((op_ e3_ e4_) <> (op_ e3_ e5_) /\ ((op_ e4_ e0_) <> (op_ e4_ e1_) /\ ((op_ e4_ e0_) <> (op_ e4_ e2_) /\ ((op_ e4_ e0_) <> (op_ e4_ e3_) /\ ((op_ e4_ e0_) <> (op_ e4_ e4_) /\ ((op_ e4_ e0_) <> (op_ e4_ e5_) /\ ((op_ e4_ e1_) <> (op_ e4_ e2_) /\ ((op_ e4_ e1_) <> (op_ e4_ e3_) /\ ((op_ e4_ e1_) <> (op_ e4_ e4_) /\ ((op_ e4_ e1_) <> (op_ e4_ e5_) /\ ((op_ e4_ e2_) <> (op_ e4_ e3_) /\ ((op_ e4_ e2_) <> (op_ e4_ e4_) /\ ((op_ e4_ e2_) <> (op_ e4_ e5_) /\ ((op_ e4_ e3_) <> (op_ e4_ e4_) /\ ((op_ e4_ e3_) <> (op_ e4_ e5_) /\ ((op_ e4_ e4_) <> (op_ e4_ e5_) /\ ((op_ e5_ e0_) <> (op_ e5_ e1_) /\ ((op_ e5_ e0_) <> (op_ e5_ e2_) /\ ((op_ e5_ e0_) <> (op_ e5_ e3_) /\ ((op_ e5_ e0_) <> (op_ e5_ e4_) /\ ((op_ e5_ e0_) <> (op_ e5_ e5_) /\ ((op_ e5_ e1_) <> (op_ e5_ e2_) /\ ((op_ e5_ e1_) <> (op_ e5_ e3_) /\ ((op_ e5_ e1_) <> (op_ e5_ e4_) /\ ((op_ e5_ e1_) <> (op_ e5_ e5_) /\ ((op_ e5_ e2_) <> (op_ e5_ e3_) /\ ((op_ e5_ e2_) <> (op_ e5_ e4_) /\ ((op_ e5_ e2_) <> (op_ e5_ e5_) /\ ((op_ e5_ e3_) <> (op_ e5_ e4_) /\ ((op_ e5_ e3_) <> (op_ e5_ e5_) /\ (op_ e5_ e4_) <> (op_ e5_ e5_)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
Variable ax10_10 : (e0_ <> e1_ /\ (e0_ <> e2_ /\ (e0_ <> e3_ /\ (e0_ <> e4_ /\ (e0_ <> e5_ /\ (e1_ <> e2_ /\ (e1_ <> e3_ /\ (e1_ <> e4_ /\ (e1_ <> e5_ /\ (e2_ <> e3_ /\ (e2_ <> e4_ /\ (e2_ <> e5_ /\ (e3_ <> e4_ /\ (e3_ <> e5_ /\ e4_ <> e5_)))))))))))))).
Variable ax11_11 : ~(((op_ e0_ e0_) = (op_ e0_ e0_) /\ ((op_ e0_ e1_) = (op_ e1_ e0_) /\ ((op_ e0_ e2_) = (op_ e2_ e0_) /\ ((op_ e0_ e3_) = (op_ e3_ e0_) /\ ((op_ e0_ e4_) = (op_ e4_ e0_) /\ ((op_ e0_ e5_) = (op_ e5_ e0_) /\ ((op_ e1_ e0_) = (op_ e0_ e1_) /\ ((op_ e1_ e1_) = (op_ e1_ e1_) /\ ((op_ e1_ e2_) = (op_ e2_ e1_) /\ ((op_ e1_ e3_) = (op_ e3_ e1_) /\ ((op_ e1_ e4_) = (op_ e4_ e1_) /\ ((op_ e1_ e5_) = (op_ e5_ e1_) /\ ((op_ e2_ e0_) = (op_ e0_ e2_) /\ ((op_ e2_ e1_) = (op_ e1_ e2_) /\ ((op_ e2_ e2_) = (op_ e2_ e2_) /\ ((op_ e2_ e3_) = (op_ e3_ e2_) /\ ((op_ e2_ e4_) = (op_ e4_ e2_) /\ ((op_ e2_ e5_) = (op_ e5_ e2_) /\ ((op_ e3_ e0_) = (op_ e0_ e3_) /\ ((op_ e3_ e1_) = (op_ e1_ e3_) /\ ((op_ e3_ e2_) = (op_ e2_ e3_) /\ ((op_ e3_ e3_) = (op_ e3_ e3_) /\ ((op_ e3_ e4_) = (op_ e4_ e3_) /\ ((op_ e3_ e5_) = (op_ e5_ e3_) /\ ((op_ e4_ e0_) = (op_ e0_ e4_) /\ ((op_ e4_ e1_) = (op_ e1_ e4_) /\ ((op_ e4_ e2_) = (op_ e2_ e4_) /\ ((op_ e4_ e3_) = (op_ e3_ e4_) /\ ((op_ e4_ e4_) = (op_ e4_ e4_) /\ ((op_ e4_ e5_) = (op_ e5_ e4_) /\ ((op_ e5_ e0_) = (op_ e0_ e5_) /\ ((op_ e5_ e1_) = (op_ e1_ e5_) /\ ((op_ e5_ e2_) = (op_ e2_ e5_) /\ ((op_ e5_ e3_) = (op_ e3_ e5_) /\ ((op_ e5_ e4_) = (op_ e4_ e5_) /\ (op_ e5_ e5_) = (op_ e5_ e5_))))))))))))))))))))))))))))))))))))).
Variable ax12_12 : ~((e0_ = (op_ (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_)))) /\ (e2_ = (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) /\ (e3_ = (op_ e5_ e1_) /\ e4_ = (op_ (op_ e5_ e1_) (op_ e5_ e1_)))))).
Variable ax13_13 : ~((e0_ = (op_ (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_)))) /\ (e2_ = (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) /\ (e3_ = (op_ e4_ e1_) /\ e5_ = (op_ (op_ e4_ e1_) (op_ e4_ e1_)))))).
Variable ax14_14 : ~((e0_ = (op_ (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_)))) /\ (e2_ = (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) /\ (e4_ = (op_ e5_ e1_) /\ e3_ = (op_ (op_ e5_ e1_) (op_ e5_ e1_)))))).
Variable ax15_15 : ~((e0_ = (op_ (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_)))) /\ (e2_ = (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) /\ (e4_ = (op_ e3_ e1_) /\ e5_ = (op_ (op_ e3_ e1_) (op_ e3_ e1_)))))).
Variable ax16_16 : ~((e0_ = (op_ (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_)))) /\ (e2_ = (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) /\ (e5_ = (op_ e4_ e1_) /\ e3_ = (op_ (op_ e4_ e1_) (op_ e4_ e1_)))))).
Variable ax17_17 : ~((e0_ = (op_ (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_)))) /\ (e2_ = (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) /\ (e5_ = (op_ e3_ e1_) /\ e4_ = (op_ (op_ e3_ e1_) (op_ e3_ e1_)))))).
Variable ax18_18 : ~((e0_ = (op_ (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_)))) /\ (e3_ = (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) /\ (e2_ = (op_ e5_ e1_) /\ e4_ = (op_ (op_ e5_ e1_) (op_ e5_ e1_)))))).
Variable ax19_19 : ~((e0_ = (op_ (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_)))) /\ (e3_ = (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) /\ (e2_ = (op_ e4_ e1_) /\ e5_ = (op_ (op_ e4_ e1_) (op_ e4_ e1_)))))).
Variable ax20_20 : ~((e0_ = (op_ (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_)))) /\ (e3_ = (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) /\ (e4_ = (op_ e5_ e1_) /\ e2_ = (op_ (op_ e5_ e1_) (op_ e5_ e1_)))))).
Variable ax21_21 : ~((e0_ = (op_ (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_)))) /\ (e3_ = (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) /\ (e4_ = (op_ e2_ e1_) /\ e5_ = (op_ (op_ e2_ e1_) (op_ e2_ e1_)))))).
Variable ax22_22 : ~((e0_ = (op_ (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_)))) /\ (e3_ = (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) /\ (e5_ = (op_ e4_ e1_) /\ e2_ = (op_ (op_ e4_ e1_) (op_ e4_ e1_)))))).
Variable ax23_23 : ~((e0_ = (op_ (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_)))) /\ (e3_ = (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) /\ (e5_ = (op_ e2_ e1_) /\ e4_ = (op_ (op_ e2_ e1_) (op_ e2_ e1_)))))).
Variable ax24_24 : ~((e0_ = (op_ (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_)))) /\ (e4_ = (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) /\ (e2_ = (op_ e5_ e1_) /\ e3_ = (op_ (op_ e5_ e1_) (op_ e5_ e1_)))))).
Variable ax25_25 : ~((e0_ = (op_ (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_)))) /\ (e4_ = (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) /\ (e2_ = (op_ e3_ e1_) /\ e5_ = (op_ (op_ e3_ e1_) (op_ e3_ e1_)))))).
Variable ax26_26 : ~((e0_ = (op_ (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_)))) /\ (e4_ = (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) /\ (e3_ = (op_ e5_ e1_) /\ e2_ = (op_ (op_ e5_ e1_) (op_ e5_ e1_)))))).
Variable ax27_27 : ~((e0_ = (op_ (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_)))) /\ (e4_ = (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) /\ (e3_ = (op_ e2_ e1_) /\ e5_ = (op_ (op_ e2_ e1_) (op_ e2_ e1_)))))).
Variable ax28_28 : ~((e0_ = (op_ (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_)))) /\ (e4_ = (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) /\ (e5_ = (op_ e3_ e1_) /\ e2_ = (op_ (op_ e3_ e1_) (op_ e3_ e1_)))))).
Variable ax29_29 : ~((e0_ = (op_ (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_)))) /\ (e4_ = (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) /\ (e5_ = (op_ e2_ e1_) /\ e3_ = (op_ (op_ e2_ e1_) (op_ e2_ e1_)))))).
Variable ax30_30 : ~((e0_ = (op_ (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_)))) /\ (e5_ = (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) /\ (e2_ = (op_ e4_ e1_) /\ e3_ = (op_ (op_ e4_ e1_) (op_ e4_ e1_)))))).
Variable ax31_31 : ~((e0_ = (op_ (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_)))) /\ (e5_ = (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) /\ (e2_ = (op_ e3_ e1_) /\ e4_ = (op_ (op_ e3_ e1_) (op_ e3_ e1_)))))).
Variable ax32_32 : ~((e0_ = (op_ (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_)))) /\ (e5_ = (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) /\ (e3_ = (op_ e4_ e1_) /\ e2_ = (op_ (op_ e4_ e1_) (op_ e4_ e1_)))))).
Variable ax33_33 : ~((e0_ = (op_ (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_)))) /\ (e5_ = (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) /\ (e3_ = (op_ e2_ e1_) /\ e4_ = (op_ (op_ e2_ e1_) (op_ e2_ e1_)))))).
Variable ax34_34 : ~((e0_ = (op_ (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_)))) /\ (e5_ = (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) /\ (e4_ = (op_ e3_ e1_) /\ e2_ = (op_ (op_ e3_ e1_) (op_ e3_ e1_)))))).
Variable ax35_35 : ~((e0_ = (op_ (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_)))) /\ (e5_ = (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) /\ (e4_ = (op_ e2_ e1_) /\ e3_ = (op_ (op_ e2_ e1_) (op_ e2_ e1_)))))).
Variable ax36_36 : ~((e0_ = (op_ (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_)))) /\ (e1_ = (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) /\ (e3_ = (op_ e5_ e2_) /\ e4_ = (op_ (op_ e5_ e2_) (op_ e5_ e2_)))))).
Variable ax37_37 : ~((e0_ = (op_ (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_)))) /\ (e1_ = (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) /\ (e3_ = (op_ e4_ e2_) /\ e5_ = (op_ (op_ e4_ e2_) (op_ e4_ e2_)))))).
Variable ax38_38 : ~((e0_ = (op_ (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_)))) /\ (e1_ = (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) /\ (e4_ = (op_ e5_ e2_) /\ e3_ = (op_ (op_ e5_ e2_) (op_ e5_ e2_)))))).
Variable ax39_39 : ~((e0_ = (op_ (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_)))) /\ (e1_ = (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) /\ (e4_ = (op_ e3_ e2_) /\ e5_ = (op_ (op_ e3_ e2_) (op_ e3_ e2_)))))).
Variable ax40_40 : ~((e0_ = (op_ (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_)))) /\ (e1_ = (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) /\ (e5_ = (op_ e4_ e2_) /\ e3_ = (op_ (op_ e4_ e2_) (op_ e4_ e2_)))))).
Variable ax41_41 : ~((e0_ = (op_ (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_)))) /\ (e1_ = (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) /\ (e5_ = (op_ e3_ e2_) /\ e4_ = (op_ (op_ e3_ e2_) (op_ e3_ e2_)))))).
Variable ax42_42 : ~((e0_ = (op_ (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_)))) /\ (e3_ = (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) /\ (e1_ = (op_ e5_ e2_) /\ e4_ = (op_ (op_ e5_ e2_) (op_ e5_ e2_)))))).
Variable ax43_43 : ~((e0_ = (op_ (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_)))) /\ (e3_ = (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) /\ (e1_ = (op_ e4_ e2_) /\ e5_ = (op_ (op_ e4_ e2_) (op_ e4_ e2_)))))).
Variable ax44_44 : ~((e0_ = (op_ (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_)))) /\ (e3_ = (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) /\ (e4_ = (op_ e5_ e2_) /\ e1_ = (op_ (op_ e5_ e2_) (op_ e5_ e2_)))))).
Variable ax45_45 : ~((e0_ = (op_ (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_)))) /\ (e3_ = (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) /\ (e4_ = (op_ e1_ e2_) /\ e5_ = (op_ (op_ e1_ e2_) (op_ e1_ e2_)))))).
Variable ax46_46 : ~((e0_ = (op_ (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_)))) /\ (e3_ = (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) /\ (e5_ = (op_ e4_ e2_) /\ e1_ = (op_ (op_ e4_ e2_) (op_ e4_ e2_)))))).
Variable ax47_47 : ~((e0_ = (op_ (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_)))) /\ (e3_ = (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) /\ (e5_ = (op_ e1_ e2_) /\ e4_ = (op_ (op_ e1_ e2_) (op_ e1_ e2_)))))).
Variable ax48_48 : ~((e0_ = (op_ (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_)))) /\ (e4_ = (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) /\ (e1_ = (op_ e5_ e2_) /\ e3_ = (op_ (op_ e5_ e2_) (op_ e5_ e2_)))))).
Variable ax49_49 : ~((e0_ = (op_ (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_)))) /\ (e4_ = (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) /\ (e1_ = (op_ e3_ e2_) /\ e5_ = (op_ (op_ e3_ e2_) (op_ e3_ e2_)))))).
Variable ax50_50 : ~((e0_ = (op_ (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_)))) /\ (e4_ = (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) /\ (e3_ = (op_ e5_ e2_) /\ e1_ = (op_ (op_ e5_ e2_) (op_ e5_ e2_)))))).
Variable ax51_51 : ~((e0_ = (op_ (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_)))) /\ (e4_ = (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) /\ (e3_ = (op_ e1_ e2_) /\ e5_ = (op_ (op_ e1_ e2_) (op_ e1_ e2_)))))).
Variable ax52_52 : ~((e0_ = (op_ (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_)))) /\ (e4_ = (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) /\ (e5_ = (op_ e3_ e2_) /\ e1_ = (op_ (op_ e3_ e2_) (op_ e3_ e2_)))))).
Variable ax53_53 : ~((e0_ = (op_ (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_)))) /\ (e4_ = (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) /\ (e5_ = (op_ e1_ e2_) /\ e3_ = (op_ (op_ e1_ e2_) (op_ e1_ e2_)))))).
Variable ax54_54 : ~((e0_ = (op_ (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_)))) /\ (e5_ = (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) /\ (e1_ = (op_ e4_ e2_) /\ e3_ = (op_ (op_ e4_ e2_) (op_ e4_ e2_)))))).
Variable ax55_55 : ~((e0_ = (op_ (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_)))) /\ (e5_ = (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) /\ (e1_ = (op_ e3_ e2_) /\ e4_ = (op_ (op_ e3_ e2_) (op_ e3_ e2_)))))).
Variable ax56_56 : ~((e0_ = (op_ (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_)))) /\ (e5_ = (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) /\ (e3_ = (op_ e4_ e2_) /\ e1_ = (op_ (op_ e4_ e2_) (op_ e4_ e2_)))))).
Variable ax57_57 : ~((e0_ = (op_ (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_)))) /\ (e5_ = (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) /\ (e3_ = (op_ e1_ e2_) /\ e4_ = (op_ (op_ e1_ e2_) (op_ e1_ e2_)))))).
Variable ax58_58 : ~((e0_ = (op_ (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_)))) /\ (e5_ = (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) /\ (e4_ = (op_ e3_ e2_) /\ e1_ = (op_ (op_ e3_ e2_) (op_ e3_ e2_)))))).
Variable ax59_59 : ~((e0_ = (op_ (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_)))) /\ (e5_ = (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) /\ (e4_ = (op_ e1_ e2_) /\ e3_ = (op_ (op_ e1_ e2_) (op_ e1_ e2_)))))).
Variable ax60_60 : ~((e0_ = (op_ (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_)))) /\ (e1_ = (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) /\ (e2_ = (op_ e5_ e3_) /\ e4_ = (op_ (op_ e5_ e3_) (op_ e5_ e3_)))))).
Variable ax61_61 : ~((e0_ = (op_ (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_)))) /\ (e1_ = (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) /\ (e2_ = (op_ e4_ e3_) /\ e5_ = (op_ (op_ e4_ e3_) (op_ e4_ e3_)))))).
Variable ax62_62 : ~((e0_ = (op_ (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_)))) /\ (e1_ = (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) /\ (e4_ = (op_ e5_ e3_) /\ e2_ = (op_ (op_ e5_ e3_) (op_ e5_ e3_)))))).
Variable ax63_63 : ~((e0_ = (op_ (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_)))) /\ (e1_ = (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) /\ (e4_ = (op_ e2_ e3_) /\ e5_ = (op_ (op_ e2_ e3_) (op_ e2_ e3_)))))).
Variable ax64_64 : ~((e0_ = (op_ (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_)))) /\ (e1_ = (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) /\ (e5_ = (op_ e4_ e3_) /\ e2_ = (op_ (op_ e4_ e3_) (op_ e4_ e3_)))))).
Variable ax65_65 : ~((e0_ = (op_ (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_)))) /\ (e1_ = (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) /\ (e5_ = (op_ e2_ e3_) /\ e4_ = (op_ (op_ e2_ e3_) (op_ e2_ e3_)))))).
Variable ax66_66 : ~((e0_ = (op_ (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_)))) /\ (e2_ = (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) /\ (e1_ = (op_ e5_ e3_) /\ e4_ = (op_ (op_ e5_ e3_) (op_ e5_ e3_)))))).
Variable ax67_67 : ~((e0_ = (op_ (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_)))) /\ (e2_ = (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) /\ (e1_ = (op_ e4_ e3_) /\ e5_ = (op_ (op_ e4_ e3_) (op_ e4_ e3_)))))).
Variable ax68_68 : ~((e0_ = (op_ (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_)))) /\ (e2_ = (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) /\ (e4_ = (op_ e5_ e3_) /\ e1_ = (op_ (op_ e5_ e3_) (op_ e5_ e3_)))))).
Variable ax69_69 : ~((e0_ = (op_ (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_)))) /\ (e2_ = (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) /\ (e4_ = (op_ e1_ e3_) /\ e5_ = (op_ (op_ e1_ e3_) (op_ e1_ e3_)))))).
Variable ax70_70 : ~((e0_ = (op_ (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_)))) /\ (e2_ = (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) /\ (e5_ = (op_ e4_ e3_) /\ e1_ = (op_ (op_ e4_ e3_) (op_ e4_ e3_)))))).
Variable ax71_71 : ~((e0_ = (op_ (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_)))) /\ (e2_ = (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) /\ (e5_ = (op_ e1_ e3_) /\ e4_ = (op_ (op_ e1_ e3_) (op_ e1_ e3_)))))).
Variable ax72_72 : ~((e0_ = (op_ (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_)))) /\ (e4_ = (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) /\ (e1_ = (op_ e5_ e3_) /\ e2_ = (op_ (op_ e5_ e3_) (op_ e5_ e3_)))))).
Variable ax73_73 : ~((e0_ = (op_ (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_)))) /\ (e4_ = (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) /\ (e1_ = (op_ e2_ e3_) /\ e5_ = (op_ (op_ e2_ e3_) (op_ e2_ e3_)))))).
Variable ax74_74 : ~((e0_ = (op_ (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_)))) /\ (e4_ = (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) /\ (e2_ = (op_ e5_ e3_) /\ e1_ = (op_ (op_ e5_ e3_) (op_ e5_ e3_)))))).
Variable ax75_75 : ~((e0_ = (op_ (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_)))) /\ (e4_ = (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) /\ (e2_ = (op_ e1_ e3_) /\ e5_ = (op_ (op_ e1_ e3_) (op_ e1_ e3_)))))).
Variable ax76_76 : ~((e0_ = (op_ (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_)))) /\ (e4_ = (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) /\ (e5_ = (op_ e2_ e3_) /\ e1_ = (op_ (op_ e2_ e3_) (op_ e2_ e3_)))))).
Variable ax77_77 : ~((e0_ = (op_ (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_)))) /\ (e4_ = (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) /\ (e5_ = (op_ e1_ e3_) /\ e2_ = (op_ (op_ e1_ e3_) (op_ e1_ e3_)))))).
Variable ax78_78 : ~((e0_ = (op_ (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_)))) /\ (e5_ = (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) /\ (e1_ = (op_ e4_ e3_) /\ e2_ = (op_ (op_ e4_ e3_) (op_ e4_ e3_)))))).
Variable ax79_79 : ~((e0_ = (op_ (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_)))) /\ (e5_ = (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) /\ (e1_ = (op_ e2_ e3_) /\ e4_ = (op_ (op_ e2_ e3_) (op_ e2_ e3_)))))).
Variable ax80_80 : ~((e0_ = (op_ (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_)))) /\ (e5_ = (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) /\ (e2_ = (op_ e4_ e3_) /\ e1_ = (op_ (op_ e4_ e3_) (op_ e4_ e3_)))))).
Variable ax81_81 : ~((e0_ = (op_ (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_)))) /\ (e5_ = (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) /\ (e2_ = (op_ e1_ e3_) /\ e4_ = (op_ (op_ e1_ e3_) (op_ e1_ e3_)))))).
Variable ax82_82 : ~((e0_ = (op_ (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_)))) /\ (e5_ = (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) /\ (e4_ = (op_ e2_ e3_) /\ e1_ = (op_ (op_ e2_ e3_) (op_ e2_ e3_)))))).
Variable ax83_83 : ~((e0_ = (op_ (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_)))) /\ (e5_ = (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) /\ (e4_ = (op_ e1_ e3_) /\ e2_ = (op_ (op_ e1_ e3_) (op_ e1_ e3_)))))).
Variable ax84_84 : ~((e0_ = (op_ (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_)))) /\ (e1_ = (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) /\ (e2_ = (op_ e5_ e4_) /\ e3_ = (op_ (op_ e5_ e4_) (op_ e5_ e4_)))))).
Variable ax85_85 : ~((e0_ = (op_ (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_)))) /\ (e1_ = (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) /\ (e2_ = (op_ e3_ e4_) /\ e5_ = (op_ (op_ e3_ e4_) (op_ e3_ e4_)))))).
Variable ax86_86 : ~((e0_ = (op_ (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_)))) /\ (e1_ = (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) /\ (e3_ = (op_ e5_ e4_) /\ e2_ = (op_ (op_ e5_ e4_) (op_ e5_ e4_)))))).
Variable ax87_87 : ~((e0_ = (op_ (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_)))) /\ (e1_ = (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) /\ (e3_ = (op_ e2_ e4_) /\ e5_ = (op_ (op_ e2_ e4_) (op_ e2_ e4_)))))).
Variable ax88_88 : ~((e0_ = (op_ (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_)))) /\ (e1_ = (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) /\ (e5_ = (op_ e3_ e4_) /\ e2_ = (op_ (op_ e3_ e4_) (op_ e3_ e4_)))))).
Variable ax89_89 : ~((e0_ = (op_ (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_)))) /\ (e1_ = (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) /\ (e5_ = (op_ e2_ e4_) /\ e3_ = (op_ (op_ e2_ e4_) (op_ e2_ e4_)))))).
Variable ax90_90 : ~((e0_ = (op_ (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_)))) /\ (e2_ = (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) /\ (e1_ = (op_ e5_ e4_) /\ e3_ = (op_ (op_ e5_ e4_) (op_ e5_ e4_)))))).
Variable ax91_91 : ~((e0_ = (op_ (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_)))) /\ (e2_ = (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) /\ (e1_ = (op_ e3_ e4_) /\ e5_ = (op_ (op_ e3_ e4_) (op_ e3_ e4_)))))).
Variable ax92_92 : ~((e0_ = (op_ (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_)))) /\ (e2_ = (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) /\ (e3_ = (op_ e5_ e4_) /\ e1_ = (op_ (op_ e5_ e4_) (op_ e5_ e4_)))))).
Variable ax93_93 : ~((e0_ = (op_ (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_)))) /\ (e2_ = (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) /\ (e3_ = (op_ e1_ e4_) /\ e5_ = (op_ (op_ e1_ e4_) (op_ e1_ e4_)))))).
Variable ax94_94 : ~((e0_ = (op_ (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_)))) /\ (e2_ = (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) /\ (e5_ = (op_ e3_ e4_) /\ e1_ = (op_ (op_ e3_ e4_) (op_ e3_ e4_)))))).
Variable ax95_95 : ~((e0_ = (op_ (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_)))) /\ (e2_ = (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) /\ (e5_ = (op_ e1_ e4_) /\ e3_ = (op_ (op_ e1_ e4_) (op_ e1_ e4_)))))).
Variable ax96_96 : ~((e0_ = (op_ (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_)))) /\ (e3_ = (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) /\ (e1_ = (op_ e5_ e4_) /\ e2_ = (op_ (op_ e5_ e4_) (op_ e5_ e4_)))))).
Variable ax97_97 : ~((e0_ = (op_ (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_)))) /\ (e3_ = (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) /\ (e1_ = (op_ e2_ e4_) /\ e5_ = (op_ (op_ e2_ e4_) (op_ e2_ e4_)))))).
Variable ax98_98 : ~((e0_ = (op_ (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_)))) /\ (e3_ = (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) /\ (e2_ = (op_ e5_ e4_) /\ e1_ = (op_ (op_ e5_ e4_) (op_ e5_ e4_)))))).
Variable ax99_99 : ~((e0_ = (op_ (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_)))) /\ (e3_ = (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) /\ (e2_ = (op_ e1_ e4_) /\ e5_ = (op_ (op_ e1_ e4_) (op_ e1_ e4_)))))).
Variable ax100_100 : ~((e0_ = (op_ (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_)))) /\ (e3_ = (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) /\ (e5_ = (op_ e2_ e4_) /\ e1_ = (op_ (op_ e2_ e4_) (op_ e2_ e4_)))))).
Variable ax101_101 : ~((e0_ = (op_ (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_)))) /\ (e3_ = (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) /\ (e5_ = (op_ e1_ e4_) /\ e2_ = (op_ (op_ e1_ e4_) (op_ e1_ e4_)))))).
Variable ax102_102 : ~((e0_ = (op_ (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_)))) /\ (e5_ = (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) /\ (e1_ = (op_ e3_ e4_) /\ e2_ = (op_ (op_ e3_ e4_) (op_ e3_ e4_)))))).
Variable ax103_103 : ~((e0_ = (op_ (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_)))) /\ (e5_ = (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) /\ (e1_ = (op_ e2_ e4_) /\ e3_ = (op_ (op_ e2_ e4_) (op_ e2_ e4_)))))).
Variable ax104_104 : ~((e0_ = (op_ (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_)))) /\ (e5_ = (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) /\ (e2_ = (op_ e3_ e4_) /\ e1_ = (op_ (op_ e3_ e4_) (op_ e3_ e4_)))))).
Variable ax105_105 : ~((e0_ = (op_ (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_)))) /\ (e5_ = (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) /\ (e2_ = (op_ e1_ e4_) /\ e3_ = (op_ (op_ e1_ e4_) (op_ e1_ e4_)))))).
Variable ax106_106 : ~((e0_ = (op_ (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_)))) /\ (e5_ = (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) /\ (e3_ = (op_ e2_ e4_) /\ e1_ = (op_ (op_ e2_ e4_) (op_ e2_ e4_)))))).
Variable ax107_107 : ~((e0_ = (op_ (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_)))) /\ (e5_ = (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) /\ (e3_ = (op_ e1_ e4_) /\ e2_ = (op_ (op_ e1_ e4_) (op_ e1_ e4_)))))).
Variable ax108_108 : ~((e0_ = (op_ (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_)))) /\ (e1_ = (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) /\ (e2_ = (op_ e4_ e5_) /\ e3_ = (op_ (op_ e4_ e5_) (op_ e4_ e5_)))))).
Variable ax109_109 : ~((e0_ = (op_ (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_)))) /\ (e1_ = (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) /\ (e2_ = (op_ e3_ e5_) /\ e4_ = (op_ (op_ e3_ e5_) (op_ e3_ e5_)))))).
Variable ax110_110 : ~((e0_ = (op_ (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_)))) /\ (e1_ = (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) /\ (e3_ = (op_ e4_ e5_) /\ e2_ = (op_ (op_ e4_ e5_) (op_ e4_ e5_)))))).
Variable ax111_111 : ~((e0_ = (op_ (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_)))) /\ (e1_ = (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) /\ (e3_ = (op_ e2_ e5_) /\ e4_ = (op_ (op_ e2_ e5_) (op_ e2_ e5_)))))).
Variable ax112_112 : ~((e0_ = (op_ (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_)))) /\ (e1_ = (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) /\ (e4_ = (op_ e3_ e5_) /\ e2_ = (op_ (op_ e3_ e5_) (op_ e3_ e5_)))))).
Variable ax113_113 : ~((e0_ = (op_ (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_)))) /\ (e1_ = (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) /\ (e4_ = (op_ e2_ e5_) /\ e3_ = (op_ (op_ e2_ e5_) (op_ e2_ e5_)))))).
Variable ax114_114 : ~((e0_ = (op_ (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_)))) /\ (e2_ = (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) /\ (e1_ = (op_ e4_ e5_) /\ e3_ = (op_ (op_ e4_ e5_) (op_ e4_ e5_)))))).
Variable ax115_115 : ~((e0_ = (op_ (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_)))) /\ (e2_ = (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) /\ (e1_ = (op_ e3_ e5_) /\ e4_ = (op_ (op_ e3_ e5_) (op_ e3_ e5_)))))).
Variable ax116_116 : ~((e0_ = (op_ (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_)))) /\ (e2_ = (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) /\ (e3_ = (op_ e4_ e5_) /\ e1_ = (op_ (op_ e4_ e5_) (op_ e4_ e5_)))))).
Variable ax117_117 : ~((e0_ = (op_ (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_)))) /\ (e2_ = (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) /\ (e3_ = (op_ e1_ e5_) /\ e4_ = (op_ (op_ e1_ e5_) (op_ e1_ e5_)))))).
Variable ax118_118 : ~((e0_ = (op_ (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_)))) /\ (e2_ = (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) /\ (e4_ = (op_ e3_ e5_) /\ e1_ = (op_ (op_ e3_ e5_) (op_ e3_ e5_)))))).
Variable ax119_119 : ~((e0_ = (op_ (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_)))) /\ (e2_ = (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) /\ (e4_ = (op_ e1_ e5_) /\ e3_ = (op_ (op_ e1_ e5_) (op_ e1_ e5_)))))).
Variable ax120_120 : ~((e0_ = (op_ (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_)))) /\ (e3_ = (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) /\ (e1_ = (op_ e4_ e5_) /\ e2_ = (op_ (op_ e4_ e5_) (op_ e4_ e5_)))))).
Variable ax121_121 : ~((e0_ = (op_ (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_)))) /\ (e3_ = (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) /\ (e1_ = (op_ e2_ e5_) /\ e4_ = (op_ (op_ e2_ e5_) (op_ e2_ e5_)))))).
Variable ax122_122 : ~((e0_ = (op_ (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_)))) /\ (e3_ = (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) /\ (e2_ = (op_ e4_ e5_) /\ e1_ = (op_ (op_ e4_ e5_) (op_ e4_ e5_)))))).
Variable ax123_123 : ~((e0_ = (op_ (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_)))) /\ (e3_ = (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) /\ (e2_ = (op_ e1_ e5_) /\ e4_ = (op_ (op_ e1_ e5_) (op_ e1_ e5_)))))).
Variable ax124_124 : ~((e0_ = (op_ (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_)))) /\ (e3_ = (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) /\ (e4_ = (op_ e2_ e5_) /\ e1_ = (op_ (op_ e2_ e5_) (op_ e2_ e5_)))))).
Variable ax125_125 : ~((e0_ = (op_ (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_)))) /\ (e3_ = (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) /\ (e4_ = (op_ e1_ e5_) /\ e2_ = (op_ (op_ e1_ e5_) (op_ e1_ e5_)))))).
Variable ax126_126 : ~((e0_ = (op_ (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_)))) /\ (e4_ = (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) /\ (e1_ = (op_ e3_ e5_) /\ e2_ = (op_ (op_ e3_ e5_) (op_ e3_ e5_)))))).
Variable ax127_127 : ~((e0_ = (op_ (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_)))) /\ (e4_ = (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) /\ (e1_ = (op_ e2_ e5_) /\ e3_ = (op_ (op_ e2_ e5_) (op_ e2_ e5_)))))).
Variable ax128_128 : ~((e0_ = (op_ (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_)))) /\ (e4_ = (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) /\ (e2_ = (op_ e3_ e5_) /\ e1_ = (op_ (op_ e3_ e5_) (op_ e3_ e5_)))))).
Variable ax129_129 : ~((e0_ = (op_ (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_)))) /\ (e4_ = (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) /\ (e2_ = (op_ e1_ e5_) /\ e3_ = (op_ (op_ e1_ e5_) (op_ e1_ e5_)))))).
Variable ax130_130 : ~((e0_ = (op_ (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_)))) /\ (e4_ = (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) /\ (e3_ = (op_ e2_ e5_) /\ e1_ = (op_ (op_ e2_ e5_) (op_ e2_ e5_)))))).
Variable ax131_131 : ~((e0_ = (op_ (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_)))) /\ (e4_ = (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) /\ (e3_ = (op_ e1_ e5_) /\ e2_ = (op_ (op_ e1_ e5_) (op_ e1_ e5_)))))).
Variable ax132_132 : ~((e1_ = (op_ (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_)))) /\ (e2_ = (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) /\ (e3_ = (op_ e5_ e0_) /\ e4_ = (op_ (op_ e5_ e0_) (op_ e5_ e0_)))))).
Variable ax133_133 : ~((e1_ = (op_ (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_)))) /\ (e2_ = (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) /\ (e3_ = (op_ e4_ e0_) /\ e5_ = (op_ (op_ e4_ e0_) (op_ e4_ e0_)))))).
Variable ax134_134 : ~((e1_ = (op_ (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_)))) /\ (e2_ = (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) /\ (e4_ = (op_ e5_ e0_) /\ e3_ = (op_ (op_ e5_ e0_) (op_ e5_ e0_)))))).
Variable ax135_135 : ~((e1_ = (op_ (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_)))) /\ (e2_ = (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) /\ (e4_ = (op_ e3_ e0_) /\ e5_ = (op_ (op_ e3_ e0_) (op_ e3_ e0_)))))).
Variable ax136_136 : ~((e1_ = (op_ (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_)))) /\ (e2_ = (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) /\ (e5_ = (op_ e4_ e0_) /\ e3_ = (op_ (op_ e4_ e0_) (op_ e4_ e0_)))))).
Variable ax137_137 : ~((e1_ = (op_ (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_)))) /\ (e2_ = (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) /\ (e5_ = (op_ e3_ e0_) /\ e4_ = (op_ (op_ e3_ e0_) (op_ e3_ e0_)))))).
Variable ax138_138 : ~((e1_ = (op_ (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_)))) /\ (e3_ = (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) /\ (e2_ = (op_ e5_ e0_) /\ e4_ = (op_ (op_ e5_ e0_) (op_ e5_ e0_)))))).
Variable ax139_139 : ~((e1_ = (op_ (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_)))) /\ (e3_ = (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) /\ (e2_ = (op_ e4_ e0_) /\ e5_ = (op_ (op_ e4_ e0_) (op_ e4_ e0_)))))).
Variable ax140_140 : ~((e1_ = (op_ (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_)))) /\ (e3_ = (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) /\ (e4_ = (op_ e5_ e0_) /\ e2_ = (op_ (op_ e5_ e0_) (op_ e5_ e0_)))))).
Variable ax141_141 : ~((e1_ = (op_ (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_)))) /\ (e3_ = (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) /\ (e4_ = (op_ e2_ e0_) /\ e5_ = (op_ (op_ e2_ e0_) (op_ e2_ e0_)))))).
Variable ax142_142 : ~((e1_ = (op_ (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_)))) /\ (e3_ = (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) /\ (e5_ = (op_ e4_ e0_) /\ e2_ = (op_ (op_ e4_ e0_) (op_ e4_ e0_)))))).
Variable ax143_143 : ~((e1_ = (op_ (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_)))) /\ (e3_ = (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) /\ (e5_ = (op_ e2_ e0_) /\ e4_ = (op_ (op_ e2_ e0_) (op_ e2_ e0_)))))).
Variable ax144_144 : ~((e1_ = (op_ (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_)))) /\ (e4_ = (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) /\ (e2_ = (op_ e5_ e0_) /\ e3_ = (op_ (op_ e5_ e0_) (op_ e5_ e0_)))))).
Variable ax145_145 : ~((e1_ = (op_ (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_)))) /\ (e4_ = (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) /\ (e2_ = (op_ e3_ e0_) /\ e5_ = (op_ (op_ e3_ e0_) (op_ e3_ e0_)))))).
Variable ax146_146 : ~((e1_ = (op_ (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_)))) /\ (e4_ = (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) /\ (e3_ = (op_ e5_ e0_) /\ e2_ = (op_ (op_ e5_ e0_) (op_ e5_ e0_)))))).
Variable ax147_147 : ~((e1_ = (op_ (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_)))) /\ (e4_ = (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) /\ (e3_ = (op_ e2_ e0_) /\ e5_ = (op_ (op_ e2_ e0_) (op_ e2_ e0_)))))).
Variable ax148_148 : ~((e1_ = (op_ (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_)))) /\ (e4_ = (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) /\ (e5_ = (op_ e3_ e0_) /\ e2_ = (op_ (op_ e3_ e0_) (op_ e3_ e0_)))))).
Variable ax149_149 : ~((e1_ = (op_ (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_)))) /\ (e4_ = (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) /\ (e5_ = (op_ e2_ e0_) /\ e3_ = (op_ (op_ e2_ e0_) (op_ e2_ e0_)))))).
Variable ax150_150 : ~((e1_ = (op_ (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_)))) /\ (e5_ = (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) /\ (e2_ = (op_ e4_ e0_) /\ e3_ = (op_ (op_ e4_ e0_) (op_ e4_ e0_)))))).
Variable ax151_151 : ~((e1_ = (op_ (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_)))) /\ (e5_ = (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) /\ (e2_ = (op_ e3_ e0_) /\ e4_ = (op_ (op_ e3_ e0_) (op_ e3_ e0_)))))).
Variable ax152_152 : ~((e1_ = (op_ (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_)))) /\ (e5_ = (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) /\ (e3_ = (op_ e4_ e0_) /\ e2_ = (op_ (op_ e4_ e0_) (op_ e4_ e0_)))))).
Variable ax153_153 : ~((e1_ = (op_ (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_)))) /\ (e5_ = (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) /\ (e3_ = (op_ e2_ e0_) /\ e4_ = (op_ (op_ e2_ e0_) (op_ e2_ e0_)))))).
Variable ax154_154 : ~((e1_ = (op_ (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_)))) /\ (e5_ = (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) /\ (e4_ = (op_ e3_ e0_) /\ e2_ = (op_ (op_ e3_ e0_) (op_ e3_ e0_)))))).
Variable ax155_155 : ~((e1_ = (op_ (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_)))) /\ (e5_ = (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) /\ (e4_ = (op_ e2_ e0_) /\ e3_ = (op_ (op_ e2_ e0_) (op_ e2_ e0_)))))).
Variable ax156_156 : ~((e1_ = (op_ (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_)))) /\ (e0_ = (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) /\ (e3_ = (op_ e5_ e2_) /\ e4_ = (op_ (op_ e5_ e2_) (op_ e5_ e2_)))))).
Variable ax157_157 : ~((e1_ = (op_ (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_)))) /\ (e0_ = (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) /\ (e3_ = (op_ e4_ e2_) /\ e5_ = (op_ (op_ e4_ e2_) (op_ e4_ e2_)))))).
Variable ax158_158 : ~((e1_ = (op_ (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_)))) /\ (e0_ = (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) /\ (e4_ = (op_ e5_ e2_) /\ e3_ = (op_ (op_ e5_ e2_) (op_ e5_ e2_)))))).
Variable ax159_159 : ~((e1_ = (op_ (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_)))) /\ (e0_ = (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) /\ (e4_ = (op_ e3_ e2_) /\ e5_ = (op_ (op_ e3_ e2_) (op_ e3_ e2_)))))).
Variable ax160_160 : ~((e1_ = (op_ (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_)))) /\ (e0_ = (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) /\ (e5_ = (op_ e4_ e2_) /\ e3_ = (op_ (op_ e4_ e2_) (op_ e4_ e2_)))))).
Variable ax161_161 : ~((e1_ = (op_ (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_)))) /\ (e0_ = (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) /\ (e5_ = (op_ e3_ e2_) /\ e4_ = (op_ (op_ e3_ e2_) (op_ e3_ e2_)))))).
Variable ax162_162 : ~((e1_ = (op_ (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_)))) /\ (e3_ = (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) /\ (e0_ = (op_ e5_ e2_) /\ e4_ = (op_ (op_ e5_ e2_) (op_ e5_ e2_)))))).
Variable ax163_163 : ~((e1_ = (op_ (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_)))) /\ (e3_ = (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) /\ (e0_ = (op_ e4_ e2_) /\ e5_ = (op_ (op_ e4_ e2_) (op_ e4_ e2_)))))).
Variable ax164_164 : ~((e1_ = (op_ (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_)))) /\ (e3_ = (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) /\ (e4_ = (op_ e5_ e2_) /\ e0_ = (op_ (op_ e5_ e2_) (op_ e5_ e2_)))))).
Variable ax165_165 : ~((e1_ = (op_ (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_)))) /\ (e3_ = (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) /\ (e4_ = (op_ e0_ e2_) /\ e5_ = (op_ (op_ e0_ e2_) (op_ e0_ e2_)))))).
Variable ax166_166 : ~((e1_ = (op_ (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_)))) /\ (e3_ = (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) /\ (e5_ = (op_ e4_ e2_) /\ e0_ = (op_ (op_ e4_ e2_) (op_ e4_ e2_)))))).
Variable ax167_167 : ~((e1_ = (op_ (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_)))) /\ (e3_ = (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) /\ (e5_ = (op_ e0_ e2_) /\ e4_ = (op_ (op_ e0_ e2_) (op_ e0_ e2_)))))).
Variable ax168_168 : ~((e1_ = (op_ (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_)))) /\ (e4_ = (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) /\ (e0_ = (op_ e5_ e2_) /\ e3_ = (op_ (op_ e5_ e2_) (op_ e5_ e2_)))))).
Variable ax169_169 : ~((e1_ = (op_ (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_)))) /\ (e4_ = (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) /\ (e0_ = (op_ e3_ e2_) /\ e5_ = (op_ (op_ e3_ e2_) (op_ e3_ e2_)))))).
Variable ax170_170 : ~((e1_ = (op_ (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_)))) /\ (e4_ = (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) /\ (e3_ = (op_ e5_ e2_) /\ e0_ = (op_ (op_ e5_ e2_) (op_ e5_ e2_)))))).
Variable ax171_171 : ~((e1_ = (op_ (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_)))) /\ (e4_ = (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) /\ (e3_ = (op_ e0_ e2_) /\ e5_ = (op_ (op_ e0_ e2_) (op_ e0_ e2_)))))).
Variable ax172_172 : ~((e1_ = (op_ (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_)))) /\ (e4_ = (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) /\ (e5_ = (op_ e3_ e2_) /\ e0_ = (op_ (op_ e3_ e2_) (op_ e3_ e2_)))))).
Variable ax173_173 : ~((e1_ = (op_ (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_)))) /\ (e4_ = (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) /\ (e5_ = (op_ e0_ e2_) /\ e3_ = (op_ (op_ e0_ e2_) (op_ e0_ e2_)))))).
Variable ax174_174 : ~((e1_ = (op_ (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_)))) /\ (e5_ = (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) /\ (e0_ = (op_ e4_ e2_) /\ e3_ = (op_ (op_ e4_ e2_) (op_ e4_ e2_)))))).
Variable ax175_175 : ~((e1_ = (op_ (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_)))) /\ (e5_ = (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) /\ (e0_ = (op_ e3_ e2_) /\ e4_ = (op_ (op_ e3_ e2_) (op_ e3_ e2_)))))).
Variable ax176_176 : ~((e1_ = (op_ (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_)))) /\ (e5_ = (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) /\ (e3_ = (op_ e4_ e2_) /\ e0_ = (op_ (op_ e4_ e2_) (op_ e4_ e2_)))))).
Variable ax177_177 : ~((e1_ = (op_ (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_)))) /\ (e5_ = (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) /\ (e3_ = (op_ e0_ e2_) /\ e4_ = (op_ (op_ e0_ e2_) (op_ e0_ e2_)))))).
Variable ax178_178 : ~((e1_ = (op_ (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_)))) /\ (e5_ = (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) /\ (e4_ = (op_ e3_ e2_) /\ e0_ = (op_ (op_ e3_ e2_) (op_ e3_ e2_)))))).
Variable ax179_179 : ~((e1_ = (op_ (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_)))) /\ (e5_ = (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) /\ (e4_ = (op_ e0_ e2_) /\ e3_ = (op_ (op_ e0_ e2_) (op_ e0_ e2_)))))).
Variable ax180_180 : ~((e1_ = (op_ (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_)))) /\ (e0_ = (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) /\ (e2_ = (op_ e5_ e3_) /\ e4_ = (op_ (op_ e5_ e3_) (op_ e5_ e3_)))))).
Variable ax181_181 : ~((e1_ = (op_ (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_)))) /\ (e0_ = (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) /\ (e2_ = (op_ e4_ e3_) /\ e5_ = (op_ (op_ e4_ e3_) (op_ e4_ e3_)))))).
Variable ax182_182 : ~((e1_ = (op_ (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_)))) /\ (e0_ = (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) /\ (e4_ = (op_ e5_ e3_) /\ e2_ = (op_ (op_ e5_ e3_) (op_ e5_ e3_)))))).
Variable ax183_183 : ~((e1_ = (op_ (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_)))) /\ (e0_ = (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) /\ (e4_ = (op_ e2_ e3_) /\ e5_ = (op_ (op_ e2_ e3_) (op_ e2_ e3_)))))).
Variable ax184_184 : ~((e1_ = (op_ (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_)))) /\ (e0_ = (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) /\ (e5_ = (op_ e4_ e3_) /\ e2_ = (op_ (op_ e4_ e3_) (op_ e4_ e3_)))))).
Variable ax185_185 : ~((e1_ = (op_ (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_)))) /\ (e0_ = (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) /\ (e5_ = (op_ e2_ e3_) /\ e4_ = (op_ (op_ e2_ e3_) (op_ e2_ e3_)))))).
Variable ax186_186 : ~((e1_ = (op_ (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_)))) /\ (e2_ = (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) /\ (e0_ = (op_ e5_ e3_) /\ e4_ = (op_ (op_ e5_ e3_) (op_ e5_ e3_)))))).
Variable ax187_187 : ~((e1_ = (op_ (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_)))) /\ (e2_ = (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) /\ (e0_ = (op_ e4_ e3_) /\ e5_ = (op_ (op_ e4_ e3_) (op_ e4_ e3_)))))).
Variable ax188_188 : ~((e1_ = (op_ (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_)))) /\ (e2_ = (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) /\ (e4_ = (op_ e5_ e3_) /\ e0_ = (op_ (op_ e5_ e3_) (op_ e5_ e3_)))))).
Variable ax189_189 : ~((e1_ = (op_ (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_)))) /\ (e2_ = (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) /\ (e4_ = (op_ e0_ e3_) /\ e5_ = (op_ (op_ e0_ e3_) (op_ e0_ e3_)))))).
Variable ax190_190 : ~((e1_ = (op_ (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_)))) /\ (e2_ = (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) /\ (e5_ = (op_ e4_ e3_) /\ e0_ = (op_ (op_ e4_ e3_) (op_ e4_ e3_)))))).
Variable ax191_191 : ~((e1_ = (op_ (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_)))) /\ (e2_ = (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) /\ (e5_ = (op_ e0_ e3_) /\ e4_ = (op_ (op_ e0_ e3_) (op_ e0_ e3_)))))).
Variable ax192_192 : ~((e1_ = (op_ (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_)))) /\ (e4_ = (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) /\ (e0_ = (op_ e5_ e3_) /\ e2_ = (op_ (op_ e5_ e3_) (op_ e5_ e3_)))))).
Variable ax193_193 : ~((e1_ = (op_ (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_)))) /\ (e4_ = (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) /\ (e0_ = (op_ e2_ e3_) /\ e5_ = (op_ (op_ e2_ e3_) (op_ e2_ e3_)))))).
Variable ax194_194 : ~((e1_ = (op_ (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_)))) /\ (e4_ = (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) /\ (e2_ = (op_ e5_ e3_) /\ e0_ = (op_ (op_ e5_ e3_) (op_ e5_ e3_)))))).
Variable ax195_195 : ~((e1_ = (op_ (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_)))) /\ (e4_ = (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) /\ (e2_ = (op_ e0_ e3_) /\ e5_ = (op_ (op_ e0_ e3_) (op_ e0_ e3_)))))).
Variable ax196_196 : ~((e1_ = (op_ (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_)))) /\ (e4_ = (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) /\ (e5_ = (op_ e2_ e3_) /\ e0_ = (op_ (op_ e2_ e3_) (op_ e2_ e3_)))))).
Variable ax197_197 : ~((e1_ = (op_ (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_)))) /\ (e4_ = (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) /\ (e5_ = (op_ e0_ e3_) /\ e2_ = (op_ (op_ e0_ e3_) (op_ e0_ e3_)))))).
Variable ax198_198 : ~((e1_ = (op_ (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_)))) /\ (e5_ = (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) /\ (e0_ = (op_ e4_ e3_) /\ e2_ = (op_ (op_ e4_ e3_) (op_ e4_ e3_)))))).
Variable ax199_199 : ~((e1_ = (op_ (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_)))) /\ (e5_ = (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) /\ (e0_ = (op_ e2_ e3_) /\ e4_ = (op_ (op_ e2_ e3_) (op_ e2_ e3_)))))).
Variable ax200_200 : ~((e1_ = (op_ (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_)))) /\ (e5_ = (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) /\ (e2_ = (op_ e4_ e3_) /\ e0_ = (op_ (op_ e4_ e3_) (op_ e4_ e3_)))))).
Variable ax201_201 : ~((e1_ = (op_ (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_)))) /\ (e5_ = (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) /\ (e2_ = (op_ e0_ e3_) /\ e4_ = (op_ (op_ e0_ e3_) (op_ e0_ e3_)))))).
Variable ax202_202 : ~((e1_ = (op_ (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_)))) /\ (e5_ = (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) /\ (e4_ = (op_ e2_ e3_) /\ e0_ = (op_ (op_ e2_ e3_) (op_ e2_ e3_)))))).
Variable ax203_203 : ~((e1_ = (op_ (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_)))) /\ (e5_ = (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) /\ (e4_ = (op_ e0_ e3_) /\ e2_ = (op_ (op_ e0_ e3_) (op_ e0_ e3_)))))).
Variable ax204_204 : ~((e1_ = (op_ (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_)))) /\ (e0_ = (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) /\ (e2_ = (op_ e5_ e4_) /\ e3_ = (op_ (op_ e5_ e4_) (op_ e5_ e4_)))))).
Variable ax205_205 : ~((e1_ = (op_ (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_)))) /\ (e0_ = (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) /\ (e2_ = (op_ e3_ e4_) /\ e5_ = (op_ (op_ e3_ e4_) (op_ e3_ e4_)))))).
Variable ax206_206 : ~((e1_ = (op_ (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_)))) /\ (e0_ = (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) /\ (e3_ = (op_ e5_ e4_) /\ e2_ = (op_ (op_ e5_ e4_) (op_ e5_ e4_)))))).
Variable ax207_207 : ~((e1_ = (op_ (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_)))) /\ (e0_ = (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) /\ (e3_ = (op_ e2_ e4_) /\ e5_ = (op_ (op_ e2_ e4_) (op_ e2_ e4_)))))).
Variable ax208_208 : ~((e1_ = (op_ (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_)))) /\ (e0_ = (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) /\ (e5_ = (op_ e3_ e4_) /\ e2_ = (op_ (op_ e3_ e4_) (op_ e3_ e4_)))))).
Variable ax209_209 : ~((e1_ = (op_ (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_)))) /\ (e0_ = (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) /\ (e5_ = (op_ e2_ e4_) /\ e3_ = (op_ (op_ e2_ e4_) (op_ e2_ e4_)))))).
Variable ax210_210 : ~((e1_ = (op_ (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_)))) /\ (e2_ = (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) /\ (e0_ = (op_ e5_ e4_) /\ e3_ = (op_ (op_ e5_ e4_) (op_ e5_ e4_)))))).
Variable ax211_211 : ~((e1_ = (op_ (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_)))) /\ (e2_ = (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) /\ (e0_ = (op_ e3_ e4_) /\ e5_ = (op_ (op_ e3_ e4_) (op_ e3_ e4_)))))).
Variable ax212_212 : ~((e1_ = (op_ (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_)))) /\ (e2_ = (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) /\ (e3_ = (op_ e5_ e4_) /\ e0_ = (op_ (op_ e5_ e4_) (op_ e5_ e4_)))))).
Variable ax213_213 : ~((e1_ = (op_ (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_)))) /\ (e2_ = (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) /\ (e3_ = (op_ e0_ e4_) /\ e5_ = (op_ (op_ e0_ e4_) (op_ e0_ e4_)))))).
Variable ax214_214 : ~((e1_ = (op_ (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_)))) /\ (e2_ = (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) /\ (e5_ = (op_ e3_ e4_) /\ e0_ = (op_ (op_ e3_ e4_) (op_ e3_ e4_)))))).
Variable ax215_215 : ~((e1_ = (op_ (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_)))) /\ (e2_ = (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) /\ (e5_ = (op_ e0_ e4_) /\ e3_ = (op_ (op_ e0_ e4_) (op_ e0_ e4_)))))).
Variable ax216_216 : ~((e1_ = (op_ (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_)))) /\ (e3_ = (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) /\ (e0_ = (op_ e5_ e4_) /\ e2_ = (op_ (op_ e5_ e4_) (op_ e5_ e4_)))))).
Variable ax217_217 : ~((e1_ = (op_ (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_)))) /\ (e3_ = (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) /\ (e0_ = (op_ e2_ e4_) /\ e5_ = (op_ (op_ e2_ e4_) (op_ e2_ e4_)))))).
Variable ax218_218 : ~((e1_ = (op_ (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_)))) /\ (e3_ = (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) /\ (e2_ = (op_ e5_ e4_) /\ e0_ = (op_ (op_ e5_ e4_) (op_ e5_ e4_)))))).
Variable ax219_219 : ~((e1_ = (op_ (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_)))) /\ (e3_ = (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) /\ (e2_ = (op_ e0_ e4_) /\ e5_ = (op_ (op_ e0_ e4_) (op_ e0_ e4_)))))).
Variable ax220_220 : ~((e1_ = (op_ (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_)))) /\ (e3_ = (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) /\ (e5_ = (op_ e2_ e4_) /\ e0_ = (op_ (op_ e2_ e4_) (op_ e2_ e4_)))))).
Variable ax221_221 : ~((e1_ = (op_ (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_)))) /\ (e3_ = (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) /\ (e5_ = (op_ e0_ e4_) /\ e2_ = (op_ (op_ e0_ e4_) (op_ e0_ e4_)))))).
Variable ax222_222 : ~((e1_ = (op_ (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_)))) /\ (e5_ = (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) /\ (e0_ = (op_ e3_ e4_) /\ e2_ = (op_ (op_ e3_ e4_) (op_ e3_ e4_)))))).
Variable ax223_223 : ~((e1_ = (op_ (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_)))) /\ (e5_ = (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) /\ (e0_ = (op_ e2_ e4_) /\ e3_ = (op_ (op_ e2_ e4_) (op_ e2_ e4_)))))).
Variable ax224_224 : ~((e1_ = (op_ (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_)))) /\ (e5_ = (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) /\ (e2_ = (op_ e3_ e4_) /\ e0_ = (op_ (op_ e3_ e4_) (op_ e3_ e4_)))))).
Variable ax225_225 : ~((e1_ = (op_ (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_)))) /\ (e5_ = (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) /\ (e2_ = (op_ e0_ e4_) /\ e3_ = (op_ (op_ e0_ e4_) (op_ e0_ e4_)))))).
Variable ax226_226 : ~((e1_ = (op_ (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_)))) /\ (e5_ = (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) /\ (e3_ = (op_ e2_ e4_) /\ e0_ = (op_ (op_ e2_ e4_) (op_ e2_ e4_)))))).
Variable ax227_227 : ~((e1_ = (op_ (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_)))) /\ (e5_ = (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) /\ (e3_ = (op_ e0_ e4_) /\ e2_ = (op_ (op_ e0_ e4_) (op_ e0_ e4_)))))).
Variable ax228_228 : ~((e1_ = (op_ (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_)))) /\ (e0_ = (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) /\ (e2_ = (op_ e4_ e5_) /\ e3_ = (op_ (op_ e4_ e5_) (op_ e4_ e5_)))))).
Variable ax229_229 : ~((e1_ = (op_ (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_)))) /\ (e0_ = (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) /\ (e2_ = (op_ e3_ e5_) /\ e4_ = (op_ (op_ e3_ e5_) (op_ e3_ e5_)))))).
Variable ax230_230 : ~((e1_ = (op_ (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_)))) /\ (e0_ = (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) /\ (e3_ = (op_ e4_ e5_) /\ e2_ = (op_ (op_ e4_ e5_) (op_ e4_ e5_)))))).
Variable ax231_231 : ~((e1_ = (op_ (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_)))) /\ (e0_ = (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) /\ (e3_ = (op_ e2_ e5_) /\ e4_ = (op_ (op_ e2_ e5_) (op_ e2_ e5_)))))).
Variable ax232_232 : ~((e1_ = (op_ (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_)))) /\ (e0_ = (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) /\ (e4_ = (op_ e3_ e5_) /\ e2_ = (op_ (op_ e3_ e5_) (op_ e3_ e5_)))))).
Variable ax233_233 : ~((e1_ = (op_ (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_)))) /\ (e0_ = (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) /\ (e4_ = (op_ e2_ e5_) /\ e3_ = (op_ (op_ e2_ e5_) (op_ e2_ e5_)))))).
Variable ax234_234 : ~((e1_ = (op_ (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_)))) /\ (e2_ = (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) /\ (e0_ = (op_ e4_ e5_) /\ e3_ = (op_ (op_ e4_ e5_) (op_ e4_ e5_)))))).
Variable ax235_235 : ~((e1_ = (op_ (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_)))) /\ (e2_ = (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) /\ (e0_ = (op_ e3_ e5_) /\ e4_ = (op_ (op_ e3_ e5_) (op_ e3_ e5_)))))).
Variable ax236_236 : ~((e1_ = (op_ (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_)))) /\ (e2_ = (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) /\ (e3_ = (op_ e4_ e5_) /\ e0_ = (op_ (op_ e4_ e5_) (op_ e4_ e5_)))))).
Variable ax237_237 : ~((e1_ = (op_ (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_)))) /\ (e2_ = (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) /\ (e3_ = (op_ e0_ e5_) /\ e4_ = (op_ (op_ e0_ e5_) (op_ e0_ e5_)))))).
Variable ax238_238 : ~((e1_ = (op_ (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_)))) /\ (e2_ = (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) /\ (e4_ = (op_ e3_ e5_) /\ e0_ = (op_ (op_ e3_ e5_) (op_ e3_ e5_)))))).
Variable ax239_239 : ~((e1_ = (op_ (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_)))) /\ (e2_ = (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) /\ (e4_ = (op_ e0_ e5_) /\ e3_ = (op_ (op_ e0_ e5_) (op_ e0_ e5_)))))).
Variable ax240_240 : ~((e1_ = (op_ (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_)))) /\ (e3_ = (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) /\ (e0_ = (op_ e4_ e5_) /\ e2_ = (op_ (op_ e4_ e5_) (op_ e4_ e5_)))))).
Variable ax241_241 : ~((e1_ = (op_ (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_)))) /\ (e3_ = (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) /\ (e0_ = (op_ e2_ e5_) /\ e4_ = (op_ (op_ e2_ e5_) (op_ e2_ e5_)))))).
Variable ax242_242 : ~((e1_ = (op_ (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_)))) /\ (e3_ = (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) /\ (e2_ = (op_ e4_ e5_) /\ e0_ = (op_ (op_ e4_ e5_) (op_ e4_ e5_)))))).
Variable ax243_243 : ~((e1_ = (op_ (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_)))) /\ (e3_ = (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) /\ (e2_ = (op_ e0_ e5_) /\ e4_ = (op_ (op_ e0_ e5_) (op_ e0_ e5_)))))).
Variable ax244_244 : ~((e1_ = (op_ (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_)))) /\ (e3_ = (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) /\ (e4_ = (op_ e2_ e5_) /\ e0_ = (op_ (op_ e2_ e5_) (op_ e2_ e5_)))))).
Variable ax245_245 : ~((e1_ = (op_ (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_)))) /\ (e3_ = (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) /\ (e4_ = (op_ e0_ e5_) /\ e2_ = (op_ (op_ e0_ e5_) (op_ e0_ e5_)))))).
Variable ax246_246 : ~((e1_ = (op_ (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_)))) /\ (e4_ = (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) /\ (e0_ = (op_ e3_ e5_) /\ e2_ = (op_ (op_ e3_ e5_) (op_ e3_ e5_)))))).
Variable ax247_247 : ~((e1_ = (op_ (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_)))) /\ (e4_ = (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) /\ (e0_ = (op_ e2_ e5_) /\ e3_ = (op_ (op_ e2_ e5_) (op_ e2_ e5_)))))).
Variable ax248_248 : ~((e1_ = (op_ (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_)))) /\ (e4_ = (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) /\ (e2_ = (op_ e3_ e5_) /\ e0_ = (op_ (op_ e3_ e5_) (op_ e3_ e5_)))))).
Variable ax249_249 : ~((e1_ = (op_ (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_)))) /\ (e4_ = (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) /\ (e2_ = (op_ e0_ e5_) /\ e3_ = (op_ (op_ e0_ e5_) (op_ e0_ e5_)))))).
Variable ax250_250 : ~((e1_ = (op_ (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_)))) /\ (e4_ = (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) /\ (e3_ = (op_ e2_ e5_) /\ e0_ = (op_ (op_ e2_ e5_) (op_ e2_ e5_)))))).
Variable ax251_251 : ~((e1_ = (op_ (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_)))) /\ (e4_ = (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) /\ (e3_ = (op_ e0_ e5_) /\ e2_ = (op_ (op_ e0_ e5_) (op_ e0_ e5_)))))).
Variable ax252_252 : ~((e2_ = (op_ (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_)))) /\ (e1_ = (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) /\ (e3_ = (op_ e5_ e0_) /\ e4_ = (op_ (op_ e5_ e0_) (op_ e5_ e0_)))))).
Variable ax253_253 : ~((e2_ = (op_ (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_)))) /\ (e1_ = (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) /\ (e3_ = (op_ e4_ e0_) /\ e5_ = (op_ (op_ e4_ e0_) (op_ e4_ e0_)))))).
Variable ax254_254 : ~((e2_ = (op_ (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_)))) /\ (e1_ = (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) /\ (e4_ = (op_ e5_ e0_) /\ e3_ = (op_ (op_ e5_ e0_) (op_ e5_ e0_)))))).
Variable ax255_255 : ~((e2_ = (op_ (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_)))) /\ (e1_ = (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) /\ (e4_ = (op_ e3_ e0_) /\ e5_ = (op_ (op_ e3_ e0_) (op_ e3_ e0_)))))).
Variable ax256_256 : ~((e2_ = (op_ (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_)))) /\ (e1_ = (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) /\ (e5_ = (op_ e4_ e0_) /\ e3_ = (op_ (op_ e4_ e0_) (op_ e4_ e0_)))))).
Variable ax257_257 : ~((e2_ = (op_ (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_)))) /\ (e1_ = (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) /\ (e5_ = (op_ e3_ e0_) /\ e4_ = (op_ (op_ e3_ e0_) (op_ e3_ e0_)))))).
Variable ax258_258 : ~((e2_ = (op_ (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_)))) /\ (e3_ = (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) /\ (e1_ = (op_ e5_ e0_) /\ e4_ = (op_ (op_ e5_ e0_) (op_ e5_ e0_)))))).
Variable ax259_259 : ~((e2_ = (op_ (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_)))) /\ (e3_ = (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) /\ (e1_ = (op_ e4_ e0_) /\ e5_ = (op_ (op_ e4_ e0_) (op_ e4_ e0_)))))).
Variable ax260_260 : ~((e2_ = (op_ (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_)))) /\ (e3_ = (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) /\ (e4_ = (op_ e5_ e0_) /\ e1_ = (op_ (op_ e5_ e0_) (op_ e5_ e0_)))))).
Variable ax261_261 : ~((e2_ = (op_ (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_)))) /\ (e3_ = (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) /\ (e4_ = (op_ e1_ e0_) /\ e5_ = (op_ (op_ e1_ e0_) (op_ e1_ e0_)))))).
Variable ax262_262 : ~((e2_ = (op_ (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_)))) /\ (e3_ = (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) /\ (e5_ = (op_ e4_ e0_) /\ e1_ = (op_ (op_ e4_ e0_) (op_ e4_ e0_)))))).
Variable ax263_263 : ~((e2_ = (op_ (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_)))) /\ (e3_ = (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) /\ (e5_ = (op_ e1_ e0_) /\ e4_ = (op_ (op_ e1_ e0_) (op_ e1_ e0_)))))).
Variable ax264_264 : ~((e2_ = (op_ (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_)))) /\ (e4_ = (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) /\ (e1_ = (op_ e5_ e0_) /\ e3_ = (op_ (op_ e5_ e0_) (op_ e5_ e0_)))))).
Variable ax265_265 : ~((e2_ = (op_ (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_)))) /\ (e4_ = (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) /\ (e1_ = (op_ e3_ e0_) /\ e5_ = (op_ (op_ e3_ e0_) (op_ e3_ e0_)))))).
Variable ax266_266 : ~((e2_ = (op_ (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_)))) /\ (e4_ = (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) /\ (e3_ = (op_ e5_ e0_) /\ e1_ = (op_ (op_ e5_ e0_) (op_ e5_ e0_)))))).
Variable ax267_267 : ~((e2_ = (op_ (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_)))) /\ (e4_ = (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) /\ (e3_ = (op_ e1_ e0_) /\ e5_ = (op_ (op_ e1_ e0_) (op_ e1_ e0_)))))).
Variable ax268_268 : ~((e2_ = (op_ (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_)))) /\ (e4_ = (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) /\ (e5_ = (op_ e3_ e0_) /\ e1_ = (op_ (op_ e3_ e0_) (op_ e3_ e0_)))))).
Variable ax269_269 : ~((e2_ = (op_ (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_)))) /\ (e4_ = (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) /\ (e5_ = (op_ e1_ e0_) /\ e3_ = (op_ (op_ e1_ e0_) (op_ e1_ e0_)))))).
Variable ax270_270 : ~((e2_ = (op_ (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_)))) /\ (e5_ = (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) /\ (e1_ = (op_ e4_ e0_) /\ e3_ = (op_ (op_ e4_ e0_) (op_ e4_ e0_)))))).
Variable ax271_271 : ~((e2_ = (op_ (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_)))) /\ (e5_ = (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) /\ (e1_ = (op_ e3_ e0_) /\ e4_ = (op_ (op_ e3_ e0_) (op_ e3_ e0_)))))).
Variable ax272_272 : ~((e2_ = (op_ (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_)))) /\ (e5_ = (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) /\ (e3_ = (op_ e4_ e0_) /\ e1_ = (op_ (op_ e4_ e0_) (op_ e4_ e0_)))))).
Variable ax273_273 : ~((e2_ = (op_ (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_)))) /\ (e5_ = (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) /\ (e3_ = (op_ e1_ e0_) /\ e4_ = (op_ (op_ e1_ e0_) (op_ e1_ e0_)))))).
Variable ax274_274 : ~((e2_ = (op_ (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_)))) /\ (e5_ = (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) /\ (e4_ = (op_ e3_ e0_) /\ e1_ = (op_ (op_ e3_ e0_) (op_ e3_ e0_)))))).
Variable ax275_275 : ~((e2_ = (op_ (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_)))) /\ (e5_ = (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) /\ (e4_ = (op_ e1_ e0_) /\ e3_ = (op_ (op_ e1_ e0_) (op_ e1_ e0_)))))).
Variable ax276_276 : ~((e2_ = (op_ (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_)))) /\ (e0_ = (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) /\ (e3_ = (op_ e5_ e1_) /\ e4_ = (op_ (op_ e5_ e1_) (op_ e5_ e1_)))))).
Variable ax277_277 : ~((e2_ = (op_ (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_)))) /\ (e0_ = (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) /\ (e3_ = (op_ e4_ e1_) /\ e5_ = (op_ (op_ e4_ e1_) (op_ e4_ e1_)))))).
Variable ax278_278 : ~((e2_ = (op_ (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_)))) /\ (e0_ = (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) /\ (e4_ = (op_ e5_ e1_) /\ e3_ = (op_ (op_ e5_ e1_) (op_ e5_ e1_)))))).
Variable ax279_279 : ~((e2_ = (op_ (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_)))) /\ (e0_ = (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) /\ (e4_ = (op_ e3_ e1_) /\ e5_ = (op_ (op_ e3_ e1_) (op_ e3_ e1_)))))).
Variable ax280_280 : ~((e2_ = (op_ (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_)))) /\ (e0_ = (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) /\ (e5_ = (op_ e4_ e1_) /\ e3_ = (op_ (op_ e4_ e1_) (op_ e4_ e1_)))))).
Variable ax281_281 : ~((e2_ = (op_ (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_)))) /\ (e0_ = (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) /\ (e5_ = (op_ e3_ e1_) /\ e4_ = (op_ (op_ e3_ e1_) (op_ e3_ e1_)))))).
Variable ax282_282 : ~((e2_ = (op_ (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_)))) /\ (e3_ = (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) /\ (e0_ = (op_ e5_ e1_) /\ e4_ = (op_ (op_ e5_ e1_) (op_ e5_ e1_)))))).
Variable ax283_283 : ~((e2_ = (op_ (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_)))) /\ (e3_ = (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) /\ (e0_ = (op_ e4_ e1_) /\ e5_ = (op_ (op_ e4_ e1_) (op_ e4_ e1_)))))).
Variable ax284_284 : ~((e2_ = (op_ (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_)))) /\ (e3_ = (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) /\ (e4_ = (op_ e5_ e1_) /\ e0_ = (op_ (op_ e5_ e1_) (op_ e5_ e1_)))))).
Variable ax285_285 : ~((e2_ = (op_ (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_)))) /\ (e3_ = (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) /\ (e4_ = (op_ e0_ e1_) /\ e5_ = (op_ (op_ e0_ e1_) (op_ e0_ e1_)))))).
Variable ax286_286 : ~((e2_ = (op_ (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_)))) /\ (e3_ = (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) /\ (e5_ = (op_ e4_ e1_) /\ e0_ = (op_ (op_ e4_ e1_) (op_ e4_ e1_)))))).
Variable ax287_287 : ~((e2_ = (op_ (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_)))) /\ (e3_ = (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) /\ (e5_ = (op_ e0_ e1_) /\ e4_ = (op_ (op_ e0_ e1_) (op_ e0_ e1_)))))).
Variable ax288_288 : ~((e2_ = (op_ (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_)))) /\ (e4_ = (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) /\ (e0_ = (op_ e5_ e1_) /\ e3_ = (op_ (op_ e5_ e1_) (op_ e5_ e1_)))))).
Variable ax289_289 : ~((e2_ = (op_ (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_)))) /\ (e4_ = (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) /\ (e0_ = (op_ e3_ e1_) /\ e5_ = (op_ (op_ e3_ e1_) (op_ e3_ e1_)))))).
Variable ax290_290 : ~((e2_ = (op_ (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_)))) /\ (e4_ = (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) /\ (e3_ = (op_ e5_ e1_) /\ e0_ = (op_ (op_ e5_ e1_) (op_ e5_ e1_)))))).
Variable ax291_291 : ~((e2_ = (op_ (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_)))) /\ (e4_ = (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) /\ (e3_ = (op_ e0_ e1_) /\ e5_ = (op_ (op_ e0_ e1_) (op_ e0_ e1_)))))).
Variable ax292_292 : ~((e2_ = (op_ (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_)))) /\ (e4_ = (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) /\ (e5_ = (op_ e3_ e1_) /\ e0_ = (op_ (op_ e3_ e1_) (op_ e3_ e1_)))))).
Variable ax293_293 : ~((e2_ = (op_ (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_)))) /\ (e4_ = (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) /\ (e5_ = (op_ e0_ e1_) /\ e3_ = (op_ (op_ e0_ e1_) (op_ e0_ e1_)))))).
Variable ax294_294 : ~((e2_ = (op_ (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_)))) /\ (e5_ = (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) /\ (e0_ = (op_ e4_ e1_) /\ e3_ = (op_ (op_ e4_ e1_) (op_ e4_ e1_)))))).
Variable ax295_295 : ~((e2_ = (op_ (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_)))) /\ (e5_ = (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) /\ (e0_ = (op_ e3_ e1_) /\ e4_ = (op_ (op_ e3_ e1_) (op_ e3_ e1_)))))).
Variable ax296_296 : ~((e2_ = (op_ (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_)))) /\ (e5_ = (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) /\ (e3_ = (op_ e4_ e1_) /\ e0_ = (op_ (op_ e4_ e1_) (op_ e4_ e1_)))))).
Variable ax297_297 : ~((e2_ = (op_ (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_)))) /\ (e5_ = (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) /\ (e3_ = (op_ e0_ e1_) /\ e4_ = (op_ (op_ e0_ e1_) (op_ e0_ e1_)))))).
Variable ax298_298 : ~((e2_ = (op_ (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_)))) /\ (e5_ = (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) /\ (e4_ = (op_ e3_ e1_) /\ e0_ = (op_ (op_ e3_ e1_) (op_ e3_ e1_)))))).
Variable ax299_299 : ~((e2_ = (op_ (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_)))) /\ (e5_ = (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) /\ (e4_ = (op_ e0_ e1_) /\ e3_ = (op_ (op_ e0_ e1_) (op_ e0_ e1_)))))).
Variable ax300_300 : ~((e2_ = (op_ (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_)))) /\ (e0_ = (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) /\ (e1_ = (op_ e5_ e3_) /\ e4_ = (op_ (op_ e5_ e3_) (op_ e5_ e3_)))))).
Variable ax301_301 : ~((e2_ = (op_ (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_)))) /\ (e0_ = (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) /\ (e1_ = (op_ e4_ e3_) /\ e5_ = (op_ (op_ e4_ e3_) (op_ e4_ e3_)))))).
Variable ax302_302 : ~((e2_ = (op_ (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_)))) /\ (e0_ = (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) /\ (e4_ = (op_ e5_ e3_) /\ e1_ = (op_ (op_ e5_ e3_) (op_ e5_ e3_)))))).
Variable ax303_303 : ~((e2_ = (op_ (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_)))) /\ (e0_ = (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) /\ (e4_ = (op_ e1_ e3_) /\ e5_ = (op_ (op_ e1_ e3_) (op_ e1_ e3_)))))).
Variable ax304_304 : ~((e2_ = (op_ (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_)))) /\ (e0_ = (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) /\ (e5_ = (op_ e4_ e3_) /\ e1_ = (op_ (op_ e4_ e3_) (op_ e4_ e3_)))))).
Variable ax305_305 : ~((e2_ = (op_ (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_)))) /\ (e0_ = (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) /\ (e5_ = (op_ e1_ e3_) /\ e4_ = (op_ (op_ e1_ e3_) (op_ e1_ e3_)))))).
Variable ax306_306 : ~((e2_ = (op_ (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_)))) /\ (e1_ = (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) /\ (e0_ = (op_ e5_ e3_) /\ e4_ = (op_ (op_ e5_ e3_) (op_ e5_ e3_)))))).
Variable ax307_307 : ~((e2_ = (op_ (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_)))) /\ (e1_ = (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) /\ (e0_ = (op_ e4_ e3_) /\ e5_ = (op_ (op_ e4_ e3_) (op_ e4_ e3_)))))).
Variable ax308_308 : ~((e2_ = (op_ (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_)))) /\ (e1_ = (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) /\ (e4_ = (op_ e5_ e3_) /\ e0_ = (op_ (op_ e5_ e3_) (op_ e5_ e3_)))))).
Variable ax309_309 : ~((e2_ = (op_ (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_)))) /\ (e1_ = (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) /\ (e4_ = (op_ e0_ e3_) /\ e5_ = (op_ (op_ e0_ e3_) (op_ e0_ e3_)))))).
Variable ax310_310 : ~((e2_ = (op_ (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_)))) /\ (e1_ = (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) /\ (e5_ = (op_ e4_ e3_) /\ e0_ = (op_ (op_ e4_ e3_) (op_ e4_ e3_)))))).
Variable ax311_311 : ~((e2_ = (op_ (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_)))) /\ (e1_ = (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) /\ (e5_ = (op_ e0_ e3_) /\ e4_ = (op_ (op_ e0_ e3_) (op_ e0_ e3_)))))).
Variable ax312_312 : ~((e2_ = (op_ (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_)))) /\ (e4_ = (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) /\ (e0_ = (op_ e5_ e3_) /\ e1_ = (op_ (op_ e5_ e3_) (op_ e5_ e3_)))))).
Variable ax313_313 : ~((e2_ = (op_ (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_)))) /\ (e4_ = (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) /\ (e0_ = (op_ e1_ e3_) /\ e5_ = (op_ (op_ e1_ e3_) (op_ e1_ e3_)))))).
Variable ax314_314 : ~((e2_ = (op_ (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_)))) /\ (e4_ = (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) /\ (e1_ = (op_ e5_ e3_) /\ e0_ = (op_ (op_ e5_ e3_) (op_ e5_ e3_)))))).
Variable ax315_315 : ~((e2_ = (op_ (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_)))) /\ (e4_ = (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) /\ (e1_ = (op_ e0_ e3_) /\ e5_ = (op_ (op_ e0_ e3_) (op_ e0_ e3_)))))).
Variable ax316_316 : ~((e2_ = (op_ (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_)))) /\ (e4_ = (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) /\ (e5_ = (op_ e1_ e3_) /\ e0_ = (op_ (op_ e1_ e3_) (op_ e1_ e3_)))))).
Variable ax317_317 : ~((e2_ = (op_ (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_)))) /\ (e4_ = (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) /\ (e5_ = (op_ e0_ e3_) /\ e1_ = (op_ (op_ e0_ e3_) (op_ e0_ e3_)))))).
Variable ax318_318 : ~((e2_ = (op_ (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_)))) /\ (e5_ = (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) /\ (e0_ = (op_ e4_ e3_) /\ e1_ = (op_ (op_ e4_ e3_) (op_ e4_ e3_)))))).
Variable ax319_319 : ~((e2_ = (op_ (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_)))) /\ (e5_ = (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) /\ (e0_ = (op_ e1_ e3_) /\ e4_ = (op_ (op_ e1_ e3_) (op_ e1_ e3_)))))).
Variable ax320_320 : ~((e2_ = (op_ (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_)))) /\ (e5_ = (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) /\ (e1_ = (op_ e4_ e3_) /\ e0_ = (op_ (op_ e4_ e3_) (op_ e4_ e3_)))))).
Variable ax321_321 : ~((e2_ = (op_ (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_)))) /\ (e5_ = (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) /\ (e1_ = (op_ e0_ e3_) /\ e4_ = (op_ (op_ e0_ e3_) (op_ e0_ e3_)))))).
Variable ax322_322 : ~((e2_ = (op_ (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_)))) /\ (e5_ = (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) /\ (e4_ = (op_ e1_ e3_) /\ e0_ = (op_ (op_ e1_ e3_) (op_ e1_ e3_)))))).
Variable ax323_323 : ~((e2_ = (op_ (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_)))) /\ (e5_ = (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) /\ (e4_ = (op_ e0_ e3_) /\ e1_ = (op_ (op_ e0_ e3_) (op_ e0_ e3_)))))).
Variable ax324_324 : ~((e2_ = (op_ (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_)))) /\ (e0_ = (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) /\ (e1_ = (op_ e5_ e4_) /\ e3_ = (op_ (op_ e5_ e4_) (op_ e5_ e4_)))))).
Variable ax325_325 : ~((e2_ = (op_ (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_)))) /\ (e0_ = (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) /\ (e1_ = (op_ e3_ e4_) /\ e5_ = (op_ (op_ e3_ e4_) (op_ e3_ e4_)))))).
Variable ax326_326 : ~((e2_ = (op_ (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_)))) /\ (e0_ = (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) /\ (e3_ = (op_ e5_ e4_) /\ e1_ = (op_ (op_ e5_ e4_) (op_ e5_ e4_)))))).
Variable ax327_327 : ~((e2_ = (op_ (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_)))) /\ (e0_ = (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) /\ (e3_ = (op_ e1_ e4_) /\ e5_ = (op_ (op_ e1_ e4_) (op_ e1_ e4_)))))).
Variable ax328_328 : ~((e2_ = (op_ (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_)))) /\ (e0_ = (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) /\ (e5_ = (op_ e3_ e4_) /\ e1_ = (op_ (op_ e3_ e4_) (op_ e3_ e4_)))))).
Variable ax329_329 : ~((e2_ = (op_ (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_)))) /\ (e0_ = (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) /\ (e5_ = (op_ e1_ e4_) /\ e3_ = (op_ (op_ e1_ e4_) (op_ e1_ e4_)))))).
Variable ax330_330 : ~((e2_ = (op_ (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_)))) /\ (e1_ = (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) /\ (e0_ = (op_ e5_ e4_) /\ e3_ = (op_ (op_ e5_ e4_) (op_ e5_ e4_)))))).
Variable ax331_331 : ~((e2_ = (op_ (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_)))) /\ (e1_ = (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) /\ (e0_ = (op_ e3_ e4_) /\ e5_ = (op_ (op_ e3_ e4_) (op_ e3_ e4_)))))).
Variable ax332_332 : ~((e2_ = (op_ (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_)))) /\ (e1_ = (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) /\ (e3_ = (op_ e5_ e4_) /\ e0_ = (op_ (op_ e5_ e4_) (op_ e5_ e4_)))))).
Variable ax333_333 : ~((e2_ = (op_ (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_)))) /\ (e1_ = (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) /\ (e3_ = (op_ e0_ e4_) /\ e5_ = (op_ (op_ e0_ e4_) (op_ e0_ e4_)))))).
Variable ax334_334 : ~((e2_ = (op_ (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_)))) /\ (e1_ = (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) /\ (e5_ = (op_ e3_ e4_) /\ e0_ = (op_ (op_ e3_ e4_) (op_ e3_ e4_)))))).
Variable ax335_335 : ~((e2_ = (op_ (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_)))) /\ (e1_ = (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) /\ (e5_ = (op_ e0_ e4_) /\ e3_ = (op_ (op_ e0_ e4_) (op_ e0_ e4_)))))).
Variable ax336_336 : ~((e2_ = (op_ (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_)))) /\ (e3_ = (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) /\ (e0_ = (op_ e5_ e4_) /\ e1_ = (op_ (op_ e5_ e4_) (op_ e5_ e4_)))))).
Variable ax337_337 : ~((e2_ = (op_ (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_)))) /\ (e3_ = (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) /\ (e0_ = (op_ e1_ e4_) /\ e5_ = (op_ (op_ e1_ e4_) (op_ e1_ e4_)))))).
Variable ax338_338 : ~((e2_ = (op_ (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_)))) /\ (e3_ = (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) /\ (e1_ = (op_ e5_ e4_) /\ e0_ = (op_ (op_ e5_ e4_) (op_ e5_ e4_)))))).
Variable ax339_339 : ~((e2_ = (op_ (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_)))) /\ (e3_ = (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) /\ (e1_ = (op_ e0_ e4_) /\ e5_ = (op_ (op_ e0_ e4_) (op_ e0_ e4_)))))).
Variable ax340_340 : ~((e2_ = (op_ (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_)))) /\ (e3_ = (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) /\ (e5_ = (op_ e1_ e4_) /\ e0_ = (op_ (op_ e1_ e4_) (op_ e1_ e4_)))))).
Variable ax341_341 : ~((e2_ = (op_ (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_)))) /\ (e3_ = (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) /\ (e5_ = (op_ e0_ e4_) /\ e1_ = (op_ (op_ e0_ e4_) (op_ e0_ e4_)))))).
Variable ax342_342 : ~((e2_ = (op_ (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_)))) /\ (e5_ = (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) /\ (e0_ = (op_ e3_ e4_) /\ e1_ = (op_ (op_ e3_ e4_) (op_ e3_ e4_)))))).
Variable ax343_343 : ~((e2_ = (op_ (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_)))) /\ (e5_ = (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) /\ (e0_ = (op_ e1_ e4_) /\ e3_ = (op_ (op_ e1_ e4_) (op_ e1_ e4_)))))).
Variable ax344_344 : ~((e2_ = (op_ (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_)))) /\ (e5_ = (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) /\ (e1_ = (op_ e3_ e4_) /\ e0_ = (op_ (op_ e3_ e4_) (op_ e3_ e4_)))))).
Variable ax345_345 : ~((e2_ = (op_ (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_)))) /\ (e5_ = (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) /\ (e1_ = (op_ e0_ e4_) /\ e3_ = (op_ (op_ e0_ e4_) (op_ e0_ e4_)))))).
Variable ax346_346 : ~((e2_ = (op_ (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_)))) /\ (e5_ = (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) /\ (e3_ = (op_ e1_ e4_) /\ e0_ = (op_ (op_ e1_ e4_) (op_ e1_ e4_)))))).
Variable ax347_347 : ~((e2_ = (op_ (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_)))) /\ (e5_ = (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) /\ (e3_ = (op_ e0_ e4_) /\ e1_ = (op_ (op_ e0_ e4_) (op_ e0_ e4_)))))).
Variable ax348_348 : ~((e2_ = (op_ (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_)))) /\ (e0_ = (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) /\ (e1_ = (op_ e4_ e5_) /\ e3_ = (op_ (op_ e4_ e5_) (op_ e4_ e5_)))))).
Variable ax349_349 : ~((e2_ = (op_ (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_)))) /\ (e0_ = (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) /\ (e1_ = (op_ e3_ e5_) /\ e4_ = (op_ (op_ e3_ e5_) (op_ e3_ e5_)))))).
Variable ax350_350 : ~((e2_ = (op_ (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_)))) /\ (e0_ = (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) /\ (e3_ = (op_ e4_ e5_) /\ e1_ = (op_ (op_ e4_ e5_) (op_ e4_ e5_)))))).
Variable ax351_351 : ~((e2_ = (op_ (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_)))) /\ (e0_ = (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) /\ (e3_ = (op_ e1_ e5_) /\ e4_ = (op_ (op_ e1_ e5_) (op_ e1_ e5_)))))).
Variable ax352_352 : ~((e2_ = (op_ (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_)))) /\ (e0_ = (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) /\ (e4_ = (op_ e3_ e5_) /\ e1_ = (op_ (op_ e3_ e5_) (op_ e3_ e5_)))))).
Variable ax353_353 : ~((e2_ = (op_ (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_)))) /\ (e0_ = (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) /\ (e4_ = (op_ e1_ e5_) /\ e3_ = (op_ (op_ e1_ e5_) (op_ e1_ e5_)))))).
Variable ax354_354 : ~((e2_ = (op_ (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_)))) /\ (e1_ = (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) /\ (e0_ = (op_ e4_ e5_) /\ e3_ = (op_ (op_ e4_ e5_) (op_ e4_ e5_)))))).
Variable ax355_355 : ~((e2_ = (op_ (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_)))) /\ (e1_ = (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) /\ (e0_ = (op_ e3_ e5_) /\ e4_ = (op_ (op_ e3_ e5_) (op_ e3_ e5_)))))).
Variable ax356_356 : ~((e2_ = (op_ (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_)))) /\ (e1_ = (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) /\ (e3_ = (op_ e4_ e5_) /\ e0_ = (op_ (op_ e4_ e5_) (op_ e4_ e5_)))))).
Variable ax357_357 : ~((e2_ = (op_ (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_)))) /\ (e1_ = (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) /\ (e3_ = (op_ e0_ e5_) /\ e4_ = (op_ (op_ e0_ e5_) (op_ e0_ e5_)))))).
Variable ax358_358 : ~((e2_ = (op_ (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_)))) /\ (e1_ = (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) /\ (e4_ = (op_ e3_ e5_) /\ e0_ = (op_ (op_ e3_ e5_) (op_ e3_ e5_)))))).
Variable ax359_359 : ~((e2_ = (op_ (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_)))) /\ (e1_ = (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) /\ (e4_ = (op_ e0_ e5_) /\ e3_ = (op_ (op_ e0_ e5_) (op_ e0_ e5_)))))).
Variable ax360_360 : ~((e2_ = (op_ (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_)))) /\ (e3_ = (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) /\ (e0_ = (op_ e4_ e5_) /\ e1_ = (op_ (op_ e4_ e5_) (op_ e4_ e5_)))))).
Variable ax361_361 : ~((e2_ = (op_ (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_)))) /\ (e3_ = (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) /\ (e0_ = (op_ e1_ e5_) /\ e4_ = (op_ (op_ e1_ e5_) (op_ e1_ e5_)))))).
Variable ax362_362 : ~((e2_ = (op_ (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_)))) /\ (e3_ = (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) /\ (e1_ = (op_ e4_ e5_) /\ e0_ = (op_ (op_ e4_ e5_) (op_ e4_ e5_)))))).
Variable ax363_363 : ~((e2_ = (op_ (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_)))) /\ (e3_ = (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) /\ (e1_ = (op_ e0_ e5_) /\ e4_ = (op_ (op_ e0_ e5_) (op_ e0_ e5_)))))).
Variable ax364_364 : ~((e2_ = (op_ (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_)))) /\ (e3_ = (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) /\ (e4_ = (op_ e1_ e5_) /\ e0_ = (op_ (op_ e1_ e5_) (op_ e1_ e5_)))))).
Variable ax365_365 : ~((e2_ = (op_ (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_)))) /\ (e3_ = (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) /\ (e4_ = (op_ e0_ e5_) /\ e1_ = (op_ (op_ e0_ e5_) (op_ e0_ e5_)))))).
Variable ax366_366 : ~((e2_ = (op_ (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_)))) /\ (e4_ = (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) /\ (e0_ = (op_ e3_ e5_) /\ e1_ = (op_ (op_ e3_ e5_) (op_ e3_ e5_)))))).
Variable ax367_367 : ~((e2_ = (op_ (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_)))) /\ (e4_ = (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) /\ (e0_ = (op_ e1_ e5_) /\ e3_ = (op_ (op_ e1_ e5_) (op_ e1_ e5_)))))).
Variable ax368_368 : ~((e2_ = (op_ (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_)))) /\ (e4_ = (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) /\ (e1_ = (op_ e3_ e5_) /\ e0_ = (op_ (op_ e3_ e5_) (op_ e3_ e5_)))))).
Variable ax369_369 : ~((e2_ = (op_ (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_)))) /\ (e4_ = (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) /\ (e1_ = (op_ e0_ e5_) /\ e3_ = (op_ (op_ e0_ e5_) (op_ e0_ e5_)))))).
Variable ax370_370 : ~((e2_ = (op_ (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_)))) /\ (e4_ = (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) /\ (e3_ = (op_ e1_ e5_) /\ e0_ = (op_ (op_ e1_ e5_) (op_ e1_ e5_)))))).
Variable ax371_371 : ~((e2_ = (op_ (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_)))) /\ (e4_ = (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) /\ (e3_ = (op_ e0_ e5_) /\ e1_ = (op_ (op_ e0_ e5_) (op_ e0_ e5_)))))).
Variable ax372_372 : ~((e3_ = (op_ (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_)))) /\ (e1_ = (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) /\ (e2_ = (op_ e5_ e0_) /\ e4_ = (op_ (op_ e5_ e0_) (op_ e5_ e0_)))))).
Variable ax373_373 : ~((e3_ = (op_ (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_)))) /\ (e1_ = (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) /\ (e2_ = (op_ e4_ e0_) /\ e5_ = (op_ (op_ e4_ e0_) (op_ e4_ e0_)))))).
Variable ax374_374 : ~((e3_ = (op_ (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_)))) /\ (e1_ = (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) /\ (e4_ = (op_ e5_ e0_) /\ e2_ = (op_ (op_ e5_ e0_) (op_ e5_ e0_)))))).
Variable ax375_375 : ~((e3_ = (op_ (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_)))) /\ (e1_ = (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) /\ (e4_ = (op_ e2_ e0_) /\ e5_ = (op_ (op_ e2_ e0_) (op_ e2_ e0_)))))).
Variable ax376_376 : ~((e3_ = (op_ (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_)))) /\ (e1_ = (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) /\ (e5_ = (op_ e4_ e0_) /\ e2_ = (op_ (op_ e4_ e0_) (op_ e4_ e0_)))))).
Variable ax377_377 : ~((e3_ = (op_ (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_)))) /\ (e1_ = (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) /\ (e5_ = (op_ e2_ e0_) /\ e4_ = (op_ (op_ e2_ e0_) (op_ e2_ e0_)))))).
Variable ax378_378 : ~((e3_ = (op_ (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_)))) /\ (e2_ = (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) /\ (e1_ = (op_ e5_ e0_) /\ e4_ = (op_ (op_ e5_ e0_) (op_ e5_ e0_)))))).
Variable ax379_379 : ~((e3_ = (op_ (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_)))) /\ (e2_ = (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) /\ (e1_ = (op_ e4_ e0_) /\ e5_ = (op_ (op_ e4_ e0_) (op_ e4_ e0_)))))).
Variable ax380_380 : ~((e3_ = (op_ (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_)))) /\ (e2_ = (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) /\ (e4_ = (op_ e5_ e0_) /\ e1_ = (op_ (op_ e5_ e0_) (op_ e5_ e0_)))))).
Variable ax381_381 : ~((e3_ = (op_ (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_)))) /\ (e2_ = (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) /\ (e4_ = (op_ e1_ e0_) /\ e5_ = (op_ (op_ e1_ e0_) (op_ e1_ e0_)))))).
Variable ax382_382 : ~((e3_ = (op_ (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_)))) /\ (e2_ = (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) /\ (e5_ = (op_ e4_ e0_) /\ e1_ = (op_ (op_ e4_ e0_) (op_ e4_ e0_)))))).
Variable ax383_383 : ~((e3_ = (op_ (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_)))) /\ (e2_ = (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) /\ (e5_ = (op_ e1_ e0_) /\ e4_ = (op_ (op_ e1_ e0_) (op_ e1_ e0_)))))).
Variable ax384_384 : ~((e3_ = (op_ (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_)))) /\ (e4_ = (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) /\ (e1_ = (op_ e5_ e0_) /\ e2_ = (op_ (op_ e5_ e0_) (op_ e5_ e0_)))))).
Variable ax385_385 : ~((e3_ = (op_ (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_)))) /\ (e4_ = (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) /\ (e1_ = (op_ e2_ e0_) /\ e5_ = (op_ (op_ e2_ e0_) (op_ e2_ e0_)))))).
Variable ax386_386 : ~((e3_ = (op_ (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_)))) /\ (e4_ = (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) /\ (e2_ = (op_ e5_ e0_) /\ e1_ = (op_ (op_ e5_ e0_) (op_ e5_ e0_)))))).
Variable ax387_387 : ~((e3_ = (op_ (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_)))) /\ (e4_ = (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) /\ (e2_ = (op_ e1_ e0_) /\ e5_ = (op_ (op_ e1_ e0_) (op_ e1_ e0_)))))).
Variable ax388_388 : ~((e3_ = (op_ (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_)))) /\ (e4_ = (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) /\ (e5_ = (op_ e2_ e0_) /\ e1_ = (op_ (op_ e2_ e0_) (op_ e2_ e0_)))))).
Variable ax389_389 : ~((e3_ = (op_ (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_)))) /\ (e4_ = (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) /\ (e5_ = (op_ e1_ e0_) /\ e2_ = (op_ (op_ e1_ e0_) (op_ e1_ e0_)))))).
Variable ax390_390 : ~((e3_ = (op_ (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_)))) /\ (e5_ = (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) /\ (e1_ = (op_ e4_ e0_) /\ e2_ = (op_ (op_ e4_ e0_) (op_ e4_ e0_)))))).
Variable ax391_391 : ~((e3_ = (op_ (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_)))) /\ (e5_ = (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) /\ (e1_ = (op_ e2_ e0_) /\ e4_ = (op_ (op_ e2_ e0_) (op_ e2_ e0_)))))).
Variable ax392_392 : ~((e3_ = (op_ (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_)))) /\ (e5_ = (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) /\ (e2_ = (op_ e4_ e0_) /\ e1_ = (op_ (op_ e4_ e0_) (op_ e4_ e0_)))))).
Variable ax393_393 : ~((e3_ = (op_ (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_)))) /\ (e5_ = (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) /\ (e2_ = (op_ e1_ e0_) /\ e4_ = (op_ (op_ e1_ e0_) (op_ e1_ e0_)))))).
Variable ax394_394 : ~((e3_ = (op_ (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_)))) /\ (e5_ = (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) /\ (e4_ = (op_ e2_ e0_) /\ e1_ = (op_ (op_ e2_ e0_) (op_ e2_ e0_)))))).
Variable ax395_395 : ~((e3_ = (op_ (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_)))) /\ (e5_ = (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) /\ (e4_ = (op_ e1_ e0_) /\ e2_ = (op_ (op_ e1_ e0_) (op_ e1_ e0_)))))).
Variable ax396_396 : ~((e3_ = (op_ (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_)))) /\ (e0_ = (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) /\ (e2_ = (op_ e5_ e1_) /\ e4_ = (op_ (op_ e5_ e1_) (op_ e5_ e1_)))))).
Variable ax397_397 : ~((e3_ = (op_ (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_)))) /\ (e0_ = (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) /\ (e2_ = (op_ e4_ e1_) /\ e5_ = (op_ (op_ e4_ e1_) (op_ e4_ e1_)))))).
Variable ax398_398 : ~((e3_ = (op_ (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_)))) /\ (e0_ = (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) /\ (e4_ = (op_ e5_ e1_) /\ e2_ = (op_ (op_ e5_ e1_) (op_ e5_ e1_)))))).
Variable ax399_399 : ~((e3_ = (op_ (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_)))) /\ (e0_ = (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) /\ (e4_ = (op_ e2_ e1_) /\ e5_ = (op_ (op_ e2_ e1_) (op_ e2_ e1_)))))).
Variable ax400_400 : ~((e3_ = (op_ (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_)))) /\ (e0_ = (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) /\ (e5_ = (op_ e4_ e1_) /\ e2_ = (op_ (op_ e4_ e1_) (op_ e4_ e1_)))))).
Variable ax401_401 : ~((e3_ = (op_ (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_)))) /\ (e0_ = (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) /\ (e5_ = (op_ e2_ e1_) /\ e4_ = (op_ (op_ e2_ e1_) (op_ e2_ e1_)))))).
Variable ax402_402 : ~((e3_ = (op_ (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_)))) /\ (e2_ = (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) /\ (e0_ = (op_ e5_ e1_) /\ e4_ = (op_ (op_ e5_ e1_) (op_ e5_ e1_)))))).
Variable ax403_403 : ~((e3_ = (op_ (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_)))) /\ (e2_ = (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) /\ (e0_ = (op_ e4_ e1_) /\ e5_ = (op_ (op_ e4_ e1_) (op_ e4_ e1_)))))).
Variable ax404_404 : ~((e3_ = (op_ (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_)))) /\ (e2_ = (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) /\ (e4_ = (op_ e5_ e1_) /\ e0_ = (op_ (op_ e5_ e1_) (op_ e5_ e1_)))))).
Variable ax405_405 : ~((e3_ = (op_ (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_)))) /\ (e2_ = (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) /\ (e4_ = (op_ e0_ e1_) /\ e5_ = (op_ (op_ e0_ e1_) (op_ e0_ e1_)))))).
Variable ax406_406 : ~((e3_ = (op_ (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_)))) /\ (e2_ = (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) /\ (e5_ = (op_ e4_ e1_) /\ e0_ = (op_ (op_ e4_ e1_) (op_ e4_ e1_)))))).
Variable ax407_407 : ~((e3_ = (op_ (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_)))) /\ (e2_ = (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) /\ (e5_ = (op_ e0_ e1_) /\ e4_ = (op_ (op_ e0_ e1_) (op_ e0_ e1_)))))).
Variable ax408_408 : ~((e3_ = (op_ (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_)))) /\ (e4_ = (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) /\ (e0_ = (op_ e5_ e1_) /\ e2_ = (op_ (op_ e5_ e1_) (op_ e5_ e1_)))))).
Variable ax409_409 : ~((e3_ = (op_ (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_)))) /\ (e4_ = (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) /\ (e0_ = (op_ e2_ e1_) /\ e5_ = (op_ (op_ e2_ e1_) (op_ e2_ e1_)))))).
Variable ax410_410 : ~((e3_ = (op_ (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_)))) /\ (e4_ = (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) /\ (e2_ = (op_ e5_ e1_) /\ e0_ = (op_ (op_ e5_ e1_) (op_ e5_ e1_)))))).
Variable ax411_411 : ~((e3_ = (op_ (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_)))) /\ (e4_ = (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) /\ (e2_ = (op_ e0_ e1_) /\ e5_ = (op_ (op_ e0_ e1_) (op_ e0_ e1_)))))).
Variable ax412_412 : ~((e3_ = (op_ (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_)))) /\ (e4_ = (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) /\ (e5_ = (op_ e2_ e1_) /\ e0_ = (op_ (op_ e2_ e1_) (op_ e2_ e1_)))))).
Variable ax413_413 : ~((e3_ = (op_ (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_)))) /\ (e4_ = (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) /\ (e5_ = (op_ e0_ e1_) /\ e2_ = (op_ (op_ e0_ e1_) (op_ e0_ e1_)))))).
Variable ax414_414 : ~((e3_ = (op_ (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_)))) /\ (e5_ = (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) /\ (e0_ = (op_ e4_ e1_) /\ e2_ = (op_ (op_ e4_ e1_) (op_ e4_ e1_)))))).
Variable ax415_415 : ~((e3_ = (op_ (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_)))) /\ (e5_ = (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) /\ (e0_ = (op_ e2_ e1_) /\ e4_ = (op_ (op_ e2_ e1_) (op_ e2_ e1_)))))).
Variable ax416_416 : ~((e3_ = (op_ (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_)))) /\ (e5_ = (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) /\ (e2_ = (op_ e4_ e1_) /\ e0_ = (op_ (op_ e4_ e1_) (op_ e4_ e1_)))))).
Variable ax417_417 : ~((e3_ = (op_ (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_)))) /\ (e5_ = (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) /\ (e2_ = (op_ e0_ e1_) /\ e4_ = (op_ (op_ e0_ e1_) (op_ e0_ e1_)))))).
Variable ax418_418 : ~((e3_ = (op_ (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_)))) /\ (e5_ = (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) /\ (e4_ = (op_ e2_ e1_) /\ e0_ = (op_ (op_ e2_ e1_) (op_ e2_ e1_)))))).
Variable ax419_419 : ~((e3_ = (op_ (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_)))) /\ (e5_ = (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) /\ (e4_ = (op_ e0_ e1_) /\ e2_ = (op_ (op_ e0_ e1_) (op_ e0_ e1_)))))).
Variable ax420_420 : ~((e3_ = (op_ (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_)))) /\ (e0_ = (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) /\ (e1_ = (op_ e5_ e2_) /\ e4_ = (op_ (op_ e5_ e2_) (op_ e5_ e2_)))))).
Variable ax421_421 : ~((e3_ = (op_ (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_)))) /\ (e0_ = (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) /\ (e1_ = (op_ e4_ e2_) /\ e5_ = (op_ (op_ e4_ e2_) (op_ e4_ e2_)))))).
Variable ax422_422 : ~((e3_ = (op_ (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_)))) /\ (e0_ = (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) /\ (e4_ = (op_ e5_ e2_) /\ e1_ = (op_ (op_ e5_ e2_) (op_ e5_ e2_)))))).
Variable ax423_423 : ~((e3_ = (op_ (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_)))) /\ (e0_ = (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) /\ (e4_ = (op_ e1_ e2_) /\ e5_ = (op_ (op_ e1_ e2_) (op_ e1_ e2_)))))).
Variable ax424_424 : ~((e3_ = (op_ (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_)))) /\ (e0_ = (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) /\ (e5_ = (op_ e4_ e2_) /\ e1_ = (op_ (op_ e4_ e2_) (op_ e4_ e2_)))))).
Variable ax425_425 : ~((e3_ = (op_ (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_)))) /\ (e0_ = (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) /\ (e5_ = (op_ e1_ e2_) /\ e4_ = (op_ (op_ e1_ e2_) (op_ e1_ e2_)))))).
Variable ax426_426 : ~((e3_ = (op_ (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_)))) /\ (e1_ = (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) /\ (e0_ = (op_ e5_ e2_) /\ e4_ = (op_ (op_ e5_ e2_) (op_ e5_ e2_)))))).
Variable ax427_427 : ~((e3_ = (op_ (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_)))) /\ (e1_ = (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) /\ (e0_ = (op_ e4_ e2_) /\ e5_ = (op_ (op_ e4_ e2_) (op_ e4_ e2_)))))).
Variable ax428_428 : ~((e3_ = (op_ (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_)))) /\ (e1_ = (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) /\ (e4_ = (op_ e5_ e2_) /\ e0_ = (op_ (op_ e5_ e2_) (op_ e5_ e2_)))))).
Variable ax429_429 : ~((e3_ = (op_ (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_)))) /\ (e1_ = (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) /\ (e4_ = (op_ e0_ e2_) /\ e5_ = (op_ (op_ e0_ e2_) (op_ e0_ e2_)))))).
Variable ax430_430 : ~((e3_ = (op_ (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_)))) /\ (e1_ = (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) /\ (e5_ = (op_ e4_ e2_) /\ e0_ = (op_ (op_ e4_ e2_) (op_ e4_ e2_)))))).
Variable ax431_431 : ~((e3_ = (op_ (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_)))) /\ (e1_ = (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) /\ (e5_ = (op_ e0_ e2_) /\ e4_ = (op_ (op_ e0_ e2_) (op_ e0_ e2_)))))).
Variable ax432_432 : ~((e3_ = (op_ (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_)))) /\ (e4_ = (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) /\ (e0_ = (op_ e5_ e2_) /\ e1_ = (op_ (op_ e5_ e2_) (op_ e5_ e2_)))))).
Variable ax433_433 : ~((e3_ = (op_ (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_)))) /\ (e4_ = (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) /\ (e0_ = (op_ e1_ e2_) /\ e5_ = (op_ (op_ e1_ e2_) (op_ e1_ e2_)))))).
Variable ax434_434 : ~((e3_ = (op_ (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_)))) /\ (e4_ = (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) /\ (e1_ = (op_ e5_ e2_) /\ e0_ = (op_ (op_ e5_ e2_) (op_ e5_ e2_)))))).
Variable ax435_435 : ~((e3_ = (op_ (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_)))) /\ (e4_ = (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) /\ (e1_ = (op_ e0_ e2_) /\ e5_ = (op_ (op_ e0_ e2_) (op_ e0_ e2_)))))).
Variable ax436_436 : ~((e3_ = (op_ (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_)))) /\ (e4_ = (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) /\ (e5_ = (op_ e1_ e2_) /\ e0_ = (op_ (op_ e1_ e2_) (op_ e1_ e2_)))))).
Variable ax437_437 : ~((e3_ = (op_ (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_)))) /\ (e4_ = (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) /\ (e5_ = (op_ e0_ e2_) /\ e1_ = (op_ (op_ e0_ e2_) (op_ e0_ e2_)))))).
Variable ax438_438 : ~((e3_ = (op_ (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_)))) /\ (e5_ = (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) /\ (e0_ = (op_ e4_ e2_) /\ e1_ = (op_ (op_ e4_ e2_) (op_ e4_ e2_)))))).
Variable ax439_439 : ~((e3_ = (op_ (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_)))) /\ (e5_ = (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) /\ (e0_ = (op_ e1_ e2_) /\ e4_ = (op_ (op_ e1_ e2_) (op_ e1_ e2_)))))).
Variable ax440_440 : ~((e3_ = (op_ (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_)))) /\ (e5_ = (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) /\ (e1_ = (op_ e4_ e2_) /\ e0_ = (op_ (op_ e4_ e2_) (op_ e4_ e2_)))))).
Variable ax441_441 : ~((e3_ = (op_ (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_)))) /\ (e5_ = (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) /\ (e1_ = (op_ e0_ e2_) /\ e4_ = (op_ (op_ e0_ e2_) (op_ e0_ e2_)))))).
Variable ax442_442 : ~((e3_ = (op_ (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_)))) /\ (e5_ = (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) /\ (e4_ = (op_ e1_ e2_) /\ e0_ = (op_ (op_ e1_ e2_) (op_ e1_ e2_)))))).
Variable ax443_443 : ~((e3_ = (op_ (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_)))) /\ (e5_ = (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) /\ (e4_ = (op_ e0_ e2_) /\ e1_ = (op_ (op_ e0_ e2_) (op_ e0_ e2_)))))).
Variable ax444_444 : ~((e3_ = (op_ (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_)))) /\ (e0_ = (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) /\ (e1_ = (op_ e5_ e4_) /\ e2_ = (op_ (op_ e5_ e4_) (op_ e5_ e4_)))))).
Variable ax445_445 : ~((e3_ = (op_ (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_)))) /\ (e0_ = (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) /\ (e1_ = (op_ e2_ e4_) /\ e5_ = (op_ (op_ e2_ e4_) (op_ e2_ e4_)))))).
Variable ax446_446 : ~((e3_ = (op_ (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_)))) /\ (e0_ = (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) /\ (e2_ = (op_ e5_ e4_) /\ e1_ = (op_ (op_ e5_ e4_) (op_ e5_ e4_)))))).
Variable ax447_447 : ~((e3_ = (op_ (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_)))) /\ (e0_ = (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) /\ (e2_ = (op_ e1_ e4_) /\ e5_ = (op_ (op_ e1_ e4_) (op_ e1_ e4_)))))).
Variable ax448_448 : ~((e3_ = (op_ (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_)))) /\ (e0_ = (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) /\ (e5_ = (op_ e2_ e4_) /\ e1_ = (op_ (op_ e2_ e4_) (op_ e2_ e4_)))))).
Variable ax449_449 : ~((e3_ = (op_ (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_)))) /\ (e0_ = (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) /\ (e5_ = (op_ e1_ e4_) /\ e2_ = (op_ (op_ e1_ e4_) (op_ e1_ e4_)))))).
Variable ax450_450 : ~((e3_ = (op_ (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_)))) /\ (e1_ = (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) /\ (e0_ = (op_ e5_ e4_) /\ e2_ = (op_ (op_ e5_ e4_) (op_ e5_ e4_)))))).
Variable ax451_451 : ~((e3_ = (op_ (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_)))) /\ (e1_ = (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) /\ (e0_ = (op_ e2_ e4_) /\ e5_ = (op_ (op_ e2_ e4_) (op_ e2_ e4_)))))).
Variable ax452_452 : ~((e3_ = (op_ (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_)))) /\ (e1_ = (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) /\ (e2_ = (op_ e5_ e4_) /\ e0_ = (op_ (op_ e5_ e4_) (op_ e5_ e4_)))))).
Variable ax453_453 : ~((e3_ = (op_ (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_)))) /\ (e1_ = (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) /\ (e2_ = (op_ e0_ e4_) /\ e5_ = (op_ (op_ e0_ e4_) (op_ e0_ e4_)))))).
Variable ax454_454 : ~((e3_ = (op_ (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_)))) /\ (e1_ = (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) /\ (e5_ = (op_ e2_ e4_) /\ e0_ = (op_ (op_ e2_ e4_) (op_ e2_ e4_)))))).
Variable ax455_455 : ~((e3_ = (op_ (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_)))) /\ (e1_ = (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) /\ (e5_ = (op_ e0_ e4_) /\ e2_ = (op_ (op_ e0_ e4_) (op_ e0_ e4_)))))).
Variable ax456_456 : ~((e3_ = (op_ (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_)))) /\ (e2_ = (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) /\ (e0_ = (op_ e5_ e4_) /\ e1_ = (op_ (op_ e5_ e4_) (op_ e5_ e4_)))))).
Variable ax457_457 : ~((e3_ = (op_ (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_)))) /\ (e2_ = (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) /\ (e0_ = (op_ e1_ e4_) /\ e5_ = (op_ (op_ e1_ e4_) (op_ e1_ e4_)))))).
Variable ax458_458 : ~((e3_ = (op_ (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_)))) /\ (e2_ = (op_ e5_ (op_ (op_ e5_ e4_) (op_ e5_ e4_))) /\ (e1_ = (op_ e5_ e4_) /\ e0_ = (op_ (op_ e5_ e4_) (op_ e5_ e4_)))))).
Variable ax459_459 : ~((e3_ = (op_ (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_)))) /\ (e2_ = (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) /\ (e1_ = (op_ e0_ e4_) /\ e5_ = (op_ (op_ e0_ e4_) (op_ e0_ e4_)))))).
Variable ax460_460 : ~((e3_ = (op_ (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_)))) /\ (e2_ = (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) /\ (e5_ = (op_ e1_ e4_) /\ e0_ = (op_ (op_ e1_ e4_) (op_ e1_ e4_)))))).
Variable ax461_461 : ~((e3_ = (op_ (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_)))) /\ (e2_ = (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) /\ (e5_ = (op_ e0_ e4_) /\ e1_ = (op_ (op_ e0_ e4_) (op_ e0_ e4_)))))).
Variable ax462_462 : ~((e3_ = (op_ (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_)))) /\ (e5_ = (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) /\ (e0_ = (op_ e2_ e4_) /\ e1_ = (op_ (op_ e2_ e4_) (op_ e2_ e4_)))))).
Variable ax463_463 : ~((e3_ = (op_ (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_)))) /\ (e5_ = (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) /\ (e0_ = (op_ e1_ e4_) /\ e2_ = (op_ (op_ e1_ e4_) (op_ e1_ e4_)))))).
Variable ax464_464 : ~((e3_ = (op_ (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_)))) /\ (e5_ = (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) /\ (e1_ = (op_ e2_ e4_) /\ e0_ = (op_ (op_ e2_ e4_) (op_ e2_ e4_)))))).
Variable ax465_465 : ~((e3_ = (op_ (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_)))) /\ (e5_ = (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) /\ (e1_ = (op_ e0_ e4_) /\ e2_ = (op_ (op_ e0_ e4_) (op_ e0_ e4_)))))).
Variable ax466_466 : ~((e3_ = (op_ (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_)))) /\ (e5_ = (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) /\ (e2_ = (op_ e1_ e4_) /\ e0_ = (op_ (op_ e1_ e4_) (op_ e1_ e4_)))))).
Variable ax467_467 : ~((e3_ = (op_ (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_)))) /\ (e5_ = (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) /\ (e2_ = (op_ e0_ e4_) /\ e1_ = (op_ (op_ e0_ e4_) (op_ e0_ e4_)))))).
Variable ax468_468 : ~((e3_ = (op_ (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_)))) /\ (e0_ = (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) /\ (e1_ = (op_ e4_ e5_) /\ e2_ = (op_ (op_ e4_ e5_) (op_ e4_ e5_)))))).
Variable ax469_469 : ~((e3_ = (op_ (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_)))) /\ (e0_ = (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) /\ (e1_ = (op_ e2_ e5_) /\ e4_ = (op_ (op_ e2_ e5_) (op_ e2_ e5_)))))).
Variable ax470_470 : ~((e3_ = (op_ (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_)))) /\ (e0_ = (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) /\ (e2_ = (op_ e4_ e5_) /\ e1_ = (op_ (op_ e4_ e5_) (op_ e4_ e5_)))))).
Variable ax471_471 : ~((e3_ = (op_ (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_)))) /\ (e0_ = (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) /\ (e2_ = (op_ e1_ e5_) /\ e4_ = (op_ (op_ e1_ e5_) (op_ e1_ e5_)))))).
Variable ax472_472 : ~((e3_ = (op_ (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_)))) /\ (e0_ = (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) /\ (e4_ = (op_ e2_ e5_) /\ e1_ = (op_ (op_ e2_ e5_) (op_ e2_ e5_)))))).
Variable ax473_473 : ~((e3_ = (op_ (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_)))) /\ (e0_ = (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) /\ (e4_ = (op_ e1_ e5_) /\ e2_ = (op_ (op_ e1_ e5_) (op_ e1_ e5_)))))).
Variable ax474_474 : ~((e3_ = (op_ (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_)))) /\ (e1_ = (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) /\ (e0_ = (op_ e4_ e5_) /\ e2_ = (op_ (op_ e4_ e5_) (op_ e4_ e5_)))))).
Variable ax475_475 : ~((e3_ = (op_ (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_)))) /\ (e1_ = (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) /\ (e0_ = (op_ e2_ e5_) /\ e4_ = (op_ (op_ e2_ e5_) (op_ e2_ e5_)))))).
Variable ax476_476 : ~((e3_ = (op_ (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_)))) /\ (e1_ = (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) /\ (e2_ = (op_ e4_ e5_) /\ e0_ = (op_ (op_ e4_ e5_) (op_ e4_ e5_)))))).
Variable ax477_477 : ~((e3_ = (op_ (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_)))) /\ (e1_ = (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) /\ (e2_ = (op_ e0_ e5_) /\ e4_ = (op_ (op_ e0_ e5_) (op_ e0_ e5_)))))).
Variable ax478_478 : ~((e3_ = (op_ (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_)))) /\ (e1_ = (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) /\ (e4_ = (op_ e2_ e5_) /\ e0_ = (op_ (op_ e2_ e5_) (op_ e2_ e5_)))))).
Variable ax479_479 : ~((e3_ = (op_ (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_)))) /\ (e1_ = (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) /\ (e4_ = (op_ e0_ e5_) /\ e2_ = (op_ (op_ e0_ e5_) (op_ e0_ e5_)))))).
Variable ax480_480 : ~((e3_ = (op_ (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_)))) /\ (e2_ = (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) /\ (e0_ = (op_ e4_ e5_) /\ e1_ = (op_ (op_ e4_ e5_) (op_ e4_ e5_)))))).
Variable ax481_481 : ~((e3_ = (op_ (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_)))) /\ (e2_ = (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) /\ (e0_ = (op_ e1_ e5_) /\ e4_ = (op_ (op_ e1_ e5_) (op_ e1_ e5_)))))).
Variable ax482_482 : ~((e3_ = (op_ (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_)))) /\ (e2_ = (op_ e4_ (op_ (op_ e4_ e5_) (op_ e4_ e5_))) /\ (e1_ = (op_ e4_ e5_) /\ e0_ = (op_ (op_ e4_ e5_) (op_ e4_ e5_)))))).
Variable ax483_483 : ~((e3_ = (op_ (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_)))) /\ (e2_ = (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) /\ (e1_ = (op_ e0_ e5_) /\ e4_ = (op_ (op_ e0_ e5_) (op_ e0_ e5_)))))).
Variable ax484_484 : ~((e3_ = (op_ (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_)))) /\ (e2_ = (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) /\ (e4_ = (op_ e1_ e5_) /\ e0_ = (op_ (op_ e1_ e5_) (op_ e1_ e5_)))))).
Variable ax485_485 : ~((e3_ = (op_ (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_)))) /\ (e2_ = (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) /\ (e4_ = (op_ e0_ e5_) /\ e1_ = (op_ (op_ e0_ e5_) (op_ e0_ e5_)))))).
Variable ax486_486 : ~((e3_ = (op_ (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_)))) /\ (e4_ = (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) /\ (e0_ = (op_ e2_ e5_) /\ e1_ = (op_ (op_ e2_ e5_) (op_ e2_ e5_)))))).
Variable ax487_487 : ~((e3_ = (op_ (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_)))) /\ (e4_ = (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) /\ (e0_ = (op_ e1_ e5_) /\ e2_ = (op_ (op_ e1_ e5_) (op_ e1_ e5_)))))).
Variable ax488_488 : ~((e3_ = (op_ (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_)))) /\ (e4_ = (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) /\ (e1_ = (op_ e2_ e5_) /\ e0_ = (op_ (op_ e2_ e5_) (op_ e2_ e5_)))))).
Variable ax489_489 : ~((e3_ = (op_ (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_)))) /\ (e4_ = (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) /\ (e1_ = (op_ e0_ e5_) /\ e2_ = (op_ (op_ e0_ e5_) (op_ e0_ e5_)))))).
Variable ax490_490 : ~((e3_ = (op_ (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_)))) /\ (e4_ = (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) /\ (e2_ = (op_ e1_ e5_) /\ e0_ = (op_ (op_ e1_ e5_) (op_ e1_ e5_)))))).
Variable ax491_491 : ~((e3_ = (op_ (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_)))) /\ (e4_ = (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) /\ (e2_ = (op_ e0_ e5_) /\ e1_ = (op_ (op_ e0_ e5_) (op_ e0_ e5_)))))).
Variable ax492_492 : ~((e4_ = (op_ (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_)))) /\ (e1_ = (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) /\ (e2_ = (op_ e5_ e0_) /\ e3_ = (op_ (op_ e5_ e0_) (op_ e5_ e0_)))))).
Variable ax493_493 : ~((e4_ = (op_ (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_)))) /\ (e1_ = (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) /\ (e2_ = (op_ e3_ e0_) /\ e5_ = (op_ (op_ e3_ e0_) (op_ e3_ e0_)))))).
Variable ax494_494 : ~((e4_ = (op_ (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_)))) /\ (e1_ = (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) /\ (e3_ = (op_ e5_ e0_) /\ e2_ = (op_ (op_ e5_ e0_) (op_ e5_ e0_)))))).
Variable ax495_495 : ~((e4_ = (op_ (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_)))) /\ (e1_ = (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) /\ (e3_ = (op_ e2_ e0_) /\ e5_ = (op_ (op_ e2_ e0_) (op_ e2_ e0_)))))).
Variable ax496_496 : ~((e4_ = (op_ (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_)))) /\ (e1_ = (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) /\ (e5_ = (op_ e3_ e0_) /\ e2_ = (op_ (op_ e3_ e0_) (op_ e3_ e0_)))))).
Variable ax497_497 : ~((e4_ = (op_ (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_)))) /\ (e1_ = (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) /\ (e5_ = (op_ e2_ e0_) /\ e3_ = (op_ (op_ e2_ e0_) (op_ e2_ e0_)))))).
Variable ax498_498 : ~((e4_ = (op_ (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_)))) /\ (e2_ = (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) /\ (e1_ = (op_ e5_ e0_) /\ e3_ = (op_ (op_ e5_ e0_) (op_ e5_ e0_)))))).
Variable ax499_499 : ~((e4_ = (op_ (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_)))) /\ (e2_ = (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) /\ (e1_ = (op_ e3_ e0_) /\ e5_ = (op_ (op_ e3_ e0_) (op_ e3_ e0_)))))).
Variable ax500_500 : ~((e4_ = (op_ (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_)))) /\ (e2_ = (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) /\ (e3_ = (op_ e5_ e0_) /\ e1_ = (op_ (op_ e5_ e0_) (op_ e5_ e0_)))))).
Variable ax501_501 : ~((e4_ = (op_ (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_)))) /\ (e2_ = (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) /\ (e3_ = (op_ e1_ e0_) /\ e5_ = (op_ (op_ e1_ e0_) (op_ e1_ e0_)))))).
Variable ax502_502 : ~((e4_ = (op_ (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_)))) /\ (e2_ = (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) /\ (e5_ = (op_ e3_ e0_) /\ e1_ = (op_ (op_ e3_ e0_) (op_ e3_ e0_)))))).
Variable ax503_503 : ~((e4_ = (op_ (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_)))) /\ (e2_ = (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) /\ (e5_ = (op_ e1_ e0_) /\ e3_ = (op_ (op_ e1_ e0_) (op_ e1_ e0_)))))).
Variable ax504_504 : ~((e4_ = (op_ (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_)))) /\ (e3_ = (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) /\ (e1_ = (op_ e5_ e0_) /\ e2_ = (op_ (op_ e5_ e0_) (op_ e5_ e0_)))))).
Variable ax505_505 : ~((e4_ = (op_ (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_)))) /\ (e3_ = (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) /\ (e1_ = (op_ e2_ e0_) /\ e5_ = (op_ (op_ e2_ e0_) (op_ e2_ e0_)))))).
Variable ax506_506 : ~((e4_ = (op_ (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_)))) /\ (e3_ = (op_ e5_ (op_ (op_ e5_ e0_) (op_ e5_ e0_))) /\ (e2_ = (op_ e5_ e0_) /\ e1_ = (op_ (op_ e5_ e0_) (op_ e5_ e0_)))))).
Variable ax507_507 : ~((e4_ = (op_ (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_)))) /\ (e3_ = (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) /\ (e2_ = (op_ e1_ e0_) /\ e5_ = (op_ (op_ e1_ e0_) (op_ e1_ e0_)))))).
Variable ax508_508 : ~((e4_ = (op_ (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_)))) /\ (e3_ = (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) /\ (e5_ = (op_ e2_ e0_) /\ e1_ = (op_ (op_ e2_ e0_) (op_ e2_ e0_)))))).
Variable ax509_509 : ~((e4_ = (op_ (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_)))) /\ (e3_ = (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) /\ (e5_ = (op_ e1_ e0_) /\ e2_ = (op_ (op_ e1_ e0_) (op_ e1_ e0_)))))).
Variable ax510_510 : ~((e4_ = (op_ (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_)))) /\ (e5_ = (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) /\ (e1_ = (op_ e3_ e0_) /\ e2_ = (op_ (op_ e3_ e0_) (op_ e3_ e0_)))))).
Variable ax511_511 : ~((e4_ = (op_ (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_)))) /\ (e5_ = (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) /\ (e1_ = (op_ e2_ e0_) /\ e3_ = (op_ (op_ e2_ e0_) (op_ e2_ e0_)))))).
Variable ax512_512 : ~((e4_ = (op_ (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_)))) /\ (e5_ = (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) /\ (e2_ = (op_ e3_ e0_) /\ e1_ = (op_ (op_ e3_ e0_) (op_ e3_ e0_)))))).
Variable ax513_513 : ~((e4_ = (op_ (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_)))) /\ (e5_ = (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) /\ (e2_ = (op_ e1_ e0_) /\ e3_ = (op_ (op_ e1_ e0_) (op_ e1_ e0_)))))).
Variable ax514_514 : ~((e4_ = (op_ (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_)))) /\ (e5_ = (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) /\ (e3_ = (op_ e2_ e0_) /\ e1_ = (op_ (op_ e2_ e0_) (op_ e2_ e0_)))))).
Variable ax515_515 : ~((e4_ = (op_ (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_)))) /\ (e5_ = (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) /\ (e3_ = (op_ e1_ e0_) /\ e2_ = (op_ (op_ e1_ e0_) (op_ e1_ e0_)))))).
Variable ax516_516 : ~((e4_ = (op_ (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_)))) /\ (e0_ = (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) /\ (e2_ = (op_ e5_ e1_) /\ e3_ = (op_ (op_ e5_ e1_) (op_ e5_ e1_)))))).
Variable ax517_517 : ~((e4_ = (op_ (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_)))) /\ (e0_ = (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) /\ (e2_ = (op_ e3_ e1_) /\ e5_ = (op_ (op_ e3_ e1_) (op_ e3_ e1_)))))).
Variable ax518_518 : ~((e4_ = (op_ (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_)))) /\ (e0_ = (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) /\ (e3_ = (op_ e5_ e1_) /\ e2_ = (op_ (op_ e5_ e1_) (op_ e5_ e1_)))))).
Variable ax519_519 : ~((e4_ = (op_ (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_)))) /\ (e0_ = (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) /\ (e3_ = (op_ e2_ e1_) /\ e5_ = (op_ (op_ e2_ e1_) (op_ e2_ e1_)))))).
Variable ax520_520 : ~((e4_ = (op_ (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_)))) /\ (e0_ = (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) /\ (e5_ = (op_ e3_ e1_) /\ e2_ = (op_ (op_ e3_ e1_) (op_ e3_ e1_)))))).
Variable ax521_521 : ~((e4_ = (op_ (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_)))) /\ (e0_ = (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) /\ (e5_ = (op_ e2_ e1_) /\ e3_ = (op_ (op_ e2_ e1_) (op_ e2_ e1_)))))).
Variable ax522_522 : ~((e4_ = (op_ (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_)))) /\ (e2_ = (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) /\ (e0_ = (op_ e5_ e1_) /\ e3_ = (op_ (op_ e5_ e1_) (op_ e5_ e1_)))))).
Variable ax523_523 : ~((e4_ = (op_ (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_)))) /\ (e2_ = (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) /\ (e0_ = (op_ e3_ e1_) /\ e5_ = (op_ (op_ e3_ e1_) (op_ e3_ e1_)))))).
Variable ax524_524 : ~((e4_ = (op_ (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_)))) /\ (e2_ = (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) /\ (e3_ = (op_ e5_ e1_) /\ e0_ = (op_ (op_ e5_ e1_) (op_ e5_ e1_)))))).
Variable ax525_525 : ~((e4_ = (op_ (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_)))) /\ (e2_ = (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) /\ (e3_ = (op_ e0_ e1_) /\ e5_ = (op_ (op_ e0_ e1_) (op_ e0_ e1_)))))).
Variable ax526_526 : ~((e4_ = (op_ (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_)))) /\ (e2_ = (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) /\ (e5_ = (op_ e3_ e1_) /\ e0_ = (op_ (op_ e3_ e1_) (op_ e3_ e1_)))))).
Variable ax527_527 : ~((e4_ = (op_ (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_)))) /\ (e2_ = (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) /\ (e5_ = (op_ e0_ e1_) /\ e3_ = (op_ (op_ e0_ e1_) (op_ e0_ e1_)))))).
Variable ax528_528 : ~((e4_ = (op_ (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_)))) /\ (e3_ = (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) /\ (e0_ = (op_ e5_ e1_) /\ e2_ = (op_ (op_ e5_ e1_) (op_ e5_ e1_)))))).
Variable ax529_529 : ~((e4_ = (op_ (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_)))) /\ (e3_ = (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) /\ (e0_ = (op_ e2_ e1_) /\ e5_ = (op_ (op_ e2_ e1_) (op_ e2_ e1_)))))).
Variable ax530_530 : ~((e4_ = (op_ (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_)))) /\ (e3_ = (op_ e5_ (op_ (op_ e5_ e1_) (op_ e5_ e1_))) /\ (e2_ = (op_ e5_ e1_) /\ e0_ = (op_ (op_ e5_ e1_) (op_ e5_ e1_)))))).
Variable ax531_531 : ~((e4_ = (op_ (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_)))) /\ (e3_ = (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) /\ (e2_ = (op_ e0_ e1_) /\ e5_ = (op_ (op_ e0_ e1_) (op_ e0_ e1_)))))).
Variable ax532_532 : ~((e4_ = (op_ (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_)))) /\ (e3_ = (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) /\ (e5_ = (op_ e2_ e1_) /\ e0_ = (op_ (op_ e2_ e1_) (op_ e2_ e1_)))))).
Variable ax533_533 : ~((e4_ = (op_ (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_)))) /\ (e3_ = (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) /\ (e5_ = (op_ e0_ e1_) /\ e2_ = (op_ (op_ e0_ e1_) (op_ e0_ e1_)))))).
Variable ax534_534 : ~((e4_ = (op_ (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_)))) /\ (e5_ = (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) /\ (e0_ = (op_ e3_ e1_) /\ e2_ = (op_ (op_ e3_ e1_) (op_ e3_ e1_)))))).
Variable ax535_535 : ~((e4_ = (op_ (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_)))) /\ (e5_ = (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) /\ (e0_ = (op_ e2_ e1_) /\ e3_ = (op_ (op_ e2_ e1_) (op_ e2_ e1_)))))).
Variable ax536_536 : ~((e4_ = (op_ (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_)))) /\ (e5_ = (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) /\ (e2_ = (op_ e3_ e1_) /\ e0_ = (op_ (op_ e3_ e1_) (op_ e3_ e1_)))))).
Variable ax537_537 : ~((e4_ = (op_ (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_)))) /\ (e5_ = (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) /\ (e2_ = (op_ e0_ e1_) /\ e3_ = (op_ (op_ e0_ e1_) (op_ e0_ e1_)))))).
Variable ax538_538 : ~((e4_ = (op_ (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_)))) /\ (e5_ = (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) /\ (e3_ = (op_ e2_ e1_) /\ e0_ = (op_ (op_ e2_ e1_) (op_ e2_ e1_)))))).
Variable ax539_539 : ~((e4_ = (op_ (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_)))) /\ (e5_ = (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) /\ (e3_ = (op_ e0_ e1_) /\ e2_ = (op_ (op_ e0_ e1_) (op_ e0_ e1_)))))).
Variable ax540_540 : ~((e4_ = (op_ (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_)))) /\ (e0_ = (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) /\ (e1_ = (op_ e5_ e2_) /\ e3_ = (op_ (op_ e5_ e2_) (op_ e5_ e2_)))))).
Variable ax541_541 : ~((e4_ = (op_ (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_)))) /\ (e0_ = (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) /\ (e1_ = (op_ e3_ e2_) /\ e5_ = (op_ (op_ e3_ e2_) (op_ e3_ e2_)))))).
Variable ax542_542 : ~((e4_ = (op_ (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_)))) /\ (e0_ = (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) /\ (e3_ = (op_ e5_ e2_) /\ e1_ = (op_ (op_ e5_ e2_) (op_ e5_ e2_)))))).
Variable ax543_543 : ~((e4_ = (op_ (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_)))) /\ (e0_ = (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) /\ (e3_ = (op_ e1_ e2_) /\ e5_ = (op_ (op_ e1_ e2_) (op_ e1_ e2_)))))).
Variable ax544_544 : ~((e4_ = (op_ (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_)))) /\ (e0_ = (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) /\ (e5_ = (op_ e3_ e2_) /\ e1_ = (op_ (op_ e3_ e2_) (op_ e3_ e2_)))))).
Variable ax545_545 : ~((e4_ = (op_ (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_)))) /\ (e0_ = (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) /\ (e5_ = (op_ e1_ e2_) /\ e3_ = (op_ (op_ e1_ e2_) (op_ e1_ e2_)))))).
Variable ax546_546 : ~((e4_ = (op_ (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_)))) /\ (e1_ = (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) /\ (e0_ = (op_ e5_ e2_) /\ e3_ = (op_ (op_ e5_ e2_) (op_ e5_ e2_)))))).
Variable ax547_547 : ~((e4_ = (op_ (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_)))) /\ (e1_ = (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) /\ (e0_ = (op_ e3_ e2_) /\ e5_ = (op_ (op_ e3_ e2_) (op_ e3_ e2_)))))).
Variable ax548_548 : ~((e4_ = (op_ (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_)))) /\ (e1_ = (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) /\ (e3_ = (op_ e5_ e2_) /\ e0_ = (op_ (op_ e5_ e2_) (op_ e5_ e2_)))))).
Variable ax549_549 : ~((e4_ = (op_ (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_)))) /\ (e1_ = (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) /\ (e3_ = (op_ e0_ e2_) /\ e5_ = (op_ (op_ e0_ e2_) (op_ e0_ e2_)))))).
Variable ax550_550 : ~((e4_ = (op_ (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_)))) /\ (e1_ = (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) /\ (e5_ = (op_ e3_ e2_) /\ e0_ = (op_ (op_ e3_ e2_) (op_ e3_ e2_)))))).
Variable ax551_551 : ~((e4_ = (op_ (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_)))) /\ (e1_ = (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) /\ (e5_ = (op_ e0_ e2_) /\ e3_ = (op_ (op_ e0_ e2_) (op_ e0_ e2_)))))).
Variable ax552_552 : ~((e4_ = (op_ (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_)))) /\ (e3_ = (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) /\ (e0_ = (op_ e5_ e2_) /\ e1_ = (op_ (op_ e5_ e2_) (op_ e5_ e2_)))))).
Variable ax553_553 : ~((e4_ = (op_ (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_)))) /\ (e3_ = (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) /\ (e0_ = (op_ e1_ e2_) /\ e5_ = (op_ (op_ e1_ e2_) (op_ e1_ e2_)))))).
Variable ax554_554 : ~((e4_ = (op_ (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_)))) /\ (e3_ = (op_ e5_ (op_ (op_ e5_ e2_) (op_ e5_ e2_))) /\ (e1_ = (op_ e5_ e2_) /\ e0_ = (op_ (op_ e5_ e2_) (op_ e5_ e2_)))))).
Variable ax555_555 : ~((e4_ = (op_ (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_)))) /\ (e3_ = (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) /\ (e1_ = (op_ e0_ e2_) /\ e5_ = (op_ (op_ e0_ e2_) (op_ e0_ e2_)))))).
Variable ax556_556 : ~((e4_ = (op_ (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_)))) /\ (e3_ = (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) /\ (e5_ = (op_ e1_ e2_) /\ e0_ = (op_ (op_ e1_ e2_) (op_ e1_ e2_)))))).
Variable ax557_557 : ~((e4_ = (op_ (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_)))) /\ (e3_ = (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) /\ (e5_ = (op_ e0_ e2_) /\ e1_ = (op_ (op_ e0_ e2_) (op_ e0_ e2_)))))).
Variable ax558_558 : ~((e4_ = (op_ (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_)))) /\ (e5_ = (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) /\ (e0_ = (op_ e3_ e2_) /\ e1_ = (op_ (op_ e3_ e2_) (op_ e3_ e2_)))))).
Variable ax559_559 : ~((e4_ = (op_ (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_)))) /\ (e5_ = (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) /\ (e0_ = (op_ e1_ e2_) /\ e3_ = (op_ (op_ e1_ e2_) (op_ e1_ e2_)))))).
Variable ax560_560 : ~((e4_ = (op_ (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_)))) /\ (e5_ = (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) /\ (e1_ = (op_ e3_ e2_) /\ e0_ = (op_ (op_ e3_ e2_) (op_ e3_ e2_)))))).
Variable ax561_561 : ~((e4_ = (op_ (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_)))) /\ (e5_ = (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) /\ (e1_ = (op_ e0_ e2_) /\ e3_ = (op_ (op_ e0_ e2_) (op_ e0_ e2_)))))).
Variable ax562_562 : ~((e4_ = (op_ (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_)))) /\ (e5_ = (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) /\ (e3_ = (op_ e1_ e2_) /\ e0_ = (op_ (op_ e1_ e2_) (op_ e1_ e2_)))))).
Variable ax563_563 : ~((e4_ = (op_ (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_)))) /\ (e5_ = (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) /\ (e3_ = (op_ e0_ e2_) /\ e1_ = (op_ (op_ e0_ e2_) (op_ e0_ e2_)))))).
Variable ax564_564 : ~((e4_ = (op_ (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_)))) /\ (e0_ = (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) /\ (e1_ = (op_ e5_ e3_) /\ e2_ = (op_ (op_ e5_ e3_) (op_ e5_ e3_)))))).
Variable ax565_565 : ~((e4_ = (op_ (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_)))) /\ (e0_ = (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) /\ (e1_ = (op_ e2_ e3_) /\ e5_ = (op_ (op_ e2_ e3_) (op_ e2_ e3_)))))).
Variable ax566_566 : ~((e4_ = (op_ (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_)))) /\ (e0_ = (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) /\ (e2_ = (op_ e5_ e3_) /\ e1_ = (op_ (op_ e5_ e3_) (op_ e5_ e3_)))))).
Variable ax567_567 : ~((e4_ = (op_ (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_)))) /\ (e0_ = (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) /\ (e2_ = (op_ e1_ e3_) /\ e5_ = (op_ (op_ e1_ e3_) (op_ e1_ e3_)))))).
Variable ax568_568 : ~((e4_ = (op_ (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_)))) /\ (e0_ = (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) /\ (e5_ = (op_ e2_ e3_) /\ e1_ = (op_ (op_ e2_ e3_) (op_ e2_ e3_)))))).
Variable ax569_569 : ~((e4_ = (op_ (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_)))) /\ (e0_ = (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) /\ (e5_ = (op_ e1_ e3_) /\ e2_ = (op_ (op_ e1_ e3_) (op_ e1_ e3_)))))).
Variable ax570_570 : ~((e4_ = (op_ (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_)))) /\ (e1_ = (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) /\ (e0_ = (op_ e5_ e3_) /\ e2_ = (op_ (op_ e5_ e3_) (op_ e5_ e3_)))))).
Variable ax571_571 : ~((e4_ = (op_ (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_)))) /\ (e1_ = (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) /\ (e0_ = (op_ e2_ e3_) /\ e5_ = (op_ (op_ e2_ e3_) (op_ e2_ e3_)))))).
Variable ax572_572 : ~((e4_ = (op_ (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_)))) /\ (e1_ = (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) /\ (e2_ = (op_ e5_ e3_) /\ e0_ = (op_ (op_ e5_ e3_) (op_ e5_ e3_)))))).
Variable ax573_573 : ~((e4_ = (op_ (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_)))) /\ (e1_ = (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) /\ (e2_ = (op_ e0_ e3_) /\ e5_ = (op_ (op_ e0_ e3_) (op_ e0_ e3_)))))).
Variable ax574_574 : ~((e4_ = (op_ (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_)))) /\ (e1_ = (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) /\ (e5_ = (op_ e2_ e3_) /\ e0_ = (op_ (op_ e2_ e3_) (op_ e2_ e3_)))))).
Variable ax575_575 : ~((e4_ = (op_ (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_)))) /\ (e1_ = (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) /\ (e5_ = (op_ e0_ e3_) /\ e2_ = (op_ (op_ e0_ e3_) (op_ e0_ e3_)))))).
Variable ax576_576 : ~((e4_ = (op_ (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_)))) /\ (e2_ = (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) /\ (e0_ = (op_ e5_ e3_) /\ e1_ = (op_ (op_ e5_ e3_) (op_ e5_ e3_)))))).
Variable ax577_577 : ~((e4_ = (op_ (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_)))) /\ (e2_ = (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) /\ (e0_ = (op_ e1_ e3_) /\ e5_ = (op_ (op_ e1_ e3_) (op_ e1_ e3_)))))).
Variable ax578_578 : ~((e4_ = (op_ (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_)))) /\ (e2_ = (op_ e5_ (op_ (op_ e5_ e3_) (op_ e5_ e3_))) /\ (e1_ = (op_ e5_ e3_) /\ e0_ = (op_ (op_ e5_ e3_) (op_ e5_ e3_)))))).
Variable ax579_579 : ~((e4_ = (op_ (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_)))) /\ (e2_ = (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) /\ (e1_ = (op_ e0_ e3_) /\ e5_ = (op_ (op_ e0_ e3_) (op_ e0_ e3_)))))).
Variable ax580_580 : ~((e4_ = (op_ (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_)))) /\ (e2_ = (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) /\ (e5_ = (op_ e1_ e3_) /\ e0_ = (op_ (op_ e1_ e3_) (op_ e1_ e3_)))))).
Variable ax581_581 : ~((e4_ = (op_ (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_)))) /\ (e2_ = (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) /\ (e5_ = (op_ e0_ e3_) /\ e1_ = (op_ (op_ e0_ e3_) (op_ e0_ e3_)))))).
Variable ax582_582 : ~((e4_ = (op_ (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_)))) /\ (e5_ = (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) /\ (e0_ = (op_ e2_ e3_) /\ e1_ = (op_ (op_ e2_ e3_) (op_ e2_ e3_)))))).
Variable ax583_583 : ~((e4_ = (op_ (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_)))) /\ (e5_ = (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) /\ (e0_ = (op_ e1_ e3_) /\ e2_ = (op_ (op_ e1_ e3_) (op_ e1_ e3_)))))).
Variable ax584_584 : ~((e4_ = (op_ (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_)))) /\ (e5_ = (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) /\ (e1_ = (op_ e2_ e3_) /\ e0_ = (op_ (op_ e2_ e3_) (op_ e2_ e3_)))))).
Variable ax585_585 : ~((e4_ = (op_ (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_)))) /\ (e5_ = (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) /\ (e1_ = (op_ e0_ e3_) /\ e2_ = (op_ (op_ e0_ e3_) (op_ e0_ e3_)))))).
Variable ax586_586 : ~((e4_ = (op_ (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_)))) /\ (e5_ = (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) /\ (e2_ = (op_ e1_ e3_) /\ e0_ = (op_ (op_ e1_ e3_) (op_ e1_ e3_)))))).
Variable ax587_587 : ~((e4_ = (op_ (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_)))) /\ (e5_ = (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) /\ (e2_ = (op_ e0_ e3_) /\ e1_ = (op_ (op_ e0_ e3_) (op_ e0_ e3_)))))).
Variable ax588_588 : ~((e4_ = (op_ (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_)))) /\ (e0_ = (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) /\ (e1_ = (op_ e3_ e5_) /\ e2_ = (op_ (op_ e3_ e5_) (op_ e3_ e5_)))))).
Variable ax589_589 : ~((e4_ = (op_ (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_)))) /\ (e0_ = (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) /\ (e1_ = (op_ e2_ e5_) /\ e3_ = (op_ (op_ e2_ e5_) (op_ e2_ e5_)))))).
Variable ax590_590 : ~((e4_ = (op_ (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_)))) /\ (e0_ = (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) /\ (e2_ = (op_ e3_ e5_) /\ e1_ = (op_ (op_ e3_ e5_) (op_ e3_ e5_)))))).
Variable ax591_591 : ~((e4_ = (op_ (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_)))) /\ (e0_ = (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) /\ (e2_ = (op_ e1_ e5_) /\ e3_ = (op_ (op_ e1_ e5_) (op_ e1_ e5_)))))).
Variable ax592_592 : ~((e4_ = (op_ (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_)))) /\ (e0_ = (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) /\ (e3_ = (op_ e2_ e5_) /\ e1_ = (op_ (op_ e2_ e5_) (op_ e2_ e5_)))))).
Variable ax593_593 : ~((e4_ = (op_ (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_)))) /\ (e0_ = (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) /\ (e3_ = (op_ e1_ e5_) /\ e2_ = (op_ (op_ e1_ e5_) (op_ e1_ e5_)))))).
Variable ax594_594 : ~((e4_ = (op_ (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_)))) /\ (e1_ = (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) /\ (e0_ = (op_ e3_ e5_) /\ e2_ = (op_ (op_ e3_ e5_) (op_ e3_ e5_)))))).
Variable ax595_595 : ~((e4_ = (op_ (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_)))) /\ (e1_ = (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) /\ (e0_ = (op_ e2_ e5_) /\ e3_ = (op_ (op_ e2_ e5_) (op_ e2_ e5_)))))).
Variable ax596_596 : ~((e4_ = (op_ (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_)))) /\ (e1_ = (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) /\ (e2_ = (op_ e3_ e5_) /\ e0_ = (op_ (op_ e3_ e5_) (op_ e3_ e5_)))))).
Variable ax597_597 : ~((e4_ = (op_ (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_)))) /\ (e1_ = (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) /\ (e2_ = (op_ e0_ e5_) /\ e3_ = (op_ (op_ e0_ e5_) (op_ e0_ e5_)))))).
Variable ax598_598 : ~((e4_ = (op_ (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_)))) /\ (e1_ = (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) /\ (e3_ = (op_ e2_ e5_) /\ e0_ = (op_ (op_ e2_ e5_) (op_ e2_ e5_)))))).
Variable ax599_599 : ~((e4_ = (op_ (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_)))) /\ (e1_ = (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) /\ (e3_ = (op_ e0_ e5_) /\ e2_ = (op_ (op_ e0_ e5_) (op_ e0_ e5_)))))).
Variable ax600_600 : ~((e4_ = (op_ (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_)))) /\ (e2_ = (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) /\ (e0_ = (op_ e3_ e5_) /\ e1_ = (op_ (op_ e3_ e5_) (op_ e3_ e5_)))))).
Variable ax601_601 : ~((e4_ = (op_ (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_)))) /\ (e2_ = (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) /\ (e0_ = (op_ e1_ e5_) /\ e3_ = (op_ (op_ e1_ e5_) (op_ e1_ e5_)))))).
Variable ax602_602 : ~((e4_ = (op_ (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_)))) /\ (e2_ = (op_ e3_ (op_ (op_ e3_ e5_) (op_ e3_ e5_))) /\ (e1_ = (op_ e3_ e5_) /\ e0_ = (op_ (op_ e3_ e5_) (op_ e3_ e5_)))))).
Variable ax603_603 : ~((e4_ = (op_ (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_)))) /\ (e2_ = (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) /\ (e1_ = (op_ e0_ e5_) /\ e3_ = (op_ (op_ e0_ e5_) (op_ e0_ e5_)))))).
Variable ax604_604 : ~((e4_ = (op_ (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_)))) /\ (e2_ = (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) /\ (e3_ = (op_ e1_ e5_) /\ e0_ = (op_ (op_ e1_ e5_) (op_ e1_ e5_)))))).
Variable ax605_605 : ~((e4_ = (op_ (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_)))) /\ (e2_ = (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) /\ (e3_ = (op_ e0_ e5_) /\ e1_ = (op_ (op_ e0_ e5_) (op_ e0_ e5_)))))).
Variable ax606_606 : ~((e4_ = (op_ (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_)))) /\ (e3_ = (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) /\ (e0_ = (op_ e2_ e5_) /\ e1_ = (op_ (op_ e2_ e5_) (op_ e2_ e5_)))))).
Variable ax607_607 : ~((e4_ = (op_ (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_)))) /\ (e3_ = (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) /\ (e0_ = (op_ e1_ e5_) /\ e2_ = (op_ (op_ e1_ e5_) (op_ e1_ e5_)))))).
Variable ax608_608 : ~((e4_ = (op_ (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_)))) /\ (e3_ = (op_ e2_ (op_ (op_ e2_ e5_) (op_ e2_ e5_))) /\ (e1_ = (op_ e2_ e5_) /\ e0_ = (op_ (op_ e2_ e5_) (op_ e2_ e5_)))))).
Variable ax609_609 : ~((e4_ = (op_ (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_)))) /\ (e3_ = (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) /\ (e1_ = (op_ e0_ e5_) /\ e2_ = (op_ (op_ e0_ e5_) (op_ e0_ e5_)))))).
Variable ax610_610 : ~((e4_ = (op_ (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_)))) /\ (e3_ = (op_ e1_ (op_ (op_ e1_ e5_) (op_ e1_ e5_))) /\ (e2_ = (op_ e1_ e5_) /\ e0_ = (op_ (op_ e1_ e5_) (op_ e1_ e5_)))))).
Variable ax611_611 : ~((e4_ = (op_ (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_)))) /\ (e3_ = (op_ e0_ (op_ (op_ e0_ e5_) (op_ e0_ e5_))) /\ (e2_ = (op_ e0_ e5_) /\ e1_ = (op_ (op_ e0_ e5_) (op_ e0_ e5_)))))).
Variable ax612_612 : ~((e5_ = (op_ (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_)))) /\ (e1_ = (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) /\ (e2_ = (op_ e4_ e0_) /\ e3_ = (op_ (op_ e4_ e0_) (op_ e4_ e0_)))))).
Variable ax613_613 : ~((e5_ = (op_ (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_)))) /\ (e1_ = (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) /\ (e2_ = (op_ e3_ e0_) /\ e4_ = (op_ (op_ e3_ e0_) (op_ e3_ e0_)))))).
Variable ax614_614 : ~((e5_ = (op_ (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_)))) /\ (e1_ = (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) /\ (e3_ = (op_ e4_ e0_) /\ e2_ = (op_ (op_ e4_ e0_) (op_ e4_ e0_)))))).
Variable ax615_615 : ~((e5_ = (op_ (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_)))) /\ (e1_ = (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) /\ (e3_ = (op_ e2_ e0_) /\ e4_ = (op_ (op_ e2_ e0_) (op_ e2_ e0_)))))).
Variable ax616_616 : ~((e5_ = (op_ (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_)))) /\ (e1_ = (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) /\ (e4_ = (op_ e3_ e0_) /\ e2_ = (op_ (op_ e3_ e0_) (op_ e3_ e0_)))))).
Variable ax617_617 : ~((e5_ = (op_ (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_)))) /\ (e1_ = (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) /\ (e4_ = (op_ e2_ e0_) /\ e3_ = (op_ (op_ e2_ e0_) (op_ e2_ e0_)))))).
Variable ax618_618 : ~((e5_ = (op_ (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_)))) /\ (e2_ = (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) /\ (e1_ = (op_ e4_ e0_) /\ e3_ = (op_ (op_ e4_ e0_) (op_ e4_ e0_)))))).
Variable ax619_619 : ~((e5_ = (op_ (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_)))) /\ (e2_ = (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) /\ (e1_ = (op_ e3_ e0_) /\ e4_ = (op_ (op_ e3_ e0_) (op_ e3_ e0_)))))).
Variable ax620_620 : ~((e5_ = (op_ (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_)))) /\ (e2_ = (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) /\ (e3_ = (op_ e4_ e0_) /\ e1_ = (op_ (op_ e4_ e0_) (op_ e4_ e0_)))))).
Variable ax621_621 : ~((e5_ = (op_ (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_)))) /\ (e2_ = (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) /\ (e3_ = (op_ e1_ e0_) /\ e4_ = (op_ (op_ e1_ e0_) (op_ e1_ e0_)))))).
Variable ax622_622 : ~((e5_ = (op_ (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_)))) /\ (e2_ = (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) /\ (e4_ = (op_ e3_ e0_) /\ e1_ = (op_ (op_ e3_ e0_) (op_ e3_ e0_)))))).
Variable ax623_623 : ~((e5_ = (op_ (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_)))) /\ (e2_ = (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) /\ (e4_ = (op_ e1_ e0_) /\ e3_ = (op_ (op_ e1_ e0_) (op_ e1_ e0_)))))).
Variable ax624_624 : ~((e5_ = (op_ (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_)))) /\ (e3_ = (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) /\ (e1_ = (op_ e4_ e0_) /\ e2_ = (op_ (op_ e4_ e0_) (op_ e4_ e0_)))))).
Variable ax625_625 : ~((e5_ = (op_ (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_)))) /\ (e3_ = (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) /\ (e1_ = (op_ e2_ e0_) /\ e4_ = (op_ (op_ e2_ e0_) (op_ e2_ e0_)))))).
Variable ax626_626 : ~((e5_ = (op_ (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_)))) /\ (e3_ = (op_ e4_ (op_ (op_ e4_ e0_) (op_ e4_ e0_))) /\ (e2_ = (op_ e4_ e0_) /\ e1_ = (op_ (op_ e4_ e0_) (op_ e4_ e0_)))))).
Variable ax627_627 : ~((e5_ = (op_ (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_)))) /\ (e3_ = (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) /\ (e2_ = (op_ e1_ e0_) /\ e4_ = (op_ (op_ e1_ e0_) (op_ e1_ e0_)))))).
Variable ax628_628 : ~((e5_ = (op_ (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_)))) /\ (e3_ = (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) /\ (e4_ = (op_ e2_ e0_) /\ e1_ = (op_ (op_ e2_ e0_) (op_ e2_ e0_)))))).
Variable ax629_629 : ~((e5_ = (op_ (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_)))) /\ (e3_ = (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) /\ (e4_ = (op_ e1_ e0_) /\ e2_ = (op_ (op_ e1_ e0_) (op_ e1_ e0_)))))).
Variable ax630_630 : ~((e5_ = (op_ (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_)))) /\ (e4_ = (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) /\ (e1_ = (op_ e3_ e0_) /\ e2_ = (op_ (op_ e3_ e0_) (op_ e3_ e0_)))))).
Variable ax631_631 : ~((e5_ = (op_ (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_)))) /\ (e4_ = (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) /\ (e1_ = (op_ e2_ e0_) /\ e3_ = (op_ (op_ e2_ e0_) (op_ e2_ e0_)))))).
Variable ax632_632 : ~((e5_ = (op_ (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_)))) /\ (e4_ = (op_ e3_ (op_ (op_ e3_ e0_) (op_ e3_ e0_))) /\ (e2_ = (op_ e3_ e0_) /\ e1_ = (op_ (op_ e3_ e0_) (op_ e3_ e0_)))))).
Variable ax633_633 : ~((e5_ = (op_ (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_)))) /\ (e4_ = (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) /\ (e2_ = (op_ e1_ e0_) /\ e3_ = (op_ (op_ e1_ e0_) (op_ e1_ e0_)))))).
Variable ax634_634 : ~((e5_ = (op_ (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_)))) /\ (e4_ = (op_ e2_ (op_ (op_ e2_ e0_) (op_ e2_ e0_))) /\ (e3_ = (op_ e2_ e0_) /\ e1_ = (op_ (op_ e2_ e0_) (op_ e2_ e0_)))))).
Variable ax635_635 : ~((e5_ = (op_ (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_)))) /\ (e4_ = (op_ e1_ (op_ (op_ e1_ e0_) (op_ e1_ e0_))) /\ (e3_ = (op_ e1_ e0_) /\ e2_ = (op_ (op_ e1_ e0_) (op_ e1_ e0_)))))).
Variable ax636_636 : ~((e5_ = (op_ (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_)))) /\ (e0_ = (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) /\ (e2_ = (op_ e4_ e1_) /\ e3_ = (op_ (op_ e4_ e1_) (op_ e4_ e1_)))))).
Variable ax637_637 : ~((e5_ = (op_ (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_)))) /\ (e0_ = (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) /\ (e2_ = (op_ e3_ e1_) /\ e4_ = (op_ (op_ e3_ e1_) (op_ e3_ e1_)))))).
Variable ax638_638 : ~((e5_ = (op_ (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_)))) /\ (e0_ = (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) /\ (e3_ = (op_ e4_ e1_) /\ e2_ = (op_ (op_ e4_ e1_) (op_ e4_ e1_)))))).
Variable ax639_639 : ~((e5_ = (op_ (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_)))) /\ (e0_ = (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) /\ (e3_ = (op_ e2_ e1_) /\ e4_ = (op_ (op_ e2_ e1_) (op_ e2_ e1_)))))).
Variable ax640_640 : ~((e5_ = (op_ (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_)))) /\ (e0_ = (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) /\ (e4_ = (op_ e3_ e1_) /\ e2_ = (op_ (op_ e3_ e1_) (op_ e3_ e1_)))))).
Variable ax641_641 : ~((e5_ = (op_ (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_)))) /\ (e0_ = (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) /\ (e4_ = (op_ e2_ e1_) /\ e3_ = (op_ (op_ e2_ e1_) (op_ e2_ e1_)))))).
Variable ax642_642 : ~((e5_ = (op_ (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_)))) /\ (e2_ = (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) /\ (e0_ = (op_ e4_ e1_) /\ e3_ = (op_ (op_ e4_ e1_) (op_ e4_ e1_)))))).
Variable ax643_643 : ~((e5_ = (op_ (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_)))) /\ (e2_ = (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) /\ (e0_ = (op_ e3_ e1_) /\ e4_ = (op_ (op_ e3_ e1_) (op_ e3_ e1_)))))).
Variable ax644_644 : ~((e5_ = (op_ (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_)))) /\ (e2_ = (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) /\ (e3_ = (op_ e4_ e1_) /\ e0_ = (op_ (op_ e4_ e1_) (op_ e4_ e1_)))))).
Variable ax645_645 : ~((e5_ = (op_ (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_)))) /\ (e2_ = (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) /\ (e3_ = (op_ e0_ e1_) /\ e4_ = (op_ (op_ e0_ e1_) (op_ e0_ e1_)))))).
Variable ax646_646 : ~((e5_ = (op_ (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_)))) /\ (e2_ = (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) /\ (e4_ = (op_ e3_ e1_) /\ e0_ = (op_ (op_ e3_ e1_) (op_ e3_ e1_)))))).
Variable ax647_647 : ~((e5_ = (op_ (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_)))) /\ (e2_ = (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) /\ (e4_ = (op_ e0_ e1_) /\ e3_ = (op_ (op_ e0_ e1_) (op_ e0_ e1_)))))).
Variable ax648_648 : ~((e5_ = (op_ (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_)))) /\ (e3_ = (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) /\ (e0_ = (op_ e4_ e1_) /\ e2_ = (op_ (op_ e4_ e1_) (op_ e4_ e1_)))))).
Variable ax649_649 : ~((e5_ = (op_ (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_)))) /\ (e3_ = (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) /\ (e0_ = (op_ e2_ e1_) /\ e4_ = (op_ (op_ e2_ e1_) (op_ e2_ e1_)))))).
Variable ax650_650 : ~((e5_ = (op_ (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_)))) /\ (e3_ = (op_ e4_ (op_ (op_ e4_ e1_) (op_ e4_ e1_))) /\ (e2_ = (op_ e4_ e1_) /\ e0_ = (op_ (op_ e4_ e1_) (op_ e4_ e1_)))))).
Variable ax651_651 : ~((e5_ = (op_ (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_)))) /\ (e3_ = (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) /\ (e2_ = (op_ e0_ e1_) /\ e4_ = (op_ (op_ e0_ e1_) (op_ e0_ e1_)))))).
Variable ax652_652 : ~((e5_ = (op_ (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_)))) /\ (e3_ = (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) /\ (e4_ = (op_ e2_ e1_) /\ e0_ = (op_ (op_ e2_ e1_) (op_ e2_ e1_)))))).
Variable ax653_653 : ~((e5_ = (op_ (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_)))) /\ (e3_ = (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) /\ (e4_ = (op_ e0_ e1_) /\ e2_ = (op_ (op_ e0_ e1_) (op_ e0_ e1_)))))).
Variable ax654_654 : ~((e5_ = (op_ (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_)))) /\ (e4_ = (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) /\ (e0_ = (op_ e3_ e1_) /\ e2_ = (op_ (op_ e3_ e1_) (op_ e3_ e1_)))))).
Variable ax655_655 : ~((e5_ = (op_ (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_)))) /\ (e4_ = (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) /\ (e0_ = (op_ e2_ e1_) /\ e3_ = (op_ (op_ e2_ e1_) (op_ e2_ e1_)))))).
Variable ax656_656 : ~((e5_ = (op_ (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_)))) /\ (e4_ = (op_ e3_ (op_ (op_ e3_ e1_) (op_ e3_ e1_))) /\ (e2_ = (op_ e3_ e1_) /\ e0_ = (op_ (op_ e3_ e1_) (op_ e3_ e1_)))))).
Variable ax657_657 : ~((e5_ = (op_ (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_)))) /\ (e4_ = (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) /\ (e2_ = (op_ e0_ e1_) /\ e3_ = (op_ (op_ e0_ e1_) (op_ e0_ e1_)))))).
Variable ax658_658 : ~((e5_ = (op_ (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_)))) /\ (e4_ = (op_ e2_ (op_ (op_ e2_ e1_) (op_ e2_ e1_))) /\ (e3_ = (op_ e2_ e1_) /\ e0_ = (op_ (op_ e2_ e1_) (op_ e2_ e1_)))))).
Variable ax659_659 : ~((e5_ = (op_ (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_)))) /\ (e4_ = (op_ e0_ (op_ (op_ e0_ e1_) (op_ e0_ e1_))) /\ (e3_ = (op_ e0_ e1_) /\ e2_ = (op_ (op_ e0_ e1_) (op_ e0_ e1_)))))).
Variable ax660_660 : ~((e5_ = (op_ (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_)))) /\ (e0_ = (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) /\ (e1_ = (op_ e4_ e2_) /\ e3_ = (op_ (op_ e4_ e2_) (op_ e4_ e2_)))))).
Variable ax661_661 : ~((e5_ = (op_ (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_)))) /\ (e0_ = (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) /\ (e1_ = (op_ e3_ e2_) /\ e4_ = (op_ (op_ e3_ e2_) (op_ e3_ e2_)))))).
Variable ax662_662 : ~((e5_ = (op_ (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_)))) /\ (e0_ = (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) /\ (e3_ = (op_ e4_ e2_) /\ e1_ = (op_ (op_ e4_ e2_) (op_ e4_ e2_)))))).
Variable ax663_663 : ~((e5_ = (op_ (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_)))) /\ (e0_ = (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) /\ (e3_ = (op_ e1_ e2_) /\ e4_ = (op_ (op_ e1_ e2_) (op_ e1_ e2_)))))).
Variable ax664_664 : ~((e5_ = (op_ (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_)))) /\ (e0_ = (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) /\ (e4_ = (op_ e3_ e2_) /\ e1_ = (op_ (op_ e3_ e2_) (op_ e3_ e2_)))))).
Variable ax665_665 : ~((e5_ = (op_ (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_)))) /\ (e0_ = (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) /\ (e4_ = (op_ e1_ e2_) /\ e3_ = (op_ (op_ e1_ e2_) (op_ e1_ e2_)))))).
Variable ax666_666 : ~((e5_ = (op_ (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_)))) /\ (e1_ = (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) /\ (e0_ = (op_ e4_ e2_) /\ e3_ = (op_ (op_ e4_ e2_) (op_ e4_ e2_)))))).
Variable ax667_667 : ~((e5_ = (op_ (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_)))) /\ (e1_ = (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) /\ (e0_ = (op_ e3_ e2_) /\ e4_ = (op_ (op_ e3_ e2_) (op_ e3_ e2_)))))).
Variable ax668_668 : ~((e5_ = (op_ (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_)))) /\ (e1_ = (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) /\ (e3_ = (op_ e4_ e2_) /\ e0_ = (op_ (op_ e4_ e2_) (op_ e4_ e2_)))))).
Variable ax669_669 : ~((e5_ = (op_ (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_)))) /\ (e1_ = (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) /\ (e3_ = (op_ e0_ e2_) /\ e4_ = (op_ (op_ e0_ e2_) (op_ e0_ e2_)))))).
Variable ax670_670 : ~((e5_ = (op_ (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_)))) /\ (e1_ = (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) /\ (e4_ = (op_ e3_ e2_) /\ e0_ = (op_ (op_ e3_ e2_) (op_ e3_ e2_)))))).
Variable ax671_671 : ~((e5_ = (op_ (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_)))) /\ (e1_ = (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) /\ (e4_ = (op_ e0_ e2_) /\ e3_ = (op_ (op_ e0_ e2_) (op_ e0_ e2_)))))).
Variable ax672_672 : ~((e5_ = (op_ (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_)))) /\ (e3_ = (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) /\ (e0_ = (op_ e4_ e2_) /\ e1_ = (op_ (op_ e4_ e2_) (op_ e4_ e2_)))))).
Variable ax673_673 : ~((e5_ = (op_ (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_)))) /\ (e3_ = (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) /\ (e0_ = (op_ e1_ e2_) /\ e4_ = (op_ (op_ e1_ e2_) (op_ e1_ e2_)))))).
Variable ax674_674 : ~((e5_ = (op_ (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_)))) /\ (e3_ = (op_ e4_ (op_ (op_ e4_ e2_) (op_ e4_ e2_))) /\ (e1_ = (op_ e4_ e2_) /\ e0_ = (op_ (op_ e4_ e2_) (op_ e4_ e2_)))))).
Variable ax675_675 : ~((e5_ = (op_ (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_)))) /\ (e3_ = (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) /\ (e1_ = (op_ e0_ e2_) /\ e4_ = (op_ (op_ e0_ e2_) (op_ e0_ e2_)))))).
Variable ax676_676 : ~((e5_ = (op_ (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_)))) /\ (e3_ = (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) /\ (e4_ = (op_ e1_ e2_) /\ e0_ = (op_ (op_ e1_ e2_) (op_ e1_ e2_)))))).
Variable ax677_677 : ~((e5_ = (op_ (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_)))) /\ (e3_ = (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) /\ (e4_ = (op_ e0_ e2_) /\ e1_ = (op_ (op_ e0_ e2_) (op_ e0_ e2_)))))).
Variable ax678_678 : ~((e5_ = (op_ (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_)))) /\ (e4_ = (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) /\ (e0_ = (op_ e3_ e2_) /\ e1_ = (op_ (op_ e3_ e2_) (op_ e3_ e2_)))))).
Variable ax679_679 : ~((e5_ = (op_ (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_)))) /\ (e4_ = (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) /\ (e0_ = (op_ e1_ e2_) /\ e3_ = (op_ (op_ e1_ e2_) (op_ e1_ e2_)))))).
Variable ax680_680 : ~((e5_ = (op_ (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_)))) /\ (e4_ = (op_ e3_ (op_ (op_ e3_ e2_) (op_ e3_ e2_))) /\ (e1_ = (op_ e3_ e2_) /\ e0_ = (op_ (op_ e3_ e2_) (op_ e3_ e2_)))))).
Variable ax681_681 : ~((e5_ = (op_ (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_)))) /\ (e4_ = (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) /\ (e1_ = (op_ e0_ e2_) /\ e3_ = (op_ (op_ e0_ e2_) (op_ e0_ e2_)))))).
Variable ax682_682 : ~((e5_ = (op_ (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_)))) /\ (e4_ = (op_ e1_ (op_ (op_ e1_ e2_) (op_ e1_ e2_))) /\ (e3_ = (op_ e1_ e2_) /\ e0_ = (op_ (op_ e1_ e2_) (op_ e1_ e2_)))))).
Variable ax683_683 : ~((e5_ = (op_ (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_)))) /\ (e4_ = (op_ e0_ (op_ (op_ e0_ e2_) (op_ e0_ e2_))) /\ (e3_ = (op_ e0_ e2_) /\ e1_ = (op_ (op_ e0_ e2_) (op_ e0_ e2_)))))).
Variable ax684_684 : ~((e5_ = (op_ (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_)))) /\ (e0_ = (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) /\ (e1_ = (op_ e4_ e3_) /\ e2_ = (op_ (op_ e4_ e3_) (op_ e4_ e3_)))))).
Variable ax685_685 : ~((e5_ = (op_ (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_)))) /\ (e0_ = (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) /\ (e1_ = (op_ e2_ e3_) /\ e4_ = (op_ (op_ e2_ e3_) (op_ e2_ e3_)))))).
Variable ax686_686 : ~((e5_ = (op_ (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_)))) /\ (e0_ = (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) /\ (e2_ = (op_ e4_ e3_) /\ e1_ = (op_ (op_ e4_ e3_) (op_ e4_ e3_)))))).
Variable ax687_687 : ~((e5_ = (op_ (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_)))) /\ (e0_ = (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) /\ (e2_ = (op_ e1_ e3_) /\ e4_ = (op_ (op_ e1_ e3_) (op_ e1_ e3_)))))).
Variable ax688_688 : ~((e5_ = (op_ (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_)))) /\ (e0_ = (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) /\ (e4_ = (op_ e2_ e3_) /\ e1_ = (op_ (op_ e2_ e3_) (op_ e2_ e3_)))))).
Variable ax689_689 : ~((e5_ = (op_ (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_)))) /\ (e0_ = (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) /\ (e4_ = (op_ e1_ e3_) /\ e2_ = (op_ (op_ e1_ e3_) (op_ e1_ e3_)))))).
Variable ax690_690 : ~((e5_ = (op_ (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_)))) /\ (e1_ = (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) /\ (e0_ = (op_ e4_ e3_) /\ e2_ = (op_ (op_ e4_ e3_) (op_ e4_ e3_)))))).
Variable ax691_691 : ~((e5_ = (op_ (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_)))) /\ (e1_ = (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) /\ (e0_ = (op_ e2_ e3_) /\ e4_ = (op_ (op_ e2_ e3_) (op_ e2_ e3_)))))).
Variable ax692_692 : ~((e5_ = (op_ (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_)))) /\ (e1_ = (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) /\ (e2_ = (op_ e4_ e3_) /\ e0_ = (op_ (op_ e4_ e3_) (op_ e4_ e3_)))))).
Variable ax693_693 : ~((e5_ = (op_ (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_)))) /\ (e1_ = (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) /\ (e2_ = (op_ e0_ e3_) /\ e4_ = (op_ (op_ e0_ e3_) (op_ e0_ e3_)))))).
Variable ax694_694 : ~((e5_ = (op_ (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_)))) /\ (e1_ = (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) /\ (e4_ = (op_ e2_ e3_) /\ e0_ = (op_ (op_ e2_ e3_) (op_ e2_ e3_)))))).
Variable ax695_695 : ~((e5_ = (op_ (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_)))) /\ (e1_ = (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) /\ (e4_ = (op_ e0_ e3_) /\ e2_ = (op_ (op_ e0_ e3_) (op_ e0_ e3_)))))).
Variable ax696_696 : ~((e5_ = (op_ (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_)))) /\ (e2_ = (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) /\ (e0_ = (op_ e4_ e3_) /\ e1_ = (op_ (op_ e4_ e3_) (op_ e4_ e3_)))))).
Variable ax697_697 : ~((e5_ = (op_ (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_)))) /\ (e2_ = (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) /\ (e0_ = (op_ e1_ e3_) /\ e4_ = (op_ (op_ e1_ e3_) (op_ e1_ e3_)))))).
Variable ax698_698 : ~((e5_ = (op_ (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_)))) /\ (e2_ = (op_ e4_ (op_ (op_ e4_ e3_) (op_ e4_ e3_))) /\ (e1_ = (op_ e4_ e3_) /\ e0_ = (op_ (op_ e4_ e3_) (op_ e4_ e3_)))))).
Variable ax699_699 : ~((e5_ = (op_ (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_)))) /\ (e2_ = (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) /\ (e1_ = (op_ e0_ e3_) /\ e4_ = (op_ (op_ e0_ e3_) (op_ e0_ e3_)))))).
Variable ax700_700 : ~((e5_ = (op_ (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_)))) /\ (e2_ = (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) /\ (e4_ = (op_ e1_ e3_) /\ e0_ = (op_ (op_ e1_ e3_) (op_ e1_ e3_)))))).
Variable ax701_701 : ~((e5_ = (op_ (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_)))) /\ (e2_ = (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) /\ (e4_ = (op_ e0_ e3_) /\ e1_ = (op_ (op_ e0_ e3_) (op_ e0_ e3_)))))).
Variable ax702_702 : ~((e5_ = (op_ (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_)))) /\ (e4_ = (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) /\ (e0_ = (op_ e2_ e3_) /\ e1_ = (op_ (op_ e2_ e3_) (op_ e2_ e3_)))))).
Variable ax703_703 : ~((e5_ = (op_ (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_)))) /\ (e4_ = (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) /\ (e0_ = (op_ e1_ e3_) /\ e2_ = (op_ (op_ e1_ e3_) (op_ e1_ e3_)))))).
Variable ax704_704 : ~((e5_ = (op_ (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_)))) /\ (e4_ = (op_ e2_ (op_ (op_ e2_ e3_) (op_ e2_ e3_))) /\ (e1_ = (op_ e2_ e3_) /\ e0_ = (op_ (op_ e2_ e3_) (op_ e2_ e3_)))))).
Variable ax705_705 : ~((e5_ = (op_ (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_)))) /\ (e4_ = (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) /\ (e1_ = (op_ e0_ e3_) /\ e2_ = (op_ (op_ e0_ e3_) (op_ e0_ e3_)))))).
Variable ax706_706 : ~((e5_ = (op_ (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_)))) /\ (e4_ = (op_ e1_ (op_ (op_ e1_ e3_) (op_ e1_ e3_))) /\ (e2_ = (op_ e1_ e3_) /\ e0_ = (op_ (op_ e1_ e3_) (op_ e1_ e3_)))))).
Variable ax707_707 : ~((e5_ = (op_ (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_)))) /\ (e4_ = (op_ e0_ (op_ (op_ e0_ e3_) (op_ e0_ e3_))) /\ (e2_ = (op_ e0_ e3_) /\ e1_ = (op_ (op_ e0_ e3_) (op_ e0_ e3_)))))).
Variable ax708_708 : ~((e5_ = (op_ (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_)))) /\ (e0_ = (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) /\ (e1_ = (op_ e3_ e4_) /\ e2_ = (op_ (op_ e3_ e4_) (op_ e3_ e4_)))))).
Variable ax709_709 : ~((e5_ = (op_ (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_)))) /\ (e0_ = (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) /\ (e1_ = (op_ e2_ e4_) /\ e3_ = (op_ (op_ e2_ e4_) (op_ e2_ e4_)))))).
Variable ax710_710 : ~((e5_ = (op_ (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_)))) /\ (e0_ = (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) /\ (e2_ = (op_ e3_ e4_) /\ e1_ = (op_ (op_ e3_ e4_) (op_ e3_ e4_)))))).
Variable ax711_711 : ~((e5_ = (op_ (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_)))) /\ (e0_ = (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) /\ (e2_ = (op_ e1_ e4_) /\ e3_ = (op_ (op_ e1_ e4_) (op_ e1_ e4_)))))).
Variable ax712_712 : ~((e5_ = (op_ (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_)))) /\ (e0_ = (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) /\ (e3_ = (op_ e2_ e4_) /\ e1_ = (op_ (op_ e2_ e4_) (op_ e2_ e4_)))))).
Variable ax713_713 : ~((e5_ = (op_ (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_)))) /\ (e0_ = (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) /\ (e3_ = (op_ e1_ e4_) /\ e2_ = (op_ (op_ e1_ e4_) (op_ e1_ e4_)))))).
Variable ax714_714 : ~((e5_ = (op_ (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_)))) /\ (e1_ = (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) /\ (e0_ = (op_ e3_ e4_) /\ e2_ = (op_ (op_ e3_ e4_) (op_ e3_ e4_)))))).
Variable ax715_715 : ~((e5_ = (op_ (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_)))) /\ (e1_ = (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) /\ (e0_ = (op_ e2_ e4_) /\ e3_ = (op_ (op_ e2_ e4_) (op_ e2_ e4_)))))).
Variable ax716_716 : ~((e5_ = (op_ (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_)))) /\ (e1_ = (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) /\ (e2_ = (op_ e3_ e4_) /\ e0_ = (op_ (op_ e3_ e4_) (op_ e3_ e4_)))))).
Variable ax717_717 : ~((e5_ = (op_ (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_)))) /\ (e1_ = (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) /\ (e2_ = (op_ e0_ e4_) /\ e3_ = (op_ (op_ e0_ e4_) (op_ e0_ e4_)))))).
Variable ax718_718 : ~((e5_ = (op_ (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_)))) /\ (e1_ = (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) /\ (e3_ = (op_ e2_ e4_) /\ e0_ = (op_ (op_ e2_ e4_) (op_ e2_ e4_)))))).
Variable ax719_719 : ~((e5_ = (op_ (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_)))) /\ (e1_ = (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) /\ (e3_ = (op_ e0_ e4_) /\ e2_ = (op_ (op_ e0_ e4_) (op_ e0_ e4_)))))).
Variable ax720_720 : ~((e5_ = (op_ (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_)))) /\ (e2_ = (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) /\ (e0_ = (op_ e3_ e4_) /\ e1_ = (op_ (op_ e3_ e4_) (op_ e3_ e4_)))))).
Variable ax721_721 : ~((e5_ = (op_ (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_)))) /\ (e2_ = (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) /\ (e0_ = (op_ e1_ e4_) /\ e3_ = (op_ (op_ e1_ e4_) (op_ e1_ e4_)))))).
Variable ax722_722 : ~((e5_ = (op_ (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_)))) /\ (e2_ = (op_ e3_ (op_ (op_ e3_ e4_) (op_ e3_ e4_))) /\ (e1_ = (op_ e3_ e4_) /\ e0_ = (op_ (op_ e3_ e4_) (op_ e3_ e4_)))))).
Variable ax723_723 : ~((e5_ = (op_ (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_)))) /\ (e2_ = (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) /\ (e1_ = (op_ e0_ e4_) /\ e3_ = (op_ (op_ e0_ e4_) (op_ e0_ e4_)))))).
Variable ax724_724 : ~((e5_ = (op_ (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_)))) /\ (e2_ = (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) /\ (e3_ = (op_ e1_ e4_) /\ e0_ = (op_ (op_ e1_ e4_) (op_ e1_ e4_)))))).
Variable ax725_725 : ~((e5_ = (op_ (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_)))) /\ (e2_ = (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) /\ (e3_ = (op_ e0_ e4_) /\ e1_ = (op_ (op_ e0_ e4_) (op_ e0_ e4_)))))).
Variable ax726_726 : ~((e5_ = (op_ (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_)))) /\ (e3_ = (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) /\ (e0_ = (op_ e2_ e4_) /\ e1_ = (op_ (op_ e2_ e4_) (op_ e2_ e4_)))))).
Variable ax727_727 : ~((e5_ = (op_ (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_)))) /\ (e3_ = (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) /\ (e0_ = (op_ e1_ e4_) /\ e2_ = (op_ (op_ e1_ e4_) (op_ e1_ e4_)))))).
Variable ax728_728 : ~((e5_ = (op_ (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_)))) /\ (e3_ = (op_ e2_ (op_ (op_ e2_ e4_) (op_ e2_ e4_))) /\ (e1_ = (op_ e2_ e4_) /\ e0_ = (op_ (op_ e2_ e4_) (op_ e2_ e4_)))))).
Variable ax729_729 : ~((e5_ = (op_ (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_)))) /\ (e3_ = (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) /\ (e1_ = (op_ e0_ e4_) /\ e2_ = (op_ (op_ e0_ e4_) (op_ e0_ e4_)))))).
Variable ax730_730 : ~((e5_ = (op_ (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_)))) /\ (e3_ = (op_ e1_ (op_ (op_ e1_ e4_) (op_ e1_ e4_))) /\ (e2_ = (op_ e1_ e4_) /\ e0_ = (op_ (op_ e1_ e4_) (op_ e1_ e4_)))))).
Variable ax731_731 : ~((e5_ = (op_ (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_)))) /\ (e3_ = (op_ e0_ (op_ (op_ e0_ e4_) (op_ e0_ e4_))) /\ (e2_ = (op_ e0_ e4_) /\ e1_ = (op_ (op_ e0_ e4_) (op_ e0_ e4_)))))).

Theorem conjecture_732 : False.
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
