(*
% File     : ALG105+1 : ILTP v1.1.2
% Domain   : General Algebra
% Problem  : Quasigroups 4: PROP-ISO-COMPLETE-75
% Version  : Especial.
% English  : 
% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 
% Status   : Theorem
% Rating   : 0.22 v3.1.0, 0.00 v2.7.0
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
% Syntax   : Number of formulae    :   26 (   0 unit)
%            Number of atoms       : 1008 (1008 equality)
%            Maximal formula depth :   49 (  14 average)
%            Number of connectives : 1106 ( 124 ~  ; 449  |; 533  &)
%                                         (   0 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :   22 (   8 constant; 0-2 arity)
%            Number of variables   :    0 (   0 singleton;   0 !;   0 ?)
%            Maximal term depth    :    3 (   2 average)
% Comments : 
*)

Section FOFProblem.

Variable Universe : Set.
Variable UniverseElement : Universe.

Variable EqTransitivity : forall x y z : Universe, x = y -> y = z -> x = z.
Variable EqSymmetry : forall x y : Universe, x = y -> y = x.
Variable EqReflexivity : forall x : Universe, x = x.

Variable op2_ : Universe -> Universe -> Universe.
Variable EqCongruence_op2 : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> op2_ x1 x2 = op2_ y1 y2 .
Variable op1_ : Universe -> Universe -> Universe.
Variable EqCongruence_op1 : forall x1 x2 y1 y2 : Universe, x1 = y1 -> x2 = y2 -> op1_ x1 x2 = op1_ y1 y2 .
Variable h9_ : Universe -> Universe.
Variable EqCongruence_h9 : forall x1 y1 : Universe, x1 = y1 -> h9_ x1 = h9_ y1 .
Variable h8_ : Universe -> Universe.
Variable EqCongruence_h8 : forall x1 y1 : Universe, x1 = y1 -> h8_ x1 = h8_ y1 .
Variable h7_ : Universe -> Universe.
Variable EqCongruence_h7 : forall x1 y1 : Universe, x1 = y1 -> h7_ x1 = h7_ y1 .
Variable h6_ : Universe -> Universe.
Variable EqCongruence_h6 : forall x1 y1 : Universe, x1 = y1 -> h6_ x1 = h6_ y1 .
Variable h5_ : Universe -> Universe.
Variable EqCongruence_h5 : forall x1 y1 : Universe, x1 = y1 -> h5_ x1 = h5_ y1 .
Variable h4_ : Universe -> Universe.
Variable EqCongruence_h4 : forall x1 y1 : Universe, x1 = y1 -> h4_ x1 = h4_ y1 .
Variable h3_ : Universe -> Universe.
Variable EqCongruence_h3 : forall x1 y1 : Universe, x1 = y1 -> h3_ x1 = h3_ y1 .
Variable h2_ : Universe -> Universe.
Variable EqCongruence_h2 : forall x1 y1 : Universe, x1 = y1 -> h2_ x1 = h2_ y1 .
Variable h12_ : Universe -> Universe.
Variable EqCongruence_h12 : forall x1 y1 : Universe, x1 = y1 -> h12_ x1 = h12_ y1 .
Variable h11_ : Universe -> Universe.
Variable EqCongruence_h11 : forall x1 y1 : Universe, x1 = y1 -> h11_ x1 = h11_ y1 .
Variable h10_ : Universe -> Universe.
Variable EqCongruence_h10 : forall x1 y1 : Universe, x1 = y1 -> h10_ x1 = h10_ y1 .
Variable h1_ : Universe -> Universe.
Variable EqCongruence_h1 : forall x1 y1 : Universe, x1 = y1 -> h1_ x1 = h1_ y1 .
Variable e23_ : Universe.
Variable e22_ : Universe.
Variable e21_ : Universe.
Variable e20_ : Universe.
Variable e13_ : Universe.
Variable e12_ : Universe.
Variable e11_ : Universe.
Variable e10_ : Universe.

Variable ax1_1 : (((op1_ e10_ e10_) = e10_ \/ ((op1_ e10_ e10_) = e11_ \/ ((op1_ e10_ e10_) = e12_ \/ (op1_ e10_ e10_) = e13_))) /\ (((op1_ e10_ e11_) = e10_ \/ ((op1_ e10_ e11_) = e11_ \/ ((op1_ e10_ e11_) = e12_ \/ (op1_ e10_ e11_) = e13_))) /\ (((op1_ e10_ e12_) = e10_ \/ ((op1_ e10_ e12_) = e11_ \/ ((op1_ e10_ e12_) = e12_ \/ (op1_ e10_ e12_) = e13_))) /\ (((op1_ e10_ e13_) = e10_ \/ ((op1_ e10_ e13_) = e11_ \/ ((op1_ e10_ e13_) = e12_ \/ (op1_ e10_ e13_) = e13_))) /\ (((op1_ e11_ e10_) = e10_ \/ ((op1_ e11_ e10_) = e11_ \/ ((op1_ e11_ e10_) = e12_ \/ (op1_ e11_ e10_) = e13_))) /\ (((op1_ e11_ e11_) = e10_ \/ ((op1_ e11_ e11_) = e11_ \/ ((op1_ e11_ e11_) = e12_ \/ (op1_ e11_ e11_) = e13_))) /\ (((op1_ e11_ e12_) = e10_ \/ ((op1_ e11_ e12_) = e11_ \/ ((op1_ e11_ e12_) = e12_ \/ (op1_ e11_ e12_) = e13_))) /\ (((op1_ e11_ e13_) = e10_ \/ ((op1_ e11_ e13_) = e11_ \/ ((op1_ e11_ e13_) = e12_ \/ (op1_ e11_ e13_) = e13_))) /\ (((op1_ e12_ e10_) = e10_ \/ ((op1_ e12_ e10_) = e11_ \/ ((op1_ e12_ e10_) = e12_ \/ (op1_ e12_ e10_) = e13_))) /\ (((op1_ e12_ e11_) = e10_ \/ ((op1_ e12_ e11_) = e11_ \/ ((op1_ e12_ e11_) = e12_ \/ (op1_ e12_ e11_) = e13_))) /\ (((op1_ e12_ e12_) = e10_ \/ ((op1_ e12_ e12_) = e11_ \/ ((op1_ e12_ e12_) = e12_ \/ (op1_ e12_ e12_) = e13_))) /\ (((op1_ e12_ e13_) = e10_ \/ ((op1_ e12_ e13_) = e11_ \/ ((op1_ e12_ e13_) = e12_ \/ (op1_ e12_ e13_) = e13_))) /\ (((op1_ e13_ e10_) = e10_ \/ ((op1_ e13_ e10_) = e11_ \/ ((op1_ e13_ e10_) = e12_ \/ (op1_ e13_ e10_) = e13_))) /\ (((op1_ e13_ e11_) = e10_ \/ ((op1_ e13_ e11_) = e11_ \/ ((op1_ e13_ e11_) = e12_ \/ (op1_ e13_ e11_) = e13_))) /\ (((op1_ e13_ e12_) = e10_ \/ ((op1_ e13_ e12_) = e11_ \/ ((op1_ e13_ e12_) = e12_ \/ (op1_ e13_ e12_) = e13_))) /\ ((op1_ e13_ e13_) = e10_ \/ ((op1_ e13_ e13_) = e11_ \/ ((op1_ e13_ e13_) = e12_ \/ (op1_ e13_ e13_) = e13_)))))))))))))))))).
Variable ax2_2 : (((op1_ e10_ e10_) = e10_ \/ ((op1_ e10_ e11_) = e10_ \/ ((op1_ e10_ e12_) = e10_ \/ (op1_ e10_ e13_) = e10_))) /\ (((op1_ e10_ e10_) = e10_ \/ ((op1_ e11_ e10_) = e10_ \/ ((op1_ e12_ e10_) = e10_ \/ (op1_ e13_ e10_) = e10_))) /\ (((op1_ e10_ e10_) = e11_ \/ ((op1_ e10_ e11_) = e11_ \/ ((op1_ e10_ e12_) = e11_ \/ (op1_ e10_ e13_) = e11_))) /\ (((op1_ e10_ e10_) = e11_ \/ ((op1_ e11_ e10_) = e11_ \/ ((op1_ e12_ e10_) = e11_ \/ (op1_ e13_ e10_) = e11_))) /\ (((op1_ e10_ e10_) = e12_ \/ ((op1_ e10_ e11_) = e12_ \/ ((op1_ e10_ e12_) = e12_ \/ (op1_ e10_ e13_) = e12_))) /\ (((op1_ e10_ e10_) = e12_ \/ ((op1_ e11_ e10_) = e12_ \/ ((op1_ e12_ e10_) = e12_ \/ (op1_ e13_ e10_) = e12_))) /\ (((op1_ e10_ e10_) = e13_ \/ ((op1_ e10_ e11_) = e13_ \/ ((op1_ e10_ e12_) = e13_ \/ (op1_ e10_ e13_) = e13_))) /\ (((op1_ e10_ e10_) = e13_ \/ ((op1_ e11_ e10_) = e13_ \/ ((op1_ e12_ e10_) = e13_ \/ (op1_ e13_ e10_) = e13_))) /\ (((op1_ e11_ e10_) = e10_ \/ ((op1_ e11_ e11_) = e10_ \/ ((op1_ e11_ e12_) = e10_ \/ (op1_ e11_ e13_) = e10_))) /\ (((op1_ e10_ e11_) = e10_ \/ ((op1_ e11_ e11_) = e10_ \/ ((op1_ e12_ e11_) = e10_ \/ (op1_ e13_ e11_) = e10_))) /\ (((op1_ e11_ e10_) = e11_ \/ ((op1_ e11_ e11_) = e11_ \/ ((op1_ e11_ e12_) = e11_ \/ (op1_ e11_ e13_) = e11_))) /\ (((op1_ e10_ e11_) = e11_ \/ ((op1_ e11_ e11_) = e11_ \/ ((op1_ e12_ e11_) = e11_ \/ (op1_ e13_ e11_) = e11_))) /\ (((op1_ e11_ e10_) = e12_ \/ ((op1_ e11_ e11_) = e12_ \/ ((op1_ e11_ e12_) = e12_ \/ (op1_ e11_ e13_) = e12_))) /\ (((op1_ e10_ e11_) = e12_ \/ ((op1_ e11_ e11_) = e12_ \/ ((op1_ e12_ e11_) = e12_ \/ (op1_ e13_ e11_) = e12_))) /\ (((op1_ e11_ e10_) = e13_ \/ ((op1_ e11_ e11_) = e13_ \/ ((op1_ e11_ e12_) = e13_ \/ (op1_ e11_ e13_) = e13_))) /\ (((op1_ e10_ e11_) = e13_ \/ ((op1_ e11_ e11_) = e13_ \/ ((op1_ e12_ e11_) = e13_ \/ (op1_ e13_ e11_) = e13_))) /\ (((op1_ e12_ e10_) = e10_ \/ ((op1_ e12_ e11_) = e10_ \/ ((op1_ e12_ e12_) = e10_ \/ (op1_ e12_ e13_) = e10_))) /\ (((op1_ e10_ e12_) = e10_ \/ ((op1_ e11_ e12_) = e10_ \/ ((op1_ e12_ e12_) = e10_ \/ (op1_ e13_ e12_) = e10_))) /\ (((op1_ e12_ e10_) = e11_ \/ ((op1_ e12_ e11_) = e11_ \/ ((op1_ e12_ e12_) = e11_ \/ (op1_ e12_ e13_) = e11_))) /\ (((op1_ e10_ e12_) = e11_ \/ ((op1_ e11_ e12_) = e11_ \/ ((op1_ e12_ e12_) = e11_ \/ (op1_ e13_ e12_) = e11_))) /\ (((op1_ e12_ e10_) = e12_ \/ ((op1_ e12_ e11_) = e12_ \/ ((op1_ e12_ e12_) = e12_ \/ (op1_ e12_ e13_) = e12_))) /\ (((op1_ e10_ e12_) = e12_ \/ ((op1_ e11_ e12_) = e12_ \/ ((op1_ e12_ e12_) = e12_ \/ (op1_ e13_ e12_) = e12_))) /\ (((op1_ e12_ e10_) = e13_ \/ ((op1_ e12_ e11_) = e13_ \/ ((op1_ e12_ e12_) = e13_ \/ (op1_ e12_ e13_) = e13_))) /\ (((op1_ e10_ e12_) = e13_ \/ ((op1_ e11_ e12_) = e13_ \/ ((op1_ e12_ e12_) = e13_ \/ (op1_ e13_ e12_) = e13_))) /\ (((op1_ e13_ e10_) = e10_ \/ ((op1_ e13_ e11_) = e10_ \/ ((op1_ e13_ e12_) = e10_ \/ (op1_ e13_ e13_) = e10_))) /\ (((op1_ e10_ e13_) = e10_ \/ ((op1_ e11_ e13_) = e10_ \/ ((op1_ e12_ e13_) = e10_ \/ (op1_ e13_ e13_) = e10_))) /\ (((op1_ e13_ e10_) = e11_ \/ ((op1_ e13_ e11_) = e11_ \/ ((op1_ e13_ e12_) = e11_ \/ (op1_ e13_ e13_) = e11_))) /\ (((op1_ e10_ e13_) = e11_ \/ ((op1_ e11_ e13_) = e11_ \/ ((op1_ e12_ e13_) = e11_ \/ (op1_ e13_ e13_) = e11_))) /\ (((op1_ e13_ e10_) = e12_ \/ ((op1_ e13_ e11_) = e12_ \/ ((op1_ e13_ e12_) = e12_ \/ (op1_ e13_ e13_) = e12_))) /\ (((op1_ e10_ e13_) = e12_ \/ ((op1_ e11_ e13_) = e12_ \/ ((op1_ e12_ e13_) = e12_ \/ (op1_ e13_ e13_) = e12_))) /\ (((op1_ e13_ e10_) = e13_ \/ ((op1_ e13_ e11_) = e13_ \/ ((op1_ e13_ e12_) = e13_ \/ (op1_ e13_ e13_) = e13_))) /\ ((op1_ e10_ e13_) = e13_ \/ ((op1_ e11_ e13_) = e13_ \/ ((op1_ e12_ e13_) = e13_ \/ (op1_ e13_ e13_) = e13_)))))))))))))))))))))))))))))))))).
Variable ax3_3 : (((op2_ e20_ e20_) = e20_ \/ ((op2_ e20_ e20_) = e21_ \/ ((op2_ e20_ e20_) = e22_ \/ (op2_ e20_ e20_) = e23_))) /\ (((op2_ e20_ e21_) = e20_ \/ ((op2_ e20_ e21_) = e21_ \/ ((op2_ e20_ e21_) = e22_ \/ (op2_ e20_ e21_) = e23_))) /\ (((op2_ e20_ e22_) = e20_ \/ ((op2_ e20_ e22_) = e21_ \/ ((op2_ e20_ e22_) = e22_ \/ (op2_ e20_ e22_) = e23_))) /\ (((op2_ e20_ e23_) = e20_ \/ ((op2_ e20_ e23_) = e21_ \/ ((op2_ e20_ e23_) = e22_ \/ (op2_ e20_ e23_) = e23_))) /\ (((op2_ e21_ e20_) = e20_ \/ ((op2_ e21_ e20_) = e21_ \/ ((op2_ e21_ e20_) = e22_ \/ (op2_ e21_ e20_) = e23_))) /\ (((op2_ e21_ e21_) = e20_ \/ ((op2_ e21_ e21_) = e21_ \/ ((op2_ e21_ e21_) = e22_ \/ (op2_ e21_ e21_) = e23_))) /\ (((op2_ e21_ e22_) = e20_ \/ ((op2_ e21_ e22_) = e21_ \/ ((op2_ e21_ e22_) = e22_ \/ (op2_ e21_ e22_) = e23_))) /\ (((op2_ e21_ e23_) = e20_ \/ ((op2_ e21_ e23_) = e21_ \/ ((op2_ e21_ e23_) = e22_ \/ (op2_ e21_ e23_) = e23_))) /\ (((op2_ e22_ e20_) = e20_ \/ ((op2_ e22_ e20_) = e21_ \/ ((op2_ e22_ e20_) = e22_ \/ (op2_ e22_ e20_) = e23_))) /\ (((op2_ e22_ e21_) = e20_ \/ ((op2_ e22_ e21_) = e21_ \/ ((op2_ e22_ e21_) = e22_ \/ (op2_ e22_ e21_) = e23_))) /\ (((op2_ e22_ e22_) = e20_ \/ ((op2_ e22_ e22_) = e21_ \/ ((op2_ e22_ e22_) = e22_ \/ (op2_ e22_ e22_) = e23_))) /\ (((op2_ e22_ e23_) = e20_ \/ ((op2_ e22_ e23_) = e21_ \/ ((op2_ e22_ e23_) = e22_ \/ (op2_ e22_ e23_) = e23_))) /\ (((op2_ e23_ e20_) = e20_ \/ ((op2_ e23_ e20_) = e21_ \/ ((op2_ e23_ e20_) = e22_ \/ (op2_ e23_ e20_) = e23_))) /\ (((op2_ e23_ e21_) = e20_ \/ ((op2_ e23_ e21_) = e21_ \/ ((op2_ e23_ e21_) = e22_ \/ (op2_ e23_ e21_) = e23_))) /\ (((op2_ e23_ e22_) = e20_ \/ ((op2_ e23_ e22_) = e21_ \/ ((op2_ e23_ e22_) = e22_ \/ (op2_ e23_ e22_) = e23_))) /\ ((op2_ e23_ e23_) = e20_ \/ ((op2_ e23_ e23_) = e21_ \/ ((op2_ e23_ e23_) = e22_ \/ (op2_ e23_ e23_) = e23_)))))))))))))))))).
Variable ax4_4 : (((op2_ e20_ e20_) = e20_ \/ ((op2_ e20_ e21_) = e20_ \/ ((op2_ e20_ e22_) = e20_ \/ (op2_ e20_ e23_) = e20_))) /\ (((op2_ e20_ e20_) = e20_ \/ ((op2_ e21_ e20_) = e20_ \/ ((op2_ e22_ e20_) = e20_ \/ (op2_ e23_ e20_) = e20_))) /\ (((op2_ e20_ e20_) = e21_ \/ ((op2_ e20_ e21_) = e21_ \/ ((op2_ e20_ e22_) = e21_ \/ (op2_ e20_ e23_) = e21_))) /\ (((op2_ e20_ e20_) = e21_ \/ ((op2_ e21_ e20_) = e21_ \/ ((op2_ e22_ e20_) = e21_ \/ (op2_ e23_ e20_) = e21_))) /\ (((op2_ e20_ e20_) = e22_ \/ ((op2_ e20_ e21_) = e22_ \/ ((op2_ e20_ e22_) = e22_ \/ (op2_ e20_ e23_) = e22_))) /\ (((op2_ e20_ e20_) = e22_ \/ ((op2_ e21_ e20_) = e22_ \/ ((op2_ e22_ e20_) = e22_ \/ (op2_ e23_ e20_) = e22_))) /\ (((op2_ e20_ e20_) = e23_ \/ ((op2_ e20_ e21_) = e23_ \/ ((op2_ e20_ e22_) = e23_ \/ (op2_ e20_ e23_) = e23_))) /\ (((op2_ e20_ e20_) = e23_ \/ ((op2_ e21_ e20_) = e23_ \/ ((op2_ e22_ e20_) = e23_ \/ (op2_ e23_ e20_) = e23_))) /\ (((op2_ e21_ e20_) = e20_ \/ ((op2_ e21_ e21_) = e20_ \/ ((op2_ e21_ e22_) = e20_ \/ (op2_ e21_ e23_) = e20_))) /\ (((op2_ e20_ e21_) = e20_ \/ ((op2_ e21_ e21_) = e20_ \/ ((op2_ e22_ e21_) = e20_ \/ (op2_ e23_ e21_) = e20_))) /\ (((op2_ e21_ e20_) = e21_ \/ ((op2_ e21_ e21_) = e21_ \/ ((op2_ e21_ e22_) = e21_ \/ (op2_ e21_ e23_) = e21_))) /\ (((op2_ e20_ e21_) = e21_ \/ ((op2_ e21_ e21_) = e21_ \/ ((op2_ e22_ e21_) = e21_ \/ (op2_ e23_ e21_) = e21_))) /\ (((op2_ e21_ e20_) = e22_ \/ ((op2_ e21_ e21_) = e22_ \/ ((op2_ e21_ e22_) = e22_ \/ (op2_ e21_ e23_) = e22_))) /\ (((op2_ e20_ e21_) = e22_ \/ ((op2_ e21_ e21_) = e22_ \/ ((op2_ e22_ e21_) = e22_ \/ (op2_ e23_ e21_) = e22_))) /\ (((op2_ e21_ e20_) = e23_ \/ ((op2_ e21_ e21_) = e23_ \/ ((op2_ e21_ e22_) = e23_ \/ (op2_ e21_ e23_) = e23_))) /\ (((op2_ e20_ e21_) = e23_ \/ ((op2_ e21_ e21_) = e23_ \/ ((op2_ e22_ e21_) = e23_ \/ (op2_ e23_ e21_) = e23_))) /\ (((op2_ e22_ e20_) = e20_ \/ ((op2_ e22_ e21_) = e20_ \/ ((op2_ e22_ e22_) = e20_ \/ (op2_ e22_ e23_) = e20_))) /\ (((op2_ e20_ e22_) = e20_ \/ ((op2_ e21_ e22_) = e20_ \/ ((op2_ e22_ e22_) = e20_ \/ (op2_ e23_ e22_) = e20_))) /\ (((op2_ e22_ e20_) = e21_ \/ ((op2_ e22_ e21_) = e21_ \/ ((op2_ e22_ e22_) = e21_ \/ (op2_ e22_ e23_) = e21_))) /\ (((op2_ e20_ e22_) = e21_ \/ ((op2_ e21_ e22_) = e21_ \/ ((op2_ e22_ e22_) = e21_ \/ (op2_ e23_ e22_) = e21_))) /\ (((op2_ e22_ e20_) = e22_ \/ ((op2_ e22_ e21_) = e22_ \/ ((op2_ e22_ e22_) = e22_ \/ (op2_ e22_ e23_) = e22_))) /\ (((op2_ e20_ e22_) = e22_ \/ ((op2_ e21_ e22_) = e22_ \/ ((op2_ e22_ e22_) = e22_ \/ (op2_ e23_ e22_) = e22_))) /\ (((op2_ e22_ e20_) = e23_ \/ ((op2_ e22_ e21_) = e23_ \/ ((op2_ e22_ e22_) = e23_ \/ (op2_ e22_ e23_) = e23_))) /\ (((op2_ e20_ e22_) = e23_ \/ ((op2_ e21_ e22_) = e23_ \/ ((op2_ e22_ e22_) = e23_ \/ (op2_ e23_ e22_) = e23_))) /\ (((op2_ e23_ e20_) = e20_ \/ ((op2_ e23_ e21_) = e20_ \/ ((op2_ e23_ e22_) = e20_ \/ (op2_ e23_ e23_) = e20_))) /\ (((op2_ e20_ e23_) = e20_ \/ ((op2_ e21_ e23_) = e20_ \/ ((op2_ e22_ e23_) = e20_ \/ (op2_ e23_ e23_) = e20_))) /\ (((op2_ e23_ e20_) = e21_ \/ ((op2_ e23_ e21_) = e21_ \/ ((op2_ e23_ e22_) = e21_ \/ (op2_ e23_ e23_) = e21_))) /\ (((op2_ e20_ e23_) = e21_ \/ ((op2_ e21_ e23_) = e21_ \/ ((op2_ e22_ e23_) = e21_ \/ (op2_ e23_ e23_) = e21_))) /\ (((op2_ e23_ e20_) = e22_ \/ ((op2_ e23_ e21_) = e22_ \/ ((op2_ e23_ e22_) = e22_ \/ (op2_ e23_ e23_) = e22_))) /\ (((op2_ e20_ e23_) = e22_ \/ ((op2_ e21_ e23_) = e22_ \/ ((op2_ e22_ e23_) = e22_ \/ (op2_ e23_ e23_) = e22_))) /\ (((op2_ e23_ e20_) = e23_ \/ ((op2_ e23_ e21_) = e23_ \/ ((op2_ e23_ e22_) = e23_ \/ (op2_ e23_ e23_) = e23_))) /\ ((op2_ e20_ e23_) = e23_ \/ ((op2_ e21_ e23_) = e23_ \/ ((op2_ e22_ e23_) = e23_ \/ (op2_ e23_ e23_) = e23_)))))))))))))))))))))))))))))))))).
Variable ax5_5 : ((op1_ e10_ e10_) <> (op1_ e11_ e10_) /\ ((op1_ e10_ e10_) <> (op1_ e12_ e10_) /\ ((op1_ e10_ e10_) <> (op1_ e13_ e10_) /\ ((op1_ e11_ e10_) <> (op1_ e12_ e10_) /\ ((op1_ e11_ e10_) <> (op1_ e13_ e10_) /\ ((op1_ e12_ e10_) <> (op1_ e13_ e10_) /\ ((op1_ e10_ e11_) <> (op1_ e11_ e11_) /\ ((op1_ e10_ e11_) <> (op1_ e12_ e11_) /\ ((op1_ e10_ e11_) <> (op1_ e13_ e11_) /\ ((op1_ e11_ e11_) <> (op1_ e12_ e11_) /\ ((op1_ e11_ e11_) <> (op1_ e13_ e11_) /\ ((op1_ e12_ e11_) <> (op1_ e13_ e11_) /\ ((op1_ e10_ e12_) <> (op1_ e11_ e12_) /\ ((op1_ e10_ e12_) <> (op1_ e12_ e12_) /\ ((op1_ e10_ e12_) <> (op1_ e13_ e12_) /\ ((op1_ e11_ e12_) <> (op1_ e12_ e12_) /\ ((op1_ e11_ e12_) <> (op1_ e13_ e12_) /\ ((op1_ e12_ e12_) <> (op1_ e13_ e12_) /\ ((op1_ e10_ e13_) <> (op1_ e11_ e13_) /\ ((op1_ e10_ e13_) <> (op1_ e12_ e13_) /\ ((op1_ e10_ e13_) <> (op1_ e13_ e13_) /\ ((op1_ e11_ e13_) <> (op1_ e12_ e13_) /\ ((op1_ e11_ e13_) <> (op1_ e13_ e13_) /\ ((op1_ e12_ e13_) <> (op1_ e13_ e13_) /\ ((op1_ e10_ e10_) <> (op1_ e10_ e11_) /\ ((op1_ e10_ e10_) <> (op1_ e10_ e12_) /\ ((op1_ e10_ e10_) <> (op1_ e10_ e13_) /\ ((op1_ e10_ e11_) <> (op1_ e10_ e12_) /\ ((op1_ e10_ e11_) <> (op1_ e10_ e13_) /\ ((op1_ e10_ e12_) <> (op1_ e10_ e13_) /\ ((op1_ e11_ e10_) <> (op1_ e11_ e11_) /\ ((op1_ e11_ e10_) <> (op1_ e11_ e12_) /\ ((op1_ e11_ e10_) <> (op1_ e11_ e13_) /\ ((op1_ e11_ e11_) <> (op1_ e11_ e12_) /\ ((op1_ e11_ e11_) <> (op1_ e11_ e13_) /\ ((op1_ e11_ e12_) <> (op1_ e11_ e13_) /\ ((op1_ e12_ e10_) <> (op1_ e12_ e11_) /\ ((op1_ e12_ e10_) <> (op1_ e12_ e12_) /\ ((op1_ e12_ e10_) <> (op1_ e12_ e13_) /\ ((op1_ e12_ e11_) <> (op1_ e12_ e12_) /\ ((op1_ e12_ e11_) <> (op1_ e12_ e13_) /\ ((op1_ e12_ e12_) <> (op1_ e12_ e13_) /\ ((op1_ e13_ e10_) <> (op1_ e13_ e11_) /\ ((op1_ e13_ e10_) <> (op1_ e13_ e12_) /\ ((op1_ e13_ e10_) <> (op1_ e13_ e13_) /\ ((op1_ e13_ e11_) <> (op1_ e13_ e12_) /\ ((op1_ e13_ e11_) <> (op1_ e13_ e13_) /\ (op1_ e13_ e12_) <> (op1_ e13_ e13_)))))))))))))))))))))))))))))))))))))))))))))))).
Variable ax6_6 : ((op2_ e20_ e20_) <> (op2_ e21_ e20_) /\ ((op2_ e20_ e20_) <> (op2_ e22_ e20_) /\ ((op2_ e20_ e20_) <> (op2_ e23_ e20_) /\ ((op2_ e21_ e20_) <> (op2_ e22_ e20_) /\ ((op2_ e21_ e20_) <> (op2_ e23_ e20_) /\ ((op2_ e22_ e20_) <> (op2_ e23_ e20_) /\ ((op2_ e20_ e21_) <> (op2_ e21_ e21_) /\ ((op2_ e20_ e21_) <> (op2_ e22_ e21_) /\ ((op2_ e20_ e21_) <> (op2_ e23_ e21_) /\ ((op2_ e21_ e21_) <> (op2_ e22_ e21_) /\ ((op2_ e21_ e21_) <> (op2_ e23_ e21_) /\ ((op2_ e22_ e21_) <> (op2_ e23_ e21_) /\ ((op2_ e20_ e22_) <> (op2_ e21_ e22_) /\ ((op2_ e20_ e22_) <> (op2_ e22_ e22_) /\ ((op2_ e20_ e22_) <> (op2_ e23_ e22_) /\ ((op2_ e21_ e22_) <> (op2_ e22_ e22_) /\ ((op2_ e21_ e22_) <> (op2_ e23_ e22_) /\ ((op2_ e22_ e22_) <> (op2_ e23_ e22_) /\ ((op2_ e20_ e23_) <> (op2_ e21_ e23_) /\ ((op2_ e20_ e23_) <> (op2_ e22_ e23_) /\ ((op2_ e20_ e23_) <> (op2_ e23_ e23_) /\ ((op2_ e21_ e23_) <> (op2_ e22_ e23_) /\ ((op2_ e21_ e23_) <> (op2_ e23_ e23_) /\ ((op2_ e22_ e23_) <> (op2_ e23_ e23_) /\ ((op2_ e20_ e20_) <> (op2_ e20_ e21_) /\ ((op2_ e20_ e20_) <> (op2_ e20_ e22_) /\ ((op2_ e20_ e20_) <> (op2_ e20_ e23_) /\ ((op2_ e20_ e21_) <> (op2_ e20_ e22_) /\ ((op2_ e20_ e21_) <> (op2_ e20_ e23_) /\ ((op2_ e20_ e22_) <> (op2_ e20_ e23_) /\ ((op2_ e21_ e20_) <> (op2_ e21_ e21_) /\ ((op2_ e21_ e20_) <> (op2_ e21_ e22_) /\ ((op2_ e21_ e20_) <> (op2_ e21_ e23_) /\ ((op2_ e21_ e21_) <> (op2_ e21_ e22_) /\ ((op2_ e21_ e21_) <> (op2_ e21_ e23_) /\ ((op2_ e21_ e22_) <> (op2_ e21_ e23_) /\ ((op2_ e22_ e20_) <> (op2_ e22_ e21_) /\ ((op2_ e22_ e20_) <> (op2_ e22_ e22_) /\ ((op2_ e22_ e20_) <> (op2_ e22_ e23_) /\ ((op2_ e22_ e21_) <> (op2_ e22_ e22_) /\ ((op2_ e22_ e21_) <> (op2_ e22_ e23_) /\ ((op2_ e22_ e22_) <> (op2_ e22_ e23_) /\ ((op2_ e23_ e20_) <> (op2_ e23_ e21_) /\ ((op2_ e23_ e20_) <> (op2_ e23_ e22_) /\ ((op2_ e23_ e20_) <> (op2_ e23_ e23_) /\ ((op2_ e23_ e21_) <> (op2_ e23_ e22_) /\ ((op2_ e23_ e21_) <> (op2_ e23_ e23_) /\ (op2_ e23_ e22_) <> (op2_ e23_ e23_)))))))))))))))))))))))))))))))))))))))))))))))).
Variable ax7_7 : (e10_ <> e11_ /\ (e10_ <> e12_ /\ (e10_ <> e13_ /\ (e11_ <> e12_ /\ (e11_ <> e13_ /\ e12_ <> e13_))))).
Variable ax8_8 : (e20_ <> e21_ /\ (e20_ <> e22_ /\ (e20_ <> e23_ /\ (e21_ <> e22_ /\ (e21_ <> e23_ /\ e22_ <> e23_))))).
Variable ax9_9 : (e10_ <> e20_ /\ (e10_ <> e21_ /\ (e10_ <> e22_ /\ (e10_ <> e23_ /\ (e11_ <> e20_ /\ (e11_ <> e21_ /\ (e11_ <> e22_ /\ (e11_ <> e23_ /\ (e12_ <> e20_ /\ (e12_ <> e21_ /\ (e12_ <> e22_ /\ (e12_ <> e23_ /\ (e13_ <> e20_ /\ (e13_ <> e21_ /\ (e13_ <> e22_ /\ e13_ <> e23_))))))))))))))).
Variable ax10_10 : ((op1_ (op1_ e10_ e10_) e10_) = e10_ /\ ((op1_ (op1_ e10_ e11_) e10_) = e11_ /\ ((op1_ (op1_ e10_ e12_) e10_) = e12_ /\ ((op1_ (op1_ e10_ e13_) e10_) = e13_ /\ ((op1_ (op1_ e11_ e10_) e11_) = e10_ /\ ((op1_ (op1_ e11_ e11_) e11_) = e11_ /\ ((op1_ (op1_ e11_ e12_) e11_) = e12_ /\ ((op1_ (op1_ e11_ e13_) e11_) = e13_ /\ ((op1_ (op1_ e12_ e10_) e12_) = e10_ /\ ((op1_ (op1_ e12_ e11_) e12_) = e11_ /\ ((op1_ (op1_ e12_ e12_) e12_) = e12_ /\ ((op1_ (op1_ e12_ e13_) e12_) = e13_ /\ ((op1_ (op1_ e13_ e10_) e13_) = e10_ /\ ((op1_ (op1_ e13_ e11_) e13_) = e11_ /\ ((op1_ (op1_ e13_ e12_) e13_) = e12_ /\ ((op1_ (op1_ e13_ e13_) e13_) = e13_ /\ (((op1_ e10_ (op1_ e10_ e10_)) = (op1_ e10_ e10_) /\ ((op1_ e10_ (op1_ e11_ e10_)) = (op1_ e11_ e10_) /\ ((op1_ e10_ (op1_ e12_ e10_)) = (op1_ e12_ e10_) /\ (op1_ e10_ (op1_ e13_ e10_)) = (op1_ e13_ e10_)))) \/ (((op1_ e11_ (op1_ e10_ e11_)) = (op1_ e10_ e11_) /\ ((op1_ e11_ (op1_ e11_ e11_)) = (op1_ e11_ e11_) /\ ((op1_ e11_ (op1_ e12_ e11_)) = (op1_ e12_ e11_) /\ (op1_ e11_ (op1_ e13_ e11_)) = (op1_ e13_ e11_)))) \/ (((op1_ e12_ (op1_ e10_ e12_)) = (op1_ e10_ e12_) /\ ((op1_ e12_ (op1_ e11_ e12_)) = (op1_ e11_ e12_) /\ ((op1_ e12_ (op1_ e12_ e12_)) = (op1_ e12_ e12_) /\ (op1_ e12_ (op1_ e13_ e12_)) = (op1_ e13_ e12_)))) \/ ((op1_ e13_ (op1_ e10_ e13_)) = (op1_ e10_ e13_) /\ ((op1_ e13_ (op1_ e11_ e13_)) = (op1_ e11_ e13_) /\ ((op1_ e13_ (op1_ e12_ e13_)) = (op1_ e12_ e13_) /\ (op1_ e13_ (op1_ e13_ e13_)) = (op1_ e13_ e13_))))))))))))))))))))))).
Variable ax11_11 : ((op2_ (op2_ e20_ e20_) e20_) = e20_ /\ ((op2_ (op2_ e20_ e21_) e20_) = e21_ /\ ((op2_ (op2_ e20_ e22_) e20_) = e22_ /\ ((op2_ (op2_ e20_ e23_) e20_) = e23_ /\ ((op2_ (op2_ e21_ e20_) e21_) = e20_ /\ ((op2_ (op2_ e21_ e21_) e21_) = e21_ /\ ((op2_ (op2_ e21_ e22_) e21_) = e22_ /\ ((op2_ (op2_ e21_ e23_) e21_) = e23_ /\ ((op2_ (op2_ e22_ e20_) e22_) = e20_ /\ ((op2_ (op2_ e22_ e21_) e22_) = e21_ /\ ((op2_ (op2_ e22_ e22_) e22_) = e22_ /\ ((op2_ (op2_ e22_ e23_) e22_) = e23_ /\ ((op2_ (op2_ e23_ e20_) e23_) = e20_ /\ ((op2_ (op2_ e23_ e21_) e23_) = e21_ /\ ((op2_ (op2_ e23_ e22_) e23_) = e22_ /\ ((op2_ (op2_ e23_ e23_) e23_) = e23_ /\ (((op2_ e20_ (op2_ e20_ e20_)) = (op2_ e20_ e20_) /\ ((op2_ e20_ (op2_ e21_ e20_)) = (op2_ e21_ e20_) /\ ((op2_ e20_ (op2_ e22_ e20_)) = (op2_ e22_ e20_) /\ (op2_ e20_ (op2_ e23_ e20_)) = (op2_ e23_ e20_)))) \/ (((op2_ e21_ (op2_ e20_ e21_)) = (op2_ e20_ e21_) /\ ((op2_ e21_ (op2_ e21_ e21_)) = (op2_ e21_ e21_) /\ ((op2_ e21_ (op2_ e22_ e21_)) = (op2_ e22_ e21_) /\ (op2_ e21_ (op2_ e23_ e21_)) = (op2_ e23_ e21_)))) \/ (((op2_ e22_ (op2_ e20_ e22_)) = (op2_ e20_ e22_) /\ ((op2_ e22_ (op2_ e21_ e22_)) = (op2_ e21_ e22_) /\ ((op2_ e22_ (op2_ e22_ e22_)) = (op2_ e22_ e22_) /\ (op2_ e22_ (op2_ e23_ e22_)) = (op2_ e23_ e22_)))) \/ ((op2_ e23_ (op2_ e20_ e23_)) = (op2_ e20_ e23_) /\ ((op2_ e23_ (op2_ e21_ e23_)) = (op2_ e21_ e23_) /\ ((op2_ e23_ (op2_ e22_ e23_)) = (op2_ e22_ e23_) /\ (op2_ e23_ (op2_ e23_ e23_)) = (op2_ e23_ e23_))))))))))))))))))))))).
Variable ax12_12 : (e10_ = (op1_ (op1_ e12_ e11_) (op1_ e12_ e11_)) /\ e13_ = (op1_ e12_ e11_)).
Variable ax13_13 : (e20_ = (op2_ (op2_ e22_ e21_) (op2_ e22_ e21_)) /\ e23_ = (op2_ e22_ e21_)).
Variable ax14_14 : ((h1_ e11_) = e20_ /\ ((h1_ e12_) = e21_ /\ ((h1_ e10_) = (op2_ (op2_ e21_ e20_) (op2_ e21_ e20_)) /\ (h1_ e13_) = (op2_ e21_ e20_)))).
Variable ax15_15 : ((h2_ e11_) = e20_ /\ ((h2_ e12_) = e22_ /\ ((h2_ e10_) = (op2_ (op2_ e22_ e20_) (op2_ e22_ e20_)) /\ (h2_ e13_) = (op2_ e22_ e20_)))).
Variable ax16_16 : ((h3_ e11_) = e20_ /\ ((h3_ e12_) = e23_ /\ ((h3_ e10_) = (op2_ (op2_ e23_ e20_) (op2_ e23_ e20_)) /\ (h3_ e13_) = (op2_ e23_ e20_)))).
Variable ax17_17 : ((h4_ e11_) = e21_ /\ ((h4_ e12_) = e20_ /\ ((h4_ e10_) = (op2_ (op2_ e20_ e21_) (op2_ e20_ e21_)) /\ (h4_ e13_) = (op2_ e20_ e21_)))).
Variable ax18_18 : ((h5_ e11_) = e21_ /\ ((h5_ e12_) = e22_ /\ ((h5_ e10_) = (op2_ (op2_ e22_ e21_) (op2_ e22_ e21_)) /\ (h5_ e13_) = (op2_ e22_ e21_)))).
Variable ax19_19 : ((h6_ e11_) = e21_ /\ ((h6_ e12_) = e23_ /\ ((h6_ e10_) = (op2_ (op2_ e23_ e21_) (op2_ e23_ e21_)) /\ (h6_ e13_) = (op2_ e23_ e21_)))).
Variable ax20_20 : ((h7_ e11_) = e22_ /\ ((h7_ e12_) = e20_ /\ ((h7_ e10_) = (op2_ (op2_ e20_ e22_) (op2_ e20_ e22_)) /\ (h7_ e13_) = (op2_ e20_ e22_)))).
Variable ax21_21 : ((h8_ e11_) = e22_ /\ ((h8_ e12_) = e21_ /\ ((h8_ e10_) = (op2_ (op2_ e21_ e22_) (op2_ e21_ e22_)) /\ (h8_ e13_) = (op2_ e21_ e22_)))).
Variable ax22_22 : ((h9_ e11_) = e22_ /\ ((h9_ e12_) = e23_ /\ ((h9_ e10_) = (op2_ (op2_ e23_ e22_) (op2_ e23_ e22_)) /\ (h9_ e13_) = (op2_ e23_ e22_)))).
Variable ax23_23 : ((h10_ e11_) = e23_ /\ ((h10_ e12_) = e20_ /\ ((h10_ e10_) = (op2_ (op2_ e20_ e23_) (op2_ e20_ e23_)) /\ (h10_ e13_) = (op2_ e20_ e23_)))).
Variable ax24_24 : ((h11_ e11_) = e23_ /\ ((h11_ e12_) = e21_ /\ ((h11_ e10_) = (op2_ (op2_ e21_ e23_) (op2_ e21_ e23_)) /\ (h11_ e13_) = (op2_ e21_ e23_)))).
Variable ax25_25 : ((h12_ e11_) = e23_ /\ ((h12_ e12_) = e22_ /\ ((h12_ e10_) = (op2_ (op2_ e22_ e23_) (op2_ e22_ e23_)) /\ (h12_ e13_) = (op2_ e22_ e23_)))).

Set Firstorder Depth 10.

Theorem co1_26 : (((h1_ (op1_ e10_ e10_)) = (op2_ (h1_ e10_) (h1_ e10_)) /\ ((h1_ (op1_ e10_ e11_)) = (op2_ (h1_ e10_) (h1_ e11_)) /\ ((h1_ (op1_ e10_ e12_)) = (op2_ (h1_ e10_) (h1_ e12_)) /\ ((h1_ (op1_ e10_ e13_)) = (op2_ (h1_ e10_) (h1_ e13_)) /\ ((h1_ (op1_ e11_ e10_)) = (op2_ (h1_ e11_) (h1_ e10_)) /\ ((h1_ (op1_ e11_ e11_)) = (op2_ (h1_ e11_) (h1_ e11_)) /\ ((h1_ (op1_ e11_ e12_)) = (op2_ (h1_ e11_) (h1_ e12_)) /\ ((h1_ (op1_ e11_ e13_)) = (op2_ (h1_ e11_) (h1_ e13_)) /\ ((h1_ (op1_ e12_ e10_)) = (op2_ (h1_ e12_) (h1_ e10_)) /\ ((h1_ (op1_ e12_ e11_)) = (op2_ (h1_ e12_) (h1_ e11_)) /\ ((h1_ (op1_ e12_ e12_)) = (op2_ (h1_ e12_) (h1_ e12_)) /\ ((h1_ (op1_ e12_ e13_)) = (op2_ (h1_ e12_) (h1_ e13_)) /\ ((h1_ (op1_ e13_ e10_)) = (op2_ (h1_ e13_) (h1_ e10_)) /\ ((h1_ (op1_ e13_ e11_)) = (op2_ (h1_ e13_) (h1_ e11_)) /\ ((h1_ (op1_ e13_ e12_)) = (op2_ (h1_ e13_) (h1_ e12_)) /\ ((h1_ (op1_ e13_ e13_)) = (op2_ (h1_ e13_) (h1_ e13_)) /\ (((h1_ e10_) = e20_ \/ ((h1_ e11_) = e20_ \/ ((h1_ e12_) = e20_ \/ (h1_ e13_) = e20_))) /\ (((h1_ e10_) = e21_ \/ ((h1_ e11_) = e21_ \/ ((h1_ e12_) = e21_ \/ (h1_ e13_) = e21_))) /\ (((h1_ e10_) = e22_ \/ ((h1_ e11_) = e22_ \/ ((h1_ e12_) = e22_ \/ (h1_ e13_) = e22_))) /\ ((h1_ e10_) = e23_ \/ ((h1_ e11_) = e23_ \/ ((h1_ e12_) = e23_ \/ (h1_ e13_) = e23_)))))))))))))))))))))) \/ (((h2_ (op1_ e10_ e10_)) = (op2_ (h2_ e10_) (h2_ e10_)) /\ ((h2_ (op1_ e10_ e11_)) = (op2_ (h2_ e10_) (h2_ e11_)) /\ ((h2_ (op1_ e10_ e12_)) = (op2_ (h2_ e10_) (h2_ e12_)) /\ ((h2_ (op1_ e10_ e13_)) = (op2_ (h2_ e10_) (h2_ e13_)) /\ ((h2_ (op1_ e11_ e10_)) = (op2_ (h2_ e11_) (h2_ e10_)) /\ ((h2_ (op1_ e11_ e11_)) = (op2_ (h2_ e11_) (h2_ e11_)) /\ ((h2_ (op1_ e11_ e12_)) = (op2_ (h2_ e11_) (h2_ e12_)) /\ ((h2_ (op1_ e11_ e13_)) = (op2_ (h2_ e11_) (h2_ e13_)) /\ ((h2_ (op1_ e12_ e10_)) = (op2_ (h2_ e12_) (h2_ e10_)) /\ ((h2_ (op1_ e12_ e11_)) = (op2_ (h2_ e12_) (h2_ e11_)) /\ ((h2_ (op1_ e12_ e12_)) = (op2_ (h2_ e12_) (h2_ e12_)) /\ ((h2_ (op1_ e12_ e13_)) = (op2_ (h2_ e12_) (h2_ e13_)) /\ ((h2_ (op1_ e13_ e10_)) = (op2_ (h2_ e13_) (h2_ e10_)) /\ ((h2_ (op1_ e13_ e11_)) = (op2_ (h2_ e13_) (h2_ e11_)) /\ ((h2_ (op1_ e13_ e12_)) = (op2_ (h2_ e13_) (h2_ e12_)) /\ ((h2_ (op1_ e13_ e13_)) = (op2_ (h2_ e13_) (h2_ e13_)) /\ (((h2_ e10_) = e20_ \/ ((h2_ e11_) = e20_ \/ ((h2_ e12_) = e20_ \/ (h2_ e13_) = e20_))) /\ (((h2_ e10_) = e21_ \/ ((h2_ e11_) = e21_ \/ ((h2_ e12_) = e21_ \/ (h2_ e13_) = e21_))) /\ (((h2_ e10_) = e22_ \/ ((h2_ e11_) = e22_ \/ ((h2_ e12_) = e22_ \/ (h2_ e13_) = e22_))) /\ ((h2_ e10_) = e23_ \/ ((h2_ e11_) = e23_ \/ ((h2_ e12_) = e23_ \/ (h2_ e13_) = e23_)))))))))))))))))))))) \/ (((h3_ (op1_ e10_ e10_)) = (op2_ (h3_ e10_) (h3_ e10_)) /\ ((h3_ (op1_ e10_ e11_)) = (op2_ (h3_ e10_) (h3_ e11_)) /\ ((h3_ (op1_ e10_ e12_)) = (op2_ (h3_ e10_) (h3_ e12_)) /\ ((h3_ (op1_ e10_ e13_)) = (op2_ (h3_ e10_) (h3_ e13_)) /\ ((h3_ (op1_ e11_ e10_)) = (op2_ (h3_ e11_) (h3_ e10_)) /\ ((h3_ (op1_ e11_ e11_)) = (op2_ (h3_ e11_) (h3_ e11_)) /\ ((h3_ (op1_ e11_ e12_)) = (op2_ (h3_ e11_) (h3_ e12_)) /\ ((h3_ (op1_ e11_ e13_)) = (op2_ (h3_ e11_) (h3_ e13_)) /\ ((h3_ (op1_ e12_ e10_)) = (op2_ (h3_ e12_) (h3_ e10_)) /\ ((h3_ (op1_ e12_ e11_)) = (op2_ (h3_ e12_) (h3_ e11_)) /\ ((h3_ (op1_ e12_ e12_)) = (op2_ (h3_ e12_) (h3_ e12_)) /\ ((h3_ (op1_ e12_ e13_)) = (op2_ (h3_ e12_) (h3_ e13_)) /\ ((h3_ (op1_ e13_ e10_)) = (op2_ (h3_ e13_) (h3_ e10_)) /\ ((h3_ (op1_ e13_ e11_)) = (op2_ (h3_ e13_) (h3_ e11_)) /\ ((h3_ (op1_ e13_ e12_)) = (op2_ (h3_ e13_) (h3_ e12_)) /\ ((h3_ (op1_ e13_ e13_)) = (op2_ (h3_ e13_) (h3_ e13_)) /\ (((h3_ e10_) = e20_ \/ ((h3_ e11_) = e20_ \/ ((h3_ e12_) = e20_ \/ (h3_ e13_) = e20_))) /\ (((h3_ e10_) = e21_ \/ ((h3_ e11_) = e21_ \/ ((h3_ e12_) = e21_ \/ (h3_ e13_) = e21_))) /\ (((h3_ e10_) = e22_ \/ ((h3_ e11_) = e22_ \/ ((h3_ e12_) = e22_ \/ (h3_ e13_) = e22_))) /\ ((h3_ e10_) = e23_ \/ ((h3_ e11_) = e23_ \/ ((h3_ e12_) = e23_ \/ (h3_ e13_) = e23_)))))))))))))))))))))) \/ (((h4_ (op1_ e10_ e10_)) = (op2_ (h4_ e10_) (h4_ e10_)) /\ ((h4_ (op1_ e10_ e11_)) = (op2_ (h4_ e10_) (h4_ e11_)) /\ ((h4_ (op1_ e10_ e12_)) = (op2_ (h4_ e10_) (h4_ e12_)) /\ ((h4_ (op1_ e10_ e13_)) = (op2_ (h4_ e10_) (h4_ e13_)) /\ ((h4_ (op1_ e11_ e10_)) = (op2_ (h4_ e11_) (h4_ e10_)) /\ ((h4_ (op1_ e11_ e11_)) = (op2_ (h4_ e11_) (h4_ e11_)) /\ ((h4_ (op1_ e11_ e12_)) = (op2_ (h4_ e11_) (h4_ e12_)) /\ ((h4_ (op1_ e11_ e13_)) = (op2_ (h4_ e11_) (h4_ e13_)) /\ ((h4_ (op1_ e12_ e10_)) = (op2_ (h4_ e12_) (h4_ e10_)) /\ ((h4_ (op1_ e12_ e11_)) = (op2_ (h4_ e12_) (h4_ e11_)) /\ ((h4_ (op1_ e12_ e12_)) = (op2_ (h4_ e12_) (h4_ e12_)) /\ ((h4_ (op1_ e12_ e13_)) = (op2_ (h4_ e12_) (h4_ e13_)) /\ ((h4_ (op1_ e13_ e10_)) = (op2_ (h4_ e13_) (h4_ e10_)) /\ ((h4_ (op1_ e13_ e11_)) = (op2_ (h4_ e13_) (h4_ e11_)) /\ ((h4_ (op1_ e13_ e12_)) = (op2_ (h4_ e13_) (h4_ e12_)) /\ ((h4_ (op1_ e13_ e13_)) = (op2_ (h4_ e13_) (h4_ e13_)) /\ (((h4_ e10_) = e20_ \/ ((h4_ e11_) = e20_ \/ ((h4_ e12_) = e20_ \/ (h4_ e13_) = e20_))) /\ (((h4_ e10_) = e21_ \/ ((h4_ e11_) = e21_ \/ ((h4_ e12_) = e21_ \/ (h4_ e13_) = e21_))) /\ (((h4_ e10_) = e22_ \/ ((h4_ e11_) = e22_ \/ ((h4_ e12_) = e22_ \/ (h4_ e13_) = e22_))) /\ ((h4_ e10_) = e23_ \/ ((h4_ e11_) = e23_ \/ ((h4_ e12_) = e23_ \/ (h4_ e13_) = e23_)))))))))))))))))))))) \/ (((h5_ (op1_ e10_ e10_)) = (op2_ (h5_ e10_) (h5_ e10_)) /\ ((h5_ (op1_ e10_ e11_)) = (op2_ (h5_ e10_) (h5_ e11_)) /\ ((h5_ (op1_ e10_ e12_)) = (op2_ (h5_ e10_) (h5_ e12_)) /\ ((h5_ (op1_ e10_ e13_)) = (op2_ (h5_ e10_) (h5_ e13_)) /\ ((h5_ (op1_ e11_ e10_)) = (op2_ (h5_ e11_) (h5_ e10_)) /\ ((h5_ (op1_ e11_ e11_)) = (op2_ (h5_ e11_) (h5_ e11_)) /\ ((h5_ (op1_ e11_ e12_)) = (op2_ (h5_ e11_) (h5_ e12_)) /\ ((h5_ (op1_ e11_ e13_)) = (op2_ (h5_ e11_) (h5_ e13_)) /\ ((h5_ (op1_ e12_ e10_)) = (op2_ (h5_ e12_) (h5_ e10_)) /\ ((h5_ (op1_ e12_ e11_)) = (op2_ (h5_ e12_) (h5_ e11_)) /\ ((h5_ (op1_ e12_ e12_)) = (op2_ (h5_ e12_) (h5_ e12_)) /\ ((h5_ (op1_ e12_ e13_)) = (op2_ (h5_ e12_) (h5_ e13_)) /\ ((h5_ (op1_ e13_ e10_)) = (op2_ (h5_ e13_) (h5_ e10_)) /\ ((h5_ (op1_ e13_ e11_)) = (op2_ (h5_ e13_) (h5_ e11_)) /\ ((h5_ (op1_ e13_ e12_)) = (op2_ (h5_ e13_) (h5_ e12_)) /\ ((h5_ (op1_ e13_ e13_)) = (op2_ (h5_ e13_) (h5_ e13_)) /\ (((h5_ e10_) = e20_ \/ ((h5_ e11_) = e20_ \/ ((h5_ e12_) = e20_ \/ (h5_ e13_) = e20_))) /\ (((h5_ e10_) = e21_ \/ ((h5_ e11_) = e21_ \/ ((h5_ e12_) = e21_ \/ (h5_ e13_) = e21_))) /\ (((h5_ e10_) = e22_ \/ ((h5_ e11_) = e22_ \/ ((h5_ e12_) = e22_ \/ (h5_ e13_) = e22_))) /\ ((h5_ e10_) = e23_ \/ ((h5_ e11_) = e23_ \/ ((h5_ e12_) = e23_ \/ (h5_ e13_) = e23_)))))))))))))))))))))) \/ (((h6_ (op1_ e10_ e10_)) = (op2_ (h6_ e10_) (h6_ e10_)) /\ ((h6_ (op1_ e10_ e11_)) = (op2_ (h6_ e10_) (h6_ e11_)) /\ ((h6_ (op1_ e10_ e12_)) = (op2_ (h6_ e10_) (h6_ e12_)) /\ ((h6_ (op1_ e10_ e13_)) = (op2_ (h6_ e10_) (h6_ e13_)) /\ ((h6_ (op1_ e11_ e10_)) = (op2_ (h6_ e11_) (h6_ e10_)) /\ ((h6_ (op1_ e11_ e11_)) = (op2_ (h6_ e11_) (h6_ e11_)) /\ ((h6_ (op1_ e11_ e12_)) = (op2_ (h6_ e11_) (h6_ e12_)) /\ ((h6_ (op1_ e11_ e13_)) = (op2_ (h6_ e11_) (h6_ e13_)) /\ ((h6_ (op1_ e12_ e10_)) = (op2_ (h6_ e12_) (h6_ e10_)) /\ ((h6_ (op1_ e12_ e11_)) = (op2_ (h6_ e12_) (h6_ e11_)) /\ ((h6_ (op1_ e12_ e12_)) = (op2_ (h6_ e12_) (h6_ e12_)) /\ ((h6_ (op1_ e12_ e13_)) = (op2_ (h6_ e12_) (h6_ e13_)) /\ ((h6_ (op1_ e13_ e10_)) = (op2_ (h6_ e13_) (h6_ e10_)) /\ ((h6_ (op1_ e13_ e11_)) = (op2_ (h6_ e13_) (h6_ e11_)) /\ ((h6_ (op1_ e13_ e12_)) = (op2_ (h6_ e13_) (h6_ e12_)) /\ ((h6_ (op1_ e13_ e13_)) = (op2_ (h6_ e13_) (h6_ e13_)) /\ (((h6_ e10_) = e20_ \/ ((h6_ e11_) = e20_ \/ ((h6_ e12_) = e20_ \/ (h6_ e13_) = e20_))) /\ (((h6_ e10_) = e21_ \/ ((h6_ e11_) = e21_ \/ ((h6_ e12_) = e21_ \/ (h6_ e13_) = e21_))) /\ (((h6_ e10_) = e22_ \/ ((h6_ e11_) = e22_ \/ ((h6_ e12_) = e22_ \/ (h6_ e13_) = e22_))) /\ ((h6_ e10_) = e23_ \/ ((h6_ e11_) = e23_ \/ ((h6_ e12_) = e23_ \/ (h6_ e13_) = e23_)))))))))))))))))))))) \/ (((h7_ (op1_ e10_ e10_)) = (op2_ (h7_ e10_) (h7_ e10_)) /\ ((h7_ (op1_ e10_ e11_)) = (op2_ (h7_ e10_) (h7_ e11_)) /\ ((h7_ (op1_ e10_ e12_)) = (op2_ (h7_ e10_) (h7_ e12_)) /\ ((h7_ (op1_ e10_ e13_)) = (op2_ (h7_ e10_) (h7_ e13_)) /\ ((h7_ (op1_ e11_ e10_)) = (op2_ (h7_ e11_) (h7_ e10_)) /\ ((h7_ (op1_ e11_ e11_)) = (op2_ (h7_ e11_) (h7_ e11_)) /\ ((h7_ (op1_ e11_ e12_)) = (op2_ (h7_ e11_) (h7_ e12_)) /\ ((h7_ (op1_ e11_ e13_)) = (op2_ (h7_ e11_) (h7_ e13_)) /\ ((h7_ (op1_ e12_ e10_)) = (op2_ (h7_ e12_) (h7_ e10_)) /\ ((h7_ (op1_ e12_ e11_)) = (op2_ (h7_ e12_) (h7_ e11_)) /\ ((h7_ (op1_ e12_ e12_)) = (op2_ (h7_ e12_) (h7_ e12_)) /\ ((h7_ (op1_ e12_ e13_)) = (op2_ (h7_ e12_) (h7_ e13_)) /\ ((h7_ (op1_ e13_ e10_)) = (op2_ (h7_ e13_) (h7_ e10_)) /\ ((h7_ (op1_ e13_ e11_)) = (op2_ (h7_ e13_) (h7_ e11_)) /\ ((h7_ (op1_ e13_ e12_)) = (op2_ (h7_ e13_) (h7_ e12_)) /\ ((h7_ (op1_ e13_ e13_)) = (op2_ (h7_ e13_) (h7_ e13_)) /\ (((h7_ e10_) = e20_ \/ ((h7_ e11_) = e20_ \/ ((h7_ e12_) = e20_ \/ (h7_ e13_) = e20_))) /\ (((h7_ e10_) = e21_ \/ ((h7_ e11_) = e21_ \/ ((h7_ e12_) = e21_ \/ (h7_ e13_) = e21_))) /\ (((h7_ e10_) = e22_ \/ ((h7_ e11_) = e22_ \/ ((h7_ e12_) = e22_ \/ (h7_ e13_) = e22_))) /\ ((h7_ e10_) = e23_ \/ ((h7_ e11_) = e23_ \/ ((h7_ e12_) = e23_ \/ (h7_ e13_) = e23_)))))))))))))))))))))) \/ (((h8_ (op1_ e10_ e10_)) = (op2_ (h8_ e10_) (h8_ e10_)) /\ ((h8_ (op1_ e10_ e11_)) = (op2_ (h8_ e10_) (h8_ e11_)) /\ ((h8_ (op1_ e10_ e12_)) = (op2_ (h8_ e10_) (h8_ e12_)) /\ ((h8_ (op1_ e10_ e13_)) = (op2_ (h8_ e10_) (h8_ e13_)) /\ ((h8_ (op1_ e11_ e10_)) = (op2_ (h8_ e11_) (h8_ e10_)) /\ ((h8_ (op1_ e11_ e11_)) = (op2_ (h8_ e11_) (h8_ e11_)) /\ ((h8_ (op1_ e11_ e12_)) = (op2_ (h8_ e11_) (h8_ e12_)) /\ ((h8_ (op1_ e11_ e13_)) = (op2_ (h8_ e11_) (h8_ e13_)) /\ ((h8_ (op1_ e12_ e10_)) = (op2_ (h8_ e12_) (h8_ e10_)) /\ ((h8_ (op1_ e12_ e11_)) = (op2_ (h8_ e12_) (h8_ e11_)) /\ ((h8_ (op1_ e12_ e12_)) = (op2_ (h8_ e12_) (h8_ e12_)) /\ ((h8_ (op1_ e12_ e13_)) = (op2_ (h8_ e12_) (h8_ e13_)) /\ ((h8_ (op1_ e13_ e10_)) = (op2_ (h8_ e13_) (h8_ e10_)) /\ ((h8_ (op1_ e13_ e11_)) = (op2_ (h8_ e13_) (h8_ e11_)) /\ ((h8_ (op1_ e13_ e12_)) = (op2_ (h8_ e13_) (h8_ e12_)) /\ ((h8_ (op1_ e13_ e13_)) = (op2_ (h8_ e13_) (h8_ e13_)) /\ (((h8_ e10_) = e20_ \/ ((h8_ e11_) = e20_ \/ ((h8_ e12_) = e20_ \/ (h8_ e13_) = e20_))) /\ (((h8_ e10_) = e21_ \/ ((h8_ e11_) = e21_ \/ ((h8_ e12_) = e21_ \/ (h8_ e13_) = e21_))) /\ (((h8_ e10_) = e22_ \/ ((h8_ e11_) = e22_ \/ ((h8_ e12_) = e22_ \/ (h8_ e13_) = e22_))) /\ ((h8_ e10_) = e23_ \/ ((h8_ e11_) = e23_ \/ ((h8_ e12_) = e23_ \/ (h8_ e13_) = e23_)))))))))))))))))))))) \/ (((h9_ (op1_ e10_ e10_)) = (op2_ (h9_ e10_) (h9_ e10_)) /\ ((h9_ (op1_ e10_ e11_)) = (op2_ (h9_ e10_) (h9_ e11_)) /\ ((h9_ (op1_ e10_ e12_)) = (op2_ (h9_ e10_) (h9_ e12_)) /\ ((h9_ (op1_ e10_ e13_)) = (op2_ (h9_ e10_) (h9_ e13_)) /\ ((h9_ (op1_ e11_ e10_)) = (op2_ (h9_ e11_) (h9_ e10_)) /\ ((h9_ (op1_ e11_ e11_)) = (op2_ (h9_ e11_) (h9_ e11_)) /\ ((h9_ (op1_ e11_ e12_)) = (op2_ (h9_ e11_) (h9_ e12_)) /\ ((h9_ (op1_ e11_ e13_)) = (op2_ (h9_ e11_) (h9_ e13_)) /\ ((h9_ (op1_ e12_ e10_)) = (op2_ (h9_ e12_) (h9_ e10_)) /\ ((h9_ (op1_ e12_ e11_)) = (op2_ (h9_ e12_) (h9_ e11_)) /\ ((h9_ (op1_ e12_ e12_)) = (op2_ (h9_ e12_) (h9_ e12_)) /\ ((h9_ (op1_ e12_ e13_)) = (op2_ (h9_ e12_) (h9_ e13_)) /\ ((h9_ (op1_ e13_ e10_)) = (op2_ (h9_ e13_) (h9_ e10_)) /\ ((h9_ (op1_ e13_ e11_)) = (op2_ (h9_ e13_) (h9_ e11_)) /\ ((h9_ (op1_ e13_ e12_)) = (op2_ (h9_ e13_) (h9_ e12_)) /\ ((h9_ (op1_ e13_ e13_)) = (op2_ (h9_ e13_) (h9_ e13_)) /\ (((h9_ e10_) = e20_ \/ ((h9_ e11_) = e20_ \/ ((h9_ e12_) = e20_ \/ (h9_ e13_) = e20_))) /\ (((h9_ e10_) = e21_ \/ ((h9_ e11_) = e21_ \/ ((h9_ e12_) = e21_ \/ (h9_ e13_) = e21_))) /\ (((h9_ e10_) = e22_ \/ ((h9_ e11_) = e22_ \/ ((h9_ e12_) = e22_ \/ (h9_ e13_) = e22_))) /\ ((h9_ e10_) = e23_ \/ ((h9_ e11_) = e23_ \/ ((h9_ e12_) = e23_ \/ (h9_ e13_) = e23_)))))))))))))))))))))) \/ (((h10_ (op1_ e10_ e10_)) = (op2_ (h10_ e10_) (h10_ e10_)) /\ ((h10_ (op1_ e10_ e11_)) = (op2_ (h10_ e10_) (h10_ e11_)) /\ ((h10_ (op1_ e10_ e12_)) = (op2_ (h10_ e10_) (h10_ e12_)) /\ ((h10_ (op1_ e10_ e13_)) = (op2_ (h10_ e10_) (h10_ e13_)) /\ ((h10_ (op1_ e11_ e10_)) = (op2_ (h10_ e11_) (h10_ e10_)) /\ ((h10_ (op1_ e11_ e11_)) = (op2_ (h10_ e11_) (h10_ e11_)) /\ ((h10_ (op1_ e11_ e12_)) = (op2_ (h10_ e11_) (h10_ e12_)) /\ ((h10_ (op1_ e11_ e13_)) = (op2_ (h10_ e11_) (h10_ e13_)) /\ ((h10_ (op1_ e12_ e10_)) = (op2_ (h10_ e12_) (h10_ e10_)) /\ ((h10_ (op1_ e12_ e11_)) = (op2_ (h10_ e12_) (h10_ e11_)) /\ ((h10_ (op1_ e12_ e12_)) = (op2_ (h10_ e12_) (h10_ e12_)) /\ ((h10_ (op1_ e12_ e13_)) = (op2_ (h10_ e12_) (h10_ e13_)) /\ ((h10_ (op1_ e13_ e10_)) = (op2_ (h10_ e13_) (h10_ e10_)) /\ ((h10_ (op1_ e13_ e11_)) = (op2_ (h10_ e13_) (h10_ e11_)) /\ ((h10_ (op1_ e13_ e12_)) = (op2_ (h10_ e13_) (h10_ e12_)) /\ ((h10_ (op1_ e13_ e13_)) = (op2_ (h10_ e13_) (h10_ e13_)) /\ (((h10_ e10_) = e20_ \/ ((h10_ e11_) = e20_ \/ ((h10_ e12_) = e20_ \/ (h10_ e13_) = e20_))) /\ (((h10_ e10_) = e21_ \/ ((h10_ e11_) = e21_ \/ ((h10_ e12_) = e21_ \/ (h10_ e13_) = e21_))) /\ (((h10_ e10_) = e22_ \/ ((h10_ e11_) = e22_ \/ ((h10_ e12_) = e22_ \/ (h10_ e13_) = e22_))) /\ ((h10_ e10_) = e23_ \/ ((h10_ e11_) = e23_ \/ ((h10_ e12_) = e23_ \/ (h10_ e13_) = e23_)))))))))))))))))))))) \/ (((h11_ (op1_ e10_ e10_)) = (op2_ (h11_ e10_) (h11_ e10_)) /\ ((h11_ (op1_ e10_ e11_)) = (op2_ (h11_ e10_) (h11_ e11_)) /\ ((h11_ (op1_ e10_ e12_)) = (op2_ (h11_ e10_) (h11_ e12_)) /\ ((h11_ (op1_ e10_ e13_)) = (op2_ (h11_ e10_) (h11_ e13_)) /\ ((h11_ (op1_ e11_ e10_)) = (op2_ (h11_ e11_) (h11_ e10_)) /\ ((h11_ (op1_ e11_ e11_)) = (op2_ (h11_ e11_) (h11_ e11_)) /\ ((h11_ (op1_ e11_ e12_)) = (op2_ (h11_ e11_) (h11_ e12_)) /\ ((h11_ (op1_ e11_ e13_)) = (op2_ (h11_ e11_) (h11_ e13_)) /\ ((h11_ (op1_ e12_ e10_)) = (op2_ (h11_ e12_) (h11_ e10_)) /\ ((h11_ (op1_ e12_ e11_)) = (op2_ (h11_ e12_) (h11_ e11_)) /\ ((h11_ (op1_ e12_ e12_)) = (op2_ (h11_ e12_) (h11_ e12_)) /\ ((h11_ (op1_ e12_ e13_)) = (op2_ (h11_ e12_) (h11_ e13_)) /\ ((h11_ (op1_ e13_ e10_)) = (op2_ (h11_ e13_) (h11_ e10_)) /\ ((h11_ (op1_ e13_ e11_)) = (op2_ (h11_ e13_) (h11_ e11_)) /\ ((h11_ (op1_ e13_ e12_)) = (op2_ (h11_ e13_) (h11_ e12_)) /\ ((h11_ (op1_ e13_ e13_)) = (op2_ (h11_ e13_) (h11_ e13_)) /\ (((h11_ e10_) = e20_ \/ ((h11_ e11_) = e20_ \/ ((h11_ e12_) = e20_ \/ (h11_ e13_) = e20_))) /\ (((h11_ e10_) = e21_ \/ ((h11_ e11_) = e21_ \/ ((h11_ e12_) = e21_ \/ (h11_ e13_) = e21_))) /\ (((h11_ e10_) = e22_ \/ ((h11_ e11_) = e22_ \/ ((h11_ e12_) = e22_ \/ (h11_ e13_) = e22_))) /\ ((h11_ e10_) = e23_ \/ ((h11_ e11_) = e23_ \/ ((h11_ e12_) = e23_ \/ (h11_ e13_) = e23_)))))))))))))))))))))) \/ ((h12_ (op1_ e10_ e10_)) = (op2_ (h12_ e10_) (h12_ e10_)) /\ ((h12_ (op1_ e10_ e11_)) = (op2_ (h12_ e10_) (h12_ e11_)) /\ ((h12_ (op1_ e10_ e12_)) = (op2_ (h12_ e10_) (h12_ e12_)) /\ ((h12_ (op1_ e10_ e13_)) = (op2_ (h12_ e10_) (h12_ e13_)) /\ ((h12_ (op1_ e11_ e10_)) = (op2_ (h12_ e11_) (h12_ e10_)) /\ ((h12_ (op1_ e11_ e11_)) = (op2_ (h12_ e11_) (h12_ e11_)) /\ ((h12_ (op1_ e11_ e12_)) = (op2_ (h12_ e11_) (h12_ e12_)) /\ ((h12_ (op1_ e11_ e13_)) = (op2_ (h12_ e11_) (h12_ e13_)) /\ ((h12_ (op1_ e12_ e10_)) = (op2_ (h12_ e12_) (h12_ e10_)) /\ ((h12_ (op1_ e12_ e11_)) = (op2_ (h12_ e12_) (h12_ e11_)) /\ ((h12_ (op1_ e12_ e12_)) = (op2_ (h12_ e12_) (h12_ e12_)) /\ ((h12_ (op1_ e12_ e13_)) = (op2_ (h12_ e12_) (h12_ e13_)) /\ ((h12_ (op1_ e13_ e10_)) = (op2_ (h12_ e13_) (h12_ e10_)) /\ ((h12_ (op1_ e13_ e11_)) = (op2_ (h12_ e13_) (h12_ e11_)) /\ ((h12_ (op1_ e13_ e12_)) = (op2_ (h12_ e13_) (h12_ e12_)) /\ ((h12_ (op1_ e13_ e13_)) = (op2_ (h12_ e13_) (h12_ e13_)) /\ (((h12_ e10_) = e20_ \/ ((h12_ e11_) = e20_ \/ ((h12_ e12_) = e20_ \/ (h12_ e13_) = e20_))) /\ (((h12_ e10_) = e21_ \/ ((h12_ e11_) = e21_ \/ ((h12_ e12_) = e21_ \/ (h12_ e13_) = e21_))) /\ (((h12_ e10_) = e22_ \/ ((h12_ e11_) = e22_ \/ ((h12_ e12_) = e22_ \/ (h12_ e13_) = e22_))) /\ ((h12_ e10_) = e23_ \/ ((h12_ e11_) = e23_ \/ ((h12_ e12_) = e23_ \/ (h12_ e13_) = e23_))))))))))))))))))))))))))))))))).
Proof.
  time solve [ firstorder ].
Qed.

End FOFProblem.
